#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2840
#define LARGE_STATE_COUNT 809
#define SYMBOL_COUNT 206
#define ALIAS_COUNT 0
#define TOKEN_COUNT 146
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 1

enum ts_symbol_identifiers {
  anon_sym_module = 1,
  anon_sym_SEMI = 2,
  anon_sym_export = 3,
  anon_sym_LBRACE = 4,
  anon_sym_RBRACE = 5,
  anon_sym_global = 6,
  anon_sym_COLON = 7,
  anon_sym_option = 8,
  anon_sym_const = 9,
  anon_sym_redef = 10,
  anon_sym_enum = 11,
  anon_sym_PLUS_EQ = 12,
  anon_sym_record = 13,
  anon_sym_type = 14,
  anon_sym_print = 15,
  anon_sym_event = 16,
  anon_sym_if = 17,
  anon_sym_LPAREN = 18,
  anon_sym_RPAREN = 19,
  anon_sym_else = 20,
  anon_sym_switch = 21,
  anon_sym_for = 22,
  anon_sym_COMMA = 23,
  anon_sym_in = 24,
  anon_sym_LBRACK = 25,
  anon_sym_RBRACK = 26,
  anon_sym_while = 27,
  anon_sym_next = 28,
  anon_sym_break = 29,
  anon_sym_fallthrough = 30,
  anon_sym_return = 31,
  anon_sym_add = 32,
  anon_sym_delete = 33,
  anon_sym_local = 34,
  anon_sym_when = 35,
  anon_sym_timeout = 36,
  anon_sym_EQ = 37,
  anon_sym_assert = 38,
  anon_sym_case = 39,
  anon_sym_default = 40,
  anon_sym_as = 41,
  anon_sym_addr = 42,
  anon_sym_any = 43,
  anon_sym_bool = 44,
  anon_sym_count = 45,
  anon_sym_double = 46,
  anon_sym_int = 47,
  anon_sym_interval = 48,
  anon_sym_string = 49,
  anon_sym_subnet = 50,
  anon_sym_pattern = 51,
  anon_sym_port = 52,
  anon_sym_table = 53,
  anon_sym_of = 54,
  anon_sym_set = 55,
  anon_sym_time = 56,
  anon_sym_timer = 57,
  anon_sym_union = 58,
  anon_sym_list = 59,
  anon_sym_vector = 60,
  anon_sym_function = 61,
  anon_sym_hook = 62,
  anon_sym_file = 63,
  anon_sym_opaque = 64,
  anon_sym_AMPdeprecated = 65,
  anon_sym_DASH_EQ = 66,
  anon_sym_AMPbroker_allow_complex_type = 67,
  anon_sym_AMPerror_handler = 68,
  anon_sym_AMPis_assigned = 69,
  anon_sym_AMPis_used = 70,
  anon_sym_AMPlog = 71,
  anon_sym_AMPoptional = 72,
  anon_sym_AMPraw_output = 73,
  anon_sym_AMPredef = 74,
  anon_sym_AMPadd_func = 75,
  anon_sym_AMPbackend = 76,
  anon_sym_AMPbroker_store = 77,
  anon_sym_AMPcreate_expire = 78,
  anon_sym_AMPdefault = 79,
  anon_sym_AMPdelete_func = 80,
  anon_sym_AMPexpire_func = 81,
  anon_sym_AMPgroup = 82,
  anon_sym_AMPon_change = 83,
  anon_sym_AMPpriority = 84,
  anon_sym_AMPread_expire = 85,
  anon_sym_AMPtype_column = 86,
  anon_sym_AMPwrite_expire = 87,
  anon_sym_DOLLAR = 88,
  anon_sym_PIPE = 89,
  anon_sym_PLUS_PLUS = 90,
  anon_sym_DASH_DASH = 91,
  anon_sym_BANG = 92,
  anon_sym_TILDE = 93,
  anon_sym_DASH = 94,
  anon_sym_PLUS = 95,
  anon_sym_is = 96,
  anon_sym_STAR = 97,
  anon_sym_SLASH = 98,
  anon_sym_PERCENT = 99,
  anon_sym_LT = 100,
  anon_sym_LT_EQ = 101,
  anon_sym_GT = 102,
  anon_sym_GT_EQ = 103,
  anon_sym_AMP = 104,
  anon_sym_CARET = 105,
  anon_sym_QMARK = 106,
  anon_sym_EQ_EQ = 107,
  anon_sym_BANG_EQ = 108,
  anon_sym_AMP_AMP = 109,
  anon_sym_PIPE_PIPE = 110,
  anon_sym_copy = 111,
  anon_sym_QMARK_DOLLAR = 112,
  anon_sym_schedule = 113,
  aux_sym_constant_token1 = 114,
  anon_sym_T = 115,
  anon_sym_F = 116,
  anon_sym_ATdeprecated = 117,
  anon_sym_ATload = 118,
  anon_sym_ATload_DASHsigs = 119,
  anon_sym_ATload_DASHplugin = 120,
  anon_sym_ATunload = 121,
  anon_sym_ATprefixes = 122,
  anon_sym_ATif = 123,
  anon_sym_ATifdef = 124,
  anon_sym_ATifndef = 125,
  anon_sym_ATendif = 126,
  anon_sym_ATelse = 127,
  anon_sym_ATDIR = 128,
  anon_sym_ATFILENAME = 129,
  sym_id = 130,
  sym_file = 131,
  sym_pattern = 132,
  sym_ipv6 = 133,
  sym_ipv4 = 134,
  sym_port = 135,
  sym_floatp = 136,
  sym_hex = 137,
  sym_time_unit = 138,
  sym_hostname = 139,
  aux_sym_string_token1 = 140,
  sym_zeekygen_head_comment = 141,
  sym_zeekygen_prev_comment = 142,
  sym_zeekygen_next_comment = 143,
  sym_minor_comment = 144,
  sym_nl = 145,
  sym_source_file = 146,
  sym_decl = 147,
  sym_module_decl = 148,
  sym_export_decl = 149,
  sym_global_decl = 150,
  sym_option_decl = 151,
  sym_const_decl = 152,
  sym_redef_decl = 153,
  sym_redef_enum_decl = 154,
  sym_redef_record_decl = 155,
  sym_type_decl = 156,
  sym_func_decl = 157,
  sym_stmt = 158,
  sym_stmt_list = 159,
  sym_case_list = 160,
  sym_case_type_list = 161,
  sym_assert_msg = 162,
  sym_type = 163,
  sym_enum_body = 164,
  sym_enum_body_elem = 165,
  sym_deprecated = 166,
  sym_func_params = 167,
  sym_formal_args = 168,
  sym_formal_arg = 169,
  sym_type_spec = 170,
  sym_initializer = 171,
  sym_init_class = 172,
  sym_attr_list = 173,
  sym_attr = 174,
  sym_expr = 175,
  sym_expr_list = 176,
  sym_constant = 177,
  sym_func_hdr = 178,
  sym_func = 179,
  sym_hook = 180,
  sym_event = 181,
  sym_func_body = 182,
  sym_index_slice = 183,
  sym_begin_lambda = 184,
  sym_capture_list = 185,
  sym_capture = 186,
  sym_preproc_directive = 187,
  sym_string_directive = 188,
  sym_event_hdr = 189,
  sym_integer = 190,
  sym_interval = 191,
  sym_string = 192,
  aux_sym_source_file_repeat1 = 193,
  aux_sym_source_file_repeat2 = 194,
  aux_sym_redef_record_decl_repeat1 = 195,
  aux_sym_func_decl_repeat1 = 196,
  aux_sym_stmt_repeat1 = 197,
  aux_sym_case_list_repeat1 = 198,
  aux_sym_case_type_list_repeat1 = 199,
  aux_sym_type_repeat1 = 200,
  aux_sym_enum_body_repeat1 = 201,
  aux_sym_formal_args_repeat1 = 202,
  aux_sym_attr_list_repeat1 = 203,
  aux_sym_expr_list_repeat1 = 204,
  aux_sym_capture_list_repeat1 = 205,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_module] = "module",
  [anon_sym_SEMI] = ";",
  [anon_sym_export] = "export",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_global] = "global",
  [anon_sym_COLON] = ":",
  [anon_sym_option] = "option",
  [anon_sym_const] = "const",
  [anon_sym_redef] = "redef",
  [anon_sym_enum] = "enum",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_record] = "record",
  [anon_sym_type] = "type",
  [anon_sym_print] = "print",
  [anon_sym_event] = "event",
  [anon_sym_if] = "if",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_COMMA] = ",",
  [anon_sym_in] = "in",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_while] = "while",
  [anon_sym_next] = "next",
  [anon_sym_break] = "break",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_return] = "return",
  [anon_sym_add] = "add",
  [anon_sym_delete] = "delete",
  [anon_sym_local] = "local",
  [anon_sym_when] = "when",
  [anon_sym_timeout] = "timeout",
  [anon_sym_EQ] = "=",
  [anon_sym_assert] = "assert",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_addr] = "addr",
  [anon_sym_any] = "any",
  [anon_sym_bool] = "bool",
  [anon_sym_count] = "count",
  [anon_sym_double] = "double",
  [anon_sym_int] = "int",
  [anon_sym_interval] = "interval",
  [anon_sym_string] = "string",
  [anon_sym_subnet] = "subnet",
  [anon_sym_pattern] = "pattern",
  [anon_sym_port] = "port",
  [anon_sym_table] = "table",
  [anon_sym_of] = "of",
  [anon_sym_set] = "set",
  [anon_sym_time] = "time",
  [anon_sym_timer] = "timer",
  [anon_sym_union] = "union",
  [anon_sym_list] = "list",
  [anon_sym_vector] = "vector",
  [anon_sym_function] = "function",
  [anon_sym_hook] = "hook",
  [anon_sym_file] = "file",
  [anon_sym_opaque] = "opaque",
  [anon_sym_AMPdeprecated] = "&deprecated",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_AMPbroker_allow_complex_type] = "&broker_allow_complex_type",
  [anon_sym_AMPerror_handler] = "&error_handler",
  [anon_sym_AMPis_assigned] = "&is_assigned",
  [anon_sym_AMPis_used] = "&is_used",
  [anon_sym_AMPlog] = "&log",
  [anon_sym_AMPoptional] = "&optional",
  [anon_sym_AMPraw_output] = "&raw_output",
  [anon_sym_AMPredef] = "&redef",
  [anon_sym_AMPadd_func] = "&add_func",
  [anon_sym_AMPbackend] = "&backend",
  [anon_sym_AMPbroker_store] = "&broker_store",
  [anon_sym_AMPcreate_expire] = "&create_expire",
  [anon_sym_AMPdefault] = "&default",
  [anon_sym_AMPdelete_func] = "&delete_func",
  [anon_sym_AMPexpire_func] = "&expire_func",
  [anon_sym_AMPgroup] = "&group",
  [anon_sym_AMPon_change] = "&on_change",
  [anon_sym_AMPpriority] = "&priority",
  [anon_sym_AMPread_expire] = "&read_expire",
  [anon_sym_AMPtype_column] = "&type_column",
  [anon_sym_AMPwrite_expire] = "&write_expire",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_is] = "is",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_QMARK] = "\?",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_copy] = "copy",
  [anon_sym_QMARK_DOLLAR] = "\?$",
  [anon_sym_schedule] = "schedule",
  [aux_sym_constant_token1] = "constant_token1",
  [anon_sym_T] = "T",
  [anon_sym_F] = "F",
  [anon_sym_ATdeprecated] = "@deprecated",
  [anon_sym_ATload] = "@load",
  [anon_sym_ATload_DASHsigs] = "@load-sigs",
  [anon_sym_ATload_DASHplugin] = "@load-plugin",
  [anon_sym_ATunload] = "@unload",
  [anon_sym_ATprefixes] = "@prefixes",
  [anon_sym_ATif] = "@if",
  [anon_sym_ATifdef] = "@ifdef",
  [anon_sym_ATifndef] = "@ifndef",
  [anon_sym_ATendif] = "@endif",
  [anon_sym_ATelse] = "@else",
  [anon_sym_ATDIR] = "@DIR",
  [anon_sym_ATFILENAME] = "@FILENAME",
  [sym_id] = "id",
  [sym_file] = "file",
  [sym_pattern] = "pattern",
  [sym_ipv6] = "ipv6",
  [sym_ipv4] = "ipv4",
  [sym_port] = "port",
  [sym_floatp] = "floatp",
  [sym_hex] = "hex",
  [sym_time_unit] = "time_unit",
  [sym_hostname] = "hostname",
  [aux_sym_string_token1] = "string_token1",
  [sym_zeekygen_head_comment] = "zeekygen_head_comment",
  [sym_zeekygen_prev_comment] = "zeekygen_prev_comment",
  [sym_zeekygen_next_comment] = "zeekygen_next_comment",
  [sym_minor_comment] = "minor_comment",
  [sym_nl] = "nl",
  [sym_source_file] = "source_file",
  [sym_decl] = "decl",
  [sym_module_decl] = "module_decl",
  [sym_export_decl] = "export_decl",
  [sym_global_decl] = "global_decl",
  [sym_option_decl] = "option_decl",
  [sym_const_decl] = "const_decl",
  [sym_redef_decl] = "redef_decl",
  [sym_redef_enum_decl] = "redef_enum_decl",
  [sym_redef_record_decl] = "redef_record_decl",
  [sym_type_decl] = "type_decl",
  [sym_func_decl] = "func_decl",
  [sym_stmt] = "stmt",
  [sym_stmt_list] = "stmt_list",
  [sym_case_list] = "case_list",
  [sym_case_type_list] = "case_type_list",
  [sym_assert_msg] = "assert_msg",
  [sym_type] = "type",
  [sym_enum_body] = "enum_body",
  [sym_enum_body_elem] = "enum_body_elem",
  [sym_deprecated] = "deprecated",
  [sym_func_params] = "func_params",
  [sym_formal_args] = "formal_args",
  [sym_formal_arg] = "formal_arg",
  [sym_type_spec] = "type_spec",
  [sym_initializer] = "initializer",
  [sym_init_class] = "init_class",
  [sym_attr_list] = "attr_list",
  [sym_attr] = "attr",
  [sym_expr] = "expr",
  [sym_expr_list] = "expr_list",
  [sym_constant] = "constant",
  [sym_func_hdr] = "func_hdr",
  [sym_func] = "func",
  [sym_hook] = "hook",
  [sym_event] = "event",
  [sym_func_body] = "func_body",
  [sym_index_slice] = "index_slice",
  [sym_begin_lambda] = "begin_lambda",
  [sym_capture_list] = "capture_list",
  [sym_capture] = "capture",
  [sym_preproc_directive] = "preproc_directive",
  [sym_string_directive] = "string_directive",
  [sym_event_hdr] = "event_hdr",
  [sym_integer] = "integer",
  [sym_interval] = "interval",
  [sym_string] = "string",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_source_file_repeat2] = "source_file_repeat2",
  [aux_sym_redef_record_decl_repeat1] = "redef_record_decl_repeat1",
  [aux_sym_func_decl_repeat1] = "func_decl_repeat1",
  [aux_sym_stmt_repeat1] = "stmt_repeat1",
  [aux_sym_case_list_repeat1] = "case_list_repeat1",
  [aux_sym_case_type_list_repeat1] = "case_type_list_repeat1",
  [aux_sym_type_repeat1] = "type_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_formal_args_repeat1] = "formal_args_repeat1",
  [aux_sym_attr_list_repeat1] = "attr_list_repeat1",
  [aux_sym_expr_list_repeat1] = "expr_list_repeat1",
  [aux_sym_capture_list_repeat1] = "capture_list_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_option] = anon_sym_option,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_redef] = anon_sym_redef,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_record] = anon_sym_record,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_event] = anon_sym_event,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_next] = anon_sym_next,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_fallthrough] = anon_sym_fallthrough,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_add] = anon_sym_add,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_timeout] = anon_sym_timeout,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_addr] = anon_sym_addr,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_count] = anon_sym_count,
  [anon_sym_double] = anon_sym_double,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_interval] = anon_sym_interval,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_subnet] = anon_sym_subnet,
  [anon_sym_pattern] = anon_sym_pattern,
  [anon_sym_port] = anon_sym_port,
  [anon_sym_table] = anon_sym_table,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_time] = anon_sym_time,
  [anon_sym_timer] = anon_sym_timer,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_list] = anon_sym_list,
  [anon_sym_vector] = anon_sym_vector,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_hook] = anon_sym_hook,
  [anon_sym_file] = anon_sym_file,
  [anon_sym_opaque] = anon_sym_opaque,
  [anon_sym_AMPdeprecated] = anon_sym_AMPdeprecated,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_AMPbroker_allow_complex_type] = anon_sym_AMPbroker_allow_complex_type,
  [anon_sym_AMPerror_handler] = anon_sym_AMPerror_handler,
  [anon_sym_AMPis_assigned] = anon_sym_AMPis_assigned,
  [anon_sym_AMPis_used] = anon_sym_AMPis_used,
  [anon_sym_AMPlog] = anon_sym_AMPlog,
  [anon_sym_AMPoptional] = anon_sym_AMPoptional,
  [anon_sym_AMPraw_output] = anon_sym_AMPraw_output,
  [anon_sym_AMPredef] = anon_sym_AMPredef,
  [anon_sym_AMPadd_func] = anon_sym_AMPadd_func,
  [anon_sym_AMPbackend] = anon_sym_AMPbackend,
  [anon_sym_AMPbroker_store] = anon_sym_AMPbroker_store,
  [anon_sym_AMPcreate_expire] = anon_sym_AMPcreate_expire,
  [anon_sym_AMPdefault] = anon_sym_AMPdefault,
  [anon_sym_AMPdelete_func] = anon_sym_AMPdelete_func,
  [anon_sym_AMPexpire_func] = anon_sym_AMPexpire_func,
  [anon_sym_AMPgroup] = anon_sym_AMPgroup,
  [anon_sym_AMPon_change] = anon_sym_AMPon_change,
  [anon_sym_AMPpriority] = anon_sym_AMPpriority,
  [anon_sym_AMPread_expire] = anon_sym_AMPread_expire,
  [anon_sym_AMPtype_column] = anon_sym_AMPtype_column,
  [anon_sym_AMPwrite_expire] = anon_sym_AMPwrite_expire,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_copy] = anon_sym_copy,
  [anon_sym_QMARK_DOLLAR] = anon_sym_QMARK_DOLLAR,
  [anon_sym_schedule] = anon_sym_schedule,
  [aux_sym_constant_token1] = aux_sym_constant_token1,
  [anon_sym_T] = anon_sym_T,
  [anon_sym_F] = anon_sym_F,
  [anon_sym_ATdeprecated] = anon_sym_ATdeprecated,
  [anon_sym_ATload] = anon_sym_ATload,
  [anon_sym_ATload_DASHsigs] = anon_sym_ATload_DASHsigs,
  [anon_sym_ATload_DASHplugin] = anon_sym_ATload_DASHplugin,
  [anon_sym_ATunload] = anon_sym_ATunload,
  [anon_sym_ATprefixes] = anon_sym_ATprefixes,
  [anon_sym_ATif] = anon_sym_ATif,
  [anon_sym_ATifdef] = anon_sym_ATifdef,
  [anon_sym_ATifndef] = anon_sym_ATifndef,
  [anon_sym_ATendif] = anon_sym_ATendif,
  [anon_sym_ATelse] = anon_sym_ATelse,
  [anon_sym_ATDIR] = anon_sym_ATDIR,
  [anon_sym_ATFILENAME] = anon_sym_ATFILENAME,
  [sym_id] = sym_id,
  [sym_file] = sym_file,
  [sym_pattern] = sym_pattern,
  [sym_ipv6] = sym_ipv6,
  [sym_ipv4] = sym_ipv4,
  [sym_port] = sym_port,
  [sym_floatp] = sym_floatp,
  [sym_hex] = sym_hex,
  [sym_time_unit] = sym_time_unit,
  [sym_hostname] = sym_hostname,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [sym_zeekygen_head_comment] = sym_zeekygen_head_comment,
  [sym_zeekygen_prev_comment] = sym_zeekygen_prev_comment,
  [sym_zeekygen_next_comment] = sym_zeekygen_next_comment,
  [sym_minor_comment] = sym_minor_comment,
  [sym_nl] = sym_nl,
  [sym_source_file] = sym_source_file,
  [sym_decl] = sym_decl,
  [sym_module_decl] = sym_module_decl,
  [sym_export_decl] = sym_export_decl,
  [sym_global_decl] = sym_global_decl,
  [sym_option_decl] = sym_option_decl,
  [sym_const_decl] = sym_const_decl,
  [sym_redef_decl] = sym_redef_decl,
  [sym_redef_enum_decl] = sym_redef_enum_decl,
  [sym_redef_record_decl] = sym_redef_record_decl,
  [sym_type_decl] = sym_type_decl,
  [sym_func_decl] = sym_func_decl,
  [sym_stmt] = sym_stmt,
  [sym_stmt_list] = sym_stmt_list,
  [sym_case_list] = sym_case_list,
  [sym_case_type_list] = sym_case_type_list,
  [sym_assert_msg] = sym_assert_msg,
  [sym_type] = sym_type,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_body_elem] = sym_enum_body_elem,
  [sym_deprecated] = sym_deprecated,
  [sym_func_params] = sym_func_params,
  [sym_formal_args] = sym_formal_args,
  [sym_formal_arg] = sym_formal_arg,
  [sym_type_spec] = sym_type_spec,
  [sym_initializer] = sym_initializer,
  [sym_init_class] = sym_init_class,
  [sym_attr_list] = sym_attr_list,
  [sym_attr] = sym_attr,
  [sym_expr] = sym_expr,
  [sym_expr_list] = sym_expr_list,
  [sym_constant] = sym_constant,
  [sym_func_hdr] = sym_func_hdr,
  [sym_func] = sym_func,
  [sym_hook] = sym_hook,
  [sym_event] = sym_event,
  [sym_func_body] = sym_func_body,
  [sym_index_slice] = sym_index_slice,
  [sym_begin_lambda] = sym_begin_lambda,
  [sym_capture_list] = sym_capture_list,
  [sym_capture] = sym_capture,
  [sym_preproc_directive] = sym_preproc_directive,
  [sym_string_directive] = sym_string_directive,
  [sym_event_hdr] = sym_event_hdr,
  [sym_integer] = sym_integer,
  [sym_interval] = sym_interval,
  [sym_string] = sym_string,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_source_file_repeat2] = aux_sym_source_file_repeat2,
  [aux_sym_redef_record_decl_repeat1] = aux_sym_redef_record_decl_repeat1,
  [aux_sym_func_decl_repeat1] = aux_sym_func_decl_repeat1,
  [aux_sym_stmt_repeat1] = aux_sym_stmt_repeat1,
  [aux_sym_case_list_repeat1] = aux_sym_case_list_repeat1,
  [aux_sym_case_type_list_repeat1] = aux_sym_case_type_list_repeat1,
  [aux_sym_type_repeat1] = aux_sym_type_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_formal_args_repeat1] = aux_sym_formal_args_repeat1,
  [aux_sym_attr_list_repeat1] = aux_sym_attr_list_repeat1,
  [aux_sym_expr_list_repeat1] = aux_sym_expr_list_repeat1,
  [aux_sym_capture_list_repeat1] = aux_sym_capture_list_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_option] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_redef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_record] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_event] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_next] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_add] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_timeout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_addr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_count] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_double] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_subnet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pattern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_port] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_table] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_time] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_timer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_list] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_vector] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hook] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_file] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opaque] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPdeprecated] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPbroker_allow_complex_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPerror_handler] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPis_assigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPis_used] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPlog] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPoptional] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPraw_output] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPredef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPadd_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPbackend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPbroker_store] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPcreate_expire] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPdefault] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPdelete_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPexpire_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPgroup] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPon_change] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPpriority] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPread_expire] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPtype_column] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPwrite_expire] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_copy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_schedule] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_constant_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_T] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_F] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATdeprecated] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATload] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATload_DASHsigs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATload_DASHplugin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATunload] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATprefixes] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATifdef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATifndef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATendif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATelse] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATDIR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATFILENAME] = {
    .visible = true,
    .named = false,
  },
  [sym_id] = {
    .visible = true,
    .named = true,
  },
  [sym_file] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_ipv6] = {
    .visible = true,
    .named = true,
  },
  [sym_ipv4] = {
    .visible = true,
    .named = true,
  },
  [sym_port] = {
    .visible = true,
    .named = true,
  },
  [sym_floatp] = {
    .visible = true,
    .named = true,
  },
  [sym_hex] = {
    .visible = true,
    .named = true,
  },
  [sym_time_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_hostname] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_zeekygen_head_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_zeekygen_prev_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_zeekygen_next_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_minor_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_nl] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_module_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_export_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_global_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_option_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_const_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_redef_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_redef_enum_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_redef_record_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_type_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_func_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_stmt_list] = {
    .visible = true,
    .named = true,
  },
  [sym_case_list] = {
    .visible = true,
    .named = true,
  },
  [sym_case_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_msg] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_deprecated] = {
    .visible = true,
    .named = true,
  },
  [sym_func_params] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_args] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_init_class] = {
    .visible = true,
    .named = true,
  },
  [sym_attr_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attr] = {
    .visible = true,
    .named = true,
  },
  [sym_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_expr_list] = {
    .visible = true,
    .named = true,
  },
  [sym_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_func_hdr] = {
    .visible = true,
    .named = true,
  },
  [sym_func] = {
    .visible = true,
    .named = true,
  },
  [sym_hook] = {
    .visible = true,
    .named = true,
  },
  [sym_event] = {
    .visible = true,
    .named = true,
  },
  [sym_func_body] = {
    .visible = true,
    .named = true,
  },
  [sym_index_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_begin_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_capture_list] = {
    .visible = true,
    .named = true,
  },
  [sym_capture] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_string_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_event_hdr] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_source_file_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redef_record_decl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_func_decl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_stmt_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_args_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attr_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expr_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_capture_list_repeat1] = {
    .visible = false,
    .named = false,
  },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 2,
  [7] = 7,
  [8] = 7,
  [9] = 7,
  [10] = 10,
  [11] = 7,
  [12] = 7,
  [13] = 7,
  [14] = 7,
  [15] = 7,
  [16] = 7,
  [17] = 7,
  [18] = 7,
  [19] = 7,
  [20] = 7,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 21,
  [25] = 25,
  [26] = 21,
  [27] = 21,
  [28] = 21,
  [29] = 21,
  [30] = 21,
  [31] = 21,
  [32] = 21,
  [33] = 33,
  [34] = 21,
  [35] = 21,
  [36] = 21,
  [37] = 21,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 40,
  [46] = 46,
  [47] = 43,
  [48] = 44,
  [49] = 40,
  [50] = 50,
  [51] = 43,
  [52] = 44,
  [53] = 40,
  [54] = 54,
  [55] = 43,
  [56] = 44,
  [57] = 40,
  [58] = 58,
  [59] = 43,
  [60] = 40,
  [61] = 40,
  [62] = 62,
  [63] = 43,
  [64] = 44,
  [65] = 40,
  [66] = 66,
  [67] = 43,
  [68] = 44,
  [69] = 40,
  [70] = 42,
  [71] = 43,
  [72] = 44,
  [73] = 43,
  [74] = 44,
  [75] = 40,
  [76] = 42,
  [77] = 43,
  [78] = 44,
  [79] = 40,
  [80] = 43,
  [81] = 43,
  [82] = 44,
  [83] = 40,
  [84] = 44,
  [85] = 44,
  [86] = 86,
  [87] = 86,
  [88] = 88,
  [89] = 89,
  [90] = 89,
  [91] = 86,
  [92] = 89,
  [93] = 86,
  [94] = 94,
  [95] = 39,
  [96] = 96,
  [97] = 38,
  [98] = 89,
  [99] = 86,
  [100] = 89,
  [101] = 86,
  [102] = 89,
  [103] = 103,
  [104] = 89,
  [105] = 86,
  [106] = 106,
  [107] = 107,
  [108] = 89,
  [109] = 86,
  [110] = 89,
  [111] = 88,
  [112] = 89,
  [113] = 106,
  [114] = 86,
  [115] = 89,
  [116] = 86,
  [117] = 89,
  [118] = 86,
  [119] = 103,
  [120] = 38,
  [121] = 107,
  [122] = 122,
  [123] = 86,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 125,
  [131] = 126,
  [132] = 128,
  [133] = 129,
  [134] = 124,
  [135] = 135,
  [136] = 135,
  [137] = 129,
  [138] = 124,
  [139] = 129,
  [140] = 124,
  [141] = 129,
  [142] = 124,
  [143] = 129,
  [144] = 124,
  [145] = 129,
  [146] = 124,
  [147] = 129,
  [148] = 124,
  [149] = 129,
  [150] = 124,
  [151] = 129,
  [152] = 124,
  [153] = 129,
  [154] = 124,
  [155] = 129,
  [156] = 124,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 161,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 158,
  [167] = 159,
  [168] = 160,
  [169] = 158,
  [170] = 161,
  [171] = 163,
  [172] = 164,
  [173] = 165,
  [174] = 158,
  [175] = 159,
  [176] = 160,
  [177] = 177,
  [178] = 161,
  [179] = 163,
  [180] = 164,
  [181] = 165,
  [182] = 158,
  [183] = 159,
  [184] = 160,
  [185] = 161,
  [186] = 163,
  [187] = 164,
  [188] = 165,
  [189] = 158,
  [190] = 159,
  [191] = 160,
  [192] = 161,
  [193] = 163,
  [194] = 164,
  [195] = 165,
  [196] = 158,
  [197] = 159,
  [198] = 160,
  [199] = 161,
  [200] = 163,
  [201] = 164,
  [202] = 165,
  [203] = 158,
  [204] = 159,
  [205] = 160,
  [206] = 157,
  [207] = 159,
  [208] = 161,
  [209] = 163,
  [210] = 210,
  [211] = 164,
  [212] = 177,
  [213] = 165,
  [214] = 157,
  [215] = 158,
  [216] = 216,
  [217] = 159,
  [218] = 163,
  [219] = 210,
  [220] = 160,
  [221] = 177,
  [222] = 160,
  [223] = 157,
  [224] = 216,
  [225] = 164,
  [226] = 216,
  [227] = 210,
  [228] = 161,
  [229] = 177,
  [230] = 163,
  [231] = 157,
  [232] = 165,
  [233] = 165,
  [234] = 210,
  [235] = 164,
  [236] = 177,
  [237] = 165,
  [238] = 157,
  [239] = 216,
  [240] = 158,
  [241] = 159,
  [242] = 210,
  [243] = 158,
  [244] = 177,
  [245] = 159,
  [246] = 157,
  [247] = 216,
  [248] = 160,
  [249] = 210,
  [250] = 160,
  [251] = 161,
  [252] = 210,
  [253] = 163,
  [254] = 164,
  [255] = 210,
  [256] = 165,
  [257] = 158,
  [258] = 210,
  [259] = 159,
  [260] = 160,
  [261] = 161,
  [262] = 210,
  [263] = 210,
  [264] = 161,
  [265] = 163,
  [266] = 163,
  [267] = 164,
  [268] = 164,
  [269] = 210,
  [270] = 177,
  [271] = 157,
  [272] = 216,
  [273] = 177,
  [274] = 157,
  [275] = 216,
  [276] = 177,
  [277] = 157,
  [278] = 216,
  [279] = 177,
  [280] = 165,
  [281] = 216,
  [282] = 177,
  [283] = 157,
  [284] = 216,
  [285] = 177,
  [286] = 157,
  [287] = 216,
  [288] = 216,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 50,
  [295] = 295,
  [296] = 54,
  [297] = 58,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 62,
  [306] = 41,
  [307] = 307,
  [308] = 66,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 5,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 4,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 46,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 337,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 309,
  [363] = 363,
  [364] = 33,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 23,
  [379] = 379,
  [380] = 2,
  [381] = 293,
  [382] = 290,
  [383] = 5,
  [384] = 4,
  [385] = 290,
  [386] = 386,
  [387] = 293,
  [388] = 293,
  [389] = 389,
  [390] = 290,
  [391] = 365,
  [392] = 5,
  [393] = 4,
  [394] = 394,
  [395] = 307,
  [396] = 396,
  [397] = 354,
  [398] = 320,
  [399] = 399,
  [400] = 5,
  [401] = 401,
  [402] = 4,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 412,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 413,
  [422] = 399,
  [423] = 389,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 293,
  [428] = 354,
  [429] = 425,
  [430] = 414,
  [431] = 293,
  [432] = 320,
  [433] = 415,
  [434] = 320,
  [435] = 404,
  [436] = 406,
  [437] = 413,
  [438] = 290,
  [439] = 386,
  [440] = 401,
  [441] = 426,
  [442] = 416,
  [443] = 307,
  [444] = 290,
  [445] = 401,
  [446] = 418,
  [447] = 419,
  [448] = 403,
  [449] = 404,
  [450] = 420,
  [451] = 365,
  [452] = 426,
  [453] = 405,
  [454] = 394,
  [455] = 424,
  [456] = 407,
  [457] = 399,
  [458] = 408,
  [459] = 407,
  [460] = 412,
  [461] = 409,
  [462] = 389,
  [463] = 410,
  [464] = 396,
  [465] = 408,
  [466] = 409,
  [467] = 386,
  [468] = 411,
  [469] = 5,
  [470] = 4,
  [471] = 424,
  [472] = 425,
  [473] = 414,
  [474] = 413,
  [475] = 399,
  [476] = 389,
  [477] = 5,
  [478] = 411,
  [479] = 4,
  [480] = 415,
  [481] = 293,
  [482] = 416,
  [483] = 406,
  [484] = 418,
  [485] = 419,
  [486] = 420,
  [487] = 354,
  [488] = 405,
  [489] = 394,
  [490] = 396,
  [491] = 307,
  [492] = 365,
  [493] = 5,
  [494] = 4,
  [495] = 290,
  [496] = 403,
  [497] = 412,
  [498] = 498,
  [499] = 499,
  [500] = 410,
  [501] = 394,
  [502] = 418,
  [503] = 419,
  [504] = 420,
  [505] = 405,
  [506] = 394,
  [507] = 396,
  [508] = 365,
  [509] = 307,
  [510] = 354,
  [511] = 320,
  [512] = 412,
  [513] = 413,
  [514] = 399,
  [515] = 365,
  [516] = 389,
  [517] = 307,
  [518] = 354,
  [519] = 320,
  [520] = 412,
  [521] = 413,
  [522] = 399,
  [523] = 389,
  [524] = 524,
  [525] = 293,
  [526] = 290,
  [527] = 5,
  [528] = 4,
  [529] = 293,
  [530] = 290,
  [531] = 412,
  [532] = 412,
  [533] = 424,
  [534] = 5,
  [535] = 4,
  [536] = 425,
  [537] = 414,
  [538] = 293,
  [539] = 406,
  [540] = 290,
  [541] = 386,
  [542] = 401,
  [543] = 403,
  [544] = 404,
  [545] = 426,
  [546] = 407,
  [547] = 408,
  [548] = 409,
  [549] = 410,
  [550] = 411,
  [551] = 415,
  [552] = 416,
  [553] = 418,
  [554] = 419,
  [555] = 420,
  [556] = 405,
  [557] = 394,
  [558] = 396,
  [559] = 424,
  [560] = 5,
  [561] = 416,
  [562] = 425,
  [563] = 414,
  [564] = 293,
  [565] = 406,
  [566] = 290,
  [567] = 386,
  [568] = 401,
  [569] = 403,
  [570] = 404,
  [571] = 426,
  [572] = 407,
  [573] = 408,
  [574] = 409,
  [575] = 410,
  [576] = 411,
  [577] = 415,
  [578] = 416,
  [579] = 418,
  [580] = 419,
  [581] = 420,
  [582] = 405,
  [583] = 396,
  [584] = 424,
  [585] = 365,
  [586] = 586,
  [587] = 587,
  [588] = 413,
  [589] = 399,
  [590] = 389,
  [591] = 413,
  [592] = 399,
  [593] = 389,
  [594] = 5,
  [595] = 4,
  [596] = 425,
  [597] = 414,
  [598] = 307,
  [599] = 406,
  [600] = 354,
  [601] = 386,
  [602] = 401,
  [603] = 320,
  [604] = 403,
  [605] = 404,
  [606] = 426,
  [607] = 407,
  [608] = 408,
  [609] = 409,
  [610] = 410,
  [611] = 411,
  [612] = 415,
  [613] = 4,
  [614] = 410,
  [615] = 414,
  [616] = 293,
  [617] = 307,
  [618] = 406,
  [619] = 354,
  [620] = 386,
  [621] = 401,
  [622] = 320,
  [623] = 403,
  [624] = 404,
  [625] = 426,
  [626] = 407,
  [627] = 408,
  [628] = 409,
  [629] = 410,
  [630] = 411,
  [631] = 415,
  [632] = 412,
  [633] = 416,
  [634] = 418,
  [635] = 419,
  [636] = 420,
  [637] = 413,
  [638] = 405,
  [639] = 394,
  [640] = 396,
  [641] = 424,
  [642] = 365,
  [643] = 386,
  [644] = 401,
  [645] = 425,
  [646] = 414,
  [647] = 412,
  [648] = 307,
  [649] = 406,
  [650] = 354,
  [651] = 412,
  [652] = 386,
  [653] = 401,
  [654] = 320,
  [655] = 403,
  [656] = 404,
  [657] = 426,
  [658] = 413,
  [659] = 407,
  [660] = 408,
  [661] = 409,
  [662] = 5,
  [663] = 399,
  [664] = 411,
  [665] = 415,
  [666] = 416,
  [667] = 418,
  [668] = 419,
  [669] = 420,
  [670] = 405,
  [671] = 394,
  [672] = 396,
  [673] = 365,
  [674] = 403,
  [675] = 414,
  [676] = 404,
  [677] = 293,
  [678] = 307,
  [679] = 354,
  [680] = 426,
  [681] = 290,
  [682] = 320,
  [683] = 407,
  [684] = 389,
  [685] = 408,
  [686] = 409,
  [687] = 410,
  [688] = 406,
  [689] = 411,
  [690] = 425,
  [691] = 4,
  [692] = 365,
  [693] = 412,
  [694] = 416,
  [695] = 389,
  [696] = 307,
  [697] = 418,
  [698] = 419,
  [699] = 354,
  [700] = 420,
  [701] = 320,
  [702] = 405,
  [703] = 394,
  [704] = 396,
  [705] = 424,
  [706] = 425,
  [707] = 414,
  [708] = 406,
  [709] = 386,
  [710] = 401,
  [711] = 399,
  [712] = 403,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 404,
  [723] = 720,
  [724] = 413,
  [725] = 399,
  [726] = 389,
  [727] = 727,
  [728] = 425,
  [729] = 413,
  [730] = 399,
  [731] = 389,
  [732] = 426,
  [733] = 290,
  [734] = 407,
  [735] = 408,
  [736] = 409,
  [737] = 410,
  [738] = 411,
  [739] = 415,
  [740] = 416,
  [741] = 418,
  [742] = 419,
  [743] = 420,
  [744] = 405,
  [745] = 424,
  [746] = 394,
  [747] = 396,
  [748] = 424,
  [749] = 365,
  [750] = 5,
  [751] = 4,
  [752] = 415,
  [753] = 394,
  [754] = 394,
  [755] = 409,
  [756] = 408,
  [757] = 411,
  [758] = 416,
  [759] = 386,
  [760] = 320,
  [761] = 414,
  [762] = 426,
  [763] = 418,
  [764] = 414,
  [765] = 419,
  [766] = 403,
  [767] = 424,
  [768] = 406,
  [769] = 401,
  [770] = 410,
  [771] = 354,
  [772] = 307,
  [773] = 407,
  [774] = 426,
  [775] = 415,
  [776] = 307,
  [777] = 409,
  [778] = 407,
  [779] = 411,
  [780] = 396,
  [781] = 386,
  [782] = 416,
  [783] = 401,
  [784] = 420,
  [785] = 425,
  [786] = 405,
  [787] = 425,
  [788] = 354,
  [789] = 420,
  [790] = 320,
  [791] = 403,
  [792] = 405,
  [793] = 404,
  [794] = 408,
  [795] = 418,
  [796] = 419,
  [797] = 396,
  [798] = 404,
  [799] = 365,
  [800] = 406,
  [801] = 424,
  [802] = 365,
  [803] = 415,
  [804] = 410,
  [805] = 2,
  [806] = 312,
  [807] = 310,
  [808] = 316,
  [809] = 498,
  [810] = 499,
  [811] = 499,
  [812] = 498,
  [813] = 587,
  [814] = 586,
  [815] = 587,
  [816] = 337,
  [817] = 309,
  [818] = 717,
  [819] = 721,
  [820] = 719,
  [821] = 714,
  [822] = 5,
  [823] = 720,
  [824] = 4,
  [825] = 718,
  [826] = 727,
  [827] = 499,
  [828] = 498,
  [829] = 713,
  [830] = 716,
  [831] = 715,
  [832] = 498,
  [833] = 499,
  [834] = 587,
  [835] = 586,
  [836] = 587,
  [837] = 316,
  [838] = 347,
  [839] = 499,
  [840] = 498,
  [841] = 720,
  [842] = 713,
  [843] = 714,
  [844] = 358,
  [845] = 715,
  [846] = 716,
  [847] = 717,
  [848] = 718,
  [849] = 719,
  [850] = 720,
  [851] = 721,
  [852] = 727,
  [853] = 312,
  [854] = 587,
  [855] = 310,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 865,
  [867] = 867,
  [868] = 868,
  [869] = 865,
  [870] = 867,
  [871] = 868,
  [872] = 872,
  [873] = 864,
  [874] = 874,
  [875] = 874,
  [876] = 865,
  [877] = 865,
  [878] = 865,
  [879] = 879,
  [880] = 880,
  [881] = 879,
  [882] = 879,
  [883] = 879,
  [884] = 879,
  [885] = 879,
  [886] = 879,
  [887] = 879,
  [888] = 862,
  [889] = 880,
  [890] = 880,
  [891] = 880,
  [892] = 880,
  [893] = 880,
  [894] = 880,
  [895] = 895,
  [896] = 895,
  [897] = 880,
  [898] = 880,
  [899] = 879,
  [900] = 880,
  [901] = 880,
  [902] = 880,
  [903] = 879,
  [904] = 879,
  [905] = 879,
  [906] = 906,
  [907] = 907,
  [908] = 906,
  [909] = 907,
  [910] = 907,
  [911] = 906,
  [912] = 912,
  [913] = 912,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 927,
  [930] = 925,
  [931] = 931,
  [932] = 920,
  [933] = 922,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 923,
  [938] = 926,
  [939] = 927,
  [940] = 914,
  [941] = 941,
  [942] = 915,
  [943] = 943,
  [944] = 917,
  [945] = 918,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 914,
  [951] = 951,
  [952] = 919,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 935,
  [957] = 931,
  [958] = 925,
  [959] = 931,
  [960] = 920,
  [961] = 936,
  [962] = 926,
  [963] = 946,
  [964] = 951,
  [965] = 953,
  [966] = 954,
  [967] = 955,
  [968] = 935,
  [969] = 925,
  [970] = 931,
  [971] = 920,
  [972] = 936,
  [973] = 926,
  [974] = 946,
  [975] = 951,
  [976] = 953,
  [977] = 954,
  [978] = 955,
  [979] = 935,
  [980] = 947,
  [981] = 925,
  [982] = 931,
  [983] = 936,
  [984] = 926,
  [985] = 946,
  [986] = 951,
  [987] = 953,
  [988] = 954,
  [989] = 955,
  [990] = 935,
  [991] = 925,
  [992] = 931,
  [993] = 936,
  [994] = 926,
  [995] = 946,
  [996] = 951,
  [997] = 953,
  [998] = 954,
  [999] = 955,
  [1000] = 935,
  [1001] = 925,
  [1002] = 931,
  [1003] = 936,
  [1004] = 926,
  [1005] = 946,
  [1006] = 951,
  [1007] = 953,
  [1008] = 954,
  [1009] = 955,
  [1010] = 935,
  [1011] = 948,
  [1012] = 925,
  [1013] = 931,
  [1014] = 936,
  [1015] = 926,
  [1016] = 946,
  [1017] = 951,
  [1018] = 953,
  [1019] = 954,
  [1020] = 955,
  [1021] = 935,
  [1022] = 1022,
  [1023] = 925,
  [1024] = 931,
  [1025] = 936,
  [1026] = 926,
  [1027] = 946,
  [1028] = 951,
  [1029] = 953,
  [1030] = 954,
  [1031] = 955,
  [1032] = 935,
  [1033] = 925,
  [1034] = 931,
  [1035] = 936,
  [1036] = 926,
  [1037] = 946,
  [1038] = 951,
  [1039] = 953,
  [1040] = 954,
  [1041] = 955,
  [1042] = 935,
  [1043] = 922,
  [1044] = 925,
  [1045] = 931,
  [1046] = 936,
  [1047] = 926,
  [1048] = 946,
  [1049] = 951,
  [1050] = 953,
  [1051] = 954,
  [1052] = 955,
  [1053] = 935,
  [1054] = 925,
  [1055] = 931,
  [1056] = 936,
  [1057] = 926,
  [1058] = 946,
  [1059] = 951,
  [1060] = 953,
  [1061] = 954,
  [1062] = 955,
  [1063] = 935,
  [1064] = 926,
  [1065] = 926,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 916,
  [1069] = 1069,
  [1070] = 1022,
  [1071] = 912,
  [1072] = 1072,
  [1073] = 941,
  [1074] = 921,
  [1075] = 934,
  [1076] = 927,
  [1077] = 914,
  [1078] = 915,
  [1079] = 917,
  [1080] = 918,
  [1081] = 947,
  [1082] = 948,
  [1083] = 949,
  [1084] = 919,
  [1085] = 922,
  [1086] = 1022,
  [1087] = 943,
  [1088] = 1066,
  [1089] = 1067,
  [1090] = 916,
  [1091] = 1069,
  [1092] = 912,
  [1093] = 1072,
  [1094] = 941,
  [1095] = 921,
  [1096] = 1066,
  [1097] = 1067,
  [1098] = 916,
  [1099] = 1069,
  [1100] = 912,
  [1101] = 1072,
  [1102] = 941,
  [1103] = 921,
  [1104] = 1066,
  [1105] = 1067,
  [1106] = 916,
  [1107] = 1069,
  [1108] = 912,
  [1109] = 1072,
  [1110] = 941,
  [1111] = 921,
  [1112] = 1066,
  [1113] = 1067,
  [1114] = 916,
  [1115] = 1069,
  [1116] = 912,
  [1117] = 1072,
  [1118] = 941,
  [1119] = 921,
  [1120] = 1066,
  [1121] = 1067,
  [1122] = 1072,
  [1123] = 941,
  [1124] = 921,
  [1125] = 1066,
  [1126] = 1067,
  [1127] = 1072,
  [1128] = 941,
  [1129] = 921,
  [1130] = 1066,
  [1131] = 1067,
  [1132] = 1072,
  [1133] = 941,
  [1134] = 921,
  [1135] = 1066,
  [1136] = 1067,
  [1137] = 1072,
  [1138] = 941,
  [1139] = 921,
  [1140] = 1066,
  [1141] = 1067,
  [1142] = 1072,
  [1143] = 941,
  [1144] = 921,
  [1145] = 1066,
  [1146] = 1072,
  [1147] = 941,
  [1148] = 921,
  [1149] = 1149,
  [1150] = 1149,
  [1151] = 1067,
  [1152] = 927,
  [1153] = 914,
  [1154] = 915,
  [1155] = 943,
  [1156] = 917,
  [1157] = 918,
  [1158] = 948,
  [1159] = 947,
  [1160] = 948,
  [1161] = 949,
  [1162] = 919,
  [1163] = 955,
  [1164] = 1069,
  [1165] = 1165,
  [1166] = 949,
  [1167] = 1022,
  [1168] = 934,
  [1169] = 1169,
  [1170] = 934,
  [1171] = 1067,
  [1172] = 915,
  [1173] = 943,
  [1174] = 917,
  [1175] = 918,
  [1176] = 953,
  [1177] = 946,
  [1178] = 922,
  [1179] = 1022,
  [1180] = 1066,
  [1181] = 1072,
  [1182] = 916,
  [1183] = 1069,
  [1184] = 912,
  [1185] = 916,
  [1186] = 1069,
  [1187] = 912,
  [1188] = 916,
  [1189] = 1069,
  [1190] = 912,
  [1191] = 916,
  [1192] = 1069,
  [1193] = 912,
  [1194] = 916,
  [1195] = 1069,
  [1196] = 912,
  [1197] = 919,
  [1198] = 922,
  [1199] = 934,
  [1200] = 949,
  [1201] = 934,
  [1202] = 927,
  [1203] = 914,
  [1204] = 915,
  [1205] = 917,
  [1206] = 918,
  [1207] = 947,
  [1208] = 947,
  [1209] = 948,
  [1210] = 949,
  [1211] = 919,
  [1212] = 1212,
  [1213] = 943,
  [1214] = 951,
  [1215] = 943,
  [1216] = 954,
  [1217] = 936,
  [1218] = 916,
  [1219] = 1069,
  [1220] = 924,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 10,
  [1224] = 1222,
  [1225] = 1225,
  [1226] = 1225,
  [1227] = 351,
  [1228] = 316,
  [1229] = 310,
  [1230] = 312,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 292,
  [1236] = 291,
  [1237] = 587,
  [1238] = 289,
  [1239] = 586,
  [1240] = 1240,
  [1241] = 355,
  [1242] = 41,
  [1243] = 340,
  [1244] = 66,
  [1245] = 348,
  [1246] = 366,
  [1247] = 316,
  [1248] = 376,
  [1249] = 356,
  [1250] = 310,
  [1251] = 358,
  [1252] = 312,
  [1253] = 352,
  [1254] = 338,
  [1255] = 311,
  [1256] = 347,
  [1257] = 359,
  [1258] = 357,
  [1259] = 367,
  [1260] = 368,
  [1261] = 346,
  [1262] = 50,
  [1263] = 33,
  [1264] = 58,
  [1265] = 23,
  [1266] = 360,
  [1267] = 361,
  [1268] = 349,
  [1269] = 341,
  [1270] = 342,
  [1271] = 54,
  [1272] = 46,
  [1273] = 353,
  [1274] = 350,
  [1275] = 62,
  [1276] = 721,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 714,
  [1280] = 715,
  [1281] = 717,
  [1282] = 716,
  [1283] = 719,
  [1284] = 718,
  [1285] = 713,
  [1286] = 1286,
  [1287] = 727,
  [1288] = 358,
  [1289] = 1289,
  [1290] = 1289,
  [1291] = 1289,
  [1292] = 1289,
  [1293] = 1293,
  [1294] = 1289,
  [1295] = 1289,
  [1296] = 1289,
  [1297] = 1297,
  [1298] = 727,
  [1299] = 347,
  [1300] = 713,
  [1301] = 1289,
  [1302] = 714,
  [1303] = 316,
  [1304] = 1289,
  [1305] = 1293,
  [1306] = 715,
  [1307] = 716,
  [1308] = 717,
  [1309] = 1289,
  [1310] = 718,
  [1311] = 719,
  [1312] = 721,
  [1313] = 1289,
  [1314] = 1289,
  [1315] = 1293,
  [1316] = 1278,
  [1317] = 310,
  [1318] = 1286,
  [1319] = 1319,
  [1320] = 312,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 713,
  [1325] = 714,
  [1326] = 1326,
  [1327] = 715,
  [1328] = 716,
  [1329] = 1329,
  [1330] = 717,
  [1331] = 718,
  [1332] = 719,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 721,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1321,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1322,
  [1347] = 1323,
  [1348] = 1329,
  [1349] = 1334,
  [1350] = 1342,
  [1351] = 1351,
  [1352] = 1337,
  [1353] = 1321,
  [1354] = 1339,
  [1355] = 1355,
  [1356] = 1322,
  [1357] = 1357,
  [1358] = 1344,
  [1359] = 1322,
  [1360] = 1323,
  [1361] = 1329,
  [1362] = 1334,
  [1363] = 1337,
  [1364] = 1321,
  [1365] = 1343,
  [1366] = 1339,
  [1367] = 1326,
  [1368] = 1344,
  [1369] = 1333,
  [1370] = 1322,
  [1371] = 1323,
  [1372] = 1329,
  [1373] = 1334,
  [1374] = 1337,
  [1375] = 1337,
  [1376] = 1321,
  [1377] = 1345,
  [1378] = 1339,
  [1379] = 1351,
  [1380] = 1380,
  [1381] = 1344,
  [1382] = 1357,
  [1383] = 1322,
  [1384] = 1323,
  [1385] = 1380,
  [1386] = 1329,
  [1387] = 1334,
  [1388] = 1337,
  [1389] = 1321,
  [1390] = 1339,
  [1391] = 1336,
  [1392] = 1344,
  [1393] = 1393,
  [1394] = 1322,
  [1395] = 1351,
  [1396] = 1396,
  [1397] = 1337,
  [1398] = 1321,
  [1399] = 1399,
  [1400] = 1339,
  [1401] = 1344,
  [1402] = 1333,
  [1403] = 1322,
  [1404] = 1323,
  [1405] = 1336,
  [1406] = 1337,
  [1407] = 1341,
  [1408] = 1321,
  [1409] = 1343,
  [1410] = 1339,
  [1411] = 1396,
  [1412] = 1355,
  [1413] = 1344,
  [1414] = 1321,
  [1415] = 1322,
  [1416] = 1326,
  [1417] = 1337,
  [1418] = 1321,
  [1419] = 1339,
  [1420] = 1345,
  [1421] = 1344,
  [1422] = 1351,
  [1423] = 1357,
  [1424] = 1322,
  [1425] = 1380,
  [1426] = 1426,
  [1427] = 1337,
  [1428] = 1321,
  [1429] = 1339,
  [1430] = 1396,
  [1431] = 1399,
  [1432] = 1344,
  [1433] = 1396,
  [1434] = 1322,
  [1435] = 1344,
  [1436] = 1336,
  [1437] = 1337,
  [1438] = 1341,
  [1439] = 1343,
  [1440] = 1339,
  [1441] = 1344,
  [1442] = 1399,
  [1443] = 1326,
  [1444] = 1337,
  [1445] = 1321,
  [1446] = 1345,
  [1447] = 1339,
  [1448] = 1351,
  [1449] = 1357,
  [1450] = 1380,
  [1451] = 727,
  [1452] = 1452,
  [1453] = 1322,
  [1454] = 1326,
  [1455] = 1336,
  [1456] = 1341,
  [1457] = 1342,
  [1458] = 1343,
  [1459] = 1340,
  [1460] = 1336,
  [1461] = 1326,
  [1462] = 1396,
  [1463] = 1399,
  [1464] = 1345,
  [1465] = 1341,
  [1466] = 1343,
  [1467] = 1351,
  [1468] = 1334,
  [1469] = 1357,
  [1470] = 1380,
  [1471] = 1396,
  [1472] = 1342,
  [1473] = 1326,
  [1474] = 1345,
  [1475] = 1351,
  [1476] = 1357,
  [1477] = 1357,
  [1478] = 1355,
  [1479] = 1380,
  [1480] = 1329,
  [1481] = 1341,
  [1482] = 1396,
  [1483] = 1399,
  [1484] = 1336,
  [1485] = 1341,
  [1486] = 1343,
  [1487] = 1326,
  [1488] = 1341,
  [1489] = 1399,
  [1490] = 1345,
  [1491] = 1351,
  [1492] = 1492,
  [1493] = 1357,
  [1494] = 1380,
  [1495] = 1339,
  [1496] = 1396,
  [1497] = 1399,
  [1498] = 1336,
  [1499] = 1341,
  [1500] = 1343,
  [1501] = 1326,
  [1502] = 1345,
  [1503] = 1351,
  [1504] = 1357,
  [1505] = 1380,
  [1506] = 1341,
  [1507] = 1380,
  [1508] = 1396,
  [1509] = 1399,
  [1510] = 1343,
  [1511] = 1336,
  [1512] = 1341,
  [1513] = 1343,
  [1514] = 1426,
  [1515] = 1344,
  [1516] = 1326,
  [1517] = 1345,
  [1518] = 1351,
  [1519] = 1357,
  [1520] = 1380,
  [1521] = 1341,
  [1522] = 1399,
  [1523] = 1399,
  [1524] = 1396,
  [1525] = 1399,
  [1526] = 1336,
  [1527] = 1341,
  [1528] = 1396,
  [1529] = 1343,
  [1530] = 1323,
  [1531] = 1329,
  [1532] = 1334,
  [1533] = 1323,
  [1534] = 1329,
  [1535] = 1334,
  [1536] = 1323,
  [1537] = 1329,
  [1538] = 1334,
  [1539] = 1323,
  [1540] = 1329,
  [1541] = 1334,
  [1542] = 1323,
  [1543] = 1329,
  [1544] = 1334,
  [1545] = 1326,
  [1546] = 1345,
  [1547] = 1351,
  [1548] = 1357,
  [1549] = 1380,
  [1550] = 1396,
  [1551] = 1399,
  [1552] = 1342,
  [1553] = 1452,
  [1554] = 1336,
  [1555] = 1341,
  [1556] = 1343,
  [1557] = 1557,
  [1558] = 1326,
  [1559] = 1342,
  [1560] = 1345,
  [1561] = 1351,
  [1562] = 1323,
  [1563] = 1329,
  [1564] = 1334,
  [1565] = 1345,
  [1566] = 1357,
  [1567] = 1380,
  [1568] = 1336,
  [1569] = 1569,
  [1570] = 1569,
  [1571] = 1569,
  [1572] = 1569,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1574,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1576,
  [1579] = 1573,
  [1580] = 1580,
  [1581] = 1580,
  [1582] = 1573,
  [1583] = 1574,
  [1584] = 1574,
  [1585] = 1573,
  [1586] = 1580,
  [1587] = 1587,
  [1588] = 1573,
  [1589] = 1574,
  [1590] = 1573,
  [1591] = 1574,
  [1592] = 1577,
  [1593] = 1577,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1594,
  [1597] = 1573,
  [1598] = 1574,
  [1599] = 1573,
  [1600] = 1574,
  [1601] = 1576,
  [1602] = 1573,
  [1603] = 1574,
  [1604] = 1594,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1605,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 586,
  [1616] = 1614,
  [1617] = 1612,
  [1618] = 1607,
  [1619] = 1611,
  [1620] = 1607,
  [1621] = 1608,
  [1622] = 1612,
  [1623] = 1608,
  [1624] = 1624,
  [1625] = 1613,
  [1626] = 1614,
  [1627] = 1611,
  [1628] = 1614,
  [1629] = 1606,
  [1630] = 1613,
  [1631] = 1607,
  [1632] = 587,
  [1633] = 1612,
  [1634] = 1614,
  [1635] = 1635,
  [1636] = 1613,
  [1637] = 1613,
  [1638] = 1606,
  [1639] = 1612,
  [1640] = 1614,
  [1641] = 1613,
  [1642] = 1614,
  [1643] = 1607,
  [1644] = 1611,
  [1645] = 1645,
  [1646] = 1606,
  [1647] = 1612,
  [1648] = 1614,
  [1649] = 1608,
  [1650] = 1608,
  [1651] = 1611,
  [1652] = 1609,
  [1653] = 1613,
  [1654] = 1614,
  [1655] = 1608,
  [1656] = 1656,
  [1657] = 1607,
  [1658] = 1658,
  [1659] = 1606,
  [1660] = 1608,
  [1661] = 1613,
  [1662] = 1614,
  [1663] = 1606,
  [1664] = 1664,
  [1665] = 1607,
  [1666] = 1608,
  [1667] = 1667,
  [1668] = 1607,
  [1669] = 1609,
  [1670] = 1613,
  [1671] = 1608,
  [1672] = 1606,
  [1673] = 1607,
  [1674] = 1606,
  [1675] = 1664,
  [1676] = 1676,
  [1677] = 1611,
  [1678] = 1613,
  [1679] = 1609,
  [1680] = 1614,
  [1681] = 1676,
  [1682] = 1612,
  [1683] = 1645,
  [1684] = 1684,
  [1685] = 1613,
  [1686] = 1686,
  [1687] = 1606,
  [1688] = 1614,
  [1689] = 1611,
  [1690] = 1613,
  [1691] = 1686,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1692,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1692,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1698,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1698,
  [1707] = 1692,
  [1708] = 1702,
  [1709] = 1703,
  [1710] = 1703,
  [1711] = 1702,
  [1712] = 1703,
  [1713] = 1713,
  [1714] = 1702,
  [1715] = 1703,
  [1716] = 1702,
  [1717] = 1702,
  [1718] = 1703,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1692,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1719,
  [1727] = 1699,
  [1728] = 1703,
  [1729] = 1696,
  [1730] = 1692,
  [1731] = 1721,
  [1732] = 1692,
  [1733] = 1698,
  [1734] = 1698,
  [1735] = 1702,
  [1736] = 1702,
  [1737] = 1703,
  [1738] = 1692,
  [1739] = 1698,
  [1740] = 1702,
  [1741] = 1693,
  [1742] = 1720,
  [1743] = 1703,
  [1744] = 1744,
  [1745] = 1703,
  [1746] = 1692,
  [1747] = 1692,
  [1748] = 1702,
  [1749] = 1692,
  [1750] = 1698,
  [1751] = 1703,
  [1752] = 1698,
  [1753] = 1701,
  [1754] = 1702,
  [1755] = 1703,
  [1756] = 1698,
  [1757] = 1692,
  [1758] = 1698,
  [1759] = 1713,
  [1760] = 1702,
  [1761] = 1744,
  [1762] = 1698,
  [1763] = 1704,
  [1764] = 1705,
  [1765] = 1698,
  [1766] = 290,
  [1767] = 293,
  [1768] = 323,
  [1769] = 379,
  [1770] = 374,
  [1771] = 299,
  [1772] = 304,
  [1773] = 315,
  [1774] = 375,
  [1775] = 320,
  [1776] = 377,
  [1777] = 321,
  [1778] = 295,
  [1779] = 322,
  [1780] = 318,
  [1781] = 363,
  [1782] = 373,
  [1783] = 324,
  [1784] = 298,
  [1785] = 339,
  [1786] = 327,
  [1787] = 319,
  [1788] = 328,
  [1789] = 314,
  [1790] = 303,
  [1791] = 307,
  [1792] = 334,
  [1793] = 329,
  [1794] = 372,
  [1795] = 354,
  [1796] = 370,
  [1797] = 301,
  [1798] = 365,
  [1799] = 371,
  [1800] = 345,
  [1801] = 333,
  [1802] = 369,
  [1803] = 332,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1805,
  [1808] = 1806,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1815,
  [1817] = 1815,
  [1818] = 1815,
  [1819] = 1815,
  [1820] = 1815,
  [1821] = 1815,
  [1822] = 1822,
  [1823] = 1822,
  [1824] = 1815,
  [1825] = 1822,
  [1826] = 1822,
  [1827] = 1815,
  [1828] = 1822,
  [1829] = 1815,
  [1830] = 1815,
  [1831] = 1815,
  [1832] = 1815,
  [1833] = 1815,
  [1834] = 1815,
  [1835] = 1822,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1838,
  [1840] = 1840,
  [1841] = 312,
  [1842] = 1840,
  [1843] = 316,
  [1844] = 1838,
  [1845] = 1837,
  [1846] = 1846,
  [1847] = 1838,
  [1848] = 1846,
  [1849] = 310,
  [1850] = 1840,
  [1851] = 1840,
  [1852] = 1838,
  [1853] = 1837,
  [1854] = 1840,
  [1855] = 1838,
  [1856] = 1837,
  [1857] = 1857,
  [1858] = 1840,
  [1859] = 1838,
  [1860] = 1837,
  [1861] = 1840,
  [1862] = 1862,
  [1863] = 1838,
  [1864] = 1837,
  [1865] = 1840,
  [1866] = 1838,
  [1867] = 1837,
  [1868] = 1840,
  [1869] = 1838,
  [1870] = 1838,
  [1871] = 1837,
  [1872] = 1837,
  [1873] = 1873,
  [1874] = 1838,
  [1875] = 1837,
  [1876] = 1838,
  [1877] = 1846,
  [1878] = 1838,
  [1879] = 1838,
  [1880] = 1837,
  [1881] = 1837,
  [1882] = 1873,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1883,
  [1894] = 1894,
  [1895] = 342,
  [1896] = 1891,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1894,
  [1900] = 1888,
  [1901] = 1887,
  [1902] = 1902,
  [1903] = 1887,
  [1904] = 1904,
  [1905] = 1885,
  [1906] = 1883,
  [1907] = 1894,
  [1908] = 1897,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1910,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1912,
  [1915] = 1915,
  [1916] = 1910,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 316,
  [1922] = 1910,
  [1923] = 1912,
  [1924] = 1910,
  [1925] = 1912,
  [1926] = 1926,
  [1927] = 1912,
  [1928] = 1910,
  [1929] = 1912,
  [1930] = 1910,
  [1931] = 1912,
  [1932] = 1932,
  [1933] = 1912,
  [1934] = 1910,
  [1935] = 1912,
  [1936] = 1910,
  [1937] = 1912,
  [1938] = 1910,
  [1939] = 1912,
  [1940] = 1940,
  [1941] = 312,
  [1942] = 1912,
  [1943] = 1943,
  [1944] = 310,
  [1945] = 1910,
  [1946] = 1910,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1949,
  [1950] = 1949,
  [1951] = 1948,
  [1952] = 1949,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1948,
  [1958] = 1949,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1947,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1948,
  [1965] = 1948,
  [1966] = 1948,
  [1967] = 316,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 1968,
  [1981] = 1963,
  [1982] = 1948,
  [1983] = 1971,
  [1984] = 1971,
  [1985] = 1970,
  [1986] = 1972,
  [1987] = 1949,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1989,
  [1991] = 1991,
  [1992] = 1968,
  [1993] = 1971,
  [1994] = 1968,
  [1995] = 1969,
  [1996] = 1971,
  [1997] = 1997,
  [1998] = 1979,
  [1999] = 310,
  [2000] = 1963,
  [2001] = 1969,
  [2002] = 1979,
  [2003] = 1963,
  [2004] = 1969,
  [2005] = 1979,
  [2006] = 1963,
  [2007] = 2007,
  [2008] = 1989,
  [2009] = 1968,
  [2010] = 1997,
  [2011] = 2011,
  [2012] = 1969,
  [2013] = 1979,
  [2014] = 2014,
  [2015] = 1963,
  [2016] = 1969,
  [2017] = 1979,
  [2018] = 1963,
  [2019] = 1969,
  [2020] = 1979,
  [2021] = 1963,
  [2022] = 2022,
  [2023] = 1948,
  [2024] = 1969,
  [2025] = 1979,
  [2026] = 1963,
  [2027] = 1949,
  [2028] = 1969,
  [2029] = 1979,
  [2030] = 1963,
  [2031] = 1969,
  [2032] = 1979,
  [2033] = 1963,
  [2034] = 1949,
  [2035] = 1969,
  [2036] = 1979,
  [2037] = 1963,
  [2038] = 2022,
  [2039] = 2039,
  [2040] = 1989,
  [2041] = 1968,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 1968,
  [2047] = 1971,
  [2048] = 1971,
  [2049] = 1989,
  [2050] = 1971,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2043,
  [2055] = 2055,
  [2056] = 2007,
  [2057] = 2057,
  [2058] = 1948,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 1968,
  [2065] = 1971,
  [2066] = 1979,
  [2067] = 2039,
  [2068] = 2045,
  [2069] = 2043,
  [2070] = 2070,
  [2071] = 2045,
  [2072] = 2072,
  [2073] = 2039,
  [2074] = 1948,
  [2075] = 2043,
  [2076] = 2045,
  [2077] = 1949,
  [2078] = 2039,
  [2079] = 1969,
  [2080] = 2043,
  [2081] = 2045,
  [2082] = 1948,
  [2083] = 2039,
  [2084] = 312,
  [2085] = 2043,
  [2086] = 2045,
  [2087] = 1948,
  [2088] = 2039,
  [2089] = 1949,
  [2090] = 2043,
  [2091] = 2045,
  [2092] = 2092,
  [2093] = 2039,
  [2094] = 1989,
  [2095] = 2043,
  [2096] = 2045,
  [2097] = 1989,
  [2098] = 2039,
  [2099] = 2099,
  [2100] = 2043,
  [2101] = 2045,
  [2102] = 1989,
  [2103] = 2039,
  [2104] = 1989,
  [2105] = 2043,
  [2106] = 2045,
  [2107] = 2011,
  [2108] = 2039,
  [2109] = 1948,
  [2110] = 2043,
  [2111] = 2045,
  [2112] = 2039,
  [2113] = 2043,
  [2114] = 2045,
  [2115] = 1949,
  [2116] = 1955,
  [2117] = 1959,
  [2118] = 2055,
  [2119] = 2119,
  [2120] = 1968,
  [2121] = 1959,
  [2122] = 2039,
  [2123] = 1970,
  [2124] = 1955,
  [2125] = 2055,
  [2126] = 1955,
  [2127] = 2055,
  [2128] = 1955,
  [2129] = 2055,
  [2130] = 1955,
  [2131] = 2055,
  [2132] = 1955,
  [2133] = 2055,
  [2134] = 1955,
  [2135] = 2055,
  [2136] = 1955,
  [2137] = 2055,
  [2138] = 1955,
  [2139] = 2055,
  [2140] = 1955,
  [2141] = 2055,
  [2142] = 1955,
  [2143] = 2055,
  [2144] = 1972,
  [2145] = 1947,
  [2146] = 1948,
  [2147] = 1949,
  [2148] = 1949,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2167,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2151,
  [2175] = 376,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2156,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2167,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2165,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2156,
  [2192] = 2171,
  [2193] = 2193,
  [2194] = 2171,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2151,
  [2198] = 2180,
  [2199] = 2151,
  [2200] = 2162,
  [2201] = 2201,
  [2202] = 2156,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2190,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2173,
  [2211] = 2211,
  [2212] = 2152,
  [2213] = 2213,
  [2214] = 2150,
  [2215] = 2208,
  [2216] = 2156,
  [2217] = 2217,
  [2218] = 2183,
  [2219] = 2156,
  [2220] = 2220,
  [2221] = 2153,
  [2222] = 2222,
  [2223] = 2213,
  [2224] = 2149,
  [2225] = 2225,
  [2226] = 2186,
  [2227] = 2227,
  [2228] = 2156,
  [2229] = 2203,
  [2230] = 2195,
  [2231] = 2157,
  [2232] = 2158,
  [2233] = 2233,
  [2234] = 2160,
  [2235] = 2196,
  [2236] = 2161,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2177,
  [2242] = 2242,
  [2243] = 2177,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2167,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2176,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2180,
  [2257] = 2153,
  [2258] = 2172,
  [2259] = 2183,
  [2260] = 2260,
  [2261] = 2177,
  [2262] = 2262,
  [2263] = 2162,
  [2264] = 2242,
  [2265] = 2185,
  [2266] = 2266,
  [2267] = 2157,
  [2268] = 2268,
  [2269] = 2203,
  [2270] = 2270,
  [2271] = 2165,
  [2272] = 2150,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2190,
  [2276] = 2268,
  [2277] = 2268,
  [2278] = 2195,
  [2279] = 2279,
  [2280] = 2162,
  [2281] = 2203,
  [2282] = 2204,
  [2283] = 2240,
  [2284] = 2158,
  [2285] = 2260,
  [2286] = 2153,
  [2287] = 2156,
  [2288] = 2173,
  [2289] = 2289,
  [2290] = 2152,
  [2291] = 2204,
  [2292] = 2208,
  [2293] = 2157,
  [2294] = 2153,
  [2295] = 2158,
  [2296] = 2204,
  [2297] = 2157,
  [2298] = 2158,
  [2299] = 2299,
  [2300] = 2196,
  [2301] = 2237,
  [2302] = 2160,
  [2303] = 2161,
  [2304] = 2252,
  [2305] = 2190,
  [2306] = 2248,
  [2307] = 2268,
  [2308] = 2150,
  [2309] = 2150,
  [2310] = 2189,
  [2311] = 2311,
  [2312] = 2160,
  [2313] = 2240,
  [2314] = 2161,
  [2315] = 2315,
  [2316] = 2160,
  [2317] = 2222,
  [2318] = 2149,
  [2319] = 2225,
  [2320] = 2186,
  [2321] = 2321,
  [2322] = 2167,
  [2323] = 2171,
  [2324] = 2324,
  [2325] = 2244,
  [2326] = 2245,
  [2327] = 2246,
  [2328] = 2173,
  [2329] = 2149,
  [2330] = 2330,
  [2331] = 2262,
  [2332] = 2151,
  [2333] = 2333,
  [2334] = 2176,
  [2335] = 2270,
  [2336] = 2336,
  [2337] = 2273,
  [2338] = 2180,
  [2339] = 2339,
  [2340] = 2222,
  [2341] = 2149,
  [2342] = 2225,
  [2343] = 2186,
  [2344] = 2344,
  [2345] = 2183,
  [2346] = 2152,
  [2347] = 2161,
  [2348] = 2185,
  [2349] = 2349,
  [2350] = 2153,
  [2351] = 2262,
  [2352] = 2165,
  [2353] = 2208,
  [2354] = 2254,
  [2355] = 2270,
  [2356] = 2190,
  [2357] = 2273,
  [2358] = 2182,
  [2359] = 2359,
  [2360] = 2222,
  [2361] = 2149,
  [2362] = 2225,
  [2363] = 2186,
  [2364] = 2195,
  [2365] = 2365,
  [2366] = 2156,
  [2367] = 2162,
  [2368] = 2203,
  [2369] = 2204,
  [2370] = 2370,
  [2371] = 2262,
  [2372] = 2372,
  [2373] = 2153,
  [2374] = 2227,
  [2375] = 2270,
  [2376] = 2376,
  [2377] = 2273,
  [2378] = 2157,
  [2379] = 2158,
  [2380] = 2222,
  [2381] = 2149,
  [2382] = 2225,
  [2383] = 2186,
  [2384] = 2173,
  [2385] = 2385,
  [2386] = 2160,
  [2387] = 2152,
  [2388] = 2270,
  [2389] = 2208,
  [2390] = 2177,
  [2391] = 2262,
  [2392] = 2161,
  [2393] = 2157,
  [2394] = 2153,
  [2395] = 2270,
  [2396] = 2167,
  [2397] = 2273,
  [2398] = 2398,
  [2399] = 2157,
  [2400] = 2222,
  [2401] = 2152,
  [2402] = 2225,
  [2403] = 2186,
  [2404] = 2158,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2262,
  [2408] = 2385,
  [2409] = 2151,
  [2410] = 2270,
  [2411] = 2160,
  [2412] = 2273,
  [2413] = 2161,
  [2414] = 2166,
  [2415] = 2222,
  [2416] = 2149,
  [2417] = 2225,
  [2418] = 2186,
  [2419] = 2196,
  [2420] = 2420,
  [2421] = 2225,
  [2422] = 2262,
  [2423] = 2423,
  [2424] = 2405,
  [2425] = 2270,
  [2426] = 2167,
  [2427] = 2273,
  [2428] = 2167,
  [2429] = 2429,
  [2430] = 2222,
  [2431] = 2149,
  [2432] = 2225,
  [2433] = 2186,
  [2434] = 2249,
  [2435] = 2171,
  [2436] = 2250,
  [2437] = 2262,
  [2438] = 2158,
  [2439] = 2439,
  [2440] = 2270,
  [2441] = 2151,
  [2442] = 2273,
  [2443] = 2176,
  [2444] = 2444,
  [2445] = 2222,
  [2446] = 2149,
  [2447] = 2225,
  [2448] = 2186,
  [2449] = 2180,
  [2450] = 2248,
  [2451] = 2171,
  [2452] = 2262,
  [2453] = 2171,
  [2454] = 2454,
  [2455] = 2270,
  [2456] = 2279,
  [2457] = 2273,
  [2458] = 2183,
  [2459] = 2459,
  [2460] = 2222,
  [2461] = 2149,
  [2462] = 2225,
  [2463] = 2186,
  [2464] = 2185,
  [2465] = 2176,
  [2466] = 2156,
  [2467] = 2262,
  [2468] = 2177,
  [2469] = 2359,
  [2470] = 2270,
  [2471] = 2165,
  [2472] = 2273,
  [2473] = 2473,
  [2474] = 2190,
  [2475] = 2222,
  [2476] = 2149,
  [2477] = 2225,
  [2478] = 2186,
  [2479] = 2180,
  [2480] = 2248,
  [2481] = 2262,
  [2482] = 2251,
  [2483] = 2483,
  [2484] = 2270,
  [2485] = 2485,
  [2486] = 2273,
  [2487] = 2195,
  [2488] = 2149,
  [2489] = 2225,
  [2490] = 2149,
  [2491] = 2225,
  [2492] = 2159,
  [2493] = 2211,
  [2494] = 2311,
  [2495] = 2189,
  [2496] = 2237,
  [2497] = 2162,
  [2498] = 2311,
  [2499] = 2203,
  [2500] = 2204,
  [2501] = 2501,
  [2502] = 2183,
  [2503] = 2233,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2173,
  [2508] = 2508,
  [2509] = 2173,
  [2510] = 2176,
  [2511] = 2152,
  [2512] = 2240,
  [2513] = 2207,
  [2514] = 2459,
  [2515] = 2330,
  [2516] = 2208,
  [2517] = 2150,
  [2518] = 2518,
  [2519] = 2153,
  [2520] = 2177,
  [2521] = 2349,
  [2522] = 2522,
  [2523] = 2167,
  [2524] = 2524,
  [2525] = 2157,
  [2526] = 2158,
  [2527] = 2185,
  [2528] = 2160,
  [2529] = 2222,
  [2530] = 2161,
  [2531] = 2165,
  [2532] = 2180,
  [2533] = 2206,
  [2534] = 2534,
  [2535] = 2180,
  [2536] = 2429,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2167,
  [2540] = 2190,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2168,
  [2544] = 2176,
  [2545] = 2545,
  [2546] = 2180,
  [2547] = 2160,
  [2548] = 2483,
  [2549] = 2183,
  [2550] = 2183,
  [2551] = 2185,
  [2552] = 2552,
  [2553] = 2165,
  [2554] = 2554,
  [2555] = 2190,
  [2556] = 2274,
  [2557] = 2161,
  [2558] = 2195,
  [2559] = 2299,
  [2560] = 2162,
  [2561] = 2203,
  [2562] = 2204,
  [2563] = 2563,
  [2564] = 2439,
  [2565] = 2171,
  [2566] = 2185,
  [2567] = 2185,
  [2568] = 2173,
  [2569] = 2569,
  [2570] = 2152,
  [2571] = 2273,
  [2572] = 2208,
  [2573] = 2165,
  [2574] = 2153,
  [2575] = 2155,
  [2576] = 2151,
  [2577] = 2157,
  [2578] = 2158,
  [2579] = 2524,
  [2580] = 2160,
  [2581] = 2161,
  [2582] = 2189,
  [2583] = 2504,
  [2584] = 2195,
  [2585] = 2208,
  [2586] = 2167,
  [2587] = 2162,
  [2588] = 2240,
  [2589] = 2485,
  [2590] = 2156,
  [2591] = 2248,
  [2592] = 2193,
  [2593] = 2593,
  [2594] = 2268,
  [2595] = 2150,
  [2596] = 2176,
  [2597] = 2238,
  [2598] = 2180,
  [2599] = 2203,
  [2600] = 2190,
  [2601] = 2183,
  [2602] = 2268,
  [2603] = 2185,
  [2604] = 2321,
  [2605] = 2165,
  [2606] = 2606,
  [2607] = 2190,
  [2608] = 2376,
  [2609] = 311,
  [2610] = 2195,
  [2611] = 2204,
  [2612] = 2152,
  [2613] = 2473,
  [2614] = 2162,
  [2615] = 2203,
  [2616] = 2204,
  [2617] = 2501,
  [2618] = 2333,
  [2619] = 2237,
  [2620] = 2324,
  [2621] = 2621,
  [2622] = 2173,
  [2623] = 2195,
  [2624] = 2152,
  [2625] = 2211,
  [2626] = 2150,
  [2627] = 2176,
  [2628] = 2167,
  [2629] = 2233,
  [2630] = 2330,
  [2631] = 2518,
  [2632] = 2262,
  [2633] = 2524,
  [2634] = 2220,
  [2635] = 2173,
  [2636] = 2208,
  [2637] = 2206,
  [2638] = 2429,
  [2639] = 2239,
  [2640] = 2211,
  [2641] = 357,
  [2642] = 2152,
  [2643] = 2534,
  [2644] = 2233,
  [2645] = 2330,
  [2646] = 2518,
  [2647] = 2208,
  [2648] = 2524,
  [2649] = 2244,
  [2650] = 2206,
  [2651] = 2429,
  [2652] = 2211,
  [2653] = 2153,
  [2654] = 2171,
  [2655] = 2249,
  [2656] = 2233,
  [2657] = 2330,
  [2658] = 2518,
  [2659] = 2176,
  [2660] = 2524,
  [2661] = 2151,
  [2662] = 2206,
  [2663] = 2429,
  [2664] = 2211,
  [2665] = 2151,
  [2666] = 2195,
  [2667] = 2157,
  [2668] = 2233,
  [2669] = 2330,
  [2670] = 2518,
  [2671] = 2158,
  [2672] = 2524,
  [2673] = 2156,
  [2674] = 2206,
  [2675] = 2429,
  [2676] = 2211,
  [2677] = 2250,
  [2678] = 2160,
  [2679] = 2161,
  [2680] = 2233,
  [2681] = 2330,
  [2682] = 2682,
  [2683] = 2524,
  [2684] = 2684,
  [2685] = 2206,
  [2686] = 2429,
  [2687] = 2211,
  [2688] = 2688,
  [2689] = 2177,
  [2690] = 2690,
  [2691] = 2233,
  [2692] = 2330,
  [2693] = 2167,
  [2694] = 2524,
  [2695] = 2518,
  [2696] = 2206,
  [2697] = 2429,
  [2698] = 2211,
  [2699] = 2180,
  [2700] = 2245,
  [2701] = 2246,
  [2702] = 2233,
  [2703] = 2330,
  [2704] = 2176,
  [2705] = 2524,
  [2706] = 2171,
  [2707] = 2206,
  [2708] = 2429,
  [2709] = 2211,
  [2710] = 2177,
  [2711] = 2248,
  [2712] = 2151,
  [2713] = 2233,
  [2714] = 2330,
  [2715] = 2545,
  [2716] = 2524,
  [2717] = 2180,
  [2718] = 2206,
  [2719] = 2429,
  [2720] = 2211,
  [2721] = 2180,
  [2722] = 2248,
  [2723] = 2156,
  [2724] = 2233,
  [2725] = 2330,
  [2726] = 2554,
  [2727] = 2524,
  [2728] = 2569,
  [2729] = 2206,
  [2730] = 2429,
  [2731] = 2248,
  [2732] = 2183,
  [2733] = 2524,
  [2734] = 2168,
  [2735] = 2206,
  [2736] = 2429,
  [2737] = 2211,
  [2738] = 2542,
  [2739] = 2153,
  [2740] = 2185,
  [2741] = 2690,
  [2742] = 2255,
  [2743] = 2157,
  [2744] = 2196,
  [2745] = 2454,
  [2746] = 2237,
  [2747] = 2239,
  [2748] = 2158,
  [2749] = 2207,
  [2750] = 2518,
  [2751] = 2165,
  [2752] = 2752,
  [2753] = 2160,
  [2754] = 2161,
  [2755] = 2208,
  [2756] = 2756,
  [2757] = 2154,
  [2758] = 2190,
  [2759] = 2167,
  [2760] = 2181,
  [2761] = 2761,
  [2762] = 2162,
  [2763] = 2164,
  [2764] = 2176,
  [2765] = 2170,
  [2766] = 2180,
  [2767] = 2157,
  [2768] = 2188,
  [2769] = 2183,
  [2770] = 2185,
  [2771] = 2158,
  [2772] = 2165,
  [2773] = 2203,
  [2774] = 2190,
  [2775] = 2268,
  [2776] = 2196,
  [2777] = 2237,
  [2778] = 2207,
  [2779] = 2311,
  [2780] = 2569,
  [2781] = 2189,
  [2782] = 2311,
  [2783] = 2195,
  [2784] = 2542,
  [2785] = 2171,
  [2786] = 2518,
  [2787] = 2195,
  [2788] = 2542,
  [2789] = 2183,
  [2790] = 2151,
  [2791] = 2542,
  [2792] = 2268,
  [2793] = 2255,
  [2794] = 2542,
  [2795] = 2162,
  [2796] = 2157,
  [2797] = 2542,
  [2798] = 2156,
  [2799] = 2203,
  [2800] = 2542,
  [2801] = 2268,
  [2802] = 2204,
  [2803] = 2542,
  [2804] = 2251,
  [2805] = 2150,
  [2806] = 2542,
  [2807] = 2158,
  [2808] = 2185,
  [2809] = 2542,
  [2810] = 2193,
  [2811] = 2266,
  [2812] = 2542,
  [2813] = 2173,
  [2814] = 2814,
  [2815] = 2569,
  [2816] = 2189,
  [2817] = 2541,
  [2818] = 2311,
  [2819] = 2152,
  [2820] = 2162,
  [2821] = 2203,
  [2822] = 2207,
  [2823] = 2518,
  [2824] = 2204,
  [2825] = 2165,
  [2826] = 2289,
  [2827] = 2204,
  [2828] = 2336,
  [2829] = 2207,
  [2830] = 2569,
  [2831] = 2569,
  [2832] = 2344,
  [2833] = 2173,
  [2834] = 2834,
  [2835] = 2208,
  [2836] = 2171,
  [2837] = 2233,
  [2838] = 2330,
  [2839] = 2248,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 602,
        '"', 27,
        '#', 1186,
        '$', 596,
        '%', 616,
        '&', 622,
        '(', 494,
        ')', 495,
        '*', 613,
        '+', 608,
        ',', 502,
        '-', 605,
        '.', 431,
        '/', 615,
        '0', 640,
        ':', 470,
        ';', 460,
        '<', 617,
        '=', 528,
        '>', 619,
        '?', 624,
        '@', 125,
        'F', 652,
        'T', 649,
        '[', 506,
        ']', 507,
        '^', 623,
        'a', 1021,
        'b', 1026,
        'c', 1017,
        'd', 1018,
        'e', 1024,
        'f', 1019,
        'g', 909,
        'h', 942,
        'i', 883,
        'l', 895,
        'm', 894,
        'n', 856,
        'o', 884,
        'p', 828,
        'r', 857,
        's', 842,
        't', 832,
        'u', 929,
        'v', 872,
        'w', 888,
        '{', 464,
        '|', 598,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(0);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(1032);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(641);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(1188);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 602,
        '"', 27,
        '#', 1186,
        '$', 596,
        '%', 616,
        '&', 622,
        '(', 494,
        ')', 495,
        '*', 613,
        '+', 608,
        ',', 502,
        '-', 605,
        '.', 431,
        '/', 615,
        '0', 634,
        ':', 470,
        ';', 460,
        '<', 617,
        '=', 528,
        '>', 619,
        '?', 624,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        ']', 507,
        '^', 623,
        '_', 1007,
        'a', 817,
        'c', 815,
        'f', 808,
        'h', 757,
        'i', 745,
        'l', 750,
        'r', 710,
        's', 681,
        't', 674,
        'v', 706,
        '{', 464,
        '|', 598,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(2);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('b' <= lookahead && lookahead <= 'e')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 602,
        '"', 27,
        '#', 1186,
        '$', 596,
        '%', 616,
        '&', 621,
        '(', 494,
        ')', 495,
        '*', 613,
        '+', 608,
        ',', 502,
        '-', 605,
        '.', 431,
        '/', 615,
        '0', 634,
        ':', 470,
        ';', 460,
        '<', 617,
        '=', 528,
        '>', 619,
        '?', 624,
        '@', 124,
        'F', 650,
        'T', 647,
        '[', 506,
        ']', 507,
        '^', 623,
        '_', 1007,
        'a', 817,
        'c', 815,
        'f', 808,
        'h', 757,
        'i', 745,
        'l', 750,
        'r', 710,
        's', 681,
        't', 674,
        'v', 706,
        '{', 464,
        '|', 598,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(3);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('b' <= lookahead && lookahead <= 'e')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 602,
        '"', 27,
        '#', 1186,
        '$', 596,
        '%', 616,
        '&', 621,
        '(', 494,
        '*', 613,
        '+', 608,
        '-', 605,
        '.', 431,
        '/', 615,
        '0', 634,
        ':', 88,
        ';', 460,
        '<', 617,
        '=', 528,
        '>', 619,
        '?', 624,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '^', 623,
        '_', 1007,
        'a', 805,
        'b', 816,
        'c', 802,
        'd', 809,
        'e', 813,
        'f', 801,
        'h', 757,
        'i', 714,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 672,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 598,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(4);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 602,
        '"', 27,
        '#', 1186,
        '$', 596,
        '%', 616,
        '&', 621,
        '(', 494,
        '*', 613,
        '+', 608,
        '-', 605,
        '.', 431,
        '/', 615,
        '0', 634,
        ':', 88,
        ';', 460,
        '<', 617,
        '=', 528,
        '>', 619,
        '?', 624,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '^', 623,
        '_', 1007,
        'a', 805,
        'b', 816,
        'c', 802,
        'd', 809,
        'e', 813,
        'f', 801,
        'h', 757,
        'i', 714,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 674,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 598,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(5);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 602,
        '"', 27,
        '#', 1186,
        '$', 596,
        '%', 616,
        '&', 621,
        '(', 494,
        '*', 613,
        '+', 608,
        '-', 605,
        '.', 431,
        '/', 615,
        '0', 634,
        ':', 88,
        ';', 460,
        '<', 617,
        '=', 528,
        '>', 619,
        '?', 624,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '^', 623,
        '_', 1007,
        'a', 805,
        'b', 816,
        'c', 802,
        'd', 809,
        'e', 821,
        'f', 801,
        'h', 757,
        'i', 714,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 672,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 598,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(6);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 602,
        '"', 27,
        '#', 1186,
        '$', 596,
        '%', 616,
        '&', 621,
        '(', 494,
        '*', 613,
        '+', 608,
        '-', 605,
        '.', 431,
        '/', 615,
        '0', 634,
        ':', 88,
        ';', 460,
        '<', 617,
        '=', 528,
        '>', 619,
        '?', 624,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '^', 623,
        '_', 1007,
        'a', 805,
        'b', 816,
        'c', 802,
        'd', 809,
        'e', 821,
        'f', 801,
        'h', 757,
        'i', 714,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 674,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 598,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(7);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 602,
        '#', 1186,
        '$', 596,
        '%', 616,
        '&', 622,
        '(', 494,
        ')', 495,
        '*', 613,
        '+', 609,
        ',', 502,
        '-', 606,
        '/', 614,
        ':', 469,
        ';', 460,
        '<', 617,
        '=', 528,
        '>', 619,
        '?', 624,
        '@', 190,
        '[', 506,
        ']', 507,
        '^', 623,
        'a', 377,
        'c', 165,
        'd', 154,
        'e', 415,
        'f', 414,
        'g', 290,
        'h', 333,
        'i', 304,
        'm', 271,
        'o', 246,
        'r', 231,
        's', 225,
        't', 429,
        'u', 383,
        '{', 464,
        '|', 598,
        '}', 465,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(8);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(646);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 602,
        '#', 1186,
        '$', 596,
        '%', 616,
        '&', 621,
        '(', 494,
        ')', 495,
        '*', 613,
        '+', 609,
        ',', 502,
        '-', 606,
        '/', 614,
        ':', 469,
        ';', 460,
        '<', 617,
        '=', 528,
        '>', 619,
        '?', 624,
        '@', 190,
        '[', 506,
        ']', 507,
        '^', 623,
        'a', 377,
        'c', 331,
        'd', 153,
        'e', 415,
        'f', 414,
        'g', 290,
        'h', 333,
        'i', 304,
        'm', 271,
        'o', 246,
        'r', 231,
        's', 225,
        't', 429,
        'u', 383,
        '{', 464,
        '|', 598,
        '}', 465,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(9);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 601,
        '"', 27,
        '#', 1186,
        '$', 596,
        '&', 148,
        '(', 494,
        ')', 495,
        '+', 608,
        ',', 502,
        '-', 605,
        '.', 431,
        '/', 75,
        '0', 634,
        ':', 470,
        ';', 460,
        '=', 527,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        ']', 507,
        '_', 1007,
        'c', 815,
        'f', 808,
        'h', 757,
        'l', 750,
        'r', 710,
        's', 681,
        't', 674,
        'v', 706,
        '{', 464,
        '|', 597,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(10);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 601,
        '"', 27,
        '#', 1186,
        '$', 596,
        '&', 148,
        '(', 494,
        '+', 608,
        '-', 605,
        '.', 431,
        '/', 75,
        '0', 634,
        ':', 88,
        ';', 460,
        '=', 527,
        '@', 124,
        'F', 650,
        'T', 647,
        '[', 506,
        '_', 1007,
        'c', 815,
        'f', 808,
        'h', 757,
        'l', 750,
        'o', 717,
        'r', 710,
        's', 681,
        't', 674,
        'v', 706,
        '{', 464,
        '|', 597,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(11);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 601,
        '"', 27,
        '#', 1186,
        '$', 596,
        '(', 494,
        ')', 495,
        '+', 607,
        '-', 604,
        '.', 431,
        '/', 75,
        '0', 634,
        ':', 88,
        ';', 460,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '_', 1007,
        'a', 804,
        'b', 816,
        'c', 802,
        'd', 809,
        'e', 813,
        'f', 801,
        'h', 757,
        'i', 715,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 672,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 597,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(12);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 601,
        '"', 27,
        '#', 1186,
        '$', 596,
        '(', 494,
        ')', 495,
        '+', 607,
        '-', 604,
        '.', 431,
        '/', 75,
        '0', 634,
        ':', 88,
        ';', 460,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '_', 1007,
        'a', 804,
        'b', 816,
        'c', 802,
        'd', 809,
        'e', 813,
        'f', 801,
        'h', 757,
        'i', 715,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 674,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 597,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(13);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 601,
        '"', 27,
        '#', 1186,
        '$', 596,
        '(', 494,
        ')', 495,
        '+', 607,
        '-', 604,
        '.', 431,
        '/', 75,
        '0', 634,
        ':', 88,
        ';', 460,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '_', 1007,
        'a', 804,
        'b', 816,
        'c', 802,
        'd', 809,
        'e', 821,
        'f', 801,
        'h', 757,
        'i', 715,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 672,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 597,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(14);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 601,
        '"', 27,
        '#', 1186,
        '$', 596,
        '(', 494,
        ')', 495,
        '+', 607,
        '-', 604,
        '.', 431,
        '/', 75,
        '0', 634,
        ':', 88,
        ';', 460,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '_', 1007,
        'a', 804,
        'b', 816,
        'c', 802,
        'd', 809,
        'e', 821,
        'f', 801,
        'h', 757,
        'i', 715,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 674,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 597,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(15);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 601,
        '"', 27,
        '#', 1186,
        '$', 596,
        '(', 494,
        '+', 607,
        '-', 604,
        '.', 431,
        '/', 75,
        '0', 634,
        ':', 88,
        ';', 460,
        '@', 124,
        'F', 650,
        'T', 647,
        '[', 506,
        '_', 1007,
        'c', 815,
        'f', 808,
        'h', 757,
        'l', 750,
        'r', 710,
        's', 681,
        't', 674,
        'v', 706,
        'w', 724,
        '{', 464,
        '|', 597,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(16);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 601,
        '"', 27,
        '#', 1186,
        '$', 596,
        '(', 494,
        '+', 607,
        '-', 604,
        '.', 431,
        '/', 75,
        '0', 634,
        ':', 88,
        '@', 124,
        'F', 650,
        'T', 647,
        '[', 506,
        '_', 1007,
        'c', 815,
        'f', 808,
        'h', 757,
        'l', 750,
        'r', 710,
        's', 681,
        't', 673,
        'v', 706,
        '{', 464,
        '|', 597,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(17);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '"', 27,
        '#', 1186,
        '.', 431,
        '0', 634,
        ':', 94,
        '@', 124,
        'F', 651,
        'T', 648,
        'f', 54,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(18);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(55);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '#', 1186,
        '(', 494,
        ')', 495,
        ':', 91,
        '[', 506,
        '}', 465,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '#', 1186,
        ':', 91,
        'a', 853,
        'b', 938,
        'c', 950,
        'd', 939,
        'e', 927,
        'f', 893,
        'h', 943,
        'i', 936,
        'l', 896,
        'o', 955,
        'p', 829,
        'r', 875,
        's', 877,
        't', 833,
        'u', 930,
        'v', 872,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(20);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 21:
      if (lookahead == '\n') ADVANCE(1188);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1186);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'c') ADVANCE(945);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(21);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 22:
      if (lookahead == '\n') ADVANCE(1188);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1186);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(927);
      if (lookahead == 'r') ADVANCE(875);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(22);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 23:
      if (lookahead == '\n') ADVANCE(1188);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1186);
      if (lookahead == ':') ADVANCE(469);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == 'o') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(23);
      END_STATE();
    case 24:
      if (lookahead == '\n') ADVANCE(1188);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1040);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(24);
      if (lookahead != 0) ADVANCE(1045);
      END_STATE();
    case 25:
      if (lookahead == '"') ADVANCE(1181);
      if (lookahead == '\\') ADVANCE(419);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(25);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(27);
      END_STATE();
    case 26:
      if (lookahead == '"') ADVANCE(1181);
      if (lookahead == '\\') ADVANCE(419);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(27);
      END_STATE();
    case 27:
      if (lookahead == '"') ADVANCE(1181);
      if (lookahead == '\\') ADVANCE(419);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(27);
      END_STATE();
    case 28:
      if (lookahead == '%') ADVANCE(446);
      END_STATE();
    case 29:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(1058);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 30:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(47);
      END_STATE();
    case 31:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(30);
      END_STATE();
    case 32:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1063);
      END_STATE();
    case 33:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 34:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(33);
      END_STATE();
    case 35:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 36:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(1059);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 37:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(35);
      END_STATE();
    case 38:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 39:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 40:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1071);
      END_STATE();
    case 41:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 42:
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 43:
      if (lookahead == '%') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(28);
      END_STATE();
    case 44:
      if (lookahead == '%') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == '%') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1075);
      END_STATE();
    case 46:
      if (lookahead == '%') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 47:
      if (lookahead == '%') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 48:
      if (lookahead == '+') ADVANCE(432);
      if (lookahead == '-') ADVANCE(60);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1162);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 49:
      if (lookahead == '+') ADVANCE(432);
      if (lookahead == '-') ADVANCE(60);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1163);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 50:
      if (lookahead == '+') ADVANCE(432);
      if (lookahead == '-') ADVANCE(60);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1165);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 51:
      if (lookahead == '+') ADVANCE(432);
      if (lookahead == '-') ADVANCE(60);
      if (lookahead == '.') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1165);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 52:
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '0') ADVANCE(59);
      if (lookahead == ':') ADVANCE(89);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 53:
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '8') ADVANCE(52);
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 54:
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == 'e') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 55:
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 56:
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 57:
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 58:
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 59:
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(36);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 60:
      if (lookahead == '.') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1165);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 61:
      if (lookahead == '.') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1174);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 62:
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 63:
      if (lookahead == '.') ADVANCE(78);
      END_STATE();
    case 64:
      if (lookahead == '.') ADVANCE(78);
      if (lookahead == '5') ADVANCE(65);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(66);
      END_STATE();
    case 65:
      if (lookahead == '.') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(63);
      END_STATE();
    case 66:
      if (lookahead == '.') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(63);
      END_STATE();
    case 67:
      if (lookahead == '.') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == '.') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 69:
      if (lookahead == '.') ADVANCE(434);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(69);
      END_STATE();
    case 70:
      if (lookahead == '.') ADVANCE(80);
      END_STATE();
    case 71:
      if (lookahead == '.') ADVANCE(80);
      if (lookahead == '5') ADVANCE(72);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(73);
      END_STATE();
    case 72:
      if (lookahead == '.') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(70);
      END_STATE();
    case 73:
      if (lookahead == '.') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(70);
      END_STATE();
    case 74:
      if (lookahead == '.') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(73);
      END_STATE();
    case 75:
      if (lookahead == '/') ADVANCE(1049);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(75);
      END_STATE();
    case 76:
      if (lookahead == '/') ADVANCE(1047);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(75);
      END_STATE();
    case 77:
      if (lookahead == '0') ADVANCE(1076);
      if (lookahead == '1') ADVANCE(1109);
      if (lookahead == '2') ADVANCE(1082);
      if (('3' <= lookahead && lookahead <= '9')) ADVANCE(1110);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1149);
      END_STATE();
    case 78:
      if (lookahead == '1') ADVANCE(1153);
      if (lookahead == '2') ADVANCE(1121);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1152);
      END_STATE();
    case 79:
      if (lookahead == '1') ADVANCE(74);
      if (lookahead == '2') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(73);
      END_STATE();
    case 80:
      if (lookahead == '1') ADVANCE(67);
      if (lookahead == '2') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      END_STATE();
    case 81:
      if (lookahead == '1') ADVANCE(1103);
      if (lookahead == '2') ADVANCE(1081);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1104);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1145);
      END_STATE();
    case 82:
      if (lookahead == ':') ADVANCE(89);
      END_STATE();
    case 83:
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1169);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      END_STATE();
    case 84:
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1173);
      END_STATE();
    case 85:
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1168);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      END_STATE();
    case 86:
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      END_STATE();
    case 87:
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      END_STATE();
    case 88:
      if (lookahead == ':') ADVANCE(1114);
      END_STATE();
    case 89:
      if (lookahead == ':') ADVANCE(1119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 90:
      if (lookahead == ':') ADVANCE(1120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 91:
      if (lookahead == ':') ADVANCE(445);
      END_STATE();
    case 92:
      if (lookahead == ':') ADVANCE(1050);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1156);
      END_STATE();
    case 93:
      if (lookahead == ':') ADVANCE(1157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(103);
      END_STATE();
    case 94:
      if (lookahead == ':') ADVANCE(1115);
      END_STATE();
    case 95:
      if (lookahead == ':') ADVANCE(1158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 96:
      if (lookahead == ':') ADVANCE(93);
      END_STATE();
    case 97:
      if (lookahead == ':') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(96);
      END_STATE();
    case 98:
      if (lookahead == ':') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(97);
      END_STATE();
    case 99:
      if (lookahead == ':') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(98);
      END_STATE();
    case 100:
      if (lookahead == ':') ADVANCE(95);
      END_STATE();
    case 101:
      if (lookahead == ':') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 102:
      if (lookahead == ':') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(100);
      END_STATE();
    case 103:
      if (lookahead == ':') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(101);
      END_STATE();
    case 104:
      if (lookahead == ':') ADVANCE(92);
      END_STATE();
    case 105:
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 106:
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 107:
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(105);
      END_STATE();
    case 108:
      if (lookahead == ':') ADVANCE(116);
      END_STATE();
    case 109:
      if (lookahead == ':') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      END_STATE();
    case 110:
      if (lookahead == ':') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      END_STATE();
    case 111:
      if (lookahead == ':') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 112:
      if (lookahead == ':') ADVANCE(121);
      END_STATE();
    case 113:
      if (lookahead == ':') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 114:
      if (lookahead == ':') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 115:
      if (lookahead == ':') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 116:
      if (lookahead == ':') ADVANCE(1116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 117:
      if (lookahead == ':') ADVANCE(122);
      END_STATE();
    case 118:
      if (lookahead == ':') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 119:
      if (lookahead == ':') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 120:
      if (lookahead == ':') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(119);
      END_STATE();
    case 121:
      if (lookahead == ':') ADVANCE(1117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 122:
      if (lookahead == ':') ADVANCE(1118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 123:
      if (lookahead == 'A') ADVANCE(131);
      END_STATE();
    case 124:
      if (lookahead == 'D') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(129);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        'D', 128,
        'F', 129,
        'd', 214,
        'e', 284,
        'i', 240,
        'l', 321,
        'p', 359,
        'u', 299,
      );
      END_STATE();
    case 126:
      if (lookahead == 'E') ADVANCE(132);
      END_STATE();
    case 127:
      if (lookahead == 'E') ADVANCE(665);
      END_STATE();
    case 128:
      if (lookahead == 'I') ADVANCE(133);
      END_STATE();
    case 129:
      if (lookahead == 'I') ADVANCE(130);
      END_STATE();
    case 130:
      if (lookahead == 'L') ADVANCE(126);
      END_STATE();
    case 131:
      if (lookahead == 'M') ADVANCE(127);
      END_STATE();
    case 132:
      if (lookahead == 'N') ADVANCE(123);
      END_STATE();
    case 133:
      if (lookahead == 'R') ADVANCE(664);
      END_STATE();
    case 134:
      if (lookahead == '_') ADVANCE(152);
      END_STATE();
    case 135:
      if (lookahead == '_') ADVANCE(157);
      END_STATE();
    case 136:
      if (lookahead == '_') ADVANCE(249);
      END_STATE();
    case 137:
      if (lookahead == '_') ADVANCE(171);
      END_STATE();
    case 138:
      if (lookahead == '_') ADVANCE(177);
      END_STATE();
    case 139:
      if (lookahead == '_') ADVANCE(327);
      END_STATE();
    case 140:
      if (lookahead == '_') ADVANCE(401);
      END_STATE();
    case 141:
      if (lookahead == '_') ADVANCE(212);
      END_STATE();
    case 142:
      if (lookahead == '_') ADVANCE(260);
      END_STATE();
    case 143:
      if (lookahead == '_') ADVANCE(178);
      END_STATE();
    case 144:
      if (lookahead == '_') ADVANCE(252);
      END_STATE();
    case 145:
      if (lookahead == '_') ADVANCE(253);
      END_STATE();
    case 146:
      if (lookahead == '_') ADVANCE(236);
      END_STATE();
    case 147:
      if (lookahead == '_') ADVANCE(237);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        'a', 189,
        'b', 149,
        'c', 358,
        'd', 199,
        'e', 371,
        'g', 360,
        'i', 374,
        'l', 320,
        'o', 307,
        'p', 355,
        'r', 150,
        't', 427,
        'w', 357,
      );
      END_STATE();
    case 149:
      if (lookahead == 'a') ADVANCE(169);
      if (lookahead == 'r') ADVANCE(337);
      END_STATE();
    case 150:
      if (lookahead == 'a') ADVANCE(416);
      if (lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(403);
      END_STATE();
    case 152:
      if (lookahead == 'a') ADVANCE(378);
      if (lookahead == 'u') ADVANCE(382);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(426);
      END_STATE();
    case 154:
      if (lookahead == 'a') ADVANCE(426);
      if (lookahead == 'e') ADVANCE(251);
      END_STATE();
    case 155:
      if (lookahead == 'a') ADVANCE(282);
      END_STATE();
    case 156:
      if (lookahead == 'a') ADVANCE(182);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(294);
      if (lookahead == 's') ADVANCE(393);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(183);
      END_STATE();
    case 159:
      if (lookahead == 'a') ADVANCE(308);
      END_STATE();
    case 160:
      if (lookahead == 'a') ADVANCE(283);
      END_STATE();
    case 161:
      if (lookahead == 'a') ADVANCE(194);
      if (lookahead == 'd') ADVANCE(216);
      END_STATE();
    case 162:
      if (lookahead == 'a') ADVANCE(410);
      END_STATE();
    case 163:
      if (lookahead == 'a') ADVANCE(316);
      END_STATE();
    case 164:
      if (lookahead == 'a') ADVANCE(396);
      END_STATE();
    case 165:
      if (lookahead == 'a') ADVANCE(384);
      if (lookahead == 'o') ADVANCE(312);
      END_STATE();
    case 166:
      if (lookahead == 'a') ADVANCE(397);
      END_STATE();
    case 167:
      if (lookahead == 'a') ADVANCE(402);
      END_STATE();
    case 168:
      if (lookahead == 'b') ADVANCE(160);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(280);
      END_STATE();
    case 170:
      if (lookahead == 'c') ADVANCE(296);
      END_STATE();
    case 171:
      if (lookahead == 'c') ADVANCE(259);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(583);
      END_STATE();
    case 173:
      if (lookahead == 'c') ADVANCE(588);
      END_STATE();
    case 174:
      if (lookahead == 'c') ADVANCE(589);
      END_STATE();
    case 175:
      if (lookahead == 'c') ADVANCE(1177);
      END_STATE();
    case 176:
      if (lookahead == 'c') ADVANCE(341);
      END_STATE();
    case 177:
      if (lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 178:
      if (lookahead == 'c') ADVANCE(338);
      END_STATE();
    case 179:
      if (lookahead == 'c') ADVANCE(164);
      END_STATE();
    case 180:
      if (lookahead == 'c') ADVANCE(166);
      END_STATE();
    case 181:
      if (lookahead == 'c') ADVANCE(400);
      END_STATE();
    case 182:
      if (lookahead == 'd') ADVANCE(654);
      END_STATE();
    case 183:
      if (lookahead == 'd') ADVANCE(657);
      END_STATE();
    case 184:
      if (lookahead == 'd') ADVANCE(584);
      END_STATE();
    case 185:
      if (lookahead == 'd') ADVANCE(578);
      END_STATE();
    case 186:
      if (lookahead == 'd') ADVANCE(573);
      END_STATE();
    case 187:
      if (lookahead == 'd') ADVANCE(653);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(577);
      END_STATE();
    case 189:
      if (lookahead == 'd') ADVANCE(191);
      END_STATE();
    case 190:
      if (lookahead == 'd') ADVANCE(214);
      if (lookahead == 'e') ADVANCE(284);
      if (lookahead == 'i') ADVANCE(240);
      if (lookahead == 'l') ADVANCE(321);
      if (lookahead == 'p') ADVANCE(359);
      if (lookahead == 'u') ADVANCE(299);
      END_STATE();
    case 191:
      if (lookahead == 'd') ADVANCE(136);
      END_STATE();
    case 192:
      if (lookahead == 'd') ADVANCE(341);
      if (lookahead == 'n') ADVANCE(279);
      END_STATE();
    case 193:
      if (lookahead == 'd') ADVANCE(267);
      END_STATE();
    case 194:
      if (lookahead == 'd') ADVANCE(141);
      END_STATE();
    case 195:
      if (lookahead == 'd') ADVANCE(291);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(413);
      END_STATE();
    case 197:
      if (lookahead == 'd') ADVANCE(221);
      END_STATE();
    case 198:
      if (lookahead == 'd') ADVANCE(224);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(248);
      END_STATE();
    case 200:
      if (lookahead == 'e') ADVANCE(663);
      END_STATE();
    case 201:
      if (lookahead == 'e') ADVANCE(591);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(593);
      END_STATE();
    case 203:
      if (lookahead == 'e') ADVANCE(585);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(595);
      END_STATE();
    case 205:
      if (lookahead == 'e') ADVANCE(586);
      END_STATE();
    case 206:
      if (lookahead == 'e') ADVANCE(575);
      END_STATE();
    case 207:
      if (lookahead == 'e') ADVANCE(531);
      END_STATE();
    case 208:
      if (lookahead == 'e') ADVANCE(484);
      END_STATE();
    case 209:
      if (lookahead == 'e') ADVANCE(457);
      END_STATE();
    case 210:
      if (lookahead == 'e') ADVANCE(250);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 212:
      if (lookahead == 'e') ADVANCE(422);
      END_STATE();
    case 213:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 215:
      if (lookahead == 'e') ADVANCE(420);
      END_STATE();
    case 216:
      if (lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 217:
      if (lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 218:
      if (lookahead == 'e') ADVANCE(179);
      END_STATE();
    case 219:
      if (lookahead == 'e') ADVANCE(243);
      END_STATE();
    case 220:
      if (lookahead == 'e') ADVANCE(356);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 222:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 224:
      if (lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 225:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 226:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 227:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(317);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 230:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 231:
      if (lookahead == 'e') ADVANCE(198);
      END_STATE();
    case 232:
      if (lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 233:
      if (lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 234:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 236:
      if (lookahead == 'e') ADVANCE(423);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(424);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(146);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 240:
      if (lookahead == 'f') ADVANCE(659);
      END_STATE();
    case 241:
      if (lookahead == 'f') ADVANCE(582);
      END_STATE();
    case 242:
      if (lookahead == 'f') ADVANCE(662);
      END_STATE();
    case 243:
      if (lookahead == 'f') ADVANCE(660);
      END_STATE();
    case 244:
      if (lookahead == 'f') ADVANCE(661);
      END_STATE();
    case 245:
      if (lookahead == 'f') ADVANCE(554);
      END_STATE();
    case 246:
      if (lookahead == 'f') ADVANCE(554);
      if (lookahead == 'p') ADVANCE(399);
      END_STATE();
    case 247:
      if (lookahead == 'f') ADVANCE(477);
      END_STATE();
    case 248:
      if (lookahead == 'f') ADVANCE(151);
      if (lookahead == 'l') ADVANCE(230);
      if (lookahead == 'p') ADVANCE(366);
      END_STATE();
    case 249:
      if (lookahead == 'f') ADVANCE(405);
      END_STATE();
    case 250:
      if (lookahead == 'f') ADVANCE(261);
      END_STATE();
    case 251:
      if (lookahead == 'f') ADVANCE(162);
      END_STATE();
    case 252:
      if (lookahead == 'f') ADVANCE(411);
      END_STATE();
    case 253:
      if (lookahead == 'f') ADVANCE(412);
      END_STATE();
    case 254:
      if (lookahead == 'g') ADVANCE(579);
      END_STATE();
    case 255:
      if (lookahead == 'g') ADVANCE(376);
      END_STATE();
    case 256:
      if (lookahead == 'g') ADVANCE(319);
      END_STATE();
    case 257:
      if (lookahead == 'g') ADVANCE(270);
      END_STATE();
    case 258:
      if (lookahead == 'g') ADVANCE(201);
      END_STATE();
    case 259:
      if (lookahead == 'h') ADVANCE(159);
      END_STATE();
    case 260:
      if (lookahead == 'h') ADVANCE(163);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(421);
      END_STATE();
    case 262:
      if (lookahead == 'i') ADVANCE(170);
      if (lookahead == 't') ADVANCE(176);
      if (lookahead == 'u') ADVANCE(192);
      END_STATE();
    case 263:
      if (lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 264:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 265:
      if (lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 266:
      if (lookahead == 'i') ADVANCE(391);
      END_STATE();
    case 267:
      if (lookahead == 'i') ADVANCE(242);
      END_STATE();
    case 268:
      if (lookahead == 'i') ADVANCE(329);
      END_STATE();
    case 269:
      if (lookahead == 'i') ADVANCE(326);
      END_STATE();
    case 270:
      if (lookahead == 'i') ADVANCE(302);
      END_STATE();
    case 271:
      if (lookahead == 'i') ADVANCE(303);
      if (lookahead == 'o') ADVANCE(196);
      if (lookahead == 's') ADVANCE(225);
      END_STATE();
    case 272:
      if (lookahead == 'i') ADVANCE(332);
      END_STATE();
    case 273:
      if (lookahead == 'i') ADVANCE(334);
      END_STATE();
    case 274:
      if (lookahead == 'i') ADVANCE(373);
      END_STATE();
    case 275:
      if (lookahead == 'i') ADVANCE(367);
      END_STATE();
    case 276:
      if (lookahead == 'i') ADVANCE(369);
      END_STATE();
    case 277:
      if (lookahead == 'i') ADVANCE(370);
      END_STATE();
    case 278:
      if (lookahead == 'k') ADVANCE(568);
      END_STATE();
    case 279:
      if (lookahead == 'k') ADVANCE(314);
      END_STATE();
    case 280:
      if (lookahead == 'k') ADVANCE(213);
      END_STATE();
    case 281:
      if (lookahead == 'k') ADVANCE(232);
      END_STATE();
    case 282:
      if (lookahead == 'l') ADVANCE(580);
      END_STATE();
    case 283:
      if (lookahead == 'l') ADVANCE(466);
      END_STATE();
    case 284:
      if (lookahead == 'l') ADVANCE(380);
      if (lookahead == 'n') ADVANCE(193);
      END_STATE();
    case 285:
      if (lookahead == 'l') ADVANCE(385);
      END_STATE();
    case 286:
      if (lookahead == 'l') ADVANCE(407);
      END_STATE();
    case 287:
      if (lookahead == 'l') ADVANCE(404);
      END_STATE();
    case 288:
      if (lookahead == 'l') ADVANCE(335);
      END_STATE();
    case 289:
      if (lookahead == 'l') ADVANCE(390);
      END_STATE();
    case 290:
      if (lookahead == 'l') ADVANCE(323);
      END_STATE();
    case 291:
      if (lookahead == 'l') ADVANCE(220);
      END_STATE();
    case 292:
      if (lookahead == 'l') ADVANCE(215);
      END_STATE();
    case 293:
      if (lookahead == 'l') ADVANCE(209);
      END_STATE();
    case 294:
      if (lookahead == 'l') ADVANCE(288);
      END_STATE();
    case 295:
      if (lookahead == 'l') ADVANCE(336);
      END_STATE();
    case 296:
      if (lookahead == 'm') ADVANCE(341);
      END_STATE();
    case 297:
      if (lookahead == 'm') ADVANCE(350);
      END_STATE();
    case 298:
      if (lookahead == 'm') ADVANCE(301);
      END_STATE();
    case 299:
      if (lookahead == 'n') ADVANCE(295);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(1161);
      END_STATE();
    case 301:
      if (lookahead == 'n') ADVANCE(594);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(656);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(1177);
      END_STATE();
    case 304:
      if (lookahead == 'n') ADVANCE(503);
      if (lookahead == 's') ADVANCE(610);
      END_STATE();
    case 305:
      if (lookahead == 'n') ADVANCE(471);
      END_STATE();
    case 306:
      if (lookahead == 'n') ADVANCE(565);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(137);
      if (lookahead == 'p') ADVANCE(398);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 309:
      if (lookahead == 'n') ADVANCE(155);
      END_STATE();
    case 310:
      if (lookahead == 'n') ADVANCE(184);
      END_STATE();
    case 311:
      if (lookahead == 'n') ADVANCE(172);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(381);
      END_STATE();
    case 313:
      if (lookahead == 'n') ADVANCE(173);
      END_STATE();
    case 314:
      if (lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 315:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 316:
      if (lookahead == 'n') ADVANCE(195);
      END_STATE();
    case 317:
      if (lookahead == 'n') ADVANCE(388);
      END_STATE();
    case 318:
      if (lookahead == 'n') ADVANCE(181);
      END_STATE();
    case 319:
      if (lookahead == 'n') ADVANCE(227);
      END_STATE();
    case 320:
      if (lookahead == 'o') ADVANCE(254);
      END_STATE();
    case 321:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 322:
      if (lookahead == 'o') ADVANCE(406);
      END_STATE();
    case 323:
      if (lookahead == 'o') ADVANCE(168);
      END_STATE();
    case 324:
      if (lookahead == 'o') ADVANCE(417);
      END_STATE();
    case 325:
      if (lookahead == 'o') ADVANCE(278);
      END_STATE();
    case 326:
      if (lookahead == 'o') ADVANCE(309);
      END_STATE();
    case 327:
      if (lookahead == 'o') ADVANCE(408);
      END_STATE();
    case 328:
      if (lookahead == 'o') ADVANCE(362);
      END_STATE();
    case 329:
      if (lookahead == 'o') ADVANCE(363);
      END_STATE();
    case 330:
      if (lookahead == 'o') ADVANCE(365);
      END_STATE();
    case 331:
      if (lookahead == 'o') ADVANCE(312);
      END_STATE();
    case 332:
      if (lookahead == 'o') ADVANCE(305);
      END_STATE();
    case 333:
      if (lookahead == 'o') ADVANCE(325);
      if (lookahead == 'r') ADVANCE(1177);
      END_STATE();
    case 334:
      if (lookahead == 'o') ADVANCE(306);
      END_STATE();
    case 335:
      if (lookahead == 'o') ADVANCE(418);
      END_STATE();
    case 336:
      if (lookahead == 'o') ADVANCE(158);
      END_STATE();
    case 337:
      if (lookahead == 'o') ADVANCE(281);
      END_STATE();
    case 338:
      if (lookahead == 'o') ADVANCE(297);
      END_STATE();
    case 339:
      if (lookahead == 'o') ADVANCE(287);
      END_STATE();
    case 340:
      if (lookahead == 'o') ADVANCE(368);
      END_STATE();
    case 341:
      if (lookahead == 'p') ADVANCE(1161);
      END_STATE();
    case 342:
      if (lookahead == 'p') ADVANCE(590);
      END_STATE();
    case 343:
      if (lookahead == 'p') ADVANCE(274);
      END_STATE();
    case 344:
      if (lookahead == 'p') ADVANCE(286);
      if (lookahead == 's') ADVANCE(265);
      END_STATE();
    case 345:
      if (lookahead == 'p') ADVANCE(229);
      END_STATE();
    case 346:
      if (lookahead == 'p') ADVANCE(330);
      END_STATE();
    case 347:
      if (lookahead == 'p') ADVANCE(206);
      END_STATE();
    case 348:
      if (lookahead == 'p') ADVANCE(208);
      END_STATE();
    case 349:
      if (lookahead == 'p') ADVANCE(409);
      END_STATE();
    case 350:
      if (lookahead == 'p') ADVANCE(292);
      END_STATE();
    case 351:
      if (lookahead == 'p') ADVANCE(275);
      END_STATE();
    case 352:
      if (lookahead == 'p') ADVANCE(276);
      END_STATE();
    case 353:
      if (lookahead == 'p') ADVANCE(277);
      END_STATE();
    case 354:
      if (lookahead == 'p') ADVANCE(372);
      END_STATE();
    case 355:
      if (lookahead == 'r') ADVANCE(268);
      END_STATE();
    case 356:
      if (lookahead == 'r') ADVANCE(576);
      END_STATE();
    case 357:
      if (lookahead == 'r') ADVANCE(264);
      END_STATE();
    case 358:
      if (lookahead == 'r') ADVANCE(211);
      END_STATE();
    case 359:
      if (lookahead == 'r') ADVANCE(210);
      END_STATE();
    case 360:
      if (lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 361:
      if (lookahead == 'r') ADVANCE(328);
      END_STATE();
    case 362:
      if (lookahead == 'r') ADVANCE(142);
      END_STATE();
    case 363:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 364:
      if (lookahead == 'r') ADVANCE(135);
      END_STATE();
    case 365:
      if (lookahead == 'r') ADVANCE(389);
      END_STATE();
    case 366:
      if (lookahead == 'r') ADVANCE(218);
      END_STATE();
    case 367:
      if (lookahead == 'r') ADVANCE(202);
      END_STATE();
    case 368:
      if (lookahead == 'r') ADVANCE(203);
      END_STATE();
    case 369:
      if (lookahead == 'r') ADVANCE(204);
      END_STATE();
    case 370:
      if (lookahead == 'r') ADVANCE(205);
      END_STATE();
    case 371:
      if (lookahead == 'r') ADVANCE(361);
      if (lookahead == 'x') ADVANCE(343);
      END_STATE();
    case 372:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 373:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 374:
      if (lookahead == 's') ADVANCE(134);
      END_STATE();
    case 375:
      if (lookahead == 's') ADVANCE(658);
      END_STATE();
    case 376:
      if (lookahead == 's') ADVANCE(655);
      END_STATE();
    case 377:
      if (lookahead == 's') ADVANCE(537);
      END_STATE();
    case 378:
      if (lookahead == 's') ADVANCE(379);
      END_STATE();
    case 379:
      if (lookahead == 's') ADVANCE(263);
      END_STATE();
    case 380:
      if (lookahead == 's') ADVANCE(200);
      END_STATE();
    case 381:
      if (lookahead == 's') ADVANCE(387);
      END_STATE();
    case 382:
      if (lookahead == 's') ADVANCE(222);
      END_STATE();
    case 383:
      if (lookahead == 's') ADVANCE(225);
      END_STATE();
    case 384:
      if (lookahead == 's') ADVANCE(207);
      END_STATE();
    case 385:
      if (lookahead == 't') ADVANCE(587);
      END_STATE();
    case 386:
      if (lookahead == 't') ADVANCE(581);
      END_STATE();
    case 387:
      if (lookahead == 't') ADVANCE(474);
      END_STATE();
    case 388:
      if (lookahead == 't') ADVANCE(489);
      END_STATE();
    case 389:
      if (lookahead == 't') ADVANCE(461);
      END_STATE();
    case 390:
      if (lookahead == 't') ADVANCE(534);
      END_STATE();
    case 391:
      if (lookahead == 't') ADVANCE(425);
      END_STATE();
    case 392:
      if (lookahead == 't') ADVANCE(349);
      END_STATE();
    case 393:
      if (lookahead == 't') ADVANCE(340);
      END_STATE();
    case 394:
      if (lookahead == 't') ADVANCE(238);
      END_STATE();
    case 395:
      if (lookahead == 't') ADVANCE(233);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(223);
      END_STATE();
    case 397:
      if (lookahead == 't') ADVANCE(226);
      END_STATE();
    case 398:
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 399:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 400:
      if (lookahead == 't') ADVANCE(273);
      END_STATE();
    case 401:
      if (lookahead == 't') ADVANCE(428);
      END_STATE();
    case 402:
      if (lookahead == 't') ADVANCE(239);
      END_STATE();
    case 403:
      if (lookahead == 'u') ADVANCE(285);
      END_STATE();
    case 404:
      if (lookahead == 'u') ADVANCE(298);
      END_STATE();
    case 405:
      if (lookahead == 'u') ADVANCE(311);
      END_STATE();
    case 406:
      if (lookahead == 'u') ADVANCE(342);
      END_STATE();
    case 407:
      if (lookahead == 'u') ADVANCE(257);
      END_STATE();
    case 408:
      if (lookahead == 'u') ADVANCE(392);
      END_STATE();
    case 409:
      if (lookahead == 'u') ADVANCE(386);
      END_STATE();
    case 410:
      if (lookahead == 'u') ADVANCE(289);
      END_STATE();
    case 411:
      if (lookahead == 'u') ADVANCE(313);
      END_STATE();
    case 412:
      if (lookahead == 'u') ADVANCE(315);
      END_STATE();
    case 413:
      if (lookahead == 'u') ADVANCE(293);
      END_STATE();
    case 414:
      if (lookahead == 'u') ADVANCE(318);
      END_STATE();
    case 415:
      if (lookahead == 'v') ADVANCE(228);
      if (lookahead == 'x') ADVANCE(346);
      END_STATE();
    case 416:
      if (lookahead == 'w') ADVANCE(139);
      END_STATE();
    case 417:
      if (lookahead == 'w') ADVANCE(300);
      END_STATE();
    case 418:
      if (lookahead == 'w') ADVANCE(143);
      END_STATE();
    case 419:
      if (lookahead == 'x') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(25);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(27);
      END_STATE();
    case 420:
      if (lookahead == 'x') ADVANCE(140);
      END_STATE();
    case 421:
      if (lookahead == 'x') ADVANCE(217);
      END_STATE();
    case 422:
      if (lookahead == 'x') ADVANCE(351);
      END_STATE();
    case 423:
      if (lookahead == 'x') ADVANCE(352);
      END_STATE();
    case 424:
      if (lookahead == 'x') ADVANCE(353);
      END_STATE();
    case 425:
      if (lookahead == 'y') ADVANCE(592);
      END_STATE();
    case 426:
      if (lookahead == 'y') ADVANCE(1177);
      END_STATE();
    case 427:
      if (lookahead == 'y') ADVANCE(345);
      END_STATE();
    case 428:
      if (lookahead == 'y') ADVANCE(347);
      END_STATE();
    case 429:
      if (lookahead == 'y') ADVANCE(348);
      END_STATE();
    case 430:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1173);
      END_STATE();
    case 431:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1170);
      END_STATE();
    case 432:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1173);
      END_STATE();
    case 433:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(69);
      END_STATE();
    case 434:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1160);
      END_STATE();
    case 435:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(62);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1180);
      END_STATE();
    case 436:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1159);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1180);
      END_STATE();
    case 437:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1180);
      END_STATE();
    case 438:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1175);
      END_STATE();
    case 439:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1149);
      END_STATE();
    case 440:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1134);
      END_STATE();
    case 441:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1137);
      END_STATE();
    case 442:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1156);
      END_STATE();
    case 443:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1141);
      END_STATE();
    case 444:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1145);
      END_STATE();
    case 445:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 446:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1050);
      END_STATE();
    case 447:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 602,
        '"', 27,
        '#', 1186,
        '$', 596,
        '%', 616,
        '&', 621,
        '(', 494,
        '*', 613,
        '+', 608,
        ',', 502,
        '-', 605,
        '.', 431,
        '/', 615,
        '0', 634,
        ':', 88,
        ';', 460,
        '<', 617,
        '=', 528,
        '>', 619,
        '?', 624,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '^', 623,
        '_', 1007,
        'a', 805,
        'b', 816,
        'c', 814,
        'd', 807,
        'e', 821,
        'f', 801,
        'h', 757,
        'i', 714,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 674,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 598,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(447);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 448:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 602,
        '"', 27,
        '#', 1186,
        '$', 596,
        '%', 616,
        '&', 621,
        '(', 494,
        '*', 613,
        '+', 608,
        '-', 605,
        '.', 431,
        '/', 615,
        '0', 634,
        ':', 88,
        ';', 460,
        '<', 617,
        '=', 528,
        '>', 619,
        '?', 624,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '^', 623,
        '_', 1007,
        'a', 805,
        'b', 816,
        'c', 814,
        'd', 807,
        'e', 813,
        'f', 801,
        'h', 757,
        'i', 714,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 672,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 598,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(448);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 449:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 602,
        '"', 27,
        '#', 1186,
        '$', 596,
        '%', 616,
        '&', 621,
        '(', 494,
        '*', 613,
        '+', 608,
        '-', 605,
        '.', 431,
        '/', 615,
        '0', 634,
        ':', 88,
        ';', 460,
        '<', 617,
        '=', 528,
        '>', 619,
        '?', 624,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '^', 623,
        '_', 1007,
        'a', 805,
        'b', 816,
        'c', 814,
        'd', 807,
        'e', 813,
        'f', 801,
        'h', 757,
        'i', 714,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 674,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 598,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(449);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 450:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 602,
        '"', 27,
        '#', 1186,
        '$', 596,
        '%', 616,
        '&', 621,
        '(', 494,
        '*', 613,
        '+', 608,
        '-', 605,
        '.', 431,
        '/', 615,
        '0', 634,
        ':', 88,
        ';', 460,
        '<', 617,
        '=', 528,
        '>', 619,
        '?', 624,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '^', 623,
        '_', 1007,
        'a', 805,
        'b', 816,
        'c', 814,
        'd', 807,
        'e', 821,
        'f', 801,
        'h', 757,
        'i', 714,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 672,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 598,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(450);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 451:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 601,
        '"', 27,
        '#', 1186,
        '$', 596,
        '&', 148,
        '(', 494,
        ')', 495,
        '+', 608,
        ',', 502,
        '-', 604,
        '.', 431,
        '/', 75,
        '0', 634,
        ':', 88,
        ';', 460,
        '=', 527,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '_', 1007,
        'a', 804,
        'b', 816,
        'c', 814,
        'd', 807,
        'e', 820,
        'f', 801,
        'g', 733,
        'h', 757,
        'i', 715,
        'l', 750,
        'm', 751,
        'n', 692,
        'o', 762,
        'p', 766,
        'r', 693,
        's', 680,
        't', 673,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 597,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(451);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 452:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 601,
        '"', 27,
        '#', 1186,
        '$', 596,
        '(', 494,
        ')', 495,
        '+', 607,
        '-', 604,
        '.', 431,
        '/', 75,
        '0', 634,
        ':', 88,
        ';', 460,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '_', 1007,
        'a', 804,
        'b', 816,
        'c', 814,
        'd', 807,
        'e', 813,
        'f', 801,
        'h', 757,
        'i', 715,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 672,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 597,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(452);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 453:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 601,
        '"', 27,
        '#', 1186,
        '$', 596,
        '(', 494,
        ')', 495,
        '+', 607,
        '-', 604,
        '.', 431,
        '/', 75,
        '0', 634,
        ':', 88,
        ';', 460,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '_', 1007,
        'a', 804,
        'b', 816,
        'c', 814,
        'd', 807,
        'e', 813,
        'f', 801,
        'h', 757,
        'i', 715,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 674,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 597,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(453);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 454:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 601,
        '"', 27,
        '#', 1186,
        '$', 596,
        '(', 494,
        ')', 495,
        '+', 607,
        '-', 604,
        '.', 431,
        '/', 75,
        '0', 634,
        ':', 88,
        ';', 460,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '_', 1007,
        'a', 804,
        'b', 816,
        'c', 814,
        'd', 807,
        'e', 821,
        'f', 801,
        'h', 757,
        'i', 715,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 672,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 597,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(454);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 455:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '\n', 1188,
        '\r', 1,
        '!', 601,
        '"', 27,
        '#', 1186,
        '$', 596,
        '(', 494,
        ')', 495,
        '+', 607,
        '-', 604,
        '.', 431,
        '/', 75,
        '0', 634,
        ':', 88,
        ';', 460,
        '@', 125,
        'F', 650,
        'T', 647,
        '[', 506,
        '_', 1007,
        'a', 804,
        'b', 816,
        'c', 814,
        'd', 807,
        'e', 821,
        'f', 801,
        'h', 757,
        'i', 715,
        'l', 750,
        'n', 692,
        'p', 766,
        'r', 701,
        's', 680,
        't', 674,
        'v', 706,
        'w', 719,
        '{', 464,
        '|', 597,
        '}', 465,
        '~', 603,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(455);
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(1114);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_option);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_option);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_option);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_redef);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_redef);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_redef);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_record);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_record);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_print);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_print);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_event);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_event);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_event);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_switch);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_switch);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_next);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_next);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_break);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_break);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_return);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_return);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_add);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(825);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_add);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1033);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_delete);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_delete);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_local);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_local);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_when);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_when);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_timeout);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(625);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_assert);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_assert);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 's') ADVANCE(707);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 's') ADVANCE(878);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_addr);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_count);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_double);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(962);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_interval);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_subnet);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_pattern);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_port);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_table);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_table);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_set);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_set);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_time);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(560);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_timer);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_union);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_list);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_vector);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_vector);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_hook);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_hook);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_hook);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_file);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_opaque);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_AMPdeprecated);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_AMPbroker_allow_complex_type);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_AMPerror_handler);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_AMPis_assigned);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_AMPis_used);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_AMPlog);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_AMPoptional);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_AMPraw_output);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_AMPredef);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_AMPadd_func);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_AMPbackend);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_AMPbroker_store);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_AMPcreate_expire);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_AMPdefault);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_AMPdelete_func);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_AMPexpire_func);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym_AMPgroup);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym_AMPon_change);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym_AMPpriority);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym_AMPread_expire);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym_AMPtype_column);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_AMPwrite_expire);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(628);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(626);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(600);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '=') ADVANCE(574);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(574);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(599);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(599);
      if (lookahead == '=') ADVANCE(481);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(481);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(1049);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(75);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(618);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(620);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(627);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(anon_sym_AMP);
      ADVANCE_MAP(
        '&', 627,
        'a', 189,
        'b', 149,
        'c', 358,
        'd', 199,
        'e', 371,
        'g', 360,
        'i', 374,
        'l', 320,
        'o', 307,
        'p', 355,
        'r', 150,
        't', 427,
        'w', 357,
      );
      END_STATE();
    case 623:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '$') ADVANCE(631);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(anon_sym_copy);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(anon_sym_copy);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(anon_sym_QMARK_DOLLAR);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(anon_sym_schedule);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(anon_sym_schedule);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1172);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == 'x') ADVANCE(61);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(48);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(638);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1172);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(48);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(638);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1172);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(639);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1172);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(636);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1172);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(637);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1172);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(639);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1171);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == 'x') ADVANCE(438);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(644);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1171);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(644);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1171);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(645);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1171);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(84);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(642);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1171);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == ':') ADVANCE(89);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(85);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(643);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1171);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(645);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(646);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(anon_sym_T);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(anon_sym_T);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(anon_sym_T);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym_F);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(anon_sym_F);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(anon_sym_F);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1031);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(anon_sym_ATdeprecated);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(anon_sym_ATload);
      if (lookahead == '-') ADVANCE(344);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(anon_sym_ATload_DASHsigs);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(anon_sym_ATload_DASHplugin);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(anon_sym_ATunload);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(anon_sym_ATprefixes);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(anon_sym_ATif);
      if (lookahead == 'd') ADVANCE(219);
      if (lookahead == 'n') ADVANCE(197);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(anon_sym_ATifdef);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(anon_sym_ATifndef);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(anon_sym_ATendif);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(anon_sym_ATelse);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(anon_sym_ATDIR);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(anon_sym_ATFILENAME);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(669);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(666);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(667);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '0') ADVANCE(800);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(825);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '8') ADVANCE(670);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'a') ADVANCE(678);
      if (lookahead == 'i') ADVANCE(740);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'a') ADVANCE(678);
      if (lookahead == 'y') ADVANCE(765);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'a') ADVANCE(678);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'a') ADVANCE(730);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'a') ADVANCE(731);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'a') ADVANCE(732);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'b') ADVANCE(735);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'b') ADVANCE(677);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'c') ADVANCE(723);
      if (lookahead == 'e') ADVANCE(777);
      if (lookahead == 'w') ADVANCE(725);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'c') ADVANCE(723);
      if (lookahead == 'e') ADVANCE(777);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'c') ADVANCE(676);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'c') ADVANCE(720);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'c') ADVANCE(789);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'c') ADVANCE(755);
      if (lookahead == 'd') ADVANCE(704);
      if (lookahead == 't') ADVANCE(793);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'c') ADVANCE(755);
      if (lookahead == 't') ADVANCE(793);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'c') ADVANCE(755);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'c') ADVANCE(791);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'd') ADVANCE(795);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'd') ADVANCE(482);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'd') ADVANCE(796);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(797);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(685);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(675);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(485);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(552);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(508);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(520);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(458);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(686);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(532);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(716);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(748);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(684);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(772);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(741);
      if (lookahead == 'i') ADVANCE(736);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(741);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(687);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(790);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(758);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(691);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'f') ADVANCE(492);
      if (lookahead == 'n') ADVANCE(504);
      if (lookahead == 's') ADVANCE(611);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'f') ADVANCE(492);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'f') ADVANCE(478);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'f') ADVANCE(555);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'g') ADVANCE(721);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'h') ADVANCE(708);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'h') ADVANCE(498);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'h') ADVANCE(514);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'h') ADVANCE(771);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'h') ADVANCE(713);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'h') ADVANCE(709);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(788);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(756);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(760);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'i') ADVANCE(749);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'k') ADVANCE(569);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'k') ADVANCE(512);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'l') ADVANCE(522);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'l') ADVANCE(467);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'l') ADVANCE(753);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'l') ADVANCE(786);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'l') ADVANCE(696);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'l') ADVANCE(697);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'l') ADVANCE(784);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'l') ADVANCE(699);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'l') ADVANCE(700);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'm') ADVANCE(712);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'n') ADVANCE(524);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'n') ADVANCE(472);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'n') ADVANCE(516);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'n') ADVANCE(566);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'n') ADVANCE(504);
      if (lookahead == 's') ADVANCE(611);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'n') ADVANCE(775);
      if (lookahead == 'p') ADVANCE(798);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'n') ADVANCE(688);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'n') ADVANCE(780);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'n') ADVANCE(781);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(682);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(689);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(729);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(679);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(792);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(769);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(742);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(752);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(794);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(768);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(744);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(773);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'p') ADVANCE(787);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'p') ADVANCE(798);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'p') ADVANCE(761);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'p') ADVANCE(695);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'r') ADVANCE(728);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'r') ADVANCE(500);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'r') ADVANCE(563);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'r') ADVANCE(690);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'r') ADVANCE(743);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'r') ADVANCE(754);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'r') ADVANCE(782);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'r') ADVANCE(783);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 's') ADVANCE(707);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 's') ADVANCE(779);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 's') ADVANCE(703);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(557);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(510);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(475);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(487);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(529);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(462);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(535);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(526);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(722);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(726);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(683);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(759);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(698);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(727);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'u') ADVANCE(718);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'u') ADVANCE(770);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'u') ADVANCE(785);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'u') ADVANCE(738);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'u') ADVANCE(739);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'x') ADVANCE(778);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'y') ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(29);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym_id);
      ADVANCE_MAP(
        '-', 62,
        '.', 435,
        ':', 90,
        '_', 1007,
        'a', 811,
        'e', 671,
        'o', 767,
        'u', 747,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'a') ADVANCE(818);
      if (lookahead == 'o') ADVANCE(746);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'a') ADVANCE(819);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(825);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'd') ADVANCE(806);
      if (lookahead == 's') ADVANCE(774);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'd') ADVANCE(806);
      if (lookahead == 's') ADVANCE(538);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'd') ADVANCE(518);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(812);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(671);
      if (lookahead == 'u') ADVANCE(747);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'f') ADVANCE(803);
      if (lookahead == 'l') ADVANCE(711);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'l') ADVANCE(734);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'l') ADVANCE(711);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'l') ADVANCE(776);
      if (lookahead == 'v') ADVANCE(705);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(746);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'o') ADVANCE(763);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'r') ADVANCE(694);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 's') ADVANCE(539);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 's') ADVANCE(702);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'u') ADVANCE(737);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'v') ADVANCE(705);
      if (lookahead == 'x') ADVANCE(764);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (lookahead == 'v') ADVANCE(705);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(825);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '_') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '0') ADVANCE(1008);
      if (lookahead == ':') ADVANCE(90);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1033);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '8') ADVANCE(826);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1030);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'a') ADVANCE(990);
      if (lookahead == 'o') ADVANCE(964);
      if (lookahead == 'r') ADVANCE(901);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'a') ADVANCE(990);
      if (lookahead == 'o') ADVANCE(964);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'a') ADVANCE(958);
      if (lookahead == 't') ADVANCE(900);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'a') ADVANCE(958);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'a') ADVANCE(839);
      if (lookahead == 'i') ADVANCE(919);
      if (lookahead == 'y') ADVANCE(957);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'a') ADVANCE(839);
      if (lookahead == 'i') ADVANCE(919);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'a') ADVANCE(904);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'a') ADVANCE(906);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'a') ADVANCE(907);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'a') ADVANCE(908);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'b') ADVANCE(935);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'b') ADVANCE(913);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'b') ADVANCE(836);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'b') ADVANCE(915);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'c') ADVANCE(892);
      if (lookahead == 'e') ADVANCE(843);
      if (lookahead == 't') ADVANCE(970);
      if (lookahead == 'u') ADVANCE(838);
      if (lookahead == 'w') ADVANCE(899);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'c') ADVANCE(971);
      if (lookahead == 't') ADVANCE(558);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'c') ADVANCE(971);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'c') ADVANCE(835);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'c') ADVANCE(889);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'c') ADVANCE(946);
      if (lookahead == 'd') ADVANCE(862);
      if (lookahead == 't') ADVANCE(998);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'c') ADVANCE(946);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'c') ADVANCE(991);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'c') ADVANCE(994);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'd') ADVANCE(483);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'd') ADVANCE(1000);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'd') ADVANCE(854);
      if (lookahead == 'n') ADVANCE(1005);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'd') ADVANCE(961);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'd') ADVANCE(1001);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(847);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(834);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(533);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(497);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(885);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(559);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(486);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(553);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(509);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(521);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(545);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(459);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(633);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(849);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(844);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'i') ADVANCE(914);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(848);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(985);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(975);
      if (lookahead == 't') ADVANCE(970);
      if (lookahead == 'u') ADVANCE(838);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(968);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(933);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(993);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(967);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'e') ADVANCE(855);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'f') ADVANCE(493);
      if (lookahead == 'n') ADVANCE(505);
      if (lookahead == 's') ADVANCE(612);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'f') ADVANCE(556);
      if (lookahead == 'p') ADVANCE(830);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'f') ADVANCE(479);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'g') ADVANCE(548);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'g') ADVANCE(890);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'h') ADVANCE(874);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'h') ADVANCE(499);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'h') ADVANCE(515);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'h') ADVANCE(965);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'h') ADVANCE(882);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'i') ADVANCE(910);
      if (lookahead == 'u') ADVANCE(937);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'i') ADVANCE(928);
      if (lookahead == 'o') ADVANCE(852);
      if (lookahead == 's') ADVANCE(873);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'i') ADVANCE(972);
      if (lookahead == 'o') ADVANCE(845);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'i') ADVANCE(972);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'i') ADVANCE(949);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'i') ADVANCE(921);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'i') ADVANCE(989);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'i') ADVANCE(951);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'i') ADVANCE(934);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'i') ADVANCE(952);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'k') ADVANCE(570);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'k') ADVANCE(513);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(543);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(523);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(468);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(547);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(944);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(861);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(988);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(986);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(865);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(866);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(868);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(869);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(871);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'm') ADVANCE(480);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'm') ADVANCE(863);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(525);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(886);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(561);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(473);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(517);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(567);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(995);
      if (lookahead == 'v') ADVANCE(879);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(971);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(897);
      if (lookahead == 's') ADVANCE(873);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(897);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(973);
      if (lookahead == 'p') ADVANCE(1006);
      if (lookahead == 'u') ADVANCE(932);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(980);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(981);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(982);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(876);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(987);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(850);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(941);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(1002);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(903);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(905);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(940);
      if (lookahead == 'r') ADVANCE(971);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(940);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(840);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(954);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(963);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(960);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(996);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(922);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(997);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(923);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(926);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'o') ADVANCE(969);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'p') ADVANCE(1006);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'p') ADVANCE(831);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'p') ADVANCE(953);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'p') ADVANCE(864);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'q') ADVANCE(999);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(501);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(541);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(1003);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(851);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(978);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(948);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(924);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(925);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(983);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(984);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(898);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 's') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 's') ADVANCE(976);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 's') ADVANCE(979);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 's') ADVANCE(860);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(558);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(562);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(511);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(551);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(476);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(544);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(491);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(488);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(530);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(463);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(549);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(536);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(546);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(891);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(846);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(992);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(947);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(881);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(867);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 't') ADVANCE(902);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'u') ADVANCE(918);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'u') ADVANCE(887);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'u') ADVANCE(932);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'u') ADVANCE(966);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'u') ADVANCE(870);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'u') ADVANCE(916);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'u') ADVANCE(917);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'u') ADVANCE(841);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'v') ADVANCE(837);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'x') ADVANCE(977);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'y') ADVANCE(542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == 'y') ADVANCE(630);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(439);
      if (lookahead == 'f') ADVANCE(1011);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1014);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(439);
      if (lookahead == 'f') ADVANCE(1009);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1016);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(439);
      if (lookahead == 'f') ADVANCE(1010);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1013);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1014);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1016);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1013);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'a') ADVANCE(1027);
      if (lookahead == 'o') ADVANCE(931);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(1031);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'a') ADVANCE(1029);
      if (lookahead == 'e') ADVANCE(1023);
      if (lookahead == 'o') ADVANCE(1002);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(1031);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'a') ADVANCE(1025);
      if (lookahead == 'e') ADVANCE(827);
      if (lookahead == 'i') ADVANCE(910);
      if (lookahead == 'o') ADVANCE(959);
      if (lookahead == 'u') ADVANCE(937);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(1031);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'a') ADVANCE(1028);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(1033);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'd') ADVANCE(1022);
      if (lookahead == 'n') ADVANCE(1005);
      if (lookahead == 's') ADVANCE(540);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1031);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'd') ADVANCE(519);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1030);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'f') ADVANCE(1020);
      if (lookahead == 'l') ADVANCE(880);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1030);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'l') ADVANCE(974);
      if (lookahead == 'n') ADVANCE(995);
      if (lookahead == 'v') ADVANCE(879);
      if (lookahead == 'x') ADVANCE(956);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1031);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'l') ADVANCE(911);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1030);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'o') ADVANCE(941);
      if (lookahead == 'r') ADVANCE(858);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1031);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 's') ADVANCE(859);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1030);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'u') ADVANCE(912);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == 'y') ADVANCE(971);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1030);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1033);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1030);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1031);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1035);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1037);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1034);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(sym_id);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '!') ADVANCE(1042);
      if (lookahead == '<') ADVANCE(1043);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1185);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1044);
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '#') ADVANCE(1039);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1187);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1041);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1187);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1041);
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1182);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1042);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1183);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1043);
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1185);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1044);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(sym_file);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(1045);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(sym_pattern);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(sym_pattern);
      if (lookahead == '/') ADVANCE(1049);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == 'i') ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(75);
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(sym_pattern);
      if (lookahead == '/') ADVANCE(1049);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(75);
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(sym_pattern);
      if (lookahead == 'i') ADVANCE(1046);
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(sym_ipv6);
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '5') ADVANCE(1052);
      if (lookahead == ':') ADVANCE(40);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1057);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1054);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1067);
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1056);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1066);
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1057);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1067);
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1056);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1066);
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1054);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1067);
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1064);
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1066);
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == '1') ADVANCE(1055);
      if (lookahead == '2') ADVANCE(1051);
      if (lookahead == ':') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1053);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(668);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == '1') ADVANCE(1055);
      if (lookahead == '2') ADVANCE(1051);
      if (lookahead == ':') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1053);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1065);
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(45);
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1060);
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1061);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1062);
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(40);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1067);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1064);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1066);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(32);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1068);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1069);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1070);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(440);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1072);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1073);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(446);
      if (lookahead == ':') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1074);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '0') ADVANCE(1077);
      if (lookahead == ':') ADVANCE(81);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1111);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1148);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '0') ADVANCE(1113);
      if (lookahead == ':') ADVANCE(81);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1150);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '5') ADVANCE(1083);
      if (lookahead == ':') ADVANCE(439);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1088);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1085);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1129);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '5') ADVANCE(1089);
      if (lookahead == ':') ADVANCE(440);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1093);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1090);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1136);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '5') ADVANCE(1095);
      if (lookahead == ':') ADVANCE(441);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1099);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1096);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1140);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '5') ADVANCE(1101);
      if (lookahead == ':') ADVANCE(443);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1105);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1102);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1144);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '5') ADVANCE(1107);
      if (lookahead == ':') ADVANCE(444);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1111);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1108);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1148);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1087);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1128);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1088);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1129);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1087);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1128);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1085);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1129);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1124);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1128);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1094);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1138);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1094);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1138);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1090);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1136);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1093);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1136);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1138);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1135);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1100);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1142);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1100);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1142);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1096);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1140);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1099);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1140);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1142);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1139);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1106);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1146);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1106);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1146);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1102);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1144);
      END_STATE();
    case 1104:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1105);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1144);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1146);
      END_STATE();
    case 1106:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1143);
      END_STATE();
    case 1107:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1112);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1150);
      END_STATE();
    case 1108:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1112);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1150);
      END_STATE();
    case 1109:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1108);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1148);
      END_STATE();
    case 1110:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1111);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1148);
      END_STATE();
    case 1111:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1150);
      END_STATE();
    case 1112:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1147);
      END_STATE();
    case 1113:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '0') ADVANCE(1123);
      if (lookahead == ':') ADVANCE(81);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1147);
      END_STATE();
    case 1114:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1086);
      if (lookahead == '2') ADVANCE(1078);
      if (lookahead == 'f') ADVANCE(1012);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1084);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1015);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1115:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1086);
      if (lookahead == '2') ADVANCE(1078);
      if (lookahead == 'f') ADVANCE(1125);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1084);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1130);
      END_STATE();
    case 1116:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1091);
      if (lookahead == '2') ADVANCE(1079);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1092);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1137);
      END_STATE();
    case 1117:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1097);
      if (lookahead == '2') ADVANCE(1080);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1098);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1141);
      END_STATE();
    case 1118:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1103);
      if (lookahead == '2') ADVANCE(1081);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1104);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1145);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1109);
      if (lookahead == '2') ADVANCE(1082);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1110);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1149);
      END_STATE();
    case 1120:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1109);
      if (lookahead == '2') ADVANCE(1082);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1110);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1036);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 1121:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '5') ADVANCE(1151);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1050);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1152);
      END_STATE();
    case 1122:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(77);
      END_STATE();
    case 1123:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(81);
      END_STATE();
    case 1124:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(439);
      END_STATE();
    case 1125:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(439);
      if (lookahead == 'f') ADVANCE(1127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1129);
      END_STATE();
    case 1126:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(439);
      if (lookahead == 'f') ADVANCE(1122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1124);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(439);
      if (lookahead == 'f') ADVANCE(1126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1128);
      END_STATE();
    case 1128:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1124);
      END_STATE();
    case 1129:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1128);
      END_STATE();
    case 1130:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1129);
      END_STATE();
    case 1131:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(442);
      END_STATE();
    case 1132:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1133);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1131);
      END_STATE();
    case 1134:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1132);
      END_STATE();
    case 1135:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(440);
      END_STATE();
    case 1136:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1138);
      END_STATE();
    case 1137:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1136);
      END_STATE();
    case 1138:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1135);
      END_STATE();
    case 1139:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(441);
      END_STATE();
    case 1140:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1142);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1140);
      END_STATE();
    case 1142:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1139);
      END_STATE();
    case 1143:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(443);
      END_STATE();
    case 1144:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1146);
      END_STATE();
    case 1145:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1144);
      END_STATE();
    case 1146:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1143);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(444);
      END_STATE();
    case 1148:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1150);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1148);
      END_STATE();
    case 1150:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1147);
      END_STATE();
    case 1151:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1050);
      END_STATE();
    case 1152:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1050);
      END_STATE();
    case 1153:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1152);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1050);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1154);
      END_STATE();
    case 1156:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1155);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1134);
      END_STATE();
    case 1158:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1156);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(sym_ipv4);
      if (lookahead == '.') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1159);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 1160:
      ACCEPT_TOKEN(sym_ipv4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1160);
      END_STATE();
    case 1161:
      ACCEPT_TOKEN(sym_port);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1163);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1165);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 1164:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1164);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1180);
      END_STATE();
    case 1165:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1165);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 1166:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(437);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1166);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 1167:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(433);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1167);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1173);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == ':') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1168);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1170);
      END_STATE();
    case 1171:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1167);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1178);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1166);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1180);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(sym_floatp);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1173);
      END_STATE();
    case 1174:
      ACCEPT_TOKEN(sym_hex);
      if (lookahead == '.') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1174);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 1175:
      ACCEPT_TOKEN(sym_hex);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1175);
      END_STATE();
    case 1176:
      ACCEPT_TOKEN(sym_time_unit);
      END_STATE();
    case 1177:
      ACCEPT_TOKEN(sym_time_unit);
      if (lookahead == 's') ADVANCE(1176);
      END_STATE();
    case 1178:
      ACCEPT_TOKEN(sym_hostname);
      if (lookahead == '+') ADVANCE(432);
      if (lookahead == '-') ADVANCE(1179);
      if (lookahead == '.') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1164);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1180);
      END_STATE();
    case 1179:
      ACCEPT_TOKEN(sym_hostname);
      if (lookahead == '.') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1164);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1180);
      END_STATE();
    case 1180:
      ACCEPT_TOKEN(sym_hostname);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1180);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 1182:
      ACCEPT_TOKEN(sym_zeekygen_head_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1182);
      END_STATE();
    case 1183:
      ACCEPT_TOKEN(sym_zeekygen_prev_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1183);
      END_STATE();
    case 1184:
      ACCEPT_TOKEN(sym_zeekygen_next_comment);
      if (lookahead == '!') ADVANCE(1182);
      if (lookahead == '<') ADVANCE(1183);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1185);
      END_STATE();
    case 1185:
      ACCEPT_TOKEN(sym_zeekygen_next_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1185);
      END_STATE();
    case 1186:
      ACCEPT_TOKEN(sym_minor_comment);
      if (lookahead == '#') ADVANCE(1184);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1187);
      END_STATE();
    case 1187:
      ACCEPT_TOKEN(sym_minor_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1187);
      END_STATE();
    case 1188:
      ACCEPT_TOKEN(sym_nl);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 451},
  [2] = {.lex_state = 2},
  [3] = {.lex_state = 451},
  [4] = {.lex_state = 451},
  [5] = {.lex_state = 451},
  [6] = {.lex_state = 2},
  [7] = {.lex_state = 4},
  [8] = {.lex_state = 5},
  [9] = {.lex_state = 6},
  [10] = {.lex_state = 451},
  [11] = {.lex_state = 448},
  [12] = {.lex_state = 448},
  [13] = {.lex_state = 7},
  [14] = {.lex_state = 447},
  [15] = {.lex_state = 449},
  [16] = {.lex_state = 450},
  [17] = {.lex_state = 449},
  [18] = {.lex_state = 450},
  [19] = {.lex_state = 447},
  [20] = {.lex_state = 447},
  [21] = {.lex_state = 455},
  [22] = {.lex_state = 15},
  [23] = {.lex_state = 10},
  [24] = {.lex_state = 455},
  [25] = {.lex_state = 15},
  [26] = {.lex_state = 455},
  [27] = {.lex_state = 455},
  [28] = {.lex_state = 455},
  [29] = {.lex_state = 455},
  [30] = {.lex_state = 455},
  [31] = {.lex_state = 455},
  [32] = {.lex_state = 455},
  [33] = {.lex_state = 10},
  [34] = {.lex_state = 455},
  [35] = {.lex_state = 455},
  [36] = {.lex_state = 455},
  [37] = {.lex_state = 455},
  [38] = {.lex_state = 15},
  [39] = {.lex_state = 15},
  [40] = {.lex_state = 455},
  [41] = {.lex_state = 10},
  [42] = {.lex_state = 455},
  [43] = {.lex_state = 455},
  [44] = {.lex_state = 455},
  [45] = {.lex_state = 455},
  [46] = {.lex_state = 10},
  [47] = {.lex_state = 455},
  [48] = {.lex_state = 455},
  [49] = {.lex_state = 455},
  [50] = {.lex_state = 10},
  [51] = {.lex_state = 455},
  [52] = {.lex_state = 455},
  [53] = {.lex_state = 455},
  [54] = {.lex_state = 10},
  [55] = {.lex_state = 455},
  [56] = {.lex_state = 455},
  [57] = {.lex_state = 455},
  [58] = {.lex_state = 10},
  [59] = {.lex_state = 455},
  [60] = {.lex_state = 455},
  [61] = {.lex_state = 455},
  [62] = {.lex_state = 10},
  [63] = {.lex_state = 455},
  [64] = {.lex_state = 455},
  [65] = {.lex_state = 455},
  [66] = {.lex_state = 10},
  [67] = {.lex_state = 455},
  [68] = {.lex_state = 455},
  [69] = {.lex_state = 455},
  [70] = {.lex_state = 455},
  [71] = {.lex_state = 455},
  [72] = {.lex_state = 455},
  [73] = {.lex_state = 455},
  [74] = {.lex_state = 455},
  [75] = {.lex_state = 455},
  [76] = {.lex_state = 455},
  [77] = {.lex_state = 455},
  [78] = {.lex_state = 455},
  [79] = {.lex_state = 455},
  [80] = {.lex_state = 455},
  [81] = {.lex_state = 455},
  [82] = {.lex_state = 455},
  [83] = {.lex_state = 455},
  [84] = {.lex_state = 455},
  [85] = {.lex_state = 455},
  [86] = {.lex_state = 10},
  [87] = {.lex_state = 10},
  [88] = {.lex_state = 10},
  [89] = {.lex_state = 10},
  [90] = {.lex_state = 10},
  [91] = {.lex_state = 10},
  [92] = {.lex_state = 10},
  [93] = {.lex_state = 10},
  [94] = {.lex_state = 455},
  [95] = {.lex_state = 455},
  [96] = {.lex_state = 455},
  [97] = {.lex_state = 455},
  [98] = {.lex_state = 10},
  [99] = {.lex_state = 10},
  [100] = {.lex_state = 10},
  [101] = {.lex_state = 10},
  [102] = {.lex_state = 10},
  [103] = {.lex_state = 10},
  [104] = {.lex_state = 10},
  [105] = {.lex_state = 10},
  [106] = {.lex_state = 10},
  [107] = {.lex_state = 10},
  [108] = {.lex_state = 10},
  [109] = {.lex_state = 10},
  [110] = {.lex_state = 10},
  [111] = {.lex_state = 10},
  [112] = {.lex_state = 10},
  [113] = {.lex_state = 10},
  [114] = {.lex_state = 10},
  [115] = {.lex_state = 10},
  [116] = {.lex_state = 10},
  [117] = {.lex_state = 10},
  [118] = {.lex_state = 10},
  [119] = {.lex_state = 10},
  [120] = {.lex_state = 455},
  [121] = {.lex_state = 10},
  [122] = {.lex_state = 10},
  [123] = {.lex_state = 10},
  [124] = {.lex_state = 10},
  [125] = {.lex_state = 10},
  [126] = {.lex_state = 10},
  [127] = {.lex_state = 10},
  [128] = {.lex_state = 10},
  [129] = {.lex_state = 10},
  [130] = {.lex_state = 10},
  [131] = {.lex_state = 10},
  [132] = {.lex_state = 10},
  [133] = {.lex_state = 10},
  [134] = {.lex_state = 10},
  [135] = {.lex_state = 10},
  [136] = {.lex_state = 10},
  [137] = {.lex_state = 10},
  [138] = {.lex_state = 10},
  [139] = {.lex_state = 10},
  [140] = {.lex_state = 10},
  [141] = {.lex_state = 10},
  [142] = {.lex_state = 10},
  [143] = {.lex_state = 10},
  [144] = {.lex_state = 10},
  [145] = {.lex_state = 10},
  [146] = {.lex_state = 10},
  [147] = {.lex_state = 10},
  [148] = {.lex_state = 10},
  [149] = {.lex_state = 10},
  [150] = {.lex_state = 10},
  [151] = {.lex_state = 10},
  [152] = {.lex_state = 10},
  [153] = {.lex_state = 10},
  [154] = {.lex_state = 10},
  [155] = {.lex_state = 10},
  [156] = {.lex_state = 10},
  [157] = {.lex_state = 455},
  [158] = {.lex_state = 455},
  [159] = {.lex_state = 455},
  [160] = {.lex_state = 455},
  [161] = {.lex_state = 455},
  [162] = {.lex_state = 455},
  [163] = {.lex_state = 455},
  [164] = {.lex_state = 455},
  [165] = {.lex_state = 455},
  [166] = {.lex_state = 455},
  [167] = {.lex_state = 455},
  [168] = {.lex_state = 455},
  [169] = {.lex_state = 455},
  [170] = {.lex_state = 455},
  [171] = {.lex_state = 455},
  [172] = {.lex_state = 455},
  [173] = {.lex_state = 455},
  [174] = {.lex_state = 455},
  [175] = {.lex_state = 455},
  [176] = {.lex_state = 455},
  [177] = {.lex_state = 455},
  [178] = {.lex_state = 455},
  [179] = {.lex_state = 455},
  [180] = {.lex_state = 455},
  [181] = {.lex_state = 455},
  [182] = {.lex_state = 455},
  [183] = {.lex_state = 455},
  [184] = {.lex_state = 455},
  [185] = {.lex_state = 455},
  [186] = {.lex_state = 455},
  [187] = {.lex_state = 455},
  [188] = {.lex_state = 455},
  [189] = {.lex_state = 455},
  [190] = {.lex_state = 455},
  [191] = {.lex_state = 455},
  [192] = {.lex_state = 455},
  [193] = {.lex_state = 455},
  [194] = {.lex_state = 455},
  [195] = {.lex_state = 455},
  [196] = {.lex_state = 455},
  [197] = {.lex_state = 455},
  [198] = {.lex_state = 455},
  [199] = {.lex_state = 455},
  [200] = {.lex_state = 455},
  [201] = {.lex_state = 455},
  [202] = {.lex_state = 455},
  [203] = {.lex_state = 455},
  [204] = {.lex_state = 455},
  [205] = {.lex_state = 455},
  [206] = {.lex_state = 455},
  [207] = {.lex_state = 455},
  [208] = {.lex_state = 455},
  [209] = {.lex_state = 455},
  [210] = {.lex_state = 455},
  [211] = {.lex_state = 455},
  [212] = {.lex_state = 455},
  [213] = {.lex_state = 455},
  [214] = {.lex_state = 455},
  [215] = {.lex_state = 455},
  [216] = {.lex_state = 455},
  [217] = {.lex_state = 455},
  [218] = {.lex_state = 455},
  [219] = {.lex_state = 455},
  [220] = {.lex_state = 455},
  [221] = {.lex_state = 455},
  [222] = {.lex_state = 455},
  [223] = {.lex_state = 455},
  [224] = {.lex_state = 455},
  [225] = {.lex_state = 455},
  [226] = {.lex_state = 455},
  [227] = {.lex_state = 455},
  [228] = {.lex_state = 455},
  [229] = {.lex_state = 455},
  [230] = {.lex_state = 455},
  [231] = {.lex_state = 455},
  [232] = {.lex_state = 455},
  [233] = {.lex_state = 455},
  [234] = {.lex_state = 455},
  [235] = {.lex_state = 455},
  [236] = {.lex_state = 455},
  [237] = {.lex_state = 455},
  [238] = {.lex_state = 455},
  [239] = {.lex_state = 455},
  [240] = {.lex_state = 455},
  [241] = {.lex_state = 455},
  [242] = {.lex_state = 455},
  [243] = {.lex_state = 455},
  [244] = {.lex_state = 455},
  [245] = {.lex_state = 455},
  [246] = {.lex_state = 455},
  [247] = {.lex_state = 455},
  [248] = {.lex_state = 455},
  [249] = {.lex_state = 455},
  [250] = {.lex_state = 455},
  [251] = {.lex_state = 455},
  [252] = {.lex_state = 455},
  [253] = {.lex_state = 455},
  [254] = {.lex_state = 455},
  [255] = {.lex_state = 455},
  [256] = {.lex_state = 455},
  [257] = {.lex_state = 455},
  [258] = {.lex_state = 455},
  [259] = {.lex_state = 455},
  [260] = {.lex_state = 455},
  [261] = {.lex_state = 455},
  [262] = {.lex_state = 455},
  [263] = {.lex_state = 455},
  [264] = {.lex_state = 455},
  [265] = {.lex_state = 455},
  [266] = {.lex_state = 455},
  [267] = {.lex_state = 455},
  [268] = {.lex_state = 455},
  [269] = {.lex_state = 455},
  [270] = {.lex_state = 455},
  [271] = {.lex_state = 455},
  [272] = {.lex_state = 455},
  [273] = {.lex_state = 455},
  [274] = {.lex_state = 455},
  [275] = {.lex_state = 455},
  [276] = {.lex_state = 455},
  [277] = {.lex_state = 455},
  [278] = {.lex_state = 455},
  [279] = {.lex_state = 455},
  [280] = {.lex_state = 455},
  [281] = {.lex_state = 455},
  [282] = {.lex_state = 455},
  [283] = {.lex_state = 455},
  [284] = {.lex_state = 455},
  [285] = {.lex_state = 455},
  [286] = {.lex_state = 455},
  [287] = {.lex_state = 455},
  [288] = {.lex_state = 455},
  [289] = {.lex_state = 8},
  [290] = {.lex_state = 451},
  [291] = {.lex_state = 8},
  [292] = {.lex_state = 8},
  [293] = {.lex_state = 451},
  [294] = {.lex_state = 8},
  [295] = {.lex_state = 451},
  [296] = {.lex_state = 8},
  [297] = {.lex_state = 8},
  [298] = {.lex_state = 451},
  [299] = {.lex_state = 451},
  [300] = {.lex_state = 8},
  [301] = {.lex_state = 451},
  [302] = {.lex_state = 451},
  [303] = {.lex_state = 451},
  [304] = {.lex_state = 451},
  [305] = {.lex_state = 8},
  [306] = {.lex_state = 8},
  [307] = {.lex_state = 451},
  [308] = {.lex_state = 8},
  [309] = {.lex_state = 8},
  [310] = {.lex_state = 8},
  [311] = {.lex_state = 8},
  [312] = {.lex_state = 8},
  [313] = {.lex_state = 8},
  [314] = {.lex_state = 451},
  [315] = {.lex_state = 451},
  [316] = {.lex_state = 8},
  [317] = {.lex_state = 451},
  [318] = {.lex_state = 451},
  [319] = {.lex_state = 451},
  [320] = {.lex_state = 451},
  [321] = {.lex_state = 451},
  [322] = {.lex_state = 451},
  [323] = {.lex_state = 451},
  [324] = {.lex_state = 451},
  [325] = {.lex_state = 8},
  [326] = {.lex_state = 451},
  [327] = {.lex_state = 451},
  [328] = {.lex_state = 451},
  [329] = {.lex_state = 451},
  [330] = {.lex_state = 451},
  [331] = {.lex_state = 451},
  [332] = {.lex_state = 451},
  [333] = {.lex_state = 451},
  [334] = {.lex_state = 451},
  [335] = {.lex_state = 8},
  [336] = {.lex_state = 8},
  [337] = {.lex_state = 8},
  [338] = {.lex_state = 8},
  [339] = {.lex_state = 451},
  [340] = {.lex_state = 8},
  [341] = {.lex_state = 8},
  [342] = {.lex_state = 8},
  [343] = {.lex_state = 451},
  [344] = {.lex_state = 451},
  [345] = {.lex_state = 451},
  [346] = {.lex_state = 8},
  [347] = {.lex_state = 8},
  [348] = {.lex_state = 8},
  [349] = {.lex_state = 8},
  [350] = {.lex_state = 8},
  [351] = {.lex_state = 8},
  [352] = {.lex_state = 8},
  [353] = {.lex_state = 8},
  [354] = {.lex_state = 451},
  [355] = {.lex_state = 8},
  [356] = {.lex_state = 8},
  [357] = {.lex_state = 8},
  [358] = {.lex_state = 8},
  [359] = {.lex_state = 8},
  [360] = {.lex_state = 8},
  [361] = {.lex_state = 8},
  [362] = {.lex_state = 451},
  [363] = {.lex_state = 451},
  [364] = {.lex_state = 8},
  [365] = {.lex_state = 451},
  [366] = {.lex_state = 8},
  [367] = {.lex_state = 8},
  [368] = {.lex_state = 8},
  [369] = {.lex_state = 451},
  [370] = {.lex_state = 451},
  [371] = {.lex_state = 451},
  [372] = {.lex_state = 451},
  [373] = {.lex_state = 451},
  [374] = {.lex_state = 451},
  [375] = {.lex_state = 451},
  [376] = {.lex_state = 8},
  [377] = {.lex_state = 451},
  [378] = {.lex_state = 8},
  [379] = {.lex_state = 451},
  [380] = {.lex_state = 3},
  [381] = {.lex_state = 12},
  [382] = {.lex_state = 12},
  [383] = {.lex_state = 12},
  [384] = {.lex_state = 12},
  [385] = {.lex_state = 13},
  [386] = {.lex_state = 12},
  [387] = {.lex_state = 14},
  [388] = {.lex_state = 13},
  [389] = {.lex_state = 12},
  [390] = {.lex_state = 14},
  [391] = {.lex_state = 12},
  [392] = {.lex_state = 14},
  [393] = {.lex_state = 14},
  [394] = {.lex_state = 12},
  [395] = {.lex_state = 12},
  [396] = {.lex_state = 12},
  [397] = {.lex_state = 12},
  [398] = {.lex_state = 12},
  [399] = {.lex_state = 12},
  [400] = {.lex_state = 13},
  [401] = {.lex_state = 12},
  [402] = {.lex_state = 13},
  [403] = {.lex_state = 12},
  [404] = {.lex_state = 12},
  [405] = {.lex_state = 12},
  [406] = {.lex_state = 12},
  [407] = {.lex_state = 12},
  [408] = {.lex_state = 12},
  [409] = {.lex_state = 12},
  [410] = {.lex_state = 12},
  [411] = {.lex_state = 12},
  [412] = {.lex_state = 12},
  [413] = {.lex_state = 12},
  [414] = {.lex_state = 12},
  [415] = {.lex_state = 12},
  [416] = {.lex_state = 12},
  [417] = {.lex_state = 12},
  [418] = {.lex_state = 12},
  [419] = {.lex_state = 12},
  [420] = {.lex_state = 12},
  [421] = {.lex_state = 12},
  [422] = {.lex_state = 12},
  [423] = {.lex_state = 12},
  [424] = {.lex_state = 12},
  [425] = {.lex_state = 12},
  [426] = {.lex_state = 12},
  [427] = {.lex_state = 15},
  [428] = {.lex_state = 14},
  [429] = {.lex_state = 14},
  [430] = {.lex_state = 14},
  [431] = {.lex_state = 452},
  [432] = {.lex_state = 13},
  [433] = {.lex_state = 13},
  [434] = {.lex_state = 14},
  [435] = {.lex_state = 13},
  [436] = {.lex_state = 14},
  [437] = {.lex_state = 14},
  [438] = {.lex_state = 452},
  [439] = {.lex_state = 14},
  [440] = {.lex_state = 14},
  [441] = {.lex_state = 13},
  [442] = {.lex_state = 13},
  [443] = {.lex_state = 13},
  [444] = {.lex_state = 15},
  [445] = {.lex_state = 13},
  [446] = {.lex_state = 13},
  [447] = {.lex_state = 13},
  [448] = {.lex_state = 14},
  [449] = {.lex_state = 14},
  [450] = {.lex_state = 13},
  [451] = {.lex_state = 14},
  [452] = {.lex_state = 14},
  [453] = {.lex_state = 13},
  [454] = {.lex_state = 13},
  [455] = {.lex_state = 13},
  [456] = {.lex_state = 13},
  [457] = {.lex_state = 14},
  [458] = {.lex_state = 13},
  [459] = {.lex_state = 14},
  [460] = {.lex_state = 13},
  [461] = {.lex_state = 13},
  [462] = {.lex_state = 14},
  [463] = {.lex_state = 13},
  [464] = {.lex_state = 13},
  [465] = {.lex_state = 14},
  [466] = {.lex_state = 14},
  [467] = {.lex_state = 13},
  [468] = {.lex_state = 14},
  [469] = {.lex_state = 15},
  [470] = {.lex_state = 15},
  [471] = {.lex_state = 14},
  [472] = {.lex_state = 13},
  [473] = {.lex_state = 13},
  [474] = {.lex_state = 14},
  [475] = {.lex_state = 14},
  [476] = {.lex_state = 14},
  [477] = {.lex_state = 452},
  [478] = {.lex_state = 13},
  [479] = {.lex_state = 452},
  [480] = {.lex_state = 14},
  [481] = {.lex_state = 452},
  [482] = {.lex_state = 14},
  [483] = {.lex_state = 13},
  [484] = {.lex_state = 14},
  [485] = {.lex_state = 14},
  [486] = {.lex_state = 14},
  [487] = {.lex_state = 13},
  [488] = {.lex_state = 14},
  [489] = {.lex_state = 14},
  [490] = {.lex_state = 14},
  [491] = {.lex_state = 14},
  [492] = {.lex_state = 13},
  [493] = {.lex_state = 452},
  [494] = {.lex_state = 452},
  [495] = {.lex_state = 452},
  [496] = {.lex_state = 13},
  [497] = {.lex_state = 13},
  [498] = {.lex_state = 8},
  [499] = {.lex_state = 8},
  [500] = {.lex_state = 14},
  [501] = {.lex_state = 452},
  [502] = {.lex_state = 452},
  [503] = {.lex_state = 452},
  [504] = {.lex_state = 452},
  [505] = {.lex_state = 452},
  [506] = {.lex_state = 452},
  [507] = {.lex_state = 452},
  [508] = {.lex_state = 452},
  [509] = {.lex_state = 452},
  [510] = {.lex_state = 452},
  [511] = {.lex_state = 452},
  [512] = {.lex_state = 452},
  [513] = {.lex_state = 452},
  [514] = {.lex_state = 452},
  [515] = {.lex_state = 452},
  [516] = {.lex_state = 452},
  [517] = {.lex_state = 452},
  [518] = {.lex_state = 452},
  [519] = {.lex_state = 452},
  [520] = {.lex_state = 452},
  [521] = {.lex_state = 452},
  [522] = {.lex_state = 452},
  [523] = {.lex_state = 452},
  [524] = {.lex_state = 8},
  [525] = {.lex_state = 453},
  [526] = {.lex_state = 453},
  [527] = {.lex_state = 453},
  [528] = {.lex_state = 453},
  [529] = {.lex_state = 454},
  [530] = {.lex_state = 454},
  [531] = {.lex_state = 452},
  [532] = {.lex_state = 452},
  [533] = {.lex_state = 15},
  [534] = {.lex_state = 454},
  [535] = {.lex_state = 454},
  [536] = {.lex_state = 15},
  [537] = {.lex_state = 15},
  [538] = {.lex_state = 453},
  [539] = {.lex_state = 15},
  [540] = {.lex_state = 453},
  [541] = {.lex_state = 15},
  [542] = {.lex_state = 15},
  [543] = {.lex_state = 15},
  [544] = {.lex_state = 15},
  [545] = {.lex_state = 15},
  [546] = {.lex_state = 15},
  [547] = {.lex_state = 15},
  [548] = {.lex_state = 15},
  [549] = {.lex_state = 15},
  [550] = {.lex_state = 15},
  [551] = {.lex_state = 15},
  [552] = {.lex_state = 15},
  [553] = {.lex_state = 15},
  [554] = {.lex_state = 15},
  [555] = {.lex_state = 15},
  [556] = {.lex_state = 15},
  [557] = {.lex_state = 15},
  [558] = {.lex_state = 15},
  [559] = {.lex_state = 452},
  [560] = {.lex_state = 453},
  [561] = {.lex_state = 452},
  [562] = {.lex_state = 452},
  [563] = {.lex_state = 452},
  [564] = {.lex_state = 454},
  [565] = {.lex_state = 452},
  [566] = {.lex_state = 454},
  [567] = {.lex_state = 452},
  [568] = {.lex_state = 452},
  [569] = {.lex_state = 452},
  [570] = {.lex_state = 452},
  [571] = {.lex_state = 452},
  [572] = {.lex_state = 452},
  [573] = {.lex_state = 452},
  [574] = {.lex_state = 452},
  [575] = {.lex_state = 452},
  [576] = {.lex_state = 452},
  [577] = {.lex_state = 452},
  [578] = {.lex_state = 452},
  [579] = {.lex_state = 452},
  [580] = {.lex_state = 452},
  [581] = {.lex_state = 452},
  [582] = {.lex_state = 452},
  [583] = {.lex_state = 452},
  [584] = {.lex_state = 452},
  [585] = {.lex_state = 15},
  [586] = {.lex_state = 8},
  [587] = {.lex_state = 8},
  [588] = {.lex_state = 452},
  [589] = {.lex_state = 452},
  [590] = {.lex_state = 452},
  [591] = {.lex_state = 452},
  [592] = {.lex_state = 452},
  [593] = {.lex_state = 452},
  [594] = {.lex_state = 454},
  [595] = {.lex_state = 454},
  [596] = {.lex_state = 452},
  [597] = {.lex_state = 452},
  [598] = {.lex_state = 15},
  [599] = {.lex_state = 452},
  [600] = {.lex_state = 15},
  [601] = {.lex_state = 452},
  [602] = {.lex_state = 452},
  [603] = {.lex_state = 15},
  [604] = {.lex_state = 452},
  [605] = {.lex_state = 452},
  [606] = {.lex_state = 452},
  [607] = {.lex_state = 452},
  [608] = {.lex_state = 452},
  [609] = {.lex_state = 452},
  [610] = {.lex_state = 452},
  [611] = {.lex_state = 452},
  [612] = {.lex_state = 452},
  [613] = {.lex_state = 453},
  [614] = {.lex_state = 454},
  [615] = {.lex_state = 453},
  [616] = {.lex_state = 455},
  [617] = {.lex_state = 453},
  [618] = {.lex_state = 453},
  [619] = {.lex_state = 453},
  [620] = {.lex_state = 453},
  [621] = {.lex_state = 453},
  [622] = {.lex_state = 453},
  [623] = {.lex_state = 453},
  [624] = {.lex_state = 453},
  [625] = {.lex_state = 453},
  [626] = {.lex_state = 453},
  [627] = {.lex_state = 453},
  [628] = {.lex_state = 453},
  [629] = {.lex_state = 453},
  [630] = {.lex_state = 453},
  [631] = {.lex_state = 453},
  [632] = {.lex_state = 453},
  [633] = {.lex_state = 453},
  [634] = {.lex_state = 453},
  [635] = {.lex_state = 453},
  [636] = {.lex_state = 453},
  [637] = {.lex_state = 454},
  [638] = {.lex_state = 453},
  [639] = {.lex_state = 453},
  [640] = {.lex_state = 453},
  [641] = {.lex_state = 454},
  [642] = {.lex_state = 454},
  [643] = {.lex_state = 453},
  [644] = {.lex_state = 453},
  [645] = {.lex_state = 454},
  [646] = {.lex_state = 454},
  [647] = {.lex_state = 453},
  [648] = {.lex_state = 454},
  [649] = {.lex_state = 454},
  [650] = {.lex_state = 454},
  [651] = {.lex_state = 453},
  [652] = {.lex_state = 454},
  [653] = {.lex_state = 454},
  [654] = {.lex_state = 454},
  [655] = {.lex_state = 454},
  [656] = {.lex_state = 454},
  [657] = {.lex_state = 454},
  [658] = {.lex_state = 454},
  [659] = {.lex_state = 454},
  [660] = {.lex_state = 454},
  [661] = {.lex_state = 454},
  [662] = {.lex_state = 455},
  [663] = {.lex_state = 454},
  [664] = {.lex_state = 454},
  [665] = {.lex_state = 454},
  [666] = {.lex_state = 454},
  [667] = {.lex_state = 454},
  [668] = {.lex_state = 454},
  [669] = {.lex_state = 454},
  [670] = {.lex_state = 454},
  [671] = {.lex_state = 454},
  [672] = {.lex_state = 454},
  [673] = {.lex_state = 453},
  [674] = {.lex_state = 453},
  [675] = {.lex_state = 453},
  [676] = {.lex_state = 453},
  [677] = {.lex_state = 455},
  [678] = {.lex_state = 453},
  [679] = {.lex_state = 453},
  [680] = {.lex_state = 453},
  [681] = {.lex_state = 455},
  [682] = {.lex_state = 453},
  [683] = {.lex_state = 453},
  [684] = {.lex_state = 454},
  [685] = {.lex_state = 453},
  [686] = {.lex_state = 453},
  [687] = {.lex_state = 453},
  [688] = {.lex_state = 453},
  [689] = {.lex_state = 453},
  [690] = {.lex_state = 453},
  [691] = {.lex_state = 455},
  [692] = {.lex_state = 454},
  [693] = {.lex_state = 453},
  [694] = {.lex_state = 453},
  [695] = {.lex_state = 454},
  [696] = {.lex_state = 454},
  [697] = {.lex_state = 453},
  [698] = {.lex_state = 453},
  [699] = {.lex_state = 454},
  [700] = {.lex_state = 453},
  [701] = {.lex_state = 454},
  [702] = {.lex_state = 453},
  [703] = {.lex_state = 453},
  [704] = {.lex_state = 453},
  [705] = {.lex_state = 454},
  [706] = {.lex_state = 454},
  [707] = {.lex_state = 454},
  [708] = {.lex_state = 454},
  [709] = {.lex_state = 454},
  [710] = {.lex_state = 454},
  [711] = {.lex_state = 454},
  [712] = {.lex_state = 454},
  [713] = {.lex_state = 8},
  [714] = {.lex_state = 8},
  [715] = {.lex_state = 8},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 8},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 8},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 454},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 454},
  [725] = {.lex_state = 454},
  [726] = {.lex_state = 454},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 453},
  [729] = {.lex_state = 454},
  [730] = {.lex_state = 454},
  [731] = {.lex_state = 454},
  [732] = {.lex_state = 454},
  [733] = {.lex_state = 455},
  [734] = {.lex_state = 454},
  [735] = {.lex_state = 454},
  [736] = {.lex_state = 454},
  [737] = {.lex_state = 454},
  [738] = {.lex_state = 454},
  [739] = {.lex_state = 454},
  [740] = {.lex_state = 454},
  [741] = {.lex_state = 454},
  [742] = {.lex_state = 454},
  [743] = {.lex_state = 454},
  [744] = {.lex_state = 454},
  [745] = {.lex_state = 453},
  [746] = {.lex_state = 454},
  [747] = {.lex_state = 454},
  [748] = {.lex_state = 453},
  [749] = {.lex_state = 453},
  [750] = {.lex_state = 455},
  [751] = {.lex_state = 455},
  [752] = {.lex_state = 453},
  [753] = {.lex_state = 455},
  [754] = {.lex_state = 455},
  [755] = {.lex_state = 455},
  [756] = {.lex_state = 455},
  [757] = {.lex_state = 455},
  [758] = {.lex_state = 455},
  [759] = {.lex_state = 455},
  [760] = {.lex_state = 455},
  [761] = {.lex_state = 455},
  [762] = {.lex_state = 455},
  [763] = {.lex_state = 455},
  [764] = {.lex_state = 455},
  [765] = {.lex_state = 455},
  [766] = {.lex_state = 455},
  [767] = {.lex_state = 455},
  [768] = {.lex_state = 455},
  [769] = {.lex_state = 455},
  [770] = {.lex_state = 455},
  [771] = {.lex_state = 455},
  [772] = {.lex_state = 455},
  [773] = {.lex_state = 455},
  [774] = {.lex_state = 455},
  [775] = {.lex_state = 455},
  [776] = {.lex_state = 455},
  [777] = {.lex_state = 455},
  [778] = {.lex_state = 455},
  [779] = {.lex_state = 455},
  [780] = {.lex_state = 455},
  [781] = {.lex_state = 455},
  [782] = {.lex_state = 455},
  [783] = {.lex_state = 455},
  [784] = {.lex_state = 455},
  [785] = {.lex_state = 455},
  [786] = {.lex_state = 455},
  [787] = {.lex_state = 455},
  [788] = {.lex_state = 455},
  [789] = {.lex_state = 455},
  [790] = {.lex_state = 455},
  [791] = {.lex_state = 455},
  [792] = {.lex_state = 455},
  [793] = {.lex_state = 455},
  [794] = {.lex_state = 455},
  [795] = {.lex_state = 455},
  [796] = {.lex_state = 455},
  [797] = {.lex_state = 455},
  [798] = {.lex_state = 455},
  [799] = {.lex_state = 455},
  [800] = {.lex_state = 455},
  [801] = {.lex_state = 455},
  [802] = {.lex_state = 455},
  [803] = {.lex_state = 455},
  [804] = {.lex_state = 455},
  [805] = {.lex_state = 3},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 11},
  [809] = {.lex_state = 8},
  [810] = {.lex_state = 8},
  [811] = {.lex_state = 8},
  [812] = {.lex_state = 8},
  [813] = {.lex_state = 8},
  [814] = {.lex_state = 8},
  [815] = {.lex_state = 8},
  [816] = {.lex_state = 9},
  [817] = {.lex_state = 9},
  [818] = {.lex_state = 8},
  [819] = {.lex_state = 8},
  [820] = {.lex_state = 8},
  [821] = {.lex_state = 8},
  [822] = {.lex_state = 9},
  [823] = {.lex_state = 8},
  [824] = {.lex_state = 9},
  [825] = {.lex_state = 8},
  [826] = {.lex_state = 8},
  [827] = {.lex_state = 8},
  [828] = {.lex_state = 8},
  [829] = {.lex_state = 8},
  [830] = {.lex_state = 8},
  [831] = {.lex_state = 8},
  [832] = {.lex_state = 8},
  [833] = {.lex_state = 8},
  [834] = {.lex_state = 8},
  [835] = {.lex_state = 8},
  [836] = {.lex_state = 8},
  [837] = {.lex_state = 8},
  [838] = {.lex_state = 8},
  [839] = {.lex_state = 8},
  [840] = {.lex_state = 8},
  [841] = {.lex_state = 8},
  [842] = {.lex_state = 8},
  [843] = {.lex_state = 8},
  [844] = {.lex_state = 8},
  [845] = {.lex_state = 8},
  [846] = {.lex_state = 8},
  [847] = {.lex_state = 8},
  [848] = {.lex_state = 8},
  [849] = {.lex_state = 8},
  [850] = {.lex_state = 8},
  [851] = {.lex_state = 8},
  [852] = {.lex_state = 8},
  [853] = {.lex_state = 8},
  [854] = {.lex_state = 8},
  [855] = {.lex_state = 8},
  [856] = {.lex_state = 8},
  [857] = {.lex_state = 8},
  [858] = {.lex_state = 10},
  [859] = {.lex_state = 10},
  [860] = {.lex_state = 10},
  [861] = {.lex_state = 17},
  [862] = {.lex_state = 10},
  [863] = {.lex_state = 10},
  [864] = {.lex_state = 10},
  [865] = {.lex_state = 10},
  [866] = {.lex_state = 10},
  [867] = {.lex_state = 10},
  [868] = {.lex_state = 10},
  [869] = {.lex_state = 10},
  [870] = {.lex_state = 10},
  [871] = {.lex_state = 10},
  [872] = {.lex_state = 10},
  [873] = {.lex_state = 10},
  [874] = {.lex_state = 10},
  [875] = {.lex_state = 10},
  [876] = {.lex_state = 10},
  [877] = {.lex_state = 10},
  [878] = {.lex_state = 10},
  [879] = {.lex_state = 10},
  [880] = {.lex_state = 16},
  [881] = {.lex_state = 10},
  [882] = {.lex_state = 10},
  [883] = {.lex_state = 10},
  [884] = {.lex_state = 10},
  [885] = {.lex_state = 10},
  [886] = {.lex_state = 10},
  [887] = {.lex_state = 10},
  [888] = {.lex_state = 10},
  [889] = {.lex_state = 16},
  [890] = {.lex_state = 16},
  [891] = {.lex_state = 16},
  [892] = {.lex_state = 16},
  [893] = {.lex_state = 16},
  [894] = {.lex_state = 16},
  [895] = {.lex_state = 10},
  [896] = {.lex_state = 10},
  [897] = {.lex_state = 16},
  [898] = {.lex_state = 16},
  [899] = {.lex_state = 10},
  [900] = {.lex_state = 16},
  [901] = {.lex_state = 16},
  [902] = {.lex_state = 16},
  [903] = {.lex_state = 10},
  [904] = {.lex_state = 10},
  [905] = {.lex_state = 10},
  [906] = {.lex_state = 10},
  [907] = {.lex_state = 10},
  [908] = {.lex_state = 10},
  [909] = {.lex_state = 10},
  [910] = {.lex_state = 10},
  [911] = {.lex_state = 10},
  [912] = {.lex_state = 10},
  [913] = {.lex_state = 10},
  [914] = {.lex_state = 10},
  [915] = {.lex_state = 10},
  [916] = {.lex_state = 10},
  [917] = {.lex_state = 10},
  [918] = {.lex_state = 10},
  [919] = {.lex_state = 10},
  [920] = {.lex_state = 10},
  [921] = {.lex_state = 10},
  [922] = {.lex_state = 10},
  [923] = {.lex_state = 10},
  [924] = {.lex_state = 10},
  [925] = {.lex_state = 10},
  [926] = {.lex_state = 10},
  [927] = {.lex_state = 10},
  [928] = {.lex_state = 10},
  [929] = {.lex_state = 10},
  [930] = {.lex_state = 10},
  [931] = {.lex_state = 10},
  [932] = {.lex_state = 10},
  [933] = {.lex_state = 10},
  [934] = {.lex_state = 10},
  [935] = {.lex_state = 10},
  [936] = {.lex_state = 10},
  [937] = {.lex_state = 10},
  [938] = {.lex_state = 10},
  [939] = {.lex_state = 10},
  [940] = {.lex_state = 10},
  [941] = {.lex_state = 10},
  [942] = {.lex_state = 10},
  [943] = {.lex_state = 10},
  [944] = {.lex_state = 10},
  [945] = {.lex_state = 10},
  [946] = {.lex_state = 10},
  [947] = {.lex_state = 10},
  [948] = {.lex_state = 10},
  [949] = {.lex_state = 10},
  [950] = {.lex_state = 10},
  [951] = {.lex_state = 10},
  [952] = {.lex_state = 10},
  [953] = {.lex_state = 10},
  [954] = {.lex_state = 10},
  [955] = {.lex_state = 10},
  [956] = {.lex_state = 10},
  [957] = {.lex_state = 10},
  [958] = {.lex_state = 10},
  [959] = {.lex_state = 10},
  [960] = {.lex_state = 10},
  [961] = {.lex_state = 10},
  [962] = {.lex_state = 10},
  [963] = {.lex_state = 10},
  [964] = {.lex_state = 10},
  [965] = {.lex_state = 10},
  [966] = {.lex_state = 10},
  [967] = {.lex_state = 10},
  [968] = {.lex_state = 10},
  [969] = {.lex_state = 10},
  [970] = {.lex_state = 10},
  [971] = {.lex_state = 10},
  [972] = {.lex_state = 10},
  [973] = {.lex_state = 10},
  [974] = {.lex_state = 10},
  [975] = {.lex_state = 10},
  [976] = {.lex_state = 10},
  [977] = {.lex_state = 10},
  [978] = {.lex_state = 10},
  [979] = {.lex_state = 10},
  [980] = {.lex_state = 10},
  [981] = {.lex_state = 10},
  [982] = {.lex_state = 10},
  [983] = {.lex_state = 10},
  [984] = {.lex_state = 10},
  [985] = {.lex_state = 10},
  [986] = {.lex_state = 10},
  [987] = {.lex_state = 10},
  [988] = {.lex_state = 10},
  [989] = {.lex_state = 10},
  [990] = {.lex_state = 10},
  [991] = {.lex_state = 10},
  [992] = {.lex_state = 10},
  [993] = {.lex_state = 10},
  [994] = {.lex_state = 10},
  [995] = {.lex_state = 10},
  [996] = {.lex_state = 10},
  [997] = {.lex_state = 10},
  [998] = {.lex_state = 10},
  [999] = {.lex_state = 10},
  [1000] = {.lex_state = 10},
  [1001] = {.lex_state = 10},
  [1002] = {.lex_state = 10},
  [1003] = {.lex_state = 10},
  [1004] = {.lex_state = 10},
  [1005] = {.lex_state = 10},
  [1006] = {.lex_state = 10},
  [1007] = {.lex_state = 10},
  [1008] = {.lex_state = 10},
  [1009] = {.lex_state = 10},
  [1010] = {.lex_state = 10},
  [1011] = {.lex_state = 10},
  [1012] = {.lex_state = 10},
  [1013] = {.lex_state = 10},
  [1014] = {.lex_state = 10},
  [1015] = {.lex_state = 10},
  [1016] = {.lex_state = 10},
  [1017] = {.lex_state = 10},
  [1018] = {.lex_state = 10},
  [1019] = {.lex_state = 10},
  [1020] = {.lex_state = 10},
  [1021] = {.lex_state = 10},
  [1022] = {.lex_state = 10},
  [1023] = {.lex_state = 10},
  [1024] = {.lex_state = 10},
  [1025] = {.lex_state = 10},
  [1026] = {.lex_state = 10},
  [1027] = {.lex_state = 10},
  [1028] = {.lex_state = 10},
  [1029] = {.lex_state = 10},
  [1030] = {.lex_state = 10},
  [1031] = {.lex_state = 10},
  [1032] = {.lex_state = 10},
  [1033] = {.lex_state = 10},
  [1034] = {.lex_state = 10},
  [1035] = {.lex_state = 10},
  [1036] = {.lex_state = 10},
  [1037] = {.lex_state = 10},
  [1038] = {.lex_state = 10},
  [1039] = {.lex_state = 10},
  [1040] = {.lex_state = 10},
  [1041] = {.lex_state = 10},
  [1042] = {.lex_state = 10},
  [1043] = {.lex_state = 10},
  [1044] = {.lex_state = 10},
  [1045] = {.lex_state = 10},
  [1046] = {.lex_state = 10},
  [1047] = {.lex_state = 10},
  [1048] = {.lex_state = 10},
  [1049] = {.lex_state = 10},
  [1050] = {.lex_state = 10},
  [1051] = {.lex_state = 10},
  [1052] = {.lex_state = 10},
  [1053] = {.lex_state = 10},
  [1054] = {.lex_state = 10},
  [1055] = {.lex_state = 10},
  [1056] = {.lex_state = 10},
  [1057] = {.lex_state = 10},
  [1058] = {.lex_state = 10},
  [1059] = {.lex_state = 10},
  [1060] = {.lex_state = 10},
  [1061] = {.lex_state = 10},
  [1062] = {.lex_state = 10},
  [1063] = {.lex_state = 10},
  [1064] = {.lex_state = 10},
  [1065] = {.lex_state = 10},
  [1066] = {.lex_state = 10},
  [1067] = {.lex_state = 10},
  [1068] = {.lex_state = 10},
  [1069] = {.lex_state = 10},
  [1070] = {.lex_state = 10},
  [1071] = {.lex_state = 10},
  [1072] = {.lex_state = 10},
  [1073] = {.lex_state = 10},
  [1074] = {.lex_state = 10},
  [1075] = {.lex_state = 10},
  [1076] = {.lex_state = 10},
  [1077] = {.lex_state = 10},
  [1078] = {.lex_state = 10},
  [1079] = {.lex_state = 10},
  [1080] = {.lex_state = 10},
  [1081] = {.lex_state = 10},
  [1082] = {.lex_state = 10},
  [1083] = {.lex_state = 10},
  [1084] = {.lex_state = 10},
  [1085] = {.lex_state = 10},
  [1086] = {.lex_state = 10},
  [1087] = {.lex_state = 10},
  [1088] = {.lex_state = 10},
  [1089] = {.lex_state = 10},
  [1090] = {.lex_state = 10},
  [1091] = {.lex_state = 10},
  [1092] = {.lex_state = 10},
  [1093] = {.lex_state = 10},
  [1094] = {.lex_state = 10},
  [1095] = {.lex_state = 10},
  [1096] = {.lex_state = 10},
  [1097] = {.lex_state = 10},
  [1098] = {.lex_state = 10},
  [1099] = {.lex_state = 10},
  [1100] = {.lex_state = 10},
  [1101] = {.lex_state = 10},
  [1102] = {.lex_state = 10},
  [1103] = {.lex_state = 10},
  [1104] = {.lex_state = 10},
  [1105] = {.lex_state = 10},
  [1106] = {.lex_state = 10},
  [1107] = {.lex_state = 10},
  [1108] = {.lex_state = 10},
  [1109] = {.lex_state = 10},
  [1110] = {.lex_state = 10},
  [1111] = {.lex_state = 10},
  [1112] = {.lex_state = 10},
  [1113] = {.lex_state = 10},
  [1114] = {.lex_state = 10},
  [1115] = {.lex_state = 10},
  [1116] = {.lex_state = 10},
  [1117] = {.lex_state = 10},
  [1118] = {.lex_state = 10},
  [1119] = {.lex_state = 10},
  [1120] = {.lex_state = 10},
  [1121] = {.lex_state = 10},
  [1122] = {.lex_state = 10},
  [1123] = {.lex_state = 10},
  [1124] = {.lex_state = 10},
  [1125] = {.lex_state = 10},
  [1126] = {.lex_state = 10},
  [1127] = {.lex_state = 10},
  [1128] = {.lex_state = 10},
  [1129] = {.lex_state = 10},
  [1130] = {.lex_state = 10},
  [1131] = {.lex_state = 10},
  [1132] = {.lex_state = 10},
  [1133] = {.lex_state = 10},
  [1134] = {.lex_state = 10},
  [1135] = {.lex_state = 10},
  [1136] = {.lex_state = 10},
  [1137] = {.lex_state = 10},
  [1138] = {.lex_state = 10},
  [1139] = {.lex_state = 10},
  [1140] = {.lex_state = 10},
  [1141] = {.lex_state = 10},
  [1142] = {.lex_state = 10},
  [1143] = {.lex_state = 10},
  [1144] = {.lex_state = 10},
  [1145] = {.lex_state = 10},
  [1146] = {.lex_state = 10},
  [1147] = {.lex_state = 10},
  [1148] = {.lex_state = 10},
  [1149] = {.lex_state = 10},
  [1150] = {.lex_state = 10},
  [1151] = {.lex_state = 10},
  [1152] = {.lex_state = 10},
  [1153] = {.lex_state = 10},
  [1154] = {.lex_state = 10},
  [1155] = {.lex_state = 10},
  [1156] = {.lex_state = 10},
  [1157] = {.lex_state = 10},
  [1158] = {.lex_state = 10},
  [1159] = {.lex_state = 10},
  [1160] = {.lex_state = 10},
  [1161] = {.lex_state = 10},
  [1162] = {.lex_state = 10},
  [1163] = {.lex_state = 10},
  [1164] = {.lex_state = 10},
  [1165] = {.lex_state = 10},
  [1166] = {.lex_state = 10},
  [1167] = {.lex_state = 10},
  [1168] = {.lex_state = 10},
  [1169] = {.lex_state = 10},
  [1170] = {.lex_state = 10},
  [1171] = {.lex_state = 10},
  [1172] = {.lex_state = 10},
  [1173] = {.lex_state = 10},
  [1174] = {.lex_state = 10},
  [1175] = {.lex_state = 10},
  [1176] = {.lex_state = 10},
  [1177] = {.lex_state = 10},
  [1178] = {.lex_state = 10},
  [1179] = {.lex_state = 10},
  [1180] = {.lex_state = 10},
  [1181] = {.lex_state = 10},
  [1182] = {.lex_state = 10},
  [1183] = {.lex_state = 10},
  [1184] = {.lex_state = 10},
  [1185] = {.lex_state = 10},
  [1186] = {.lex_state = 10},
  [1187] = {.lex_state = 10},
  [1188] = {.lex_state = 10},
  [1189] = {.lex_state = 10},
  [1190] = {.lex_state = 10},
  [1191] = {.lex_state = 10},
  [1192] = {.lex_state = 10},
  [1193] = {.lex_state = 10},
  [1194] = {.lex_state = 10},
  [1195] = {.lex_state = 10},
  [1196] = {.lex_state = 10},
  [1197] = {.lex_state = 10},
  [1198] = {.lex_state = 10},
  [1199] = {.lex_state = 10},
  [1200] = {.lex_state = 10},
  [1201] = {.lex_state = 10},
  [1202] = {.lex_state = 10},
  [1203] = {.lex_state = 10},
  [1204] = {.lex_state = 10},
  [1205] = {.lex_state = 10},
  [1206] = {.lex_state = 10},
  [1207] = {.lex_state = 10},
  [1208] = {.lex_state = 10},
  [1209] = {.lex_state = 10},
  [1210] = {.lex_state = 10},
  [1211] = {.lex_state = 10},
  [1212] = {.lex_state = 10},
  [1213] = {.lex_state = 10},
  [1214] = {.lex_state = 10},
  [1215] = {.lex_state = 10},
  [1216] = {.lex_state = 10},
  [1217] = {.lex_state = 10},
  [1218] = {.lex_state = 10},
  [1219] = {.lex_state = 10},
  [1220] = {.lex_state = 10},
  [1221] = {.lex_state = 10},
  [1222] = {.lex_state = 8},
  [1223] = {.lex_state = 8},
  [1224] = {.lex_state = 8},
  [1225] = {.lex_state = 8},
  [1226] = {.lex_state = 8},
  [1227] = {.lex_state = 451},
  [1228] = {.lex_state = 8},
  [1229] = {.lex_state = 8},
  [1230] = {.lex_state = 8},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 9},
  [1236] = {.lex_state = 9},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 9},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 8},
  [1241] = {.lex_state = 9},
  [1242] = {.lex_state = 9},
  [1243] = {.lex_state = 9},
  [1244] = {.lex_state = 9},
  [1245] = {.lex_state = 9},
  [1246] = {.lex_state = 9},
  [1247] = {.lex_state = 9},
  [1248] = {.lex_state = 9},
  [1249] = {.lex_state = 9},
  [1250] = {.lex_state = 9},
  [1251] = {.lex_state = 9},
  [1252] = {.lex_state = 9},
  [1253] = {.lex_state = 9},
  [1254] = {.lex_state = 9},
  [1255] = {.lex_state = 9},
  [1256] = {.lex_state = 9},
  [1257] = {.lex_state = 9},
  [1258] = {.lex_state = 9},
  [1259] = {.lex_state = 9},
  [1260] = {.lex_state = 9},
  [1261] = {.lex_state = 9},
  [1262] = {.lex_state = 9},
  [1263] = {.lex_state = 9},
  [1264] = {.lex_state = 9},
  [1265] = {.lex_state = 9},
  [1266] = {.lex_state = 9},
  [1267] = {.lex_state = 9},
  [1268] = {.lex_state = 9},
  [1269] = {.lex_state = 9},
  [1270] = {.lex_state = 9},
  [1271] = {.lex_state = 9},
  [1272] = {.lex_state = 9},
  [1273] = {.lex_state = 9},
  [1274] = {.lex_state = 9},
  [1275] = {.lex_state = 9},
  [1276] = {.lex_state = 9},
  [1277] = {.lex_state = 10},
  [1278] = {.lex_state = 9},
  [1279] = {.lex_state = 9},
  [1280] = {.lex_state = 9},
  [1281] = {.lex_state = 9},
  [1282] = {.lex_state = 9},
  [1283] = {.lex_state = 9},
  [1284] = {.lex_state = 9},
  [1285] = {.lex_state = 9},
  [1286] = {.lex_state = 9},
  [1287] = {.lex_state = 9},
  [1288] = {.lex_state = 9},
  [1289] = {.lex_state = 9},
  [1290] = {.lex_state = 9},
  [1291] = {.lex_state = 9},
  [1292] = {.lex_state = 9},
  [1293] = {.lex_state = 9},
  [1294] = {.lex_state = 9},
  [1295] = {.lex_state = 9},
  [1296] = {.lex_state = 9},
  [1297] = {.lex_state = 9},
  [1298] = {.lex_state = 9},
  [1299] = {.lex_state = 9},
  [1300] = {.lex_state = 9},
  [1301] = {.lex_state = 9},
  [1302] = {.lex_state = 9},
  [1303] = {.lex_state = 9},
  [1304] = {.lex_state = 9},
  [1305] = {.lex_state = 9},
  [1306] = {.lex_state = 9},
  [1307] = {.lex_state = 9},
  [1308] = {.lex_state = 9},
  [1309] = {.lex_state = 9},
  [1310] = {.lex_state = 9},
  [1311] = {.lex_state = 9},
  [1312] = {.lex_state = 9},
  [1313] = {.lex_state = 9},
  [1314] = {.lex_state = 9},
  [1315] = {.lex_state = 9},
  [1316] = {.lex_state = 9},
  [1317] = {.lex_state = 9},
  [1318] = {.lex_state = 9},
  [1319] = {.lex_state = 9},
  [1320] = {.lex_state = 9},
  [1321] = {.lex_state = 9},
  [1322] = {.lex_state = 9},
  [1323] = {.lex_state = 9},
  [1324] = {.lex_state = 9},
  [1325] = {.lex_state = 9},
  [1326] = {.lex_state = 9},
  [1327] = {.lex_state = 9},
  [1328] = {.lex_state = 9},
  [1329] = {.lex_state = 9},
  [1330] = {.lex_state = 9},
  [1331] = {.lex_state = 9},
  [1332] = {.lex_state = 9},
  [1333] = {.lex_state = 9},
  [1334] = {.lex_state = 9},
  [1335] = {.lex_state = 9},
  [1336] = {.lex_state = 9},
  [1337] = {.lex_state = 9},
  [1338] = {.lex_state = 9},
  [1339] = {.lex_state = 9},
  [1340] = {.lex_state = 9},
  [1341] = {.lex_state = 9},
  [1342] = {.lex_state = 9},
  [1343] = {.lex_state = 9},
  [1344] = {.lex_state = 9},
  [1345] = {.lex_state = 9},
  [1346] = {.lex_state = 9},
  [1347] = {.lex_state = 9},
  [1348] = {.lex_state = 9},
  [1349] = {.lex_state = 9},
  [1350] = {.lex_state = 9},
  [1351] = {.lex_state = 9},
  [1352] = {.lex_state = 9},
  [1353] = {.lex_state = 9},
  [1354] = {.lex_state = 9},
  [1355] = {.lex_state = 9},
  [1356] = {.lex_state = 9},
  [1357] = {.lex_state = 9},
  [1358] = {.lex_state = 9},
  [1359] = {.lex_state = 9},
  [1360] = {.lex_state = 9},
  [1361] = {.lex_state = 9},
  [1362] = {.lex_state = 9},
  [1363] = {.lex_state = 9},
  [1364] = {.lex_state = 9},
  [1365] = {.lex_state = 9},
  [1366] = {.lex_state = 9},
  [1367] = {.lex_state = 9},
  [1368] = {.lex_state = 9},
  [1369] = {.lex_state = 9},
  [1370] = {.lex_state = 9},
  [1371] = {.lex_state = 9},
  [1372] = {.lex_state = 9},
  [1373] = {.lex_state = 9},
  [1374] = {.lex_state = 9},
  [1375] = {.lex_state = 9},
  [1376] = {.lex_state = 9},
  [1377] = {.lex_state = 9},
  [1378] = {.lex_state = 9},
  [1379] = {.lex_state = 9},
  [1380] = {.lex_state = 9},
  [1381] = {.lex_state = 9},
  [1382] = {.lex_state = 9},
  [1383] = {.lex_state = 9},
  [1384] = {.lex_state = 9},
  [1385] = {.lex_state = 9},
  [1386] = {.lex_state = 9},
  [1387] = {.lex_state = 9},
  [1388] = {.lex_state = 9},
  [1389] = {.lex_state = 9},
  [1390] = {.lex_state = 9},
  [1391] = {.lex_state = 9},
  [1392] = {.lex_state = 9},
  [1393] = {.lex_state = 9},
  [1394] = {.lex_state = 9},
  [1395] = {.lex_state = 9},
  [1396] = {.lex_state = 9},
  [1397] = {.lex_state = 9},
  [1398] = {.lex_state = 9},
  [1399] = {.lex_state = 9},
  [1400] = {.lex_state = 9},
  [1401] = {.lex_state = 9},
  [1402] = {.lex_state = 9},
  [1403] = {.lex_state = 9},
  [1404] = {.lex_state = 9},
  [1405] = {.lex_state = 9},
  [1406] = {.lex_state = 9},
  [1407] = {.lex_state = 9},
  [1408] = {.lex_state = 9},
  [1409] = {.lex_state = 9},
  [1410] = {.lex_state = 9},
  [1411] = {.lex_state = 9},
  [1412] = {.lex_state = 9},
  [1413] = {.lex_state = 9},
  [1414] = {.lex_state = 9},
  [1415] = {.lex_state = 9},
  [1416] = {.lex_state = 9},
  [1417] = {.lex_state = 9},
  [1418] = {.lex_state = 9},
  [1419] = {.lex_state = 9},
  [1420] = {.lex_state = 9},
  [1421] = {.lex_state = 9},
  [1422] = {.lex_state = 9},
  [1423] = {.lex_state = 9},
  [1424] = {.lex_state = 9},
  [1425] = {.lex_state = 9},
  [1426] = {.lex_state = 9},
  [1427] = {.lex_state = 9},
  [1428] = {.lex_state = 9},
  [1429] = {.lex_state = 9},
  [1430] = {.lex_state = 9},
  [1431] = {.lex_state = 9},
  [1432] = {.lex_state = 9},
  [1433] = {.lex_state = 9},
  [1434] = {.lex_state = 9},
  [1435] = {.lex_state = 9},
  [1436] = {.lex_state = 9},
  [1437] = {.lex_state = 9},
  [1438] = {.lex_state = 9},
  [1439] = {.lex_state = 9},
  [1440] = {.lex_state = 9},
  [1441] = {.lex_state = 9},
  [1442] = {.lex_state = 9},
  [1443] = {.lex_state = 9},
  [1444] = {.lex_state = 9},
  [1445] = {.lex_state = 9},
  [1446] = {.lex_state = 9},
  [1447] = {.lex_state = 9},
  [1448] = {.lex_state = 9},
  [1449] = {.lex_state = 9},
  [1450] = {.lex_state = 9},
  [1451] = {.lex_state = 9},
  [1452] = {.lex_state = 9},
  [1453] = {.lex_state = 9},
  [1454] = {.lex_state = 9},
  [1455] = {.lex_state = 9},
  [1456] = {.lex_state = 9},
  [1457] = {.lex_state = 9},
  [1458] = {.lex_state = 9},
  [1459] = {.lex_state = 9},
  [1460] = {.lex_state = 9},
  [1461] = {.lex_state = 9},
  [1462] = {.lex_state = 9},
  [1463] = {.lex_state = 9},
  [1464] = {.lex_state = 9},
  [1465] = {.lex_state = 9},
  [1466] = {.lex_state = 9},
  [1467] = {.lex_state = 9},
  [1468] = {.lex_state = 9},
  [1469] = {.lex_state = 9},
  [1470] = {.lex_state = 9},
  [1471] = {.lex_state = 9},
  [1472] = {.lex_state = 9},
  [1473] = {.lex_state = 9},
  [1474] = {.lex_state = 9},
  [1475] = {.lex_state = 9},
  [1476] = {.lex_state = 9},
  [1477] = {.lex_state = 9},
  [1478] = {.lex_state = 9},
  [1479] = {.lex_state = 9},
  [1480] = {.lex_state = 9},
  [1481] = {.lex_state = 9},
  [1482] = {.lex_state = 9},
  [1483] = {.lex_state = 9},
  [1484] = {.lex_state = 9},
  [1485] = {.lex_state = 9},
  [1486] = {.lex_state = 9},
  [1487] = {.lex_state = 9},
  [1488] = {.lex_state = 9},
  [1489] = {.lex_state = 9},
  [1490] = {.lex_state = 9},
  [1491] = {.lex_state = 9},
  [1492] = {.lex_state = 9},
  [1493] = {.lex_state = 9},
  [1494] = {.lex_state = 9},
  [1495] = {.lex_state = 9},
  [1496] = {.lex_state = 9},
  [1497] = {.lex_state = 9},
  [1498] = {.lex_state = 9},
  [1499] = {.lex_state = 9},
  [1500] = {.lex_state = 9},
  [1501] = {.lex_state = 9},
  [1502] = {.lex_state = 9},
  [1503] = {.lex_state = 9},
  [1504] = {.lex_state = 9},
  [1505] = {.lex_state = 9},
  [1506] = {.lex_state = 9},
  [1507] = {.lex_state = 9},
  [1508] = {.lex_state = 9},
  [1509] = {.lex_state = 9},
  [1510] = {.lex_state = 9},
  [1511] = {.lex_state = 9},
  [1512] = {.lex_state = 9},
  [1513] = {.lex_state = 9},
  [1514] = {.lex_state = 9},
  [1515] = {.lex_state = 9},
  [1516] = {.lex_state = 9},
  [1517] = {.lex_state = 9},
  [1518] = {.lex_state = 9},
  [1519] = {.lex_state = 9},
  [1520] = {.lex_state = 9},
  [1521] = {.lex_state = 9},
  [1522] = {.lex_state = 9},
  [1523] = {.lex_state = 9},
  [1524] = {.lex_state = 9},
  [1525] = {.lex_state = 9},
  [1526] = {.lex_state = 9},
  [1527] = {.lex_state = 9},
  [1528] = {.lex_state = 9},
  [1529] = {.lex_state = 9},
  [1530] = {.lex_state = 9},
  [1531] = {.lex_state = 9},
  [1532] = {.lex_state = 9},
  [1533] = {.lex_state = 9},
  [1534] = {.lex_state = 9},
  [1535] = {.lex_state = 9},
  [1536] = {.lex_state = 9},
  [1537] = {.lex_state = 9},
  [1538] = {.lex_state = 9},
  [1539] = {.lex_state = 9},
  [1540] = {.lex_state = 9},
  [1541] = {.lex_state = 9},
  [1542] = {.lex_state = 9},
  [1543] = {.lex_state = 9},
  [1544] = {.lex_state = 9},
  [1545] = {.lex_state = 9},
  [1546] = {.lex_state = 9},
  [1547] = {.lex_state = 9},
  [1548] = {.lex_state = 9},
  [1549] = {.lex_state = 9},
  [1550] = {.lex_state = 9},
  [1551] = {.lex_state = 9},
  [1552] = {.lex_state = 9},
  [1553] = {.lex_state = 9},
  [1554] = {.lex_state = 9},
  [1555] = {.lex_state = 9},
  [1556] = {.lex_state = 9},
  [1557] = {.lex_state = 9},
  [1558] = {.lex_state = 9},
  [1559] = {.lex_state = 9},
  [1560] = {.lex_state = 9},
  [1561] = {.lex_state = 9},
  [1562] = {.lex_state = 9},
  [1563] = {.lex_state = 9},
  [1564] = {.lex_state = 9},
  [1565] = {.lex_state = 9},
  [1566] = {.lex_state = 9},
  [1567] = {.lex_state = 9},
  [1568] = {.lex_state = 9},
  [1569] = {.lex_state = 9},
  [1570] = {.lex_state = 9},
  [1571] = {.lex_state = 9},
  [1572] = {.lex_state = 9},
  [1573] = {.lex_state = 20},
  [1574] = {.lex_state = 20},
  [1575] = {.lex_state = 20},
  [1576] = {.lex_state = 20},
  [1577] = {.lex_state = 20},
  [1578] = {.lex_state = 20},
  [1579] = {.lex_state = 20},
  [1580] = {.lex_state = 20},
  [1581] = {.lex_state = 20},
  [1582] = {.lex_state = 20},
  [1583] = {.lex_state = 20},
  [1584] = {.lex_state = 20},
  [1585] = {.lex_state = 20},
  [1586] = {.lex_state = 20},
  [1587] = {.lex_state = 0},
  [1588] = {.lex_state = 20},
  [1589] = {.lex_state = 20},
  [1590] = {.lex_state = 20},
  [1591] = {.lex_state = 20},
  [1592] = {.lex_state = 20},
  [1593] = {.lex_state = 20},
  [1594] = {.lex_state = 20},
  [1595] = {.lex_state = 20},
  [1596] = {.lex_state = 20},
  [1597] = {.lex_state = 20},
  [1598] = {.lex_state = 20},
  [1599] = {.lex_state = 20},
  [1600] = {.lex_state = 20},
  [1601] = {.lex_state = 20},
  [1602] = {.lex_state = 20},
  [1603] = {.lex_state = 20},
  [1604] = {.lex_state = 20},
  [1605] = {.lex_state = 20},
  [1606] = {.lex_state = 20},
  [1607] = {.lex_state = 20},
  [1608] = {.lex_state = 20},
  [1609] = {.lex_state = 20},
  [1610] = {.lex_state = 20},
  [1611] = {.lex_state = 20},
  [1612] = {.lex_state = 20},
  [1613] = {.lex_state = 20},
  [1614] = {.lex_state = 20},
  [1615] = {.lex_state = 0},
  [1616] = {.lex_state = 20},
  [1617] = {.lex_state = 20},
  [1618] = {.lex_state = 20},
  [1619] = {.lex_state = 20},
  [1620] = {.lex_state = 20},
  [1621] = {.lex_state = 20},
  [1622] = {.lex_state = 20},
  [1623] = {.lex_state = 20},
  [1624] = {.lex_state = 20},
  [1625] = {.lex_state = 20},
  [1626] = {.lex_state = 20},
  [1627] = {.lex_state = 20},
  [1628] = {.lex_state = 20},
  [1629] = {.lex_state = 20},
  [1630] = {.lex_state = 20},
  [1631] = {.lex_state = 20},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 20},
  [1634] = {.lex_state = 20},
  [1635] = {.lex_state = 20},
  [1636] = {.lex_state = 20},
  [1637] = {.lex_state = 20},
  [1638] = {.lex_state = 20},
  [1639] = {.lex_state = 20},
  [1640] = {.lex_state = 20},
  [1641] = {.lex_state = 20},
  [1642] = {.lex_state = 20},
  [1643] = {.lex_state = 20},
  [1644] = {.lex_state = 20},
  [1645] = {.lex_state = 20},
  [1646] = {.lex_state = 20},
  [1647] = {.lex_state = 20},
  [1648] = {.lex_state = 20},
  [1649] = {.lex_state = 20},
  [1650] = {.lex_state = 20},
  [1651] = {.lex_state = 20},
  [1652] = {.lex_state = 20},
  [1653] = {.lex_state = 20},
  [1654] = {.lex_state = 20},
  [1655] = {.lex_state = 20},
  [1656] = {.lex_state = 20},
  [1657] = {.lex_state = 20},
  [1658] = {.lex_state = 20},
  [1659] = {.lex_state = 20},
  [1660] = {.lex_state = 20},
  [1661] = {.lex_state = 20},
  [1662] = {.lex_state = 20},
  [1663] = {.lex_state = 20},
  [1664] = {.lex_state = 20},
  [1665] = {.lex_state = 20},
  [1666] = {.lex_state = 20},
  [1667] = {.lex_state = 20},
  [1668] = {.lex_state = 20},
  [1669] = {.lex_state = 20},
  [1670] = {.lex_state = 20},
  [1671] = {.lex_state = 20},
  [1672] = {.lex_state = 20},
  [1673] = {.lex_state = 20},
  [1674] = {.lex_state = 20},
  [1675] = {.lex_state = 20},
  [1676] = {.lex_state = 20},
  [1677] = {.lex_state = 20},
  [1678] = {.lex_state = 20},
  [1679] = {.lex_state = 20},
  [1680] = {.lex_state = 20},
  [1681] = {.lex_state = 20},
  [1682] = {.lex_state = 20},
  [1683] = {.lex_state = 20},
  [1684] = {.lex_state = 20},
  [1685] = {.lex_state = 20},
  [1686] = {.lex_state = 20},
  [1687] = {.lex_state = 20},
  [1688] = {.lex_state = 20},
  [1689] = {.lex_state = 20},
  [1690] = {.lex_state = 20},
  [1691] = {.lex_state = 20},
  [1692] = {.lex_state = 0},
  [1693] = {.lex_state = 0},
  [1694] = {.lex_state = 0},
  [1695] = {.lex_state = 0},
  [1696] = {.lex_state = 0},
  [1697] = {.lex_state = 0},
  [1698] = {.lex_state = 0},
  [1699] = {.lex_state = 0},
  [1700] = {.lex_state = 0},
  [1701] = {.lex_state = 0},
  [1702] = {.lex_state = 0},
  [1703] = {.lex_state = 0},
  [1704] = {.lex_state = 0},
  [1705] = {.lex_state = 0},
  [1706] = {.lex_state = 0},
  [1707] = {.lex_state = 0},
  [1708] = {.lex_state = 0},
  [1709] = {.lex_state = 0},
  [1710] = {.lex_state = 0},
  [1711] = {.lex_state = 0},
  [1712] = {.lex_state = 0},
  [1713] = {.lex_state = 0},
  [1714] = {.lex_state = 0},
  [1715] = {.lex_state = 0},
  [1716] = {.lex_state = 0},
  [1717] = {.lex_state = 0},
  [1718] = {.lex_state = 0},
  [1719] = {.lex_state = 0},
  [1720] = {.lex_state = 0},
  [1721] = {.lex_state = 0},
  [1722] = {.lex_state = 0},
  [1723] = {.lex_state = 0},
  [1724] = {.lex_state = 0},
  [1725] = {.lex_state = 20},
  [1726] = {.lex_state = 0},
  [1727] = {.lex_state = 0},
  [1728] = {.lex_state = 0},
  [1729] = {.lex_state = 0},
  [1730] = {.lex_state = 0},
  [1731] = {.lex_state = 0},
  [1732] = {.lex_state = 0},
  [1733] = {.lex_state = 0},
  [1734] = {.lex_state = 0},
  [1735] = {.lex_state = 0},
  [1736] = {.lex_state = 0},
  [1737] = {.lex_state = 0},
  [1738] = {.lex_state = 0},
  [1739] = {.lex_state = 0},
  [1740] = {.lex_state = 0},
  [1741] = {.lex_state = 0},
  [1742] = {.lex_state = 0},
  [1743] = {.lex_state = 0},
  [1744] = {.lex_state = 0},
  [1745] = {.lex_state = 0},
  [1746] = {.lex_state = 0},
  [1747] = {.lex_state = 0},
  [1748] = {.lex_state = 0},
  [1749] = {.lex_state = 0},
  [1750] = {.lex_state = 0},
  [1751] = {.lex_state = 0},
  [1752] = {.lex_state = 0},
  [1753] = {.lex_state = 0},
  [1754] = {.lex_state = 0},
  [1755] = {.lex_state = 0},
  [1756] = {.lex_state = 0},
  [1757] = {.lex_state = 0},
  [1758] = {.lex_state = 0},
  [1759] = {.lex_state = 0},
  [1760] = {.lex_state = 0},
  [1761] = {.lex_state = 0},
  [1762] = {.lex_state = 0},
  [1763] = {.lex_state = 0},
  [1764] = {.lex_state = 0},
  [1765] = {.lex_state = 0},
  [1766] = {.lex_state = 8},
  [1767] = {.lex_state = 8},
  [1768] = {.lex_state = 8},
  [1769] = {.lex_state = 8},
  [1770] = {.lex_state = 8},
  [1771] = {.lex_state = 8},
  [1772] = {.lex_state = 8},
  [1773] = {.lex_state = 8},
  [1774] = {.lex_state = 8},
  [1775] = {.lex_state = 8},
  [1776] = {.lex_state = 8},
  [1777] = {.lex_state = 8},
  [1778] = {.lex_state = 8},
  [1779] = {.lex_state = 8},
  [1780] = {.lex_state = 8},
  [1781] = {.lex_state = 8},
  [1782] = {.lex_state = 8},
  [1783] = {.lex_state = 8},
  [1784] = {.lex_state = 8},
  [1785] = {.lex_state = 8},
  [1786] = {.lex_state = 8},
  [1787] = {.lex_state = 8},
  [1788] = {.lex_state = 8},
  [1789] = {.lex_state = 8},
  [1790] = {.lex_state = 8},
  [1791] = {.lex_state = 8},
  [1792] = {.lex_state = 8},
  [1793] = {.lex_state = 8},
  [1794] = {.lex_state = 8},
  [1795] = {.lex_state = 8},
  [1796] = {.lex_state = 8},
  [1797] = {.lex_state = 8},
  [1798] = {.lex_state = 8},
  [1799] = {.lex_state = 8},
  [1800] = {.lex_state = 8},
  [1801] = {.lex_state = 8},
  [1802] = {.lex_state = 8},
  [1803] = {.lex_state = 8},
  [1804] = {.lex_state = 18},
  [1805] = {.lex_state = 0},
  [1806] = {.lex_state = 0},
  [1807] = {.lex_state = 0},
  [1808] = {.lex_state = 0},
  [1809] = {.lex_state = 0},
  [1810] = {.lex_state = 0},
  [1811] = {.lex_state = 0},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 0},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 0},
  [1816] = {.lex_state = 0},
  [1817] = {.lex_state = 0},
  [1818] = {.lex_state = 0},
  [1819] = {.lex_state = 0},
  [1820] = {.lex_state = 0},
  [1821] = {.lex_state = 0},
  [1822] = {.lex_state = 451},
  [1823] = {.lex_state = 451},
  [1824] = {.lex_state = 0},
  [1825] = {.lex_state = 451},
  [1826] = {.lex_state = 451},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 451},
  [1829] = {.lex_state = 0},
  [1830] = {.lex_state = 0},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 0},
  [1834] = {.lex_state = 0},
  [1835] = {.lex_state = 451},
  [1836] = {.lex_state = 19},
  [1837] = {.lex_state = 8},
  [1838] = {.lex_state = 0},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 19},
  [1841] = {.lex_state = 8},
  [1842] = {.lex_state = 19},
  [1843] = {.lex_state = 8},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 8},
  [1846] = {.lex_state = 19},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 19},
  [1849] = {.lex_state = 8},
  [1850] = {.lex_state = 19},
  [1851] = {.lex_state = 19},
  [1852] = {.lex_state = 0},
  [1853] = {.lex_state = 8},
  [1854] = {.lex_state = 19},
  [1855] = {.lex_state = 0},
  [1856] = {.lex_state = 8},
  [1857] = {.lex_state = 451},
  [1858] = {.lex_state = 19},
  [1859] = {.lex_state = 0},
  [1860] = {.lex_state = 8},
  [1861] = {.lex_state = 19},
  [1862] = {.lex_state = 0},
  [1863] = {.lex_state = 0},
  [1864] = {.lex_state = 8},
  [1865] = {.lex_state = 19},
  [1866] = {.lex_state = 0},
  [1867] = {.lex_state = 8},
  [1868] = {.lex_state = 19},
  [1869] = {.lex_state = 0},
  [1870] = {.lex_state = 0},
  [1871] = {.lex_state = 8},
  [1872] = {.lex_state = 8},
  [1873] = {.lex_state = 0},
  [1874] = {.lex_state = 0},
  [1875] = {.lex_state = 8},
  [1876] = {.lex_state = 0},
  [1877] = {.lex_state = 19},
  [1878] = {.lex_state = 0},
  [1879] = {.lex_state = 0},
  [1880] = {.lex_state = 8},
  [1881] = {.lex_state = 8},
  [1882] = {.lex_state = 0},
  [1883] = {.lex_state = 19},
  [1884] = {.lex_state = 21},
  [1885] = {.lex_state = 19},
  [1886] = {.lex_state = 21},
  [1887] = {.lex_state = 19},
  [1888] = {.lex_state = 22},
  [1889] = {.lex_state = 21},
  [1890] = {.lex_state = 19},
  [1891] = {.lex_state = 19},
  [1892] = {.lex_state = 19},
  [1893] = {.lex_state = 19},
  [1894] = {.lex_state = 19},
  [1895] = {.lex_state = 8},
  [1896] = {.lex_state = 19},
  [1897] = {.lex_state = 19},
  [1898] = {.lex_state = 0},
  [1899] = {.lex_state = 19},
  [1900] = {.lex_state = 22},
  [1901] = {.lex_state = 19},
  [1902] = {.lex_state = 8},
  [1903] = {.lex_state = 19},
  [1904] = {.lex_state = 8},
  [1905] = {.lex_state = 19},
  [1906] = {.lex_state = 19},
  [1907] = {.lex_state = 19},
  [1908] = {.lex_state = 19},
  [1909] = {.lex_state = 19},
  [1910] = {.lex_state = 0},
  [1911] = {.lex_state = 0},
  [1912] = {.lex_state = 0},
  [1913] = {.lex_state = 0},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 8},
  [1916] = {.lex_state = 0},
  [1917] = {.lex_state = 0},
  [1918] = {.lex_state = 451},
  [1919] = {.lex_state = 8},
  [1920] = {.lex_state = 19},
  [1921] = {.lex_state = 8},
  [1922] = {.lex_state = 0},
  [1923] = {.lex_state = 0},
  [1924] = {.lex_state = 0},
  [1925] = {.lex_state = 0},
  [1926] = {.lex_state = 8},
  [1927] = {.lex_state = 0},
  [1928] = {.lex_state = 0},
  [1929] = {.lex_state = 0},
  [1930] = {.lex_state = 0},
  [1931] = {.lex_state = 0},
  [1932] = {.lex_state = 8},
  [1933] = {.lex_state = 0},
  [1934] = {.lex_state = 0},
  [1935] = {.lex_state = 0},
  [1936] = {.lex_state = 0},
  [1937] = {.lex_state = 0},
  [1938] = {.lex_state = 0},
  [1939] = {.lex_state = 0},
  [1940] = {.lex_state = 19},
  [1941] = {.lex_state = 8},
  [1942] = {.lex_state = 0},
  [1943] = {.lex_state = 0},
  [1944] = {.lex_state = 8},
  [1945] = {.lex_state = 0},
  [1946] = {.lex_state = 0},
  [1947] = {.lex_state = 0},
  [1948] = {.lex_state = 451},
  [1949] = {.lex_state = 19},
  [1950] = {.lex_state = 19},
  [1951] = {.lex_state = 451},
  [1952] = {.lex_state = 19},
  [1953] = {.lex_state = 0},
  [1954] = {.lex_state = 0},
  [1955] = {.lex_state = 19},
  [1956] = {.lex_state = 0},
  [1957] = {.lex_state = 451},
  [1958] = {.lex_state = 19},
  [1959] = {.lex_state = 0},
  [1960] = {.lex_state = 8},
  [1961] = {.lex_state = 0},
  [1962] = {.lex_state = 19},
  [1963] = {.lex_state = 8},
  [1964] = {.lex_state = 451},
  [1965] = {.lex_state = 451},
  [1966] = {.lex_state = 451},
  [1967] = {.lex_state = 23},
  [1968] = {.lex_state = 0},
  [1969] = {.lex_state = 8},
  [1970] = {.lex_state = 0},
  [1971] = {.lex_state = 0},
  [1972] = {.lex_state = 0},
  [1973] = {.lex_state = 0},
  [1974] = {.lex_state = 0},
  [1975] = {.lex_state = 19},
  [1976] = {.lex_state = 0},
  [1977] = {.lex_state = 19},
  [1978] = {.lex_state = 451},
  [1979] = {.lex_state = 8},
  [1980] = {.lex_state = 0},
  [1981] = {.lex_state = 8},
  [1982] = {.lex_state = 451},
  [1983] = {.lex_state = 0},
  [1984] = {.lex_state = 0},
  [1985] = {.lex_state = 0},
  [1986] = {.lex_state = 0},
  [1987] = {.lex_state = 19},
  [1988] = {.lex_state = 0},
  [1989] = {.lex_state = 0},
  [1990] = {.lex_state = 0},
  [1991] = {.lex_state = 451},
  [1992] = {.lex_state = 0},
  [1993] = {.lex_state = 0},
  [1994] = {.lex_state = 0},
  [1995] = {.lex_state = 8},
  [1996] = {.lex_state = 0},
  [1997] = {.lex_state = 0},
  [1998] = {.lex_state = 8},
  [1999] = {.lex_state = 23},
  [2000] = {.lex_state = 8},
  [2001] = {.lex_state = 8},
  [2002] = {.lex_state = 8},
  [2003] = {.lex_state = 8},
  [2004] = {.lex_state = 8},
  [2005] = {.lex_state = 8},
  [2006] = {.lex_state = 8},
  [2007] = {.lex_state = 0},
  [2008] = {.lex_state = 0},
  [2009] = {.lex_state = 0},
  [2010] = {.lex_state = 0},
  [2011] = {.lex_state = 0},
  [2012] = {.lex_state = 8},
  [2013] = {.lex_state = 8},
  [2014] = {.lex_state = 0},
  [2015] = {.lex_state = 8},
  [2016] = {.lex_state = 8},
  [2017] = {.lex_state = 8},
  [2018] = {.lex_state = 8},
  [2019] = {.lex_state = 8},
  [2020] = {.lex_state = 8},
  [2021] = {.lex_state = 8},
  [2022] = {.lex_state = 19},
  [2023] = {.lex_state = 451},
  [2024] = {.lex_state = 8},
  [2025] = {.lex_state = 8},
  [2026] = {.lex_state = 8},
  [2027] = {.lex_state = 19},
  [2028] = {.lex_state = 8},
  [2029] = {.lex_state = 8},
  [2030] = {.lex_state = 8},
  [2031] = {.lex_state = 8},
  [2032] = {.lex_state = 8},
  [2033] = {.lex_state = 8},
  [2034] = {.lex_state = 19},
  [2035] = {.lex_state = 8},
  [2036] = {.lex_state = 8},
  [2037] = {.lex_state = 8},
  [2038] = {.lex_state = 19},
  [2039] = {.lex_state = 19},
  [2040] = {.lex_state = 0},
  [2041] = {.lex_state = 0},
  [2042] = {.lex_state = 0},
  [2043] = {.lex_state = 0},
  [2044] = {.lex_state = 0},
  [2045] = {.lex_state = 0},
  [2046] = {.lex_state = 0},
  [2047] = {.lex_state = 0},
  [2048] = {.lex_state = 0},
  [2049] = {.lex_state = 0},
  [2050] = {.lex_state = 0},
  [2051] = {.lex_state = 8},
  [2052] = {.lex_state = 8},
  [2053] = {.lex_state = 8},
  [2054] = {.lex_state = 0},
  [2055] = {.lex_state = 19},
  [2056] = {.lex_state = 0},
  [2057] = {.lex_state = 0},
  [2058] = {.lex_state = 451},
  [2059] = {.lex_state = 21},
  [2060] = {.lex_state = 0},
  [2061] = {.lex_state = 0},
  [2062] = {.lex_state = 0},
  [2063] = {.lex_state = 19},
  [2064] = {.lex_state = 0},
  [2065] = {.lex_state = 0},
  [2066] = {.lex_state = 8},
  [2067] = {.lex_state = 19},
  [2068] = {.lex_state = 0},
  [2069] = {.lex_state = 0},
  [2070] = {.lex_state = 8},
  [2071] = {.lex_state = 0},
  [2072] = {.lex_state = 19},
  [2073] = {.lex_state = 19},
  [2074] = {.lex_state = 451},
  [2075] = {.lex_state = 0},
  [2076] = {.lex_state = 0},
  [2077] = {.lex_state = 19},
  [2078] = {.lex_state = 19},
  [2079] = {.lex_state = 8},
  [2080] = {.lex_state = 0},
  [2081] = {.lex_state = 0},
  [2082] = {.lex_state = 451},
  [2083] = {.lex_state = 19},
  [2084] = {.lex_state = 23},
  [2085] = {.lex_state = 0},
  [2086] = {.lex_state = 0},
  [2087] = {.lex_state = 451},
  [2088] = {.lex_state = 19},
  [2089] = {.lex_state = 19},
  [2090] = {.lex_state = 0},
  [2091] = {.lex_state = 0},
  [2092] = {.lex_state = 0},
  [2093] = {.lex_state = 19},
  [2094] = {.lex_state = 0},
  [2095] = {.lex_state = 0},
  [2096] = {.lex_state = 0},
  [2097] = {.lex_state = 0},
  [2098] = {.lex_state = 19},
  [2099] = {.lex_state = 0},
  [2100] = {.lex_state = 0},
  [2101] = {.lex_state = 0},
  [2102] = {.lex_state = 0},
  [2103] = {.lex_state = 19},
  [2104] = {.lex_state = 0},
  [2105] = {.lex_state = 0},
  [2106] = {.lex_state = 0},
  [2107] = {.lex_state = 0},
  [2108] = {.lex_state = 19},
  [2109] = {.lex_state = 451},
  [2110] = {.lex_state = 0},
  [2111] = {.lex_state = 0},
  [2112] = {.lex_state = 19},
  [2113] = {.lex_state = 0},
  [2114] = {.lex_state = 0},
  [2115] = {.lex_state = 19},
  [2116] = {.lex_state = 19},
  [2117] = {.lex_state = 0},
  [2118] = {.lex_state = 19},
  [2119] = {.lex_state = 0},
  [2120] = {.lex_state = 0},
  [2121] = {.lex_state = 0},
  [2122] = {.lex_state = 19},
  [2123] = {.lex_state = 0},
  [2124] = {.lex_state = 19},
  [2125] = {.lex_state = 19},
  [2126] = {.lex_state = 19},
  [2127] = {.lex_state = 19},
  [2128] = {.lex_state = 19},
  [2129] = {.lex_state = 19},
  [2130] = {.lex_state = 19},
  [2131] = {.lex_state = 19},
  [2132] = {.lex_state = 19},
  [2133] = {.lex_state = 19},
  [2134] = {.lex_state = 19},
  [2135] = {.lex_state = 19},
  [2136] = {.lex_state = 19},
  [2137] = {.lex_state = 19},
  [2138] = {.lex_state = 19},
  [2139] = {.lex_state = 19},
  [2140] = {.lex_state = 19},
  [2141] = {.lex_state = 19},
  [2142] = {.lex_state = 19},
  [2143] = {.lex_state = 19},
  [2144] = {.lex_state = 0},
  [2145] = {.lex_state = 0},
  [2146] = {.lex_state = 451},
  [2147] = {.lex_state = 19},
  [2148] = {.lex_state = 19},
  [2149] = {.lex_state = 0},
  [2150] = {.lex_state = 8},
  [2151] = {.lex_state = 19},
  [2152] = {.lex_state = 0},
  [2153] = {.lex_state = 0},
  [2154] = {.lex_state = 0},
  [2155] = {.lex_state = 0},
  [2156] = {.lex_state = 19},
  [2157] = {.lex_state = 24},
  [2158] = {.lex_state = 19},
  [2159] = {.lex_state = 19},
  [2160] = {.lex_state = 0},
  [2161] = {.lex_state = 0},
  [2162] = {.lex_state = 0},
  [2163] = {.lex_state = 0},
  [2164] = {.lex_state = 0},
  [2165] = {.lex_state = 0},
  [2166] = {.lex_state = 19},
  [2167] = {.lex_state = 24},
  [2168] = {.lex_state = 0},
  [2169] = {.lex_state = 24},
  [2170] = {.lex_state = 0},
  [2171] = {.lex_state = 19},
  [2172] = {.lex_state = 0},
  [2173] = {.lex_state = 0},
  [2174] = {.lex_state = 19},
  [2175] = {.lex_state = 451},
  [2176] = {.lex_state = 0},
  [2177] = {.lex_state = 0},
  [2178] = {.lex_state = 0},
  [2179] = {.lex_state = 19},
  [2180] = {.lex_state = 0},
  [2181] = {.lex_state = 0},
  [2182] = {.lex_state = 0},
  [2183] = {.lex_state = 0},
  [2184] = {.lex_state = 24},
  [2185] = {.lex_state = 0},
  [2186] = {.lex_state = 451},
  [2187] = {.lex_state = 0},
  [2188] = {.lex_state = 0},
  [2189] = {.lex_state = 19},
  [2190] = {.lex_state = 0},
  [2191] = {.lex_state = 19},
  [2192] = {.lex_state = 19},
  [2193] = {.lex_state = 19},
  [2194] = {.lex_state = 19},
  [2195] = {.lex_state = 0},
  [2196] = {.lex_state = 8},
  [2197] = {.lex_state = 19},
  [2198] = {.lex_state = 0},
  [2199] = {.lex_state = 19},
  [2200] = {.lex_state = 0},
  [2201] = {.lex_state = 19},
  [2202] = {.lex_state = 19},
  [2203] = {.lex_state = 0},
  [2204] = {.lex_state = 0},
  [2205] = {.lex_state = 0},
  [2206] = {.lex_state = 19},
  [2207] = {.lex_state = 0},
  [2208] = {.lex_state = 0},
  [2209] = {.lex_state = 0},
  [2210] = {.lex_state = 0},
  [2211] = {.lex_state = 0},
  [2212] = {.lex_state = 0},
  [2213] = {.lex_state = 0},
  [2214] = {.lex_state = 8},
  [2215] = {.lex_state = 0},
  [2216] = {.lex_state = 19},
  [2217] = {.lex_state = 8},
  [2218] = {.lex_state = 0},
  [2219] = {.lex_state = 19},
  [2220] = {.lex_state = 0},
  [2221] = {.lex_state = 0},
  [2222] = {.lex_state = 0},
  [2223] = {.lex_state = 0},
  [2224] = {.lex_state = 0},
  [2225] = {.lex_state = 0},
  [2226] = {.lex_state = 451},
  [2227] = {.lex_state = 8},
  [2228] = {.lex_state = 19},
  [2229] = {.lex_state = 0},
  [2230] = {.lex_state = 0},
  [2231] = {.lex_state = 24},
  [2232] = {.lex_state = 19},
  [2233] = {.lex_state = 0},
  [2234] = {.lex_state = 0},
  [2235] = {.lex_state = 8},
  [2236] = {.lex_state = 0},
  [2237] = {.lex_state = 451},
  [2238] = {.lex_state = 0},
  [2239] = {.lex_state = 0},
  [2240] = {.lex_state = 451},
  [2241] = {.lex_state = 0},
  [2242] = {.lex_state = 19},
  [2243] = {.lex_state = 0},
  [2244] = {.lex_state = 0},
  [2245] = {.lex_state = 0},
  [2246] = {.lex_state = 0},
  [2247] = {.lex_state = 24},
  [2248] = {.lex_state = 8},
  [2249] = {.lex_state = 0},
  [2250] = {.lex_state = 0},
  [2251] = {.lex_state = 8},
  [2252] = {.lex_state = 0},
  [2253] = {.lex_state = 0},
  [2254] = {.lex_state = 0},
  [2255] = {.lex_state = 0},
  [2256] = {.lex_state = 0},
  [2257] = {.lex_state = 0},
  [2258] = {.lex_state = 0},
  [2259] = {.lex_state = 0},
  [2260] = {.lex_state = 19},
  [2261] = {.lex_state = 0},
  [2262] = {.lex_state = 8},
  [2263] = {.lex_state = 0},
  [2264] = {.lex_state = 19},
  [2265] = {.lex_state = 0},
  [2266] = {.lex_state = 19},
  [2267] = {.lex_state = 24},
  [2268] = {.lex_state = 8},
  [2269] = {.lex_state = 0},
  [2270] = {.lex_state = 8},
  [2271] = {.lex_state = 0},
  [2272] = {.lex_state = 8},
  [2273] = {.lex_state = 8},
  [2274] = {.lex_state = 0},
  [2275] = {.lex_state = 0},
  [2276] = {.lex_state = 8},
  [2277] = {.lex_state = 8},
  [2278] = {.lex_state = 0},
  [2279] = {.lex_state = 0},
  [2280] = {.lex_state = 0},
  [2281] = {.lex_state = 0},
  [2282] = {.lex_state = 0},
  [2283] = {.lex_state = 451},
  [2284] = {.lex_state = 19},
  [2285] = {.lex_state = 19},
  [2286] = {.lex_state = 0},
  [2287] = {.lex_state = 19},
  [2288] = {.lex_state = 0},
  [2289] = {.lex_state = 0},
  [2290] = {.lex_state = 0},
  [2291] = {.lex_state = 0},
  [2292] = {.lex_state = 0},
  [2293] = {.lex_state = 24},
  [2294] = {.lex_state = 0},
  [2295] = {.lex_state = 19},
  [2296] = {.lex_state = 0},
  [2297] = {.lex_state = 24},
  [2298] = {.lex_state = 19},
  [2299] = {.lex_state = 0},
  [2300] = {.lex_state = 8},
  [2301] = {.lex_state = 451},
  [2302] = {.lex_state = 0},
  [2303] = {.lex_state = 0},
  [2304] = {.lex_state = 0},
  [2305] = {.lex_state = 0},
  [2306] = {.lex_state = 8},
  [2307] = {.lex_state = 8},
  [2308] = {.lex_state = 8},
  [2309] = {.lex_state = 8},
  [2310] = {.lex_state = 19},
  [2311] = {.lex_state = 19},
  [2312] = {.lex_state = 0},
  [2313] = {.lex_state = 451},
  [2314] = {.lex_state = 0},
  [2315] = {.lex_state = 19},
  [2316] = {.lex_state = 0},
  [2317] = {.lex_state = 0},
  [2318] = {.lex_state = 0},
  [2319] = {.lex_state = 0},
  [2320] = {.lex_state = 451},
  [2321] = {.lex_state = 0},
  [2322] = {.lex_state = 24},
  [2323] = {.lex_state = 19},
  [2324] = {.lex_state = 0},
  [2325] = {.lex_state = 0},
  [2326] = {.lex_state = 0},
  [2327] = {.lex_state = 0},
  [2328] = {.lex_state = 0},
  [2329] = {.lex_state = 0},
  [2330] = {.lex_state = 0},
  [2331] = {.lex_state = 8},
  [2332] = {.lex_state = 19},
  [2333] = {.lex_state = 19},
  [2334] = {.lex_state = 0},
  [2335] = {.lex_state = 8},
  [2336] = {.lex_state = 0},
  [2337] = {.lex_state = 8},
  [2338] = {.lex_state = 0},
  [2339] = {.lex_state = 0},
  [2340] = {.lex_state = 0},
  [2341] = {.lex_state = 0},
  [2342] = {.lex_state = 0},
  [2343] = {.lex_state = 451},
  [2344] = {.lex_state = 0},
  [2345] = {.lex_state = 0},
  [2346] = {.lex_state = 0},
  [2347] = {.lex_state = 0},
  [2348] = {.lex_state = 0},
  [2349] = {.lex_state = 0},
  [2350] = {.lex_state = 0},
  [2351] = {.lex_state = 8},
  [2352] = {.lex_state = 0},
  [2353] = {.lex_state = 0},
  [2354] = {.lex_state = 0},
  [2355] = {.lex_state = 8},
  [2356] = {.lex_state = 0},
  [2357] = {.lex_state = 8},
  [2358] = {.lex_state = 0},
  [2359] = {.lex_state = 0},
  [2360] = {.lex_state = 0},
  [2361] = {.lex_state = 0},
  [2362] = {.lex_state = 0},
  [2363] = {.lex_state = 451},
  [2364] = {.lex_state = 0},
  [2365] = {.lex_state = 8},
  [2366] = {.lex_state = 19},
  [2367] = {.lex_state = 0},
  [2368] = {.lex_state = 0},
  [2369] = {.lex_state = 0},
  [2370] = {.lex_state = 19},
  [2371] = {.lex_state = 8},
  [2372] = {.lex_state = 19},
  [2373] = {.lex_state = 0},
  [2374] = {.lex_state = 8},
  [2375] = {.lex_state = 8},
  [2376] = {.lex_state = 0},
  [2377] = {.lex_state = 8},
  [2378] = {.lex_state = 24},
  [2379] = {.lex_state = 19},
  [2380] = {.lex_state = 0},
  [2381] = {.lex_state = 0},
  [2382] = {.lex_state = 0},
  [2383] = {.lex_state = 451},
  [2384] = {.lex_state = 0},
  [2385] = {.lex_state = 451},
  [2386] = {.lex_state = 0},
  [2387] = {.lex_state = 0},
  [2388] = {.lex_state = 8},
  [2389] = {.lex_state = 0},
  [2390] = {.lex_state = 0},
  [2391] = {.lex_state = 8},
  [2392] = {.lex_state = 0},
  [2393] = {.lex_state = 24},
  [2394] = {.lex_state = 0},
  [2395] = {.lex_state = 8},
  [2396] = {.lex_state = 24},
  [2397] = {.lex_state = 8},
  [2398] = {.lex_state = 8},
  [2399] = {.lex_state = 24},
  [2400] = {.lex_state = 0},
  [2401] = {.lex_state = 0},
  [2402] = {.lex_state = 0},
  [2403] = {.lex_state = 451},
  [2404] = {.lex_state = 19},
  [2405] = {.lex_state = 19},
  [2406] = {.lex_state = 0},
  [2407] = {.lex_state = 8},
  [2408] = {.lex_state = 451},
  [2409] = {.lex_state = 19},
  [2410] = {.lex_state = 8},
  [2411] = {.lex_state = 0},
  [2412] = {.lex_state = 8},
  [2413] = {.lex_state = 0},
  [2414] = {.lex_state = 19},
  [2415] = {.lex_state = 0},
  [2416] = {.lex_state = 0},
  [2417] = {.lex_state = 0},
  [2418] = {.lex_state = 451},
  [2419] = {.lex_state = 8},
  [2420] = {.lex_state = 0},
  [2421] = {.lex_state = 0},
  [2422] = {.lex_state = 8},
  [2423] = {.lex_state = 0},
  [2424] = {.lex_state = 19},
  [2425] = {.lex_state = 8},
  [2426] = {.lex_state = 24},
  [2427] = {.lex_state = 8},
  [2428] = {.lex_state = 24},
  [2429] = {.lex_state = 19},
  [2430] = {.lex_state = 0},
  [2431] = {.lex_state = 0},
  [2432] = {.lex_state = 0},
  [2433] = {.lex_state = 451},
  [2434] = {.lex_state = 0},
  [2435] = {.lex_state = 19},
  [2436] = {.lex_state = 0},
  [2437] = {.lex_state = 8},
  [2438] = {.lex_state = 19},
  [2439] = {.lex_state = 0},
  [2440] = {.lex_state = 8},
  [2441] = {.lex_state = 19},
  [2442] = {.lex_state = 8},
  [2443] = {.lex_state = 0},
  [2444] = {.lex_state = 0},
  [2445] = {.lex_state = 0},
  [2446] = {.lex_state = 0},
  [2447] = {.lex_state = 0},
  [2448] = {.lex_state = 451},
  [2449] = {.lex_state = 0},
  [2450] = {.lex_state = 8},
  [2451] = {.lex_state = 19},
  [2452] = {.lex_state = 8},
  [2453] = {.lex_state = 19},
  [2454] = {.lex_state = 0},
  [2455] = {.lex_state = 8},
  [2456] = {.lex_state = 0},
  [2457] = {.lex_state = 8},
  [2458] = {.lex_state = 0},
  [2459] = {.lex_state = 0},
  [2460] = {.lex_state = 0},
  [2461] = {.lex_state = 0},
  [2462] = {.lex_state = 0},
  [2463] = {.lex_state = 451},
  [2464] = {.lex_state = 0},
  [2465] = {.lex_state = 0},
  [2466] = {.lex_state = 19},
  [2467] = {.lex_state = 8},
  [2468] = {.lex_state = 0},
  [2469] = {.lex_state = 0},
  [2470] = {.lex_state = 8},
  [2471] = {.lex_state = 0},
  [2472] = {.lex_state = 8},
  [2473] = {.lex_state = 0},
  [2474] = {.lex_state = 0},
  [2475] = {.lex_state = 0},
  [2476] = {.lex_state = 0},
  [2477] = {.lex_state = 0},
  [2478] = {.lex_state = 451},
  [2479] = {.lex_state = 0},
  [2480] = {.lex_state = 8},
  [2481] = {.lex_state = 8},
  [2482] = {.lex_state = 8},
  [2483] = {.lex_state = 0},
  [2484] = {.lex_state = 8},
  [2485] = {.lex_state = 0},
  [2486] = {.lex_state = 8},
  [2487] = {.lex_state = 0},
  [2488] = {.lex_state = 0},
  [2489] = {.lex_state = 0},
  [2490] = {.lex_state = 0},
  [2491] = {.lex_state = 0},
  [2492] = {.lex_state = 19},
  [2493] = {.lex_state = 0},
  [2494] = {.lex_state = 19},
  [2495] = {.lex_state = 19},
  [2496] = {.lex_state = 451},
  [2497] = {.lex_state = 0},
  [2498] = {.lex_state = 19},
  [2499] = {.lex_state = 0},
  [2500] = {.lex_state = 0},
  [2501] = {.lex_state = 0},
  [2502] = {.lex_state = 0},
  [2503] = {.lex_state = 0},
  [2504] = {.lex_state = 0},
  [2505] = {.lex_state = 8},
  [2506] = {.lex_state = 0},
  [2507] = {.lex_state = 0},
  [2508] = {.lex_state = 0},
  [2509] = {.lex_state = 0},
  [2510] = {.lex_state = 0},
  [2511] = {.lex_state = 0},
  [2512] = {.lex_state = 451},
  [2513] = {.lex_state = 0},
  [2514] = {.lex_state = 0},
  [2515] = {.lex_state = 0},
  [2516] = {.lex_state = 0},
  [2517] = {.lex_state = 8},
  [2518] = {.lex_state = 0},
  [2519] = {.lex_state = 0},
  [2520] = {.lex_state = 0},
  [2521] = {.lex_state = 0},
  [2522] = {.lex_state = 0},
  [2523] = {.lex_state = 24},
  [2524] = {.lex_state = 19},
  [2525] = {.lex_state = 24},
  [2526] = {.lex_state = 19},
  [2527] = {.lex_state = 0},
  [2528] = {.lex_state = 0},
  [2529] = {.lex_state = 0},
  [2530] = {.lex_state = 0},
  [2531] = {.lex_state = 0},
  [2532] = {.lex_state = 0},
  [2533] = {.lex_state = 19},
  [2534] = {.lex_state = 0},
  [2535] = {.lex_state = 0},
  [2536] = {.lex_state = 19},
  [2537] = {.lex_state = 19},
  [2538] = {.lex_state = 8},
  [2539] = {.lex_state = 24},
  [2540] = {.lex_state = 0},
  [2541] = {.lex_state = 19},
  [2542] = {.lex_state = 0},
  [2543] = {.lex_state = 0},
  [2544] = {.lex_state = 0},
  [2545] = {.lex_state = 0},
  [2546] = {.lex_state = 0},
  [2547] = {.lex_state = 0},
  [2548] = {.lex_state = 0},
  [2549] = {.lex_state = 0},
  [2550] = {.lex_state = 0},
  [2551] = {.lex_state = 0},
  [2552] = {.lex_state = 8},
  [2553] = {.lex_state = 0},
  [2554] = {.lex_state = 0},
  [2555] = {.lex_state = 0},
  [2556] = {.lex_state = 0},
  [2557] = {.lex_state = 0},
  [2558] = {.lex_state = 0},
  [2559] = {.lex_state = 0},
  [2560] = {.lex_state = 0},
  [2561] = {.lex_state = 0},
  [2562] = {.lex_state = 0},
  [2563] = {.lex_state = 19},
  [2564] = {.lex_state = 0},
  [2565] = {.lex_state = 19},
  [2566] = {.lex_state = 0},
  [2567] = {.lex_state = 0},
  [2568] = {.lex_state = 0},
  [2569] = {.lex_state = 0},
  [2570] = {.lex_state = 0},
  [2571] = {.lex_state = 8},
  [2572] = {.lex_state = 0},
  [2573] = {.lex_state = 0},
  [2574] = {.lex_state = 0},
  [2575] = {.lex_state = 0},
  [2576] = {.lex_state = 19},
  [2577] = {.lex_state = 24},
  [2578] = {.lex_state = 19},
  [2579] = {.lex_state = 19},
  [2580] = {.lex_state = 0},
  [2581] = {.lex_state = 0},
  [2582] = {.lex_state = 19},
  [2583] = {.lex_state = 0},
  [2584] = {.lex_state = 0},
  [2585] = {.lex_state = 0},
  [2586] = {.lex_state = 24},
  [2587] = {.lex_state = 0},
  [2588] = {.lex_state = 451},
  [2589] = {.lex_state = 0},
  [2590] = {.lex_state = 19},
  [2591] = {.lex_state = 8},
  [2592] = {.lex_state = 19},
  [2593] = {.lex_state = 19},
  [2594] = {.lex_state = 8},
  [2595] = {.lex_state = 8},
  [2596] = {.lex_state = 0},
  [2597] = {.lex_state = 0},
  [2598] = {.lex_state = 0},
  [2599] = {.lex_state = 0},
  [2600] = {.lex_state = 0},
  [2601] = {.lex_state = 0},
  [2602] = {.lex_state = 8},
  [2603] = {.lex_state = 0},
  [2604] = {.lex_state = 0},
  [2605] = {.lex_state = 0},
  [2606] = {.lex_state = 0},
  [2607] = {.lex_state = 0},
  [2608] = {.lex_state = 0},
  [2609] = {.lex_state = 451},
  [2610] = {.lex_state = 0},
  [2611] = {.lex_state = 0},
  [2612] = {.lex_state = 0},
  [2613] = {.lex_state = 0},
  [2614] = {.lex_state = 0},
  [2615] = {.lex_state = 0},
  [2616] = {.lex_state = 0},
  [2617] = {.lex_state = 0},
  [2618] = {.lex_state = 19},
  [2619] = {.lex_state = 451},
  [2620] = {.lex_state = 0},
  [2621] = {.lex_state = 8},
  [2622] = {.lex_state = 0},
  [2623] = {.lex_state = 0},
  [2624] = {.lex_state = 0},
  [2625] = {.lex_state = 0},
  [2626] = {.lex_state = 8},
  [2627] = {.lex_state = 0},
  [2628] = {.lex_state = 24},
  [2629] = {.lex_state = 0},
  [2630] = {.lex_state = 0},
  [2631] = {.lex_state = 0},
  [2632] = {.lex_state = 8},
  [2633] = {.lex_state = 19},
  [2634] = {.lex_state = 0},
  [2635] = {.lex_state = 0},
  [2636] = {.lex_state = 0},
  [2637] = {.lex_state = 19},
  [2638] = {.lex_state = 19},
  [2639] = {.lex_state = 0},
  [2640] = {.lex_state = 0},
  [2641] = {.lex_state = 451},
  [2642] = {.lex_state = 0},
  [2643] = {.lex_state = 0},
  [2644] = {.lex_state = 0},
  [2645] = {.lex_state = 0},
  [2646] = {.lex_state = 0},
  [2647] = {.lex_state = 0},
  [2648] = {.lex_state = 19},
  [2649] = {.lex_state = 0},
  [2650] = {.lex_state = 19},
  [2651] = {.lex_state = 19},
  [2652] = {.lex_state = 0},
  [2653] = {.lex_state = 0},
  [2654] = {.lex_state = 19},
  [2655] = {.lex_state = 0},
  [2656] = {.lex_state = 0},
  [2657] = {.lex_state = 0},
  [2658] = {.lex_state = 0},
  [2659] = {.lex_state = 0},
  [2660] = {.lex_state = 19},
  [2661] = {.lex_state = 19},
  [2662] = {.lex_state = 19},
  [2663] = {.lex_state = 19},
  [2664] = {.lex_state = 0},
  [2665] = {.lex_state = 19},
  [2666] = {.lex_state = 0},
  [2667] = {.lex_state = 24},
  [2668] = {.lex_state = 0},
  [2669] = {.lex_state = 0},
  [2670] = {.lex_state = 0},
  [2671] = {.lex_state = 19},
  [2672] = {.lex_state = 19},
  [2673] = {.lex_state = 19},
  [2674] = {.lex_state = 19},
  [2675] = {.lex_state = 19},
  [2676] = {.lex_state = 0},
  [2677] = {.lex_state = 0},
  [2678] = {.lex_state = 0},
  [2679] = {.lex_state = 0},
  [2680] = {.lex_state = 0},
  [2681] = {.lex_state = 0},
  [2682] = {.lex_state = 0},
  [2683] = {.lex_state = 19},
  [2684] = {.lex_state = 0},
  [2685] = {.lex_state = 19},
  [2686] = {.lex_state = 19},
  [2687] = {.lex_state = 0},
  [2688] = {.lex_state = 0},
  [2689] = {.lex_state = 0},
  [2690] = {.lex_state = 19},
  [2691] = {.lex_state = 0},
  [2692] = {.lex_state = 0},
  [2693] = {.lex_state = 24},
  [2694] = {.lex_state = 19},
  [2695] = {.lex_state = 0},
  [2696] = {.lex_state = 19},
  [2697] = {.lex_state = 19},
  [2698] = {.lex_state = 0},
  [2699] = {.lex_state = 0},
  [2700] = {.lex_state = 0},
  [2701] = {.lex_state = 0},
  [2702] = {.lex_state = 0},
  [2703] = {.lex_state = 0},
  [2704] = {.lex_state = 0},
  [2705] = {.lex_state = 19},
  [2706] = {.lex_state = 19},
  [2707] = {.lex_state = 19},
  [2708] = {.lex_state = 19},
  [2709] = {.lex_state = 0},
  [2710] = {.lex_state = 0},
  [2711] = {.lex_state = 8},
  [2712] = {.lex_state = 19},
  [2713] = {.lex_state = 0},
  [2714] = {.lex_state = 0},
  [2715] = {.lex_state = 0},
  [2716] = {.lex_state = 19},
  [2717] = {.lex_state = 0},
  [2718] = {.lex_state = 19},
  [2719] = {.lex_state = 19},
  [2720] = {.lex_state = 0},
  [2721] = {.lex_state = 0},
  [2722] = {.lex_state = 8},
  [2723] = {.lex_state = 19},
  [2724] = {.lex_state = 0},
  [2725] = {.lex_state = 0},
  [2726] = {.lex_state = 0},
  [2727] = {.lex_state = 19},
  [2728] = {.lex_state = 0},
  [2729] = {.lex_state = 19},
  [2730] = {.lex_state = 19},
  [2731] = {.lex_state = 8},
  [2732] = {.lex_state = 0},
  [2733] = {.lex_state = 19},
  [2734] = {.lex_state = 0},
  [2735] = {.lex_state = 19},
  [2736] = {.lex_state = 19},
  [2737] = {.lex_state = 0},
  [2738] = {.lex_state = 0},
  [2739] = {.lex_state = 0},
  [2740] = {.lex_state = 0},
  [2741] = {.lex_state = 19},
  [2742] = {.lex_state = 0},
  [2743] = {.lex_state = 24},
  [2744] = {.lex_state = 8},
  [2745] = {.lex_state = 0},
  [2746] = {.lex_state = 451},
  [2747] = {.lex_state = 0},
  [2748] = {.lex_state = 19},
  [2749] = {.lex_state = 0},
  [2750] = {.lex_state = 0},
  [2751] = {.lex_state = 0},
  [2752] = {.lex_state = 19},
  [2753] = {.lex_state = 0},
  [2754] = {.lex_state = 0},
  [2755] = {.lex_state = 0},
  [2756] = {.lex_state = 19},
  [2757] = {.lex_state = 0},
  [2758] = {.lex_state = 0},
  [2759] = {.lex_state = 24},
  [2760] = {.lex_state = 0},
  [2761] = {.lex_state = 8},
  [2762] = {.lex_state = 0},
  [2763] = {.lex_state = 0},
  [2764] = {.lex_state = 0},
  [2765] = {.lex_state = 0},
  [2766] = {.lex_state = 0},
  [2767] = {.lex_state = 24},
  [2768] = {.lex_state = 0},
  [2769] = {.lex_state = 0},
  [2770] = {.lex_state = 0},
  [2771] = {.lex_state = 19},
  [2772] = {.lex_state = 0},
  [2773] = {.lex_state = 0},
  [2774] = {.lex_state = 0},
  [2775] = {.lex_state = 8},
  [2776] = {.lex_state = 8},
  [2777] = {.lex_state = 451},
  [2778] = {.lex_state = 0},
  [2779] = {.lex_state = 19},
  [2780] = {.lex_state = 0},
  [2781] = {.lex_state = 19},
  [2782] = {.lex_state = 19},
  [2783] = {.lex_state = 0},
  [2784] = {.lex_state = 0},
  [2785] = {.lex_state = 19},
  [2786] = {.lex_state = 0},
  [2787] = {.lex_state = 0},
  [2788] = {.lex_state = 0},
  [2789] = {.lex_state = 0},
  [2790] = {.lex_state = 19},
  [2791] = {.lex_state = 0},
  [2792] = {.lex_state = 8},
  [2793] = {.lex_state = 0},
  [2794] = {.lex_state = 0},
  [2795] = {.lex_state = 0},
  [2796] = {.lex_state = 24},
  [2797] = {.lex_state = 0},
  [2798] = {.lex_state = 19},
  [2799] = {.lex_state = 0},
  [2800] = {.lex_state = 0},
  [2801] = {.lex_state = 8},
  [2802] = {.lex_state = 0},
  [2803] = {.lex_state = 0},
  [2804] = {.lex_state = 8},
  [2805] = {.lex_state = 8},
  [2806] = {.lex_state = 0},
  [2807] = {.lex_state = 19},
  [2808] = {.lex_state = 0},
  [2809] = {.lex_state = 0},
  [2810] = {.lex_state = 19},
  [2811] = {.lex_state = 19},
  [2812] = {.lex_state = 0},
  [2813] = {.lex_state = 0},
  [2814] = {.lex_state = 19},
  [2815] = {.lex_state = 0},
  [2816] = {.lex_state = 19},
  [2817] = {.lex_state = 19},
  [2818] = {.lex_state = 19},
  [2819] = {.lex_state = 0},
  [2820] = {.lex_state = 0},
  [2821] = {.lex_state = 0},
  [2822] = {.lex_state = 0},
  [2823] = {.lex_state = 0},
  [2824] = {.lex_state = 0},
  [2825] = {.lex_state = 0},
  [2826] = {.lex_state = 0},
  [2827] = {.lex_state = 0},
  [2828] = {.lex_state = 0},
  [2829] = {.lex_state = 0},
  [2830] = {.lex_state = 0},
  [2831] = {.lex_state = 0},
  [2832] = {.lex_state = 0},
  [2833] = {.lex_state = 0},
  [2834] = {.lex_state = 19},
  [2835] = {.lex_state = 0},
  [2836] = {.lex_state = 19},
  [2837] = {.lex_state = 0},
  [2838] = {.lex_state = 0},
  [2839] = {.lex_state = 8},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_option] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_redef] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_record] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_event] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_next] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_add] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_count] = ACTIONS(1),
    [anon_sym_double] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_subnet] = ACTIONS(1),
    [anon_sym_pattern] = ACTIONS(1),
    [anon_sym_port] = ACTIONS(1),
    [anon_sym_table] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_time] = ACTIONS(1),
    [anon_sym_timer] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_list] = ACTIONS(1),
    [anon_sym_vector] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_hook] = ACTIONS(1),
    [anon_sym_file] = ACTIONS(1),
    [anon_sym_opaque] = ACTIONS(1),
    [anon_sym_AMPdeprecated] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1),
    [anon_sym_AMPerror_handler] = ACTIONS(1),
    [anon_sym_AMPis_assigned] = ACTIONS(1),
    [anon_sym_AMPis_used] = ACTIONS(1),
    [anon_sym_AMPlog] = ACTIONS(1),
    [anon_sym_AMPoptional] = ACTIONS(1),
    [anon_sym_AMPraw_output] = ACTIONS(1),
    [anon_sym_AMPredef] = ACTIONS(1),
    [anon_sym_AMPadd_func] = ACTIONS(1),
    [anon_sym_AMPbackend] = ACTIONS(1),
    [anon_sym_AMPbroker_store] = ACTIONS(1),
    [anon_sym_AMPcreate_expire] = ACTIONS(1),
    [anon_sym_AMPdefault] = ACTIONS(1),
    [anon_sym_AMPdelete_func] = ACTIONS(1),
    [anon_sym_AMPexpire_func] = ACTIONS(1),
    [anon_sym_AMPgroup] = ACTIONS(1),
    [anon_sym_AMPon_change] = ACTIONS(1),
    [anon_sym_AMPpriority] = ACTIONS(1),
    [anon_sym_AMPread_expire] = ACTIONS(1),
    [anon_sym_AMPtype_column] = ACTIONS(1),
    [anon_sym_AMPwrite_expire] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_copy] = ACTIONS(1),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1),
    [anon_sym_schedule] = ACTIONS(1),
    [aux_sym_constant_token1] = ACTIONS(1),
    [anon_sym_T] = ACTIONS(1),
    [anon_sym_F] = ACTIONS(1),
    [anon_sym_ATdeprecated] = ACTIONS(1),
    [anon_sym_ATload] = ACTIONS(1),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1),
    [anon_sym_ATunload] = ACTIONS(1),
    [anon_sym_ATprefixes] = ACTIONS(1),
    [anon_sym_ATif] = ACTIONS(1),
    [anon_sym_ATifdef] = ACTIONS(1),
    [anon_sym_ATifndef] = ACTIONS(1),
    [anon_sym_ATendif] = ACTIONS(1),
    [anon_sym_ATelse] = ACTIONS(1),
    [anon_sym_ATDIR] = ACTIONS(1),
    [anon_sym_ATFILENAME] = ACTIONS(1),
    [sym_id] = ACTIONS(1),
    [sym_pattern] = ACTIONS(1),
    [sym_ipv6] = ACTIONS(1),
    [sym_ipv4] = ACTIONS(1),
    [sym_port] = ACTIONS(1),
    [sym_floatp] = ACTIONS(1),
    [sym_hex] = ACTIONS(1),
    [sym_time_unit] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(2688),
    [sym_decl] = STATE(3),
    [sym_module_decl] = STATE(295),
    [sym_export_decl] = STATE(295),
    [sym_global_decl] = STATE(295),
    [sym_option_decl] = STATE(295),
    [sym_const_decl] = STATE(295),
    [sym_redef_decl] = STATE(295),
    [sym_redef_enum_decl] = STATE(295),
    [sym_redef_record_decl] = STATE(295),
    [sym_type_decl] = STATE(295),
    [sym_func_decl] = STATE(295),
    [sym_stmt] = STATE(94),
    [sym_expr] = STATE(1528),
    [sym_constant] = STATE(1269),
    [sym_func_hdr] = STATE(1805),
    [sym_func] = STATE(1813),
    [sym_hook] = STATE(1813),
    [sym_event] = STATE(1813),
    [sym_index_slice] = STATE(2186),
    [sym_preproc_directive] = STATE(331),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat1] = STATE(3),
    [aux_sym_source_file_repeat2] = STATE(94),
    [ts_builtin_sym_end] = ACTIONS(7),
    [anon_sym_module] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_global] = ACTIONS(17),
    [anon_sym_option] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_redef] = ACTIONS(23),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_hook] = ACTIONS(63),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(81),
    [anon_sym_ATload] = ACTIONS(83),
    [anon_sym_ATload_DASHsigs] = ACTIONS(85),
    [anon_sym_ATload_DASHplugin] = ACTIONS(87),
    [anon_sym_ATunload] = ACTIONS(85),
    [anon_sym_ATprefixes] = ACTIONS(89),
    [anon_sym_ATif] = ACTIONS(91),
    [anon_sym_ATifdef] = ACTIONS(93),
    [anon_sym_ATifndef] = ACTIONS(93),
    [anon_sym_ATendif] = ACTIONS(95),
    [anon_sym_ATelse] = ACTIONS(95),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [2] = {
    [sym_expr] = STATE(1279),
    [sym_constant] = STATE(1269),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(113),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_AMPdeprecated] = ACTIONS(111),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(111),
    [anon_sym_AMPerror_handler] = ACTIONS(111),
    [anon_sym_AMPis_assigned] = ACTIONS(111),
    [anon_sym_AMPis_used] = ACTIONS(111),
    [anon_sym_AMPlog] = ACTIONS(111),
    [anon_sym_AMPoptional] = ACTIONS(111),
    [anon_sym_AMPraw_output] = ACTIONS(111),
    [anon_sym_AMPredef] = ACTIONS(111),
    [anon_sym_AMPadd_func] = ACTIONS(111),
    [anon_sym_AMPbackend] = ACTIONS(111),
    [anon_sym_AMPbroker_store] = ACTIONS(111),
    [anon_sym_AMPcreate_expire] = ACTIONS(111),
    [anon_sym_AMPdefault] = ACTIONS(111),
    [anon_sym_AMPdelete_func] = ACTIONS(111),
    [anon_sym_AMPexpire_func] = ACTIONS(111),
    [anon_sym_AMPgroup] = ACTIONS(111),
    [anon_sym_AMPon_change] = ACTIONS(111),
    [anon_sym_AMPpriority] = ACTIONS(111),
    [anon_sym_AMPread_expire] = ACTIONS(111),
    [anon_sym_AMPtype_column] = ACTIONS(111),
    [anon_sym_AMPwrite_expire] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_is] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(111),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_LT_EQ] = ACTIONS(111),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(111),
    [anon_sym_AMP] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(111),
    [anon_sym_BANG_EQ] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(111),
    [anon_sym_ATload] = ACTIONS(113),
    [anon_sym_ATload_DASHsigs] = ACTIONS(111),
    [anon_sym_ATload_DASHplugin] = ACTIONS(111),
    [anon_sym_ATunload] = ACTIONS(111),
    [anon_sym_ATprefixes] = ACTIONS(111),
    [anon_sym_ATif] = ACTIONS(113),
    [anon_sym_ATifdef] = ACTIONS(111),
    [anon_sym_ATifndef] = ACTIONS(111),
    [anon_sym_ATendif] = ACTIONS(111),
    [anon_sym_ATelse] = ACTIONS(111),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [3] = {
    [sym_decl] = STATE(10),
    [sym_module_decl] = STATE(295),
    [sym_export_decl] = STATE(295),
    [sym_global_decl] = STATE(295),
    [sym_option_decl] = STATE(295),
    [sym_const_decl] = STATE(295),
    [sym_redef_decl] = STATE(295),
    [sym_redef_enum_decl] = STATE(295),
    [sym_redef_record_decl] = STATE(295),
    [sym_type_decl] = STATE(295),
    [sym_func_decl] = STATE(295),
    [sym_stmt] = STATE(96),
    [sym_expr] = STATE(1528),
    [sym_constant] = STATE(1269),
    [sym_func_hdr] = STATE(1805),
    [sym_func] = STATE(1813),
    [sym_hook] = STATE(1813),
    [sym_event] = STATE(1813),
    [sym_index_slice] = STATE(2186),
    [sym_preproc_directive] = STATE(331),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat1] = STATE(10),
    [aux_sym_source_file_repeat2] = STATE(96),
    [ts_builtin_sym_end] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_global] = ACTIONS(17),
    [anon_sym_option] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_redef] = ACTIONS(23),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_hook] = ACTIONS(63),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(81),
    [anon_sym_ATload] = ACTIONS(83),
    [anon_sym_ATload_DASHsigs] = ACTIONS(85),
    [anon_sym_ATload_DASHplugin] = ACTIONS(87),
    [anon_sym_ATunload] = ACTIONS(85),
    [anon_sym_ATprefixes] = ACTIONS(89),
    [anon_sym_ATif] = ACTIONS(91),
    [anon_sym_ATifdef] = ACTIONS(93),
    [anon_sym_ATifndef] = ACTIONS(93),
    [anon_sym_ATendif] = ACTIONS(95),
    [anon_sym_ATelse] = ACTIONS(95),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [4] = {
    [ts_builtin_sym_end] = ACTIONS(123),
    [anon_sym_module] = ACTIONS(125),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_export] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_global] = ACTIONS(125),
    [anon_sym_option] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_redef] = ACTIONS(125),
    [anon_sym_record] = ACTIONS(125),
    [anon_sym_type] = ACTIONS(125),
    [anon_sym_print] = ACTIONS(125),
    [anon_sym_event] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(125),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_next] = ACTIONS(125),
    [anon_sym_break] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_add] = ACTIONS(125),
    [anon_sym_delete] = ACTIONS(125),
    [anon_sym_local] = ACTIONS(125),
    [anon_sym_when] = ACTIONS(125),
    [anon_sym_assert] = ACTIONS(125),
    [anon_sym_table] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_vector] = ACTIONS(125),
    [anon_sym_function] = ACTIONS(125),
    [anon_sym_hook] = ACTIONS(125),
    [anon_sym_AMPdeprecated] = ACTIONS(123),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(123),
    [anon_sym_AMPerror_handler] = ACTIONS(123),
    [anon_sym_AMPis_assigned] = ACTIONS(123),
    [anon_sym_AMPis_used] = ACTIONS(123),
    [anon_sym_AMPlog] = ACTIONS(123),
    [anon_sym_AMPoptional] = ACTIONS(123),
    [anon_sym_AMPraw_output] = ACTIONS(123),
    [anon_sym_AMPredef] = ACTIONS(123),
    [anon_sym_AMPadd_func] = ACTIONS(123),
    [anon_sym_AMPbackend] = ACTIONS(123),
    [anon_sym_AMPbroker_store] = ACTIONS(123),
    [anon_sym_AMPcreate_expire] = ACTIONS(123),
    [anon_sym_AMPdefault] = ACTIONS(123),
    [anon_sym_AMPdelete_func] = ACTIONS(123),
    [anon_sym_AMPexpire_func] = ACTIONS(123),
    [anon_sym_AMPgroup] = ACTIONS(123),
    [anon_sym_AMPon_change] = ACTIONS(123),
    [anon_sym_AMPpriority] = ACTIONS(123),
    [anon_sym_AMPread_expire] = ACTIONS(123),
    [anon_sym_AMPtype_column] = ACTIONS(123),
    [anon_sym_AMPwrite_expire] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_copy] = ACTIONS(125),
    [anon_sym_schedule] = ACTIONS(125),
    [aux_sym_constant_token1] = ACTIONS(125),
    [anon_sym_T] = ACTIONS(125),
    [anon_sym_F] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [anon_sym_ATDIR] = ACTIONS(123),
    [anon_sym_ATFILENAME] = ACTIONS(123),
    [sym_id] = ACTIONS(125),
    [sym_pattern] = ACTIONS(123),
    [sym_ipv6] = ACTIONS(125),
    [sym_ipv4] = ACTIONS(125),
    [sym_port] = ACTIONS(123),
    [sym_floatp] = ACTIONS(125),
    [sym_hex] = ACTIONS(125),
    [sym_hostname] = ACTIONS(125),
    [aux_sym_string_token1] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [5] = {
    [ts_builtin_sym_end] = ACTIONS(127),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_global] = ACTIONS(129),
    [anon_sym_option] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_redef] = ACTIONS(129),
    [anon_sym_record] = ACTIONS(129),
    [anon_sym_type] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_next] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(129),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(129),
    [anon_sym_add] = ACTIONS(129),
    [anon_sym_delete] = ACTIONS(129),
    [anon_sym_local] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_table] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
    [anon_sym_vector] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(129),
    [anon_sym_hook] = ACTIONS(129),
    [anon_sym_AMPdeprecated] = ACTIONS(127),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(127),
    [anon_sym_AMPerror_handler] = ACTIONS(127),
    [anon_sym_AMPis_assigned] = ACTIONS(127),
    [anon_sym_AMPis_used] = ACTIONS(127),
    [anon_sym_AMPlog] = ACTIONS(127),
    [anon_sym_AMPoptional] = ACTIONS(127),
    [anon_sym_AMPraw_output] = ACTIONS(127),
    [anon_sym_AMPredef] = ACTIONS(127),
    [anon_sym_AMPadd_func] = ACTIONS(127),
    [anon_sym_AMPbackend] = ACTIONS(127),
    [anon_sym_AMPbroker_store] = ACTIONS(127),
    [anon_sym_AMPcreate_expire] = ACTIONS(127),
    [anon_sym_AMPdefault] = ACTIONS(127),
    [anon_sym_AMPdelete_func] = ACTIONS(127),
    [anon_sym_AMPexpire_func] = ACTIONS(127),
    [anon_sym_AMPgroup] = ACTIONS(127),
    [anon_sym_AMPon_change] = ACTIONS(127),
    [anon_sym_AMPpriority] = ACTIONS(127),
    [anon_sym_AMPread_expire] = ACTIONS(127),
    [anon_sym_AMPtype_column] = ACTIONS(127),
    [anon_sym_AMPwrite_expire] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_PLUS_PLUS] = ACTIONS(127),
    [anon_sym_DASH_DASH] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_copy] = ACTIONS(129),
    [anon_sym_schedule] = ACTIONS(129),
    [aux_sym_constant_token1] = ACTIONS(129),
    [anon_sym_T] = ACTIONS(129),
    [anon_sym_F] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [anon_sym_ATDIR] = ACTIONS(127),
    [anon_sym_ATFILENAME] = ACTIONS(127),
    [sym_id] = ACTIONS(129),
    [sym_pattern] = ACTIONS(127),
    [sym_ipv6] = ACTIONS(129),
    [sym_ipv4] = ACTIONS(129),
    [sym_port] = ACTIONS(127),
    [sym_floatp] = ACTIONS(129),
    [sym_hex] = ACTIONS(129),
    [sym_hostname] = ACTIONS(129),
    [aux_sym_string_token1] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [6] = {
    [sym_expr] = STATE(1279),
    [sym_constant] = STATE(1269),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(111),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_RPAREN] = ACTIONS(111),
    [anon_sym_COMMA] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(113),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_AMPdeprecated] = ACTIONS(111),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(111),
    [anon_sym_AMPerror_handler] = ACTIONS(111),
    [anon_sym_AMPis_assigned] = ACTIONS(111),
    [anon_sym_AMPis_used] = ACTIONS(111),
    [anon_sym_AMPlog] = ACTIONS(111),
    [anon_sym_AMPoptional] = ACTIONS(111),
    [anon_sym_AMPraw_output] = ACTIONS(111),
    [anon_sym_AMPredef] = ACTIONS(111),
    [anon_sym_AMPadd_func] = ACTIONS(111),
    [anon_sym_AMPbackend] = ACTIONS(111),
    [anon_sym_AMPbroker_store] = ACTIONS(111),
    [anon_sym_AMPcreate_expire] = ACTIONS(111),
    [anon_sym_AMPdefault] = ACTIONS(111),
    [anon_sym_AMPdelete_func] = ACTIONS(111),
    [anon_sym_AMPexpire_func] = ACTIONS(111),
    [anon_sym_AMPgroup] = ACTIONS(111),
    [anon_sym_AMPon_change] = ACTIONS(111),
    [anon_sym_AMPpriority] = ACTIONS(111),
    [anon_sym_AMPread_expire] = ACTIONS(111),
    [anon_sym_AMPtype_column] = ACTIONS(111),
    [anon_sym_AMPwrite_expire] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_is] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(111),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_LT_EQ] = ACTIONS(111),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(111),
    [anon_sym_AMP] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(111),
    [anon_sym_BANG_EQ] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [7] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_timeout] = ACTIONS(137),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [8] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [9] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_timeout] = ACTIONS(137),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [10] = {
    [sym_decl] = STATE(10),
    [sym_module_decl] = STATE(295),
    [sym_export_decl] = STATE(295),
    [sym_global_decl] = STATE(295),
    [sym_option_decl] = STATE(295),
    [sym_const_decl] = STATE(295),
    [sym_redef_decl] = STATE(295),
    [sym_redef_enum_decl] = STATE(295),
    [sym_redef_record_decl] = STATE(295),
    [sym_type_decl] = STATE(295),
    [sym_func_decl] = STATE(295),
    [sym_func_hdr] = STATE(1805),
    [sym_func] = STATE(1813),
    [sym_hook] = STATE(1813),
    [sym_event] = STATE(1813),
    [sym_preproc_directive] = STATE(295),
    [aux_sym_source_file_repeat1] = STATE(10),
    [ts_builtin_sym_end] = ACTIONS(141),
    [anon_sym_module] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(141),
    [anon_sym_export] = ACTIONS(146),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_global] = ACTIONS(149),
    [anon_sym_option] = ACTIONS(152),
    [anon_sym_const] = ACTIONS(155),
    [anon_sym_redef] = ACTIONS(158),
    [anon_sym_record] = ACTIONS(161),
    [anon_sym_type] = ACTIONS(163),
    [anon_sym_print] = ACTIONS(161),
    [anon_sym_event] = ACTIONS(166),
    [anon_sym_if] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_next] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(161),
    [anon_sym_fallthrough] = ACTIONS(161),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_add] = ACTIONS(161),
    [anon_sym_delete] = ACTIONS(161),
    [anon_sym_local] = ACTIONS(161),
    [anon_sym_when] = ACTIONS(161),
    [anon_sym_assert] = ACTIONS(161),
    [anon_sym_table] = ACTIONS(161),
    [anon_sym_set] = ACTIONS(161),
    [anon_sym_vector] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(169),
    [anon_sym_hook] = ACTIONS(172),
    [anon_sym_DOLLAR] = ACTIONS(141),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(141),
    [anon_sym_DASH_DASH] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(161),
    [anon_sym_copy] = ACTIONS(161),
    [anon_sym_schedule] = ACTIONS(161),
    [aux_sym_constant_token1] = ACTIONS(161),
    [anon_sym_T] = ACTIONS(161),
    [anon_sym_F] = ACTIONS(161),
    [anon_sym_ATdeprecated] = ACTIONS(175),
    [anon_sym_ATload] = ACTIONS(178),
    [anon_sym_ATload_DASHsigs] = ACTIONS(181),
    [anon_sym_ATload_DASHplugin] = ACTIONS(184),
    [anon_sym_ATunload] = ACTIONS(181),
    [anon_sym_ATprefixes] = ACTIONS(187),
    [anon_sym_ATif] = ACTIONS(190),
    [anon_sym_ATifdef] = ACTIONS(193),
    [anon_sym_ATifndef] = ACTIONS(193),
    [anon_sym_ATendif] = ACTIONS(196),
    [anon_sym_ATelse] = ACTIONS(196),
    [anon_sym_ATDIR] = ACTIONS(141),
    [anon_sym_ATFILENAME] = ACTIONS(141),
    [sym_id] = ACTIONS(161),
    [sym_pattern] = ACTIONS(141),
    [sym_ipv6] = ACTIONS(161),
    [sym_ipv4] = ACTIONS(161),
    [sym_port] = ACTIONS(141),
    [sym_floatp] = ACTIONS(161),
    [sym_hex] = ACTIONS(161),
    [sym_hostname] = ACTIONS(161),
    [aux_sym_string_token1] = ACTIONS(141),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [11] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_timeout] = ACTIONS(137),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [12] = {
    [ts_builtin_sym_end] = ACTIONS(135),
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_timeout] = ACTIONS(137),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [13] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [14] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_COMMA] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [15] = {
    [ts_builtin_sym_end] = ACTIONS(135),
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [16] = {
    [ts_builtin_sym_end] = ACTIONS(135),
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_timeout] = ACTIONS(137),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [17] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [18] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_timeout] = ACTIONS(137),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [19] = {
    [ts_builtin_sym_end] = ACTIONS(135),
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [20] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(139),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [21] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2547),
    [sym_expr] = STATE(1297),
    [sym_expr_list] = STATE(2620),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [aux_sym_expr_list_repeat1] = STATE(862),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(203),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [22] = {
    [sym_stmt] = STATE(39),
    [sym_stmt_list] = STATE(1919),
    [sym_expr] = STATE(1496),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2403),
    [sym_preproc_directive] = STATE(536),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(39),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_const] = ACTIONS(253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(255),
    [anon_sym_event] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(261),
    [anon_sym_for] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(265),
    [anon_sym_next] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(267),
    [anon_sym_fallthrough] = ACTIONS(267),
    [anon_sym_return] = ACTIONS(269),
    [anon_sym_add] = ACTIONS(271),
    [anon_sym_delete] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(273),
    [anon_sym_when] = ACTIONS(275),
    [anon_sym_assert] = ACTIONS(277),
    [anon_sym_case] = ACTIONS(279),
    [anon_sym_default] = ACTIONS(279),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(281),
    [anon_sym_ATload] = ACTIONS(283),
    [anon_sym_ATload_DASHsigs] = ACTIONS(285),
    [anon_sym_ATload_DASHplugin] = ACTIONS(287),
    [anon_sym_ATunload] = ACTIONS(285),
    [anon_sym_ATprefixes] = ACTIONS(289),
    [anon_sym_ATif] = ACTIONS(291),
    [anon_sym_ATifdef] = ACTIONS(293),
    [anon_sym_ATifndef] = ACTIONS(293),
    [anon_sym_ATendif] = ACTIONS(295),
    [anon_sym_ATelse] = ACTIONS(295),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [23] = {
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_PLUS_EQ] = ACTIONS(297),
    [anon_sym_record] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_local] = ACTIONS(299),
    [anon_sym_EQ] = ACTIONS(297),
    [anon_sym_table] = ACTIONS(299),
    [anon_sym_set] = ACTIONS(299),
    [anon_sym_vector] = ACTIONS(299),
    [anon_sym_function] = ACTIONS(299),
    [anon_sym_hook] = ACTIONS(299),
    [anon_sym_AMPdeprecated] = ACTIONS(297),
    [anon_sym_DASH_EQ] = ACTIONS(297),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(297),
    [anon_sym_AMPerror_handler] = ACTIONS(297),
    [anon_sym_AMPis_assigned] = ACTIONS(297),
    [anon_sym_AMPis_used] = ACTIONS(297),
    [anon_sym_AMPlog] = ACTIONS(297),
    [anon_sym_AMPoptional] = ACTIONS(297),
    [anon_sym_AMPraw_output] = ACTIONS(297),
    [anon_sym_AMPredef] = ACTIONS(297),
    [anon_sym_AMPadd_func] = ACTIONS(297),
    [anon_sym_AMPbackend] = ACTIONS(297),
    [anon_sym_AMPbroker_store] = ACTIONS(297),
    [anon_sym_AMPcreate_expire] = ACTIONS(297),
    [anon_sym_AMPdefault] = ACTIONS(297),
    [anon_sym_AMPdelete_func] = ACTIONS(297),
    [anon_sym_AMPexpire_func] = ACTIONS(297),
    [anon_sym_AMPgroup] = ACTIONS(297),
    [anon_sym_AMPon_change] = ACTIONS(297),
    [anon_sym_AMPpriority] = ACTIONS(297),
    [anon_sym_AMPread_expire] = ACTIONS(297),
    [anon_sym_AMPtype_column] = ACTIONS(297),
    [anon_sym_AMPwrite_expire] = ACTIONS(297),
    [anon_sym_DOLLAR] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(297),
    [anon_sym_PLUS_PLUS] = ACTIONS(297),
    [anon_sym_DASH_DASH] = ACTIONS(297),
    [anon_sym_BANG] = ACTIONS(297),
    [anon_sym_TILDE] = ACTIONS(297),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(299),
    [anon_sym_copy] = ACTIONS(299),
    [anon_sym_schedule] = ACTIONS(299),
    [aux_sym_constant_token1] = ACTIONS(299),
    [anon_sym_T] = ACTIONS(299),
    [anon_sym_F] = ACTIONS(299),
    [anon_sym_ATdeprecated] = ACTIONS(297),
    [anon_sym_ATload] = ACTIONS(299),
    [anon_sym_ATload_DASHsigs] = ACTIONS(297),
    [anon_sym_ATload_DASHplugin] = ACTIONS(297),
    [anon_sym_ATunload] = ACTIONS(297),
    [anon_sym_ATprefixes] = ACTIONS(297),
    [anon_sym_ATif] = ACTIONS(299),
    [anon_sym_ATifdef] = ACTIONS(297),
    [anon_sym_ATifndef] = ACTIONS(297),
    [anon_sym_ATendif] = ACTIONS(297),
    [anon_sym_ATelse] = ACTIONS(297),
    [anon_sym_ATDIR] = ACTIONS(297),
    [anon_sym_ATFILENAME] = ACTIONS(297),
    [sym_id] = ACTIONS(299),
    [sym_pattern] = ACTIONS(297),
    [sym_ipv6] = ACTIONS(299),
    [sym_ipv4] = ACTIONS(299),
    [sym_port] = ACTIONS(297),
    [sym_floatp] = ACTIONS(299),
    [sym_hex] = ACTIONS(299),
    [sym_hostname] = ACTIONS(299),
    [aux_sym_string_token1] = ACTIONS(297),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [24] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2386),
    [sym_expr] = STATE(1297),
    [sym_expr_list] = STATE(2620),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [aux_sym_expr_list_repeat1] = STATE(862),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [25] = {
    [sym_stmt] = STATE(39),
    [sym_stmt_list] = STATE(1915),
    [sym_expr] = STATE(1496),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2403),
    [sym_preproc_directive] = STATE(536),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(39),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_const] = ACTIONS(253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(255),
    [anon_sym_event] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(261),
    [anon_sym_for] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(265),
    [anon_sym_next] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(267),
    [anon_sym_fallthrough] = ACTIONS(267),
    [anon_sym_return] = ACTIONS(269),
    [anon_sym_add] = ACTIONS(271),
    [anon_sym_delete] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(273),
    [anon_sym_when] = ACTIONS(275),
    [anon_sym_assert] = ACTIONS(277),
    [anon_sym_case] = ACTIONS(305),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(281),
    [anon_sym_ATload] = ACTIONS(283),
    [anon_sym_ATload_DASHsigs] = ACTIONS(285),
    [anon_sym_ATload_DASHplugin] = ACTIONS(287),
    [anon_sym_ATunload] = ACTIONS(285),
    [anon_sym_ATprefixes] = ACTIONS(289),
    [anon_sym_ATif] = ACTIONS(291),
    [anon_sym_ATifdef] = ACTIONS(293),
    [anon_sym_ATifndef] = ACTIONS(293),
    [anon_sym_ATendif] = ACTIONS(295),
    [anon_sym_ATelse] = ACTIONS(295),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [26] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2316),
    [sym_expr] = STATE(1297),
    [sym_expr_list] = STATE(2620),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [aux_sym_expr_list_repeat1] = STATE(862),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [27] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2316),
    [sym_expr] = STATE(1297),
    [sym_expr_list] = STATE(2620),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [aux_sym_expr_list_repeat1] = STATE(862),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(309),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [28] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2312),
    [sym_expr] = STATE(1297),
    [sym_expr_list] = STATE(2620),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [aux_sym_expr_list_repeat1] = STATE(862),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(311),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [29] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2678),
    [sym_expr] = STATE(1297),
    [sym_expr_list] = STATE(2620),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [aux_sym_expr_list_repeat1] = STATE(862),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(313),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [30] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2160),
    [sym_expr] = STATE(1297),
    [sym_expr_list] = STATE(2620),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [aux_sym_expr_list_repeat1] = STATE(862),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(315),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [31] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2302),
    [sym_expr] = STATE(1297),
    [sym_expr_list] = STATE(2620),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [aux_sym_expr_list_repeat1] = STATE(862),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [32] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2411),
    [sym_expr] = STATE(1297),
    [sym_expr_list] = STATE(2620),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [aux_sym_expr_list_repeat1] = STATE(862),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [33] = {
    [anon_sym_SEMI] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_RBRACE] = ACTIONS(321),
    [anon_sym_PLUS_EQ] = ACTIONS(321),
    [anon_sym_record] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(321),
    [anon_sym_RPAREN] = ACTIONS(321),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(321),
    [anon_sym_RBRACK] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(321),
    [anon_sym_table] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
    [anon_sym_vector] = ACTIONS(323),
    [anon_sym_function] = ACTIONS(323),
    [anon_sym_hook] = ACTIONS(323),
    [anon_sym_AMPdeprecated] = ACTIONS(321),
    [anon_sym_DASH_EQ] = ACTIONS(321),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(321),
    [anon_sym_AMPerror_handler] = ACTIONS(321),
    [anon_sym_AMPis_assigned] = ACTIONS(321),
    [anon_sym_AMPis_used] = ACTIONS(321),
    [anon_sym_AMPlog] = ACTIONS(321),
    [anon_sym_AMPoptional] = ACTIONS(321),
    [anon_sym_AMPraw_output] = ACTIONS(321),
    [anon_sym_AMPredef] = ACTIONS(321),
    [anon_sym_AMPadd_func] = ACTIONS(321),
    [anon_sym_AMPbackend] = ACTIONS(321),
    [anon_sym_AMPbroker_store] = ACTIONS(321),
    [anon_sym_AMPcreate_expire] = ACTIONS(321),
    [anon_sym_AMPdefault] = ACTIONS(321),
    [anon_sym_AMPdelete_func] = ACTIONS(321),
    [anon_sym_AMPexpire_func] = ACTIONS(321),
    [anon_sym_AMPgroup] = ACTIONS(321),
    [anon_sym_AMPon_change] = ACTIONS(321),
    [anon_sym_AMPpriority] = ACTIONS(321),
    [anon_sym_AMPread_expire] = ACTIONS(321),
    [anon_sym_AMPtype_column] = ACTIONS(321),
    [anon_sym_AMPwrite_expire] = ACTIONS(321),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [anon_sym_PIPE] = ACTIONS(321),
    [anon_sym_PLUS_PLUS] = ACTIONS(321),
    [anon_sym_DASH_DASH] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_DASH] = ACTIONS(323),
    [anon_sym_PLUS] = ACTIONS(323),
    [anon_sym_copy] = ACTIONS(323),
    [anon_sym_schedule] = ACTIONS(323),
    [aux_sym_constant_token1] = ACTIONS(323),
    [anon_sym_T] = ACTIONS(323),
    [anon_sym_F] = ACTIONS(323),
    [anon_sym_ATdeprecated] = ACTIONS(321),
    [anon_sym_ATload] = ACTIONS(323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(321),
    [anon_sym_ATload_DASHplugin] = ACTIONS(321),
    [anon_sym_ATunload] = ACTIONS(321),
    [anon_sym_ATprefixes] = ACTIONS(321),
    [anon_sym_ATif] = ACTIONS(323),
    [anon_sym_ATifdef] = ACTIONS(321),
    [anon_sym_ATifndef] = ACTIONS(321),
    [anon_sym_ATendif] = ACTIONS(321),
    [anon_sym_ATelse] = ACTIONS(321),
    [anon_sym_ATDIR] = ACTIONS(321),
    [anon_sym_ATFILENAME] = ACTIONS(321),
    [sym_id] = ACTIONS(323),
    [sym_pattern] = ACTIONS(321),
    [sym_ipv6] = ACTIONS(323),
    [sym_ipv4] = ACTIONS(323),
    [sym_port] = ACTIONS(321),
    [sym_floatp] = ACTIONS(323),
    [sym_hex] = ACTIONS(323),
    [sym_hostname] = ACTIONS(323),
    [aux_sym_string_token1] = ACTIONS(321),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [34] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2528),
    [sym_expr] = STATE(1297),
    [sym_expr_list] = STATE(2620),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [aux_sym_expr_list_repeat1] = STATE(862),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(325),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [35] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2580),
    [sym_expr] = STATE(1297),
    [sym_expr_list] = STATE(2620),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [aux_sym_expr_list_repeat1] = STATE(862),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(327),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [36] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2234),
    [sym_expr] = STATE(1297),
    [sym_expr_list] = STATE(2620),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [aux_sym_expr_list_repeat1] = STATE(862),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [37] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2753),
    [sym_expr] = STATE(1297),
    [sym_expr_list] = STATE(2620),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [aux_sym_expr_list_repeat1] = STATE(862),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [38] = {
    [sym_stmt] = STATE(38),
    [sym_expr] = STATE(1496),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2403),
    [sym_preproc_directive] = STATE(536),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(38),
    [anon_sym_SEMI] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_const] = ACTIONS(341),
    [anon_sym_record] = ACTIONS(344),
    [anon_sym_print] = ACTIONS(347),
    [anon_sym_event] = ACTIONS(350),
    [anon_sym_if] = ACTIONS(353),
    [anon_sym_LPAREN] = ACTIONS(356),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(362),
    [anon_sym_LBRACK] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(368),
    [anon_sym_next] = ACTIONS(371),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_fallthrough] = ACTIONS(371),
    [anon_sym_return] = ACTIONS(374),
    [anon_sym_add] = ACTIONS(377),
    [anon_sym_delete] = ACTIONS(377),
    [anon_sym_local] = ACTIONS(380),
    [anon_sym_when] = ACTIONS(383),
    [anon_sym_assert] = ACTIONS(386),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_table] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_vector] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_hook] = ACTIONS(400),
    [anon_sym_DOLLAR] = ACTIONS(403),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_PLUS_PLUS] = ACTIONS(409),
    [anon_sym_DASH_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(412),
    [anon_sym_copy] = ACTIONS(415),
    [anon_sym_schedule] = ACTIONS(418),
    [aux_sym_constant_token1] = ACTIONS(421),
    [anon_sym_T] = ACTIONS(424),
    [anon_sym_F] = ACTIONS(424),
    [anon_sym_ATdeprecated] = ACTIONS(427),
    [anon_sym_ATload] = ACTIONS(430),
    [anon_sym_ATload_DASHsigs] = ACTIONS(433),
    [anon_sym_ATload_DASHplugin] = ACTIONS(436),
    [anon_sym_ATunload] = ACTIONS(433),
    [anon_sym_ATprefixes] = ACTIONS(439),
    [anon_sym_ATif] = ACTIONS(442),
    [anon_sym_ATifdef] = ACTIONS(445),
    [anon_sym_ATifndef] = ACTIONS(445),
    [anon_sym_ATendif] = ACTIONS(448),
    [anon_sym_ATelse] = ACTIONS(448),
    [anon_sym_ATDIR] = ACTIONS(451),
    [anon_sym_ATFILENAME] = ACTIONS(451),
    [sym_id] = ACTIONS(454),
    [sym_pattern] = ACTIONS(457),
    [sym_ipv6] = ACTIONS(460),
    [sym_ipv4] = ACTIONS(460),
    [sym_port] = ACTIONS(463),
    [sym_floatp] = ACTIONS(466),
    [sym_hex] = ACTIONS(424),
    [sym_hostname] = ACTIONS(424),
    [aux_sym_string_token1] = ACTIONS(469),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [39] = {
    [sym_stmt] = STATE(38),
    [sym_expr] = STATE(1496),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2403),
    [sym_preproc_directive] = STATE(536),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(38),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_RBRACE] = ACTIONS(472),
    [anon_sym_const] = ACTIONS(253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(255),
    [anon_sym_event] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(261),
    [anon_sym_for] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(265),
    [anon_sym_next] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(267),
    [anon_sym_fallthrough] = ACTIONS(267),
    [anon_sym_return] = ACTIONS(269),
    [anon_sym_add] = ACTIONS(271),
    [anon_sym_delete] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(273),
    [anon_sym_when] = ACTIONS(275),
    [anon_sym_assert] = ACTIONS(277),
    [anon_sym_case] = ACTIONS(474),
    [anon_sym_default] = ACTIONS(474),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(281),
    [anon_sym_ATload] = ACTIONS(283),
    [anon_sym_ATload_DASHsigs] = ACTIONS(285),
    [anon_sym_ATload_DASHplugin] = ACTIONS(287),
    [anon_sym_ATunload] = ACTIONS(285),
    [anon_sym_ATprefixes] = ACTIONS(289),
    [anon_sym_ATif] = ACTIONS(291),
    [anon_sym_ATifdef] = ACTIONS(293),
    [anon_sym_ATifndef] = ACTIONS(293),
    [anon_sym_ATendif] = ACTIONS(295),
    [anon_sym_ATelse] = ACTIONS(295),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [40] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2572),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [41] = {
    [anon_sym_SEMI] = ACTIONS(480),
    [anon_sym_LBRACE] = ACTIONS(480),
    [anon_sym_PLUS_EQ] = ACTIONS(480),
    [anon_sym_record] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(480),
    [anon_sym_RPAREN] = ACTIONS(480),
    [anon_sym_COMMA] = ACTIONS(480),
    [anon_sym_LBRACK] = ACTIONS(480),
    [anon_sym_local] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(480),
    [anon_sym_table] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [anon_sym_vector] = ACTIONS(482),
    [anon_sym_function] = ACTIONS(482),
    [anon_sym_hook] = ACTIONS(482),
    [anon_sym_AMPdeprecated] = ACTIONS(480),
    [anon_sym_DASH_EQ] = ACTIONS(480),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(480),
    [anon_sym_AMPerror_handler] = ACTIONS(480),
    [anon_sym_AMPis_assigned] = ACTIONS(480),
    [anon_sym_AMPis_used] = ACTIONS(480),
    [anon_sym_AMPlog] = ACTIONS(480),
    [anon_sym_AMPoptional] = ACTIONS(480),
    [anon_sym_AMPraw_output] = ACTIONS(480),
    [anon_sym_AMPredef] = ACTIONS(480),
    [anon_sym_AMPadd_func] = ACTIONS(480),
    [anon_sym_AMPbackend] = ACTIONS(480),
    [anon_sym_AMPbroker_store] = ACTIONS(480),
    [anon_sym_AMPcreate_expire] = ACTIONS(480),
    [anon_sym_AMPdefault] = ACTIONS(480),
    [anon_sym_AMPdelete_func] = ACTIONS(480),
    [anon_sym_AMPexpire_func] = ACTIONS(480),
    [anon_sym_AMPgroup] = ACTIONS(480),
    [anon_sym_AMPon_change] = ACTIONS(480),
    [anon_sym_AMPpriority] = ACTIONS(480),
    [anon_sym_AMPread_expire] = ACTIONS(480),
    [anon_sym_AMPtype_column] = ACTIONS(480),
    [anon_sym_AMPwrite_expire] = ACTIONS(480),
    [anon_sym_DOLLAR] = ACTIONS(480),
    [anon_sym_PIPE] = ACTIONS(480),
    [anon_sym_PLUS_PLUS] = ACTIONS(480),
    [anon_sym_DASH_DASH] = ACTIONS(480),
    [anon_sym_BANG] = ACTIONS(480),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_copy] = ACTIONS(482),
    [anon_sym_schedule] = ACTIONS(482),
    [aux_sym_constant_token1] = ACTIONS(482),
    [anon_sym_T] = ACTIONS(482),
    [anon_sym_F] = ACTIONS(482),
    [anon_sym_ATdeprecated] = ACTIONS(480),
    [anon_sym_ATload] = ACTIONS(482),
    [anon_sym_ATload_DASHsigs] = ACTIONS(480),
    [anon_sym_ATload_DASHplugin] = ACTIONS(480),
    [anon_sym_ATunload] = ACTIONS(480),
    [anon_sym_ATprefixes] = ACTIONS(480),
    [anon_sym_ATif] = ACTIONS(482),
    [anon_sym_ATifdef] = ACTIONS(480),
    [anon_sym_ATifndef] = ACTIONS(480),
    [anon_sym_ATendif] = ACTIONS(480),
    [anon_sym_ATelse] = ACTIONS(480),
    [anon_sym_ATDIR] = ACTIONS(480),
    [anon_sym_ATFILENAME] = ACTIONS(480),
    [sym_id] = ACTIONS(482),
    [sym_pattern] = ACTIONS(480),
    [sym_ipv6] = ACTIONS(482),
    [sym_ipv4] = ACTIONS(482),
    [sym_port] = ACTIONS(480),
    [sym_floatp] = ACTIONS(482),
    [sym_hex] = ACTIONS(482),
    [sym_hostname] = ACTIONS(482),
    [aux_sym_string_token1] = ACTIONS(480),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [42] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2734),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(484),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [43] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2328),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [44] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2346),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(488),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [45] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2353),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [46] = {
    [anon_sym_SEMI] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_PLUS_EQ] = ACTIONS(492),
    [anon_sym_record] = ACTIONS(494),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(492),
    [anon_sym_COMMA] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(492),
    [anon_sym_local] = ACTIONS(494),
    [anon_sym_EQ] = ACTIONS(492),
    [anon_sym_table] = ACTIONS(494),
    [anon_sym_set] = ACTIONS(494),
    [anon_sym_vector] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(494),
    [anon_sym_hook] = ACTIONS(494),
    [anon_sym_AMPdeprecated] = ACTIONS(492),
    [anon_sym_DASH_EQ] = ACTIONS(492),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(492),
    [anon_sym_AMPerror_handler] = ACTIONS(492),
    [anon_sym_AMPis_assigned] = ACTIONS(492),
    [anon_sym_AMPis_used] = ACTIONS(492),
    [anon_sym_AMPlog] = ACTIONS(492),
    [anon_sym_AMPoptional] = ACTIONS(492),
    [anon_sym_AMPraw_output] = ACTIONS(492),
    [anon_sym_AMPredef] = ACTIONS(492),
    [anon_sym_AMPadd_func] = ACTIONS(492),
    [anon_sym_AMPbackend] = ACTIONS(492),
    [anon_sym_AMPbroker_store] = ACTIONS(492),
    [anon_sym_AMPcreate_expire] = ACTIONS(492),
    [anon_sym_AMPdefault] = ACTIONS(492),
    [anon_sym_AMPdelete_func] = ACTIONS(492),
    [anon_sym_AMPexpire_func] = ACTIONS(492),
    [anon_sym_AMPgroup] = ACTIONS(492),
    [anon_sym_AMPon_change] = ACTIONS(492),
    [anon_sym_AMPpriority] = ACTIONS(492),
    [anon_sym_AMPread_expire] = ACTIONS(492),
    [anon_sym_AMPtype_column] = ACTIONS(492),
    [anon_sym_AMPwrite_expire] = ACTIONS(492),
    [anon_sym_DOLLAR] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(492),
    [anon_sym_PLUS_PLUS] = ACTIONS(492),
    [anon_sym_DASH_DASH] = ACTIONS(492),
    [anon_sym_BANG] = ACTIONS(492),
    [anon_sym_TILDE] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_copy] = ACTIONS(494),
    [anon_sym_schedule] = ACTIONS(494),
    [aux_sym_constant_token1] = ACTIONS(494),
    [anon_sym_T] = ACTIONS(494),
    [anon_sym_F] = ACTIONS(494),
    [anon_sym_ATdeprecated] = ACTIONS(492),
    [anon_sym_ATload] = ACTIONS(494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(492),
    [anon_sym_ATunload] = ACTIONS(492),
    [anon_sym_ATprefixes] = ACTIONS(492),
    [anon_sym_ATif] = ACTIONS(494),
    [anon_sym_ATifdef] = ACTIONS(492),
    [anon_sym_ATifndef] = ACTIONS(492),
    [anon_sym_ATendif] = ACTIONS(492),
    [anon_sym_ATelse] = ACTIONS(492),
    [anon_sym_ATDIR] = ACTIONS(492),
    [anon_sym_ATFILENAME] = ACTIONS(492),
    [sym_id] = ACTIONS(494),
    [sym_pattern] = ACTIONS(492),
    [sym_ipv6] = ACTIONS(494),
    [sym_ipv4] = ACTIONS(494),
    [sym_port] = ACTIONS(492),
    [sym_floatp] = ACTIONS(494),
    [sym_hex] = ACTIONS(494),
    [sym_hostname] = ACTIONS(494),
    [aux_sym_string_token1] = ACTIONS(492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [47] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2635),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(496),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [48] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2642),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [49] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2647),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [50] = {
    [anon_sym_SEMI] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(502),
    [anon_sym_PLUS_EQ] = ACTIONS(502),
    [anon_sym_record] = ACTIONS(504),
    [anon_sym_LPAREN] = ACTIONS(502),
    [anon_sym_RPAREN] = ACTIONS(502),
    [anon_sym_COMMA] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(502),
    [anon_sym_local] = ACTIONS(504),
    [anon_sym_EQ] = ACTIONS(502),
    [anon_sym_table] = ACTIONS(504),
    [anon_sym_set] = ACTIONS(504),
    [anon_sym_vector] = ACTIONS(504),
    [anon_sym_function] = ACTIONS(504),
    [anon_sym_hook] = ACTIONS(504),
    [anon_sym_AMPdeprecated] = ACTIONS(502),
    [anon_sym_DASH_EQ] = ACTIONS(502),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(502),
    [anon_sym_AMPerror_handler] = ACTIONS(502),
    [anon_sym_AMPis_assigned] = ACTIONS(502),
    [anon_sym_AMPis_used] = ACTIONS(502),
    [anon_sym_AMPlog] = ACTIONS(502),
    [anon_sym_AMPoptional] = ACTIONS(502),
    [anon_sym_AMPraw_output] = ACTIONS(502),
    [anon_sym_AMPredef] = ACTIONS(502),
    [anon_sym_AMPadd_func] = ACTIONS(502),
    [anon_sym_AMPbackend] = ACTIONS(502),
    [anon_sym_AMPbroker_store] = ACTIONS(502),
    [anon_sym_AMPcreate_expire] = ACTIONS(502),
    [anon_sym_AMPdefault] = ACTIONS(502),
    [anon_sym_AMPdelete_func] = ACTIONS(502),
    [anon_sym_AMPexpire_func] = ACTIONS(502),
    [anon_sym_AMPgroup] = ACTIONS(502),
    [anon_sym_AMPon_change] = ACTIONS(502),
    [anon_sym_AMPpriority] = ACTIONS(502),
    [anon_sym_AMPread_expire] = ACTIONS(502),
    [anon_sym_AMPtype_column] = ACTIONS(502),
    [anon_sym_AMPwrite_expire] = ACTIONS(502),
    [anon_sym_DOLLAR] = ACTIONS(502),
    [anon_sym_PIPE] = ACTIONS(502),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(504),
    [anon_sym_PLUS] = ACTIONS(504),
    [anon_sym_copy] = ACTIONS(504),
    [anon_sym_schedule] = ACTIONS(504),
    [aux_sym_constant_token1] = ACTIONS(504),
    [anon_sym_T] = ACTIONS(504),
    [anon_sym_F] = ACTIONS(504),
    [anon_sym_ATdeprecated] = ACTIONS(502),
    [anon_sym_ATload] = ACTIONS(504),
    [anon_sym_ATload_DASHsigs] = ACTIONS(502),
    [anon_sym_ATload_DASHplugin] = ACTIONS(502),
    [anon_sym_ATunload] = ACTIONS(502),
    [anon_sym_ATprefixes] = ACTIONS(502),
    [anon_sym_ATif] = ACTIONS(504),
    [anon_sym_ATifdef] = ACTIONS(502),
    [anon_sym_ATifndef] = ACTIONS(502),
    [anon_sym_ATendif] = ACTIONS(502),
    [anon_sym_ATelse] = ACTIONS(502),
    [anon_sym_ATDIR] = ACTIONS(502),
    [anon_sym_ATFILENAME] = ACTIONS(502),
    [sym_id] = ACTIONS(504),
    [sym_pattern] = ACTIONS(502),
    [sym_ipv6] = ACTIONS(504),
    [sym_ipv4] = ACTIONS(504),
    [sym_port] = ACTIONS(502),
    [sym_floatp] = ACTIONS(504),
    [sym_hex] = ACTIONS(504),
    [sym_hostname] = ACTIONS(504),
    [aux_sym_string_token1] = ACTIONS(502),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [51] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2813),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [52] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2819),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [53] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2835),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [54] = {
    [anon_sym_SEMI] = ACTIONS(512),
    [anon_sym_LBRACE] = ACTIONS(512),
    [anon_sym_PLUS_EQ] = ACTIONS(512),
    [anon_sym_record] = ACTIONS(514),
    [anon_sym_LPAREN] = ACTIONS(512),
    [anon_sym_RPAREN] = ACTIONS(512),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_LBRACK] = ACTIONS(512),
    [anon_sym_local] = ACTIONS(514),
    [anon_sym_EQ] = ACTIONS(512),
    [anon_sym_table] = ACTIONS(514),
    [anon_sym_set] = ACTIONS(514),
    [anon_sym_vector] = ACTIONS(514),
    [anon_sym_function] = ACTIONS(514),
    [anon_sym_hook] = ACTIONS(514),
    [anon_sym_AMPdeprecated] = ACTIONS(512),
    [anon_sym_DASH_EQ] = ACTIONS(512),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(512),
    [anon_sym_AMPerror_handler] = ACTIONS(512),
    [anon_sym_AMPis_assigned] = ACTIONS(512),
    [anon_sym_AMPis_used] = ACTIONS(512),
    [anon_sym_AMPlog] = ACTIONS(512),
    [anon_sym_AMPoptional] = ACTIONS(512),
    [anon_sym_AMPraw_output] = ACTIONS(512),
    [anon_sym_AMPredef] = ACTIONS(512),
    [anon_sym_AMPadd_func] = ACTIONS(512),
    [anon_sym_AMPbackend] = ACTIONS(512),
    [anon_sym_AMPbroker_store] = ACTIONS(512),
    [anon_sym_AMPcreate_expire] = ACTIONS(512),
    [anon_sym_AMPdefault] = ACTIONS(512),
    [anon_sym_AMPdelete_func] = ACTIONS(512),
    [anon_sym_AMPexpire_func] = ACTIONS(512),
    [anon_sym_AMPgroup] = ACTIONS(512),
    [anon_sym_AMPon_change] = ACTIONS(512),
    [anon_sym_AMPpriority] = ACTIONS(512),
    [anon_sym_AMPread_expire] = ACTIONS(512),
    [anon_sym_AMPtype_column] = ACTIONS(512),
    [anon_sym_AMPwrite_expire] = ACTIONS(512),
    [anon_sym_DOLLAR] = ACTIONS(512),
    [anon_sym_PIPE] = ACTIONS(512),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [anon_sym_BANG] = ACTIONS(512),
    [anon_sym_TILDE] = ACTIONS(512),
    [anon_sym_DASH] = ACTIONS(514),
    [anon_sym_PLUS] = ACTIONS(514),
    [anon_sym_copy] = ACTIONS(514),
    [anon_sym_schedule] = ACTIONS(514),
    [aux_sym_constant_token1] = ACTIONS(514),
    [anon_sym_T] = ACTIONS(514),
    [anon_sym_F] = ACTIONS(514),
    [anon_sym_ATdeprecated] = ACTIONS(512),
    [anon_sym_ATload] = ACTIONS(514),
    [anon_sym_ATload_DASHsigs] = ACTIONS(512),
    [anon_sym_ATload_DASHplugin] = ACTIONS(512),
    [anon_sym_ATunload] = ACTIONS(512),
    [anon_sym_ATprefixes] = ACTIONS(512),
    [anon_sym_ATif] = ACTIONS(514),
    [anon_sym_ATifdef] = ACTIONS(512),
    [anon_sym_ATifndef] = ACTIONS(512),
    [anon_sym_ATendif] = ACTIONS(512),
    [anon_sym_ATelse] = ACTIONS(512),
    [anon_sym_ATDIR] = ACTIONS(512),
    [anon_sym_ATFILENAME] = ACTIONS(512),
    [sym_id] = ACTIONS(514),
    [sym_pattern] = ACTIONS(512),
    [sym_ipv6] = ACTIONS(514),
    [sym_ipv4] = ACTIONS(514),
    [sym_port] = ACTIONS(512),
    [sym_floatp] = ACTIONS(514),
    [sym_hex] = ACTIONS(514),
    [sym_hostname] = ACTIONS(514),
    [aux_sym_string_token1] = ACTIONS(512),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [55] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2210),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [56] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2212),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(518),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [57] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2215),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [58] = {
    [anon_sym_SEMI] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_PLUS_EQ] = ACTIONS(522),
    [anon_sym_record] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_RPAREN] = ACTIONS(522),
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_local] = ACTIONS(524),
    [anon_sym_EQ] = ACTIONS(522),
    [anon_sym_table] = ACTIONS(524),
    [anon_sym_set] = ACTIONS(524),
    [anon_sym_vector] = ACTIONS(524),
    [anon_sym_function] = ACTIONS(524),
    [anon_sym_hook] = ACTIONS(524),
    [anon_sym_AMPdeprecated] = ACTIONS(522),
    [anon_sym_DASH_EQ] = ACTIONS(522),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(522),
    [anon_sym_AMPerror_handler] = ACTIONS(522),
    [anon_sym_AMPis_assigned] = ACTIONS(522),
    [anon_sym_AMPis_used] = ACTIONS(522),
    [anon_sym_AMPlog] = ACTIONS(522),
    [anon_sym_AMPoptional] = ACTIONS(522),
    [anon_sym_AMPraw_output] = ACTIONS(522),
    [anon_sym_AMPredef] = ACTIONS(522),
    [anon_sym_AMPadd_func] = ACTIONS(522),
    [anon_sym_AMPbackend] = ACTIONS(522),
    [anon_sym_AMPbroker_store] = ACTIONS(522),
    [anon_sym_AMPcreate_expire] = ACTIONS(522),
    [anon_sym_AMPdefault] = ACTIONS(522),
    [anon_sym_AMPdelete_func] = ACTIONS(522),
    [anon_sym_AMPexpire_func] = ACTIONS(522),
    [anon_sym_AMPgroup] = ACTIONS(522),
    [anon_sym_AMPon_change] = ACTIONS(522),
    [anon_sym_AMPpriority] = ACTIONS(522),
    [anon_sym_AMPread_expire] = ACTIONS(522),
    [anon_sym_AMPtype_column] = ACTIONS(522),
    [anon_sym_AMPwrite_expire] = ACTIONS(522),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_PIPE] = ACTIONS(522),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [anon_sym_BANG] = ACTIONS(522),
    [anon_sym_TILDE] = ACTIONS(522),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_copy] = ACTIONS(524),
    [anon_sym_schedule] = ACTIONS(524),
    [aux_sym_constant_token1] = ACTIONS(524),
    [anon_sym_T] = ACTIONS(524),
    [anon_sym_F] = ACTIONS(524),
    [anon_sym_ATdeprecated] = ACTIONS(522),
    [anon_sym_ATload] = ACTIONS(524),
    [anon_sym_ATload_DASHsigs] = ACTIONS(522),
    [anon_sym_ATload_DASHplugin] = ACTIONS(522),
    [anon_sym_ATunload] = ACTIONS(522),
    [anon_sym_ATprefixes] = ACTIONS(522),
    [anon_sym_ATif] = ACTIONS(524),
    [anon_sym_ATifdef] = ACTIONS(522),
    [anon_sym_ATifndef] = ACTIONS(522),
    [anon_sym_ATendif] = ACTIONS(522),
    [anon_sym_ATelse] = ACTIONS(522),
    [anon_sym_ATDIR] = ACTIONS(522),
    [anon_sym_ATFILENAME] = ACTIONS(522),
    [sym_id] = ACTIONS(524),
    [sym_pattern] = ACTIONS(522),
    [sym_ipv6] = ACTIONS(524),
    [sym_ipv4] = ACTIONS(524),
    [sym_port] = ACTIONS(522),
    [sym_floatp] = ACTIONS(524),
    [sym_hex] = ACTIONS(524),
    [sym_hostname] = ACTIONS(524),
    [aux_sym_string_token1] = ACTIONS(522),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [59] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2288),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [60] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2755),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [61] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2292),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [62] = {
    [anon_sym_SEMI] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(532),
    [anon_sym_PLUS_EQ] = ACTIONS(532),
    [anon_sym_record] = ACTIONS(534),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_RPAREN] = ACTIONS(532),
    [anon_sym_COMMA] = ACTIONS(532),
    [anon_sym_LBRACK] = ACTIONS(532),
    [anon_sym_local] = ACTIONS(534),
    [anon_sym_EQ] = ACTIONS(532),
    [anon_sym_table] = ACTIONS(534),
    [anon_sym_set] = ACTIONS(534),
    [anon_sym_vector] = ACTIONS(534),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_hook] = ACTIONS(534),
    [anon_sym_AMPdeprecated] = ACTIONS(532),
    [anon_sym_DASH_EQ] = ACTIONS(532),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(532),
    [anon_sym_AMPerror_handler] = ACTIONS(532),
    [anon_sym_AMPis_assigned] = ACTIONS(532),
    [anon_sym_AMPis_used] = ACTIONS(532),
    [anon_sym_AMPlog] = ACTIONS(532),
    [anon_sym_AMPoptional] = ACTIONS(532),
    [anon_sym_AMPraw_output] = ACTIONS(532),
    [anon_sym_AMPredef] = ACTIONS(532),
    [anon_sym_AMPadd_func] = ACTIONS(532),
    [anon_sym_AMPbackend] = ACTIONS(532),
    [anon_sym_AMPbroker_store] = ACTIONS(532),
    [anon_sym_AMPcreate_expire] = ACTIONS(532),
    [anon_sym_AMPdefault] = ACTIONS(532),
    [anon_sym_AMPdelete_func] = ACTIONS(532),
    [anon_sym_AMPexpire_func] = ACTIONS(532),
    [anon_sym_AMPgroup] = ACTIONS(532),
    [anon_sym_AMPon_change] = ACTIONS(532),
    [anon_sym_AMPpriority] = ACTIONS(532),
    [anon_sym_AMPread_expire] = ACTIONS(532),
    [anon_sym_AMPtype_column] = ACTIONS(532),
    [anon_sym_AMPwrite_expire] = ACTIONS(532),
    [anon_sym_DOLLAR] = ACTIONS(532),
    [anon_sym_PIPE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(532),
    [anon_sym_DASH_DASH] = ACTIONS(532),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(534),
    [anon_sym_PLUS] = ACTIONS(534),
    [anon_sym_copy] = ACTIONS(534),
    [anon_sym_schedule] = ACTIONS(534),
    [aux_sym_constant_token1] = ACTIONS(534),
    [anon_sym_T] = ACTIONS(534),
    [anon_sym_F] = ACTIONS(534),
    [anon_sym_ATdeprecated] = ACTIONS(532),
    [anon_sym_ATload] = ACTIONS(534),
    [anon_sym_ATload_DASHsigs] = ACTIONS(532),
    [anon_sym_ATload_DASHplugin] = ACTIONS(532),
    [anon_sym_ATunload] = ACTIONS(532),
    [anon_sym_ATprefixes] = ACTIONS(532),
    [anon_sym_ATif] = ACTIONS(534),
    [anon_sym_ATifdef] = ACTIONS(532),
    [anon_sym_ATifndef] = ACTIONS(532),
    [anon_sym_ATendif] = ACTIONS(532),
    [anon_sym_ATelse] = ACTIONS(532),
    [anon_sym_ATDIR] = ACTIONS(532),
    [anon_sym_ATFILENAME] = ACTIONS(532),
    [sym_id] = ACTIONS(534),
    [sym_pattern] = ACTIONS(532),
    [sym_ipv6] = ACTIONS(534),
    [sym_ipv4] = ACTIONS(534),
    [sym_port] = ACTIONS(532),
    [sym_floatp] = ACTIONS(534),
    [sym_hex] = ACTIONS(534),
    [sym_hostname] = ACTIONS(534),
    [aux_sym_string_token1] = ACTIONS(532),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [63] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2384),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(536),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [64] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2387),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(538),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [65] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2389),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [66] = {
    [anon_sym_SEMI] = ACTIONS(542),
    [anon_sym_LBRACE] = ACTIONS(542),
    [anon_sym_PLUS_EQ] = ACTIONS(542),
    [anon_sym_record] = ACTIONS(544),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_RPAREN] = ACTIONS(542),
    [anon_sym_COMMA] = ACTIONS(542),
    [anon_sym_LBRACK] = ACTIONS(542),
    [anon_sym_local] = ACTIONS(544),
    [anon_sym_EQ] = ACTIONS(542),
    [anon_sym_table] = ACTIONS(544),
    [anon_sym_set] = ACTIONS(544),
    [anon_sym_vector] = ACTIONS(544),
    [anon_sym_function] = ACTIONS(544),
    [anon_sym_hook] = ACTIONS(544),
    [anon_sym_AMPdeprecated] = ACTIONS(542),
    [anon_sym_DASH_EQ] = ACTIONS(542),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(542),
    [anon_sym_AMPerror_handler] = ACTIONS(542),
    [anon_sym_AMPis_assigned] = ACTIONS(542),
    [anon_sym_AMPis_used] = ACTIONS(542),
    [anon_sym_AMPlog] = ACTIONS(542),
    [anon_sym_AMPoptional] = ACTIONS(542),
    [anon_sym_AMPraw_output] = ACTIONS(542),
    [anon_sym_AMPredef] = ACTIONS(542),
    [anon_sym_AMPadd_func] = ACTIONS(542),
    [anon_sym_AMPbackend] = ACTIONS(542),
    [anon_sym_AMPbroker_store] = ACTIONS(542),
    [anon_sym_AMPcreate_expire] = ACTIONS(542),
    [anon_sym_AMPdefault] = ACTIONS(542),
    [anon_sym_AMPdelete_func] = ACTIONS(542),
    [anon_sym_AMPexpire_func] = ACTIONS(542),
    [anon_sym_AMPgroup] = ACTIONS(542),
    [anon_sym_AMPon_change] = ACTIONS(542),
    [anon_sym_AMPpriority] = ACTIONS(542),
    [anon_sym_AMPread_expire] = ACTIONS(542),
    [anon_sym_AMPtype_column] = ACTIONS(542),
    [anon_sym_AMPwrite_expire] = ACTIONS(542),
    [anon_sym_DOLLAR] = ACTIONS(542),
    [anon_sym_PIPE] = ACTIONS(542),
    [anon_sym_PLUS_PLUS] = ACTIONS(542),
    [anon_sym_DASH_DASH] = ACTIONS(542),
    [anon_sym_BANG] = ACTIONS(542),
    [anon_sym_TILDE] = ACTIONS(542),
    [anon_sym_DASH] = ACTIONS(544),
    [anon_sym_PLUS] = ACTIONS(544),
    [anon_sym_copy] = ACTIONS(544),
    [anon_sym_schedule] = ACTIONS(544),
    [aux_sym_constant_token1] = ACTIONS(544),
    [anon_sym_T] = ACTIONS(544),
    [anon_sym_F] = ACTIONS(544),
    [anon_sym_ATdeprecated] = ACTIONS(542),
    [anon_sym_ATload] = ACTIONS(544),
    [anon_sym_ATload_DASHsigs] = ACTIONS(542),
    [anon_sym_ATload_DASHplugin] = ACTIONS(542),
    [anon_sym_ATunload] = ACTIONS(542),
    [anon_sym_ATprefixes] = ACTIONS(542),
    [anon_sym_ATif] = ACTIONS(544),
    [anon_sym_ATifdef] = ACTIONS(542),
    [anon_sym_ATifndef] = ACTIONS(542),
    [anon_sym_ATendif] = ACTIONS(542),
    [anon_sym_ATelse] = ACTIONS(542),
    [anon_sym_ATDIR] = ACTIONS(542),
    [anon_sym_ATFILENAME] = ACTIONS(542),
    [sym_id] = ACTIONS(544),
    [sym_pattern] = ACTIONS(542),
    [sym_ipv6] = ACTIONS(544),
    [sym_ipv4] = ACTIONS(544),
    [sym_port] = ACTIONS(542),
    [sym_floatp] = ACTIONS(544),
    [sym_hex] = ACTIONS(544),
    [sym_hostname] = ACTIONS(544),
    [aux_sym_string_token1] = ACTIONS(542),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [67] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2509),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [68] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2511),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [69] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2516),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(550),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [70] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2168),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [71] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2568),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [72] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2570),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [73] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2173),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [74] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2152),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(560),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [75] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2208),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [76] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2543),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(564),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [77] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2622),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(566),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [78] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2624),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(568),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [79] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2636),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(570),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [80] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2507),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(572),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [81] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2833),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(574),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [82] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2401),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(576),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [83] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2585),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [84] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2612),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [85] = {
    [sym_stmt] = STATE(95),
    [sym_stmt_list] = STATE(2290),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(95),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [86] = {
    [sym_initializer] = STATE(1706),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2601),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(588),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [87] = {
    [sym_initializer] = STATE(1739),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2259),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(646),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [88] = {
    [sym_initializer] = STATE(1693),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2548),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [89] = {
    [sym_initializer] = STATE(1749),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2659),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(654),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [90] = {
    [sym_initializer] = STATE(1738),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2627),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(660),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [91] = {
    [sym_initializer] = STATE(1762),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2789),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(662),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(664),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [92] = {
    [sym_initializer] = STATE(1697),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2334),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(666),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(668),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [93] = {
    [sym_initializer] = STATE(1700),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2345),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(670),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(672),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [94] = {
    [sym_stmt] = STATE(97),
    [sym_expr] = STATE(1528),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2186),
    [sym_preproc_directive] = STATE(785),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(121),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(674),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(678),
    [anon_sym_ATload] = ACTIONS(680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(684),
    [anon_sym_ATunload] = ACTIONS(682),
    [anon_sym_ATprefixes] = ACTIONS(686),
    [anon_sym_ATif] = ACTIONS(688),
    [anon_sym_ATifdef] = ACTIONS(690),
    [anon_sym_ATifndef] = ACTIONS(690),
    [anon_sym_ATendif] = ACTIONS(692),
    [anon_sym_ATelse] = ACTIONS(692),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [95] = {
    [sym_stmt] = STATE(120),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(120),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(472),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [96] = {
    [sym_stmt] = STATE(97),
    [sym_expr] = STATE(1528),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2186),
    [sym_preproc_directive] = STATE(785),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(674),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(678),
    [anon_sym_ATload] = ACTIONS(680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(684),
    [anon_sym_ATunload] = ACTIONS(682),
    [anon_sym_ATprefixes] = ACTIONS(686),
    [anon_sym_ATif] = ACTIONS(688),
    [anon_sym_ATifdef] = ACTIONS(690),
    [anon_sym_ATifndef] = ACTIONS(690),
    [anon_sym_ATendif] = ACTIONS(692),
    [anon_sym_ATelse] = ACTIONS(692),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [97] = {
    [sym_stmt] = STATE(97),
    [sym_expr] = STATE(1528),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2186),
    [sym_preproc_directive] = STATE(785),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(339),
    [anon_sym_SEMI] = ACTIONS(696),
    [anon_sym_LBRACE] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(702),
    [anon_sym_record] = ACTIONS(344),
    [anon_sym_print] = ACTIONS(705),
    [anon_sym_event] = ACTIONS(708),
    [anon_sym_if] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(356),
    [anon_sym_switch] = ACTIONS(714),
    [anon_sym_for] = ACTIONS(717),
    [anon_sym_LBRACK] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(720),
    [anon_sym_next] = ACTIONS(723),
    [anon_sym_break] = ACTIONS(723),
    [anon_sym_fallthrough] = ACTIONS(723),
    [anon_sym_return] = ACTIONS(726),
    [anon_sym_add] = ACTIONS(729),
    [anon_sym_delete] = ACTIONS(729),
    [anon_sym_local] = ACTIONS(732),
    [anon_sym_when] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(738),
    [anon_sym_table] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_vector] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_hook] = ACTIONS(400),
    [anon_sym_DOLLAR] = ACTIONS(403),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_PLUS_PLUS] = ACTIONS(409),
    [anon_sym_DASH_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(412),
    [anon_sym_copy] = ACTIONS(415),
    [anon_sym_schedule] = ACTIONS(418),
    [aux_sym_constant_token1] = ACTIONS(421),
    [anon_sym_T] = ACTIONS(424),
    [anon_sym_F] = ACTIONS(424),
    [anon_sym_ATdeprecated] = ACTIONS(741),
    [anon_sym_ATload] = ACTIONS(744),
    [anon_sym_ATload_DASHsigs] = ACTIONS(747),
    [anon_sym_ATload_DASHplugin] = ACTIONS(750),
    [anon_sym_ATunload] = ACTIONS(747),
    [anon_sym_ATprefixes] = ACTIONS(753),
    [anon_sym_ATif] = ACTIONS(756),
    [anon_sym_ATifdef] = ACTIONS(759),
    [anon_sym_ATifndef] = ACTIONS(759),
    [anon_sym_ATendif] = ACTIONS(762),
    [anon_sym_ATelse] = ACTIONS(762),
    [anon_sym_ATDIR] = ACTIONS(451),
    [anon_sym_ATFILENAME] = ACTIONS(451),
    [sym_id] = ACTIONS(454),
    [sym_pattern] = ACTIONS(457),
    [sym_ipv6] = ACTIONS(460),
    [sym_ipv4] = ACTIONS(460),
    [sym_port] = ACTIONS(463),
    [sym_floatp] = ACTIONS(466),
    [sym_hex] = ACTIONS(424),
    [sym_hostname] = ACTIONS(424),
    [aux_sym_string_token1] = ACTIONS(469),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [98] = {
    [sym_initializer] = STATE(1722),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2443),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [99] = {
    [sym_initializer] = STATE(1734),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2458),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(771),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [100] = {
    [sym_initializer] = STATE(1694),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2465),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [101] = {
    [sym_initializer] = STATE(1698),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2502),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [102] = {
    [sym_initializer] = STATE(1732),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2253),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(783),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [103] = {
    [sym_initializer] = STATE(1742),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2238),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(787),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [104] = {
    [sym_initializer] = STATE(1747),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2544),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(789),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(791),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [105] = {
    [sym_initializer] = STATE(1750),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2549),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(793),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(795),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [106] = {
    [sym_initializer] = STATE(1731),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2456),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(799),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [107] = {
    [sym_initializer] = STATE(1729),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2469),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(801),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(803),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [108] = {
    [sym_initializer] = STATE(1746),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2704),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [109] = {
    [sym_initializer] = STATE(1756),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2732),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(811),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [110] = {
    [sym_initializer] = STATE(1707),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2596),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [111] = {
    [sym_initializer] = STATE(1741),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2483),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [112] = {
    [sym_initializer] = STATE(1692),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2510),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(823),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [113] = {
    [sym_initializer] = STATE(1721),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2279),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(827),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [114] = {
    [sym_initializer] = STATE(1758),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2550),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(829),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(831),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [115] = {
    [sym_initializer] = STATE(1757),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2176),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(835),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [116] = {
    [sym_initializer] = STATE(1765),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2183),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(837),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(839),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [117] = {
    [sym_initializer] = STATE(1730),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2764),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(843),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [118] = {
    [sym_initializer] = STATE(1733),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2769),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(847),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [119] = {
    [sym_initializer] = STATE(1720),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2597),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(849),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(851),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [120] = {
    [sym_stmt] = STATE(120),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [aux_sym_source_file_repeat2] = STATE(120),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_LBRACE] = ACTIONS(856),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_const] = ACTIONS(859),
    [anon_sym_record] = ACTIONS(344),
    [anon_sym_print] = ACTIONS(862),
    [anon_sym_event] = ACTIONS(865),
    [anon_sym_if] = ACTIONS(868),
    [anon_sym_LPAREN] = ACTIONS(356),
    [anon_sym_switch] = ACTIONS(871),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(877),
    [anon_sym_next] = ACTIONS(880),
    [anon_sym_break] = ACTIONS(880),
    [anon_sym_fallthrough] = ACTIONS(880),
    [anon_sym_return] = ACTIONS(883),
    [anon_sym_add] = ACTIONS(886),
    [anon_sym_delete] = ACTIONS(886),
    [anon_sym_local] = ACTIONS(889),
    [anon_sym_when] = ACTIONS(892),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_table] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_vector] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(397),
    [anon_sym_hook] = ACTIONS(400),
    [anon_sym_DOLLAR] = ACTIONS(403),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_PLUS_PLUS] = ACTIONS(409),
    [anon_sym_DASH_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(412),
    [anon_sym_copy] = ACTIONS(415),
    [anon_sym_schedule] = ACTIONS(418),
    [aux_sym_constant_token1] = ACTIONS(421),
    [anon_sym_T] = ACTIONS(424),
    [anon_sym_F] = ACTIONS(424),
    [anon_sym_ATdeprecated] = ACTIONS(898),
    [anon_sym_ATload] = ACTIONS(901),
    [anon_sym_ATload_DASHsigs] = ACTIONS(904),
    [anon_sym_ATload_DASHplugin] = ACTIONS(907),
    [anon_sym_ATunload] = ACTIONS(904),
    [anon_sym_ATprefixes] = ACTIONS(910),
    [anon_sym_ATif] = ACTIONS(913),
    [anon_sym_ATifdef] = ACTIONS(916),
    [anon_sym_ATifndef] = ACTIONS(916),
    [anon_sym_ATendif] = ACTIONS(919),
    [anon_sym_ATelse] = ACTIONS(919),
    [anon_sym_ATDIR] = ACTIONS(451),
    [anon_sym_ATFILENAME] = ACTIONS(451),
    [sym_id] = ACTIONS(454),
    [sym_pattern] = ACTIONS(457),
    [sym_ipv6] = ACTIONS(460),
    [sym_ipv4] = ACTIONS(460),
    [sym_port] = ACTIONS(463),
    [sym_floatp] = ACTIONS(466),
    [sym_hex] = ACTIONS(424),
    [sym_hostname] = ACTIONS(424),
    [aux_sym_string_token1] = ACTIONS(469),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [121] = {
    [sym_initializer] = STATE(1696),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2359),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(922),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(924),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [122] = {
    [sym_initializer] = STATE(1723),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2444),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(926),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(928),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [123] = {
    [sym_initializer] = STATE(1752),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2218),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(932),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [124] = {
    [sym_initializer] = STATE(1709),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2162),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [125] = {
    [sym_initializer] = STATE(1753),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2321),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [126] = {
    [sym_initializer] = STATE(1764),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2376),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(938),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [127] = {
    [sym_initializer] = STATE(1695),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2406),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(940),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [128] = {
    [sym_initializer] = STATE(1719),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2473),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [129] = {
    [sym_initializer] = STATE(1760),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2666),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(944),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [130] = {
    [sym_initializer] = STATE(1701),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2604),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [131] = {
    [sym_initializer] = STATE(1705),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2608),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [132] = {
    [sym_initializer] = STATE(1726),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2613),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [133] = {
    [sym_initializer] = STATE(1735),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2623),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(952),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [134] = {
    [sym_initializer] = STATE(1745),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2762),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [135] = {
    [sym_initializer] = STATE(1699),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2826),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(956),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [136] = {
    [sym_initializer] = STATE(1727),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2289),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [137] = {
    [sym_initializer] = STATE(1717),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2230),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [138] = {
    [sym_initializer] = STATE(1728),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2263),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(962),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [139] = {
    [sym_initializer] = STATE(1711),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2584),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(964),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [140] = {
    [sym_initializer] = STATE(1712),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2587),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [141] = {
    [sym_initializer] = STATE(1714),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2787),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [142] = {
    [sym_initializer] = STATE(1715),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2795),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(970),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [143] = {
    [sym_initializer] = STATE(1708),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2195),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [144] = {
    [sym_initializer] = STATE(1710),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2200),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(974),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [145] = {
    [sym_initializer] = STATE(1748),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2278),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(976),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [146] = {
    [sym_initializer] = STATE(1751),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2280),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(978),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [147] = {
    [sym_initializer] = STATE(1702),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2364),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(980),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [148] = {
    [sym_initializer] = STATE(1703),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2367),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(982),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [149] = {
    [sym_initializer] = STATE(1736),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2487),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [150] = {
    [sym_initializer] = STATE(1737),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2497),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [151] = {
    [sym_initializer] = STATE(1754),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2558),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(988),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [152] = {
    [sym_initializer] = STATE(1755),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2560),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [153] = {
    [sym_initializer] = STATE(1716),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2610),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(992),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [154] = {
    [sym_initializer] = STATE(1718),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2614),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(994),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [155] = {
    [sym_initializer] = STATE(1740),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2783),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [156] = {
    [sym_initializer] = STATE(1743),
    [sym_init_class] = STATE(928),
    [sym_attr_list] = STATE(2820),
    [sym_attr] = STATE(1632),
    [sym_expr] = STATE(856),
    [sym_constant] = STATE(341),
    [sym_string_directive] = STATE(325),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(338),
    [sym_string] = STATE(338),
    [aux_sym_attr_list_repeat1] = STATE(1632),
    [anon_sym_SEMI] = ACTIONS(998),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_record] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_local] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_table] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [anon_sym_vector] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(604),
    [anon_sym_hook] = ACTIONS(606),
    [anon_sym_AMPdeprecated] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(610),
    [anon_sym_AMPerror_handler] = ACTIONS(610),
    [anon_sym_AMPis_assigned] = ACTIONS(610),
    [anon_sym_AMPis_used] = ACTIONS(610),
    [anon_sym_AMPlog] = ACTIONS(610),
    [anon_sym_AMPoptional] = ACTIONS(610),
    [anon_sym_AMPraw_output] = ACTIONS(610),
    [anon_sym_AMPredef] = ACTIONS(610),
    [anon_sym_AMPadd_func] = ACTIONS(612),
    [anon_sym_AMPbackend] = ACTIONS(612),
    [anon_sym_AMPbroker_store] = ACTIONS(612),
    [anon_sym_AMPcreate_expire] = ACTIONS(612),
    [anon_sym_AMPdefault] = ACTIONS(612),
    [anon_sym_AMPdelete_func] = ACTIONS(612),
    [anon_sym_AMPexpire_func] = ACTIONS(612),
    [anon_sym_AMPgroup] = ACTIONS(612),
    [anon_sym_AMPon_change] = ACTIONS(612),
    [anon_sym_AMPpriority] = ACTIONS(612),
    [anon_sym_AMPread_expire] = ACTIONS(612),
    [anon_sym_AMPtype_column] = ACTIONS(612),
    [anon_sym_AMPwrite_expire] = ACTIONS(612),
    [anon_sym_DOLLAR] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_copy] = ACTIONS(622),
    [anon_sym_schedule] = ACTIONS(624),
    [aux_sym_constant_token1] = ACTIONS(626),
    [anon_sym_T] = ACTIONS(628),
    [anon_sym_F] = ACTIONS(628),
    [anon_sym_ATDIR] = ACTIONS(630),
    [anon_sym_ATFILENAME] = ACTIONS(630),
    [sym_id] = ACTIONS(632),
    [sym_pattern] = ACTIONS(634),
    [sym_ipv6] = ACTIONS(636),
    [sym_ipv4] = ACTIONS(636),
    [sym_port] = ACTIONS(638),
    [sym_floatp] = ACTIONS(640),
    [sym_hex] = ACTIONS(628),
    [sym_hostname] = ACTIONS(628),
    [aux_sym_string_token1] = ACTIONS(642),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [157] = {
    [sym_stmt] = STATE(475),
    [sym_expr] = STATE(1411),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2463),
    [sym_preproc_directive] = STATE(429),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1006),
    [anon_sym_event] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_fallthrough] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_add] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1022),
    [anon_sym_local] = ACTIONS(1024),
    [anon_sym_when] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1030),
    [anon_sym_ATload] = ACTIONS(1032),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1034),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1036),
    [anon_sym_ATunload] = ACTIONS(1034),
    [anon_sym_ATprefixes] = ACTIONS(1038),
    [anon_sym_ATif] = ACTIONS(1040),
    [anon_sym_ATifdef] = ACTIONS(1042),
    [anon_sym_ATifndef] = ACTIONS(1042),
    [anon_sym_ATendif] = ACTIONS(1044),
    [anon_sym_ATelse] = ACTIONS(1044),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [158] = {
    [sym_stmt] = STATE(667),
    [sym_expr] = STATE(1482),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2383),
    [sym_preproc_directive] = STATE(645),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1052),
    [anon_sym_event] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_next] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_fallthrough] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_add] = ACTIONS(1068),
    [anon_sym_delete] = ACTIONS(1068),
    [anon_sym_local] = ACTIONS(1070),
    [anon_sym_when] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1076),
    [anon_sym_ATload] = ACTIONS(1078),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1080),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1082),
    [anon_sym_ATunload] = ACTIONS(1080),
    [anon_sym_ATprefixes] = ACTIONS(1084),
    [anon_sym_ATif] = ACTIONS(1086),
    [anon_sym_ATifdef] = ACTIONS(1088),
    [anon_sym_ATifndef] = ACTIONS(1088),
    [anon_sym_ATendif] = ACTIONS(1090),
    [anon_sym_ATelse] = ACTIONS(1090),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [159] = {
    [sym_stmt] = STATE(669),
    [sym_expr] = STATE(1482),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2383),
    [sym_preproc_directive] = STATE(645),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1052),
    [anon_sym_event] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_next] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_fallthrough] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_add] = ACTIONS(1068),
    [anon_sym_delete] = ACTIONS(1068),
    [anon_sym_local] = ACTIONS(1070),
    [anon_sym_when] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1076),
    [anon_sym_ATload] = ACTIONS(1078),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1080),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1082),
    [anon_sym_ATunload] = ACTIONS(1080),
    [anon_sym_ATprefixes] = ACTIONS(1084),
    [anon_sym_ATif] = ACTIONS(1086),
    [anon_sym_ATifdef] = ACTIONS(1088),
    [anon_sym_ATifndef] = ACTIONS(1088),
    [anon_sym_ATendif] = ACTIONS(1090),
    [anon_sym_ATelse] = ACTIONS(1090),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [160] = {
    [sym_stmt] = STATE(671),
    [sym_expr] = STATE(1482),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2383),
    [sym_preproc_directive] = STATE(645),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1052),
    [anon_sym_event] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_next] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_fallthrough] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_add] = ACTIONS(1068),
    [anon_sym_delete] = ACTIONS(1068),
    [anon_sym_local] = ACTIONS(1070),
    [anon_sym_when] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1076),
    [anon_sym_ATload] = ACTIONS(1078),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1080),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1082),
    [anon_sym_ATunload] = ACTIONS(1080),
    [anon_sym_ATprefixes] = ACTIONS(1084),
    [anon_sym_ATif] = ACTIONS(1086),
    [anon_sym_ATifdef] = ACTIONS(1088),
    [anon_sym_ATifndef] = ACTIONS(1088),
    [anon_sym_ATendif] = ACTIONS(1090),
    [anon_sym_ATelse] = ACTIONS(1090),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [161] = {
    [sym_stmt] = STATE(798),
    [sym_expr] = STATE(1528),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2186),
    [sym_preproc_directive] = STATE(785),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(674),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(678),
    [anon_sym_ATload] = ACTIONS(680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(684),
    [anon_sym_ATunload] = ACTIONS(682),
    [anon_sym_ATprefixes] = ACTIONS(686),
    [anon_sym_ATif] = ACTIONS(688),
    [anon_sym_ATifdef] = ACTIONS(690),
    [anon_sym_ATifndef] = ACTIONS(690),
    [anon_sym_ATendif] = ACTIONS(692),
    [anon_sym_ATelse] = ACTIONS(692),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [162] = {
    [sym_stmt] = STATE(544),
    [sym_expr] = STATE(1496),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2403),
    [sym_preproc_directive] = STATE(536),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_const] = ACTIONS(253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(255),
    [anon_sym_event] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(261),
    [anon_sym_for] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(265),
    [anon_sym_next] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(267),
    [anon_sym_fallthrough] = ACTIONS(267),
    [anon_sym_return] = ACTIONS(269),
    [anon_sym_add] = ACTIONS(271),
    [anon_sym_delete] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(273),
    [anon_sym_when] = ACTIONS(275),
    [anon_sym_assert] = ACTIONS(277),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(281),
    [anon_sym_ATload] = ACTIONS(283),
    [anon_sym_ATload_DASHsigs] = ACTIONS(285),
    [anon_sym_ATload_DASHplugin] = ACTIONS(287),
    [anon_sym_ATunload] = ACTIONS(285),
    [anon_sym_ATprefixes] = ACTIONS(289),
    [anon_sym_ATif] = ACTIONS(291),
    [anon_sym_ATifdef] = ACTIONS(293),
    [anon_sym_ATifndef] = ACTIONS(293),
    [anon_sym_ATendif] = ACTIONS(295),
    [anon_sym_ATelse] = ACTIONS(295),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [163] = {
    [sym_stmt] = STATE(548),
    [sym_expr] = STATE(1496),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2403),
    [sym_preproc_directive] = STATE(536),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_const] = ACTIONS(253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(255),
    [anon_sym_event] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(261),
    [anon_sym_for] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(265),
    [anon_sym_next] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(267),
    [anon_sym_fallthrough] = ACTIONS(267),
    [anon_sym_return] = ACTIONS(269),
    [anon_sym_add] = ACTIONS(271),
    [anon_sym_delete] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(273),
    [anon_sym_when] = ACTIONS(275),
    [anon_sym_assert] = ACTIONS(277),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(281),
    [anon_sym_ATload] = ACTIONS(283),
    [anon_sym_ATload_DASHsigs] = ACTIONS(285),
    [anon_sym_ATload_DASHplugin] = ACTIONS(287),
    [anon_sym_ATunload] = ACTIONS(285),
    [anon_sym_ATprefixes] = ACTIONS(289),
    [anon_sym_ATif] = ACTIONS(291),
    [anon_sym_ATifdef] = ACTIONS(293),
    [anon_sym_ATifndef] = ACTIONS(293),
    [anon_sym_ATendif] = ACTIONS(295),
    [anon_sym_ATelse] = ACTIONS(295),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [164] = {
    [sym_stmt] = STATE(549),
    [sym_expr] = STATE(1496),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2403),
    [sym_preproc_directive] = STATE(536),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_const] = ACTIONS(253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(255),
    [anon_sym_event] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(261),
    [anon_sym_for] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(265),
    [anon_sym_next] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(267),
    [anon_sym_fallthrough] = ACTIONS(267),
    [anon_sym_return] = ACTIONS(269),
    [anon_sym_add] = ACTIONS(271),
    [anon_sym_delete] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(273),
    [anon_sym_when] = ACTIONS(275),
    [anon_sym_assert] = ACTIONS(277),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(281),
    [anon_sym_ATload] = ACTIONS(283),
    [anon_sym_ATload_DASHsigs] = ACTIONS(285),
    [anon_sym_ATload_DASHplugin] = ACTIONS(287),
    [anon_sym_ATunload] = ACTIONS(285),
    [anon_sym_ATprefixes] = ACTIONS(289),
    [anon_sym_ATif] = ACTIONS(291),
    [anon_sym_ATifdef] = ACTIONS(293),
    [anon_sym_ATifndef] = ACTIONS(293),
    [anon_sym_ATendif] = ACTIONS(295),
    [anon_sym_ATelse] = ACTIONS(295),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [165] = {
    [sym_stmt] = STATE(551),
    [sym_expr] = STATE(1496),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2403),
    [sym_preproc_directive] = STATE(536),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_const] = ACTIONS(253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(255),
    [anon_sym_event] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(261),
    [anon_sym_for] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(265),
    [anon_sym_next] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(267),
    [anon_sym_fallthrough] = ACTIONS(267),
    [anon_sym_return] = ACTIONS(269),
    [anon_sym_add] = ACTIONS(271),
    [anon_sym_delete] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(273),
    [anon_sym_when] = ACTIONS(275),
    [anon_sym_assert] = ACTIONS(277),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(281),
    [anon_sym_ATload] = ACTIONS(283),
    [anon_sym_ATload_DASHsigs] = ACTIONS(285),
    [anon_sym_ATload_DASHplugin] = ACTIONS(287),
    [anon_sym_ATunload] = ACTIONS(285),
    [anon_sym_ATprefixes] = ACTIONS(289),
    [anon_sym_ATif] = ACTIONS(291),
    [anon_sym_ATifdef] = ACTIONS(293),
    [anon_sym_ATifndef] = ACTIONS(293),
    [anon_sym_ATendif] = ACTIONS(295),
    [anon_sym_ATelse] = ACTIONS(295),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [166] = {
    [sym_stmt] = STATE(553),
    [sym_expr] = STATE(1496),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2403),
    [sym_preproc_directive] = STATE(536),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_const] = ACTIONS(253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(255),
    [anon_sym_event] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(261),
    [anon_sym_for] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(265),
    [anon_sym_next] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(267),
    [anon_sym_fallthrough] = ACTIONS(267),
    [anon_sym_return] = ACTIONS(269),
    [anon_sym_add] = ACTIONS(271),
    [anon_sym_delete] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(273),
    [anon_sym_when] = ACTIONS(275),
    [anon_sym_assert] = ACTIONS(277),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(281),
    [anon_sym_ATload] = ACTIONS(283),
    [anon_sym_ATload_DASHsigs] = ACTIONS(285),
    [anon_sym_ATload_DASHplugin] = ACTIONS(287),
    [anon_sym_ATunload] = ACTIONS(285),
    [anon_sym_ATprefixes] = ACTIONS(289),
    [anon_sym_ATif] = ACTIONS(291),
    [anon_sym_ATifdef] = ACTIONS(293),
    [anon_sym_ATifndef] = ACTIONS(293),
    [anon_sym_ATendif] = ACTIONS(295),
    [anon_sym_ATelse] = ACTIONS(295),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [167] = {
    [sym_stmt] = STATE(555),
    [sym_expr] = STATE(1496),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2403),
    [sym_preproc_directive] = STATE(536),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_const] = ACTIONS(253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(255),
    [anon_sym_event] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(261),
    [anon_sym_for] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(265),
    [anon_sym_next] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(267),
    [anon_sym_fallthrough] = ACTIONS(267),
    [anon_sym_return] = ACTIONS(269),
    [anon_sym_add] = ACTIONS(271),
    [anon_sym_delete] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(273),
    [anon_sym_when] = ACTIONS(275),
    [anon_sym_assert] = ACTIONS(277),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(281),
    [anon_sym_ATload] = ACTIONS(283),
    [anon_sym_ATload_DASHsigs] = ACTIONS(285),
    [anon_sym_ATload_DASHplugin] = ACTIONS(287),
    [anon_sym_ATunload] = ACTIONS(285),
    [anon_sym_ATprefixes] = ACTIONS(289),
    [anon_sym_ATif] = ACTIONS(291),
    [anon_sym_ATifdef] = ACTIONS(293),
    [anon_sym_ATifndef] = ACTIONS(293),
    [anon_sym_ATendif] = ACTIONS(295),
    [anon_sym_ATelse] = ACTIONS(295),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [168] = {
    [sym_stmt] = STATE(557),
    [sym_expr] = STATE(1496),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2403),
    [sym_preproc_directive] = STATE(536),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_const] = ACTIONS(253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(255),
    [anon_sym_event] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(261),
    [anon_sym_for] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(265),
    [anon_sym_next] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(267),
    [anon_sym_fallthrough] = ACTIONS(267),
    [anon_sym_return] = ACTIONS(269),
    [anon_sym_add] = ACTIONS(271),
    [anon_sym_delete] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(273),
    [anon_sym_when] = ACTIONS(275),
    [anon_sym_assert] = ACTIONS(277),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(281),
    [anon_sym_ATload] = ACTIONS(283),
    [anon_sym_ATload_DASHsigs] = ACTIONS(285),
    [anon_sym_ATload_DASHplugin] = ACTIONS(287),
    [anon_sym_ATunload] = ACTIONS(285),
    [anon_sym_ATprefixes] = ACTIONS(289),
    [anon_sym_ATif] = ACTIONS(291),
    [anon_sym_ATifdef] = ACTIONS(293),
    [anon_sym_ATifndef] = ACTIONS(293),
    [anon_sym_ATendif] = ACTIONS(295),
    [anon_sym_ATelse] = ACTIONS(295),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [169] = {
    [sym_stmt] = STATE(763),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [170] = {
    [sym_stmt] = STATE(570),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [171] = {
    [sym_stmt] = STATE(574),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [172] = {
    [sym_stmt] = STATE(575),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [173] = {
    [sym_stmt] = STATE(577),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [174] = {
    [sym_stmt] = STATE(579),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [175] = {
    [sym_stmt] = STATE(581),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [176] = {
    [sym_stmt] = STATE(501),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [177] = {
    [sym_stmt] = STATE(658),
    [sym_expr] = STATE(1430),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2343),
    [sym_preproc_directive] = STATE(706),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1144),
    [anon_sym_event] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_next] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_fallthrough] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_add] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_local] = ACTIONS(1162),
    [anon_sym_when] = ACTIONS(1164),
    [anon_sym_assert] = ACTIONS(1166),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1168),
    [anon_sym_ATload] = ACTIONS(1170),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1172),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1174),
    [anon_sym_ATunload] = ACTIONS(1172),
    [anon_sym_ATprefixes] = ACTIONS(1176),
    [anon_sym_ATif] = ACTIONS(1178),
    [anon_sym_ATifdef] = ACTIONS(1180),
    [anon_sym_ATifndef] = ACTIONS(1180),
    [anon_sym_ATendif] = ACTIONS(1182),
    [anon_sym_ATelse] = ACTIONS(1182),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [178] = {
    [sym_stmt] = STATE(605),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [179] = {
    [sym_stmt] = STATE(609),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [180] = {
    [sym_stmt] = STATE(610),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [181] = {
    [sym_stmt] = STATE(612),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [182] = {
    [sym_stmt] = STATE(502),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [183] = {
    [sym_stmt] = STATE(504),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [184] = {
    [sym_stmt] = STATE(506),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [185] = {
    [sym_stmt] = STATE(435),
    [sym_expr] = STATE(1550),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2448),
    [sym_preproc_directive] = STATE(472),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1236),
    [anon_sym_event] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_next] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_fallthrough] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_add] = ACTIONS(1252),
    [anon_sym_delete] = ACTIONS(1252),
    [anon_sym_local] = ACTIONS(1254),
    [anon_sym_when] = ACTIONS(1256),
    [anon_sym_assert] = ACTIONS(1258),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1260),
    [anon_sym_ATload] = ACTIONS(1262),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1264),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1266),
    [anon_sym_ATunload] = ACTIONS(1264),
    [anon_sym_ATprefixes] = ACTIONS(1268),
    [anon_sym_ATif] = ACTIONS(1270),
    [anon_sym_ATifdef] = ACTIONS(1272),
    [anon_sym_ATifndef] = ACTIONS(1272),
    [anon_sym_ATendif] = ACTIONS(1274),
    [anon_sym_ATelse] = ACTIONS(1274),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [186] = {
    [sym_stmt] = STATE(461),
    [sym_expr] = STATE(1550),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2448),
    [sym_preproc_directive] = STATE(472),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1236),
    [anon_sym_event] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_next] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_fallthrough] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_add] = ACTIONS(1252),
    [anon_sym_delete] = ACTIONS(1252),
    [anon_sym_local] = ACTIONS(1254),
    [anon_sym_when] = ACTIONS(1256),
    [anon_sym_assert] = ACTIONS(1258),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1260),
    [anon_sym_ATload] = ACTIONS(1262),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1264),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1266),
    [anon_sym_ATunload] = ACTIONS(1264),
    [anon_sym_ATprefixes] = ACTIONS(1268),
    [anon_sym_ATif] = ACTIONS(1270),
    [anon_sym_ATifdef] = ACTIONS(1272),
    [anon_sym_ATifndef] = ACTIONS(1272),
    [anon_sym_ATendif] = ACTIONS(1274),
    [anon_sym_ATelse] = ACTIONS(1274),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [187] = {
    [sym_stmt] = STATE(463),
    [sym_expr] = STATE(1550),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2448),
    [sym_preproc_directive] = STATE(472),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1236),
    [anon_sym_event] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_next] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_fallthrough] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_add] = ACTIONS(1252),
    [anon_sym_delete] = ACTIONS(1252),
    [anon_sym_local] = ACTIONS(1254),
    [anon_sym_when] = ACTIONS(1256),
    [anon_sym_assert] = ACTIONS(1258),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1260),
    [anon_sym_ATload] = ACTIONS(1262),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1264),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1266),
    [anon_sym_ATunload] = ACTIONS(1264),
    [anon_sym_ATprefixes] = ACTIONS(1268),
    [anon_sym_ATif] = ACTIONS(1270),
    [anon_sym_ATifdef] = ACTIONS(1272),
    [anon_sym_ATifndef] = ACTIONS(1272),
    [anon_sym_ATendif] = ACTIONS(1274),
    [anon_sym_ATelse] = ACTIONS(1274),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [188] = {
    [sym_stmt] = STATE(433),
    [sym_expr] = STATE(1550),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2448),
    [sym_preproc_directive] = STATE(472),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1236),
    [anon_sym_event] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_next] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_fallthrough] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_add] = ACTIONS(1252),
    [anon_sym_delete] = ACTIONS(1252),
    [anon_sym_local] = ACTIONS(1254),
    [anon_sym_when] = ACTIONS(1256),
    [anon_sym_assert] = ACTIONS(1258),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1260),
    [anon_sym_ATload] = ACTIONS(1262),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1264),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1266),
    [anon_sym_ATunload] = ACTIONS(1264),
    [anon_sym_ATprefixes] = ACTIONS(1268),
    [anon_sym_ATif] = ACTIONS(1270),
    [anon_sym_ATifdef] = ACTIONS(1272),
    [anon_sym_ATifndef] = ACTIONS(1272),
    [anon_sym_ATendif] = ACTIONS(1274),
    [anon_sym_ATelse] = ACTIONS(1274),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [189] = {
    [sym_stmt] = STATE(446),
    [sym_expr] = STATE(1550),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2448),
    [sym_preproc_directive] = STATE(472),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1236),
    [anon_sym_event] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_next] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_fallthrough] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_add] = ACTIONS(1252),
    [anon_sym_delete] = ACTIONS(1252),
    [anon_sym_local] = ACTIONS(1254),
    [anon_sym_when] = ACTIONS(1256),
    [anon_sym_assert] = ACTIONS(1258),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1260),
    [anon_sym_ATload] = ACTIONS(1262),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1264),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1266),
    [anon_sym_ATunload] = ACTIONS(1264),
    [anon_sym_ATprefixes] = ACTIONS(1268),
    [anon_sym_ATif] = ACTIONS(1270),
    [anon_sym_ATifdef] = ACTIONS(1272),
    [anon_sym_ATifndef] = ACTIONS(1272),
    [anon_sym_ATendif] = ACTIONS(1274),
    [anon_sym_ATelse] = ACTIONS(1274),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [190] = {
    [sym_stmt] = STATE(450),
    [sym_expr] = STATE(1550),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2448),
    [sym_preproc_directive] = STATE(472),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1236),
    [anon_sym_event] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_next] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_fallthrough] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_add] = ACTIONS(1252),
    [anon_sym_delete] = ACTIONS(1252),
    [anon_sym_local] = ACTIONS(1254),
    [anon_sym_when] = ACTIONS(1256),
    [anon_sym_assert] = ACTIONS(1258),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1260),
    [anon_sym_ATload] = ACTIONS(1262),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1264),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1266),
    [anon_sym_ATunload] = ACTIONS(1264),
    [anon_sym_ATprefixes] = ACTIONS(1268),
    [anon_sym_ATif] = ACTIONS(1270),
    [anon_sym_ATifdef] = ACTIONS(1272),
    [anon_sym_ATifndef] = ACTIONS(1272),
    [anon_sym_ATendif] = ACTIONS(1274),
    [anon_sym_ATelse] = ACTIONS(1274),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [191] = {
    [sym_stmt] = STATE(454),
    [sym_expr] = STATE(1550),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2448),
    [sym_preproc_directive] = STATE(472),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1236),
    [anon_sym_event] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_next] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_fallthrough] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_add] = ACTIONS(1252),
    [anon_sym_delete] = ACTIONS(1252),
    [anon_sym_local] = ACTIONS(1254),
    [anon_sym_when] = ACTIONS(1256),
    [anon_sym_assert] = ACTIONS(1258),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1260),
    [anon_sym_ATload] = ACTIONS(1262),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1264),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1266),
    [anon_sym_ATunload] = ACTIONS(1264),
    [anon_sym_ATprefixes] = ACTIONS(1268),
    [anon_sym_ATif] = ACTIONS(1270),
    [anon_sym_ATifdef] = ACTIONS(1272),
    [anon_sym_ATifndef] = ACTIONS(1272),
    [anon_sym_ATendif] = ACTIONS(1274),
    [anon_sym_ATelse] = ACTIONS(1274),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [192] = {
    [sym_stmt] = STATE(449),
    [sym_expr] = STATE(1411),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2463),
    [sym_preproc_directive] = STATE(429),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1006),
    [anon_sym_event] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_fallthrough] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_add] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1022),
    [anon_sym_local] = ACTIONS(1024),
    [anon_sym_when] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1030),
    [anon_sym_ATload] = ACTIONS(1032),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1034),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1036),
    [anon_sym_ATunload] = ACTIONS(1034),
    [anon_sym_ATprefixes] = ACTIONS(1038),
    [anon_sym_ATif] = ACTIONS(1040),
    [anon_sym_ATifdef] = ACTIONS(1042),
    [anon_sym_ATifndef] = ACTIONS(1042),
    [anon_sym_ATendif] = ACTIONS(1044),
    [anon_sym_ATelse] = ACTIONS(1044),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [193] = {
    [sym_stmt] = STATE(466),
    [sym_expr] = STATE(1411),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2463),
    [sym_preproc_directive] = STATE(429),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1006),
    [anon_sym_event] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_fallthrough] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_add] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1022),
    [anon_sym_local] = ACTIONS(1024),
    [anon_sym_when] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1030),
    [anon_sym_ATload] = ACTIONS(1032),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1034),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1036),
    [anon_sym_ATunload] = ACTIONS(1034),
    [anon_sym_ATprefixes] = ACTIONS(1038),
    [anon_sym_ATif] = ACTIONS(1040),
    [anon_sym_ATifdef] = ACTIONS(1042),
    [anon_sym_ATifndef] = ACTIONS(1042),
    [anon_sym_ATendif] = ACTIONS(1044),
    [anon_sym_ATelse] = ACTIONS(1044),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [194] = {
    [sym_stmt] = STATE(500),
    [sym_expr] = STATE(1411),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2463),
    [sym_preproc_directive] = STATE(429),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1006),
    [anon_sym_event] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_fallthrough] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_add] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1022),
    [anon_sym_local] = ACTIONS(1024),
    [anon_sym_when] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1030),
    [anon_sym_ATload] = ACTIONS(1032),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1034),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1036),
    [anon_sym_ATunload] = ACTIONS(1034),
    [anon_sym_ATprefixes] = ACTIONS(1038),
    [anon_sym_ATif] = ACTIONS(1040),
    [anon_sym_ATifdef] = ACTIONS(1042),
    [anon_sym_ATifndef] = ACTIONS(1042),
    [anon_sym_ATendif] = ACTIONS(1044),
    [anon_sym_ATelse] = ACTIONS(1044),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [195] = {
    [sym_stmt] = STATE(480),
    [sym_expr] = STATE(1411),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2463),
    [sym_preproc_directive] = STATE(429),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1006),
    [anon_sym_event] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_fallthrough] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_add] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1022),
    [anon_sym_local] = ACTIONS(1024),
    [anon_sym_when] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1030),
    [anon_sym_ATload] = ACTIONS(1032),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1034),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1036),
    [anon_sym_ATunload] = ACTIONS(1034),
    [anon_sym_ATprefixes] = ACTIONS(1038),
    [anon_sym_ATif] = ACTIONS(1040),
    [anon_sym_ATifdef] = ACTIONS(1042),
    [anon_sym_ATifndef] = ACTIONS(1042),
    [anon_sym_ATendif] = ACTIONS(1044),
    [anon_sym_ATelse] = ACTIONS(1044),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [196] = {
    [sym_stmt] = STATE(484),
    [sym_expr] = STATE(1411),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2463),
    [sym_preproc_directive] = STATE(429),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1006),
    [anon_sym_event] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_fallthrough] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_add] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1022),
    [anon_sym_local] = ACTIONS(1024),
    [anon_sym_when] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1030),
    [anon_sym_ATload] = ACTIONS(1032),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1034),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1036),
    [anon_sym_ATunload] = ACTIONS(1034),
    [anon_sym_ATprefixes] = ACTIONS(1038),
    [anon_sym_ATif] = ACTIONS(1040),
    [anon_sym_ATifdef] = ACTIONS(1042),
    [anon_sym_ATifndef] = ACTIONS(1042),
    [anon_sym_ATendif] = ACTIONS(1044),
    [anon_sym_ATelse] = ACTIONS(1044),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [197] = {
    [sym_stmt] = STATE(486),
    [sym_expr] = STATE(1411),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2463),
    [sym_preproc_directive] = STATE(429),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1006),
    [anon_sym_event] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_fallthrough] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_add] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1022),
    [anon_sym_local] = ACTIONS(1024),
    [anon_sym_when] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1030),
    [anon_sym_ATload] = ACTIONS(1032),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1034),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1036),
    [anon_sym_ATunload] = ACTIONS(1034),
    [anon_sym_ATprefixes] = ACTIONS(1038),
    [anon_sym_ATif] = ACTIONS(1040),
    [anon_sym_ATifdef] = ACTIONS(1042),
    [anon_sym_ATifndef] = ACTIONS(1042),
    [anon_sym_ATendif] = ACTIONS(1044),
    [anon_sym_ATelse] = ACTIONS(1044),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [198] = {
    [sym_stmt] = STATE(489),
    [sym_expr] = STATE(1411),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2463),
    [sym_preproc_directive] = STATE(429),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1006),
    [anon_sym_event] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_fallthrough] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_add] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1022),
    [anon_sym_local] = ACTIONS(1024),
    [anon_sym_when] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1030),
    [anon_sym_ATload] = ACTIONS(1032),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1034),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1036),
    [anon_sym_ATunload] = ACTIONS(1034),
    [anon_sym_ATprefixes] = ACTIONS(1038),
    [anon_sym_ATif] = ACTIONS(1040),
    [anon_sym_ATifdef] = ACTIONS(1042),
    [anon_sym_ATifndef] = ACTIONS(1042),
    [anon_sym_ATendif] = ACTIONS(1044),
    [anon_sym_ATelse] = ACTIONS(1044),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [199] = {
    [sym_stmt] = STATE(404),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [200] = {
    [sym_stmt] = STATE(409),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [201] = {
    [sym_stmt] = STATE(410),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [202] = {
    [sym_stmt] = STATE(415),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [203] = {
    [sym_stmt] = STATE(418),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [204] = {
    [sym_stmt] = STATE(420),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [205] = {
    [sym_stmt] = STATE(394),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [206] = {
    [sym_stmt] = STATE(711),
    [sym_expr] = STATE(1430),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2343),
    [sym_preproc_directive] = STATE(706),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1144),
    [anon_sym_event] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_next] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_fallthrough] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_add] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_local] = ACTIONS(1162),
    [anon_sym_when] = ACTIONS(1164),
    [anon_sym_assert] = ACTIONS(1166),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1168),
    [anon_sym_ATload] = ACTIONS(1170),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1172),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1174),
    [anon_sym_ATunload] = ACTIONS(1172),
    [anon_sym_ATprefixes] = ACTIONS(1176),
    [anon_sym_ATif] = ACTIONS(1178),
    [anon_sym_ATifdef] = ACTIONS(1180),
    [anon_sym_ATifndef] = ACTIONS(1180),
    [anon_sym_ATendif] = ACTIONS(1182),
    [anon_sym_ATelse] = ACTIONS(1182),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [207] = {
    [sym_stmt] = STATE(789),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [208] = {
    [sym_stmt] = STATE(676),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2320),
    [sym_preproc_directive] = STATE(728),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1328),
    [anon_sym_event] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_next] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_fallthrough] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_add] = ACTIONS(1344),
    [anon_sym_delete] = ACTIONS(1344),
    [anon_sym_local] = ACTIONS(1346),
    [anon_sym_when] = ACTIONS(1348),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1352),
    [anon_sym_ATload] = ACTIONS(1354),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1356),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1358),
    [anon_sym_ATunload] = ACTIONS(1356),
    [anon_sym_ATprefixes] = ACTIONS(1360),
    [anon_sym_ATif] = ACTIONS(1362),
    [anon_sym_ATifdef] = ACTIONS(1364),
    [anon_sym_ATifndef] = ACTIONS(1364),
    [anon_sym_ATendif] = ACTIONS(1366),
    [anon_sym_ATelse] = ACTIONS(1366),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [209] = {
    [sym_stmt] = STATE(686),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2320),
    [sym_preproc_directive] = STATE(728),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1328),
    [anon_sym_event] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_next] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_fallthrough] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_add] = ACTIONS(1344),
    [anon_sym_delete] = ACTIONS(1344),
    [anon_sym_local] = ACTIONS(1346),
    [anon_sym_when] = ACTIONS(1348),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1352),
    [anon_sym_ATload] = ACTIONS(1354),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1356),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1358),
    [anon_sym_ATunload] = ACTIONS(1356),
    [anon_sym_ATprefixes] = ACTIONS(1360),
    [anon_sym_ATif] = ACTIONS(1362),
    [anon_sym_ATifdef] = ACTIONS(1364),
    [anon_sym_ATifndef] = ACTIONS(1364),
    [anon_sym_ATendif] = ACTIONS(1366),
    [anon_sym_ATelse] = ACTIONS(1366),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [210] = {
    [sym_stmt] = STATE(632),
    [sym_expr] = STATE(1462),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2363),
    [sym_preproc_directive] = STATE(690),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1374),
    [anon_sym_event] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_next] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_fallthrough] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_add] = ACTIONS(1390),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_local] = ACTIONS(1392),
    [anon_sym_when] = ACTIONS(1394),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1398),
    [anon_sym_ATload] = ACTIONS(1400),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1402),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1404),
    [anon_sym_ATunload] = ACTIONS(1402),
    [anon_sym_ATprefixes] = ACTIONS(1406),
    [anon_sym_ATif] = ACTIONS(1408),
    [anon_sym_ATifdef] = ACTIONS(1410),
    [anon_sym_ATifndef] = ACTIONS(1410),
    [anon_sym_ATendif] = ACTIONS(1412),
    [anon_sym_ATelse] = ACTIONS(1412),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [211] = {
    [sym_stmt] = STATE(687),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2320),
    [sym_preproc_directive] = STATE(728),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1328),
    [anon_sym_event] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_next] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_fallthrough] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_add] = ACTIONS(1344),
    [anon_sym_delete] = ACTIONS(1344),
    [anon_sym_local] = ACTIONS(1346),
    [anon_sym_when] = ACTIONS(1348),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1352),
    [anon_sym_ATload] = ACTIONS(1354),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1356),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1358),
    [anon_sym_ATunload] = ACTIONS(1356),
    [anon_sym_ATprefixes] = ACTIONS(1360),
    [anon_sym_ATif] = ACTIONS(1362),
    [anon_sym_ATifdef] = ACTIONS(1364),
    [anon_sym_ATifndef] = ACTIONS(1364),
    [anon_sym_ATendif] = ACTIONS(1366),
    [anon_sym_ATelse] = ACTIONS(1366),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [212] = {
    [sym_stmt] = STATE(637),
    [sym_expr] = STATE(1482),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2383),
    [sym_preproc_directive] = STATE(645),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1052),
    [anon_sym_event] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_next] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_fallthrough] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_add] = ACTIONS(1068),
    [anon_sym_delete] = ACTIONS(1068),
    [anon_sym_local] = ACTIONS(1070),
    [anon_sym_when] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1076),
    [anon_sym_ATload] = ACTIONS(1078),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1080),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1082),
    [anon_sym_ATunload] = ACTIONS(1080),
    [anon_sym_ATprefixes] = ACTIONS(1084),
    [anon_sym_ATif] = ACTIONS(1086),
    [anon_sym_ATifdef] = ACTIONS(1088),
    [anon_sym_ATifndef] = ACTIONS(1088),
    [anon_sym_ATendif] = ACTIONS(1090),
    [anon_sym_ATelse] = ACTIONS(1090),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [213] = {
    [sym_stmt] = STATE(752),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2320),
    [sym_preproc_directive] = STATE(728),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1328),
    [anon_sym_event] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_next] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_fallthrough] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_add] = ACTIONS(1344),
    [anon_sym_delete] = ACTIONS(1344),
    [anon_sym_local] = ACTIONS(1346),
    [anon_sym_when] = ACTIONS(1348),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1352),
    [anon_sym_ATload] = ACTIONS(1354),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1356),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1358),
    [anon_sym_ATunload] = ACTIONS(1356),
    [anon_sym_ATprefixes] = ACTIONS(1360),
    [anon_sym_ATif] = ACTIONS(1362),
    [anon_sym_ATifdef] = ACTIONS(1364),
    [anon_sym_ATifndef] = ACTIONS(1364),
    [anon_sym_ATendif] = ACTIONS(1366),
    [anon_sym_ATelse] = ACTIONS(1366),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [214] = {
    [sym_stmt] = STATE(663),
    [sym_expr] = STATE(1482),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2383),
    [sym_preproc_directive] = STATE(645),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1052),
    [anon_sym_event] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_next] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_fallthrough] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_add] = ACTIONS(1068),
    [anon_sym_delete] = ACTIONS(1068),
    [anon_sym_local] = ACTIONS(1070),
    [anon_sym_when] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1076),
    [anon_sym_ATload] = ACTIONS(1078),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1080),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1082),
    [anon_sym_ATunload] = ACTIONS(1080),
    [anon_sym_ATprefixes] = ACTIONS(1084),
    [anon_sym_ATif] = ACTIONS(1086),
    [anon_sym_ATifdef] = ACTIONS(1088),
    [anon_sym_ATifndef] = ACTIONS(1088),
    [anon_sym_ATendif] = ACTIONS(1090),
    [anon_sym_ATelse] = ACTIONS(1090),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [215] = {
    [sym_stmt] = STATE(697),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2320),
    [sym_preproc_directive] = STATE(728),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1328),
    [anon_sym_event] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_next] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_fallthrough] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_add] = ACTIONS(1344),
    [anon_sym_delete] = ACTIONS(1344),
    [anon_sym_local] = ACTIONS(1346),
    [anon_sym_when] = ACTIONS(1348),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1352),
    [anon_sym_ATload] = ACTIONS(1354),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1356),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1358),
    [anon_sym_ATunload] = ACTIONS(1356),
    [anon_sym_ATprefixes] = ACTIONS(1360),
    [anon_sym_ATif] = ACTIONS(1362),
    [anon_sym_ATifdef] = ACTIONS(1364),
    [anon_sym_ATifndef] = ACTIONS(1364),
    [anon_sym_ATendif] = ACTIONS(1366),
    [anon_sym_ATelse] = ACTIONS(1366),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [216] = {
    [sym_stmt] = STATE(684),
    [sym_expr] = STATE(1482),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2383),
    [sym_preproc_directive] = STATE(645),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1052),
    [anon_sym_event] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_next] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_fallthrough] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_add] = ACTIONS(1068),
    [anon_sym_delete] = ACTIONS(1068),
    [anon_sym_local] = ACTIONS(1070),
    [anon_sym_when] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1076),
    [anon_sym_ATload] = ACTIONS(1078),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1080),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1082),
    [anon_sym_ATunload] = ACTIONS(1080),
    [anon_sym_ATprefixes] = ACTIONS(1084),
    [anon_sym_ATif] = ACTIONS(1086),
    [anon_sym_ATifdef] = ACTIONS(1088),
    [anon_sym_ATifndef] = ACTIONS(1088),
    [anon_sym_ATendif] = ACTIONS(1090),
    [anon_sym_ATelse] = ACTIONS(1090),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [217] = {
    [sym_stmt] = STATE(700),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2320),
    [sym_preproc_directive] = STATE(728),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1328),
    [anon_sym_event] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_next] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_fallthrough] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_add] = ACTIONS(1344),
    [anon_sym_delete] = ACTIONS(1344),
    [anon_sym_local] = ACTIONS(1346),
    [anon_sym_when] = ACTIONS(1348),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1352),
    [anon_sym_ATload] = ACTIONS(1354),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1356),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1358),
    [anon_sym_ATunload] = ACTIONS(1356),
    [anon_sym_ATprefixes] = ACTIONS(1360),
    [anon_sym_ATif] = ACTIONS(1362),
    [anon_sym_ATifdef] = ACTIONS(1364),
    [anon_sym_ATifndef] = ACTIONS(1364),
    [anon_sym_ATendif] = ACTIONS(1366),
    [anon_sym_ATelse] = ACTIONS(1366),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [218] = {
    [sym_stmt] = STATE(777),
    [sym_expr] = STATE(1528),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2186),
    [sym_preproc_directive] = STATE(785),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(674),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(678),
    [anon_sym_ATload] = ACTIONS(680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(684),
    [anon_sym_ATunload] = ACTIONS(682),
    [anon_sym_ATprefixes] = ACTIONS(686),
    [anon_sym_ATif] = ACTIONS(688),
    [anon_sym_ATifdef] = ACTIONS(690),
    [anon_sym_ATifndef] = ACTIONS(690),
    [anon_sym_ATendif] = ACTIONS(692),
    [anon_sym_ATelse] = ACTIONS(692),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [219] = {
    [sym_stmt] = STATE(512),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [220] = {
    [sym_stmt] = STATE(703),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2320),
    [sym_preproc_directive] = STATE(728),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1328),
    [anon_sym_event] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_next] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_fallthrough] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_add] = ACTIONS(1344),
    [anon_sym_delete] = ACTIONS(1344),
    [anon_sym_local] = ACTIONS(1346),
    [anon_sym_when] = ACTIONS(1348),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1352),
    [anon_sym_ATload] = ACTIONS(1354),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1356),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1358),
    [anon_sym_ATunload] = ACTIONS(1356),
    [anon_sym_ATprefixes] = ACTIONS(1360),
    [anon_sym_ATif] = ACTIONS(1362),
    [anon_sym_ATifdef] = ACTIONS(1364),
    [anon_sym_ATifndef] = ACTIONS(1364),
    [anon_sym_ATendif] = ACTIONS(1366),
    [anon_sym_ATelse] = ACTIONS(1366),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [221] = {
    [sym_stmt] = STATE(513),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [222] = {
    [sym_stmt] = STATE(753),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [223] = {
    [sym_stmt] = STATE(514),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [224] = {
    [sym_stmt] = STATE(516),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [225] = {
    [sym_stmt] = STATE(804),
    [sym_expr] = STATE(1528),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2186),
    [sym_preproc_directive] = STATE(785),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(674),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(678),
    [anon_sym_ATload] = ACTIONS(680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(684),
    [anon_sym_ATunload] = ACTIONS(682),
    [anon_sym_ATprefixes] = ACTIONS(686),
    [anon_sym_ATif] = ACTIONS(688),
    [anon_sym_ATifdef] = ACTIONS(690),
    [anon_sym_ATifndef] = ACTIONS(690),
    [anon_sym_ATendif] = ACTIONS(692),
    [anon_sym_ATelse] = ACTIONS(692),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [226] = {
    [sym_stmt] = STATE(695),
    [sym_expr] = STATE(1430),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2343),
    [sym_preproc_directive] = STATE(706),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1144),
    [anon_sym_event] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_next] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_fallthrough] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_add] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_local] = ACTIONS(1162),
    [anon_sym_when] = ACTIONS(1164),
    [anon_sym_assert] = ACTIONS(1166),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1168),
    [anon_sym_ATload] = ACTIONS(1170),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1172),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1174),
    [anon_sym_ATunload] = ACTIONS(1172),
    [anon_sym_ATprefixes] = ACTIONS(1176),
    [anon_sym_ATif] = ACTIONS(1178),
    [anon_sym_ATifdef] = ACTIONS(1180),
    [anon_sym_ATifndef] = ACTIONS(1180),
    [anon_sym_ATendif] = ACTIONS(1182),
    [anon_sym_ATelse] = ACTIONS(1182),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [227] = {
    [sym_stmt] = STATE(651),
    [sym_expr] = STATE(1462),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2363),
    [sym_preproc_directive] = STATE(690),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1374),
    [anon_sym_event] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_next] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_fallthrough] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_add] = ACTIONS(1390),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_local] = ACTIONS(1392),
    [anon_sym_when] = ACTIONS(1394),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1398),
    [anon_sym_ATload] = ACTIONS(1400),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1402),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1404),
    [anon_sym_ATunload] = ACTIONS(1402),
    [anon_sym_ATprefixes] = ACTIONS(1406),
    [anon_sym_ATif] = ACTIONS(1408),
    [anon_sym_ATifdef] = ACTIONS(1410),
    [anon_sym_ATifndef] = ACTIONS(1410),
    [anon_sym_ATendif] = ACTIONS(1412),
    [anon_sym_ATelse] = ACTIONS(1412),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [228] = {
    [sym_stmt] = STATE(722),
    [sym_expr] = STATE(1430),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2343),
    [sym_preproc_directive] = STATE(706),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1144),
    [anon_sym_event] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_next] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_fallthrough] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_add] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_local] = ACTIONS(1162),
    [anon_sym_when] = ACTIONS(1164),
    [anon_sym_assert] = ACTIONS(1166),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1168),
    [anon_sym_ATload] = ACTIONS(1170),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1172),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1174),
    [anon_sym_ATunload] = ACTIONS(1172),
    [anon_sym_ATprefixes] = ACTIONS(1176),
    [anon_sym_ATif] = ACTIONS(1178),
    [anon_sym_ATifdef] = ACTIONS(1180),
    [anon_sym_ATifndef] = ACTIONS(1180),
    [anon_sym_ATendif] = ACTIONS(1182),
    [anon_sym_ATelse] = ACTIONS(1182),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [229] = {
    [sym_stmt] = STATE(521),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [230] = {
    [sym_stmt] = STATE(736),
    [sym_expr] = STATE(1430),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2343),
    [sym_preproc_directive] = STATE(706),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1144),
    [anon_sym_event] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_next] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_fallthrough] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_add] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_local] = ACTIONS(1162),
    [anon_sym_when] = ACTIONS(1164),
    [anon_sym_assert] = ACTIONS(1166),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1168),
    [anon_sym_ATload] = ACTIONS(1170),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1172),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1174),
    [anon_sym_ATunload] = ACTIONS(1172),
    [anon_sym_ATprefixes] = ACTIONS(1176),
    [anon_sym_ATif] = ACTIONS(1178),
    [anon_sym_ATifdef] = ACTIONS(1180),
    [anon_sym_ATifndef] = ACTIONS(1180),
    [anon_sym_ATendif] = ACTIONS(1182),
    [anon_sym_ATelse] = ACTIONS(1182),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [231] = {
    [sym_stmt] = STATE(522),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [232] = {
    [sym_stmt] = STATE(665),
    [sym_expr] = STATE(1482),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2383),
    [sym_preproc_directive] = STATE(645),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1052),
    [anon_sym_event] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_next] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_fallthrough] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_add] = ACTIONS(1068),
    [anon_sym_delete] = ACTIONS(1068),
    [anon_sym_local] = ACTIONS(1070),
    [anon_sym_when] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1076),
    [anon_sym_ATload] = ACTIONS(1078),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1080),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1082),
    [anon_sym_ATunload] = ACTIONS(1080),
    [anon_sym_ATprefixes] = ACTIONS(1084),
    [anon_sym_ATif] = ACTIONS(1086),
    [anon_sym_ATifdef] = ACTIONS(1088),
    [anon_sym_ATifndef] = ACTIONS(1088),
    [anon_sym_ATendif] = ACTIONS(1090),
    [anon_sym_ATelse] = ACTIONS(1090),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [233] = {
    [sym_stmt] = STATE(775),
    [sym_expr] = STATE(1528),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2186),
    [sym_preproc_directive] = STATE(785),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(674),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(678),
    [anon_sym_ATload] = ACTIONS(680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(684),
    [anon_sym_ATunload] = ACTIONS(682),
    [anon_sym_ATprefixes] = ACTIONS(686),
    [anon_sym_ATif] = ACTIONS(688),
    [anon_sym_ATifdef] = ACTIONS(690),
    [anon_sym_ATifndef] = ACTIONS(690),
    [anon_sym_ATendif] = ACTIONS(692),
    [anon_sym_ATelse] = ACTIONS(692),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [234] = {
    [sym_stmt] = STATE(520),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [235] = {
    [sym_stmt] = STATE(737),
    [sym_expr] = STATE(1430),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2343),
    [sym_preproc_directive] = STATE(706),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1144),
    [anon_sym_event] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_next] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_fallthrough] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_add] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_local] = ACTIONS(1162),
    [anon_sym_when] = ACTIONS(1164),
    [anon_sym_assert] = ACTIONS(1166),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1168),
    [anon_sym_ATload] = ACTIONS(1170),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1172),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1174),
    [anon_sym_ATunload] = ACTIONS(1172),
    [anon_sym_ATprefixes] = ACTIONS(1176),
    [anon_sym_ATif] = ACTIONS(1178),
    [anon_sym_ATifdef] = ACTIONS(1180),
    [anon_sym_ATifndef] = ACTIONS(1180),
    [anon_sym_ATendif] = ACTIONS(1182),
    [anon_sym_ATelse] = ACTIONS(1182),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [236] = {
    [sym_stmt] = STATE(437),
    [sym_expr] = STATE(1411),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2463),
    [sym_preproc_directive] = STATE(429),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1006),
    [anon_sym_event] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_fallthrough] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_add] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1022),
    [anon_sym_local] = ACTIONS(1024),
    [anon_sym_when] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1030),
    [anon_sym_ATload] = ACTIONS(1032),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1034),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1036),
    [anon_sym_ATunload] = ACTIONS(1034),
    [anon_sym_ATprefixes] = ACTIONS(1038),
    [anon_sym_ATif] = ACTIONS(1040),
    [anon_sym_ATifdef] = ACTIONS(1042),
    [anon_sym_ATifndef] = ACTIONS(1042),
    [anon_sym_ATendif] = ACTIONS(1044),
    [anon_sym_ATelse] = ACTIONS(1044),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [237] = {
    [sym_stmt] = STATE(739),
    [sym_expr] = STATE(1430),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2343),
    [sym_preproc_directive] = STATE(706),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1144),
    [anon_sym_event] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_next] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_fallthrough] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_add] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_local] = ACTIONS(1162),
    [anon_sym_when] = ACTIONS(1164),
    [anon_sym_assert] = ACTIONS(1166),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1168),
    [anon_sym_ATload] = ACTIONS(1170),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1172),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1174),
    [anon_sym_ATunload] = ACTIONS(1172),
    [anon_sym_ATprefixes] = ACTIONS(1176),
    [anon_sym_ATif] = ACTIONS(1178),
    [anon_sym_ATifdef] = ACTIONS(1180),
    [anon_sym_ATifndef] = ACTIONS(1180),
    [anon_sym_ATendif] = ACTIONS(1182),
    [anon_sym_ATelse] = ACTIONS(1182),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [238] = {
    [sym_stmt] = STATE(457),
    [sym_expr] = STATE(1411),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2463),
    [sym_preproc_directive] = STATE(429),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1006),
    [anon_sym_event] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_fallthrough] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_add] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1022),
    [anon_sym_local] = ACTIONS(1024),
    [anon_sym_when] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1030),
    [anon_sym_ATload] = ACTIONS(1032),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1034),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1036),
    [anon_sym_ATunload] = ACTIONS(1034),
    [anon_sym_ATprefixes] = ACTIONS(1038),
    [anon_sym_ATif] = ACTIONS(1040),
    [anon_sym_ATifdef] = ACTIONS(1042),
    [anon_sym_ATifndef] = ACTIONS(1042),
    [anon_sym_ATendif] = ACTIONS(1044),
    [anon_sym_ATelse] = ACTIONS(1044),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [239] = {
    [sym_stmt] = STATE(462),
    [sym_expr] = STATE(1411),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2463),
    [sym_preproc_directive] = STATE(429),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1006),
    [anon_sym_event] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_fallthrough] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_add] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1022),
    [anon_sym_local] = ACTIONS(1024),
    [anon_sym_when] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1030),
    [anon_sym_ATload] = ACTIONS(1032),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1034),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1036),
    [anon_sym_ATunload] = ACTIONS(1034),
    [anon_sym_ATprefixes] = ACTIONS(1038),
    [anon_sym_ATif] = ACTIONS(1040),
    [anon_sym_ATifdef] = ACTIONS(1042),
    [anon_sym_ATifndef] = ACTIONS(1042),
    [anon_sym_ATendif] = ACTIONS(1044),
    [anon_sym_ATelse] = ACTIONS(1044),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [240] = {
    [sym_stmt] = STATE(795),
    [sym_expr] = STATE(1528),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2186),
    [sym_preproc_directive] = STATE(785),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(674),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(678),
    [anon_sym_ATload] = ACTIONS(680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(684),
    [anon_sym_ATunload] = ACTIONS(682),
    [anon_sym_ATprefixes] = ACTIONS(686),
    [anon_sym_ATif] = ACTIONS(688),
    [anon_sym_ATifdef] = ACTIONS(690),
    [anon_sym_ATifndef] = ACTIONS(690),
    [anon_sym_ATendif] = ACTIONS(692),
    [anon_sym_ATelse] = ACTIONS(692),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [241] = {
    [sym_stmt] = STATE(784),
    [sym_expr] = STATE(1528),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2186),
    [sym_preproc_directive] = STATE(785),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(674),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(678),
    [anon_sym_ATload] = ACTIONS(680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(684),
    [anon_sym_ATunload] = ACTIONS(682),
    [anon_sym_ATprefixes] = ACTIONS(686),
    [anon_sym_ATif] = ACTIONS(688),
    [anon_sym_ATifdef] = ACTIONS(690),
    [anon_sym_ATifndef] = ACTIONS(690),
    [anon_sym_ATendif] = ACTIONS(692),
    [anon_sym_ATelse] = ACTIONS(692),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [242] = {
    [sym_stmt] = STATE(497),
    [sym_expr] = STATE(1550),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2448),
    [sym_preproc_directive] = STATE(472),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1236),
    [anon_sym_event] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_next] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_fallthrough] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_add] = ACTIONS(1252),
    [anon_sym_delete] = ACTIONS(1252),
    [anon_sym_local] = ACTIONS(1254),
    [anon_sym_when] = ACTIONS(1256),
    [anon_sym_assert] = ACTIONS(1258),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1260),
    [anon_sym_ATload] = ACTIONS(1262),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1264),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1266),
    [anon_sym_ATunload] = ACTIONS(1264),
    [anon_sym_ATprefixes] = ACTIONS(1268),
    [anon_sym_ATif] = ACTIONS(1270),
    [anon_sym_ATifdef] = ACTIONS(1272),
    [anon_sym_ATifndef] = ACTIONS(1272),
    [anon_sym_ATendif] = ACTIONS(1274),
    [anon_sym_ATelse] = ACTIONS(1274),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [243] = {
    [sym_stmt] = STATE(741),
    [sym_expr] = STATE(1430),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2343),
    [sym_preproc_directive] = STATE(706),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1144),
    [anon_sym_event] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_next] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_fallthrough] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_add] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_local] = ACTIONS(1162),
    [anon_sym_when] = ACTIONS(1164),
    [anon_sym_assert] = ACTIONS(1166),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1168),
    [anon_sym_ATload] = ACTIONS(1170),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1172),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1174),
    [anon_sym_ATunload] = ACTIONS(1172),
    [anon_sym_ATprefixes] = ACTIONS(1176),
    [anon_sym_ATif] = ACTIONS(1178),
    [anon_sym_ATifdef] = ACTIONS(1180),
    [anon_sym_ATifndef] = ACTIONS(1180),
    [anon_sym_ATendif] = ACTIONS(1182),
    [anon_sym_ATelse] = ACTIONS(1182),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [244] = {
    [sym_stmt] = STATE(413),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [245] = {
    [sym_stmt] = STATE(743),
    [sym_expr] = STATE(1430),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2343),
    [sym_preproc_directive] = STATE(706),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1144),
    [anon_sym_event] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_next] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_fallthrough] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_add] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_local] = ACTIONS(1162),
    [anon_sym_when] = ACTIONS(1164),
    [anon_sym_assert] = ACTIONS(1166),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1168),
    [anon_sym_ATload] = ACTIONS(1170),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1172),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1174),
    [anon_sym_ATunload] = ACTIONS(1172),
    [anon_sym_ATprefixes] = ACTIONS(1176),
    [anon_sym_ATif] = ACTIONS(1178),
    [anon_sym_ATifdef] = ACTIONS(1180),
    [anon_sym_ATifndef] = ACTIONS(1180),
    [anon_sym_ATendif] = ACTIONS(1182),
    [anon_sym_ATelse] = ACTIONS(1182),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [246] = {
    [sym_stmt] = STATE(399),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [247] = {
    [sym_stmt] = STATE(389),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [248] = {
    [sym_stmt] = STATE(754),
    [sym_expr] = STATE(1528),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2186),
    [sym_preproc_directive] = STATE(785),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(674),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(678),
    [anon_sym_ATload] = ACTIONS(680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(684),
    [anon_sym_ATunload] = ACTIONS(682),
    [anon_sym_ATprefixes] = ACTIONS(686),
    [anon_sym_ATif] = ACTIONS(688),
    [anon_sym_ATifdef] = ACTIONS(690),
    [anon_sym_ATifndef] = ACTIONS(690),
    [anon_sym_ATendif] = ACTIONS(692),
    [anon_sym_ATelse] = ACTIONS(692),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [249] = {
    [sym_stmt] = STATE(531),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [250] = {
    [sym_stmt] = STATE(746),
    [sym_expr] = STATE(1430),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2343),
    [sym_preproc_directive] = STATE(706),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1144),
    [anon_sym_event] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_next] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_fallthrough] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_add] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_local] = ACTIONS(1162),
    [anon_sym_when] = ACTIONS(1164),
    [anon_sym_assert] = ACTIONS(1166),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1168),
    [anon_sym_ATload] = ACTIONS(1170),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1172),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1174),
    [anon_sym_ATunload] = ACTIONS(1172),
    [anon_sym_ATprefixes] = ACTIONS(1176),
    [anon_sym_ATif] = ACTIONS(1178),
    [anon_sym_ATifdef] = ACTIONS(1180),
    [anon_sym_ATifndef] = ACTIONS(1180),
    [anon_sym_ATendif] = ACTIONS(1182),
    [anon_sym_ATelse] = ACTIONS(1182),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [251] = {
    [sym_stmt] = STATE(624),
    [sym_expr] = STATE(1462),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2363),
    [sym_preproc_directive] = STATE(690),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1374),
    [anon_sym_event] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_next] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_fallthrough] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_add] = ACTIONS(1390),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_local] = ACTIONS(1392),
    [anon_sym_when] = ACTIONS(1394),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1398),
    [anon_sym_ATload] = ACTIONS(1400),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1402),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1404),
    [anon_sym_ATunload] = ACTIONS(1402),
    [anon_sym_ATprefixes] = ACTIONS(1406),
    [anon_sym_ATif] = ACTIONS(1408),
    [anon_sym_ATifdef] = ACTIONS(1410),
    [anon_sym_ATifndef] = ACTIONS(1410),
    [anon_sym_ATendif] = ACTIONS(1412),
    [anon_sym_ATelse] = ACTIONS(1412),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [252] = {
    [sym_stmt] = STATE(532),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [253] = {
    [sym_stmt] = STATE(628),
    [sym_expr] = STATE(1462),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2363),
    [sym_preproc_directive] = STATE(690),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1374),
    [anon_sym_event] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_next] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_fallthrough] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_add] = ACTIONS(1390),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_local] = ACTIONS(1392),
    [anon_sym_when] = ACTIONS(1394),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1398),
    [anon_sym_ATload] = ACTIONS(1400),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1402),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1404),
    [anon_sym_ATunload] = ACTIONS(1402),
    [anon_sym_ATprefixes] = ACTIONS(1406),
    [anon_sym_ATif] = ACTIONS(1408),
    [anon_sym_ATifdef] = ACTIONS(1410),
    [anon_sym_ATifndef] = ACTIONS(1410),
    [anon_sym_ATendif] = ACTIONS(1412),
    [anon_sym_ATelse] = ACTIONS(1412),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [254] = {
    [sym_stmt] = STATE(629),
    [sym_expr] = STATE(1462),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2363),
    [sym_preproc_directive] = STATE(690),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1374),
    [anon_sym_event] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_next] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_fallthrough] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_add] = ACTIONS(1390),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_local] = ACTIONS(1392),
    [anon_sym_when] = ACTIONS(1394),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1398),
    [anon_sym_ATload] = ACTIONS(1400),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1402),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1404),
    [anon_sym_ATunload] = ACTIONS(1402),
    [anon_sym_ATprefixes] = ACTIONS(1406),
    [anon_sym_ATif] = ACTIONS(1408),
    [anon_sym_ATifdef] = ACTIONS(1410),
    [anon_sym_ATifndef] = ACTIONS(1410),
    [anon_sym_ATendif] = ACTIONS(1412),
    [anon_sym_ATelse] = ACTIONS(1412),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [255] = {
    [sym_stmt] = STATE(460),
    [sym_expr] = STATE(1550),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2448),
    [sym_preproc_directive] = STATE(472),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1236),
    [anon_sym_event] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_next] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_fallthrough] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_add] = ACTIONS(1252),
    [anon_sym_delete] = ACTIONS(1252),
    [anon_sym_local] = ACTIONS(1254),
    [anon_sym_when] = ACTIONS(1256),
    [anon_sym_assert] = ACTIONS(1258),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1260),
    [anon_sym_ATload] = ACTIONS(1262),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1264),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1266),
    [anon_sym_ATunload] = ACTIONS(1264),
    [anon_sym_ATprefixes] = ACTIONS(1268),
    [anon_sym_ATif] = ACTIONS(1270),
    [anon_sym_ATifdef] = ACTIONS(1272),
    [anon_sym_ATifndef] = ACTIONS(1272),
    [anon_sym_ATendif] = ACTIONS(1274),
    [anon_sym_ATelse] = ACTIONS(1274),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [256] = {
    [sym_stmt] = STATE(631),
    [sym_expr] = STATE(1462),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2363),
    [sym_preproc_directive] = STATE(690),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1374),
    [anon_sym_event] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_next] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_fallthrough] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_add] = ACTIONS(1390),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_local] = ACTIONS(1392),
    [anon_sym_when] = ACTIONS(1394),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1398),
    [anon_sym_ATload] = ACTIONS(1400),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1402),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1404),
    [anon_sym_ATunload] = ACTIONS(1402),
    [anon_sym_ATprefixes] = ACTIONS(1406),
    [anon_sym_ATif] = ACTIONS(1408),
    [anon_sym_ATifdef] = ACTIONS(1410),
    [anon_sym_ATifndef] = ACTIONS(1410),
    [anon_sym_ATendif] = ACTIONS(1412),
    [anon_sym_ATelse] = ACTIONS(1412),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [257] = {
    [sym_stmt] = STATE(634),
    [sym_expr] = STATE(1462),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2363),
    [sym_preproc_directive] = STATE(690),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1374),
    [anon_sym_event] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_next] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_fallthrough] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_add] = ACTIONS(1390),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_local] = ACTIONS(1392),
    [anon_sym_when] = ACTIONS(1394),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1398),
    [anon_sym_ATload] = ACTIONS(1400),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1402),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1404),
    [anon_sym_ATunload] = ACTIONS(1402),
    [anon_sym_ATprefixes] = ACTIONS(1406),
    [anon_sym_ATif] = ACTIONS(1408),
    [anon_sym_ATifdef] = ACTIONS(1410),
    [anon_sym_ATifndef] = ACTIONS(1410),
    [anon_sym_ATendif] = ACTIONS(1412),
    [anon_sym_ATelse] = ACTIONS(1412),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [258] = {
    [sym_stmt] = STATE(412),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [259] = {
    [sym_stmt] = STATE(636),
    [sym_expr] = STATE(1462),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2363),
    [sym_preproc_directive] = STATE(690),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1374),
    [anon_sym_event] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_next] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_fallthrough] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_add] = ACTIONS(1390),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_local] = ACTIONS(1392),
    [anon_sym_when] = ACTIONS(1394),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1398),
    [anon_sym_ATload] = ACTIONS(1400),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1402),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1404),
    [anon_sym_ATunload] = ACTIONS(1402),
    [anon_sym_ATprefixes] = ACTIONS(1406),
    [anon_sym_ATif] = ACTIONS(1408),
    [anon_sym_ATifdef] = ACTIONS(1410),
    [anon_sym_ATifndef] = ACTIONS(1410),
    [anon_sym_ATendif] = ACTIONS(1412),
    [anon_sym_ATelse] = ACTIONS(1412),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [260] = {
    [sym_stmt] = STATE(639),
    [sym_expr] = STATE(1462),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2363),
    [sym_preproc_directive] = STATE(690),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1374),
    [anon_sym_event] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_next] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_fallthrough] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_add] = ACTIONS(1390),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_local] = ACTIONS(1392),
    [anon_sym_when] = ACTIONS(1394),
    [anon_sym_assert] = ACTIONS(1396),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1398),
    [anon_sym_ATload] = ACTIONS(1400),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1402),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1404),
    [anon_sym_ATunload] = ACTIONS(1402),
    [anon_sym_ATprefixes] = ACTIONS(1406),
    [anon_sym_ATif] = ACTIONS(1408),
    [anon_sym_ATifdef] = ACTIONS(1410),
    [anon_sym_ATifndef] = ACTIONS(1410),
    [anon_sym_ATendif] = ACTIONS(1412),
    [anon_sym_ATelse] = ACTIONS(1412),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [261] = {
    [sym_stmt] = STATE(793),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [262] = {
    [sym_stmt] = STATE(417),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [263] = {
    [sym_stmt] = STATE(693),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2320),
    [sym_preproc_directive] = STATE(728),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1328),
    [anon_sym_event] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_next] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_fallthrough] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_add] = ACTIONS(1344),
    [anon_sym_delete] = ACTIONS(1344),
    [anon_sym_local] = ACTIONS(1346),
    [anon_sym_when] = ACTIONS(1348),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1352),
    [anon_sym_ATload] = ACTIONS(1354),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1356),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1358),
    [anon_sym_ATunload] = ACTIONS(1356),
    [anon_sym_ATprefixes] = ACTIONS(1360),
    [anon_sym_ATif] = ACTIONS(1362),
    [anon_sym_ATifdef] = ACTIONS(1364),
    [anon_sym_ATifndef] = ACTIONS(1364),
    [anon_sym_ATendif] = ACTIONS(1366),
    [anon_sym_ATelse] = ACTIONS(1366),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [264] = {
    [sym_stmt] = STATE(656),
    [sym_expr] = STATE(1482),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2383),
    [sym_preproc_directive] = STATE(645),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1052),
    [anon_sym_event] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_next] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_fallthrough] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_add] = ACTIONS(1068),
    [anon_sym_delete] = ACTIONS(1068),
    [anon_sym_local] = ACTIONS(1070),
    [anon_sym_when] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1076),
    [anon_sym_ATload] = ACTIONS(1078),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1080),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1082),
    [anon_sym_ATunload] = ACTIONS(1080),
    [anon_sym_ATprefixes] = ACTIONS(1084),
    [anon_sym_ATif] = ACTIONS(1086),
    [anon_sym_ATifdef] = ACTIONS(1088),
    [anon_sym_ATifndef] = ACTIONS(1088),
    [anon_sym_ATendif] = ACTIONS(1090),
    [anon_sym_ATelse] = ACTIONS(1090),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [265] = {
    [sym_stmt] = STATE(755),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [266] = {
    [sym_stmt] = STATE(661),
    [sym_expr] = STATE(1482),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2383),
    [sym_preproc_directive] = STATE(645),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1052),
    [anon_sym_event] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_next] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_fallthrough] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_add] = ACTIONS(1068),
    [anon_sym_delete] = ACTIONS(1068),
    [anon_sym_local] = ACTIONS(1070),
    [anon_sym_when] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1076),
    [anon_sym_ATload] = ACTIONS(1078),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1080),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1082),
    [anon_sym_ATunload] = ACTIONS(1080),
    [anon_sym_ATprefixes] = ACTIONS(1084),
    [anon_sym_ATif] = ACTIONS(1086),
    [anon_sym_ATifdef] = ACTIONS(1088),
    [anon_sym_ATifndef] = ACTIONS(1088),
    [anon_sym_ATendif] = ACTIONS(1090),
    [anon_sym_ATelse] = ACTIONS(1090),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [267] = {
    [sym_stmt] = STATE(614),
    [sym_expr] = STATE(1482),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2383),
    [sym_preproc_directive] = STATE(645),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1052),
    [anon_sym_event] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_next] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_fallthrough] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_add] = ACTIONS(1068),
    [anon_sym_delete] = ACTIONS(1068),
    [anon_sym_local] = ACTIONS(1070),
    [anon_sym_when] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1076),
    [anon_sym_ATload] = ACTIONS(1078),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1080),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1082),
    [anon_sym_ATunload] = ACTIONS(1080),
    [anon_sym_ATprefixes] = ACTIONS(1084),
    [anon_sym_ATif] = ACTIONS(1086),
    [anon_sym_ATifdef] = ACTIONS(1088),
    [anon_sym_ATifndef] = ACTIONS(1088),
    [anon_sym_ATendif] = ACTIONS(1090),
    [anon_sym_ATelse] = ACTIONS(1090),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [268] = {
    [sym_stmt] = STATE(770),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [269] = {
    [sym_stmt] = STATE(647),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2320),
    [sym_preproc_directive] = STATE(728),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1328),
    [anon_sym_event] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_next] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_fallthrough] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_add] = ACTIONS(1344),
    [anon_sym_delete] = ACTIONS(1344),
    [anon_sym_local] = ACTIONS(1346),
    [anon_sym_when] = ACTIONS(1348),
    [anon_sym_assert] = ACTIONS(1350),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1352),
    [anon_sym_ATload] = ACTIONS(1354),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1356),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1358),
    [anon_sym_ATunload] = ACTIONS(1356),
    [anon_sym_ATprefixes] = ACTIONS(1360),
    [anon_sym_ATif] = ACTIONS(1362),
    [anon_sym_ATifdef] = ACTIONS(1364),
    [anon_sym_ATifndef] = ACTIONS(1364),
    [anon_sym_ATendif] = ACTIONS(1366),
    [anon_sym_ATelse] = ACTIONS(1366),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [270] = {
    [sym_stmt] = STATE(729),
    [sym_expr] = STATE(1482),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2383),
    [sym_preproc_directive] = STATE(645),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1052),
    [anon_sym_event] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_next] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_fallthrough] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_add] = ACTIONS(1068),
    [anon_sym_delete] = ACTIONS(1068),
    [anon_sym_local] = ACTIONS(1070),
    [anon_sym_when] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1076),
    [anon_sym_ATload] = ACTIONS(1078),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1080),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1082),
    [anon_sym_ATunload] = ACTIONS(1080),
    [anon_sym_ATprefixes] = ACTIONS(1084),
    [anon_sym_ATif] = ACTIONS(1086),
    [anon_sym_ATifdef] = ACTIONS(1088),
    [anon_sym_ATifndef] = ACTIONS(1088),
    [anon_sym_ATendif] = ACTIONS(1090),
    [anon_sym_ATelse] = ACTIONS(1090),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [271] = {
    [sym_stmt] = STATE(730),
    [sym_expr] = STATE(1482),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2383),
    [sym_preproc_directive] = STATE(645),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1052),
    [anon_sym_event] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_next] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_fallthrough] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_add] = ACTIONS(1068),
    [anon_sym_delete] = ACTIONS(1068),
    [anon_sym_local] = ACTIONS(1070),
    [anon_sym_when] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1076),
    [anon_sym_ATload] = ACTIONS(1078),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1080),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1082),
    [anon_sym_ATunload] = ACTIONS(1080),
    [anon_sym_ATprefixes] = ACTIONS(1084),
    [anon_sym_ATif] = ACTIONS(1086),
    [anon_sym_ATifdef] = ACTIONS(1088),
    [anon_sym_ATifndef] = ACTIONS(1088),
    [anon_sym_ATendif] = ACTIONS(1090),
    [anon_sym_ATelse] = ACTIONS(1090),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [272] = {
    [sym_stmt] = STATE(731),
    [sym_expr] = STATE(1482),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2383),
    [sym_preproc_directive] = STATE(645),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1052),
    [anon_sym_event] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_next] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_fallthrough] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_add] = ACTIONS(1068),
    [anon_sym_delete] = ACTIONS(1068),
    [anon_sym_local] = ACTIONS(1070),
    [anon_sym_when] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1076),
    [anon_sym_ATload] = ACTIONS(1078),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1080),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1082),
    [anon_sym_ATunload] = ACTIONS(1080),
    [anon_sym_ATprefixes] = ACTIONS(1084),
    [anon_sym_ATif] = ACTIONS(1086),
    [anon_sym_ATifdef] = ACTIONS(1088),
    [anon_sym_ATifndef] = ACTIONS(1088),
    [anon_sym_ATendif] = ACTIONS(1090),
    [anon_sym_ATelse] = ACTIONS(1090),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [273] = {
    [sym_stmt] = STATE(588),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [274] = {
    [sym_stmt] = STATE(589),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [275] = {
    [sym_stmt] = STATE(590),
    [sym_expr] = STATE(1508),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2418),
    [sym_preproc_directive] = STATE(562),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1098),
    [anon_sym_event] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_next] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_fallthrough] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_local] = ACTIONS(1116),
    [anon_sym_when] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1122),
    [anon_sym_ATload] = ACTIONS(1124),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1126),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1128),
    [anon_sym_ATunload] = ACTIONS(1126),
    [anon_sym_ATprefixes] = ACTIONS(1130),
    [anon_sym_ATif] = ACTIONS(1132),
    [anon_sym_ATifdef] = ACTIONS(1134),
    [anon_sym_ATifndef] = ACTIONS(1134),
    [anon_sym_ATendif] = ACTIONS(1136),
    [anon_sym_ATelse] = ACTIONS(1136),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [276] = {
    [sym_stmt] = STATE(591),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [277] = {
    [sym_stmt] = STATE(592),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [278] = {
    [sym_stmt] = STATE(593),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [279] = {
    [sym_stmt] = STATE(474),
    [sym_expr] = STATE(1411),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2463),
    [sym_preproc_directive] = STATE(429),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1006),
    [anon_sym_event] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_fallthrough] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_add] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1022),
    [anon_sym_local] = ACTIONS(1024),
    [anon_sym_when] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1030),
    [anon_sym_ATload] = ACTIONS(1032),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1034),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1036),
    [anon_sym_ATunload] = ACTIONS(1034),
    [anon_sym_ATprefixes] = ACTIONS(1038),
    [anon_sym_ATif] = ACTIONS(1040),
    [anon_sym_ATifdef] = ACTIONS(1042),
    [anon_sym_ATifndef] = ACTIONS(1042),
    [anon_sym_ATendif] = ACTIONS(1044),
    [anon_sym_ATelse] = ACTIONS(1044),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [280] = {
    [sym_stmt] = STATE(803),
    [sym_expr] = STATE(1471),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2226),
    [sym_preproc_directive] = STATE(787),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_next] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_fallthrough] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_add] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_when] = ACTIONS(227),
    [anon_sym_assert] = ACTIONS(229),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(231),
    [anon_sym_ATload] = ACTIONS(233),
    [anon_sym_ATload_DASHsigs] = ACTIONS(235),
    [anon_sym_ATload_DASHplugin] = ACTIONS(237),
    [anon_sym_ATunload] = ACTIONS(235),
    [anon_sym_ATprefixes] = ACTIONS(239),
    [anon_sym_ATif] = ACTIONS(241),
    [anon_sym_ATifdef] = ACTIONS(243),
    [anon_sym_ATifndef] = ACTIONS(243),
    [anon_sym_ATendif] = ACTIONS(245),
    [anon_sym_ATelse] = ACTIONS(245),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [281] = {
    [sym_stmt] = STATE(476),
    [sym_expr] = STATE(1411),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2463),
    [sym_preproc_directive] = STATE(429),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1006),
    [anon_sym_event] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_fallthrough] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_add] = ACTIONS(1022),
    [anon_sym_delete] = ACTIONS(1022),
    [anon_sym_local] = ACTIONS(1024),
    [anon_sym_when] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1030),
    [anon_sym_ATload] = ACTIONS(1032),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1034),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1036),
    [anon_sym_ATunload] = ACTIONS(1034),
    [anon_sym_ATprefixes] = ACTIONS(1038),
    [anon_sym_ATif] = ACTIONS(1040),
    [anon_sym_ATifdef] = ACTIONS(1042),
    [anon_sym_ATifndef] = ACTIONS(1042),
    [anon_sym_ATendif] = ACTIONS(1044),
    [anon_sym_ATelse] = ACTIONS(1044),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [282] = {
    [sym_stmt] = STATE(421),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [283] = {
    [sym_stmt] = STATE(422),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [284] = {
    [sym_stmt] = STATE(423),
    [sym_expr] = STATE(1433),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2478),
    [sym_preproc_directive] = STATE(425),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1282),
    [anon_sym_event] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_next] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_fallthrough] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_add] = ACTIONS(1298),
    [anon_sym_delete] = ACTIONS(1298),
    [anon_sym_local] = ACTIONS(1300),
    [anon_sym_when] = ACTIONS(1302),
    [anon_sym_assert] = ACTIONS(1304),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1306),
    [anon_sym_ATload] = ACTIONS(1308),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1310),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1312),
    [anon_sym_ATunload] = ACTIONS(1310),
    [anon_sym_ATprefixes] = ACTIONS(1314),
    [anon_sym_ATif] = ACTIONS(1316),
    [anon_sym_ATifdef] = ACTIONS(1318),
    [anon_sym_ATifndef] = ACTIONS(1318),
    [anon_sym_ATendif] = ACTIONS(1320),
    [anon_sym_ATelse] = ACTIONS(1320),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [285] = {
    [sym_stmt] = STATE(724),
    [sym_expr] = STATE(1430),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2343),
    [sym_preproc_directive] = STATE(706),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1144),
    [anon_sym_event] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_next] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_fallthrough] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_add] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_local] = ACTIONS(1162),
    [anon_sym_when] = ACTIONS(1164),
    [anon_sym_assert] = ACTIONS(1166),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1168),
    [anon_sym_ATload] = ACTIONS(1170),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1172),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1174),
    [anon_sym_ATunload] = ACTIONS(1172),
    [anon_sym_ATprefixes] = ACTIONS(1176),
    [anon_sym_ATif] = ACTIONS(1178),
    [anon_sym_ATifdef] = ACTIONS(1180),
    [anon_sym_ATifndef] = ACTIONS(1180),
    [anon_sym_ATendif] = ACTIONS(1182),
    [anon_sym_ATelse] = ACTIONS(1182),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [286] = {
    [sym_stmt] = STATE(725),
    [sym_expr] = STATE(1430),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2343),
    [sym_preproc_directive] = STATE(706),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1144),
    [anon_sym_event] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_next] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_fallthrough] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_add] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_local] = ACTIONS(1162),
    [anon_sym_when] = ACTIONS(1164),
    [anon_sym_assert] = ACTIONS(1166),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1168),
    [anon_sym_ATload] = ACTIONS(1170),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1172),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1174),
    [anon_sym_ATunload] = ACTIONS(1172),
    [anon_sym_ATprefixes] = ACTIONS(1176),
    [anon_sym_ATif] = ACTIONS(1178),
    [anon_sym_ATifdef] = ACTIONS(1180),
    [anon_sym_ATifndef] = ACTIONS(1180),
    [anon_sym_ATendif] = ACTIONS(1182),
    [anon_sym_ATelse] = ACTIONS(1182),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [287] = {
    [sym_stmt] = STATE(726),
    [sym_expr] = STATE(1430),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2343),
    [sym_preproc_directive] = STATE(706),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1144),
    [anon_sym_event] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_next] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_fallthrough] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_add] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_local] = ACTIONS(1162),
    [anon_sym_when] = ACTIONS(1164),
    [anon_sym_assert] = ACTIONS(1166),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1168),
    [anon_sym_ATload] = ACTIONS(1170),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1172),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1174),
    [anon_sym_ATunload] = ACTIONS(1172),
    [anon_sym_ATprefixes] = ACTIONS(1176),
    [anon_sym_ATif] = ACTIONS(1178),
    [anon_sym_ATifdef] = ACTIONS(1180),
    [anon_sym_ATifndef] = ACTIONS(1180),
    [anon_sym_ATendif] = ACTIONS(1182),
    [anon_sym_ATelse] = ACTIONS(1182),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [288] = {
    [sym_stmt] = STATE(523),
    [sym_expr] = STATE(1524),
    [sym_constant] = STATE(1269),
    [sym_index_slice] = STATE(2433),
    [sym_preproc_directive] = STATE(596),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1190),
    [anon_sym_event] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_next] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_fallthrough] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_add] = ACTIONS(1206),
    [anon_sym_delete] = ACTIONS(1206),
    [anon_sym_local] = ACTIONS(1208),
    [anon_sym_when] = ACTIONS(1210),
    [anon_sym_assert] = ACTIONS(1212),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATdeprecated] = ACTIONS(1214),
    [anon_sym_ATload] = ACTIONS(1216),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1218),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1220),
    [anon_sym_ATunload] = ACTIONS(1218),
    [anon_sym_ATprefixes] = ACTIONS(1222),
    [anon_sym_ATif] = ACTIONS(1224),
    [anon_sym_ATifdef] = ACTIONS(1226),
    [anon_sym_ATifndef] = ACTIONS(1226),
    [anon_sym_ATendif] = ACTIONS(1228),
    [anon_sym_ATelse] = ACTIONS(1228),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [289] = {
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_PLUS_EQ] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_RPAREN] = ACTIONS(1414),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_RBRACK] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_as] = ACTIONS(1414),
    [anon_sym_AMPdeprecated] = ACTIONS(1414),
    [anon_sym_DASH_EQ] = ACTIONS(1414),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1414),
    [anon_sym_AMPerror_handler] = ACTIONS(1414),
    [anon_sym_AMPis_assigned] = ACTIONS(1414),
    [anon_sym_AMPis_used] = ACTIONS(1414),
    [anon_sym_AMPlog] = ACTIONS(1414),
    [anon_sym_AMPoptional] = ACTIONS(1414),
    [anon_sym_AMPraw_output] = ACTIONS(1414),
    [anon_sym_AMPredef] = ACTIONS(1414),
    [anon_sym_AMPadd_func] = ACTIONS(1414),
    [anon_sym_AMPbackend] = ACTIONS(1414),
    [anon_sym_AMPbroker_store] = ACTIONS(1414),
    [anon_sym_AMPcreate_expire] = ACTIONS(1414),
    [anon_sym_AMPdefault] = ACTIONS(1414),
    [anon_sym_AMPdelete_func] = ACTIONS(1414),
    [anon_sym_AMPexpire_func] = ACTIONS(1414),
    [anon_sym_AMPgroup] = ACTIONS(1414),
    [anon_sym_AMPon_change] = ACTIONS(1414),
    [anon_sym_AMPpriority] = ACTIONS(1414),
    [anon_sym_AMPread_expire] = ACTIONS(1414),
    [anon_sym_AMPtype_column] = ACTIONS(1414),
    [anon_sym_AMPwrite_expire] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_is] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1414),
    [anon_sym_ATdeprecated] = ACTIONS(1414),
    [anon_sym_ATload] = ACTIONS(1416),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1414),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1414),
    [anon_sym_ATunload] = ACTIONS(1414),
    [anon_sym_ATprefixes] = ACTIONS(1414),
    [anon_sym_ATif] = ACTIONS(1416),
    [anon_sym_ATifdef] = ACTIONS(1414),
    [anon_sym_ATifndef] = ACTIONS(1414),
    [anon_sym_ATendif] = ACTIONS(1414),
    [anon_sym_ATelse] = ACTIONS(1414),
    [sym_time_unit] = ACTIONS(1418),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_export] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_global] = ACTIONS(1422),
    [anon_sym_option] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_redef] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_type] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [291] = {
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_PLUS_EQ] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_RPAREN] = ACTIONS(1414),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_RBRACK] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_as] = ACTIONS(1414),
    [anon_sym_AMPdeprecated] = ACTIONS(1414),
    [anon_sym_DASH_EQ] = ACTIONS(1414),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1414),
    [anon_sym_AMPerror_handler] = ACTIONS(1414),
    [anon_sym_AMPis_assigned] = ACTIONS(1414),
    [anon_sym_AMPis_used] = ACTIONS(1414),
    [anon_sym_AMPlog] = ACTIONS(1414),
    [anon_sym_AMPoptional] = ACTIONS(1414),
    [anon_sym_AMPraw_output] = ACTIONS(1414),
    [anon_sym_AMPredef] = ACTIONS(1414),
    [anon_sym_AMPadd_func] = ACTIONS(1414),
    [anon_sym_AMPbackend] = ACTIONS(1414),
    [anon_sym_AMPbroker_store] = ACTIONS(1414),
    [anon_sym_AMPcreate_expire] = ACTIONS(1414),
    [anon_sym_AMPdefault] = ACTIONS(1414),
    [anon_sym_AMPdelete_func] = ACTIONS(1414),
    [anon_sym_AMPexpire_func] = ACTIONS(1414),
    [anon_sym_AMPgroup] = ACTIONS(1414),
    [anon_sym_AMPon_change] = ACTIONS(1414),
    [anon_sym_AMPpriority] = ACTIONS(1414),
    [anon_sym_AMPread_expire] = ACTIONS(1414),
    [anon_sym_AMPtype_column] = ACTIONS(1414),
    [anon_sym_AMPwrite_expire] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_is] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1414),
    [anon_sym_ATdeprecated] = ACTIONS(1414),
    [anon_sym_ATload] = ACTIONS(1416),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1414),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1414),
    [anon_sym_ATunload] = ACTIONS(1414),
    [anon_sym_ATprefixes] = ACTIONS(1414),
    [anon_sym_ATif] = ACTIONS(1416),
    [anon_sym_ATifdef] = ACTIONS(1414),
    [anon_sym_ATifndef] = ACTIONS(1414),
    [anon_sym_ATendif] = ACTIONS(1414),
    [anon_sym_ATelse] = ACTIONS(1414),
    [sym_time_unit] = ACTIONS(1418),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [292] = {
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [anon_sym_COLON] = ACTIONS(1426),
    [anon_sym_PLUS_EQ] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [anon_sym_RPAREN] = ACTIONS(1426),
    [anon_sym_COMMA] = ACTIONS(1426),
    [anon_sym_in] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_RBRACK] = ACTIONS(1426),
    [anon_sym_EQ] = ACTIONS(1428),
    [anon_sym_as] = ACTIONS(1426),
    [anon_sym_AMPdeprecated] = ACTIONS(1426),
    [anon_sym_DASH_EQ] = ACTIONS(1426),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1426),
    [anon_sym_AMPerror_handler] = ACTIONS(1426),
    [anon_sym_AMPis_assigned] = ACTIONS(1426),
    [anon_sym_AMPis_used] = ACTIONS(1426),
    [anon_sym_AMPlog] = ACTIONS(1426),
    [anon_sym_AMPoptional] = ACTIONS(1426),
    [anon_sym_AMPraw_output] = ACTIONS(1426),
    [anon_sym_AMPredef] = ACTIONS(1426),
    [anon_sym_AMPadd_func] = ACTIONS(1426),
    [anon_sym_AMPbackend] = ACTIONS(1426),
    [anon_sym_AMPbroker_store] = ACTIONS(1426),
    [anon_sym_AMPcreate_expire] = ACTIONS(1426),
    [anon_sym_AMPdefault] = ACTIONS(1426),
    [anon_sym_AMPdelete_func] = ACTIONS(1426),
    [anon_sym_AMPexpire_func] = ACTIONS(1426),
    [anon_sym_AMPgroup] = ACTIONS(1426),
    [anon_sym_AMPon_change] = ACTIONS(1426),
    [anon_sym_AMPpriority] = ACTIONS(1426),
    [anon_sym_AMPread_expire] = ACTIONS(1426),
    [anon_sym_AMPtype_column] = ACTIONS(1426),
    [anon_sym_AMPwrite_expire] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_is] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1426),
    [anon_sym_PERCENT] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_GT] = ACTIONS(1428),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_QMARK] = ACTIONS(1428),
    [anon_sym_EQ_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1426),
    [anon_sym_ATdeprecated] = ACTIONS(1426),
    [anon_sym_ATload] = ACTIONS(1428),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1426),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1426),
    [anon_sym_ATunload] = ACTIONS(1426),
    [anon_sym_ATprefixes] = ACTIONS(1426),
    [anon_sym_ATif] = ACTIONS(1428),
    [anon_sym_ATifdef] = ACTIONS(1426),
    [anon_sym_ATifndef] = ACTIONS(1426),
    [anon_sym_ATendif] = ACTIONS(1426),
    [anon_sym_ATelse] = ACTIONS(1426),
    [sym_time_unit] = ACTIONS(1426),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [anon_sym_module] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_global] = ACTIONS(1432),
    [anon_sym_option] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_redef] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_type] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [294] = {
    [anon_sym_SEMI] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(502),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_COLON] = ACTIONS(502),
    [anon_sym_PLUS_EQ] = ACTIONS(502),
    [anon_sym_LPAREN] = ACTIONS(502),
    [anon_sym_RPAREN] = ACTIONS(502),
    [anon_sym_COMMA] = ACTIONS(502),
    [anon_sym_in] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(502),
    [anon_sym_RBRACK] = ACTIONS(502),
    [anon_sym_EQ] = ACTIONS(504),
    [anon_sym_as] = ACTIONS(502),
    [anon_sym_AMPdeprecated] = ACTIONS(502),
    [anon_sym_DASH_EQ] = ACTIONS(502),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(502),
    [anon_sym_AMPerror_handler] = ACTIONS(502),
    [anon_sym_AMPis_assigned] = ACTIONS(502),
    [anon_sym_AMPis_used] = ACTIONS(502),
    [anon_sym_AMPlog] = ACTIONS(502),
    [anon_sym_AMPoptional] = ACTIONS(502),
    [anon_sym_AMPraw_output] = ACTIONS(502),
    [anon_sym_AMPredef] = ACTIONS(502),
    [anon_sym_AMPadd_func] = ACTIONS(502),
    [anon_sym_AMPbackend] = ACTIONS(502),
    [anon_sym_AMPbroker_store] = ACTIONS(502),
    [anon_sym_AMPcreate_expire] = ACTIONS(502),
    [anon_sym_AMPdefault] = ACTIONS(502),
    [anon_sym_AMPdelete_func] = ACTIONS(502),
    [anon_sym_AMPexpire_func] = ACTIONS(502),
    [anon_sym_AMPgroup] = ACTIONS(502),
    [anon_sym_AMPon_change] = ACTIONS(502),
    [anon_sym_AMPpriority] = ACTIONS(502),
    [anon_sym_AMPread_expire] = ACTIONS(502),
    [anon_sym_AMPtype_column] = ACTIONS(502),
    [anon_sym_AMPwrite_expire] = ACTIONS(502),
    [anon_sym_DOLLAR] = ACTIONS(502),
    [anon_sym_PIPE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_DASH] = ACTIONS(504),
    [anon_sym_PLUS] = ACTIONS(504),
    [anon_sym_is] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_SLASH] = ACTIONS(502),
    [anon_sym_PERCENT] = ACTIONS(502),
    [anon_sym_LT] = ACTIONS(504),
    [anon_sym_LT_EQ] = ACTIONS(502),
    [anon_sym_GT] = ACTIONS(504),
    [anon_sym_GT_EQ] = ACTIONS(502),
    [anon_sym_AMP] = ACTIONS(504),
    [anon_sym_CARET] = ACTIONS(502),
    [anon_sym_QMARK] = ACTIONS(504),
    [anon_sym_EQ_EQ] = ACTIONS(502),
    [anon_sym_BANG_EQ] = ACTIONS(502),
    [anon_sym_AMP_AMP] = ACTIONS(502),
    [anon_sym_PIPE_PIPE] = ACTIONS(502),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(502),
    [anon_sym_ATdeprecated] = ACTIONS(502),
    [anon_sym_ATload] = ACTIONS(504),
    [anon_sym_ATload_DASHsigs] = ACTIONS(502),
    [anon_sym_ATload_DASHplugin] = ACTIONS(502),
    [anon_sym_ATunload] = ACTIONS(502),
    [anon_sym_ATprefixes] = ACTIONS(502),
    [anon_sym_ATif] = ACTIONS(504),
    [anon_sym_ATifdef] = ACTIONS(502),
    [anon_sym_ATifndef] = ACTIONS(502),
    [anon_sym_ATendif] = ACTIONS(502),
    [anon_sym_ATelse] = ACTIONS(502),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(1436),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_global] = ACTIONS(1438),
    [anon_sym_option] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_redef] = ACTIONS(1438),
    [anon_sym_record] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_print] = ACTIONS(1438),
    [anon_sym_event] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_next] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_fallthrough] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_add] = ACTIONS(1438),
    [anon_sym_delete] = ACTIONS(1438),
    [anon_sym_local] = ACTIONS(1438),
    [anon_sym_when] = ACTIONS(1438),
    [anon_sym_assert] = ACTIONS(1438),
    [anon_sym_table] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_vector] = ACTIONS(1438),
    [anon_sym_function] = ACTIONS(1438),
    [anon_sym_hook] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_copy] = ACTIONS(1438),
    [anon_sym_schedule] = ACTIONS(1438),
    [aux_sym_constant_token1] = ACTIONS(1438),
    [anon_sym_T] = ACTIONS(1438),
    [anon_sym_F] = ACTIONS(1438),
    [anon_sym_ATdeprecated] = ACTIONS(1436),
    [anon_sym_ATload] = ACTIONS(1438),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1436),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1436),
    [anon_sym_ATunload] = ACTIONS(1436),
    [anon_sym_ATprefixes] = ACTIONS(1436),
    [anon_sym_ATif] = ACTIONS(1438),
    [anon_sym_ATifdef] = ACTIONS(1436),
    [anon_sym_ATifndef] = ACTIONS(1436),
    [anon_sym_ATendif] = ACTIONS(1436),
    [anon_sym_ATelse] = ACTIONS(1436),
    [anon_sym_ATDIR] = ACTIONS(1436),
    [anon_sym_ATFILENAME] = ACTIONS(1436),
    [sym_id] = ACTIONS(1438),
    [sym_pattern] = ACTIONS(1436),
    [sym_ipv6] = ACTIONS(1438),
    [sym_ipv4] = ACTIONS(1438),
    [sym_port] = ACTIONS(1436),
    [sym_floatp] = ACTIONS(1438),
    [sym_hex] = ACTIONS(1438),
    [sym_hostname] = ACTIONS(1438),
    [aux_sym_string_token1] = ACTIONS(1436),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [296] = {
    [anon_sym_SEMI] = ACTIONS(512),
    [anon_sym_LBRACE] = ACTIONS(512),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_COLON] = ACTIONS(512),
    [anon_sym_PLUS_EQ] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(512),
    [anon_sym_RPAREN] = ACTIONS(512),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_in] = ACTIONS(512),
    [anon_sym_LBRACK] = ACTIONS(512),
    [anon_sym_RBRACK] = ACTIONS(512),
    [anon_sym_EQ] = ACTIONS(514),
    [anon_sym_as] = ACTIONS(512),
    [anon_sym_AMPdeprecated] = ACTIONS(512),
    [anon_sym_DASH_EQ] = ACTIONS(512),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(512),
    [anon_sym_AMPerror_handler] = ACTIONS(512),
    [anon_sym_AMPis_assigned] = ACTIONS(512),
    [anon_sym_AMPis_used] = ACTIONS(512),
    [anon_sym_AMPlog] = ACTIONS(512),
    [anon_sym_AMPoptional] = ACTIONS(512),
    [anon_sym_AMPraw_output] = ACTIONS(512),
    [anon_sym_AMPredef] = ACTIONS(512),
    [anon_sym_AMPadd_func] = ACTIONS(512),
    [anon_sym_AMPbackend] = ACTIONS(512),
    [anon_sym_AMPbroker_store] = ACTIONS(512),
    [anon_sym_AMPcreate_expire] = ACTIONS(512),
    [anon_sym_AMPdefault] = ACTIONS(512),
    [anon_sym_AMPdelete_func] = ACTIONS(512),
    [anon_sym_AMPexpire_func] = ACTIONS(512),
    [anon_sym_AMPgroup] = ACTIONS(512),
    [anon_sym_AMPon_change] = ACTIONS(512),
    [anon_sym_AMPpriority] = ACTIONS(512),
    [anon_sym_AMPread_expire] = ACTIONS(512),
    [anon_sym_AMPtype_column] = ACTIONS(512),
    [anon_sym_AMPwrite_expire] = ACTIONS(512),
    [anon_sym_DOLLAR] = ACTIONS(512),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_BANG] = ACTIONS(514),
    [anon_sym_DASH] = ACTIONS(514),
    [anon_sym_PLUS] = ACTIONS(514),
    [anon_sym_is] = ACTIONS(512),
    [anon_sym_STAR] = ACTIONS(512),
    [anon_sym_SLASH] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(512),
    [anon_sym_LT] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(512),
    [anon_sym_GT] = ACTIONS(514),
    [anon_sym_GT_EQ] = ACTIONS(512),
    [anon_sym_AMP] = ACTIONS(514),
    [anon_sym_CARET] = ACTIONS(512),
    [anon_sym_QMARK] = ACTIONS(514),
    [anon_sym_EQ_EQ] = ACTIONS(512),
    [anon_sym_BANG_EQ] = ACTIONS(512),
    [anon_sym_AMP_AMP] = ACTIONS(512),
    [anon_sym_PIPE_PIPE] = ACTIONS(512),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(512),
    [anon_sym_ATdeprecated] = ACTIONS(512),
    [anon_sym_ATload] = ACTIONS(514),
    [anon_sym_ATload_DASHsigs] = ACTIONS(512),
    [anon_sym_ATload_DASHplugin] = ACTIONS(512),
    [anon_sym_ATunload] = ACTIONS(512),
    [anon_sym_ATprefixes] = ACTIONS(512),
    [anon_sym_ATif] = ACTIONS(514),
    [anon_sym_ATifdef] = ACTIONS(512),
    [anon_sym_ATifndef] = ACTIONS(512),
    [anon_sym_ATendif] = ACTIONS(512),
    [anon_sym_ATelse] = ACTIONS(512),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [297] = {
    [anon_sym_SEMI] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_COLON] = ACTIONS(522),
    [anon_sym_PLUS_EQ] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_RPAREN] = ACTIONS(522),
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_in] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_RBRACK] = ACTIONS(522),
    [anon_sym_EQ] = ACTIONS(524),
    [anon_sym_as] = ACTIONS(522),
    [anon_sym_AMPdeprecated] = ACTIONS(522),
    [anon_sym_DASH_EQ] = ACTIONS(522),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(522),
    [anon_sym_AMPerror_handler] = ACTIONS(522),
    [anon_sym_AMPis_assigned] = ACTIONS(522),
    [anon_sym_AMPis_used] = ACTIONS(522),
    [anon_sym_AMPlog] = ACTIONS(522),
    [anon_sym_AMPoptional] = ACTIONS(522),
    [anon_sym_AMPraw_output] = ACTIONS(522),
    [anon_sym_AMPredef] = ACTIONS(522),
    [anon_sym_AMPadd_func] = ACTIONS(522),
    [anon_sym_AMPbackend] = ACTIONS(522),
    [anon_sym_AMPbroker_store] = ACTIONS(522),
    [anon_sym_AMPcreate_expire] = ACTIONS(522),
    [anon_sym_AMPdefault] = ACTIONS(522),
    [anon_sym_AMPdelete_func] = ACTIONS(522),
    [anon_sym_AMPexpire_func] = ACTIONS(522),
    [anon_sym_AMPgroup] = ACTIONS(522),
    [anon_sym_AMPon_change] = ACTIONS(522),
    [anon_sym_AMPpriority] = ACTIONS(522),
    [anon_sym_AMPread_expire] = ACTIONS(522),
    [anon_sym_AMPtype_column] = ACTIONS(522),
    [anon_sym_AMPwrite_expire] = ACTIONS(522),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_PIPE] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_is] = ACTIONS(522),
    [anon_sym_STAR] = ACTIONS(522),
    [anon_sym_SLASH] = ACTIONS(522),
    [anon_sym_PERCENT] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(522),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_GT_EQ] = ACTIONS(522),
    [anon_sym_AMP] = ACTIONS(524),
    [anon_sym_CARET] = ACTIONS(522),
    [anon_sym_QMARK] = ACTIONS(524),
    [anon_sym_EQ_EQ] = ACTIONS(522),
    [anon_sym_BANG_EQ] = ACTIONS(522),
    [anon_sym_AMP_AMP] = ACTIONS(522),
    [anon_sym_PIPE_PIPE] = ACTIONS(522),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(522),
    [anon_sym_ATdeprecated] = ACTIONS(522),
    [anon_sym_ATload] = ACTIONS(524),
    [anon_sym_ATload_DASHsigs] = ACTIONS(522),
    [anon_sym_ATload_DASHplugin] = ACTIONS(522),
    [anon_sym_ATunload] = ACTIONS(522),
    [anon_sym_ATprefixes] = ACTIONS(522),
    [anon_sym_ATif] = ACTIONS(524),
    [anon_sym_ATifdef] = ACTIONS(522),
    [anon_sym_ATifndef] = ACTIONS(522),
    [anon_sym_ATendif] = ACTIONS(522),
    [anon_sym_ATelse] = ACTIONS(522),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(1440),
    [anon_sym_module] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_global] = ACTIONS(1442),
    [anon_sym_option] = ACTIONS(1442),
    [anon_sym_const] = ACTIONS(1442),
    [anon_sym_redef] = ACTIONS(1442),
    [anon_sym_record] = ACTIONS(1442),
    [anon_sym_type] = ACTIONS(1442),
    [anon_sym_print] = ACTIONS(1442),
    [anon_sym_event] = ACTIONS(1442),
    [anon_sym_if] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1442),
    [anon_sym_for] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1442),
    [anon_sym_next] = ACTIONS(1442),
    [anon_sym_break] = ACTIONS(1442),
    [anon_sym_fallthrough] = ACTIONS(1442),
    [anon_sym_return] = ACTIONS(1442),
    [anon_sym_add] = ACTIONS(1442),
    [anon_sym_delete] = ACTIONS(1442),
    [anon_sym_local] = ACTIONS(1442),
    [anon_sym_when] = ACTIONS(1442),
    [anon_sym_assert] = ACTIONS(1442),
    [anon_sym_table] = ACTIONS(1442),
    [anon_sym_set] = ACTIONS(1442),
    [anon_sym_vector] = ACTIONS(1442),
    [anon_sym_function] = ACTIONS(1442),
    [anon_sym_hook] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [anon_sym_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_copy] = ACTIONS(1442),
    [anon_sym_schedule] = ACTIONS(1442),
    [aux_sym_constant_token1] = ACTIONS(1442),
    [anon_sym_T] = ACTIONS(1442),
    [anon_sym_F] = ACTIONS(1442),
    [anon_sym_ATdeprecated] = ACTIONS(1440),
    [anon_sym_ATload] = ACTIONS(1442),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1440),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1440),
    [anon_sym_ATunload] = ACTIONS(1440),
    [anon_sym_ATprefixes] = ACTIONS(1440),
    [anon_sym_ATif] = ACTIONS(1442),
    [anon_sym_ATifdef] = ACTIONS(1440),
    [anon_sym_ATifndef] = ACTIONS(1440),
    [anon_sym_ATendif] = ACTIONS(1440),
    [anon_sym_ATelse] = ACTIONS(1440),
    [anon_sym_ATDIR] = ACTIONS(1440),
    [anon_sym_ATFILENAME] = ACTIONS(1440),
    [sym_id] = ACTIONS(1442),
    [sym_pattern] = ACTIONS(1440),
    [sym_ipv6] = ACTIONS(1442),
    [sym_ipv4] = ACTIONS(1442),
    [sym_port] = ACTIONS(1440),
    [sym_floatp] = ACTIONS(1442),
    [sym_hex] = ACTIONS(1442),
    [sym_hostname] = ACTIONS(1442),
    [aux_sym_string_token1] = ACTIONS(1440),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(1444),
    [anon_sym_module] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym_export] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_global] = ACTIONS(1446),
    [anon_sym_option] = ACTIONS(1446),
    [anon_sym_const] = ACTIONS(1446),
    [anon_sym_redef] = ACTIONS(1446),
    [anon_sym_record] = ACTIONS(1446),
    [anon_sym_type] = ACTIONS(1446),
    [anon_sym_print] = ACTIONS(1446),
    [anon_sym_event] = ACTIONS(1446),
    [anon_sym_if] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1446),
    [anon_sym_for] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1446),
    [anon_sym_next] = ACTIONS(1446),
    [anon_sym_break] = ACTIONS(1446),
    [anon_sym_fallthrough] = ACTIONS(1446),
    [anon_sym_return] = ACTIONS(1446),
    [anon_sym_add] = ACTIONS(1446),
    [anon_sym_delete] = ACTIONS(1446),
    [anon_sym_local] = ACTIONS(1446),
    [anon_sym_when] = ACTIONS(1446),
    [anon_sym_assert] = ACTIONS(1446),
    [anon_sym_table] = ACTIONS(1446),
    [anon_sym_set] = ACTIONS(1446),
    [anon_sym_vector] = ACTIONS(1446),
    [anon_sym_function] = ACTIONS(1446),
    [anon_sym_hook] = ACTIONS(1446),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_PIPE] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_copy] = ACTIONS(1446),
    [anon_sym_schedule] = ACTIONS(1446),
    [aux_sym_constant_token1] = ACTIONS(1446),
    [anon_sym_T] = ACTIONS(1446),
    [anon_sym_F] = ACTIONS(1446),
    [anon_sym_ATdeprecated] = ACTIONS(1444),
    [anon_sym_ATload] = ACTIONS(1446),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1444),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1444),
    [anon_sym_ATunload] = ACTIONS(1444),
    [anon_sym_ATprefixes] = ACTIONS(1444),
    [anon_sym_ATif] = ACTIONS(1446),
    [anon_sym_ATifdef] = ACTIONS(1444),
    [anon_sym_ATifndef] = ACTIONS(1444),
    [anon_sym_ATendif] = ACTIONS(1444),
    [anon_sym_ATelse] = ACTIONS(1444),
    [anon_sym_ATDIR] = ACTIONS(1444),
    [anon_sym_ATFILENAME] = ACTIONS(1444),
    [sym_id] = ACTIONS(1446),
    [sym_pattern] = ACTIONS(1444),
    [sym_ipv6] = ACTIONS(1446),
    [sym_ipv4] = ACTIONS(1446),
    [sym_port] = ACTIONS(1444),
    [sym_floatp] = ACTIONS(1446),
    [sym_hex] = ACTIONS(1446),
    [sym_hostname] = ACTIONS(1446),
    [aux_sym_string_token1] = ACTIONS(1444),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [300] = {
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [anon_sym_COLON] = ACTIONS(1448),
    [anon_sym_PLUS_EQ] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_RPAREN] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_in] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_RBRACK] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1450),
    [anon_sym_as] = ACTIONS(1448),
    [anon_sym_AMPdeprecated] = ACTIONS(1448),
    [anon_sym_DASH_EQ] = ACTIONS(1448),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1448),
    [anon_sym_AMPerror_handler] = ACTIONS(1448),
    [anon_sym_AMPis_assigned] = ACTIONS(1448),
    [anon_sym_AMPis_used] = ACTIONS(1448),
    [anon_sym_AMPlog] = ACTIONS(1448),
    [anon_sym_AMPoptional] = ACTIONS(1448),
    [anon_sym_AMPraw_output] = ACTIONS(1448),
    [anon_sym_AMPredef] = ACTIONS(1448),
    [anon_sym_AMPadd_func] = ACTIONS(1448),
    [anon_sym_AMPbackend] = ACTIONS(1448),
    [anon_sym_AMPbroker_store] = ACTIONS(1448),
    [anon_sym_AMPcreate_expire] = ACTIONS(1448),
    [anon_sym_AMPdefault] = ACTIONS(1448),
    [anon_sym_AMPdelete_func] = ACTIONS(1448),
    [anon_sym_AMPexpire_func] = ACTIONS(1448),
    [anon_sym_AMPgroup] = ACTIONS(1448),
    [anon_sym_AMPon_change] = ACTIONS(1448),
    [anon_sym_AMPpriority] = ACTIONS(1448),
    [anon_sym_AMPread_expire] = ACTIONS(1448),
    [anon_sym_AMPtype_column] = ACTIONS(1448),
    [anon_sym_AMPwrite_expire] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [anon_sym_PIPE] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_is] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PERCENT] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1448),
    [anon_sym_QMARK] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1448),
    [anon_sym_BANG_EQ] = ACTIONS(1448),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1448),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1448),
    [anon_sym_ATdeprecated] = ACTIONS(1448),
    [anon_sym_ATload] = ACTIONS(1450),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1448),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1448),
    [anon_sym_ATunload] = ACTIONS(1448),
    [anon_sym_ATprefixes] = ACTIONS(1448),
    [anon_sym_ATif] = ACTIONS(1450),
    [anon_sym_ATifdef] = ACTIONS(1448),
    [anon_sym_ATifndef] = ACTIONS(1448),
    [anon_sym_ATendif] = ACTIONS(1448),
    [anon_sym_ATelse] = ACTIONS(1448),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [301] = {
    [ts_builtin_sym_end] = ACTIONS(1452),
    [anon_sym_module] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1452),
    [anon_sym_export] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_global] = ACTIONS(1454),
    [anon_sym_option] = ACTIONS(1454),
    [anon_sym_const] = ACTIONS(1454),
    [anon_sym_redef] = ACTIONS(1454),
    [anon_sym_record] = ACTIONS(1454),
    [anon_sym_type] = ACTIONS(1454),
    [anon_sym_print] = ACTIONS(1454),
    [anon_sym_event] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1454),
    [anon_sym_for] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1454),
    [anon_sym_next] = ACTIONS(1454),
    [anon_sym_break] = ACTIONS(1454),
    [anon_sym_fallthrough] = ACTIONS(1454),
    [anon_sym_return] = ACTIONS(1454),
    [anon_sym_add] = ACTIONS(1454),
    [anon_sym_delete] = ACTIONS(1454),
    [anon_sym_local] = ACTIONS(1454),
    [anon_sym_when] = ACTIONS(1454),
    [anon_sym_assert] = ACTIONS(1454),
    [anon_sym_table] = ACTIONS(1454),
    [anon_sym_set] = ACTIONS(1454),
    [anon_sym_vector] = ACTIONS(1454),
    [anon_sym_function] = ACTIONS(1454),
    [anon_sym_hook] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_copy] = ACTIONS(1454),
    [anon_sym_schedule] = ACTIONS(1454),
    [aux_sym_constant_token1] = ACTIONS(1454),
    [anon_sym_T] = ACTIONS(1454),
    [anon_sym_F] = ACTIONS(1454),
    [anon_sym_ATdeprecated] = ACTIONS(1452),
    [anon_sym_ATload] = ACTIONS(1454),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1452),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1452),
    [anon_sym_ATunload] = ACTIONS(1452),
    [anon_sym_ATprefixes] = ACTIONS(1452),
    [anon_sym_ATif] = ACTIONS(1454),
    [anon_sym_ATifdef] = ACTIONS(1452),
    [anon_sym_ATifndef] = ACTIONS(1452),
    [anon_sym_ATendif] = ACTIONS(1452),
    [anon_sym_ATelse] = ACTIONS(1452),
    [anon_sym_ATDIR] = ACTIONS(1452),
    [anon_sym_ATFILENAME] = ACTIONS(1452),
    [sym_id] = ACTIONS(1454),
    [sym_pattern] = ACTIONS(1452),
    [sym_ipv6] = ACTIONS(1454),
    [sym_ipv4] = ACTIONS(1454),
    [sym_port] = ACTIONS(1452),
    [sym_floatp] = ACTIONS(1454),
    [sym_hex] = ACTIONS(1454),
    [sym_hostname] = ACTIONS(1454),
    [aux_sym_string_token1] = ACTIONS(1452),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [302] = {
    [ts_builtin_sym_end] = ACTIONS(1456),
    [anon_sym_module] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_global] = ACTIONS(1458),
    [anon_sym_option] = ACTIONS(1458),
    [anon_sym_const] = ACTIONS(1458),
    [anon_sym_redef] = ACTIONS(1458),
    [anon_sym_record] = ACTIONS(1458),
    [anon_sym_type] = ACTIONS(1458),
    [anon_sym_print] = ACTIONS(1458),
    [anon_sym_event] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_next] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_fallthrough] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_add] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_local] = ACTIONS(1458),
    [anon_sym_when] = ACTIONS(1458),
    [anon_sym_assert] = ACTIONS(1458),
    [anon_sym_table] = ACTIONS(1458),
    [anon_sym_set] = ACTIONS(1458),
    [anon_sym_vector] = ACTIONS(1458),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_hook] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_copy] = ACTIONS(1458),
    [anon_sym_schedule] = ACTIONS(1458),
    [aux_sym_constant_token1] = ACTIONS(1458),
    [anon_sym_T] = ACTIONS(1458),
    [anon_sym_F] = ACTIONS(1458),
    [anon_sym_ATdeprecated] = ACTIONS(1456),
    [anon_sym_ATload] = ACTIONS(1458),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1456),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1456),
    [anon_sym_ATunload] = ACTIONS(1456),
    [anon_sym_ATprefixes] = ACTIONS(1456),
    [anon_sym_ATif] = ACTIONS(1458),
    [anon_sym_ATifdef] = ACTIONS(1456),
    [anon_sym_ATifndef] = ACTIONS(1456),
    [anon_sym_ATendif] = ACTIONS(1456),
    [anon_sym_ATelse] = ACTIONS(1456),
    [anon_sym_ATDIR] = ACTIONS(1456),
    [anon_sym_ATFILENAME] = ACTIONS(1456),
    [sym_id] = ACTIONS(1458),
    [sym_pattern] = ACTIONS(1456),
    [sym_ipv6] = ACTIONS(1458),
    [sym_ipv4] = ACTIONS(1458),
    [sym_port] = ACTIONS(1456),
    [sym_floatp] = ACTIONS(1458),
    [sym_hex] = ACTIONS(1458),
    [sym_hostname] = ACTIONS(1458),
    [aux_sym_string_token1] = ACTIONS(1456),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [303] = {
    [ts_builtin_sym_end] = ACTIONS(1460),
    [anon_sym_module] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym_export] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_global] = ACTIONS(1462),
    [anon_sym_option] = ACTIONS(1462),
    [anon_sym_const] = ACTIONS(1462),
    [anon_sym_redef] = ACTIONS(1462),
    [anon_sym_record] = ACTIONS(1462),
    [anon_sym_type] = ACTIONS(1462),
    [anon_sym_print] = ACTIONS(1462),
    [anon_sym_event] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_next] = ACTIONS(1462),
    [anon_sym_break] = ACTIONS(1462),
    [anon_sym_fallthrough] = ACTIONS(1462),
    [anon_sym_return] = ACTIONS(1462),
    [anon_sym_add] = ACTIONS(1462),
    [anon_sym_delete] = ACTIONS(1462),
    [anon_sym_local] = ACTIONS(1462),
    [anon_sym_when] = ACTIONS(1462),
    [anon_sym_assert] = ACTIONS(1462),
    [anon_sym_table] = ACTIONS(1462),
    [anon_sym_set] = ACTIONS(1462),
    [anon_sym_vector] = ACTIONS(1462),
    [anon_sym_function] = ACTIONS(1462),
    [anon_sym_hook] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_copy] = ACTIONS(1462),
    [anon_sym_schedule] = ACTIONS(1462),
    [aux_sym_constant_token1] = ACTIONS(1462),
    [anon_sym_T] = ACTIONS(1462),
    [anon_sym_F] = ACTIONS(1462),
    [anon_sym_ATdeprecated] = ACTIONS(1460),
    [anon_sym_ATload] = ACTIONS(1462),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1460),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1460),
    [anon_sym_ATunload] = ACTIONS(1460),
    [anon_sym_ATprefixes] = ACTIONS(1460),
    [anon_sym_ATif] = ACTIONS(1462),
    [anon_sym_ATifdef] = ACTIONS(1460),
    [anon_sym_ATifndef] = ACTIONS(1460),
    [anon_sym_ATendif] = ACTIONS(1460),
    [anon_sym_ATelse] = ACTIONS(1460),
    [anon_sym_ATDIR] = ACTIONS(1460),
    [anon_sym_ATFILENAME] = ACTIONS(1460),
    [sym_id] = ACTIONS(1462),
    [sym_pattern] = ACTIONS(1460),
    [sym_ipv6] = ACTIONS(1462),
    [sym_ipv4] = ACTIONS(1462),
    [sym_port] = ACTIONS(1460),
    [sym_floatp] = ACTIONS(1462),
    [sym_hex] = ACTIONS(1462),
    [sym_hostname] = ACTIONS(1462),
    [aux_sym_string_token1] = ACTIONS(1460),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [304] = {
    [ts_builtin_sym_end] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_global] = ACTIONS(1466),
    [anon_sym_option] = ACTIONS(1466),
    [anon_sym_const] = ACTIONS(1466),
    [anon_sym_redef] = ACTIONS(1466),
    [anon_sym_record] = ACTIONS(1466),
    [anon_sym_type] = ACTIONS(1466),
    [anon_sym_print] = ACTIONS(1466),
    [anon_sym_event] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_next] = ACTIONS(1466),
    [anon_sym_break] = ACTIONS(1466),
    [anon_sym_fallthrough] = ACTIONS(1466),
    [anon_sym_return] = ACTIONS(1466),
    [anon_sym_add] = ACTIONS(1466),
    [anon_sym_delete] = ACTIONS(1466),
    [anon_sym_local] = ACTIONS(1466),
    [anon_sym_when] = ACTIONS(1466),
    [anon_sym_assert] = ACTIONS(1466),
    [anon_sym_table] = ACTIONS(1466),
    [anon_sym_set] = ACTIONS(1466),
    [anon_sym_vector] = ACTIONS(1466),
    [anon_sym_function] = ACTIONS(1466),
    [anon_sym_hook] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_copy] = ACTIONS(1466),
    [anon_sym_schedule] = ACTIONS(1466),
    [aux_sym_constant_token1] = ACTIONS(1466),
    [anon_sym_T] = ACTIONS(1466),
    [anon_sym_F] = ACTIONS(1466),
    [anon_sym_ATdeprecated] = ACTIONS(1464),
    [anon_sym_ATload] = ACTIONS(1466),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1464),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1464),
    [anon_sym_ATunload] = ACTIONS(1464),
    [anon_sym_ATprefixes] = ACTIONS(1464),
    [anon_sym_ATif] = ACTIONS(1466),
    [anon_sym_ATifdef] = ACTIONS(1464),
    [anon_sym_ATifndef] = ACTIONS(1464),
    [anon_sym_ATendif] = ACTIONS(1464),
    [anon_sym_ATelse] = ACTIONS(1464),
    [anon_sym_ATDIR] = ACTIONS(1464),
    [anon_sym_ATFILENAME] = ACTIONS(1464),
    [sym_id] = ACTIONS(1466),
    [sym_pattern] = ACTIONS(1464),
    [sym_ipv6] = ACTIONS(1466),
    [sym_ipv4] = ACTIONS(1466),
    [sym_port] = ACTIONS(1464),
    [sym_floatp] = ACTIONS(1466),
    [sym_hex] = ACTIONS(1466),
    [sym_hostname] = ACTIONS(1466),
    [aux_sym_string_token1] = ACTIONS(1464),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [305] = {
    [anon_sym_SEMI] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(532),
    [anon_sym_RBRACE] = ACTIONS(532),
    [anon_sym_COLON] = ACTIONS(532),
    [anon_sym_PLUS_EQ] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_RPAREN] = ACTIONS(532),
    [anon_sym_COMMA] = ACTIONS(532),
    [anon_sym_in] = ACTIONS(532),
    [anon_sym_LBRACK] = ACTIONS(532),
    [anon_sym_RBRACK] = ACTIONS(532),
    [anon_sym_EQ] = ACTIONS(534),
    [anon_sym_as] = ACTIONS(532),
    [anon_sym_AMPdeprecated] = ACTIONS(532),
    [anon_sym_DASH_EQ] = ACTIONS(532),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(532),
    [anon_sym_AMPerror_handler] = ACTIONS(532),
    [anon_sym_AMPis_assigned] = ACTIONS(532),
    [anon_sym_AMPis_used] = ACTIONS(532),
    [anon_sym_AMPlog] = ACTIONS(532),
    [anon_sym_AMPoptional] = ACTIONS(532),
    [anon_sym_AMPraw_output] = ACTIONS(532),
    [anon_sym_AMPredef] = ACTIONS(532),
    [anon_sym_AMPadd_func] = ACTIONS(532),
    [anon_sym_AMPbackend] = ACTIONS(532),
    [anon_sym_AMPbroker_store] = ACTIONS(532),
    [anon_sym_AMPcreate_expire] = ACTIONS(532),
    [anon_sym_AMPdefault] = ACTIONS(532),
    [anon_sym_AMPdelete_func] = ACTIONS(532),
    [anon_sym_AMPexpire_func] = ACTIONS(532),
    [anon_sym_AMPgroup] = ACTIONS(532),
    [anon_sym_AMPon_change] = ACTIONS(532),
    [anon_sym_AMPpriority] = ACTIONS(532),
    [anon_sym_AMPread_expire] = ACTIONS(532),
    [anon_sym_AMPtype_column] = ACTIONS(532),
    [anon_sym_AMPwrite_expire] = ACTIONS(532),
    [anon_sym_DOLLAR] = ACTIONS(532),
    [anon_sym_PIPE] = ACTIONS(534),
    [anon_sym_BANG] = ACTIONS(534),
    [anon_sym_DASH] = ACTIONS(534),
    [anon_sym_PLUS] = ACTIONS(534),
    [anon_sym_is] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_PERCENT] = ACTIONS(532),
    [anon_sym_LT] = ACTIONS(534),
    [anon_sym_LT_EQ] = ACTIONS(532),
    [anon_sym_GT] = ACTIONS(534),
    [anon_sym_GT_EQ] = ACTIONS(532),
    [anon_sym_AMP] = ACTIONS(534),
    [anon_sym_CARET] = ACTIONS(532),
    [anon_sym_QMARK] = ACTIONS(534),
    [anon_sym_EQ_EQ] = ACTIONS(532),
    [anon_sym_BANG_EQ] = ACTIONS(532),
    [anon_sym_AMP_AMP] = ACTIONS(532),
    [anon_sym_PIPE_PIPE] = ACTIONS(532),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(532),
    [anon_sym_ATdeprecated] = ACTIONS(532),
    [anon_sym_ATload] = ACTIONS(534),
    [anon_sym_ATload_DASHsigs] = ACTIONS(532),
    [anon_sym_ATload_DASHplugin] = ACTIONS(532),
    [anon_sym_ATunload] = ACTIONS(532),
    [anon_sym_ATprefixes] = ACTIONS(532),
    [anon_sym_ATif] = ACTIONS(534),
    [anon_sym_ATifdef] = ACTIONS(532),
    [anon_sym_ATifndef] = ACTIONS(532),
    [anon_sym_ATendif] = ACTIONS(532),
    [anon_sym_ATelse] = ACTIONS(532),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [306] = {
    [anon_sym_SEMI] = ACTIONS(480),
    [anon_sym_LBRACE] = ACTIONS(480),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_COLON] = ACTIONS(480),
    [anon_sym_PLUS_EQ] = ACTIONS(480),
    [anon_sym_LPAREN] = ACTIONS(480),
    [anon_sym_RPAREN] = ACTIONS(480),
    [anon_sym_COMMA] = ACTIONS(480),
    [anon_sym_in] = ACTIONS(480),
    [anon_sym_LBRACK] = ACTIONS(480),
    [anon_sym_RBRACK] = ACTIONS(480),
    [anon_sym_EQ] = ACTIONS(482),
    [anon_sym_as] = ACTIONS(480),
    [anon_sym_AMPdeprecated] = ACTIONS(480),
    [anon_sym_DASH_EQ] = ACTIONS(480),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(480),
    [anon_sym_AMPerror_handler] = ACTIONS(480),
    [anon_sym_AMPis_assigned] = ACTIONS(480),
    [anon_sym_AMPis_used] = ACTIONS(480),
    [anon_sym_AMPlog] = ACTIONS(480),
    [anon_sym_AMPoptional] = ACTIONS(480),
    [anon_sym_AMPraw_output] = ACTIONS(480),
    [anon_sym_AMPredef] = ACTIONS(480),
    [anon_sym_AMPadd_func] = ACTIONS(480),
    [anon_sym_AMPbackend] = ACTIONS(480),
    [anon_sym_AMPbroker_store] = ACTIONS(480),
    [anon_sym_AMPcreate_expire] = ACTIONS(480),
    [anon_sym_AMPdefault] = ACTIONS(480),
    [anon_sym_AMPdelete_func] = ACTIONS(480),
    [anon_sym_AMPexpire_func] = ACTIONS(480),
    [anon_sym_AMPgroup] = ACTIONS(480),
    [anon_sym_AMPon_change] = ACTIONS(480),
    [anon_sym_AMPpriority] = ACTIONS(480),
    [anon_sym_AMPread_expire] = ACTIONS(480),
    [anon_sym_AMPtype_column] = ACTIONS(480),
    [anon_sym_AMPwrite_expire] = ACTIONS(480),
    [anon_sym_DOLLAR] = ACTIONS(480),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_BANG] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_is] = ACTIONS(480),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(482),
    [anon_sym_LT_EQ] = ACTIONS(480),
    [anon_sym_GT] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(480),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(480),
    [anon_sym_QMARK] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(480),
    [anon_sym_BANG_EQ] = ACTIONS(480),
    [anon_sym_AMP_AMP] = ACTIONS(480),
    [anon_sym_PIPE_PIPE] = ACTIONS(480),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(480),
    [anon_sym_ATdeprecated] = ACTIONS(480),
    [anon_sym_ATload] = ACTIONS(482),
    [anon_sym_ATload_DASHsigs] = ACTIONS(480),
    [anon_sym_ATload_DASHplugin] = ACTIONS(480),
    [anon_sym_ATunload] = ACTIONS(480),
    [anon_sym_ATprefixes] = ACTIONS(480),
    [anon_sym_ATif] = ACTIONS(482),
    [anon_sym_ATifdef] = ACTIONS(480),
    [anon_sym_ATifndef] = ACTIONS(480),
    [anon_sym_ATendif] = ACTIONS(480),
    [anon_sym_ATelse] = ACTIONS(480),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [anon_sym_module] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_global] = ACTIONS(1432),
    [anon_sym_option] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_redef] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_type] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [308] = {
    [anon_sym_SEMI] = ACTIONS(542),
    [anon_sym_LBRACE] = ACTIONS(542),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_COLON] = ACTIONS(542),
    [anon_sym_PLUS_EQ] = ACTIONS(542),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_RPAREN] = ACTIONS(542),
    [anon_sym_COMMA] = ACTIONS(542),
    [anon_sym_in] = ACTIONS(542),
    [anon_sym_LBRACK] = ACTIONS(542),
    [anon_sym_RBRACK] = ACTIONS(542),
    [anon_sym_EQ] = ACTIONS(544),
    [anon_sym_as] = ACTIONS(542),
    [anon_sym_AMPdeprecated] = ACTIONS(542),
    [anon_sym_DASH_EQ] = ACTIONS(542),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(542),
    [anon_sym_AMPerror_handler] = ACTIONS(542),
    [anon_sym_AMPis_assigned] = ACTIONS(542),
    [anon_sym_AMPis_used] = ACTIONS(542),
    [anon_sym_AMPlog] = ACTIONS(542),
    [anon_sym_AMPoptional] = ACTIONS(542),
    [anon_sym_AMPraw_output] = ACTIONS(542),
    [anon_sym_AMPredef] = ACTIONS(542),
    [anon_sym_AMPadd_func] = ACTIONS(542),
    [anon_sym_AMPbackend] = ACTIONS(542),
    [anon_sym_AMPbroker_store] = ACTIONS(542),
    [anon_sym_AMPcreate_expire] = ACTIONS(542),
    [anon_sym_AMPdefault] = ACTIONS(542),
    [anon_sym_AMPdelete_func] = ACTIONS(542),
    [anon_sym_AMPexpire_func] = ACTIONS(542),
    [anon_sym_AMPgroup] = ACTIONS(542),
    [anon_sym_AMPon_change] = ACTIONS(542),
    [anon_sym_AMPpriority] = ACTIONS(542),
    [anon_sym_AMPread_expire] = ACTIONS(542),
    [anon_sym_AMPtype_column] = ACTIONS(542),
    [anon_sym_AMPwrite_expire] = ACTIONS(542),
    [anon_sym_DOLLAR] = ACTIONS(542),
    [anon_sym_PIPE] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(544),
    [anon_sym_DASH] = ACTIONS(544),
    [anon_sym_PLUS] = ACTIONS(544),
    [anon_sym_is] = ACTIONS(542),
    [anon_sym_STAR] = ACTIONS(542),
    [anon_sym_SLASH] = ACTIONS(542),
    [anon_sym_PERCENT] = ACTIONS(542),
    [anon_sym_LT] = ACTIONS(544),
    [anon_sym_LT_EQ] = ACTIONS(542),
    [anon_sym_GT] = ACTIONS(544),
    [anon_sym_GT_EQ] = ACTIONS(542),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_CARET] = ACTIONS(542),
    [anon_sym_QMARK] = ACTIONS(544),
    [anon_sym_EQ_EQ] = ACTIONS(542),
    [anon_sym_BANG_EQ] = ACTIONS(542),
    [anon_sym_AMP_AMP] = ACTIONS(542),
    [anon_sym_PIPE_PIPE] = ACTIONS(542),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(542),
    [anon_sym_ATdeprecated] = ACTIONS(542),
    [anon_sym_ATload] = ACTIONS(544),
    [anon_sym_ATload_DASHsigs] = ACTIONS(542),
    [anon_sym_ATload_DASHplugin] = ACTIONS(542),
    [anon_sym_ATunload] = ACTIONS(542),
    [anon_sym_ATprefixes] = ACTIONS(542),
    [anon_sym_ATif] = ACTIONS(544),
    [anon_sym_ATifdef] = ACTIONS(542),
    [anon_sym_ATifndef] = ACTIONS(542),
    [anon_sym_ATendif] = ACTIONS(542),
    [anon_sym_ATelse] = ACTIONS(542),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [309] = {
    [anon_sym_SEMI] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_PLUS_EQ] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [anon_sym_RPAREN] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1468),
    [anon_sym_in] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_RBRACK] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_as] = ACTIONS(1468),
    [anon_sym_AMPdeprecated] = ACTIONS(1468),
    [anon_sym_DASH_EQ] = ACTIONS(1468),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1468),
    [anon_sym_AMPerror_handler] = ACTIONS(1468),
    [anon_sym_AMPis_assigned] = ACTIONS(1468),
    [anon_sym_AMPis_used] = ACTIONS(1468),
    [anon_sym_AMPlog] = ACTIONS(1468),
    [anon_sym_AMPoptional] = ACTIONS(1468),
    [anon_sym_AMPraw_output] = ACTIONS(1468),
    [anon_sym_AMPredef] = ACTIONS(1468),
    [anon_sym_AMPadd_func] = ACTIONS(1468),
    [anon_sym_AMPbackend] = ACTIONS(1468),
    [anon_sym_AMPbroker_store] = ACTIONS(1468),
    [anon_sym_AMPcreate_expire] = ACTIONS(1468),
    [anon_sym_AMPdefault] = ACTIONS(1468),
    [anon_sym_AMPdelete_func] = ACTIONS(1468),
    [anon_sym_AMPexpire_func] = ACTIONS(1468),
    [anon_sym_AMPgroup] = ACTIONS(1468),
    [anon_sym_AMPon_change] = ACTIONS(1468),
    [anon_sym_AMPpriority] = ACTIONS(1468),
    [anon_sym_AMPread_expire] = ACTIONS(1468),
    [anon_sym_AMPtype_column] = ACTIONS(1468),
    [anon_sym_AMPwrite_expire] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_is] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PERCENT] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1468),
    [anon_sym_QMARK] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1468),
    [anon_sym_ATdeprecated] = ACTIONS(1468),
    [anon_sym_ATload] = ACTIONS(1470),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1468),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1468),
    [anon_sym_ATunload] = ACTIONS(1468),
    [anon_sym_ATprefixes] = ACTIONS(1468),
    [anon_sym_ATif] = ACTIONS(1470),
    [anon_sym_ATifdef] = ACTIONS(1468),
    [anon_sym_ATifndef] = ACTIONS(1468),
    [anon_sym_ATendif] = ACTIONS(1468),
    [anon_sym_ATelse] = ACTIONS(1468),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [310] = {
    [anon_sym_SEMI] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_PLUS_EQ] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [anon_sym_RPAREN] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1472),
    [anon_sym_in] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_RBRACK] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_as] = ACTIONS(1472),
    [anon_sym_AMPdeprecated] = ACTIONS(1472),
    [anon_sym_DASH_EQ] = ACTIONS(1472),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1472),
    [anon_sym_AMPerror_handler] = ACTIONS(1472),
    [anon_sym_AMPis_assigned] = ACTIONS(1472),
    [anon_sym_AMPis_used] = ACTIONS(1472),
    [anon_sym_AMPlog] = ACTIONS(1472),
    [anon_sym_AMPoptional] = ACTIONS(1472),
    [anon_sym_AMPraw_output] = ACTIONS(1472),
    [anon_sym_AMPredef] = ACTIONS(1472),
    [anon_sym_AMPadd_func] = ACTIONS(1472),
    [anon_sym_AMPbackend] = ACTIONS(1472),
    [anon_sym_AMPbroker_store] = ACTIONS(1472),
    [anon_sym_AMPcreate_expire] = ACTIONS(1472),
    [anon_sym_AMPdefault] = ACTIONS(1472),
    [anon_sym_AMPdelete_func] = ACTIONS(1472),
    [anon_sym_AMPexpire_func] = ACTIONS(1472),
    [anon_sym_AMPgroup] = ACTIONS(1472),
    [anon_sym_AMPon_change] = ACTIONS(1472),
    [anon_sym_AMPpriority] = ACTIONS(1472),
    [anon_sym_AMPread_expire] = ACTIONS(1472),
    [anon_sym_AMPtype_column] = ACTIONS(1472),
    [anon_sym_AMPwrite_expire] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_is] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PERCENT] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_CARET] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1476),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1472),
    [anon_sym_ATdeprecated] = ACTIONS(1472),
    [anon_sym_ATload] = ACTIONS(1476),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1472),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1472),
    [anon_sym_ATunload] = ACTIONS(1472),
    [anon_sym_ATprefixes] = ACTIONS(1472),
    [anon_sym_ATif] = ACTIONS(1476),
    [anon_sym_ATifdef] = ACTIONS(1472),
    [anon_sym_ATifndef] = ACTIONS(1472),
    [anon_sym_ATendif] = ACTIONS(1472),
    [anon_sym_ATelse] = ACTIONS(1472),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [311] = {
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1478),
    [anon_sym_PLUS_EQ] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1478),
    [anon_sym_RPAREN] = ACTIONS(1478),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_in] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_RBRACK] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1480),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_AMPdeprecated] = ACTIONS(1478),
    [anon_sym_DASH_EQ] = ACTIONS(1478),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1478),
    [anon_sym_AMPerror_handler] = ACTIONS(1478),
    [anon_sym_AMPis_assigned] = ACTIONS(1478),
    [anon_sym_AMPis_used] = ACTIONS(1478),
    [anon_sym_AMPlog] = ACTIONS(1478),
    [anon_sym_AMPoptional] = ACTIONS(1478),
    [anon_sym_AMPraw_output] = ACTIONS(1478),
    [anon_sym_AMPredef] = ACTIONS(1478),
    [anon_sym_AMPadd_func] = ACTIONS(1478),
    [anon_sym_AMPbackend] = ACTIONS(1478),
    [anon_sym_AMPbroker_store] = ACTIONS(1478),
    [anon_sym_AMPcreate_expire] = ACTIONS(1478),
    [anon_sym_AMPdefault] = ACTIONS(1478),
    [anon_sym_AMPdelete_func] = ACTIONS(1478),
    [anon_sym_AMPexpire_func] = ACTIONS(1478),
    [anon_sym_AMPgroup] = ACTIONS(1478),
    [anon_sym_AMPon_change] = ACTIONS(1478),
    [anon_sym_AMPpriority] = ACTIONS(1478),
    [anon_sym_AMPread_expire] = ACTIONS(1478),
    [anon_sym_AMPtype_column] = ACTIONS(1478),
    [anon_sym_AMPwrite_expire] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_PERCENT] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1478),
    [anon_sym_ATdeprecated] = ACTIONS(1478),
    [anon_sym_ATload] = ACTIONS(1480),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1478),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1478),
    [anon_sym_ATunload] = ACTIONS(1478),
    [anon_sym_ATprefixes] = ACTIONS(1478),
    [anon_sym_ATif] = ACTIONS(1480),
    [anon_sym_ATifdef] = ACTIONS(1478),
    [anon_sym_ATifndef] = ACTIONS(1478),
    [anon_sym_ATendif] = ACTIONS(1478),
    [anon_sym_ATelse] = ACTIONS(1478),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [312] = {
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_PLUS_EQ] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_RPAREN] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1486),
    [anon_sym_as] = ACTIONS(1482),
    [anon_sym_AMPdeprecated] = ACTIONS(1482),
    [anon_sym_DASH_EQ] = ACTIONS(1482),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1482),
    [anon_sym_AMPerror_handler] = ACTIONS(1482),
    [anon_sym_AMPis_assigned] = ACTIONS(1482),
    [anon_sym_AMPis_used] = ACTIONS(1482),
    [anon_sym_AMPlog] = ACTIONS(1482),
    [anon_sym_AMPoptional] = ACTIONS(1482),
    [anon_sym_AMPraw_output] = ACTIONS(1482),
    [anon_sym_AMPredef] = ACTIONS(1482),
    [anon_sym_AMPadd_func] = ACTIONS(1482),
    [anon_sym_AMPbackend] = ACTIONS(1482),
    [anon_sym_AMPbroker_store] = ACTIONS(1482),
    [anon_sym_AMPcreate_expire] = ACTIONS(1482),
    [anon_sym_AMPdefault] = ACTIONS(1482),
    [anon_sym_AMPdelete_func] = ACTIONS(1482),
    [anon_sym_AMPexpire_func] = ACTIONS(1482),
    [anon_sym_AMPgroup] = ACTIONS(1482),
    [anon_sym_AMPon_change] = ACTIONS(1482),
    [anon_sym_AMPpriority] = ACTIONS(1482),
    [anon_sym_AMPread_expire] = ACTIONS(1482),
    [anon_sym_AMPtype_column] = ACTIONS(1482),
    [anon_sym_AMPwrite_expire] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_is] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PERCENT] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1482),
    [anon_sym_BANG_EQ] = ACTIONS(1482),
    [anon_sym_AMP_AMP] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1482),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1482),
    [anon_sym_ATdeprecated] = ACTIONS(1482),
    [anon_sym_ATload] = ACTIONS(1486),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1482),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1482),
    [anon_sym_ATunload] = ACTIONS(1482),
    [anon_sym_ATprefixes] = ACTIONS(1482),
    [anon_sym_ATif] = ACTIONS(1486),
    [anon_sym_ATifdef] = ACTIONS(1482),
    [anon_sym_ATifndef] = ACTIONS(1482),
    [anon_sym_ATendif] = ACTIONS(1482),
    [anon_sym_ATelse] = ACTIONS(1482),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [313] = {
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_COLON] = ACTIONS(127),
    [anon_sym_PLUS_EQ] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_COMMA] = ACTIONS(127),
    [anon_sym_in] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_RBRACK] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(127),
    [anon_sym_AMPdeprecated] = ACTIONS(127),
    [anon_sym_DASH_EQ] = ACTIONS(127),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(127),
    [anon_sym_AMPerror_handler] = ACTIONS(127),
    [anon_sym_AMPis_assigned] = ACTIONS(127),
    [anon_sym_AMPis_used] = ACTIONS(127),
    [anon_sym_AMPlog] = ACTIONS(127),
    [anon_sym_AMPoptional] = ACTIONS(127),
    [anon_sym_AMPraw_output] = ACTIONS(127),
    [anon_sym_AMPredef] = ACTIONS(127),
    [anon_sym_AMPadd_func] = ACTIONS(127),
    [anon_sym_AMPbackend] = ACTIONS(127),
    [anon_sym_AMPbroker_store] = ACTIONS(127),
    [anon_sym_AMPcreate_expire] = ACTIONS(127),
    [anon_sym_AMPdefault] = ACTIONS(127),
    [anon_sym_AMPdelete_func] = ACTIONS(127),
    [anon_sym_AMPexpire_func] = ACTIONS(127),
    [anon_sym_AMPgroup] = ACTIONS(127),
    [anon_sym_AMPon_change] = ACTIONS(127),
    [anon_sym_AMPpriority] = ACTIONS(127),
    [anon_sym_AMPread_expire] = ACTIONS(127),
    [anon_sym_AMPtype_column] = ACTIONS(127),
    [anon_sym_AMPwrite_expire] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_is] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(127),
    [anon_sym_SLASH] = ACTIONS(127),
    [anon_sym_PERCENT] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(127),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(127),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(127),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(127),
    [anon_sym_BANG_EQ] = ACTIONS(127),
    [anon_sym_AMP_AMP] = ACTIONS(127),
    [anon_sym_PIPE_PIPE] = ACTIONS(127),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(1488),
    [anon_sym_module] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_global] = ACTIONS(1490),
    [anon_sym_option] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1490),
    [anon_sym_redef] = ACTIONS(1490),
    [anon_sym_record] = ACTIONS(1490),
    [anon_sym_type] = ACTIONS(1490),
    [anon_sym_print] = ACTIONS(1490),
    [anon_sym_event] = ACTIONS(1490),
    [anon_sym_if] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1490),
    [anon_sym_for] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1490),
    [anon_sym_next] = ACTIONS(1490),
    [anon_sym_break] = ACTIONS(1490),
    [anon_sym_fallthrough] = ACTIONS(1490),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_add] = ACTIONS(1490),
    [anon_sym_delete] = ACTIONS(1490),
    [anon_sym_local] = ACTIONS(1490),
    [anon_sym_when] = ACTIONS(1490),
    [anon_sym_assert] = ACTIONS(1490),
    [anon_sym_table] = ACTIONS(1490),
    [anon_sym_set] = ACTIONS(1490),
    [anon_sym_vector] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1490),
    [anon_sym_hook] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_copy] = ACTIONS(1490),
    [anon_sym_schedule] = ACTIONS(1490),
    [aux_sym_constant_token1] = ACTIONS(1490),
    [anon_sym_T] = ACTIONS(1490),
    [anon_sym_F] = ACTIONS(1490),
    [anon_sym_ATdeprecated] = ACTIONS(1488),
    [anon_sym_ATload] = ACTIONS(1490),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1488),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1488),
    [anon_sym_ATunload] = ACTIONS(1488),
    [anon_sym_ATprefixes] = ACTIONS(1488),
    [anon_sym_ATif] = ACTIONS(1490),
    [anon_sym_ATifdef] = ACTIONS(1488),
    [anon_sym_ATifndef] = ACTIONS(1488),
    [anon_sym_ATendif] = ACTIONS(1488),
    [anon_sym_ATelse] = ACTIONS(1488),
    [anon_sym_ATDIR] = ACTIONS(1488),
    [anon_sym_ATFILENAME] = ACTIONS(1488),
    [sym_id] = ACTIONS(1490),
    [sym_pattern] = ACTIONS(1488),
    [sym_ipv6] = ACTIONS(1490),
    [sym_ipv4] = ACTIONS(1490),
    [sym_port] = ACTIONS(1488),
    [sym_floatp] = ACTIONS(1490),
    [sym_hex] = ACTIONS(1490),
    [sym_hostname] = ACTIONS(1490),
    [aux_sym_string_token1] = ACTIONS(1488),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_global] = ACTIONS(1494),
    [anon_sym_option] = ACTIONS(1494),
    [anon_sym_const] = ACTIONS(1494),
    [anon_sym_redef] = ACTIONS(1494),
    [anon_sym_record] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_print] = ACTIONS(1494),
    [anon_sym_event] = ACTIONS(1494),
    [anon_sym_if] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_next] = ACTIONS(1494),
    [anon_sym_break] = ACTIONS(1494),
    [anon_sym_fallthrough] = ACTIONS(1494),
    [anon_sym_return] = ACTIONS(1494),
    [anon_sym_add] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1494),
    [anon_sym_local] = ACTIONS(1494),
    [anon_sym_when] = ACTIONS(1494),
    [anon_sym_assert] = ACTIONS(1494),
    [anon_sym_table] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_vector] = ACTIONS(1494),
    [anon_sym_function] = ACTIONS(1494),
    [anon_sym_hook] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_copy] = ACTIONS(1494),
    [anon_sym_schedule] = ACTIONS(1494),
    [aux_sym_constant_token1] = ACTIONS(1494),
    [anon_sym_T] = ACTIONS(1494),
    [anon_sym_F] = ACTIONS(1494),
    [anon_sym_ATdeprecated] = ACTIONS(1492),
    [anon_sym_ATload] = ACTIONS(1494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1492),
    [anon_sym_ATunload] = ACTIONS(1492),
    [anon_sym_ATprefixes] = ACTIONS(1492),
    [anon_sym_ATif] = ACTIONS(1494),
    [anon_sym_ATifdef] = ACTIONS(1492),
    [anon_sym_ATifndef] = ACTIONS(1492),
    [anon_sym_ATendif] = ACTIONS(1492),
    [anon_sym_ATelse] = ACTIONS(1492),
    [anon_sym_ATDIR] = ACTIONS(1492),
    [anon_sym_ATFILENAME] = ACTIONS(1492),
    [sym_id] = ACTIONS(1494),
    [sym_pattern] = ACTIONS(1492),
    [sym_ipv6] = ACTIONS(1494),
    [sym_ipv4] = ACTIONS(1494),
    [sym_port] = ACTIONS(1492),
    [sym_floatp] = ACTIONS(1494),
    [sym_hex] = ACTIONS(1494),
    [sym_hostname] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [316] = {
    [anon_sym_SEMI] = ACTIONS(480),
    [anon_sym_LBRACE] = ACTIONS(480),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_PLUS_EQ] = ACTIONS(480),
    [anon_sym_LPAREN] = ACTIONS(480),
    [anon_sym_RPAREN] = ACTIONS(480),
    [anon_sym_COMMA] = ACTIONS(480),
    [anon_sym_in] = ACTIONS(480),
    [anon_sym_LBRACK] = ACTIONS(480),
    [anon_sym_RBRACK] = ACTIONS(480),
    [anon_sym_EQ] = ACTIONS(482),
    [anon_sym_as] = ACTIONS(480),
    [anon_sym_of] = ACTIONS(1496),
    [anon_sym_AMPdeprecated] = ACTIONS(480),
    [anon_sym_DASH_EQ] = ACTIONS(480),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(480),
    [anon_sym_AMPerror_handler] = ACTIONS(480),
    [anon_sym_AMPis_assigned] = ACTIONS(480),
    [anon_sym_AMPis_used] = ACTIONS(480),
    [anon_sym_AMPlog] = ACTIONS(480),
    [anon_sym_AMPoptional] = ACTIONS(480),
    [anon_sym_AMPraw_output] = ACTIONS(480),
    [anon_sym_AMPredef] = ACTIONS(480),
    [anon_sym_AMPadd_func] = ACTIONS(480),
    [anon_sym_AMPbackend] = ACTIONS(480),
    [anon_sym_AMPbroker_store] = ACTIONS(480),
    [anon_sym_AMPcreate_expire] = ACTIONS(480),
    [anon_sym_AMPdefault] = ACTIONS(480),
    [anon_sym_AMPdelete_func] = ACTIONS(480),
    [anon_sym_AMPexpire_func] = ACTIONS(480),
    [anon_sym_AMPgroup] = ACTIONS(480),
    [anon_sym_AMPon_change] = ACTIONS(480),
    [anon_sym_AMPpriority] = ACTIONS(480),
    [anon_sym_AMPread_expire] = ACTIONS(480),
    [anon_sym_AMPtype_column] = ACTIONS(480),
    [anon_sym_AMPwrite_expire] = ACTIONS(480),
    [anon_sym_DOLLAR] = ACTIONS(480),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_BANG] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_is] = ACTIONS(480),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(482),
    [anon_sym_LT_EQ] = ACTIONS(480),
    [anon_sym_GT] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(480),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(480),
    [anon_sym_QMARK] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(480),
    [anon_sym_BANG_EQ] = ACTIONS(480),
    [anon_sym_AMP_AMP] = ACTIONS(480),
    [anon_sym_PIPE_PIPE] = ACTIONS(480),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(480),
    [anon_sym_ATdeprecated] = ACTIONS(480),
    [anon_sym_ATload] = ACTIONS(482),
    [anon_sym_ATload_DASHsigs] = ACTIONS(480),
    [anon_sym_ATload_DASHplugin] = ACTIONS(480),
    [anon_sym_ATunload] = ACTIONS(480),
    [anon_sym_ATprefixes] = ACTIONS(480),
    [anon_sym_ATif] = ACTIONS(482),
    [anon_sym_ATifdef] = ACTIONS(480),
    [anon_sym_ATifndef] = ACTIONS(480),
    [anon_sym_ATendif] = ACTIONS(480),
    [anon_sym_ATelse] = ACTIONS(480),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [317] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [anon_sym_module] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym_export] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_global] = ACTIONS(1500),
    [anon_sym_option] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_redef] = ACTIONS(1500),
    [anon_sym_record] = ACTIONS(1500),
    [anon_sym_type] = ACTIONS(1500),
    [anon_sym_print] = ACTIONS(1500),
    [anon_sym_event] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1498),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_next] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_fallthrough] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_add] = ACTIONS(1500),
    [anon_sym_delete] = ACTIONS(1500),
    [anon_sym_local] = ACTIONS(1500),
    [anon_sym_when] = ACTIONS(1500),
    [anon_sym_assert] = ACTIONS(1500),
    [anon_sym_table] = ACTIONS(1500),
    [anon_sym_set] = ACTIONS(1500),
    [anon_sym_vector] = ACTIONS(1500),
    [anon_sym_function] = ACTIONS(1500),
    [anon_sym_hook] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_copy] = ACTIONS(1500),
    [anon_sym_schedule] = ACTIONS(1500),
    [aux_sym_constant_token1] = ACTIONS(1500),
    [anon_sym_T] = ACTIONS(1500),
    [anon_sym_F] = ACTIONS(1500),
    [anon_sym_ATdeprecated] = ACTIONS(1498),
    [anon_sym_ATload] = ACTIONS(1500),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1498),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1498),
    [anon_sym_ATunload] = ACTIONS(1498),
    [anon_sym_ATprefixes] = ACTIONS(1498),
    [anon_sym_ATif] = ACTIONS(1500),
    [anon_sym_ATifdef] = ACTIONS(1498),
    [anon_sym_ATifndef] = ACTIONS(1498),
    [anon_sym_ATendif] = ACTIONS(1498),
    [anon_sym_ATelse] = ACTIONS(1498),
    [anon_sym_ATDIR] = ACTIONS(1498),
    [anon_sym_ATFILENAME] = ACTIONS(1498),
    [sym_id] = ACTIONS(1500),
    [sym_pattern] = ACTIONS(1498),
    [sym_ipv6] = ACTIONS(1500),
    [sym_ipv4] = ACTIONS(1500),
    [sym_port] = ACTIONS(1498),
    [sym_floatp] = ACTIONS(1500),
    [sym_hex] = ACTIONS(1500),
    [sym_hostname] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1498),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [318] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [anon_sym_module] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_export] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_global] = ACTIONS(1504),
    [anon_sym_option] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_redef] = ACTIONS(1504),
    [anon_sym_record] = ACTIONS(1504),
    [anon_sym_type] = ACTIONS(1504),
    [anon_sym_print] = ACTIONS(1504),
    [anon_sym_event] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_next] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_fallthrough] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_add] = ACTIONS(1504),
    [anon_sym_delete] = ACTIONS(1504),
    [anon_sym_local] = ACTIONS(1504),
    [anon_sym_when] = ACTIONS(1504),
    [anon_sym_assert] = ACTIONS(1504),
    [anon_sym_table] = ACTIONS(1504),
    [anon_sym_set] = ACTIONS(1504),
    [anon_sym_vector] = ACTIONS(1504),
    [anon_sym_function] = ACTIONS(1504),
    [anon_sym_hook] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_copy] = ACTIONS(1504),
    [anon_sym_schedule] = ACTIONS(1504),
    [aux_sym_constant_token1] = ACTIONS(1504),
    [anon_sym_T] = ACTIONS(1504),
    [anon_sym_F] = ACTIONS(1504),
    [anon_sym_ATdeprecated] = ACTIONS(1502),
    [anon_sym_ATload] = ACTIONS(1504),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1502),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1502),
    [anon_sym_ATunload] = ACTIONS(1502),
    [anon_sym_ATprefixes] = ACTIONS(1502),
    [anon_sym_ATif] = ACTIONS(1504),
    [anon_sym_ATifdef] = ACTIONS(1502),
    [anon_sym_ATifndef] = ACTIONS(1502),
    [anon_sym_ATendif] = ACTIONS(1502),
    [anon_sym_ATelse] = ACTIONS(1502),
    [anon_sym_ATDIR] = ACTIONS(1502),
    [anon_sym_ATFILENAME] = ACTIONS(1502),
    [sym_id] = ACTIONS(1504),
    [sym_pattern] = ACTIONS(1502),
    [sym_ipv6] = ACTIONS(1504),
    [sym_ipv4] = ACTIONS(1504),
    [sym_port] = ACTIONS(1502),
    [sym_floatp] = ACTIONS(1504),
    [sym_hex] = ACTIONS(1504),
    [sym_hostname] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1502),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [319] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [anon_sym_module] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym_export] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_global] = ACTIONS(1508),
    [anon_sym_option] = ACTIONS(1508),
    [anon_sym_const] = ACTIONS(1508),
    [anon_sym_redef] = ACTIONS(1508),
    [anon_sym_record] = ACTIONS(1508),
    [anon_sym_type] = ACTIONS(1508),
    [anon_sym_print] = ACTIONS(1508),
    [anon_sym_event] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_switch] = ACTIONS(1508),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1506),
    [anon_sym_while] = ACTIONS(1508),
    [anon_sym_next] = ACTIONS(1508),
    [anon_sym_break] = ACTIONS(1508),
    [anon_sym_fallthrough] = ACTIONS(1508),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_add] = ACTIONS(1508),
    [anon_sym_delete] = ACTIONS(1508),
    [anon_sym_local] = ACTIONS(1508),
    [anon_sym_when] = ACTIONS(1508),
    [anon_sym_assert] = ACTIONS(1508),
    [anon_sym_table] = ACTIONS(1508),
    [anon_sym_set] = ACTIONS(1508),
    [anon_sym_vector] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(1508),
    [anon_sym_hook] = ACTIONS(1508),
    [anon_sym_DOLLAR] = ACTIONS(1506),
    [anon_sym_PIPE] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_copy] = ACTIONS(1508),
    [anon_sym_schedule] = ACTIONS(1508),
    [aux_sym_constant_token1] = ACTIONS(1508),
    [anon_sym_T] = ACTIONS(1508),
    [anon_sym_F] = ACTIONS(1508),
    [anon_sym_ATdeprecated] = ACTIONS(1506),
    [anon_sym_ATload] = ACTIONS(1508),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1506),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1506),
    [anon_sym_ATunload] = ACTIONS(1506),
    [anon_sym_ATprefixes] = ACTIONS(1506),
    [anon_sym_ATif] = ACTIONS(1508),
    [anon_sym_ATifdef] = ACTIONS(1506),
    [anon_sym_ATifndef] = ACTIONS(1506),
    [anon_sym_ATendif] = ACTIONS(1506),
    [anon_sym_ATelse] = ACTIONS(1506),
    [anon_sym_ATDIR] = ACTIONS(1506),
    [anon_sym_ATFILENAME] = ACTIONS(1506),
    [sym_id] = ACTIONS(1508),
    [sym_pattern] = ACTIONS(1506),
    [sym_ipv6] = ACTIONS(1508),
    [sym_ipv4] = ACTIONS(1508),
    [sym_port] = ACTIONS(1506),
    [sym_floatp] = ACTIONS(1508),
    [sym_hex] = ACTIONS(1508),
    [sym_hostname] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1506),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [320] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [anon_sym_module] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_export] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_global] = ACTIONS(1512),
    [anon_sym_option] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_redef] = ACTIONS(1512),
    [anon_sym_record] = ACTIONS(1512),
    [anon_sym_type] = ACTIONS(1512),
    [anon_sym_print] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_next] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_fallthrough] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_add] = ACTIONS(1512),
    [anon_sym_delete] = ACTIONS(1512),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_when] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_table] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_vector] = ACTIONS(1512),
    [anon_sym_function] = ACTIONS(1512),
    [anon_sym_hook] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_copy] = ACTIONS(1512),
    [anon_sym_schedule] = ACTIONS(1512),
    [aux_sym_constant_token1] = ACTIONS(1512),
    [anon_sym_T] = ACTIONS(1512),
    [anon_sym_F] = ACTIONS(1512),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATDIR] = ACTIONS(1510),
    [anon_sym_ATFILENAME] = ACTIONS(1510),
    [sym_id] = ACTIONS(1512),
    [sym_pattern] = ACTIONS(1510),
    [sym_ipv6] = ACTIONS(1512),
    [sym_ipv4] = ACTIONS(1512),
    [sym_port] = ACTIONS(1510),
    [sym_floatp] = ACTIONS(1512),
    [sym_hex] = ACTIONS(1512),
    [sym_hostname] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [321] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [anon_sym_module] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_export] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_global] = ACTIONS(1516),
    [anon_sym_option] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_redef] = ACTIONS(1516),
    [anon_sym_record] = ACTIONS(1516),
    [anon_sym_type] = ACTIONS(1516),
    [anon_sym_print] = ACTIONS(1516),
    [anon_sym_event] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_next] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_fallthrough] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_add] = ACTIONS(1516),
    [anon_sym_delete] = ACTIONS(1516),
    [anon_sym_local] = ACTIONS(1516),
    [anon_sym_when] = ACTIONS(1516),
    [anon_sym_assert] = ACTIONS(1516),
    [anon_sym_table] = ACTIONS(1516),
    [anon_sym_set] = ACTIONS(1516),
    [anon_sym_vector] = ACTIONS(1516),
    [anon_sym_function] = ACTIONS(1516),
    [anon_sym_hook] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_copy] = ACTIONS(1516),
    [anon_sym_schedule] = ACTIONS(1516),
    [aux_sym_constant_token1] = ACTIONS(1516),
    [anon_sym_T] = ACTIONS(1516),
    [anon_sym_F] = ACTIONS(1516),
    [anon_sym_ATdeprecated] = ACTIONS(1514),
    [anon_sym_ATload] = ACTIONS(1516),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1514),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1514),
    [anon_sym_ATunload] = ACTIONS(1514),
    [anon_sym_ATprefixes] = ACTIONS(1514),
    [anon_sym_ATif] = ACTIONS(1516),
    [anon_sym_ATifdef] = ACTIONS(1514),
    [anon_sym_ATifndef] = ACTIONS(1514),
    [anon_sym_ATendif] = ACTIONS(1514),
    [anon_sym_ATelse] = ACTIONS(1514),
    [anon_sym_ATDIR] = ACTIONS(1514),
    [anon_sym_ATFILENAME] = ACTIONS(1514),
    [sym_id] = ACTIONS(1516),
    [sym_pattern] = ACTIONS(1514),
    [sym_ipv6] = ACTIONS(1516),
    [sym_ipv4] = ACTIONS(1516),
    [sym_port] = ACTIONS(1514),
    [sym_floatp] = ACTIONS(1516),
    [sym_hex] = ACTIONS(1516),
    [sym_hostname] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1514),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [322] = {
    [ts_builtin_sym_end] = ACTIONS(1518),
    [anon_sym_module] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_export] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_global] = ACTIONS(1520),
    [anon_sym_option] = ACTIONS(1520),
    [anon_sym_const] = ACTIONS(1520),
    [anon_sym_redef] = ACTIONS(1520),
    [anon_sym_record] = ACTIONS(1520),
    [anon_sym_type] = ACTIONS(1520),
    [anon_sym_print] = ACTIONS(1520),
    [anon_sym_event] = ACTIONS(1520),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_switch] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_while] = ACTIONS(1520),
    [anon_sym_next] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_fallthrough] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_add] = ACTIONS(1520),
    [anon_sym_delete] = ACTIONS(1520),
    [anon_sym_local] = ACTIONS(1520),
    [anon_sym_when] = ACTIONS(1520),
    [anon_sym_assert] = ACTIONS(1520),
    [anon_sym_table] = ACTIONS(1520),
    [anon_sym_set] = ACTIONS(1520),
    [anon_sym_vector] = ACTIONS(1520),
    [anon_sym_function] = ACTIONS(1520),
    [anon_sym_hook] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [anon_sym_PIPE] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_copy] = ACTIONS(1520),
    [anon_sym_schedule] = ACTIONS(1520),
    [aux_sym_constant_token1] = ACTIONS(1520),
    [anon_sym_T] = ACTIONS(1520),
    [anon_sym_F] = ACTIONS(1520),
    [anon_sym_ATdeprecated] = ACTIONS(1518),
    [anon_sym_ATload] = ACTIONS(1520),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1518),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1518),
    [anon_sym_ATunload] = ACTIONS(1518),
    [anon_sym_ATprefixes] = ACTIONS(1518),
    [anon_sym_ATif] = ACTIONS(1520),
    [anon_sym_ATifdef] = ACTIONS(1518),
    [anon_sym_ATifndef] = ACTIONS(1518),
    [anon_sym_ATendif] = ACTIONS(1518),
    [anon_sym_ATelse] = ACTIONS(1518),
    [anon_sym_ATDIR] = ACTIONS(1518),
    [anon_sym_ATFILENAME] = ACTIONS(1518),
    [sym_id] = ACTIONS(1520),
    [sym_pattern] = ACTIONS(1518),
    [sym_ipv6] = ACTIONS(1520),
    [sym_ipv4] = ACTIONS(1520),
    [sym_port] = ACTIONS(1518),
    [sym_floatp] = ACTIONS(1520),
    [sym_hex] = ACTIONS(1520),
    [sym_hostname] = ACTIONS(1520),
    [aux_sym_string_token1] = ACTIONS(1518),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(1522),
    [anon_sym_module] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym_export] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_global] = ACTIONS(1524),
    [anon_sym_option] = ACTIONS(1524),
    [anon_sym_const] = ACTIONS(1524),
    [anon_sym_redef] = ACTIONS(1524),
    [anon_sym_record] = ACTIONS(1524),
    [anon_sym_type] = ACTIONS(1524),
    [anon_sym_print] = ACTIONS(1524),
    [anon_sym_event] = ACTIONS(1524),
    [anon_sym_if] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [anon_sym_switch] = ACTIONS(1524),
    [anon_sym_for] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_while] = ACTIONS(1524),
    [anon_sym_next] = ACTIONS(1524),
    [anon_sym_break] = ACTIONS(1524),
    [anon_sym_fallthrough] = ACTIONS(1524),
    [anon_sym_return] = ACTIONS(1524),
    [anon_sym_add] = ACTIONS(1524),
    [anon_sym_delete] = ACTIONS(1524),
    [anon_sym_local] = ACTIONS(1524),
    [anon_sym_when] = ACTIONS(1524),
    [anon_sym_assert] = ACTIONS(1524),
    [anon_sym_table] = ACTIONS(1524),
    [anon_sym_set] = ACTIONS(1524),
    [anon_sym_vector] = ACTIONS(1524),
    [anon_sym_function] = ACTIONS(1524),
    [anon_sym_hook] = ACTIONS(1524),
    [anon_sym_DOLLAR] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_copy] = ACTIONS(1524),
    [anon_sym_schedule] = ACTIONS(1524),
    [aux_sym_constant_token1] = ACTIONS(1524),
    [anon_sym_T] = ACTIONS(1524),
    [anon_sym_F] = ACTIONS(1524),
    [anon_sym_ATdeprecated] = ACTIONS(1522),
    [anon_sym_ATload] = ACTIONS(1524),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1522),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1522),
    [anon_sym_ATunload] = ACTIONS(1522),
    [anon_sym_ATprefixes] = ACTIONS(1522),
    [anon_sym_ATif] = ACTIONS(1524),
    [anon_sym_ATifdef] = ACTIONS(1522),
    [anon_sym_ATifndef] = ACTIONS(1522),
    [anon_sym_ATendif] = ACTIONS(1522),
    [anon_sym_ATelse] = ACTIONS(1522),
    [anon_sym_ATDIR] = ACTIONS(1522),
    [anon_sym_ATFILENAME] = ACTIONS(1522),
    [sym_id] = ACTIONS(1524),
    [sym_pattern] = ACTIONS(1522),
    [sym_ipv6] = ACTIONS(1524),
    [sym_ipv4] = ACTIONS(1524),
    [sym_port] = ACTIONS(1522),
    [sym_floatp] = ACTIONS(1524),
    [sym_hex] = ACTIONS(1524),
    [sym_hostname] = ACTIONS(1524),
    [aux_sym_string_token1] = ACTIONS(1522),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [324] = {
    [ts_builtin_sym_end] = ACTIONS(1526),
    [anon_sym_module] = ACTIONS(1528),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_export] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_global] = ACTIONS(1528),
    [anon_sym_option] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_redef] = ACTIONS(1528),
    [anon_sym_record] = ACTIONS(1528),
    [anon_sym_type] = ACTIONS(1528),
    [anon_sym_print] = ACTIONS(1528),
    [anon_sym_event] = ACTIONS(1528),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_switch] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_while] = ACTIONS(1528),
    [anon_sym_next] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_fallthrough] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_add] = ACTIONS(1528),
    [anon_sym_delete] = ACTIONS(1528),
    [anon_sym_local] = ACTIONS(1528),
    [anon_sym_when] = ACTIONS(1528),
    [anon_sym_assert] = ACTIONS(1528),
    [anon_sym_table] = ACTIONS(1528),
    [anon_sym_set] = ACTIONS(1528),
    [anon_sym_vector] = ACTIONS(1528),
    [anon_sym_function] = ACTIONS(1528),
    [anon_sym_hook] = ACTIONS(1528),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_copy] = ACTIONS(1528),
    [anon_sym_schedule] = ACTIONS(1528),
    [aux_sym_constant_token1] = ACTIONS(1528),
    [anon_sym_T] = ACTIONS(1528),
    [anon_sym_F] = ACTIONS(1528),
    [anon_sym_ATdeprecated] = ACTIONS(1526),
    [anon_sym_ATload] = ACTIONS(1528),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1526),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1526),
    [anon_sym_ATunload] = ACTIONS(1526),
    [anon_sym_ATprefixes] = ACTIONS(1526),
    [anon_sym_ATif] = ACTIONS(1528),
    [anon_sym_ATifdef] = ACTIONS(1526),
    [anon_sym_ATifndef] = ACTIONS(1526),
    [anon_sym_ATendif] = ACTIONS(1526),
    [anon_sym_ATelse] = ACTIONS(1526),
    [anon_sym_ATDIR] = ACTIONS(1526),
    [anon_sym_ATFILENAME] = ACTIONS(1526),
    [sym_id] = ACTIONS(1528),
    [sym_pattern] = ACTIONS(1526),
    [sym_ipv6] = ACTIONS(1528),
    [sym_ipv4] = ACTIONS(1528),
    [sym_port] = ACTIONS(1526),
    [sym_floatp] = ACTIONS(1528),
    [sym_hex] = ACTIONS(1528),
    [sym_hostname] = ACTIONS(1528),
    [aux_sym_string_token1] = ACTIONS(1526),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [325] = {
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_COLON] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_in] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_RBRACK] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(125),
    [anon_sym_as] = ACTIONS(123),
    [anon_sym_AMPdeprecated] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(123),
    [anon_sym_AMPerror_handler] = ACTIONS(123),
    [anon_sym_AMPis_assigned] = ACTIONS(123),
    [anon_sym_AMPis_used] = ACTIONS(123),
    [anon_sym_AMPlog] = ACTIONS(123),
    [anon_sym_AMPoptional] = ACTIONS(123),
    [anon_sym_AMPraw_output] = ACTIONS(123),
    [anon_sym_AMPredef] = ACTIONS(123),
    [anon_sym_AMPadd_func] = ACTIONS(123),
    [anon_sym_AMPbackend] = ACTIONS(123),
    [anon_sym_AMPbroker_store] = ACTIONS(123),
    [anon_sym_AMPcreate_expire] = ACTIONS(123),
    [anon_sym_AMPdefault] = ACTIONS(123),
    [anon_sym_AMPdelete_func] = ACTIONS(123),
    [anon_sym_AMPexpire_func] = ACTIONS(123),
    [anon_sym_AMPgroup] = ACTIONS(123),
    [anon_sym_AMPon_change] = ACTIONS(123),
    [anon_sym_AMPpriority] = ACTIONS(123),
    [anon_sym_AMPread_expire] = ACTIONS(123),
    [anon_sym_AMPtype_column] = ACTIONS(123),
    [anon_sym_AMPwrite_expire] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_is] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(123),
    [anon_sym_SLASH] = ACTIONS(123),
    [anon_sym_PERCENT] = ACTIONS(123),
    [anon_sym_LT] = ACTIONS(125),
    [anon_sym_LT_EQ] = ACTIONS(123),
    [anon_sym_GT] = ACTIONS(125),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_CARET] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(125),
    [anon_sym_EQ_EQ] = ACTIONS(123),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(123),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [326] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1530),
    [anon_sym_export] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_global] = ACTIONS(1532),
    [anon_sym_option] = ACTIONS(1532),
    [anon_sym_const] = ACTIONS(1532),
    [anon_sym_redef] = ACTIONS(1532),
    [anon_sym_record] = ACTIONS(1532),
    [anon_sym_type] = ACTIONS(1532),
    [anon_sym_print] = ACTIONS(1532),
    [anon_sym_event] = ACTIONS(1532),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [anon_sym_switch] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_next] = ACTIONS(1532),
    [anon_sym_break] = ACTIONS(1532),
    [anon_sym_fallthrough] = ACTIONS(1532),
    [anon_sym_return] = ACTIONS(1532),
    [anon_sym_add] = ACTIONS(1532),
    [anon_sym_delete] = ACTIONS(1532),
    [anon_sym_local] = ACTIONS(1532),
    [anon_sym_when] = ACTIONS(1532),
    [anon_sym_assert] = ACTIONS(1532),
    [anon_sym_table] = ACTIONS(1532),
    [anon_sym_set] = ACTIONS(1532),
    [anon_sym_vector] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1532),
    [anon_sym_hook] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_copy] = ACTIONS(1532),
    [anon_sym_schedule] = ACTIONS(1532),
    [aux_sym_constant_token1] = ACTIONS(1532),
    [anon_sym_T] = ACTIONS(1532),
    [anon_sym_F] = ACTIONS(1532),
    [anon_sym_ATdeprecated] = ACTIONS(1530),
    [anon_sym_ATload] = ACTIONS(1532),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1530),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1530),
    [anon_sym_ATunload] = ACTIONS(1530),
    [anon_sym_ATprefixes] = ACTIONS(1530),
    [anon_sym_ATif] = ACTIONS(1532),
    [anon_sym_ATifdef] = ACTIONS(1530),
    [anon_sym_ATifndef] = ACTIONS(1530),
    [anon_sym_ATendif] = ACTIONS(1530),
    [anon_sym_ATelse] = ACTIONS(1530),
    [anon_sym_ATDIR] = ACTIONS(1530),
    [anon_sym_ATFILENAME] = ACTIONS(1530),
    [sym_id] = ACTIONS(1532),
    [sym_pattern] = ACTIONS(1530),
    [sym_ipv6] = ACTIONS(1532),
    [sym_ipv4] = ACTIONS(1532),
    [sym_port] = ACTIONS(1530),
    [sym_floatp] = ACTIONS(1532),
    [sym_hex] = ACTIONS(1532),
    [sym_hostname] = ACTIONS(1532),
    [aux_sym_string_token1] = ACTIONS(1530),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [327] = {
    [ts_builtin_sym_end] = ACTIONS(1534),
    [anon_sym_module] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1534),
    [anon_sym_global] = ACTIONS(1536),
    [anon_sym_option] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1536),
    [anon_sym_redef] = ACTIONS(1536),
    [anon_sym_record] = ACTIONS(1536),
    [anon_sym_type] = ACTIONS(1536),
    [anon_sym_print] = ACTIONS(1536),
    [anon_sym_event] = ACTIONS(1536),
    [anon_sym_if] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1534),
    [anon_sym_switch] = ACTIONS(1536),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_while] = ACTIONS(1536),
    [anon_sym_next] = ACTIONS(1536),
    [anon_sym_break] = ACTIONS(1536),
    [anon_sym_fallthrough] = ACTIONS(1536),
    [anon_sym_return] = ACTIONS(1536),
    [anon_sym_add] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_local] = ACTIONS(1536),
    [anon_sym_when] = ACTIONS(1536),
    [anon_sym_assert] = ACTIONS(1536),
    [anon_sym_table] = ACTIONS(1536),
    [anon_sym_set] = ACTIONS(1536),
    [anon_sym_vector] = ACTIONS(1536),
    [anon_sym_function] = ACTIONS(1536),
    [anon_sym_hook] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [anon_sym_PIPE] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_copy] = ACTIONS(1536),
    [anon_sym_schedule] = ACTIONS(1536),
    [aux_sym_constant_token1] = ACTIONS(1536),
    [anon_sym_T] = ACTIONS(1536),
    [anon_sym_F] = ACTIONS(1536),
    [anon_sym_ATdeprecated] = ACTIONS(1534),
    [anon_sym_ATload] = ACTIONS(1536),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1534),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1534),
    [anon_sym_ATunload] = ACTIONS(1534),
    [anon_sym_ATprefixes] = ACTIONS(1534),
    [anon_sym_ATif] = ACTIONS(1536),
    [anon_sym_ATifdef] = ACTIONS(1534),
    [anon_sym_ATifndef] = ACTIONS(1534),
    [anon_sym_ATendif] = ACTIONS(1534),
    [anon_sym_ATelse] = ACTIONS(1534),
    [anon_sym_ATDIR] = ACTIONS(1534),
    [anon_sym_ATFILENAME] = ACTIONS(1534),
    [sym_id] = ACTIONS(1536),
    [sym_pattern] = ACTIONS(1534),
    [sym_ipv6] = ACTIONS(1536),
    [sym_ipv4] = ACTIONS(1536),
    [sym_port] = ACTIONS(1534),
    [sym_floatp] = ACTIONS(1536),
    [sym_hex] = ACTIONS(1536),
    [sym_hostname] = ACTIONS(1536),
    [aux_sym_string_token1] = ACTIONS(1534),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [328] = {
    [ts_builtin_sym_end] = ACTIONS(1538),
    [anon_sym_module] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1538),
    [anon_sym_export] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_global] = ACTIONS(1540),
    [anon_sym_option] = ACTIONS(1540),
    [anon_sym_const] = ACTIONS(1540),
    [anon_sym_redef] = ACTIONS(1540),
    [anon_sym_record] = ACTIONS(1540),
    [anon_sym_type] = ACTIONS(1540),
    [anon_sym_print] = ACTIONS(1540),
    [anon_sym_event] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1540),
    [anon_sym_for] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_while] = ACTIONS(1540),
    [anon_sym_next] = ACTIONS(1540),
    [anon_sym_break] = ACTIONS(1540),
    [anon_sym_fallthrough] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1540),
    [anon_sym_add] = ACTIONS(1540),
    [anon_sym_delete] = ACTIONS(1540),
    [anon_sym_local] = ACTIONS(1540),
    [anon_sym_when] = ACTIONS(1540),
    [anon_sym_assert] = ACTIONS(1540),
    [anon_sym_table] = ACTIONS(1540),
    [anon_sym_set] = ACTIONS(1540),
    [anon_sym_vector] = ACTIONS(1540),
    [anon_sym_function] = ACTIONS(1540),
    [anon_sym_hook] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1538),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_copy] = ACTIONS(1540),
    [anon_sym_schedule] = ACTIONS(1540),
    [aux_sym_constant_token1] = ACTIONS(1540),
    [anon_sym_T] = ACTIONS(1540),
    [anon_sym_F] = ACTIONS(1540),
    [anon_sym_ATdeprecated] = ACTIONS(1538),
    [anon_sym_ATload] = ACTIONS(1540),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1538),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1538),
    [anon_sym_ATunload] = ACTIONS(1538),
    [anon_sym_ATprefixes] = ACTIONS(1538),
    [anon_sym_ATif] = ACTIONS(1540),
    [anon_sym_ATifdef] = ACTIONS(1538),
    [anon_sym_ATifndef] = ACTIONS(1538),
    [anon_sym_ATendif] = ACTIONS(1538),
    [anon_sym_ATelse] = ACTIONS(1538),
    [anon_sym_ATDIR] = ACTIONS(1538),
    [anon_sym_ATFILENAME] = ACTIONS(1538),
    [sym_id] = ACTIONS(1540),
    [sym_pattern] = ACTIONS(1538),
    [sym_ipv6] = ACTIONS(1540),
    [sym_ipv4] = ACTIONS(1540),
    [sym_port] = ACTIONS(1538),
    [sym_floatp] = ACTIONS(1540),
    [sym_hex] = ACTIONS(1540),
    [sym_hostname] = ACTIONS(1540),
    [aux_sym_string_token1] = ACTIONS(1538),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [329] = {
    [ts_builtin_sym_end] = ACTIONS(1542),
    [anon_sym_module] = ACTIONS(1544),
    [anon_sym_SEMI] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_global] = ACTIONS(1544),
    [anon_sym_option] = ACTIONS(1544),
    [anon_sym_const] = ACTIONS(1544),
    [anon_sym_redef] = ACTIONS(1544),
    [anon_sym_record] = ACTIONS(1544),
    [anon_sym_type] = ACTIONS(1544),
    [anon_sym_print] = ACTIONS(1544),
    [anon_sym_event] = ACTIONS(1544),
    [anon_sym_if] = ACTIONS(1544),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_switch] = ACTIONS(1544),
    [anon_sym_for] = ACTIONS(1544),
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_while] = ACTIONS(1544),
    [anon_sym_next] = ACTIONS(1544),
    [anon_sym_break] = ACTIONS(1544),
    [anon_sym_fallthrough] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_add] = ACTIONS(1544),
    [anon_sym_delete] = ACTIONS(1544),
    [anon_sym_local] = ACTIONS(1544),
    [anon_sym_when] = ACTIONS(1544),
    [anon_sym_assert] = ACTIONS(1544),
    [anon_sym_table] = ACTIONS(1544),
    [anon_sym_set] = ACTIONS(1544),
    [anon_sym_vector] = ACTIONS(1544),
    [anon_sym_function] = ACTIONS(1544),
    [anon_sym_hook] = ACTIONS(1544),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1544),
    [anon_sym_PLUS] = ACTIONS(1544),
    [anon_sym_copy] = ACTIONS(1544),
    [anon_sym_schedule] = ACTIONS(1544),
    [aux_sym_constant_token1] = ACTIONS(1544),
    [anon_sym_T] = ACTIONS(1544),
    [anon_sym_F] = ACTIONS(1544),
    [anon_sym_ATdeprecated] = ACTIONS(1542),
    [anon_sym_ATload] = ACTIONS(1544),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1542),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1542),
    [anon_sym_ATunload] = ACTIONS(1542),
    [anon_sym_ATprefixes] = ACTIONS(1542),
    [anon_sym_ATif] = ACTIONS(1544),
    [anon_sym_ATifdef] = ACTIONS(1542),
    [anon_sym_ATifndef] = ACTIONS(1542),
    [anon_sym_ATendif] = ACTIONS(1542),
    [anon_sym_ATelse] = ACTIONS(1542),
    [anon_sym_ATDIR] = ACTIONS(1542),
    [anon_sym_ATFILENAME] = ACTIONS(1542),
    [sym_id] = ACTIONS(1544),
    [sym_pattern] = ACTIONS(1542),
    [sym_ipv6] = ACTIONS(1544),
    [sym_ipv4] = ACTIONS(1544),
    [sym_port] = ACTIONS(1542),
    [sym_floatp] = ACTIONS(1544),
    [sym_hex] = ACTIONS(1544),
    [sym_hostname] = ACTIONS(1544),
    [aux_sym_string_token1] = ACTIONS(1542),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [330] = {
    [ts_builtin_sym_end] = ACTIONS(1546),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_SEMI] = ACTIONS(1546),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_global] = ACTIONS(1548),
    [anon_sym_option] = ACTIONS(1548),
    [anon_sym_const] = ACTIONS(1548),
    [anon_sym_redef] = ACTIONS(1548),
    [anon_sym_record] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_print] = ACTIONS(1548),
    [anon_sym_event] = ACTIONS(1548),
    [anon_sym_if] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1546),
    [anon_sym_switch] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_next] = ACTIONS(1548),
    [anon_sym_break] = ACTIONS(1548),
    [anon_sym_fallthrough] = ACTIONS(1548),
    [anon_sym_return] = ACTIONS(1548),
    [anon_sym_add] = ACTIONS(1548),
    [anon_sym_delete] = ACTIONS(1548),
    [anon_sym_local] = ACTIONS(1548),
    [anon_sym_when] = ACTIONS(1548),
    [anon_sym_assert] = ACTIONS(1548),
    [anon_sym_table] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_vector] = ACTIONS(1548),
    [anon_sym_function] = ACTIONS(1548),
    [anon_sym_hook] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1546),
    [anon_sym_PIPE] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_copy] = ACTIONS(1548),
    [anon_sym_schedule] = ACTIONS(1548),
    [aux_sym_constant_token1] = ACTIONS(1548),
    [anon_sym_T] = ACTIONS(1548),
    [anon_sym_F] = ACTIONS(1548),
    [anon_sym_ATdeprecated] = ACTIONS(1546),
    [anon_sym_ATload] = ACTIONS(1548),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1546),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1546),
    [anon_sym_ATunload] = ACTIONS(1546),
    [anon_sym_ATprefixes] = ACTIONS(1546),
    [anon_sym_ATif] = ACTIONS(1548),
    [anon_sym_ATifdef] = ACTIONS(1546),
    [anon_sym_ATifndef] = ACTIONS(1546),
    [anon_sym_ATendif] = ACTIONS(1546),
    [anon_sym_ATelse] = ACTIONS(1546),
    [anon_sym_ATDIR] = ACTIONS(1546),
    [anon_sym_ATFILENAME] = ACTIONS(1546),
    [sym_id] = ACTIONS(1548),
    [sym_pattern] = ACTIONS(1546),
    [sym_ipv6] = ACTIONS(1548),
    [sym_ipv4] = ACTIONS(1548),
    [sym_port] = ACTIONS(1546),
    [sym_floatp] = ACTIONS(1548),
    [sym_hex] = ACTIONS(1548),
    [sym_hostname] = ACTIONS(1548),
    [aux_sym_string_token1] = ACTIONS(1546),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [331] = {
    [ts_builtin_sym_end] = ACTIONS(1436),
    [anon_sym_module] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_global] = ACTIONS(1438),
    [anon_sym_option] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_redef] = ACTIONS(1438),
    [anon_sym_record] = ACTIONS(1438),
    [anon_sym_type] = ACTIONS(1438),
    [anon_sym_print] = ACTIONS(1438),
    [anon_sym_event] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_next] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_fallthrough] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_add] = ACTIONS(1438),
    [anon_sym_delete] = ACTIONS(1438),
    [anon_sym_local] = ACTIONS(1438),
    [anon_sym_when] = ACTIONS(1438),
    [anon_sym_assert] = ACTIONS(1438),
    [anon_sym_table] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_vector] = ACTIONS(1438),
    [anon_sym_function] = ACTIONS(1438),
    [anon_sym_hook] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_copy] = ACTIONS(1438),
    [anon_sym_schedule] = ACTIONS(1438),
    [aux_sym_constant_token1] = ACTIONS(1438),
    [anon_sym_T] = ACTIONS(1438),
    [anon_sym_F] = ACTIONS(1438),
    [anon_sym_ATdeprecated] = ACTIONS(1436),
    [anon_sym_ATload] = ACTIONS(1438),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1436),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1436),
    [anon_sym_ATunload] = ACTIONS(1436),
    [anon_sym_ATprefixes] = ACTIONS(1436),
    [anon_sym_ATif] = ACTIONS(1438),
    [anon_sym_ATifdef] = ACTIONS(1436),
    [anon_sym_ATifndef] = ACTIONS(1436),
    [anon_sym_ATendif] = ACTIONS(1436),
    [anon_sym_ATelse] = ACTIONS(1436),
    [anon_sym_ATDIR] = ACTIONS(1436),
    [anon_sym_ATFILENAME] = ACTIONS(1436),
    [sym_id] = ACTIONS(1438),
    [sym_pattern] = ACTIONS(1436),
    [sym_ipv6] = ACTIONS(1438),
    [sym_ipv4] = ACTIONS(1438),
    [sym_port] = ACTIONS(1436),
    [sym_floatp] = ACTIONS(1438),
    [sym_hex] = ACTIONS(1438),
    [sym_hostname] = ACTIONS(1438),
    [aux_sym_string_token1] = ACTIONS(1436),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [332] = {
    [ts_builtin_sym_end] = ACTIONS(1550),
    [anon_sym_module] = ACTIONS(1552),
    [anon_sym_SEMI] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1552),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_global] = ACTIONS(1552),
    [anon_sym_option] = ACTIONS(1552),
    [anon_sym_const] = ACTIONS(1552),
    [anon_sym_redef] = ACTIONS(1552),
    [anon_sym_record] = ACTIONS(1552),
    [anon_sym_type] = ACTIONS(1552),
    [anon_sym_print] = ACTIONS(1552),
    [anon_sym_event] = ACTIONS(1552),
    [anon_sym_if] = ACTIONS(1552),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_switch] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_next] = ACTIONS(1552),
    [anon_sym_break] = ACTIONS(1552),
    [anon_sym_fallthrough] = ACTIONS(1552),
    [anon_sym_return] = ACTIONS(1552),
    [anon_sym_add] = ACTIONS(1552),
    [anon_sym_delete] = ACTIONS(1552),
    [anon_sym_local] = ACTIONS(1552),
    [anon_sym_when] = ACTIONS(1552),
    [anon_sym_assert] = ACTIONS(1552),
    [anon_sym_table] = ACTIONS(1552),
    [anon_sym_set] = ACTIONS(1552),
    [anon_sym_vector] = ACTIONS(1552),
    [anon_sym_function] = ACTIONS(1552),
    [anon_sym_hook] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_copy] = ACTIONS(1552),
    [anon_sym_schedule] = ACTIONS(1552),
    [aux_sym_constant_token1] = ACTIONS(1552),
    [anon_sym_T] = ACTIONS(1552),
    [anon_sym_F] = ACTIONS(1552),
    [anon_sym_ATdeprecated] = ACTIONS(1550),
    [anon_sym_ATload] = ACTIONS(1552),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1550),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1550),
    [anon_sym_ATunload] = ACTIONS(1550),
    [anon_sym_ATprefixes] = ACTIONS(1550),
    [anon_sym_ATif] = ACTIONS(1552),
    [anon_sym_ATifdef] = ACTIONS(1550),
    [anon_sym_ATifndef] = ACTIONS(1550),
    [anon_sym_ATendif] = ACTIONS(1550),
    [anon_sym_ATelse] = ACTIONS(1550),
    [anon_sym_ATDIR] = ACTIONS(1550),
    [anon_sym_ATFILENAME] = ACTIONS(1550),
    [sym_id] = ACTIONS(1552),
    [sym_pattern] = ACTIONS(1550),
    [sym_ipv6] = ACTIONS(1552),
    [sym_ipv4] = ACTIONS(1552),
    [sym_port] = ACTIONS(1550),
    [sym_floatp] = ACTIONS(1552),
    [sym_hex] = ACTIONS(1552),
    [sym_hostname] = ACTIONS(1552),
    [aux_sym_string_token1] = ACTIONS(1550),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [333] = {
    [ts_builtin_sym_end] = ACTIONS(1554),
    [anon_sym_module] = ACTIONS(1556),
    [anon_sym_SEMI] = ACTIONS(1554),
    [anon_sym_export] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_global] = ACTIONS(1556),
    [anon_sym_option] = ACTIONS(1556),
    [anon_sym_const] = ACTIONS(1556),
    [anon_sym_redef] = ACTIONS(1556),
    [anon_sym_record] = ACTIONS(1556),
    [anon_sym_type] = ACTIONS(1556),
    [anon_sym_print] = ACTIONS(1556),
    [anon_sym_event] = ACTIONS(1556),
    [anon_sym_if] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1554),
    [anon_sym_switch] = ACTIONS(1556),
    [anon_sym_for] = ACTIONS(1556),
    [anon_sym_LBRACK] = ACTIONS(1554),
    [anon_sym_while] = ACTIONS(1556),
    [anon_sym_next] = ACTIONS(1556),
    [anon_sym_break] = ACTIONS(1556),
    [anon_sym_fallthrough] = ACTIONS(1556),
    [anon_sym_return] = ACTIONS(1556),
    [anon_sym_add] = ACTIONS(1556),
    [anon_sym_delete] = ACTIONS(1556),
    [anon_sym_local] = ACTIONS(1556),
    [anon_sym_when] = ACTIONS(1556),
    [anon_sym_assert] = ACTIONS(1556),
    [anon_sym_table] = ACTIONS(1556),
    [anon_sym_set] = ACTIONS(1556),
    [anon_sym_vector] = ACTIONS(1556),
    [anon_sym_function] = ACTIONS(1556),
    [anon_sym_hook] = ACTIONS(1556),
    [anon_sym_DOLLAR] = ACTIONS(1554),
    [anon_sym_PIPE] = ACTIONS(1554),
    [anon_sym_PLUS_PLUS] = ACTIONS(1554),
    [anon_sym_DASH_DASH] = ACTIONS(1554),
    [anon_sym_BANG] = ACTIONS(1554),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_copy] = ACTIONS(1556),
    [anon_sym_schedule] = ACTIONS(1556),
    [aux_sym_constant_token1] = ACTIONS(1556),
    [anon_sym_T] = ACTIONS(1556),
    [anon_sym_F] = ACTIONS(1556),
    [anon_sym_ATdeprecated] = ACTIONS(1554),
    [anon_sym_ATload] = ACTIONS(1556),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1554),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1554),
    [anon_sym_ATunload] = ACTIONS(1554),
    [anon_sym_ATprefixes] = ACTIONS(1554),
    [anon_sym_ATif] = ACTIONS(1556),
    [anon_sym_ATifdef] = ACTIONS(1554),
    [anon_sym_ATifndef] = ACTIONS(1554),
    [anon_sym_ATendif] = ACTIONS(1554),
    [anon_sym_ATelse] = ACTIONS(1554),
    [anon_sym_ATDIR] = ACTIONS(1554),
    [anon_sym_ATFILENAME] = ACTIONS(1554),
    [sym_id] = ACTIONS(1556),
    [sym_pattern] = ACTIONS(1554),
    [sym_ipv6] = ACTIONS(1556),
    [sym_ipv4] = ACTIONS(1556),
    [sym_port] = ACTIONS(1554),
    [sym_floatp] = ACTIONS(1556),
    [sym_hex] = ACTIONS(1556),
    [sym_hostname] = ACTIONS(1556),
    [aux_sym_string_token1] = ACTIONS(1554),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [334] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1530),
    [anon_sym_export] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_global] = ACTIONS(1532),
    [anon_sym_option] = ACTIONS(1532),
    [anon_sym_const] = ACTIONS(1532),
    [anon_sym_redef] = ACTIONS(1532),
    [anon_sym_record] = ACTIONS(1532),
    [anon_sym_type] = ACTIONS(1532),
    [anon_sym_print] = ACTIONS(1532),
    [anon_sym_event] = ACTIONS(1532),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [anon_sym_switch] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_next] = ACTIONS(1532),
    [anon_sym_break] = ACTIONS(1532),
    [anon_sym_fallthrough] = ACTIONS(1532),
    [anon_sym_return] = ACTIONS(1532),
    [anon_sym_add] = ACTIONS(1532),
    [anon_sym_delete] = ACTIONS(1532),
    [anon_sym_local] = ACTIONS(1532),
    [anon_sym_when] = ACTIONS(1532),
    [anon_sym_assert] = ACTIONS(1532),
    [anon_sym_table] = ACTIONS(1532),
    [anon_sym_set] = ACTIONS(1532),
    [anon_sym_vector] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1532),
    [anon_sym_hook] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_copy] = ACTIONS(1532),
    [anon_sym_schedule] = ACTIONS(1532),
    [aux_sym_constant_token1] = ACTIONS(1532),
    [anon_sym_T] = ACTIONS(1532),
    [anon_sym_F] = ACTIONS(1532),
    [anon_sym_ATdeprecated] = ACTIONS(1530),
    [anon_sym_ATload] = ACTIONS(1532),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1530),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1530),
    [anon_sym_ATunload] = ACTIONS(1530),
    [anon_sym_ATprefixes] = ACTIONS(1530),
    [anon_sym_ATif] = ACTIONS(1532),
    [anon_sym_ATifdef] = ACTIONS(1530),
    [anon_sym_ATifndef] = ACTIONS(1530),
    [anon_sym_ATendif] = ACTIONS(1530),
    [anon_sym_ATelse] = ACTIONS(1530),
    [anon_sym_ATDIR] = ACTIONS(1530),
    [anon_sym_ATFILENAME] = ACTIONS(1530),
    [sym_id] = ACTIONS(1532),
    [sym_pattern] = ACTIONS(1530),
    [sym_ipv6] = ACTIONS(1532),
    [sym_ipv4] = ACTIONS(1532),
    [sym_port] = ACTIONS(1530),
    [sym_floatp] = ACTIONS(1532),
    [sym_hex] = ACTIONS(1532),
    [sym_hostname] = ACTIONS(1532),
    [aux_sym_string_token1] = ACTIONS(1530),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [335] = {
    [anon_sym_SEMI] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1558),
    [anon_sym_RBRACE] = ACTIONS(1558),
    [anon_sym_COLON] = ACTIONS(1558),
    [anon_sym_PLUS_EQ] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1558),
    [anon_sym_RPAREN] = ACTIONS(1558),
    [anon_sym_COMMA] = ACTIONS(1558),
    [anon_sym_in] = ACTIONS(1558),
    [anon_sym_LBRACK] = ACTIONS(1558),
    [anon_sym_RBRACK] = ACTIONS(1558),
    [anon_sym_EQ] = ACTIONS(1560),
    [anon_sym_as] = ACTIONS(1558),
    [anon_sym_AMPdeprecated] = ACTIONS(1558),
    [anon_sym_DASH_EQ] = ACTIONS(1558),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1558),
    [anon_sym_AMPerror_handler] = ACTIONS(1558),
    [anon_sym_AMPis_assigned] = ACTIONS(1558),
    [anon_sym_AMPis_used] = ACTIONS(1558),
    [anon_sym_AMPlog] = ACTIONS(1558),
    [anon_sym_AMPoptional] = ACTIONS(1558),
    [anon_sym_AMPraw_output] = ACTIONS(1558),
    [anon_sym_AMPredef] = ACTIONS(1558),
    [anon_sym_AMPadd_func] = ACTIONS(1558),
    [anon_sym_AMPbackend] = ACTIONS(1558),
    [anon_sym_AMPbroker_store] = ACTIONS(1558),
    [anon_sym_AMPcreate_expire] = ACTIONS(1558),
    [anon_sym_AMPdefault] = ACTIONS(1558),
    [anon_sym_AMPdelete_func] = ACTIONS(1558),
    [anon_sym_AMPexpire_func] = ACTIONS(1558),
    [anon_sym_AMPgroup] = ACTIONS(1558),
    [anon_sym_AMPon_change] = ACTIONS(1558),
    [anon_sym_AMPpriority] = ACTIONS(1558),
    [anon_sym_AMPread_expire] = ACTIONS(1558),
    [anon_sym_AMPtype_column] = ACTIONS(1558),
    [anon_sym_AMPwrite_expire] = ACTIONS(1558),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [anon_sym_PIPE] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_is] = ACTIONS(1558),
    [anon_sym_STAR] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(1558),
    [anon_sym_PERCENT] = ACTIONS(1558),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(1558),
    [anon_sym_GT] = ACTIONS(1560),
    [anon_sym_GT_EQ] = ACTIONS(1558),
    [anon_sym_AMP] = ACTIONS(1560),
    [anon_sym_CARET] = ACTIONS(1558),
    [anon_sym_QMARK] = ACTIONS(1560),
    [anon_sym_EQ_EQ] = ACTIONS(1558),
    [anon_sym_BANG_EQ] = ACTIONS(1558),
    [anon_sym_AMP_AMP] = ACTIONS(1558),
    [anon_sym_PIPE_PIPE] = ACTIONS(1558),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1558),
    [anon_sym_ATdeprecated] = ACTIONS(1558),
    [anon_sym_ATload] = ACTIONS(1560),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1558),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1558),
    [anon_sym_ATunload] = ACTIONS(1558),
    [anon_sym_ATprefixes] = ACTIONS(1558),
    [anon_sym_ATif] = ACTIONS(1560),
    [anon_sym_ATifdef] = ACTIONS(1558),
    [anon_sym_ATifndef] = ACTIONS(1558),
    [anon_sym_ATendif] = ACTIONS(1558),
    [anon_sym_ATelse] = ACTIONS(1558),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [336] = {
    [anon_sym_SEMI] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_RBRACE] = ACTIONS(492),
    [anon_sym_COLON] = ACTIONS(492),
    [anon_sym_PLUS_EQ] = ACTIONS(492),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(492),
    [anon_sym_COMMA] = ACTIONS(492),
    [anon_sym_in] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(492),
    [anon_sym_EQ] = ACTIONS(494),
    [anon_sym_as] = ACTIONS(492),
    [anon_sym_AMPdeprecated] = ACTIONS(492),
    [anon_sym_DASH_EQ] = ACTIONS(492),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(492),
    [anon_sym_AMPerror_handler] = ACTIONS(492),
    [anon_sym_AMPis_assigned] = ACTIONS(492),
    [anon_sym_AMPis_used] = ACTIONS(492),
    [anon_sym_AMPlog] = ACTIONS(492),
    [anon_sym_AMPoptional] = ACTIONS(492),
    [anon_sym_AMPraw_output] = ACTIONS(492),
    [anon_sym_AMPredef] = ACTIONS(492),
    [anon_sym_AMPadd_func] = ACTIONS(492),
    [anon_sym_AMPbackend] = ACTIONS(492),
    [anon_sym_AMPbroker_store] = ACTIONS(492),
    [anon_sym_AMPcreate_expire] = ACTIONS(492),
    [anon_sym_AMPdefault] = ACTIONS(492),
    [anon_sym_AMPdelete_func] = ACTIONS(492),
    [anon_sym_AMPexpire_func] = ACTIONS(492),
    [anon_sym_AMPgroup] = ACTIONS(492),
    [anon_sym_AMPon_change] = ACTIONS(492),
    [anon_sym_AMPpriority] = ACTIONS(492),
    [anon_sym_AMPread_expire] = ACTIONS(492),
    [anon_sym_AMPtype_column] = ACTIONS(492),
    [anon_sym_AMPwrite_expire] = ACTIONS(492),
    [anon_sym_DOLLAR] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(494),
    [anon_sym_BANG] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_is] = ACTIONS(492),
    [anon_sym_STAR] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(492),
    [anon_sym_PERCENT] = ACTIONS(492),
    [anon_sym_LT] = ACTIONS(494),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_GT] = ACTIONS(494),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_AMP] = ACTIONS(494),
    [anon_sym_CARET] = ACTIONS(492),
    [anon_sym_QMARK] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_AMP_AMP] = ACTIONS(492),
    [anon_sym_PIPE_PIPE] = ACTIONS(492),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(492),
    [anon_sym_ATdeprecated] = ACTIONS(492),
    [anon_sym_ATload] = ACTIONS(494),
    [anon_sym_ATload_DASHsigs] = ACTIONS(492),
    [anon_sym_ATload_DASHplugin] = ACTIONS(492),
    [anon_sym_ATunload] = ACTIONS(492),
    [anon_sym_ATprefixes] = ACTIONS(492),
    [anon_sym_ATif] = ACTIONS(494),
    [anon_sym_ATifdef] = ACTIONS(492),
    [anon_sym_ATifndef] = ACTIONS(492),
    [anon_sym_ATendif] = ACTIONS(492),
    [anon_sym_ATelse] = ACTIONS(492),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [337] = {
    [anon_sym_SEMI] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1562),
    [anon_sym_RBRACE] = ACTIONS(1562),
    [anon_sym_COLON] = ACTIONS(1562),
    [anon_sym_PLUS_EQ] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1562),
    [anon_sym_RPAREN] = ACTIONS(1562),
    [anon_sym_COMMA] = ACTIONS(1562),
    [anon_sym_in] = ACTIONS(1562),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_RBRACK] = ACTIONS(1562),
    [anon_sym_EQ] = ACTIONS(1564),
    [anon_sym_as] = ACTIONS(1562),
    [anon_sym_AMPdeprecated] = ACTIONS(1562),
    [anon_sym_DASH_EQ] = ACTIONS(1562),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1562),
    [anon_sym_AMPerror_handler] = ACTIONS(1562),
    [anon_sym_AMPis_assigned] = ACTIONS(1562),
    [anon_sym_AMPis_used] = ACTIONS(1562),
    [anon_sym_AMPlog] = ACTIONS(1562),
    [anon_sym_AMPoptional] = ACTIONS(1562),
    [anon_sym_AMPraw_output] = ACTIONS(1562),
    [anon_sym_AMPredef] = ACTIONS(1562),
    [anon_sym_AMPadd_func] = ACTIONS(1562),
    [anon_sym_AMPbackend] = ACTIONS(1562),
    [anon_sym_AMPbroker_store] = ACTIONS(1562),
    [anon_sym_AMPcreate_expire] = ACTIONS(1562),
    [anon_sym_AMPdefault] = ACTIONS(1562),
    [anon_sym_AMPdelete_func] = ACTIONS(1562),
    [anon_sym_AMPexpire_func] = ACTIONS(1562),
    [anon_sym_AMPgroup] = ACTIONS(1562),
    [anon_sym_AMPon_change] = ACTIONS(1562),
    [anon_sym_AMPpriority] = ACTIONS(1562),
    [anon_sym_AMPread_expire] = ACTIONS(1562),
    [anon_sym_AMPtype_column] = ACTIONS(1562),
    [anon_sym_AMPwrite_expire] = ACTIONS(1562),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_PIPE] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_is] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1562),
    [anon_sym_SLASH] = ACTIONS(1562),
    [anon_sym_PERCENT] = ACTIONS(1562),
    [anon_sym_LT] = ACTIONS(1564),
    [anon_sym_LT_EQ] = ACTIONS(1562),
    [anon_sym_GT] = ACTIONS(1564),
    [anon_sym_GT_EQ] = ACTIONS(1562),
    [anon_sym_AMP] = ACTIONS(1564),
    [anon_sym_CARET] = ACTIONS(1562),
    [anon_sym_QMARK] = ACTIONS(1564),
    [anon_sym_EQ_EQ] = ACTIONS(1562),
    [anon_sym_BANG_EQ] = ACTIONS(1562),
    [anon_sym_AMP_AMP] = ACTIONS(1562),
    [anon_sym_PIPE_PIPE] = ACTIONS(1562),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1562),
    [anon_sym_ATdeprecated] = ACTIONS(1562),
    [anon_sym_ATload] = ACTIONS(1564),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1562),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1562),
    [anon_sym_ATunload] = ACTIONS(1562),
    [anon_sym_ATprefixes] = ACTIONS(1562),
    [anon_sym_ATif] = ACTIONS(1564),
    [anon_sym_ATifdef] = ACTIONS(1562),
    [anon_sym_ATifndef] = ACTIONS(1562),
    [anon_sym_ATendif] = ACTIONS(1562),
    [anon_sym_ATelse] = ACTIONS(1562),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [338] = {
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_PLUS_EQ] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_RPAREN] = ACTIONS(1414),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_RBRACK] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_as] = ACTIONS(1414),
    [anon_sym_AMPdeprecated] = ACTIONS(1414),
    [anon_sym_DASH_EQ] = ACTIONS(1414),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1414),
    [anon_sym_AMPerror_handler] = ACTIONS(1414),
    [anon_sym_AMPis_assigned] = ACTIONS(1414),
    [anon_sym_AMPis_used] = ACTIONS(1414),
    [anon_sym_AMPlog] = ACTIONS(1414),
    [anon_sym_AMPoptional] = ACTIONS(1414),
    [anon_sym_AMPraw_output] = ACTIONS(1414),
    [anon_sym_AMPredef] = ACTIONS(1414),
    [anon_sym_AMPadd_func] = ACTIONS(1414),
    [anon_sym_AMPbackend] = ACTIONS(1414),
    [anon_sym_AMPbroker_store] = ACTIONS(1414),
    [anon_sym_AMPcreate_expire] = ACTIONS(1414),
    [anon_sym_AMPdefault] = ACTIONS(1414),
    [anon_sym_AMPdelete_func] = ACTIONS(1414),
    [anon_sym_AMPexpire_func] = ACTIONS(1414),
    [anon_sym_AMPgroup] = ACTIONS(1414),
    [anon_sym_AMPon_change] = ACTIONS(1414),
    [anon_sym_AMPpriority] = ACTIONS(1414),
    [anon_sym_AMPread_expire] = ACTIONS(1414),
    [anon_sym_AMPtype_column] = ACTIONS(1414),
    [anon_sym_AMPwrite_expire] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_is] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1414),
    [anon_sym_ATdeprecated] = ACTIONS(1414),
    [anon_sym_ATload] = ACTIONS(1416),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1414),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1414),
    [anon_sym_ATunload] = ACTIONS(1414),
    [anon_sym_ATprefixes] = ACTIONS(1414),
    [anon_sym_ATif] = ACTIONS(1416),
    [anon_sym_ATifdef] = ACTIONS(1414),
    [anon_sym_ATifndef] = ACTIONS(1414),
    [anon_sym_ATendif] = ACTIONS(1414),
    [anon_sym_ATelse] = ACTIONS(1414),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [339] = {
    [ts_builtin_sym_end] = ACTIONS(1566),
    [anon_sym_module] = ACTIONS(1568),
    [anon_sym_SEMI] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1566),
    [anon_sym_global] = ACTIONS(1568),
    [anon_sym_option] = ACTIONS(1568),
    [anon_sym_const] = ACTIONS(1568),
    [anon_sym_redef] = ACTIONS(1568),
    [anon_sym_record] = ACTIONS(1568),
    [anon_sym_type] = ACTIONS(1568),
    [anon_sym_print] = ACTIONS(1568),
    [anon_sym_event] = ACTIONS(1568),
    [anon_sym_if] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1566),
    [anon_sym_switch] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_next] = ACTIONS(1568),
    [anon_sym_break] = ACTIONS(1568),
    [anon_sym_fallthrough] = ACTIONS(1568),
    [anon_sym_return] = ACTIONS(1568),
    [anon_sym_add] = ACTIONS(1568),
    [anon_sym_delete] = ACTIONS(1568),
    [anon_sym_local] = ACTIONS(1568),
    [anon_sym_when] = ACTIONS(1568),
    [anon_sym_assert] = ACTIONS(1568),
    [anon_sym_table] = ACTIONS(1568),
    [anon_sym_set] = ACTIONS(1568),
    [anon_sym_vector] = ACTIONS(1568),
    [anon_sym_function] = ACTIONS(1568),
    [anon_sym_hook] = ACTIONS(1568),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [anon_sym_PIPE] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1566),
    [anon_sym_DASH_DASH] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_copy] = ACTIONS(1568),
    [anon_sym_schedule] = ACTIONS(1568),
    [aux_sym_constant_token1] = ACTIONS(1568),
    [anon_sym_T] = ACTIONS(1568),
    [anon_sym_F] = ACTIONS(1568),
    [anon_sym_ATdeprecated] = ACTIONS(1566),
    [anon_sym_ATload] = ACTIONS(1568),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1566),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1566),
    [anon_sym_ATunload] = ACTIONS(1566),
    [anon_sym_ATprefixes] = ACTIONS(1566),
    [anon_sym_ATif] = ACTIONS(1568),
    [anon_sym_ATifdef] = ACTIONS(1566),
    [anon_sym_ATifndef] = ACTIONS(1566),
    [anon_sym_ATendif] = ACTIONS(1566),
    [anon_sym_ATelse] = ACTIONS(1566),
    [anon_sym_ATDIR] = ACTIONS(1566),
    [anon_sym_ATFILENAME] = ACTIONS(1566),
    [sym_id] = ACTIONS(1568),
    [sym_pattern] = ACTIONS(1566),
    [sym_ipv6] = ACTIONS(1568),
    [sym_ipv4] = ACTIONS(1568),
    [sym_port] = ACTIONS(1566),
    [sym_floatp] = ACTIONS(1568),
    [sym_hex] = ACTIONS(1568),
    [sym_hostname] = ACTIONS(1568),
    [aux_sym_string_token1] = ACTIONS(1566),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [340] = {
    [anon_sym_SEMI] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [anon_sym_COLON] = ACTIONS(1570),
    [anon_sym_PLUS_EQ] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_RPAREN] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1570),
    [anon_sym_in] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_RBRACK] = ACTIONS(1570),
    [anon_sym_EQ] = ACTIONS(1574),
    [anon_sym_as] = ACTIONS(1570),
    [anon_sym_AMPdeprecated] = ACTIONS(1570),
    [anon_sym_DASH_EQ] = ACTIONS(1570),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1570),
    [anon_sym_AMPerror_handler] = ACTIONS(1570),
    [anon_sym_AMPis_assigned] = ACTIONS(1570),
    [anon_sym_AMPis_used] = ACTIONS(1570),
    [anon_sym_AMPlog] = ACTIONS(1570),
    [anon_sym_AMPoptional] = ACTIONS(1570),
    [anon_sym_AMPraw_output] = ACTIONS(1570),
    [anon_sym_AMPredef] = ACTIONS(1570),
    [anon_sym_AMPadd_func] = ACTIONS(1570),
    [anon_sym_AMPbackend] = ACTIONS(1570),
    [anon_sym_AMPbroker_store] = ACTIONS(1570),
    [anon_sym_AMPcreate_expire] = ACTIONS(1570),
    [anon_sym_AMPdefault] = ACTIONS(1570),
    [anon_sym_AMPdelete_func] = ACTIONS(1570),
    [anon_sym_AMPexpire_func] = ACTIONS(1570),
    [anon_sym_AMPgroup] = ACTIONS(1570),
    [anon_sym_AMPon_change] = ACTIONS(1570),
    [anon_sym_AMPpriority] = ACTIONS(1570),
    [anon_sym_AMPread_expire] = ACTIONS(1570),
    [anon_sym_AMPtype_column] = ACTIONS(1570),
    [anon_sym_AMPwrite_expire] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [anon_sym_PIPE] = ACTIONS(1574),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_is] = ACTIONS(1570),
    [anon_sym_STAR] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(1570),
    [anon_sym_PERCENT] = ACTIONS(1570),
    [anon_sym_LT] = ACTIONS(1574),
    [anon_sym_LT_EQ] = ACTIONS(1570),
    [anon_sym_GT] = ACTIONS(1574),
    [anon_sym_GT_EQ] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(1574),
    [anon_sym_CARET] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(1574),
    [anon_sym_EQ_EQ] = ACTIONS(1570),
    [anon_sym_BANG_EQ] = ACTIONS(1570),
    [anon_sym_AMP_AMP] = ACTIONS(1570),
    [anon_sym_PIPE_PIPE] = ACTIONS(1570),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1570),
    [anon_sym_ATload] = ACTIONS(1574),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1570),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1570),
    [anon_sym_ATunload] = ACTIONS(1570),
    [anon_sym_ATprefixes] = ACTIONS(1570),
    [anon_sym_ATif] = ACTIONS(1574),
    [anon_sym_ATifdef] = ACTIONS(1570),
    [anon_sym_ATifndef] = ACTIONS(1570),
    [anon_sym_ATendif] = ACTIONS(1570),
    [anon_sym_ATelse] = ACTIONS(1570),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [341] = {
    [anon_sym_SEMI] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [anon_sym_COLON] = ACTIONS(1570),
    [anon_sym_PLUS_EQ] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1570),
    [anon_sym_RPAREN] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1570),
    [anon_sym_in] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_RBRACK] = ACTIONS(1570),
    [anon_sym_EQ] = ACTIONS(1574),
    [anon_sym_as] = ACTIONS(1570),
    [anon_sym_AMPdeprecated] = ACTIONS(1570),
    [anon_sym_DASH_EQ] = ACTIONS(1570),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1570),
    [anon_sym_AMPerror_handler] = ACTIONS(1570),
    [anon_sym_AMPis_assigned] = ACTIONS(1570),
    [anon_sym_AMPis_used] = ACTIONS(1570),
    [anon_sym_AMPlog] = ACTIONS(1570),
    [anon_sym_AMPoptional] = ACTIONS(1570),
    [anon_sym_AMPraw_output] = ACTIONS(1570),
    [anon_sym_AMPredef] = ACTIONS(1570),
    [anon_sym_AMPadd_func] = ACTIONS(1570),
    [anon_sym_AMPbackend] = ACTIONS(1570),
    [anon_sym_AMPbroker_store] = ACTIONS(1570),
    [anon_sym_AMPcreate_expire] = ACTIONS(1570),
    [anon_sym_AMPdefault] = ACTIONS(1570),
    [anon_sym_AMPdelete_func] = ACTIONS(1570),
    [anon_sym_AMPexpire_func] = ACTIONS(1570),
    [anon_sym_AMPgroup] = ACTIONS(1570),
    [anon_sym_AMPon_change] = ACTIONS(1570),
    [anon_sym_AMPpriority] = ACTIONS(1570),
    [anon_sym_AMPread_expire] = ACTIONS(1570),
    [anon_sym_AMPtype_column] = ACTIONS(1570),
    [anon_sym_AMPwrite_expire] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [anon_sym_PIPE] = ACTIONS(1574),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_is] = ACTIONS(1570),
    [anon_sym_STAR] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(1570),
    [anon_sym_PERCENT] = ACTIONS(1570),
    [anon_sym_LT] = ACTIONS(1574),
    [anon_sym_LT_EQ] = ACTIONS(1570),
    [anon_sym_GT] = ACTIONS(1574),
    [anon_sym_GT_EQ] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(1574),
    [anon_sym_CARET] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(1574),
    [anon_sym_EQ_EQ] = ACTIONS(1570),
    [anon_sym_BANG_EQ] = ACTIONS(1570),
    [anon_sym_AMP_AMP] = ACTIONS(1570),
    [anon_sym_PIPE_PIPE] = ACTIONS(1570),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1570),
    [anon_sym_ATdeprecated] = ACTIONS(1570),
    [anon_sym_ATload] = ACTIONS(1574),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1570),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1570),
    [anon_sym_ATunload] = ACTIONS(1570),
    [anon_sym_ATprefixes] = ACTIONS(1570),
    [anon_sym_ATif] = ACTIONS(1574),
    [anon_sym_ATifdef] = ACTIONS(1570),
    [anon_sym_ATifndef] = ACTIONS(1570),
    [anon_sym_ATendif] = ACTIONS(1570),
    [anon_sym_ATelse] = ACTIONS(1570),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [342] = {
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [anon_sym_COLON] = ACTIONS(1414),
    [anon_sym_PLUS_EQ] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_RPAREN] = ACTIONS(1414),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_RBRACK] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_as] = ACTIONS(1414),
    [anon_sym_AMPdeprecated] = ACTIONS(1414),
    [anon_sym_DASH_EQ] = ACTIONS(1414),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1414),
    [anon_sym_AMPerror_handler] = ACTIONS(1414),
    [anon_sym_AMPis_assigned] = ACTIONS(1414),
    [anon_sym_AMPis_used] = ACTIONS(1414),
    [anon_sym_AMPlog] = ACTIONS(1414),
    [anon_sym_AMPoptional] = ACTIONS(1414),
    [anon_sym_AMPraw_output] = ACTIONS(1414),
    [anon_sym_AMPredef] = ACTIONS(1414),
    [anon_sym_AMPadd_func] = ACTIONS(1414),
    [anon_sym_AMPbackend] = ACTIONS(1414),
    [anon_sym_AMPbroker_store] = ACTIONS(1414),
    [anon_sym_AMPcreate_expire] = ACTIONS(1414),
    [anon_sym_AMPdefault] = ACTIONS(1414),
    [anon_sym_AMPdelete_func] = ACTIONS(1414),
    [anon_sym_AMPexpire_func] = ACTIONS(1414),
    [anon_sym_AMPgroup] = ACTIONS(1414),
    [anon_sym_AMPon_change] = ACTIONS(1414),
    [anon_sym_AMPpriority] = ACTIONS(1414),
    [anon_sym_AMPread_expire] = ACTIONS(1414),
    [anon_sym_AMPtype_column] = ACTIONS(1414),
    [anon_sym_AMPwrite_expire] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_is] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1414),
    [anon_sym_ATdeprecated] = ACTIONS(1414),
    [anon_sym_ATload] = ACTIONS(1416),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1414),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1414),
    [anon_sym_ATunload] = ACTIONS(1414),
    [anon_sym_ATprefixes] = ACTIONS(1414),
    [anon_sym_ATif] = ACTIONS(1416),
    [anon_sym_ATifdef] = ACTIONS(1414),
    [anon_sym_ATifndef] = ACTIONS(1414),
    [anon_sym_ATendif] = ACTIONS(1414),
    [anon_sym_ATelse] = ACTIONS(1414),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(1576),
    [anon_sym_module] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_global] = ACTIONS(1578),
    [anon_sym_option] = ACTIONS(1578),
    [anon_sym_const] = ACTIONS(1578),
    [anon_sym_redef] = ACTIONS(1578),
    [anon_sym_record] = ACTIONS(1578),
    [anon_sym_type] = ACTIONS(1578),
    [anon_sym_print] = ACTIONS(1578),
    [anon_sym_event] = ACTIONS(1578),
    [anon_sym_if] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_switch] = ACTIONS(1578),
    [anon_sym_for] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1576),
    [anon_sym_while] = ACTIONS(1578),
    [anon_sym_next] = ACTIONS(1578),
    [anon_sym_break] = ACTIONS(1578),
    [anon_sym_fallthrough] = ACTIONS(1578),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_add] = ACTIONS(1578),
    [anon_sym_delete] = ACTIONS(1578),
    [anon_sym_local] = ACTIONS(1578),
    [anon_sym_when] = ACTIONS(1578),
    [anon_sym_assert] = ACTIONS(1578),
    [anon_sym_table] = ACTIONS(1578),
    [anon_sym_set] = ACTIONS(1578),
    [anon_sym_vector] = ACTIONS(1578),
    [anon_sym_function] = ACTIONS(1578),
    [anon_sym_hook] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1576),
    [anon_sym_PIPE] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_copy] = ACTIONS(1578),
    [anon_sym_schedule] = ACTIONS(1578),
    [aux_sym_constant_token1] = ACTIONS(1578),
    [anon_sym_T] = ACTIONS(1578),
    [anon_sym_F] = ACTIONS(1578),
    [anon_sym_ATdeprecated] = ACTIONS(1576),
    [anon_sym_ATload] = ACTIONS(1578),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1576),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1576),
    [anon_sym_ATunload] = ACTIONS(1576),
    [anon_sym_ATprefixes] = ACTIONS(1576),
    [anon_sym_ATif] = ACTIONS(1578),
    [anon_sym_ATifdef] = ACTIONS(1576),
    [anon_sym_ATifndef] = ACTIONS(1576),
    [anon_sym_ATendif] = ACTIONS(1576),
    [anon_sym_ATelse] = ACTIONS(1576),
    [anon_sym_ATDIR] = ACTIONS(1576),
    [anon_sym_ATFILENAME] = ACTIONS(1576),
    [sym_id] = ACTIONS(1578),
    [sym_pattern] = ACTIONS(1576),
    [sym_ipv6] = ACTIONS(1578),
    [sym_ipv4] = ACTIONS(1578),
    [sym_port] = ACTIONS(1576),
    [sym_floatp] = ACTIONS(1578),
    [sym_hex] = ACTIONS(1578),
    [sym_hostname] = ACTIONS(1578),
    [aux_sym_string_token1] = ACTIONS(1576),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_SEMI] = ACTIONS(1562),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1562),
    [anon_sym_global] = ACTIONS(1564),
    [anon_sym_option] = ACTIONS(1564),
    [anon_sym_const] = ACTIONS(1564),
    [anon_sym_redef] = ACTIONS(1564),
    [anon_sym_record] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_print] = ACTIONS(1564),
    [anon_sym_event] = ACTIONS(1564),
    [anon_sym_if] = ACTIONS(1564),
    [anon_sym_LPAREN] = ACTIONS(1562),
    [anon_sym_switch] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_next] = ACTIONS(1564),
    [anon_sym_break] = ACTIONS(1564),
    [anon_sym_fallthrough] = ACTIONS(1564),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_add] = ACTIONS(1564),
    [anon_sym_delete] = ACTIONS(1564),
    [anon_sym_local] = ACTIONS(1564),
    [anon_sym_when] = ACTIONS(1564),
    [anon_sym_assert] = ACTIONS(1564),
    [anon_sym_table] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_vector] = ACTIONS(1564),
    [anon_sym_function] = ACTIONS(1564),
    [anon_sym_hook] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_PIPE] = ACTIONS(1562),
    [anon_sym_PLUS_PLUS] = ACTIONS(1562),
    [anon_sym_DASH_DASH] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_TILDE] = ACTIONS(1562),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_copy] = ACTIONS(1564),
    [anon_sym_schedule] = ACTIONS(1564),
    [aux_sym_constant_token1] = ACTIONS(1564),
    [anon_sym_T] = ACTIONS(1564),
    [anon_sym_F] = ACTIONS(1564),
    [anon_sym_ATdeprecated] = ACTIONS(1562),
    [anon_sym_ATload] = ACTIONS(1564),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1562),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1562),
    [anon_sym_ATunload] = ACTIONS(1562),
    [anon_sym_ATprefixes] = ACTIONS(1562),
    [anon_sym_ATif] = ACTIONS(1564),
    [anon_sym_ATifdef] = ACTIONS(1562),
    [anon_sym_ATifndef] = ACTIONS(1562),
    [anon_sym_ATendif] = ACTIONS(1562),
    [anon_sym_ATelse] = ACTIONS(1562),
    [anon_sym_ATDIR] = ACTIONS(1562),
    [anon_sym_ATFILENAME] = ACTIONS(1562),
    [sym_id] = ACTIONS(1564),
    [sym_pattern] = ACTIONS(1562),
    [sym_ipv6] = ACTIONS(1564),
    [sym_ipv4] = ACTIONS(1564),
    [sym_port] = ACTIONS(1562),
    [sym_floatp] = ACTIONS(1564),
    [sym_hex] = ACTIONS(1564),
    [sym_hostname] = ACTIONS(1564),
    [aux_sym_string_token1] = ACTIONS(1562),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(1580),
    [anon_sym_module] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1580),
    [anon_sym_export] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_global] = ACTIONS(1582),
    [anon_sym_option] = ACTIONS(1582),
    [anon_sym_const] = ACTIONS(1582),
    [anon_sym_redef] = ACTIONS(1582),
    [anon_sym_record] = ACTIONS(1582),
    [anon_sym_type] = ACTIONS(1582),
    [anon_sym_print] = ACTIONS(1582),
    [anon_sym_event] = ACTIONS(1582),
    [anon_sym_if] = ACTIONS(1582),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_switch] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_next] = ACTIONS(1582),
    [anon_sym_break] = ACTIONS(1582),
    [anon_sym_fallthrough] = ACTIONS(1582),
    [anon_sym_return] = ACTIONS(1582),
    [anon_sym_add] = ACTIONS(1582),
    [anon_sym_delete] = ACTIONS(1582),
    [anon_sym_local] = ACTIONS(1582),
    [anon_sym_when] = ACTIONS(1582),
    [anon_sym_assert] = ACTIONS(1582),
    [anon_sym_table] = ACTIONS(1582),
    [anon_sym_set] = ACTIONS(1582),
    [anon_sym_vector] = ACTIONS(1582),
    [anon_sym_function] = ACTIONS(1582),
    [anon_sym_hook] = ACTIONS(1582),
    [anon_sym_DOLLAR] = ACTIONS(1580),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_PLUS_PLUS] = ACTIONS(1580),
    [anon_sym_DASH_DASH] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_copy] = ACTIONS(1582),
    [anon_sym_schedule] = ACTIONS(1582),
    [aux_sym_constant_token1] = ACTIONS(1582),
    [anon_sym_T] = ACTIONS(1582),
    [anon_sym_F] = ACTIONS(1582),
    [anon_sym_ATdeprecated] = ACTIONS(1580),
    [anon_sym_ATload] = ACTIONS(1582),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1580),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1580),
    [anon_sym_ATunload] = ACTIONS(1580),
    [anon_sym_ATprefixes] = ACTIONS(1580),
    [anon_sym_ATif] = ACTIONS(1582),
    [anon_sym_ATifdef] = ACTIONS(1580),
    [anon_sym_ATifndef] = ACTIONS(1580),
    [anon_sym_ATendif] = ACTIONS(1580),
    [anon_sym_ATelse] = ACTIONS(1580),
    [anon_sym_ATDIR] = ACTIONS(1580),
    [anon_sym_ATFILENAME] = ACTIONS(1580),
    [sym_id] = ACTIONS(1582),
    [sym_pattern] = ACTIONS(1580),
    [sym_ipv6] = ACTIONS(1582),
    [sym_ipv4] = ACTIONS(1582),
    [sym_port] = ACTIONS(1580),
    [sym_floatp] = ACTIONS(1582),
    [sym_hex] = ACTIONS(1582),
    [sym_hostname] = ACTIONS(1582),
    [aux_sym_string_token1] = ACTIONS(1580),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [346] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(133),
    [anon_sym_COMMA] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_RBRACK] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(133),
    [anon_sym_AMPdeprecated] = ACTIONS(133),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(133),
    [anon_sym_AMPerror_handler] = ACTIONS(133),
    [anon_sym_AMPis_assigned] = ACTIONS(133),
    [anon_sym_AMPis_used] = ACTIONS(133),
    [anon_sym_AMPlog] = ACTIONS(133),
    [anon_sym_AMPoptional] = ACTIONS(133),
    [anon_sym_AMPraw_output] = ACTIONS(133),
    [anon_sym_AMPredef] = ACTIONS(133),
    [anon_sym_AMPadd_func] = ACTIONS(133),
    [anon_sym_AMPbackend] = ACTIONS(133),
    [anon_sym_AMPbroker_store] = ACTIONS(133),
    [anon_sym_AMPcreate_expire] = ACTIONS(133),
    [anon_sym_AMPdefault] = ACTIONS(133),
    [anon_sym_AMPdelete_func] = ACTIONS(133),
    [anon_sym_AMPexpire_func] = ACTIONS(133),
    [anon_sym_AMPgroup] = ACTIONS(133),
    [anon_sym_AMPon_change] = ACTIONS(133),
    [anon_sym_AMPpriority] = ACTIONS(133),
    [anon_sym_AMPread_expire] = ACTIONS(133),
    [anon_sym_AMPtype_column] = ACTIONS(133),
    [anon_sym_AMPwrite_expire] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [347] = {
    [sym_index_slice] = STATE(349),
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(133),
    [anon_sym_COMMA] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_RBRACK] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_AMPdeprecated] = ACTIONS(133),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(133),
    [anon_sym_AMPerror_handler] = ACTIONS(133),
    [anon_sym_AMPis_assigned] = ACTIONS(133),
    [anon_sym_AMPis_used] = ACTIONS(133),
    [anon_sym_AMPlog] = ACTIONS(133),
    [anon_sym_AMPoptional] = ACTIONS(133),
    [anon_sym_AMPraw_output] = ACTIONS(133),
    [anon_sym_AMPredef] = ACTIONS(133),
    [anon_sym_AMPadd_func] = ACTIONS(133),
    [anon_sym_AMPbackend] = ACTIONS(133),
    [anon_sym_AMPbroker_store] = ACTIONS(133),
    [anon_sym_AMPcreate_expire] = ACTIONS(133),
    [anon_sym_AMPdefault] = ACTIONS(133),
    [anon_sym_AMPdelete_func] = ACTIONS(133),
    [anon_sym_AMPexpire_func] = ACTIONS(133),
    [anon_sym_AMPgroup] = ACTIONS(133),
    [anon_sym_AMPon_change] = ACTIONS(133),
    [anon_sym_AMPpriority] = ACTIONS(133),
    [anon_sym_AMPread_expire] = ACTIONS(133),
    [anon_sym_AMPtype_column] = ACTIONS(133),
    [anon_sym_AMPwrite_expire] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [348] = {
    [anon_sym_SEMI] = ACTIONS(1590),
    [anon_sym_LBRACE] = ACTIONS(1590),
    [anon_sym_RBRACE] = ACTIONS(1590),
    [anon_sym_COLON] = ACTIONS(1590),
    [anon_sym_PLUS_EQ] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [anon_sym_RPAREN] = ACTIONS(1590),
    [anon_sym_COMMA] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [anon_sym_RBRACK] = ACTIONS(1590),
    [anon_sym_EQ] = ACTIONS(1592),
    [anon_sym_as] = ACTIONS(1590),
    [anon_sym_AMPdeprecated] = ACTIONS(1590),
    [anon_sym_DASH_EQ] = ACTIONS(1590),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1590),
    [anon_sym_AMPerror_handler] = ACTIONS(1590),
    [anon_sym_AMPis_assigned] = ACTIONS(1590),
    [anon_sym_AMPis_used] = ACTIONS(1590),
    [anon_sym_AMPlog] = ACTIONS(1590),
    [anon_sym_AMPoptional] = ACTIONS(1590),
    [anon_sym_AMPraw_output] = ACTIONS(1590),
    [anon_sym_AMPredef] = ACTIONS(1590),
    [anon_sym_AMPadd_func] = ACTIONS(1590),
    [anon_sym_AMPbackend] = ACTIONS(1590),
    [anon_sym_AMPbroker_store] = ACTIONS(1590),
    [anon_sym_AMPcreate_expire] = ACTIONS(1590),
    [anon_sym_AMPdefault] = ACTIONS(1590),
    [anon_sym_AMPdelete_func] = ACTIONS(1590),
    [anon_sym_AMPexpire_func] = ACTIONS(1590),
    [anon_sym_AMPgroup] = ACTIONS(1590),
    [anon_sym_AMPon_change] = ACTIONS(1590),
    [anon_sym_AMPpriority] = ACTIONS(1590),
    [anon_sym_AMPread_expire] = ACTIONS(1590),
    [anon_sym_AMPtype_column] = ACTIONS(1590),
    [anon_sym_AMPwrite_expire] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_is] = ACTIONS(1590),
    [anon_sym_STAR] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1590),
    [anon_sym_PERCENT] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_CARET] = ACTIONS(1590),
    [anon_sym_QMARK] = ACTIONS(1592),
    [anon_sym_EQ_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_AMP_AMP] = ACTIONS(1590),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1590),
    [anon_sym_ATdeprecated] = ACTIONS(1590),
    [anon_sym_ATload] = ACTIONS(1592),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1590),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1590),
    [anon_sym_ATunload] = ACTIONS(1590),
    [anon_sym_ATprefixes] = ACTIONS(1590),
    [anon_sym_ATif] = ACTIONS(1592),
    [anon_sym_ATifdef] = ACTIONS(1590),
    [anon_sym_ATifndef] = ACTIONS(1590),
    [anon_sym_ATendif] = ACTIONS(1590),
    [anon_sym_ATelse] = ACTIONS(1590),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [349] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_PLUS_EQ] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(133),
    [anon_sym_COMMA] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_RBRACK] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(139),
    [anon_sym_as] = ACTIONS(133),
    [anon_sym_AMPdeprecated] = ACTIONS(133),
    [anon_sym_DASH_EQ] = ACTIONS(133),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(133),
    [anon_sym_AMPerror_handler] = ACTIONS(133),
    [anon_sym_AMPis_assigned] = ACTIONS(133),
    [anon_sym_AMPis_used] = ACTIONS(133),
    [anon_sym_AMPlog] = ACTIONS(133),
    [anon_sym_AMPoptional] = ACTIONS(133),
    [anon_sym_AMPraw_output] = ACTIONS(133),
    [anon_sym_AMPredef] = ACTIONS(133),
    [anon_sym_AMPadd_func] = ACTIONS(133),
    [anon_sym_AMPbackend] = ACTIONS(133),
    [anon_sym_AMPbroker_store] = ACTIONS(133),
    [anon_sym_AMPcreate_expire] = ACTIONS(133),
    [anon_sym_AMPdefault] = ACTIONS(133),
    [anon_sym_AMPdelete_func] = ACTIONS(133),
    [anon_sym_AMPexpire_func] = ACTIONS(133),
    [anon_sym_AMPgroup] = ACTIONS(133),
    [anon_sym_AMPon_change] = ACTIONS(133),
    [anon_sym_AMPpriority] = ACTIONS(133),
    [anon_sym_AMPread_expire] = ACTIONS(133),
    [anon_sym_AMPtype_column] = ACTIONS(133),
    [anon_sym_AMPwrite_expire] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_is] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_LT_EQ] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_GT_EQ] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(133),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [350] = {
    [anon_sym_SEMI] = ACTIONS(111),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_COLON] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_RPAREN] = ACTIONS(111),
    [anon_sym_COMMA] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(111),
    [anon_sym_AMPdeprecated] = ACTIONS(111),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(111),
    [anon_sym_AMPerror_handler] = ACTIONS(111),
    [anon_sym_AMPis_assigned] = ACTIONS(111),
    [anon_sym_AMPis_used] = ACTIONS(111),
    [anon_sym_AMPlog] = ACTIONS(111),
    [anon_sym_AMPoptional] = ACTIONS(111),
    [anon_sym_AMPraw_output] = ACTIONS(111),
    [anon_sym_AMPredef] = ACTIONS(111),
    [anon_sym_AMPadd_func] = ACTIONS(111),
    [anon_sym_AMPbackend] = ACTIONS(111),
    [anon_sym_AMPbroker_store] = ACTIONS(111),
    [anon_sym_AMPcreate_expire] = ACTIONS(111),
    [anon_sym_AMPdefault] = ACTIONS(111),
    [anon_sym_AMPdelete_func] = ACTIONS(111),
    [anon_sym_AMPexpire_func] = ACTIONS(111),
    [anon_sym_AMPgroup] = ACTIONS(111),
    [anon_sym_AMPon_change] = ACTIONS(111),
    [anon_sym_AMPpriority] = ACTIONS(111),
    [anon_sym_AMPread_expire] = ACTIONS(111),
    [anon_sym_AMPtype_column] = ACTIONS(111),
    [anon_sym_AMPwrite_expire] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_is] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_SLASH] = ACTIONS(111),
    [anon_sym_PERCENT] = ACTIONS(111),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_LT_EQ] = ACTIONS(111),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(111),
    [anon_sym_AMP] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(111),
    [anon_sym_BANG_EQ] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_ATdeprecated] = ACTIONS(111),
    [anon_sym_ATload] = ACTIONS(113),
    [anon_sym_ATload_DASHsigs] = ACTIONS(111),
    [anon_sym_ATload_DASHplugin] = ACTIONS(111),
    [anon_sym_ATunload] = ACTIONS(111),
    [anon_sym_ATprefixes] = ACTIONS(111),
    [anon_sym_ATif] = ACTIONS(113),
    [anon_sym_ATifdef] = ACTIONS(111),
    [anon_sym_ATifndef] = ACTIONS(111),
    [anon_sym_ATendif] = ACTIONS(111),
    [anon_sym_ATelse] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [351] = {
    [anon_sym_SEMI] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1558),
    [anon_sym_RBRACE] = ACTIONS(1558),
    [anon_sym_COLON] = ACTIONS(1558),
    [anon_sym_PLUS_EQ] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1558),
    [anon_sym_RPAREN] = ACTIONS(1558),
    [anon_sym_COMMA] = ACTIONS(1558),
    [anon_sym_in] = ACTIONS(1558),
    [anon_sym_LBRACK] = ACTIONS(1558),
    [anon_sym_RBRACK] = ACTIONS(1558),
    [anon_sym_EQ] = ACTIONS(1560),
    [anon_sym_as] = ACTIONS(1558),
    [anon_sym_AMPdeprecated] = ACTIONS(1558),
    [anon_sym_DASH_EQ] = ACTIONS(1558),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1558),
    [anon_sym_AMPerror_handler] = ACTIONS(1558),
    [anon_sym_AMPis_assigned] = ACTIONS(1558),
    [anon_sym_AMPis_used] = ACTIONS(1558),
    [anon_sym_AMPlog] = ACTIONS(1558),
    [anon_sym_AMPoptional] = ACTIONS(1558),
    [anon_sym_AMPraw_output] = ACTIONS(1558),
    [anon_sym_AMPredef] = ACTIONS(1558),
    [anon_sym_AMPadd_func] = ACTIONS(1558),
    [anon_sym_AMPbackend] = ACTIONS(1558),
    [anon_sym_AMPbroker_store] = ACTIONS(1558),
    [anon_sym_AMPcreate_expire] = ACTIONS(1558),
    [anon_sym_AMPdefault] = ACTIONS(1558),
    [anon_sym_AMPdelete_func] = ACTIONS(1558),
    [anon_sym_AMPexpire_func] = ACTIONS(1558),
    [anon_sym_AMPgroup] = ACTIONS(1558),
    [anon_sym_AMPon_change] = ACTIONS(1558),
    [anon_sym_AMPpriority] = ACTIONS(1558),
    [anon_sym_AMPread_expire] = ACTIONS(1558),
    [anon_sym_AMPtype_column] = ACTIONS(1558),
    [anon_sym_AMPwrite_expire] = ACTIONS(1558),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [anon_sym_PIPE] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_is] = ACTIONS(1558),
    [anon_sym_STAR] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(1558),
    [anon_sym_PERCENT] = ACTIONS(1558),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(1558),
    [anon_sym_GT] = ACTIONS(1560),
    [anon_sym_GT_EQ] = ACTIONS(1558),
    [anon_sym_AMP] = ACTIONS(1560),
    [anon_sym_CARET] = ACTIONS(1558),
    [anon_sym_QMARK] = ACTIONS(1560),
    [anon_sym_EQ_EQ] = ACTIONS(1558),
    [anon_sym_BANG_EQ] = ACTIONS(1558),
    [anon_sym_AMP_AMP] = ACTIONS(1558),
    [anon_sym_PIPE_PIPE] = ACTIONS(1558),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1558),
    [anon_sym_ATdeprecated] = ACTIONS(1558),
    [anon_sym_ATload] = ACTIONS(1560),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1558),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1558),
    [anon_sym_ATunload] = ACTIONS(1558),
    [anon_sym_ATprefixes] = ACTIONS(1558),
    [anon_sym_ATif] = ACTIONS(1560),
    [anon_sym_ATifdef] = ACTIONS(1558),
    [anon_sym_ATifndef] = ACTIONS(1558),
    [anon_sym_ATendif] = ACTIONS(1558),
    [anon_sym_ATelse] = ACTIONS(1558),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [352] = {
    [anon_sym_SEMI] = ACTIONS(111),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_COLON] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_RPAREN] = ACTIONS(111),
    [anon_sym_COMMA] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(111),
    [anon_sym_AMPdeprecated] = ACTIONS(111),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(111),
    [anon_sym_AMPerror_handler] = ACTIONS(111),
    [anon_sym_AMPis_assigned] = ACTIONS(111),
    [anon_sym_AMPis_used] = ACTIONS(111),
    [anon_sym_AMPlog] = ACTIONS(111),
    [anon_sym_AMPoptional] = ACTIONS(111),
    [anon_sym_AMPraw_output] = ACTIONS(111),
    [anon_sym_AMPredef] = ACTIONS(111),
    [anon_sym_AMPadd_func] = ACTIONS(111),
    [anon_sym_AMPbackend] = ACTIONS(111),
    [anon_sym_AMPbroker_store] = ACTIONS(111),
    [anon_sym_AMPcreate_expire] = ACTIONS(111),
    [anon_sym_AMPdefault] = ACTIONS(111),
    [anon_sym_AMPdelete_func] = ACTIONS(111),
    [anon_sym_AMPexpire_func] = ACTIONS(111),
    [anon_sym_AMPgroup] = ACTIONS(111),
    [anon_sym_AMPon_change] = ACTIONS(111),
    [anon_sym_AMPpriority] = ACTIONS(111),
    [anon_sym_AMPread_expire] = ACTIONS(111),
    [anon_sym_AMPtype_column] = ACTIONS(111),
    [anon_sym_AMPwrite_expire] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_is] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_SLASH] = ACTIONS(111),
    [anon_sym_PERCENT] = ACTIONS(111),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_LT_EQ] = ACTIONS(111),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(111),
    [anon_sym_AMP] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(111),
    [anon_sym_BANG_EQ] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_ATdeprecated] = ACTIONS(111),
    [anon_sym_ATload] = ACTIONS(113),
    [anon_sym_ATload_DASHsigs] = ACTIONS(111),
    [anon_sym_ATload_DASHplugin] = ACTIONS(111),
    [anon_sym_ATunload] = ACTIONS(111),
    [anon_sym_ATprefixes] = ACTIONS(111),
    [anon_sym_ATif] = ACTIONS(113),
    [anon_sym_ATifdef] = ACTIONS(111),
    [anon_sym_ATifndef] = ACTIONS(111),
    [anon_sym_ATendif] = ACTIONS(111),
    [anon_sym_ATelse] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [353] = {
    [anon_sym_SEMI] = ACTIONS(1594),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [anon_sym_COLON] = ACTIONS(1594),
    [anon_sym_PLUS_EQ] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_RPAREN] = ACTIONS(1594),
    [anon_sym_COMMA] = ACTIONS(1594),
    [anon_sym_in] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_RBRACK] = ACTIONS(1594),
    [anon_sym_EQ] = ACTIONS(1596),
    [anon_sym_as] = ACTIONS(1594),
    [anon_sym_AMPdeprecated] = ACTIONS(1594),
    [anon_sym_DASH_EQ] = ACTIONS(1594),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1594),
    [anon_sym_AMPerror_handler] = ACTIONS(1594),
    [anon_sym_AMPis_assigned] = ACTIONS(1594),
    [anon_sym_AMPis_used] = ACTIONS(1594),
    [anon_sym_AMPlog] = ACTIONS(1594),
    [anon_sym_AMPoptional] = ACTIONS(1594),
    [anon_sym_AMPraw_output] = ACTIONS(1594),
    [anon_sym_AMPredef] = ACTIONS(1594),
    [anon_sym_AMPadd_func] = ACTIONS(1594),
    [anon_sym_AMPbackend] = ACTIONS(1594),
    [anon_sym_AMPbroker_store] = ACTIONS(1594),
    [anon_sym_AMPcreate_expire] = ACTIONS(1594),
    [anon_sym_AMPdefault] = ACTIONS(1594),
    [anon_sym_AMPdelete_func] = ACTIONS(1594),
    [anon_sym_AMPexpire_func] = ACTIONS(1594),
    [anon_sym_AMPgroup] = ACTIONS(1594),
    [anon_sym_AMPon_change] = ACTIONS(1594),
    [anon_sym_AMPpriority] = ACTIONS(1594),
    [anon_sym_AMPread_expire] = ACTIONS(1594),
    [anon_sym_AMPtype_column] = ACTIONS(1594),
    [anon_sym_AMPwrite_expire] = ACTIONS(1594),
    [anon_sym_DOLLAR] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_PLUS] = ACTIONS(1596),
    [anon_sym_is] = ACTIONS(1594),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1594),
    [anon_sym_PERCENT] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_GT] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1596),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_QMARK] = ACTIONS(1596),
    [anon_sym_EQ_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_AMP_AMP] = ACTIONS(1594),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1594),
    [anon_sym_ATdeprecated] = ACTIONS(1594),
    [anon_sym_ATload] = ACTIONS(1596),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1594),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1594),
    [anon_sym_ATunload] = ACTIONS(1594),
    [anon_sym_ATprefixes] = ACTIONS(1594),
    [anon_sym_ATif] = ACTIONS(1596),
    [anon_sym_ATifdef] = ACTIONS(1594),
    [anon_sym_ATifndef] = ACTIONS(1594),
    [anon_sym_ATendif] = ACTIONS(1594),
    [anon_sym_ATelse] = ACTIONS(1594),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_export] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_global] = ACTIONS(1422),
    [anon_sym_option] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_redef] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_type] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [355] = {
    [anon_sym_SEMI] = ACTIONS(111),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_COLON] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_RPAREN] = ACTIONS(111),
    [anon_sym_COMMA] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(111),
    [anon_sym_AMPdeprecated] = ACTIONS(111),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(111),
    [anon_sym_AMPerror_handler] = ACTIONS(111),
    [anon_sym_AMPis_assigned] = ACTIONS(111),
    [anon_sym_AMPis_used] = ACTIONS(111),
    [anon_sym_AMPlog] = ACTIONS(111),
    [anon_sym_AMPoptional] = ACTIONS(111),
    [anon_sym_AMPraw_output] = ACTIONS(111),
    [anon_sym_AMPredef] = ACTIONS(111),
    [anon_sym_AMPadd_func] = ACTIONS(111),
    [anon_sym_AMPbackend] = ACTIONS(111),
    [anon_sym_AMPbroker_store] = ACTIONS(111),
    [anon_sym_AMPcreate_expire] = ACTIONS(111),
    [anon_sym_AMPdefault] = ACTIONS(111),
    [anon_sym_AMPdelete_func] = ACTIONS(111),
    [anon_sym_AMPexpire_func] = ACTIONS(111),
    [anon_sym_AMPgroup] = ACTIONS(111),
    [anon_sym_AMPon_change] = ACTIONS(111),
    [anon_sym_AMPpriority] = ACTIONS(111),
    [anon_sym_AMPread_expire] = ACTIONS(111),
    [anon_sym_AMPtype_column] = ACTIONS(111),
    [anon_sym_AMPwrite_expire] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_is] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_SLASH] = ACTIONS(111),
    [anon_sym_PERCENT] = ACTIONS(111),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_LT_EQ] = ACTIONS(111),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(111),
    [anon_sym_AMP] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(111),
    [anon_sym_BANG_EQ] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_ATdeprecated] = ACTIONS(111),
    [anon_sym_ATload] = ACTIONS(113),
    [anon_sym_ATload_DASHsigs] = ACTIONS(111),
    [anon_sym_ATload_DASHplugin] = ACTIONS(111),
    [anon_sym_ATunload] = ACTIONS(111),
    [anon_sym_ATprefixes] = ACTIONS(111),
    [anon_sym_ATif] = ACTIONS(113),
    [anon_sym_ATifdef] = ACTIONS(111),
    [anon_sym_ATifndef] = ACTIONS(111),
    [anon_sym_ATendif] = ACTIONS(111),
    [anon_sym_ATelse] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [356] = {
    [anon_sym_SEMI] = ACTIONS(111),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_COLON] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_RPAREN] = ACTIONS(111),
    [anon_sym_COMMA] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(111),
    [anon_sym_AMPdeprecated] = ACTIONS(111),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(111),
    [anon_sym_AMPerror_handler] = ACTIONS(111),
    [anon_sym_AMPis_assigned] = ACTIONS(111),
    [anon_sym_AMPis_used] = ACTIONS(111),
    [anon_sym_AMPlog] = ACTIONS(111),
    [anon_sym_AMPoptional] = ACTIONS(111),
    [anon_sym_AMPraw_output] = ACTIONS(111),
    [anon_sym_AMPredef] = ACTIONS(111),
    [anon_sym_AMPadd_func] = ACTIONS(111),
    [anon_sym_AMPbackend] = ACTIONS(111),
    [anon_sym_AMPbroker_store] = ACTIONS(111),
    [anon_sym_AMPcreate_expire] = ACTIONS(111),
    [anon_sym_AMPdefault] = ACTIONS(111),
    [anon_sym_AMPdelete_func] = ACTIONS(111),
    [anon_sym_AMPexpire_func] = ACTIONS(111),
    [anon_sym_AMPgroup] = ACTIONS(111),
    [anon_sym_AMPon_change] = ACTIONS(111),
    [anon_sym_AMPpriority] = ACTIONS(111),
    [anon_sym_AMPread_expire] = ACTIONS(111),
    [anon_sym_AMPtype_column] = ACTIONS(111),
    [anon_sym_AMPwrite_expire] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_is] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_SLASH] = ACTIONS(111),
    [anon_sym_PERCENT] = ACTIONS(111),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_LT_EQ] = ACTIONS(111),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(111),
    [anon_sym_AMP] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(111),
    [anon_sym_BANG_EQ] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_ATdeprecated] = ACTIONS(111),
    [anon_sym_ATload] = ACTIONS(113),
    [anon_sym_ATload_DASHsigs] = ACTIONS(111),
    [anon_sym_ATload_DASHplugin] = ACTIONS(111),
    [anon_sym_ATunload] = ACTIONS(111),
    [anon_sym_ATprefixes] = ACTIONS(111),
    [anon_sym_ATif] = ACTIONS(113),
    [anon_sym_ATifdef] = ACTIONS(111),
    [anon_sym_ATifndef] = ACTIONS(111),
    [anon_sym_ATendif] = ACTIONS(111),
    [anon_sym_ATelse] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [357] = {
    [anon_sym_SEMI] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_RBRACE] = ACTIONS(1598),
    [anon_sym_COLON] = ACTIONS(1598),
    [anon_sym_PLUS_EQ] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_RPAREN] = ACTIONS(1598),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_in] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_RBRACK] = ACTIONS(1598),
    [anon_sym_EQ] = ACTIONS(1600),
    [anon_sym_as] = ACTIONS(1598),
    [anon_sym_AMPdeprecated] = ACTIONS(1598),
    [anon_sym_DASH_EQ] = ACTIONS(1598),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1598),
    [anon_sym_AMPerror_handler] = ACTIONS(1598),
    [anon_sym_AMPis_assigned] = ACTIONS(1598),
    [anon_sym_AMPis_used] = ACTIONS(1598),
    [anon_sym_AMPlog] = ACTIONS(1598),
    [anon_sym_AMPoptional] = ACTIONS(1598),
    [anon_sym_AMPraw_output] = ACTIONS(1598),
    [anon_sym_AMPredef] = ACTIONS(1598),
    [anon_sym_AMPadd_func] = ACTIONS(1598),
    [anon_sym_AMPbackend] = ACTIONS(1598),
    [anon_sym_AMPbroker_store] = ACTIONS(1598),
    [anon_sym_AMPcreate_expire] = ACTIONS(1598),
    [anon_sym_AMPdefault] = ACTIONS(1598),
    [anon_sym_AMPdelete_func] = ACTIONS(1598),
    [anon_sym_AMPexpire_func] = ACTIONS(1598),
    [anon_sym_AMPgroup] = ACTIONS(1598),
    [anon_sym_AMPon_change] = ACTIONS(1598),
    [anon_sym_AMPpriority] = ACTIONS(1598),
    [anon_sym_AMPread_expire] = ACTIONS(1598),
    [anon_sym_AMPtype_column] = ACTIONS(1598),
    [anon_sym_AMPwrite_expire] = ACTIONS(1598),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_is] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1598),
    [anon_sym_PERCENT] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_QMARK] = ACTIONS(1600),
    [anon_sym_EQ_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_AMP_AMP] = ACTIONS(1598),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1598),
    [anon_sym_ATdeprecated] = ACTIONS(1598),
    [anon_sym_ATload] = ACTIONS(1600),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1598),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1598),
    [anon_sym_ATunload] = ACTIONS(1598),
    [anon_sym_ATprefixes] = ACTIONS(1598),
    [anon_sym_ATif] = ACTIONS(1600),
    [anon_sym_ATifdef] = ACTIONS(1598),
    [anon_sym_ATifndef] = ACTIONS(1598),
    [anon_sym_ATendif] = ACTIONS(1598),
    [anon_sym_ATelse] = ACTIONS(1598),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [358] = {
    [sym_index_slice] = STATE(349),
    [anon_sym_SEMI] = ACTIONS(111),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_RPAREN] = ACTIONS(111),
    [anon_sym_COMMA] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_RBRACK] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_AMPdeprecated] = ACTIONS(111),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(111),
    [anon_sym_AMPerror_handler] = ACTIONS(111),
    [anon_sym_AMPis_assigned] = ACTIONS(111),
    [anon_sym_AMPis_used] = ACTIONS(111),
    [anon_sym_AMPlog] = ACTIONS(111),
    [anon_sym_AMPoptional] = ACTIONS(111),
    [anon_sym_AMPraw_output] = ACTIONS(111),
    [anon_sym_AMPredef] = ACTIONS(111),
    [anon_sym_AMPadd_func] = ACTIONS(111),
    [anon_sym_AMPbackend] = ACTIONS(111),
    [anon_sym_AMPbroker_store] = ACTIONS(111),
    [anon_sym_AMPcreate_expire] = ACTIONS(111),
    [anon_sym_AMPdefault] = ACTIONS(111),
    [anon_sym_AMPdelete_func] = ACTIONS(111),
    [anon_sym_AMPexpire_func] = ACTIONS(111),
    [anon_sym_AMPgroup] = ACTIONS(111),
    [anon_sym_AMPon_change] = ACTIONS(111),
    [anon_sym_AMPpriority] = ACTIONS(111),
    [anon_sym_AMPread_expire] = ACTIONS(111),
    [anon_sym_AMPtype_column] = ACTIONS(111),
    [anon_sym_AMPwrite_expire] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_is] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_SLASH] = ACTIONS(111),
    [anon_sym_PERCENT] = ACTIONS(111),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_LT_EQ] = ACTIONS(111),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(111),
    [anon_sym_AMP] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(111),
    [anon_sym_BANG_EQ] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_ATdeprecated] = ACTIONS(111),
    [anon_sym_ATload] = ACTIONS(113),
    [anon_sym_ATload_DASHsigs] = ACTIONS(111),
    [anon_sym_ATload_DASHplugin] = ACTIONS(111),
    [anon_sym_ATunload] = ACTIONS(111),
    [anon_sym_ATprefixes] = ACTIONS(111),
    [anon_sym_ATif] = ACTIONS(113),
    [anon_sym_ATifdef] = ACTIONS(111),
    [anon_sym_ATifndef] = ACTIONS(111),
    [anon_sym_ATendif] = ACTIONS(111),
    [anon_sym_ATelse] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [359] = {
    [anon_sym_SEMI] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_COLON] = ACTIONS(1602),
    [anon_sym_PLUS_EQ] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_RPAREN] = ACTIONS(1602),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_in] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [anon_sym_RBRACK] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1604),
    [anon_sym_as] = ACTIONS(1602),
    [anon_sym_AMPdeprecated] = ACTIONS(1602),
    [anon_sym_DASH_EQ] = ACTIONS(1602),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1602),
    [anon_sym_AMPerror_handler] = ACTIONS(1602),
    [anon_sym_AMPis_assigned] = ACTIONS(1602),
    [anon_sym_AMPis_used] = ACTIONS(1602),
    [anon_sym_AMPlog] = ACTIONS(1602),
    [anon_sym_AMPoptional] = ACTIONS(1602),
    [anon_sym_AMPraw_output] = ACTIONS(1602),
    [anon_sym_AMPredef] = ACTIONS(1602),
    [anon_sym_AMPadd_func] = ACTIONS(1602),
    [anon_sym_AMPbackend] = ACTIONS(1602),
    [anon_sym_AMPbroker_store] = ACTIONS(1602),
    [anon_sym_AMPcreate_expire] = ACTIONS(1602),
    [anon_sym_AMPdefault] = ACTIONS(1602),
    [anon_sym_AMPdelete_func] = ACTIONS(1602),
    [anon_sym_AMPexpire_func] = ACTIONS(1602),
    [anon_sym_AMPgroup] = ACTIONS(1602),
    [anon_sym_AMPon_change] = ACTIONS(1602),
    [anon_sym_AMPpriority] = ACTIONS(1602),
    [anon_sym_AMPread_expire] = ACTIONS(1602),
    [anon_sym_AMPtype_column] = ACTIONS(1602),
    [anon_sym_AMPwrite_expire] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_is] = ACTIONS(1602),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1602),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_QMARK] = ACTIONS(1604),
    [anon_sym_EQ_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_AMP_AMP] = ACTIONS(1602),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1602),
    [anon_sym_ATload] = ACTIONS(1604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1602),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1602),
    [anon_sym_ATunload] = ACTIONS(1602),
    [anon_sym_ATprefixes] = ACTIONS(1602),
    [anon_sym_ATif] = ACTIONS(1604),
    [anon_sym_ATifdef] = ACTIONS(1602),
    [anon_sym_ATifndef] = ACTIONS(1602),
    [anon_sym_ATendif] = ACTIONS(1602),
    [anon_sym_ATelse] = ACTIONS(1602),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [360] = {
    [anon_sym_SEMI] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_COLON] = ACTIONS(1602),
    [anon_sym_PLUS_EQ] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_RPAREN] = ACTIONS(1602),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_in] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [anon_sym_RBRACK] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1604),
    [anon_sym_as] = ACTIONS(1602),
    [anon_sym_AMPdeprecated] = ACTIONS(1602),
    [anon_sym_DASH_EQ] = ACTIONS(1602),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1602),
    [anon_sym_AMPerror_handler] = ACTIONS(1602),
    [anon_sym_AMPis_assigned] = ACTIONS(1602),
    [anon_sym_AMPis_used] = ACTIONS(1602),
    [anon_sym_AMPlog] = ACTIONS(1602),
    [anon_sym_AMPoptional] = ACTIONS(1602),
    [anon_sym_AMPraw_output] = ACTIONS(1602),
    [anon_sym_AMPredef] = ACTIONS(1602),
    [anon_sym_AMPadd_func] = ACTIONS(1602),
    [anon_sym_AMPbackend] = ACTIONS(1602),
    [anon_sym_AMPbroker_store] = ACTIONS(1602),
    [anon_sym_AMPcreate_expire] = ACTIONS(1602),
    [anon_sym_AMPdefault] = ACTIONS(1602),
    [anon_sym_AMPdelete_func] = ACTIONS(1602),
    [anon_sym_AMPexpire_func] = ACTIONS(1602),
    [anon_sym_AMPgroup] = ACTIONS(1602),
    [anon_sym_AMPon_change] = ACTIONS(1602),
    [anon_sym_AMPpriority] = ACTIONS(1602),
    [anon_sym_AMPread_expire] = ACTIONS(1602),
    [anon_sym_AMPtype_column] = ACTIONS(1602),
    [anon_sym_AMPwrite_expire] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_is] = ACTIONS(1602),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1602),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_QMARK] = ACTIONS(1604),
    [anon_sym_EQ_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_AMP_AMP] = ACTIONS(1602),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1602),
    [anon_sym_ATload] = ACTIONS(1604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1602),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1602),
    [anon_sym_ATunload] = ACTIONS(1602),
    [anon_sym_ATprefixes] = ACTIONS(1602),
    [anon_sym_ATif] = ACTIONS(1604),
    [anon_sym_ATifdef] = ACTIONS(1602),
    [anon_sym_ATifndef] = ACTIONS(1602),
    [anon_sym_ATendif] = ACTIONS(1602),
    [anon_sym_ATelse] = ACTIONS(1602),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [361] = {
    [anon_sym_SEMI] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_COLON] = ACTIONS(1602),
    [anon_sym_PLUS_EQ] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_RPAREN] = ACTIONS(1602),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_in] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [anon_sym_RBRACK] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1604),
    [anon_sym_as] = ACTIONS(1602),
    [anon_sym_AMPdeprecated] = ACTIONS(1602),
    [anon_sym_DASH_EQ] = ACTIONS(1602),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1602),
    [anon_sym_AMPerror_handler] = ACTIONS(1602),
    [anon_sym_AMPis_assigned] = ACTIONS(1602),
    [anon_sym_AMPis_used] = ACTIONS(1602),
    [anon_sym_AMPlog] = ACTIONS(1602),
    [anon_sym_AMPoptional] = ACTIONS(1602),
    [anon_sym_AMPraw_output] = ACTIONS(1602),
    [anon_sym_AMPredef] = ACTIONS(1602),
    [anon_sym_AMPadd_func] = ACTIONS(1602),
    [anon_sym_AMPbackend] = ACTIONS(1602),
    [anon_sym_AMPbroker_store] = ACTIONS(1602),
    [anon_sym_AMPcreate_expire] = ACTIONS(1602),
    [anon_sym_AMPdefault] = ACTIONS(1602),
    [anon_sym_AMPdelete_func] = ACTIONS(1602),
    [anon_sym_AMPexpire_func] = ACTIONS(1602),
    [anon_sym_AMPgroup] = ACTIONS(1602),
    [anon_sym_AMPon_change] = ACTIONS(1602),
    [anon_sym_AMPpriority] = ACTIONS(1602),
    [anon_sym_AMPread_expire] = ACTIONS(1602),
    [anon_sym_AMPtype_column] = ACTIONS(1602),
    [anon_sym_AMPwrite_expire] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_is] = ACTIONS(1602),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1602),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_QMARK] = ACTIONS(1604),
    [anon_sym_EQ_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_AMP_AMP] = ACTIONS(1602),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1602),
    [anon_sym_ATload] = ACTIONS(1604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1602),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1602),
    [anon_sym_ATunload] = ACTIONS(1602),
    [anon_sym_ATprefixes] = ACTIONS(1602),
    [anon_sym_ATif] = ACTIONS(1604),
    [anon_sym_ATifdef] = ACTIONS(1602),
    [anon_sym_ATifndef] = ACTIONS(1602),
    [anon_sym_ATendif] = ACTIONS(1602),
    [anon_sym_ATelse] = ACTIONS(1602),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(1468),
    [anon_sym_module] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1468),
    [anon_sym_export] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_global] = ACTIONS(1470),
    [anon_sym_option] = ACTIONS(1470),
    [anon_sym_const] = ACTIONS(1470),
    [anon_sym_redef] = ACTIONS(1470),
    [anon_sym_record] = ACTIONS(1470),
    [anon_sym_type] = ACTIONS(1470),
    [anon_sym_print] = ACTIONS(1470),
    [anon_sym_event] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_next] = ACTIONS(1470),
    [anon_sym_break] = ACTIONS(1470),
    [anon_sym_fallthrough] = ACTIONS(1470),
    [anon_sym_return] = ACTIONS(1470),
    [anon_sym_add] = ACTIONS(1470),
    [anon_sym_delete] = ACTIONS(1470),
    [anon_sym_local] = ACTIONS(1470),
    [anon_sym_when] = ACTIONS(1470),
    [anon_sym_assert] = ACTIONS(1470),
    [anon_sym_table] = ACTIONS(1470),
    [anon_sym_set] = ACTIONS(1470),
    [anon_sym_vector] = ACTIONS(1470),
    [anon_sym_function] = ACTIONS(1470),
    [anon_sym_hook] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_copy] = ACTIONS(1470),
    [anon_sym_schedule] = ACTIONS(1470),
    [aux_sym_constant_token1] = ACTIONS(1470),
    [anon_sym_T] = ACTIONS(1470),
    [anon_sym_F] = ACTIONS(1470),
    [anon_sym_ATdeprecated] = ACTIONS(1468),
    [anon_sym_ATload] = ACTIONS(1470),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1468),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1468),
    [anon_sym_ATunload] = ACTIONS(1468),
    [anon_sym_ATprefixes] = ACTIONS(1468),
    [anon_sym_ATif] = ACTIONS(1470),
    [anon_sym_ATifdef] = ACTIONS(1468),
    [anon_sym_ATifndef] = ACTIONS(1468),
    [anon_sym_ATendif] = ACTIONS(1468),
    [anon_sym_ATelse] = ACTIONS(1468),
    [anon_sym_ATDIR] = ACTIONS(1468),
    [anon_sym_ATFILENAME] = ACTIONS(1468),
    [sym_id] = ACTIONS(1470),
    [sym_pattern] = ACTIONS(1468),
    [sym_ipv6] = ACTIONS(1470),
    [sym_ipv4] = ACTIONS(1470),
    [sym_port] = ACTIONS(1468),
    [sym_floatp] = ACTIONS(1470),
    [sym_hex] = ACTIONS(1470),
    [sym_hostname] = ACTIONS(1470),
    [aux_sym_string_token1] = ACTIONS(1468),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(1576),
    [anon_sym_module] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_global] = ACTIONS(1578),
    [anon_sym_option] = ACTIONS(1578),
    [anon_sym_const] = ACTIONS(1578),
    [anon_sym_redef] = ACTIONS(1578),
    [anon_sym_record] = ACTIONS(1578),
    [anon_sym_type] = ACTIONS(1578),
    [anon_sym_print] = ACTIONS(1578),
    [anon_sym_event] = ACTIONS(1578),
    [anon_sym_if] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_switch] = ACTIONS(1578),
    [anon_sym_for] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1576),
    [anon_sym_while] = ACTIONS(1578),
    [anon_sym_next] = ACTIONS(1578),
    [anon_sym_break] = ACTIONS(1578),
    [anon_sym_fallthrough] = ACTIONS(1578),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_add] = ACTIONS(1578),
    [anon_sym_delete] = ACTIONS(1578),
    [anon_sym_local] = ACTIONS(1578),
    [anon_sym_when] = ACTIONS(1578),
    [anon_sym_assert] = ACTIONS(1578),
    [anon_sym_table] = ACTIONS(1578),
    [anon_sym_set] = ACTIONS(1578),
    [anon_sym_vector] = ACTIONS(1578),
    [anon_sym_function] = ACTIONS(1578),
    [anon_sym_hook] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1576),
    [anon_sym_PIPE] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_copy] = ACTIONS(1578),
    [anon_sym_schedule] = ACTIONS(1578),
    [aux_sym_constant_token1] = ACTIONS(1578),
    [anon_sym_T] = ACTIONS(1578),
    [anon_sym_F] = ACTIONS(1578),
    [anon_sym_ATdeprecated] = ACTIONS(1576),
    [anon_sym_ATload] = ACTIONS(1578),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1576),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1576),
    [anon_sym_ATunload] = ACTIONS(1576),
    [anon_sym_ATprefixes] = ACTIONS(1576),
    [anon_sym_ATif] = ACTIONS(1578),
    [anon_sym_ATifdef] = ACTIONS(1576),
    [anon_sym_ATifndef] = ACTIONS(1576),
    [anon_sym_ATendif] = ACTIONS(1576),
    [anon_sym_ATelse] = ACTIONS(1576),
    [anon_sym_ATDIR] = ACTIONS(1576),
    [anon_sym_ATFILENAME] = ACTIONS(1576),
    [sym_id] = ACTIONS(1578),
    [sym_pattern] = ACTIONS(1576),
    [sym_ipv6] = ACTIONS(1578),
    [sym_ipv4] = ACTIONS(1578),
    [sym_port] = ACTIONS(1576),
    [sym_floatp] = ACTIONS(1578),
    [sym_hex] = ACTIONS(1578),
    [sym_hostname] = ACTIONS(1578),
    [aux_sym_string_token1] = ACTIONS(1576),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [364] = {
    [anon_sym_SEMI] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_RBRACE] = ACTIONS(321),
    [anon_sym_COLON] = ACTIONS(321),
    [anon_sym_PLUS_EQ] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(321),
    [anon_sym_RPAREN] = ACTIONS(321),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_in] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(321),
    [anon_sym_RBRACK] = ACTIONS(321),
    [anon_sym_EQ] = ACTIONS(323),
    [anon_sym_as] = ACTIONS(321),
    [anon_sym_AMPdeprecated] = ACTIONS(321),
    [anon_sym_DASH_EQ] = ACTIONS(321),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(321),
    [anon_sym_AMPerror_handler] = ACTIONS(321),
    [anon_sym_AMPis_assigned] = ACTIONS(321),
    [anon_sym_AMPis_used] = ACTIONS(321),
    [anon_sym_AMPlog] = ACTIONS(321),
    [anon_sym_AMPoptional] = ACTIONS(321),
    [anon_sym_AMPraw_output] = ACTIONS(321),
    [anon_sym_AMPredef] = ACTIONS(321),
    [anon_sym_AMPadd_func] = ACTIONS(321),
    [anon_sym_AMPbackend] = ACTIONS(321),
    [anon_sym_AMPbroker_store] = ACTIONS(321),
    [anon_sym_AMPcreate_expire] = ACTIONS(321),
    [anon_sym_AMPdefault] = ACTIONS(321),
    [anon_sym_AMPdelete_func] = ACTIONS(321),
    [anon_sym_AMPexpire_func] = ACTIONS(321),
    [anon_sym_AMPgroup] = ACTIONS(321),
    [anon_sym_AMPon_change] = ACTIONS(321),
    [anon_sym_AMPpriority] = ACTIONS(321),
    [anon_sym_AMPread_expire] = ACTIONS(321),
    [anon_sym_AMPtype_column] = ACTIONS(321),
    [anon_sym_AMPwrite_expire] = ACTIONS(321),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [anon_sym_PIPE] = ACTIONS(323),
    [anon_sym_BANG] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(323),
    [anon_sym_PLUS] = ACTIONS(323),
    [anon_sym_is] = ACTIONS(321),
    [anon_sym_STAR] = ACTIONS(321),
    [anon_sym_SLASH] = ACTIONS(321),
    [anon_sym_PERCENT] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(321),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(321),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_CARET] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(321),
    [anon_sym_BANG_EQ] = ACTIONS(321),
    [anon_sym_AMP_AMP] = ACTIONS(321),
    [anon_sym_PIPE_PIPE] = ACTIONS(321),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(321),
    [anon_sym_ATdeprecated] = ACTIONS(321),
    [anon_sym_ATload] = ACTIONS(323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(321),
    [anon_sym_ATload_DASHplugin] = ACTIONS(321),
    [anon_sym_ATunload] = ACTIONS(321),
    [anon_sym_ATprefixes] = ACTIONS(321),
    [anon_sym_ATif] = ACTIONS(323),
    [anon_sym_ATifdef] = ACTIONS(321),
    [anon_sym_ATifndef] = ACTIONS(321),
    [anon_sym_ATendif] = ACTIONS(321),
    [anon_sym_ATelse] = ACTIONS(321),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [anon_sym_module] = ACTIONS(1608),
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_export] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_global] = ACTIONS(1608),
    [anon_sym_option] = ACTIONS(1608),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_redef] = ACTIONS(1608),
    [anon_sym_record] = ACTIONS(1608),
    [anon_sym_type] = ACTIONS(1608),
    [anon_sym_print] = ACTIONS(1608),
    [anon_sym_event] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_next] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_fallthrough] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_add] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_local] = ACTIONS(1608),
    [anon_sym_when] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_table] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_vector] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_hook] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_copy] = ACTIONS(1608),
    [anon_sym_schedule] = ACTIONS(1608),
    [aux_sym_constant_token1] = ACTIONS(1608),
    [anon_sym_T] = ACTIONS(1608),
    [anon_sym_F] = ACTIONS(1608),
    [anon_sym_ATdeprecated] = ACTIONS(1606),
    [anon_sym_ATload] = ACTIONS(1608),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1606),
    [anon_sym_ATunload] = ACTIONS(1606),
    [anon_sym_ATprefixes] = ACTIONS(1606),
    [anon_sym_ATif] = ACTIONS(1608),
    [anon_sym_ATifdef] = ACTIONS(1606),
    [anon_sym_ATifndef] = ACTIONS(1606),
    [anon_sym_ATendif] = ACTIONS(1606),
    [anon_sym_ATelse] = ACTIONS(1606),
    [anon_sym_ATDIR] = ACTIONS(1606),
    [anon_sym_ATFILENAME] = ACTIONS(1606),
    [sym_id] = ACTIONS(1608),
    [sym_pattern] = ACTIONS(1606),
    [sym_ipv6] = ACTIONS(1608),
    [sym_ipv4] = ACTIONS(1608),
    [sym_port] = ACTIONS(1606),
    [sym_floatp] = ACTIONS(1608),
    [sym_hex] = ACTIONS(1608),
    [sym_hostname] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1606),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [366] = {
    [anon_sym_SEMI] = ACTIONS(1610),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_COLON] = ACTIONS(1610),
    [anon_sym_PLUS_EQ] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_RPAREN] = ACTIONS(1610),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_in] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_RBRACK] = ACTIONS(1610),
    [anon_sym_EQ] = ACTIONS(1612),
    [anon_sym_as] = ACTIONS(1610),
    [anon_sym_AMPdeprecated] = ACTIONS(1610),
    [anon_sym_DASH_EQ] = ACTIONS(1610),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1610),
    [anon_sym_AMPerror_handler] = ACTIONS(1610),
    [anon_sym_AMPis_assigned] = ACTIONS(1610),
    [anon_sym_AMPis_used] = ACTIONS(1610),
    [anon_sym_AMPlog] = ACTIONS(1610),
    [anon_sym_AMPoptional] = ACTIONS(1610),
    [anon_sym_AMPraw_output] = ACTIONS(1610),
    [anon_sym_AMPredef] = ACTIONS(1610),
    [anon_sym_AMPadd_func] = ACTIONS(1610),
    [anon_sym_AMPbackend] = ACTIONS(1610),
    [anon_sym_AMPbroker_store] = ACTIONS(1610),
    [anon_sym_AMPcreate_expire] = ACTIONS(1610),
    [anon_sym_AMPdefault] = ACTIONS(1610),
    [anon_sym_AMPdelete_func] = ACTIONS(1610),
    [anon_sym_AMPexpire_func] = ACTIONS(1610),
    [anon_sym_AMPgroup] = ACTIONS(1610),
    [anon_sym_AMPon_change] = ACTIONS(1610),
    [anon_sym_AMPpriority] = ACTIONS(1610),
    [anon_sym_AMPread_expire] = ACTIONS(1610),
    [anon_sym_AMPtype_column] = ACTIONS(1610),
    [anon_sym_AMPwrite_expire] = ACTIONS(1610),
    [anon_sym_DOLLAR] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_is] = ACTIONS(1610),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1610),
    [anon_sym_PERCENT] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_QMARK] = ACTIONS(1612),
    [anon_sym_EQ_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_AMP_AMP] = ACTIONS(1610),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1610),
    [anon_sym_ATdeprecated] = ACTIONS(1610),
    [anon_sym_ATload] = ACTIONS(1612),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1610),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1610),
    [anon_sym_ATunload] = ACTIONS(1610),
    [anon_sym_ATprefixes] = ACTIONS(1610),
    [anon_sym_ATif] = ACTIONS(1612),
    [anon_sym_ATifdef] = ACTIONS(1610),
    [anon_sym_ATifndef] = ACTIONS(1610),
    [anon_sym_ATendif] = ACTIONS(1610),
    [anon_sym_ATelse] = ACTIONS(1610),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [367] = {
    [anon_sym_SEMI] = ACTIONS(1610),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_COLON] = ACTIONS(1610),
    [anon_sym_PLUS_EQ] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_RPAREN] = ACTIONS(1610),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_in] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_RBRACK] = ACTIONS(1610),
    [anon_sym_EQ] = ACTIONS(1612),
    [anon_sym_as] = ACTIONS(1610),
    [anon_sym_AMPdeprecated] = ACTIONS(1610),
    [anon_sym_DASH_EQ] = ACTIONS(1610),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1610),
    [anon_sym_AMPerror_handler] = ACTIONS(1610),
    [anon_sym_AMPis_assigned] = ACTIONS(1610),
    [anon_sym_AMPis_used] = ACTIONS(1610),
    [anon_sym_AMPlog] = ACTIONS(1610),
    [anon_sym_AMPoptional] = ACTIONS(1610),
    [anon_sym_AMPraw_output] = ACTIONS(1610),
    [anon_sym_AMPredef] = ACTIONS(1610),
    [anon_sym_AMPadd_func] = ACTIONS(1610),
    [anon_sym_AMPbackend] = ACTIONS(1610),
    [anon_sym_AMPbroker_store] = ACTIONS(1610),
    [anon_sym_AMPcreate_expire] = ACTIONS(1610),
    [anon_sym_AMPdefault] = ACTIONS(1610),
    [anon_sym_AMPdelete_func] = ACTIONS(1610),
    [anon_sym_AMPexpire_func] = ACTIONS(1610),
    [anon_sym_AMPgroup] = ACTIONS(1610),
    [anon_sym_AMPon_change] = ACTIONS(1610),
    [anon_sym_AMPpriority] = ACTIONS(1610),
    [anon_sym_AMPread_expire] = ACTIONS(1610),
    [anon_sym_AMPtype_column] = ACTIONS(1610),
    [anon_sym_AMPwrite_expire] = ACTIONS(1610),
    [anon_sym_DOLLAR] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_is] = ACTIONS(1610),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1610),
    [anon_sym_PERCENT] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_QMARK] = ACTIONS(1612),
    [anon_sym_EQ_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_AMP_AMP] = ACTIONS(1610),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1610),
    [anon_sym_ATdeprecated] = ACTIONS(1610),
    [anon_sym_ATload] = ACTIONS(1612),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1610),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1610),
    [anon_sym_ATunload] = ACTIONS(1610),
    [anon_sym_ATprefixes] = ACTIONS(1610),
    [anon_sym_ATif] = ACTIONS(1612),
    [anon_sym_ATifdef] = ACTIONS(1610),
    [anon_sym_ATifndef] = ACTIONS(1610),
    [anon_sym_ATendif] = ACTIONS(1610),
    [anon_sym_ATelse] = ACTIONS(1610),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [368] = {
    [anon_sym_SEMI] = ACTIONS(1610),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_COLON] = ACTIONS(1610),
    [anon_sym_PLUS_EQ] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_RPAREN] = ACTIONS(1610),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_in] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_RBRACK] = ACTIONS(1610),
    [anon_sym_EQ] = ACTIONS(1612),
    [anon_sym_as] = ACTIONS(1610),
    [anon_sym_AMPdeprecated] = ACTIONS(1610),
    [anon_sym_DASH_EQ] = ACTIONS(1610),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1610),
    [anon_sym_AMPerror_handler] = ACTIONS(1610),
    [anon_sym_AMPis_assigned] = ACTIONS(1610),
    [anon_sym_AMPis_used] = ACTIONS(1610),
    [anon_sym_AMPlog] = ACTIONS(1610),
    [anon_sym_AMPoptional] = ACTIONS(1610),
    [anon_sym_AMPraw_output] = ACTIONS(1610),
    [anon_sym_AMPredef] = ACTIONS(1610),
    [anon_sym_AMPadd_func] = ACTIONS(1610),
    [anon_sym_AMPbackend] = ACTIONS(1610),
    [anon_sym_AMPbroker_store] = ACTIONS(1610),
    [anon_sym_AMPcreate_expire] = ACTIONS(1610),
    [anon_sym_AMPdefault] = ACTIONS(1610),
    [anon_sym_AMPdelete_func] = ACTIONS(1610),
    [anon_sym_AMPexpire_func] = ACTIONS(1610),
    [anon_sym_AMPgroup] = ACTIONS(1610),
    [anon_sym_AMPon_change] = ACTIONS(1610),
    [anon_sym_AMPpriority] = ACTIONS(1610),
    [anon_sym_AMPread_expire] = ACTIONS(1610),
    [anon_sym_AMPtype_column] = ACTIONS(1610),
    [anon_sym_AMPwrite_expire] = ACTIONS(1610),
    [anon_sym_DOLLAR] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_is] = ACTIONS(1610),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1610),
    [anon_sym_PERCENT] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_QMARK] = ACTIONS(1612),
    [anon_sym_EQ_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_AMP_AMP] = ACTIONS(1610),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1610),
    [anon_sym_ATdeprecated] = ACTIONS(1610),
    [anon_sym_ATload] = ACTIONS(1612),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1610),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1610),
    [anon_sym_ATunload] = ACTIONS(1610),
    [anon_sym_ATprefixes] = ACTIONS(1610),
    [anon_sym_ATif] = ACTIONS(1612),
    [anon_sym_ATifdef] = ACTIONS(1610),
    [anon_sym_ATifndef] = ACTIONS(1610),
    [anon_sym_ATendif] = ACTIONS(1610),
    [anon_sym_ATelse] = ACTIONS(1610),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(1614),
    [anon_sym_module] = ACTIONS(1616),
    [anon_sym_SEMI] = ACTIONS(1614),
    [anon_sym_export] = ACTIONS(1616),
    [anon_sym_LBRACE] = ACTIONS(1614),
    [anon_sym_global] = ACTIONS(1616),
    [anon_sym_option] = ACTIONS(1616),
    [anon_sym_const] = ACTIONS(1616),
    [anon_sym_redef] = ACTIONS(1616),
    [anon_sym_record] = ACTIONS(1616),
    [anon_sym_type] = ACTIONS(1616),
    [anon_sym_print] = ACTIONS(1616),
    [anon_sym_event] = ACTIONS(1616),
    [anon_sym_if] = ACTIONS(1616),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [anon_sym_switch] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_next] = ACTIONS(1616),
    [anon_sym_break] = ACTIONS(1616),
    [anon_sym_fallthrough] = ACTIONS(1616),
    [anon_sym_return] = ACTIONS(1616),
    [anon_sym_add] = ACTIONS(1616),
    [anon_sym_delete] = ACTIONS(1616),
    [anon_sym_local] = ACTIONS(1616),
    [anon_sym_when] = ACTIONS(1616),
    [anon_sym_assert] = ACTIONS(1616),
    [anon_sym_table] = ACTIONS(1616),
    [anon_sym_set] = ACTIONS(1616),
    [anon_sym_vector] = ACTIONS(1616),
    [anon_sym_function] = ACTIONS(1616),
    [anon_sym_hook] = ACTIONS(1616),
    [anon_sym_DOLLAR] = ACTIONS(1614),
    [anon_sym_PIPE] = ACTIONS(1614),
    [anon_sym_PLUS_PLUS] = ACTIONS(1614),
    [anon_sym_DASH_DASH] = ACTIONS(1614),
    [anon_sym_BANG] = ACTIONS(1614),
    [anon_sym_TILDE] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_PLUS] = ACTIONS(1616),
    [anon_sym_copy] = ACTIONS(1616),
    [anon_sym_schedule] = ACTIONS(1616),
    [aux_sym_constant_token1] = ACTIONS(1616),
    [anon_sym_T] = ACTIONS(1616),
    [anon_sym_F] = ACTIONS(1616),
    [anon_sym_ATdeprecated] = ACTIONS(1614),
    [anon_sym_ATload] = ACTIONS(1616),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1614),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1614),
    [anon_sym_ATunload] = ACTIONS(1614),
    [anon_sym_ATprefixes] = ACTIONS(1614),
    [anon_sym_ATif] = ACTIONS(1616),
    [anon_sym_ATifdef] = ACTIONS(1614),
    [anon_sym_ATifndef] = ACTIONS(1614),
    [anon_sym_ATendif] = ACTIONS(1614),
    [anon_sym_ATelse] = ACTIONS(1614),
    [anon_sym_ATDIR] = ACTIONS(1614),
    [anon_sym_ATFILENAME] = ACTIONS(1614),
    [sym_id] = ACTIONS(1616),
    [sym_pattern] = ACTIONS(1614),
    [sym_ipv6] = ACTIONS(1616),
    [sym_ipv4] = ACTIONS(1616),
    [sym_port] = ACTIONS(1614),
    [sym_floatp] = ACTIONS(1616),
    [sym_hex] = ACTIONS(1616),
    [sym_hostname] = ACTIONS(1616),
    [aux_sym_string_token1] = ACTIONS(1614),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(1546),
    [anon_sym_module] = ACTIONS(1548),
    [anon_sym_SEMI] = ACTIONS(1546),
    [anon_sym_export] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_global] = ACTIONS(1548),
    [anon_sym_option] = ACTIONS(1548),
    [anon_sym_const] = ACTIONS(1548),
    [anon_sym_redef] = ACTIONS(1548),
    [anon_sym_record] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_print] = ACTIONS(1548),
    [anon_sym_event] = ACTIONS(1548),
    [anon_sym_if] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1546),
    [anon_sym_switch] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_next] = ACTIONS(1548),
    [anon_sym_break] = ACTIONS(1548),
    [anon_sym_fallthrough] = ACTIONS(1548),
    [anon_sym_return] = ACTIONS(1548),
    [anon_sym_add] = ACTIONS(1548),
    [anon_sym_delete] = ACTIONS(1548),
    [anon_sym_local] = ACTIONS(1548),
    [anon_sym_when] = ACTIONS(1548),
    [anon_sym_assert] = ACTIONS(1548),
    [anon_sym_table] = ACTIONS(1548),
    [anon_sym_set] = ACTIONS(1548),
    [anon_sym_vector] = ACTIONS(1548),
    [anon_sym_function] = ACTIONS(1548),
    [anon_sym_hook] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1546),
    [anon_sym_PIPE] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_copy] = ACTIONS(1548),
    [anon_sym_schedule] = ACTIONS(1548),
    [aux_sym_constant_token1] = ACTIONS(1548),
    [anon_sym_T] = ACTIONS(1548),
    [anon_sym_F] = ACTIONS(1548),
    [anon_sym_ATdeprecated] = ACTIONS(1546),
    [anon_sym_ATload] = ACTIONS(1548),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1546),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1546),
    [anon_sym_ATunload] = ACTIONS(1546),
    [anon_sym_ATprefixes] = ACTIONS(1546),
    [anon_sym_ATif] = ACTIONS(1548),
    [anon_sym_ATifdef] = ACTIONS(1546),
    [anon_sym_ATifndef] = ACTIONS(1546),
    [anon_sym_ATendif] = ACTIONS(1546),
    [anon_sym_ATelse] = ACTIONS(1546),
    [anon_sym_ATDIR] = ACTIONS(1546),
    [anon_sym_ATFILENAME] = ACTIONS(1546),
    [sym_id] = ACTIONS(1548),
    [sym_pattern] = ACTIONS(1546),
    [sym_ipv6] = ACTIONS(1548),
    [sym_ipv4] = ACTIONS(1548),
    [sym_port] = ACTIONS(1546),
    [sym_floatp] = ACTIONS(1548),
    [sym_hex] = ACTIONS(1548),
    [sym_hostname] = ACTIONS(1548),
    [aux_sym_string_token1] = ACTIONS(1546),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(1618),
    [anon_sym_module] = ACTIONS(1620),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1618),
    [anon_sym_global] = ACTIONS(1620),
    [anon_sym_option] = ACTIONS(1620),
    [anon_sym_const] = ACTIONS(1620),
    [anon_sym_redef] = ACTIONS(1620),
    [anon_sym_record] = ACTIONS(1620),
    [anon_sym_type] = ACTIONS(1620),
    [anon_sym_print] = ACTIONS(1620),
    [anon_sym_event] = ACTIONS(1620),
    [anon_sym_if] = ACTIONS(1620),
    [anon_sym_LPAREN] = ACTIONS(1618),
    [anon_sym_switch] = ACTIONS(1620),
    [anon_sym_for] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1618),
    [anon_sym_while] = ACTIONS(1620),
    [anon_sym_next] = ACTIONS(1620),
    [anon_sym_break] = ACTIONS(1620),
    [anon_sym_fallthrough] = ACTIONS(1620),
    [anon_sym_return] = ACTIONS(1620),
    [anon_sym_add] = ACTIONS(1620),
    [anon_sym_delete] = ACTIONS(1620),
    [anon_sym_local] = ACTIONS(1620),
    [anon_sym_when] = ACTIONS(1620),
    [anon_sym_assert] = ACTIONS(1620),
    [anon_sym_table] = ACTIONS(1620),
    [anon_sym_set] = ACTIONS(1620),
    [anon_sym_vector] = ACTIONS(1620),
    [anon_sym_function] = ACTIONS(1620),
    [anon_sym_hook] = ACTIONS(1620),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_PLUS_PLUS] = ACTIONS(1618),
    [anon_sym_DASH_DASH] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_TILDE] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(1620),
    [anon_sym_copy] = ACTIONS(1620),
    [anon_sym_schedule] = ACTIONS(1620),
    [aux_sym_constant_token1] = ACTIONS(1620),
    [anon_sym_T] = ACTIONS(1620),
    [anon_sym_F] = ACTIONS(1620),
    [anon_sym_ATdeprecated] = ACTIONS(1618),
    [anon_sym_ATload] = ACTIONS(1620),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1618),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1618),
    [anon_sym_ATunload] = ACTIONS(1618),
    [anon_sym_ATprefixes] = ACTIONS(1618),
    [anon_sym_ATif] = ACTIONS(1620),
    [anon_sym_ATifdef] = ACTIONS(1618),
    [anon_sym_ATifndef] = ACTIONS(1618),
    [anon_sym_ATendif] = ACTIONS(1618),
    [anon_sym_ATelse] = ACTIONS(1618),
    [anon_sym_ATDIR] = ACTIONS(1618),
    [anon_sym_ATFILENAME] = ACTIONS(1618),
    [sym_id] = ACTIONS(1620),
    [sym_pattern] = ACTIONS(1618),
    [sym_ipv6] = ACTIONS(1620),
    [sym_ipv4] = ACTIONS(1620),
    [sym_port] = ACTIONS(1618),
    [sym_floatp] = ACTIONS(1620),
    [sym_hex] = ACTIONS(1620),
    [sym_hostname] = ACTIONS(1620),
    [aux_sym_string_token1] = ACTIONS(1618),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(1456),
    [anon_sym_module] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_global] = ACTIONS(1458),
    [anon_sym_option] = ACTIONS(1458),
    [anon_sym_const] = ACTIONS(1458),
    [anon_sym_redef] = ACTIONS(1458),
    [anon_sym_record] = ACTIONS(1458),
    [anon_sym_type] = ACTIONS(1458),
    [anon_sym_print] = ACTIONS(1458),
    [anon_sym_event] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_next] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_fallthrough] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_add] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_local] = ACTIONS(1458),
    [anon_sym_when] = ACTIONS(1458),
    [anon_sym_assert] = ACTIONS(1458),
    [anon_sym_table] = ACTIONS(1458),
    [anon_sym_set] = ACTIONS(1458),
    [anon_sym_vector] = ACTIONS(1458),
    [anon_sym_function] = ACTIONS(1458),
    [anon_sym_hook] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [anon_sym_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_copy] = ACTIONS(1458),
    [anon_sym_schedule] = ACTIONS(1458),
    [aux_sym_constant_token1] = ACTIONS(1458),
    [anon_sym_T] = ACTIONS(1458),
    [anon_sym_F] = ACTIONS(1458),
    [anon_sym_ATdeprecated] = ACTIONS(1456),
    [anon_sym_ATload] = ACTIONS(1458),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1456),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1456),
    [anon_sym_ATunload] = ACTIONS(1456),
    [anon_sym_ATprefixes] = ACTIONS(1456),
    [anon_sym_ATif] = ACTIONS(1458),
    [anon_sym_ATifdef] = ACTIONS(1456),
    [anon_sym_ATifndef] = ACTIONS(1456),
    [anon_sym_ATendif] = ACTIONS(1456),
    [anon_sym_ATelse] = ACTIONS(1456),
    [anon_sym_ATDIR] = ACTIONS(1456),
    [anon_sym_ATFILENAME] = ACTIONS(1456),
    [sym_id] = ACTIONS(1458),
    [sym_pattern] = ACTIONS(1456),
    [sym_ipv6] = ACTIONS(1458),
    [sym_ipv4] = ACTIONS(1458),
    [sym_port] = ACTIONS(1456),
    [sym_floatp] = ACTIONS(1458),
    [sym_hex] = ACTIONS(1458),
    [sym_hostname] = ACTIONS(1458),
    [aux_sym_string_token1] = ACTIONS(1456),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [anon_sym_module] = ACTIONS(1624),
    [anon_sym_SEMI] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(1624),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym_global] = ACTIONS(1624),
    [anon_sym_option] = ACTIONS(1624),
    [anon_sym_const] = ACTIONS(1624),
    [anon_sym_redef] = ACTIONS(1624),
    [anon_sym_record] = ACTIONS(1624),
    [anon_sym_type] = ACTIONS(1624),
    [anon_sym_print] = ACTIONS(1624),
    [anon_sym_event] = ACTIONS(1624),
    [anon_sym_if] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(1624),
    [anon_sym_for] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(1624),
    [anon_sym_next] = ACTIONS(1624),
    [anon_sym_break] = ACTIONS(1624),
    [anon_sym_fallthrough] = ACTIONS(1624),
    [anon_sym_return] = ACTIONS(1624),
    [anon_sym_add] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1624),
    [anon_sym_local] = ACTIONS(1624),
    [anon_sym_when] = ACTIONS(1624),
    [anon_sym_assert] = ACTIONS(1624),
    [anon_sym_table] = ACTIONS(1624),
    [anon_sym_set] = ACTIONS(1624),
    [anon_sym_vector] = ACTIONS(1624),
    [anon_sym_function] = ACTIONS(1624),
    [anon_sym_hook] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1622),
    [anon_sym_PLUS_PLUS] = ACTIONS(1622),
    [anon_sym_DASH_DASH] = ACTIONS(1622),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_copy] = ACTIONS(1624),
    [anon_sym_schedule] = ACTIONS(1624),
    [aux_sym_constant_token1] = ACTIONS(1624),
    [anon_sym_T] = ACTIONS(1624),
    [anon_sym_F] = ACTIONS(1624),
    [anon_sym_ATdeprecated] = ACTIONS(1622),
    [anon_sym_ATload] = ACTIONS(1624),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1622),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1622),
    [anon_sym_ATunload] = ACTIONS(1622),
    [anon_sym_ATprefixes] = ACTIONS(1622),
    [anon_sym_ATif] = ACTIONS(1624),
    [anon_sym_ATifdef] = ACTIONS(1622),
    [anon_sym_ATifndef] = ACTIONS(1622),
    [anon_sym_ATendif] = ACTIONS(1622),
    [anon_sym_ATelse] = ACTIONS(1622),
    [anon_sym_ATDIR] = ACTIONS(1622),
    [anon_sym_ATFILENAME] = ACTIONS(1622),
    [sym_id] = ACTIONS(1624),
    [sym_pattern] = ACTIONS(1622),
    [sym_ipv6] = ACTIONS(1624),
    [sym_ipv4] = ACTIONS(1624),
    [sym_port] = ACTIONS(1622),
    [sym_floatp] = ACTIONS(1624),
    [sym_hex] = ACTIONS(1624),
    [sym_hostname] = ACTIONS(1624),
    [aux_sym_string_token1] = ACTIONS(1622),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(1626),
    [anon_sym_module] = ACTIONS(1628),
    [anon_sym_SEMI] = ACTIONS(1626),
    [anon_sym_export] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_global] = ACTIONS(1628),
    [anon_sym_option] = ACTIONS(1628),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_redef] = ACTIONS(1628),
    [anon_sym_record] = ACTIONS(1628),
    [anon_sym_type] = ACTIONS(1628),
    [anon_sym_print] = ACTIONS(1628),
    [anon_sym_event] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1626),
    [anon_sym_switch] = ACTIONS(1628),
    [anon_sym_for] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [anon_sym_while] = ACTIONS(1628),
    [anon_sym_next] = ACTIONS(1628),
    [anon_sym_break] = ACTIONS(1628),
    [anon_sym_fallthrough] = ACTIONS(1628),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_add] = ACTIONS(1628),
    [anon_sym_delete] = ACTIONS(1628),
    [anon_sym_local] = ACTIONS(1628),
    [anon_sym_when] = ACTIONS(1628),
    [anon_sym_assert] = ACTIONS(1628),
    [anon_sym_table] = ACTIONS(1628),
    [anon_sym_set] = ACTIONS(1628),
    [anon_sym_vector] = ACTIONS(1628),
    [anon_sym_function] = ACTIONS(1628),
    [anon_sym_hook] = ACTIONS(1628),
    [anon_sym_DOLLAR] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1626),
    [anon_sym_PLUS_PLUS] = ACTIONS(1626),
    [anon_sym_DASH_DASH] = ACTIONS(1626),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1628),
    [anon_sym_PLUS] = ACTIONS(1628),
    [anon_sym_copy] = ACTIONS(1628),
    [anon_sym_schedule] = ACTIONS(1628),
    [aux_sym_constant_token1] = ACTIONS(1628),
    [anon_sym_T] = ACTIONS(1628),
    [anon_sym_F] = ACTIONS(1628),
    [anon_sym_ATdeprecated] = ACTIONS(1626),
    [anon_sym_ATload] = ACTIONS(1628),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1626),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1626),
    [anon_sym_ATunload] = ACTIONS(1626),
    [anon_sym_ATprefixes] = ACTIONS(1626),
    [anon_sym_ATif] = ACTIONS(1628),
    [anon_sym_ATifdef] = ACTIONS(1626),
    [anon_sym_ATifndef] = ACTIONS(1626),
    [anon_sym_ATendif] = ACTIONS(1626),
    [anon_sym_ATelse] = ACTIONS(1626),
    [anon_sym_ATDIR] = ACTIONS(1626),
    [anon_sym_ATFILENAME] = ACTIONS(1626),
    [sym_id] = ACTIONS(1628),
    [sym_pattern] = ACTIONS(1626),
    [sym_ipv6] = ACTIONS(1628),
    [sym_ipv4] = ACTIONS(1628),
    [sym_port] = ACTIONS(1626),
    [sym_floatp] = ACTIONS(1628),
    [sym_hex] = ACTIONS(1628),
    [sym_hostname] = ACTIONS(1628),
    [aux_sym_string_token1] = ACTIONS(1626),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [anon_sym_module] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym_export] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_global] = ACTIONS(1500),
    [anon_sym_option] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_redef] = ACTIONS(1500),
    [anon_sym_record] = ACTIONS(1500),
    [anon_sym_type] = ACTIONS(1500),
    [anon_sym_print] = ACTIONS(1500),
    [anon_sym_event] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1498),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_next] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_fallthrough] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_add] = ACTIONS(1500),
    [anon_sym_delete] = ACTIONS(1500),
    [anon_sym_local] = ACTIONS(1500),
    [anon_sym_when] = ACTIONS(1500),
    [anon_sym_assert] = ACTIONS(1500),
    [anon_sym_table] = ACTIONS(1500),
    [anon_sym_set] = ACTIONS(1500),
    [anon_sym_vector] = ACTIONS(1500),
    [anon_sym_function] = ACTIONS(1500),
    [anon_sym_hook] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [anon_sym_PIPE] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_copy] = ACTIONS(1500),
    [anon_sym_schedule] = ACTIONS(1500),
    [aux_sym_constant_token1] = ACTIONS(1500),
    [anon_sym_T] = ACTIONS(1500),
    [anon_sym_F] = ACTIONS(1500),
    [anon_sym_ATdeprecated] = ACTIONS(1498),
    [anon_sym_ATload] = ACTIONS(1500),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1498),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1498),
    [anon_sym_ATunload] = ACTIONS(1498),
    [anon_sym_ATprefixes] = ACTIONS(1498),
    [anon_sym_ATif] = ACTIONS(1500),
    [anon_sym_ATifdef] = ACTIONS(1498),
    [anon_sym_ATifndef] = ACTIONS(1498),
    [anon_sym_ATendif] = ACTIONS(1498),
    [anon_sym_ATelse] = ACTIONS(1498),
    [anon_sym_ATDIR] = ACTIONS(1498),
    [anon_sym_ATFILENAME] = ACTIONS(1498),
    [sym_id] = ACTIONS(1500),
    [sym_pattern] = ACTIONS(1498),
    [sym_ipv6] = ACTIONS(1500),
    [sym_ipv4] = ACTIONS(1500),
    [sym_port] = ACTIONS(1498),
    [sym_floatp] = ACTIONS(1500),
    [sym_hex] = ACTIONS(1500),
    [sym_hostname] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1498),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [376] = {
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym_LBRACE] = ACTIONS(1630),
    [anon_sym_RBRACE] = ACTIONS(1630),
    [anon_sym_COLON] = ACTIONS(1630),
    [anon_sym_PLUS_EQ] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1630),
    [anon_sym_RPAREN] = ACTIONS(1630),
    [anon_sym_COMMA] = ACTIONS(1630),
    [anon_sym_in] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [anon_sym_RBRACK] = ACTIONS(1630),
    [anon_sym_EQ] = ACTIONS(1632),
    [anon_sym_as] = ACTIONS(1630),
    [anon_sym_AMPdeprecated] = ACTIONS(1630),
    [anon_sym_DASH_EQ] = ACTIONS(1630),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1630),
    [anon_sym_AMPerror_handler] = ACTIONS(1630),
    [anon_sym_AMPis_assigned] = ACTIONS(1630),
    [anon_sym_AMPis_used] = ACTIONS(1630),
    [anon_sym_AMPlog] = ACTIONS(1630),
    [anon_sym_AMPoptional] = ACTIONS(1630),
    [anon_sym_AMPraw_output] = ACTIONS(1630),
    [anon_sym_AMPredef] = ACTIONS(1630),
    [anon_sym_AMPadd_func] = ACTIONS(1630),
    [anon_sym_AMPbackend] = ACTIONS(1630),
    [anon_sym_AMPbroker_store] = ACTIONS(1630),
    [anon_sym_AMPcreate_expire] = ACTIONS(1630),
    [anon_sym_AMPdefault] = ACTIONS(1630),
    [anon_sym_AMPdelete_func] = ACTIONS(1630),
    [anon_sym_AMPexpire_func] = ACTIONS(1630),
    [anon_sym_AMPgroup] = ACTIONS(1630),
    [anon_sym_AMPon_change] = ACTIONS(1630),
    [anon_sym_AMPpriority] = ACTIONS(1630),
    [anon_sym_AMPread_expire] = ACTIONS(1630),
    [anon_sym_AMPtype_column] = ACTIONS(1630),
    [anon_sym_AMPwrite_expire] = ACTIONS(1630),
    [anon_sym_DOLLAR] = ACTIONS(1630),
    [anon_sym_PIPE] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_is] = ACTIONS(1630),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_SLASH] = ACTIONS(1630),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_LT] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1630),
    [anon_sym_GT] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1630),
    [anon_sym_AMP] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1630),
    [anon_sym_QMARK] = ACTIONS(1632),
    [anon_sym_EQ_EQ] = ACTIONS(1630),
    [anon_sym_BANG_EQ] = ACTIONS(1630),
    [anon_sym_AMP_AMP] = ACTIONS(1630),
    [anon_sym_PIPE_PIPE] = ACTIONS(1630),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1630),
    [anon_sym_ATdeprecated] = ACTIONS(1630),
    [anon_sym_ATload] = ACTIONS(1632),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1630),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1630),
    [anon_sym_ATunload] = ACTIONS(1630),
    [anon_sym_ATprefixes] = ACTIONS(1630),
    [anon_sym_ATif] = ACTIONS(1632),
    [anon_sym_ATifdef] = ACTIONS(1630),
    [anon_sym_ATifndef] = ACTIONS(1630),
    [anon_sym_ATendif] = ACTIONS(1630),
    [anon_sym_ATelse] = ACTIONS(1630),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(1634),
    [anon_sym_module] = ACTIONS(1636),
    [anon_sym_SEMI] = ACTIONS(1634),
    [anon_sym_export] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1634),
    [anon_sym_global] = ACTIONS(1636),
    [anon_sym_option] = ACTIONS(1636),
    [anon_sym_const] = ACTIONS(1636),
    [anon_sym_redef] = ACTIONS(1636),
    [anon_sym_record] = ACTIONS(1636),
    [anon_sym_type] = ACTIONS(1636),
    [anon_sym_print] = ACTIONS(1636),
    [anon_sym_event] = ACTIONS(1636),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_switch] = ACTIONS(1636),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_next] = ACTIONS(1636),
    [anon_sym_break] = ACTIONS(1636),
    [anon_sym_fallthrough] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1636),
    [anon_sym_add] = ACTIONS(1636),
    [anon_sym_delete] = ACTIONS(1636),
    [anon_sym_local] = ACTIONS(1636),
    [anon_sym_when] = ACTIONS(1636),
    [anon_sym_assert] = ACTIONS(1636),
    [anon_sym_table] = ACTIONS(1636),
    [anon_sym_set] = ACTIONS(1636),
    [anon_sym_vector] = ACTIONS(1636),
    [anon_sym_function] = ACTIONS(1636),
    [anon_sym_hook] = ACTIONS(1636),
    [anon_sym_DOLLAR] = ACTIONS(1634),
    [anon_sym_PIPE] = ACTIONS(1634),
    [anon_sym_PLUS_PLUS] = ACTIONS(1634),
    [anon_sym_DASH_DASH] = ACTIONS(1634),
    [anon_sym_BANG] = ACTIONS(1634),
    [anon_sym_TILDE] = ACTIONS(1634),
    [anon_sym_DASH] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_copy] = ACTIONS(1636),
    [anon_sym_schedule] = ACTIONS(1636),
    [aux_sym_constant_token1] = ACTIONS(1636),
    [anon_sym_T] = ACTIONS(1636),
    [anon_sym_F] = ACTIONS(1636),
    [anon_sym_ATdeprecated] = ACTIONS(1634),
    [anon_sym_ATload] = ACTIONS(1636),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1634),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1634),
    [anon_sym_ATunload] = ACTIONS(1634),
    [anon_sym_ATprefixes] = ACTIONS(1634),
    [anon_sym_ATif] = ACTIONS(1636),
    [anon_sym_ATifdef] = ACTIONS(1634),
    [anon_sym_ATifndef] = ACTIONS(1634),
    [anon_sym_ATendif] = ACTIONS(1634),
    [anon_sym_ATelse] = ACTIONS(1634),
    [anon_sym_ATDIR] = ACTIONS(1634),
    [anon_sym_ATFILENAME] = ACTIONS(1634),
    [sym_id] = ACTIONS(1636),
    [sym_pattern] = ACTIONS(1634),
    [sym_ipv6] = ACTIONS(1636),
    [sym_ipv4] = ACTIONS(1636),
    [sym_port] = ACTIONS(1634),
    [sym_floatp] = ACTIONS(1636),
    [sym_hex] = ACTIONS(1636),
    [sym_hostname] = ACTIONS(1636),
    [aux_sym_string_token1] = ACTIONS(1634),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [378] = {
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_LBRACE] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_COLON] = ACTIONS(297),
    [anon_sym_PLUS_EQ] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_EQ] = ACTIONS(299),
    [anon_sym_as] = ACTIONS(297),
    [anon_sym_AMPdeprecated] = ACTIONS(297),
    [anon_sym_DASH_EQ] = ACTIONS(297),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(297),
    [anon_sym_AMPerror_handler] = ACTIONS(297),
    [anon_sym_AMPis_assigned] = ACTIONS(297),
    [anon_sym_AMPis_used] = ACTIONS(297),
    [anon_sym_AMPlog] = ACTIONS(297),
    [anon_sym_AMPoptional] = ACTIONS(297),
    [anon_sym_AMPraw_output] = ACTIONS(297),
    [anon_sym_AMPredef] = ACTIONS(297),
    [anon_sym_AMPadd_func] = ACTIONS(297),
    [anon_sym_AMPbackend] = ACTIONS(297),
    [anon_sym_AMPbroker_store] = ACTIONS(297),
    [anon_sym_AMPcreate_expire] = ACTIONS(297),
    [anon_sym_AMPdefault] = ACTIONS(297),
    [anon_sym_AMPdelete_func] = ACTIONS(297),
    [anon_sym_AMPexpire_func] = ACTIONS(297),
    [anon_sym_AMPgroup] = ACTIONS(297),
    [anon_sym_AMPon_change] = ACTIONS(297),
    [anon_sym_AMPpriority] = ACTIONS(297),
    [anon_sym_AMPread_expire] = ACTIONS(297),
    [anon_sym_AMPtype_column] = ACTIONS(297),
    [anon_sym_AMPwrite_expire] = ACTIONS(297),
    [anon_sym_DOLLAR] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(299),
    [anon_sym_BANG] = ACTIONS(299),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(299),
    [anon_sym_is] = ACTIONS(297),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(299),
    [anon_sym_LT_EQ] = ACTIONS(297),
    [anon_sym_GT] = ACTIONS(299),
    [anon_sym_GT_EQ] = ACTIONS(297),
    [anon_sym_AMP] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(297),
    [anon_sym_QMARK] = ACTIONS(299),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [anon_sym_AMP_AMP] = ACTIONS(297),
    [anon_sym_PIPE_PIPE] = ACTIONS(297),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(297),
    [anon_sym_ATdeprecated] = ACTIONS(297),
    [anon_sym_ATload] = ACTIONS(299),
    [anon_sym_ATload_DASHsigs] = ACTIONS(297),
    [anon_sym_ATload_DASHplugin] = ACTIONS(297),
    [anon_sym_ATunload] = ACTIONS(297),
    [anon_sym_ATprefixes] = ACTIONS(297),
    [anon_sym_ATif] = ACTIONS(299),
    [anon_sym_ATifdef] = ACTIONS(297),
    [anon_sym_ATifndef] = ACTIONS(297),
    [anon_sym_ATendif] = ACTIONS(297),
    [anon_sym_ATelse] = ACTIONS(297),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(1638),
    [anon_sym_module] = ACTIONS(1640),
    [anon_sym_SEMI] = ACTIONS(1638),
    [anon_sym_export] = ACTIONS(1640),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym_global] = ACTIONS(1640),
    [anon_sym_option] = ACTIONS(1640),
    [anon_sym_const] = ACTIONS(1640),
    [anon_sym_redef] = ACTIONS(1640),
    [anon_sym_record] = ACTIONS(1640),
    [anon_sym_type] = ACTIONS(1640),
    [anon_sym_print] = ACTIONS(1640),
    [anon_sym_event] = ACTIONS(1640),
    [anon_sym_if] = ACTIONS(1640),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_while] = ACTIONS(1640),
    [anon_sym_next] = ACTIONS(1640),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_fallthrough] = ACTIONS(1640),
    [anon_sym_return] = ACTIONS(1640),
    [anon_sym_add] = ACTIONS(1640),
    [anon_sym_delete] = ACTIONS(1640),
    [anon_sym_local] = ACTIONS(1640),
    [anon_sym_when] = ACTIONS(1640),
    [anon_sym_assert] = ACTIONS(1640),
    [anon_sym_table] = ACTIONS(1640),
    [anon_sym_set] = ACTIONS(1640),
    [anon_sym_vector] = ACTIONS(1640),
    [anon_sym_function] = ACTIONS(1640),
    [anon_sym_hook] = ACTIONS(1640),
    [anon_sym_DOLLAR] = ACTIONS(1638),
    [anon_sym_PIPE] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1638),
    [anon_sym_DASH_DASH] = ACTIONS(1638),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_copy] = ACTIONS(1640),
    [anon_sym_schedule] = ACTIONS(1640),
    [aux_sym_constant_token1] = ACTIONS(1640),
    [anon_sym_T] = ACTIONS(1640),
    [anon_sym_F] = ACTIONS(1640),
    [anon_sym_ATdeprecated] = ACTIONS(1638),
    [anon_sym_ATload] = ACTIONS(1640),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1638),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1638),
    [anon_sym_ATunload] = ACTIONS(1638),
    [anon_sym_ATprefixes] = ACTIONS(1638),
    [anon_sym_ATif] = ACTIONS(1640),
    [anon_sym_ATifdef] = ACTIONS(1638),
    [anon_sym_ATifndef] = ACTIONS(1638),
    [anon_sym_ATendif] = ACTIONS(1638),
    [anon_sym_ATelse] = ACTIONS(1638),
    [anon_sym_ATDIR] = ACTIONS(1638),
    [anon_sym_ATFILENAME] = ACTIONS(1638),
    [sym_id] = ACTIONS(1640),
    [sym_pattern] = ACTIONS(1638),
    [sym_ipv6] = ACTIONS(1640),
    [sym_ipv4] = ACTIONS(1640),
    [sym_port] = ACTIONS(1638),
    [sym_floatp] = ACTIONS(1640),
    [sym_hex] = ACTIONS(1640),
    [sym_hostname] = ACTIONS(1640),
    [aux_sym_string_token1] = ACTIONS(1638),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [380] = {
    [sym_expr] = STATE(1279),
    [sym_constant] = STATE(1269),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_SEMI] = ACTIONS(111),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_RPAREN] = ACTIONS(111),
    [anon_sym_COMMA] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(113),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_is] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(111),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_LT_EQ] = ACTIONS(111),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(111),
    [anon_sym_AMP] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(111),
    [anon_sym_BANG_EQ] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [381] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1642),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_timeout] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [382] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1644),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_timeout] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [383] = {
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_record] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_else] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_next] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(129),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(129),
    [anon_sym_add] = ACTIONS(129),
    [anon_sym_delete] = ACTIONS(129),
    [anon_sym_local] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_timeout] = ACTIONS(129),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(129),
    [anon_sym_table] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
    [anon_sym_vector] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(129),
    [anon_sym_hook] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_PLUS_PLUS] = ACTIONS(127),
    [anon_sym_DASH_DASH] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_copy] = ACTIONS(129),
    [anon_sym_schedule] = ACTIONS(129),
    [aux_sym_constant_token1] = ACTIONS(129),
    [anon_sym_T] = ACTIONS(129),
    [anon_sym_F] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [anon_sym_ATDIR] = ACTIONS(127),
    [anon_sym_ATFILENAME] = ACTIONS(127),
    [sym_id] = ACTIONS(129),
    [sym_pattern] = ACTIONS(127),
    [sym_ipv6] = ACTIONS(129),
    [sym_ipv4] = ACTIONS(129),
    [sym_port] = ACTIONS(127),
    [sym_floatp] = ACTIONS(129),
    [sym_hex] = ACTIONS(129),
    [sym_hostname] = ACTIONS(129),
    [aux_sym_string_token1] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [384] = {
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_record] = ACTIONS(125),
    [anon_sym_print] = ACTIONS(125),
    [anon_sym_event] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_else] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(125),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_next] = ACTIONS(125),
    [anon_sym_break] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_add] = ACTIONS(125),
    [anon_sym_delete] = ACTIONS(125),
    [anon_sym_local] = ACTIONS(125),
    [anon_sym_when] = ACTIONS(125),
    [anon_sym_timeout] = ACTIONS(125),
    [anon_sym_assert] = ACTIONS(125),
    [anon_sym_case] = ACTIONS(125),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_table] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_vector] = ACTIONS(125),
    [anon_sym_function] = ACTIONS(125),
    [anon_sym_hook] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_copy] = ACTIONS(125),
    [anon_sym_schedule] = ACTIONS(125),
    [aux_sym_constant_token1] = ACTIONS(125),
    [anon_sym_T] = ACTIONS(125),
    [anon_sym_F] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [anon_sym_ATDIR] = ACTIONS(123),
    [anon_sym_ATFILENAME] = ACTIONS(123),
    [sym_id] = ACTIONS(125),
    [sym_pattern] = ACTIONS(123),
    [sym_ipv6] = ACTIONS(125),
    [sym_ipv4] = ACTIONS(125),
    [sym_port] = ACTIONS(123),
    [sym_floatp] = ACTIONS(125),
    [sym_hex] = ACTIONS(125),
    [sym_hostname] = ACTIONS(125),
    [aux_sym_string_token1] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [385] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1646),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [386] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_timeout] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_case] = ACTIONS(1650),
    [anon_sym_default] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [387] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_timeout] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [388] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1654),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [389] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1660),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [390] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1662),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_timeout] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [391] = {
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_record] = ACTIONS(1608),
    [anon_sym_print] = ACTIONS(1608),
    [anon_sym_event] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_else] = ACTIONS(1608),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_next] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_fallthrough] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_add] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_local] = ACTIONS(1608),
    [anon_sym_when] = ACTIONS(1608),
    [anon_sym_timeout] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_case] = ACTIONS(1608),
    [anon_sym_default] = ACTIONS(1608),
    [anon_sym_table] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_vector] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_hook] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_copy] = ACTIONS(1608),
    [anon_sym_schedule] = ACTIONS(1608),
    [aux_sym_constant_token1] = ACTIONS(1608),
    [anon_sym_T] = ACTIONS(1608),
    [anon_sym_F] = ACTIONS(1608),
    [anon_sym_ATdeprecated] = ACTIONS(1606),
    [anon_sym_ATload] = ACTIONS(1608),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1606),
    [anon_sym_ATunload] = ACTIONS(1606),
    [anon_sym_ATprefixes] = ACTIONS(1606),
    [anon_sym_ATif] = ACTIONS(1608),
    [anon_sym_ATifdef] = ACTIONS(1606),
    [anon_sym_ATifndef] = ACTIONS(1606),
    [anon_sym_ATendif] = ACTIONS(1606),
    [anon_sym_ATelse] = ACTIONS(1606),
    [anon_sym_ATDIR] = ACTIONS(1606),
    [anon_sym_ATFILENAME] = ACTIONS(1606),
    [sym_id] = ACTIONS(1608),
    [sym_pattern] = ACTIONS(1606),
    [sym_ipv6] = ACTIONS(1608),
    [sym_ipv4] = ACTIONS(1608),
    [sym_port] = ACTIONS(1606),
    [sym_floatp] = ACTIONS(1608),
    [sym_hex] = ACTIONS(1608),
    [sym_hostname] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1606),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [392] = {
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_record] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_next] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(129),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(129),
    [anon_sym_add] = ACTIONS(129),
    [anon_sym_delete] = ACTIONS(129),
    [anon_sym_local] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_timeout] = ACTIONS(129),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(129),
    [anon_sym_table] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
    [anon_sym_vector] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(129),
    [anon_sym_hook] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_PLUS_PLUS] = ACTIONS(127),
    [anon_sym_DASH_DASH] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_copy] = ACTIONS(129),
    [anon_sym_schedule] = ACTIONS(129),
    [aux_sym_constant_token1] = ACTIONS(129),
    [anon_sym_T] = ACTIONS(129),
    [anon_sym_F] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [anon_sym_ATDIR] = ACTIONS(127),
    [anon_sym_ATFILENAME] = ACTIONS(127),
    [sym_id] = ACTIONS(129),
    [sym_pattern] = ACTIONS(127),
    [sym_ipv6] = ACTIONS(129),
    [sym_ipv4] = ACTIONS(129),
    [sym_port] = ACTIONS(127),
    [sym_floatp] = ACTIONS(129),
    [sym_hex] = ACTIONS(129),
    [sym_hostname] = ACTIONS(129),
    [aux_sym_string_token1] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [393] = {
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_record] = ACTIONS(125),
    [anon_sym_print] = ACTIONS(125),
    [anon_sym_event] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(125),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_next] = ACTIONS(125),
    [anon_sym_break] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_add] = ACTIONS(125),
    [anon_sym_delete] = ACTIONS(125),
    [anon_sym_local] = ACTIONS(125),
    [anon_sym_when] = ACTIONS(125),
    [anon_sym_timeout] = ACTIONS(125),
    [anon_sym_assert] = ACTIONS(125),
    [anon_sym_case] = ACTIONS(125),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_table] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_vector] = ACTIONS(125),
    [anon_sym_function] = ACTIONS(125),
    [anon_sym_hook] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_copy] = ACTIONS(125),
    [anon_sym_schedule] = ACTIONS(125),
    [aux_sym_constant_token1] = ACTIONS(125),
    [anon_sym_T] = ACTIONS(125),
    [anon_sym_F] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [anon_sym_ATDIR] = ACTIONS(123),
    [anon_sym_ATFILENAME] = ACTIONS(123),
    [sym_id] = ACTIONS(125),
    [sym_pattern] = ACTIONS(123),
    [sym_ipv6] = ACTIONS(125),
    [sym_ipv4] = ACTIONS(125),
    [sym_port] = ACTIONS(123),
    [sym_floatp] = ACTIONS(125),
    [sym_hex] = ACTIONS(125),
    [sym_hostname] = ACTIONS(125),
    [aux_sym_string_token1] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [394] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_timeout] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_case] = ACTIONS(1666),
    [anon_sym_default] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [395] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_timeout] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [396] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_timeout] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_case] = ACTIONS(1666),
    [anon_sym_default] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [397] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_timeout] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [398] = {
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_record] = ACTIONS(1512),
    [anon_sym_print] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_else] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_next] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_fallthrough] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_add] = ACTIONS(1512),
    [anon_sym_delete] = ACTIONS(1512),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_when] = ACTIONS(1512),
    [anon_sym_timeout] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_table] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_vector] = ACTIONS(1512),
    [anon_sym_function] = ACTIONS(1512),
    [anon_sym_hook] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_copy] = ACTIONS(1512),
    [anon_sym_schedule] = ACTIONS(1512),
    [aux_sym_constant_token1] = ACTIONS(1512),
    [anon_sym_T] = ACTIONS(1512),
    [anon_sym_F] = ACTIONS(1512),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATDIR] = ACTIONS(1510),
    [anon_sym_ATFILENAME] = ACTIONS(1510),
    [sym_id] = ACTIONS(1512),
    [sym_pattern] = ACTIONS(1510),
    [sym_ipv6] = ACTIONS(1512),
    [sym_ipv4] = ACTIONS(1512),
    [sym_port] = ACTIONS(1510),
    [sym_floatp] = ACTIONS(1512),
    [sym_hex] = ACTIONS(1512),
    [sym_hostname] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [399] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1672),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1670),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [400] = {
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_record] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_else] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_next] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(129),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(129),
    [anon_sym_add] = ACTIONS(129),
    [anon_sym_delete] = ACTIONS(129),
    [anon_sym_local] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(129),
    [anon_sym_table] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
    [anon_sym_vector] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(129),
    [anon_sym_hook] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_PLUS_PLUS] = ACTIONS(127),
    [anon_sym_DASH_DASH] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_copy] = ACTIONS(129),
    [anon_sym_schedule] = ACTIONS(129),
    [aux_sym_constant_token1] = ACTIONS(129),
    [anon_sym_T] = ACTIONS(129),
    [anon_sym_F] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [anon_sym_ATDIR] = ACTIONS(127),
    [anon_sym_ATFILENAME] = ACTIONS(127),
    [sym_id] = ACTIONS(129),
    [sym_pattern] = ACTIONS(127),
    [sym_ipv6] = ACTIONS(129),
    [sym_ipv4] = ACTIONS(129),
    [sym_port] = ACTIONS(127),
    [sym_floatp] = ACTIONS(129),
    [sym_hex] = ACTIONS(129),
    [sym_hostname] = ACTIONS(129),
    [aux_sym_string_token1] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [401] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1676),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_timeout] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_case] = ACTIONS(1676),
    [anon_sym_default] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [402] = {
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_record] = ACTIONS(125),
    [anon_sym_print] = ACTIONS(125),
    [anon_sym_event] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_else] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(125),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_next] = ACTIONS(125),
    [anon_sym_break] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_add] = ACTIONS(125),
    [anon_sym_delete] = ACTIONS(125),
    [anon_sym_local] = ACTIONS(125),
    [anon_sym_when] = ACTIONS(125),
    [anon_sym_assert] = ACTIONS(125),
    [anon_sym_case] = ACTIONS(125),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_table] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_vector] = ACTIONS(125),
    [anon_sym_function] = ACTIONS(125),
    [anon_sym_hook] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_copy] = ACTIONS(125),
    [anon_sym_schedule] = ACTIONS(125),
    [aux_sym_constant_token1] = ACTIONS(125),
    [anon_sym_T] = ACTIONS(125),
    [anon_sym_F] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [anon_sym_ATDIR] = ACTIONS(123),
    [anon_sym_ATFILENAME] = ACTIONS(123),
    [sym_id] = ACTIONS(125),
    [sym_pattern] = ACTIONS(123),
    [sym_ipv6] = ACTIONS(125),
    [sym_ipv4] = ACTIONS(125),
    [sym_port] = ACTIONS(123),
    [sym_floatp] = ACTIONS(125),
    [sym_hex] = ACTIONS(125),
    [sym_hostname] = ACTIONS(125),
    [aux_sym_string_token1] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [403] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1676),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_timeout] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_case] = ACTIONS(1676),
    [anon_sym_default] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [404] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [405] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_timeout] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_case] = ACTIONS(1684),
    [anon_sym_default] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [406] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_timeout] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_case] = ACTIONS(1650),
    [anon_sym_default] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [407] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1670),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [408] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1670),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [409] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [410] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [411] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [412] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1686),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [413] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1688),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [414] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_timeout] = ACTIONS(137),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(135),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [415] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_timeout] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1692),
    [anon_sym_default] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [416] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_timeout] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1692),
    [anon_sym_default] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [417] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [418] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_timeout] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_case] = ACTIONS(1698),
    [anon_sym_default] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [419] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_timeout] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_case] = ACTIONS(1698),
    [anon_sym_default] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [420] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_timeout] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_case] = ACTIONS(1684),
    [anon_sym_default] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [421] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [422] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1702),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1670),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [423] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [424] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [425] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [426] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [427] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [428] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_timeout] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [429] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [430] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_timeout] = ACTIONS(137),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(135),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [431] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1712),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_timeout] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [432] = {
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_record] = ACTIONS(1512),
    [anon_sym_print] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_else] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_next] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_fallthrough] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_add] = ACTIONS(1512),
    [anon_sym_delete] = ACTIONS(1512),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_when] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_table] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_vector] = ACTIONS(1512),
    [anon_sym_function] = ACTIONS(1512),
    [anon_sym_hook] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_copy] = ACTIONS(1512),
    [anon_sym_schedule] = ACTIONS(1512),
    [aux_sym_constant_token1] = ACTIONS(1512),
    [anon_sym_T] = ACTIONS(1512),
    [anon_sym_F] = ACTIONS(1512),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATDIR] = ACTIONS(1510),
    [anon_sym_ATFILENAME] = ACTIONS(1510),
    [sym_id] = ACTIONS(1512),
    [sym_pattern] = ACTIONS(1510),
    [sym_ipv6] = ACTIONS(1512),
    [sym_ipv4] = ACTIONS(1512),
    [sym_port] = ACTIONS(1510),
    [sym_floatp] = ACTIONS(1512),
    [sym_hex] = ACTIONS(1512),
    [sym_hostname] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [433] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1692),
    [anon_sym_default] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [434] = {
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_record] = ACTIONS(1512),
    [anon_sym_print] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_next] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_fallthrough] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_add] = ACTIONS(1512),
    [anon_sym_delete] = ACTIONS(1512),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_when] = ACTIONS(1512),
    [anon_sym_timeout] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_table] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_vector] = ACTIONS(1512),
    [anon_sym_function] = ACTIONS(1512),
    [anon_sym_hook] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_copy] = ACTIONS(1512),
    [anon_sym_schedule] = ACTIONS(1512),
    [aux_sym_constant_token1] = ACTIONS(1512),
    [anon_sym_T] = ACTIONS(1512),
    [anon_sym_F] = ACTIONS(1512),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATDIR] = ACTIONS(1510),
    [anon_sym_ATFILENAME] = ACTIONS(1510),
    [sym_id] = ACTIONS(1512),
    [sym_pattern] = ACTIONS(1510),
    [sym_ipv6] = ACTIONS(1512),
    [sym_ipv4] = ACTIONS(1512),
    [sym_port] = ACTIONS(1510),
    [sym_floatp] = ACTIONS(1512),
    [sym_hex] = ACTIONS(1512),
    [sym_hostname] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [435] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [436] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_timeout] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_case] = ACTIONS(1650),
    [anon_sym_default] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [437] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1714),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [438] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1716),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_timeout] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [439] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_timeout] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_case] = ACTIONS(1650),
    [anon_sym_default] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [440] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_timeout] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_case] = ACTIONS(1676),
    [anon_sym_default] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [441] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [442] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1692),
    [anon_sym_default] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [443] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [444] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [445] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1676),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_case] = ACTIONS(1676),
    [anon_sym_default] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [446] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_case] = ACTIONS(1698),
    [anon_sym_default] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [447] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_case] = ACTIONS(1698),
    [anon_sym_default] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [448] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_timeout] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_case] = ACTIONS(1676),
    [anon_sym_default] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [449] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [450] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_case] = ACTIONS(1684),
    [anon_sym_default] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [451] = {
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_record] = ACTIONS(1608),
    [anon_sym_print] = ACTIONS(1608),
    [anon_sym_event] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_next] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_fallthrough] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_add] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_local] = ACTIONS(1608),
    [anon_sym_when] = ACTIONS(1608),
    [anon_sym_timeout] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_case] = ACTIONS(1608),
    [anon_sym_default] = ACTIONS(1608),
    [anon_sym_table] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_vector] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_hook] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_copy] = ACTIONS(1608),
    [anon_sym_schedule] = ACTIONS(1608),
    [aux_sym_constant_token1] = ACTIONS(1608),
    [anon_sym_T] = ACTIONS(1608),
    [anon_sym_F] = ACTIONS(1608),
    [anon_sym_ATdeprecated] = ACTIONS(1606),
    [anon_sym_ATload] = ACTIONS(1608),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1606),
    [anon_sym_ATunload] = ACTIONS(1606),
    [anon_sym_ATprefixes] = ACTIONS(1606),
    [anon_sym_ATif] = ACTIONS(1608),
    [anon_sym_ATifdef] = ACTIONS(1606),
    [anon_sym_ATifndef] = ACTIONS(1606),
    [anon_sym_ATendif] = ACTIONS(1606),
    [anon_sym_ATelse] = ACTIONS(1606),
    [anon_sym_ATDIR] = ACTIONS(1606),
    [anon_sym_ATFILENAME] = ACTIONS(1606),
    [sym_id] = ACTIONS(1608),
    [sym_pattern] = ACTIONS(1606),
    [sym_ipv6] = ACTIONS(1608),
    [sym_ipv4] = ACTIONS(1608),
    [sym_port] = ACTIONS(1606),
    [sym_floatp] = ACTIONS(1608),
    [sym_hex] = ACTIONS(1608),
    [sym_hostname] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1606),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [452] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [453] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_case] = ACTIONS(1684),
    [anon_sym_default] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [454] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_case] = ACTIONS(1666),
    [anon_sym_default] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [455] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [456] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1670),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [457] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1670),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [458] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1670),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [459] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1670),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [460] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1722),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [461] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [462] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [463] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [464] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_case] = ACTIONS(1666),
    [anon_sym_default] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [465] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1670),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [466] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [467] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_case] = ACTIONS(1650),
    [anon_sym_default] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [468] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [469] = {
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_record] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_next] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(129),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(129),
    [anon_sym_add] = ACTIONS(129),
    [anon_sym_delete] = ACTIONS(129),
    [anon_sym_local] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(129),
    [anon_sym_table] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
    [anon_sym_vector] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(129),
    [anon_sym_hook] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_PLUS_PLUS] = ACTIONS(127),
    [anon_sym_DASH_DASH] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_copy] = ACTIONS(129),
    [anon_sym_schedule] = ACTIONS(129),
    [aux_sym_constant_token1] = ACTIONS(129),
    [anon_sym_T] = ACTIONS(129),
    [anon_sym_F] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [anon_sym_ATDIR] = ACTIONS(127),
    [anon_sym_ATFILENAME] = ACTIONS(127),
    [sym_id] = ACTIONS(129),
    [sym_pattern] = ACTIONS(127),
    [sym_ipv6] = ACTIONS(129),
    [sym_ipv4] = ACTIONS(129),
    [sym_port] = ACTIONS(127),
    [sym_floatp] = ACTIONS(129),
    [sym_hex] = ACTIONS(129),
    [sym_hostname] = ACTIONS(129),
    [aux_sym_string_token1] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [470] = {
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_record] = ACTIONS(125),
    [anon_sym_print] = ACTIONS(125),
    [anon_sym_event] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(125),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_next] = ACTIONS(125),
    [anon_sym_break] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_add] = ACTIONS(125),
    [anon_sym_delete] = ACTIONS(125),
    [anon_sym_local] = ACTIONS(125),
    [anon_sym_when] = ACTIONS(125),
    [anon_sym_assert] = ACTIONS(125),
    [anon_sym_case] = ACTIONS(125),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_table] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_vector] = ACTIONS(125),
    [anon_sym_function] = ACTIONS(125),
    [anon_sym_hook] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_copy] = ACTIONS(125),
    [anon_sym_schedule] = ACTIONS(125),
    [aux_sym_constant_token1] = ACTIONS(125),
    [anon_sym_T] = ACTIONS(125),
    [anon_sym_F] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [anon_sym_ATDIR] = ACTIONS(123),
    [anon_sym_ATFILENAME] = ACTIONS(123),
    [sym_id] = ACTIONS(125),
    [sym_pattern] = ACTIONS(123),
    [sym_ipv6] = ACTIONS(125),
    [sym_ipv4] = ACTIONS(125),
    [sym_port] = ACTIONS(123),
    [sym_floatp] = ACTIONS(125),
    [sym_hex] = ACTIONS(125),
    [sym_hostname] = ACTIONS(125),
    [aux_sym_string_token1] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [471] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [472] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [473] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(135),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [474] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1726),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [475] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1728),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1670),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [476] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1730),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(127),
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_record] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_else] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_next] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(129),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(129),
    [anon_sym_add] = ACTIONS(129),
    [anon_sym_delete] = ACTIONS(129),
    [anon_sym_local] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_timeout] = ACTIONS(129),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_table] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
    [anon_sym_vector] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(129),
    [anon_sym_hook] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_PLUS_PLUS] = ACTIONS(127),
    [anon_sym_DASH_DASH] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_copy] = ACTIONS(129),
    [anon_sym_schedule] = ACTIONS(129),
    [aux_sym_constant_token1] = ACTIONS(129),
    [anon_sym_T] = ACTIONS(129),
    [anon_sym_F] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [anon_sym_ATDIR] = ACTIONS(127),
    [anon_sym_ATFILENAME] = ACTIONS(127),
    [sym_id] = ACTIONS(129),
    [sym_pattern] = ACTIONS(127),
    [sym_ipv6] = ACTIONS(129),
    [sym_ipv4] = ACTIONS(129),
    [sym_port] = ACTIONS(127),
    [sym_floatp] = ACTIONS(129),
    [sym_hex] = ACTIONS(129),
    [sym_hostname] = ACTIONS(129),
    [aux_sym_string_token1] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [478] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_record] = ACTIONS(125),
    [anon_sym_print] = ACTIONS(125),
    [anon_sym_event] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_else] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(125),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_next] = ACTIONS(125),
    [anon_sym_break] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_add] = ACTIONS(125),
    [anon_sym_delete] = ACTIONS(125),
    [anon_sym_local] = ACTIONS(125),
    [anon_sym_when] = ACTIONS(125),
    [anon_sym_timeout] = ACTIONS(125),
    [anon_sym_assert] = ACTIONS(125),
    [anon_sym_table] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_vector] = ACTIONS(125),
    [anon_sym_function] = ACTIONS(125),
    [anon_sym_hook] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_copy] = ACTIONS(125),
    [anon_sym_schedule] = ACTIONS(125),
    [aux_sym_constant_token1] = ACTIONS(125),
    [anon_sym_T] = ACTIONS(125),
    [anon_sym_F] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [anon_sym_ATDIR] = ACTIONS(123),
    [anon_sym_ATFILENAME] = ACTIONS(123),
    [sym_id] = ACTIONS(125),
    [sym_pattern] = ACTIONS(123),
    [sym_ipv6] = ACTIONS(125),
    [sym_ipv4] = ACTIONS(125),
    [sym_port] = ACTIONS(123),
    [sym_floatp] = ACTIONS(125),
    [sym_hex] = ACTIONS(125),
    [sym_hostname] = ACTIONS(125),
    [aux_sym_string_token1] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [480] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_timeout] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1692),
    [anon_sym_default] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1732),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_timeout] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [482] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_timeout] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1692),
    [anon_sym_default] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [483] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_case] = ACTIONS(1650),
    [anon_sym_default] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [484] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_timeout] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_case] = ACTIONS(1698),
    [anon_sym_default] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [485] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_timeout] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_case] = ACTIONS(1698),
    [anon_sym_default] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [486] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_timeout] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_case] = ACTIONS(1684),
    [anon_sym_default] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [487] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [488] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_timeout] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_case] = ACTIONS(1684),
    [anon_sym_default] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [489] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_timeout] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_case] = ACTIONS(1666),
    [anon_sym_default] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [490] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_timeout] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_case] = ACTIONS(1666),
    [anon_sym_default] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [491] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_timeout] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [492] = {
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_record] = ACTIONS(1608),
    [anon_sym_print] = ACTIONS(1608),
    [anon_sym_event] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_else] = ACTIONS(1608),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_next] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_fallthrough] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_add] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_local] = ACTIONS(1608),
    [anon_sym_when] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_case] = ACTIONS(1608),
    [anon_sym_default] = ACTIONS(1608),
    [anon_sym_table] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_vector] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_hook] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_copy] = ACTIONS(1608),
    [anon_sym_schedule] = ACTIONS(1608),
    [aux_sym_constant_token1] = ACTIONS(1608),
    [anon_sym_T] = ACTIONS(1608),
    [anon_sym_F] = ACTIONS(1608),
    [anon_sym_ATdeprecated] = ACTIONS(1606),
    [anon_sym_ATload] = ACTIONS(1608),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1606),
    [anon_sym_ATunload] = ACTIONS(1606),
    [anon_sym_ATprefixes] = ACTIONS(1606),
    [anon_sym_ATif] = ACTIONS(1608),
    [anon_sym_ATifdef] = ACTIONS(1606),
    [anon_sym_ATifndef] = ACTIONS(1606),
    [anon_sym_ATendif] = ACTIONS(1606),
    [anon_sym_ATelse] = ACTIONS(1606),
    [anon_sym_ATDIR] = ACTIONS(1606),
    [anon_sym_ATFILENAME] = ACTIONS(1606),
    [sym_id] = ACTIONS(1608),
    [sym_pattern] = ACTIONS(1606),
    [sym_ipv6] = ACTIONS(1608),
    [sym_ipv4] = ACTIONS(1608),
    [sym_port] = ACTIONS(1606),
    [sym_floatp] = ACTIONS(1608),
    [sym_hex] = ACTIONS(1608),
    [sym_hostname] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1606),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [493] = {
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_record] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_else] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_next] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(129),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(129),
    [anon_sym_add] = ACTIONS(129),
    [anon_sym_delete] = ACTIONS(129),
    [anon_sym_local] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_timeout] = ACTIONS(129),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_table] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
    [anon_sym_vector] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(129),
    [anon_sym_hook] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_PLUS_PLUS] = ACTIONS(127),
    [anon_sym_DASH_DASH] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_copy] = ACTIONS(129),
    [anon_sym_schedule] = ACTIONS(129),
    [aux_sym_constant_token1] = ACTIONS(129),
    [anon_sym_T] = ACTIONS(129),
    [anon_sym_F] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [anon_sym_ATDIR] = ACTIONS(127),
    [anon_sym_ATFILENAME] = ACTIONS(127),
    [sym_id] = ACTIONS(129),
    [sym_pattern] = ACTIONS(127),
    [sym_ipv6] = ACTIONS(129),
    [sym_ipv4] = ACTIONS(129),
    [sym_port] = ACTIONS(127),
    [sym_floatp] = ACTIONS(129),
    [sym_hex] = ACTIONS(129),
    [sym_hostname] = ACTIONS(129),
    [aux_sym_string_token1] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [494] = {
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_record] = ACTIONS(125),
    [anon_sym_print] = ACTIONS(125),
    [anon_sym_event] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_else] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(125),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_next] = ACTIONS(125),
    [anon_sym_break] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_add] = ACTIONS(125),
    [anon_sym_delete] = ACTIONS(125),
    [anon_sym_local] = ACTIONS(125),
    [anon_sym_when] = ACTIONS(125),
    [anon_sym_timeout] = ACTIONS(125),
    [anon_sym_assert] = ACTIONS(125),
    [anon_sym_table] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_vector] = ACTIONS(125),
    [anon_sym_function] = ACTIONS(125),
    [anon_sym_hook] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_copy] = ACTIONS(125),
    [anon_sym_schedule] = ACTIONS(125),
    [aux_sym_constant_token1] = ACTIONS(125),
    [anon_sym_T] = ACTIONS(125),
    [anon_sym_F] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [anon_sym_ATDIR] = ACTIONS(123),
    [anon_sym_ATFILENAME] = ACTIONS(123),
    [sym_id] = ACTIONS(125),
    [sym_pattern] = ACTIONS(123),
    [sym_ipv6] = ACTIONS(125),
    [sym_ipv4] = ACTIONS(125),
    [sym_port] = ACTIONS(123),
    [sym_floatp] = ACTIONS(125),
    [sym_hex] = ACTIONS(125),
    [sym_hostname] = ACTIONS(125),
    [aux_sym_string_token1] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1734),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_timeout] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [496] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1676),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_case] = ACTIONS(1676),
    [anon_sym_default] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [497] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1736),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [498] = {
    [sym_attr_list] = STATE(359),
    [sym_attr] = STATE(587),
    [aux_sym_attr_list_repeat1] = STATE(587),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(111),
    [anon_sym_AMPdeprecated] = ACTIONS(111),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(111),
    [anon_sym_AMPerror_handler] = ACTIONS(111),
    [anon_sym_AMPis_assigned] = ACTIONS(111),
    [anon_sym_AMPis_used] = ACTIONS(111),
    [anon_sym_AMPlog] = ACTIONS(111),
    [anon_sym_AMPoptional] = ACTIONS(111),
    [anon_sym_AMPraw_output] = ACTIONS(111),
    [anon_sym_AMPredef] = ACTIONS(111),
    [anon_sym_AMPadd_func] = ACTIONS(111),
    [anon_sym_AMPbackend] = ACTIONS(111),
    [anon_sym_AMPbroker_store] = ACTIONS(111),
    [anon_sym_AMPcreate_expire] = ACTIONS(111),
    [anon_sym_AMPdefault] = ACTIONS(111),
    [anon_sym_AMPdelete_func] = ACTIONS(111),
    [anon_sym_AMPexpire_func] = ACTIONS(111),
    [anon_sym_AMPgroup] = ACTIONS(111),
    [anon_sym_AMPon_change] = ACTIONS(111),
    [anon_sym_AMPpriority] = ACTIONS(111),
    [anon_sym_AMPread_expire] = ACTIONS(111),
    [anon_sym_AMPtype_column] = ACTIONS(111),
    [anon_sym_AMPwrite_expire] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_is] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_SLASH] = ACTIONS(111),
    [anon_sym_PERCENT] = ACTIONS(111),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_LT_EQ] = ACTIONS(111),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(111),
    [anon_sym_AMP] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(111),
    [anon_sym_BANG_EQ] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_ATdeprecated] = ACTIONS(111),
    [anon_sym_ATload] = ACTIONS(113),
    [anon_sym_ATload_DASHsigs] = ACTIONS(111),
    [anon_sym_ATload_DASHplugin] = ACTIONS(111),
    [anon_sym_ATunload] = ACTIONS(111),
    [anon_sym_ATprefixes] = ACTIONS(111),
    [anon_sym_ATif] = ACTIONS(113),
    [anon_sym_ATifdef] = ACTIONS(111),
    [anon_sym_ATifndef] = ACTIONS(111),
    [anon_sym_ATendif] = ACTIONS(111),
    [anon_sym_ATelse] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [499] = {
    [sym_attr_list] = STATE(366),
    [sym_attr] = STATE(587),
    [aux_sym_attr_list_repeat1] = STATE(587),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_PLUS_EQ] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_in] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1604),
    [anon_sym_as] = ACTIONS(1602),
    [anon_sym_AMPdeprecated] = ACTIONS(1602),
    [anon_sym_DASH_EQ] = ACTIONS(1602),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1602),
    [anon_sym_AMPerror_handler] = ACTIONS(1602),
    [anon_sym_AMPis_assigned] = ACTIONS(1602),
    [anon_sym_AMPis_used] = ACTIONS(1602),
    [anon_sym_AMPlog] = ACTIONS(1602),
    [anon_sym_AMPoptional] = ACTIONS(1602),
    [anon_sym_AMPraw_output] = ACTIONS(1602),
    [anon_sym_AMPredef] = ACTIONS(1602),
    [anon_sym_AMPadd_func] = ACTIONS(1602),
    [anon_sym_AMPbackend] = ACTIONS(1602),
    [anon_sym_AMPbroker_store] = ACTIONS(1602),
    [anon_sym_AMPcreate_expire] = ACTIONS(1602),
    [anon_sym_AMPdefault] = ACTIONS(1602),
    [anon_sym_AMPdelete_func] = ACTIONS(1602),
    [anon_sym_AMPexpire_func] = ACTIONS(1602),
    [anon_sym_AMPgroup] = ACTIONS(1602),
    [anon_sym_AMPon_change] = ACTIONS(1602),
    [anon_sym_AMPpriority] = ACTIONS(1602),
    [anon_sym_AMPread_expire] = ACTIONS(1602),
    [anon_sym_AMPtype_column] = ACTIONS(1602),
    [anon_sym_AMPwrite_expire] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_is] = ACTIONS(1602),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1602),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_QMARK] = ACTIONS(1604),
    [anon_sym_EQ_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_AMP_AMP] = ACTIONS(1602),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1602),
    [anon_sym_ATload] = ACTIONS(1604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1602),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1602),
    [anon_sym_ATunload] = ACTIONS(1602),
    [anon_sym_ATprefixes] = ACTIONS(1602),
    [anon_sym_ATif] = ACTIONS(1604),
    [anon_sym_ATifdef] = ACTIONS(1602),
    [anon_sym_ATifndef] = ACTIONS(1602),
    [anon_sym_ATendif] = ACTIONS(1602),
    [anon_sym_ATelse] = ACTIONS(1602),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [500] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_timeout] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [502] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_timeout] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [503] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_timeout] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [504] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_timeout] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [505] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_timeout] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [506] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_timeout] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [507] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_timeout] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_record] = ACTIONS(1608),
    [anon_sym_print] = ACTIONS(1608),
    [anon_sym_event] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_else] = ACTIONS(1608),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_next] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_fallthrough] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_add] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_local] = ACTIONS(1608),
    [anon_sym_when] = ACTIONS(1608),
    [anon_sym_timeout] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_table] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_vector] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_hook] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_copy] = ACTIONS(1608),
    [anon_sym_schedule] = ACTIONS(1608),
    [aux_sym_constant_token1] = ACTIONS(1608),
    [anon_sym_T] = ACTIONS(1608),
    [anon_sym_F] = ACTIONS(1608),
    [anon_sym_ATdeprecated] = ACTIONS(1606),
    [anon_sym_ATload] = ACTIONS(1608),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1606),
    [anon_sym_ATunload] = ACTIONS(1606),
    [anon_sym_ATprefixes] = ACTIONS(1606),
    [anon_sym_ATif] = ACTIONS(1608),
    [anon_sym_ATifdef] = ACTIONS(1606),
    [anon_sym_ATifndef] = ACTIONS(1606),
    [anon_sym_ATendif] = ACTIONS(1606),
    [anon_sym_ATelse] = ACTIONS(1606),
    [anon_sym_ATDIR] = ACTIONS(1606),
    [anon_sym_ATFILENAME] = ACTIONS(1606),
    [sym_id] = ACTIONS(1608),
    [sym_pattern] = ACTIONS(1606),
    [sym_ipv6] = ACTIONS(1608),
    [sym_ipv4] = ACTIONS(1608),
    [sym_port] = ACTIONS(1606),
    [sym_floatp] = ACTIONS(1608),
    [sym_hex] = ACTIONS(1608),
    [sym_hostname] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1606),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_timeout] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_timeout] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_record] = ACTIONS(1512),
    [anon_sym_print] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_else] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_next] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_fallthrough] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_add] = ACTIONS(1512),
    [anon_sym_delete] = ACTIONS(1512),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_when] = ACTIONS(1512),
    [anon_sym_timeout] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_table] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_vector] = ACTIONS(1512),
    [anon_sym_function] = ACTIONS(1512),
    [anon_sym_hook] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_copy] = ACTIONS(1512),
    [anon_sym_schedule] = ACTIONS(1512),
    [aux_sym_constant_token1] = ACTIONS(1512),
    [anon_sym_T] = ACTIONS(1512),
    [anon_sym_F] = ACTIONS(1512),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATDIR] = ACTIONS(1510),
    [anon_sym_ATFILENAME] = ACTIONS(1510),
    [sym_id] = ACTIONS(1512),
    [sym_pattern] = ACTIONS(1510),
    [sym_ipv6] = ACTIONS(1512),
    [sym_ipv4] = ACTIONS(1512),
    [sym_port] = ACTIONS(1510),
    [sym_floatp] = ACTIONS(1512),
    [sym_hex] = ACTIONS(1512),
    [sym_hostname] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1738),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1740),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1742),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [515] = {
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_record] = ACTIONS(1608),
    [anon_sym_print] = ACTIONS(1608),
    [anon_sym_event] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_else] = ACTIONS(1608),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_next] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_fallthrough] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_add] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_local] = ACTIONS(1608),
    [anon_sym_when] = ACTIONS(1608),
    [anon_sym_timeout] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_table] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_vector] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_hook] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_copy] = ACTIONS(1608),
    [anon_sym_schedule] = ACTIONS(1608),
    [aux_sym_constant_token1] = ACTIONS(1608),
    [anon_sym_T] = ACTIONS(1608),
    [anon_sym_F] = ACTIONS(1608),
    [anon_sym_ATdeprecated] = ACTIONS(1606),
    [anon_sym_ATload] = ACTIONS(1608),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1606),
    [anon_sym_ATunload] = ACTIONS(1606),
    [anon_sym_ATprefixes] = ACTIONS(1606),
    [anon_sym_ATif] = ACTIONS(1608),
    [anon_sym_ATifdef] = ACTIONS(1606),
    [anon_sym_ATifndef] = ACTIONS(1606),
    [anon_sym_ATendif] = ACTIONS(1606),
    [anon_sym_ATelse] = ACTIONS(1606),
    [anon_sym_ATDIR] = ACTIONS(1606),
    [anon_sym_ATFILENAME] = ACTIONS(1606),
    [sym_id] = ACTIONS(1608),
    [sym_pattern] = ACTIONS(1606),
    [sym_ipv6] = ACTIONS(1608),
    [sym_ipv4] = ACTIONS(1608),
    [sym_port] = ACTIONS(1606),
    [sym_floatp] = ACTIONS(1608),
    [sym_hex] = ACTIONS(1608),
    [sym_hostname] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1606),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1744),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [517] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_timeout] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [518] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_timeout] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [519] = {
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_record] = ACTIONS(1512),
    [anon_sym_print] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_else] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_next] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_fallthrough] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_add] = ACTIONS(1512),
    [anon_sym_delete] = ACTIONS(1512),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_when] = ACTIONS(1512),
    [anon_sym_timeout] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_table] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_vector] = ACTIONS(1512),
    [anon_sym_function] = ACTIONS(1512),
    [anon_sym_hook] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_copy] = ACTIONS(1512),
    [anon_sym_schedule] = ACTIONS(1512),
    [aux_sym_constant_token1] = ACTIONS(1512),
    [anon_sym_T] = ACTIONS(1512),
    [anon_sym_F] = ACTIONS(1512),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATDIR] = ACTIONS(1510),
    [anon_sym_ATFILENAME] = ACTIONS(1510),
    [sym_id] = ACTIONS(1512),
    [sym_pattern] = ACTIONS(1510),
    [sym_ipv6] = ACTIONS(1512),
    [sym_ipv4] = ACTIONS(1512),
    [sym_port] = ACTIONS(1510),
    [sym_floatp] = ACTIONS(1512),
    [sym_hex] = ACTIONS(1512),
    [sym_hostname] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [520] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1746),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [521] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1748),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [522] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1750),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [523] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1752),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [524] = {
    [anon_sym_SEMI] = ACTIONS(111),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1754),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(111),
    [anon_sym_AMPdeprecated] = ACTIONS(1472),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1472),
    [anon_sym_AMPerror_handler] = ACTIONS(1472),
    [anon_sym_AMPis_assigned] = ACTIONS(1472),
    [anon_sym_AMPis_used] = ACTIONS(1472),
    [anon_sym_AMPlog] = ACTIONS(1472),
    [anon_sym_AMPoptional] = ACTIONS(1472),
    [anon_sym_AMPraw_output] = ACTIONS(1472),
    [anon_sym_AMPredef] = ACTIONS(1472),
    [anon_sym_AMPadd_func] = ACTIONS(1472),
    [anon_sym_AMPbackend] = ACTIONS(1472),
    [anon_sym_AMPbroker_store] = ACTIONS(1472),
    [anon_sym_AMPcreate_expire] = ACTIONS(1472),
    [anon_sym_AMPdefault] = ACTIONS(1472),
    [anon_sym_AMPdelete_func] = ACTIONS(1472),
    [anon_sym_AMPexpire_func] = ACTIONS(1472),
    [anon_sym_AMPgroup] = ACTIONS(1472),
    [anon_sym_AMPon_change] = ACTIONS(1472),
    [anon_sym_AMPpriority] = ACTIONS(1472),
    [anon_sym_AMPread_expire] = ACTIONS(1472),
    [anon_sym_AMPtype_column] = ACTIONS(1472),
    [anon_sym_AMPwrite_expire] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_is] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_SLASH] = ACTIONS(111),
    [anon_sym_PERCENT] = ACTIONS(111),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_LT_EQ] = ACTIONS(111),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(111),
    [anon_sym_AMP] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(111),
    [anon_sym_BANG_EQ] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_ATdeprecated] = ACTIONS(1472),
    [anon_sym_ATload] = ACTIONS(1476),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1472),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1472),
    [anon_sym_ATunload] = ACTIONS(1472),
    [anon_sym_ATprefixes] = ACTIONS(1472),
    [anon_sym_ATif] = ACTIONS(1476),
    [anon_sym_ATifdef] = ACTIONS(1472),
    [anon_sym_ATifndef] = ACTIONS(1472),
    [anon_sym_ATendif] = ACTIONS(1472),
    [anon_sym_ATelse] = ACTIONS(1472),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1756),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1758),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(127),
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_record] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_else] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_next] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(129),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(129),
    [anon_sym_add] = ACTIONS(129),
    [anon_sym_delete] = ACTIONS(129),
    [anon_sym_local] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_table] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
    [anon_sym_vector] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(129),
    [anon_sym_hook] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_PLUS_PLUS] = ACTIONS(127),
    [anon_sym_DASH_DASH] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_copy] = ACTIONS(129),
    [anon_sym_schedule] = ACTIONS(129),
    [aux_sym_constant_token1] = ACTIONS(129),
    [anon_sym_T] = ACTIONS(129),
    [anon_sym_F] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [anon_sym_ATDIR] = ACTIONS(127),
    [anon_sym_ATFILENAME] = ACTIONS(127),
    [sym_id] = ACTIONS(129),
    [sym_pattern] = ACTIONS(127),
    [sym_ipv6] = ACTIONS(129),
    [sym_ipv4] = ACTIONS(129),
    [sym_port] = ACTIONS(127),
    [sym_floatp] = ACTIONS(129),
    [sym_hex] = ACTIONS(129),
    [sym_hostname] = ACTIONS(129),
    [aux_sym_string_token1] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_record] = ACTIONS(125),
    [anon_sym_print] = ACTIONS(125),
    [anon_sym_event] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_else] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(125),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_next] = ACTIONS(125),
    [anon_sym_break] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_add] = ACTIONS(125),
    [anon_sym_delete] = ACTIONS(125),
    [anon_sym_local] = ACTIONS(125),
    [anon_sym_when] = ACTIONS(125),
    [anon_sym_assert] = ACTIONS(125),
    [anon_sym_table] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_vector] = ACTIONS(125),
    [anon_sym_function] = ACTIONS(125),
    [anon_sym_hook] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_copy] = ACTIONS(125),
    [anon_sym_schedule] = ACTIONS(125),
    [aux_sym_constant_token1] = ACTIONS(125),
    [anon_sym_T] = ACTIONS(125),
    [anon_sym_F] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [anon_sym_ATDIR] = ACTIONS(123),
    [anon_sym_ATFILENAME] = ACTIONS(123),
    [sym_id] = ACTIONS(125),
    [sym_pattern] = ACTIONS(123),
    [sym_ipv6] = ACTIONS(125),
    [sym_ipv4] = ACTIONS(125),
    [sym_port] = ACTIONS(123),
    [sym_floatp] = ACTIONS(125),
    [sym_hex] = ACTIONS(125),
    [sym_hostname] = ACTIONS(125),
    [aux_sym_string_token1] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_timeout] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1762),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_timeout] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1764),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [532] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1766),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [533] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(127),
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_record] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_next] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(129),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(129),
    [anon_sym_add] = ACTIONS(129),
    [anon_sym_delete] = ACTIONS(129),
    [anon_sym_local] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_timeout] = ACTIONS(129),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_table] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
    [anon_sym_vector] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(129),
    [anon_sym_hook] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_PLUS_PLUS] = ACTIONS(127),
    [anon_sym_DASH_DASH] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_copy] = ACTIONS(129),
    [anon_sym_schedule] = ACTIONS(129),
    [aux_sym_constant_token1] = ACTIONS(129),
    [anon_sym_T] = ACTIONS(129),
    [anon_sym_F] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [anon_sym_ATDIR] = ACTIONS(127),
    [anon_sym_ATFILENAME] = ACTIONS(127),
    [sym_id] = ACTIONS(129),
    [sym_pattern] = ACTIONS(127),
    [sym_ipv6] = ACTIONS(129),
    [sym_ipv4] = ACTIONS(129),
    [sym_port] = ACTIONS(127),
    [sym_floatp] = ACTIONS(129),
    [sym_hex] = ACTIONS(129),
    [sym_hostname] = ACTIONS(129),
    [aux_sym_string_token1] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_record] = ACTIONS(125),
    [anon_sym_print] = ACTIONS(125),
    [anon_sym_event] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(125),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_next] = ACTIONS(125),
    [anon_sym_break] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_add] = ACTIONS(125),
    [anon_sym_delete] = ACTIONS(125),
    [anon_sym_local] = ACTIONS(125),
    [anon_sym_when] = ACTIONS(125),
    [anon_sym_timeout] = ACTIONS(125),
    [anon_sym_assert] = ACTIONS(125),
    [anon_sym_table] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_vector] = ACTIONS(125),
    [anon_sym_function] = ACTIONS(125),
    [anon_sym_hook] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_copy] = ACTIONS(125),
    [anon_sym_schedule] = ACTIONS(125),
    [aux_sym_constant_token1] = ACTIONS(125),
    [anon_sym_T] = ACTIONS(125),
    [anon_sym_F] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [anon_sym_ATDIR] = ACTIONS(123),
    [anon_sym_ATFILENAME] = ACTIONS(123),
    [sym_id] = ACTIONS(125),
    [sym_pattern] = ACTIONS(123),
    [sym_ipv6] = ACTIONS(125),
    [sym_ipv4] = ACTIONS(125),
    [sym_port] = ACTIONS(123),
    [sym_floatp] = ACTIONS(125),
    [sym_hex] = ACTIONS(125),
    [sym_hostname] = ACTIONS(125),
    [aux_sym_string_token1] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [536] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [537] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(135),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [538] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1768),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [539] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_case] = ACTIONS(1650),
    [anon_sym_default] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [540] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1770),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [541] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_case] = ACTIONS(1650),
    [anon_sym_default] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [542] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_case] = ACTIONS(1676),
    [anon_sym_default] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [543] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_case] = ACTIONS(1676),
    [anon_sym_default] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [544] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [545] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [546] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1670),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [547] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1670),
    [anon_sym_default] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [548] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [549] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [550] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [551] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1692),
    [anon_sym_default] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [552] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1692),
    [anon_sym_default] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [553] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_case] = ACTIONS(1698),
    [anon_sym_default] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [554] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_case] = ACTIONS(1698),
    [anon_sym_default] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [555] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_case] = ACTIONS(1684),
    [anon_sym_default] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [556] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_case] = ACTIONS(1684),
    [anon_sym_default] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [557] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_case] = ACTIONS(1666),
    [anon_sym_default] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [558] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_case] = ACTIONS(1666),
    [anon_sym_default] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [560] = {
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_record] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_else] = ACTIONS(129),
    [anon_sym_switch] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_next] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(129),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(129),
    [anon_sym_add] = ACTIONS(129),
    [anon_sym_delete] = ACTIONS(129),
    [anon_sym_local] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_table] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
    [anon_sym_vector] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(129),
    [anon_sym_hook] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_PLUS_PLUS] = ACTIONS(127),
    [anon_sym_DASH_DASH] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_copy] = ACTIONS(129),
    [anon_sym_schedule] = ACTIONS(129),
    [aux_sym_constant_token1] = ACTIONS(129),
    [anon_sym_T] = ACTIONS(129),
    [anon_sym_F] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [anon_sym_ATDIR] = ACTIONS(127),
    [anon_sym_ATFILENAME] = ACTIONS(127),
    [sym_id] = ACTIONS(129),
    [sym_pattern] = ACTIONS(127),
    [sym_ipv6] = ACTIONS(129),
    [sym_ipv4] = ACTIONS(129),
    [sym_port] = ACTIONS(127),
    [sym_floatp] = ACTIONS(129),
    [sym_hex] = ACTIONS(129),
    [sym_hostname] = ACTIONS(129),
    [aux_sym_string_token1] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [561] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_timeout] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(135),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_timeout] = ACTIONS(137),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(135),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [564] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1772),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_timeout] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_timeout] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [566] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1774),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_timeout] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_timeout] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1676),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_timeout] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1676),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_timeout] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [577] = {
    [ts_builtin_sym_end] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_timeout] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_timeout] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [579] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_timeout] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [580] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_timeout] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_timeout] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [582] = {
    [ts_builtin_sym_end] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_timeout] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [583] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_timeout] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [584] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [585] = {
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_record] = ACTIONS(1608),
    [anon_sym_print] = ACTIONS(1608),
    [anon_sym_event] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_next] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_fallthrough] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_add] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_local] = ACTIONS(1608),
    [anon_sym_when] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_case] = ACTIONS(1608),
    [anon_sym_default] = ACTIONS(1608),
    [anon_sym_table] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_vector] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_hook] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_copy] = ACTIONS(1608),
    [anon_sym_schedule] = ACTIONS(1608),
    [aux_sym_constant_token1] = ACTIONS(1608),
    [anon_sym_T] = ACTIONS(1608),
    [anon_sym_F] = ACTIONS(1608),
    [anon_sym_ATdeprecated] = ACTIONS(1606),
    [anon_sym_ATload] = ACTIONS(1608),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1606),
    [anon_sym_ATunload] = ACTIONS(1606),
    [anon_sym_ATprefixes] = ACTIONS(1606),
    [anon_sym_ATif] = ACTIONS(1608),
    [anon_sym_ATifdef] = ACTIONS(1606),
    [anon_sym_ATifndef] = ACTIONS(1606),
    [anon_sym_ATendif] = ACTIONS(1606),
    [anon_sym_ATelse] = ACTIONS(1606),
    [anon_sym_ATDIR] = ACTIONS(1606),
    [anon_sym_ATFILENAME] = ACTIONS(1606),
    [sym_id] = ACTIONS(1608),
    [sym_pattern] = ACTIONS(1606),
    [sym_ipv6] = ACTIONS(1608),
    [sym_ipv4] = ACTIONS(1608),
    [sym_port] = ACTIONS(1606),
    [sym_floatp] = ACTIONS(1608),
    [sym_hex] = ACTIONS(1608),
    [sym_hostname] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1606),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [586] = {
    [sym_attr] = STATE(586),
    [aux_sym_attr_list_repeat1] = STATE(586),
    [anon_sym_LBRACE] = ACTIONS(1776),
    [anon_sym_PLUS_EQ] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [anon_sym_in] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1778),
    [anon_sym_as] = ACTIONS(1776),
    [anon_sym_AMPdeprecated] = ACTIONS(1780),
    [anon_sym_DASH_EQ] = ACTIONS(1776),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1783),
    [anon_sym_AMPerror_handler] = ACTIONS(1783),
    [anon_sym_AMPis_assigned] = ACTIONS(1783),
    [anon_sym_AMPis_used] = ACTIONS(1783),
    [anon_sym_AMPlog] = ACTIONS(1783),
    [anon_sym_AMPoptional] = ACTIONS(1783),
    [anon_sym_AMPraw_output] = ACTIONS(1783),
    [anon_sym_AMPredef] = ACTIONS(1783),
    [anon_sym_AMPadd_func] = ACTIONS(1786),
    [anon_sym_AMPbackend] = ACTIONS(1786),
    [anon_sym_AMPbroker_store] = ACTIONS(1786),
    [anon_sym_AMPcreate_expire] = ACTIONS(1786),
    [anon_sym_AMPdefault] = ACTIONS(1786),
    [anon_sym_AMPdelete_func] = ACTIONS(1786),
    [anon_sym_AMPexpire_func] = ACTIONS(1786),
    [anon_sym_AMPgroup] = ACTIONS(1786),
    [anon_sym_AMPon_change] = ACTIONS(1786),
    [anon_sym_AMPpriority] = ACTIONS(1786),
    [anon_sym_AMPread_expire] = ACTIONS(1786),
    [anon_sym_AMPtype_column] = ACTIONS(1786),
    [anon_sym_AMPwrite_expire] = ACTIONS(1786),
    [anon_sym_DOLLAR] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_BANG] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_is] = ACTIONS(1776),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1776),
    [anon_sym_PERCENT] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_QMARK] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_AMP_AMP] = ACTIONS(1776),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1776),
    [anon_sym_ATdeprecated] = ACTIONS(1776),
    [anon_sym_ATload] = ACTIONS(1778),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1776),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1776),
    [anon_sym_ATunload] = ACTIONS(1776),
    [anon_sym_ATprefixes] = ACTIONS(1776),
    [anon_sym_ATif] = ACTIONS(1778),
    [anon_sym_ATifdef] = ACTIONS(1776),
    [anon_sym_ATifndef] = ACTIONS(1776),
    [anon_sym_ATendif] = ACTIONS(1776),
    [anon_sym_ATelse] = ACTIONS(1776),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [587] = {
    [sym_attr] = STATE(586),
    [aux_sym_attr_list_repeat1] = STATE(586),
    [anon_sym_LBRACE] = ACTIONS(1789),
    [anon_sym_PLUS_EQ] = ACTIONS(1789),
    [anon_sym_LPAREN] = ACTIONS(1789),
    [anon_sym_in] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1789),
    [anon_sym_EQ] = ACTIONS(1791),
    [anon_sym_as] = ACTIONS(1789),
    [anon_sym_AMPdeprecated] = ACTIONS(1789),
    [anon_sym_DASH_EQ] = ACTIONS(1789),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1789),
    [anon_sym_AMPerror_handler] = ACTIONS(1789),
    [anon_sym_AMPis_assigned] = ACTIONS(1789),
    [anon_sym_AMPis_used] = ACTIONS(1789),
    [anon_sym_AMPlog] = ACTIONS(1789),
    [anon_sym_AMPoptional] = ACTIONS(1789),
    [anon_sym_AMPraw_output] = ACTIONS(1789),
    [anon_sym_AMPredef] = ACTIONS(1789),
    [anon_sym_AMPadd_func] = ACTIONS(1789),
    [anon_sym_AMPbackend] = ACTIONS(1789),
    [anon_sym_AMPbroker_store] = ACTIONS(1789),
    [anon_sym_AMPcreate_expire] = ACTIONS(1789),
    [anon_sym_AMPdefault] = ACTIONS(1789),
    [anon_sym_AMPdelete_func] = ACTIONS(1789),
    [anon_sym_AMPexpire_func] = ACTIONS(1789),
    [anon_sym_AMPgroup] = ACTIONS(1789),
    [anon_sym_AMPon_change] = ACTIONS(1789),
    [anon_sym_AMPpriority] = ACTIONS(1789),
    [anon_sym_AMPread_expire] = ACTIONS(1789),
    [anon_sym_AMPtype_column] = ACTIONS(1789),
    [anon_sym_AMPwrite_expire] = ACTIONS(1789),
    [anon_sym_DOLLAR] = ACTIONS(1789),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_BANG] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1791),
    [anon_sym_is] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PERCENT] = ACTIONS(1789),
    [anon_sym_LT] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_QMARK] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1789),
    [anon_sym_BANG_EQ] = ACTIONS(1789),
    [anon_sym_AMP_AMP] = ACTIONS(1789),
    [anon_sym_PIPE_PIPE] = ACTIONS(1789),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1789),
    [anon_sym_ATdeprecated] = ACTIONS(1789),
    [anon_sym_ATload] = ACTIONS(1791),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1789),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1789),
    [anon_sym_ATunload] = ACTIONS(1789),
    [anon_sym_ATprefixes] = ACTIONS(1789),
    [anon_sym_ATif] = ACTIONS(1791),
    [anon_sym_ATifdef] = ACTIONS(1789),
    [anon_sym_ATifndef] = ACTIONS(1789),
    [anon_sym_ATendif] = ACTIONS(1789),
    [anon_sym_ATelse] = ACTIONS(1789),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [588] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1793),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [589] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1795),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1797),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [591] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1799),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [592] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1801),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [593] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1803),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [594] = {
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_record] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_next] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(129),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(129),
    [anon_sym_add] = ACTIONS(129),
    [anon_sym_delete] = ACTIONS(129),
    [anon_sym_local] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_timeout] = ACTIONS(129),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_table] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
    [anon_sym_vector] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(129),
    [anon_sym_hook] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_PLUS_PLUS] = ACTIONS(127),
    [anon_sym_DASH_DASH] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_copy] = ACTIONS(129),
    [anon_sym_schedule] = ACTIONS(129),
    [aux_sym_constant_token1] = ACTIONS(129),
    [anon_sym_T] = ACTIONS(129),
    [anon_sym_F] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [anon_sym_ATDIR] = ACTIONS(127),
    [anon_sym_ATFILENAME] = ACTIONS(127),
    [sym_id] = ACTIONS(129),
    [sym_pattern] = ACTIONS(127),
    [sym_ipv6] = ACTIONS(129),
    [sym_ipv4] = ACTIONS(129),
    [sym_port] = ACTIONS(127),
    [sym_floatp] = ACTIONS(129),
    [sym_hex] = ACTIONS(129),
    [sym_hostname] = ACTIONS(129),
    [aux_sym_string_token1] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [595] = {
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_record] = ACTIONS(125),
    [anon_sym_print] = ACTIONS(125),
    [anon_sym_event] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(125),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_next] = ACTIONS(125),
    [anon_sym_break] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_add] = ACTIONS(125),
    [anon_sym_delete] = ACTIONS(125),
    [anon_sym_local] = ACTIONS(125),
    [anon_sym_when] = ACTIONS(125),
    [anon_sym_timeout] = ACTIONS(125),
    [anon_sym_assert] = ACTIONS(125),
    [anon_sym_table] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_vector] = ACTIONS(125),
    [anon_sym_function] = ACTIONS(125),
    [anon_sym_hook] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_copy] = ACTIONS(125),
    [anon_sym_schedule] = ACTIONS(125),
    [aux_sym_constant_token1] = ACTIONS(125),
    [anon_sym_T] = ACTIONS(125),
    [anon_sym_F] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [anon_sym_ATDIR] = ACTIONS(123),
    [anon_sym_ATFILENAME] = ACTIONS(123),
    [sym_id] = ACTIONS(125),
    [sym_pattern] = ACTIONS(123),
    [sym_ipv6] = ACTIONS(125),
    [sym_ipv4] = ACTIONS(125),
    [sym_port] = ACTIONS(123),
    [sym_floatp] = ACTIONS(125),
    [sym_hex] = ACTIONS(125),
    [sym_hostname] = ACTIONS(125),
    [aux_sym_string_token1] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [596] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [597] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_timeout] = ACTIONS(137),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(135),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [598] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [599] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_timeout] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [600] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [601] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_timeout] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [602] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1676),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_timeout] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [603] = {
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_record] = ACTIONS(1512),
    [anon_sym_print] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_next] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_fallthrough] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_add] = ACTIONS(1512),
    [anon_sym_delete] = ACTIONS(1512),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_when] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_table] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_vector] = ACTIONS(1512),
    [anon_sym_function] = ACTIONS(1512),
    [anon_sym_hook] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_copy] = ACTIONS(1512),
    [anon_sym_schedule] = ACTIONS(1512),
    [aux_sym_constant_token1] = ACTIONS(1512),
    [anon_sym_T] = ACTIONS(1512),
    [anon_sym_F] = ACTIONS(1512),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATDIR] = ACTIONS(1510),
    [anon_sym_ATFILENAME] = ACTIONS(1510),
    [sym_id] = ACTIONS(1512),
    [sym_pattern] = ACTIONS(1510),
    [sym_ipv6] = ACTIONS(1512),
    [sym_ipv4] = ACTIONS(1512),
    [sym_port] = ACTIONS(1510),
    [sym_floatp] = ACTIONS(1512),
    [sym_hex] = ACTIONS(1512),
    [sym_hostname] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [604] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1676),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_timeout] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [605] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [606] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [607] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [608] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [609] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [610] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [611] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [612] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_timeout] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [613] = {
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_record] = ACTIONS(125),
    [anon_sym_print] = ACTIONS(125),
    [anon_sym_event] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_else] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(125),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_next] = ACTIONS(125),
    [anon_sym_break] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_add] = ACTIONS(125),
    [anon_sym_delete] = ACTIONS(125),
    [anon_sym_local] = ACTIONS(125),
    [anon_sym_when] = ACTIONS(125),
    [anon_sym_assert] = ACTIONS(125),
    [anon_sym_table] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_vector] = ACTIONS(125),
    [anon_sym_function] = ACTIONS(125),
    [anon_sym_hook] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_copy] = ACTIONS(125),
    [anon_sym_schedule] = ACTIONS(125),
    [aux_sym_constant_token1] = ACTIONS(125),
    [anon_sym_T] = ACTIONS(125),
    [anon_sym_F] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [anon_sym_ATDIR] = ACTIONS(123),
    [anon_sym_ATFILENAME] = ACTIONS(123),
    [sym_id] = ACTIONS(125),
    [sym_pattern] = ACTIONS(123),
    [sym_ipv6] = ACTIONS(125),
    [sym_ipv4] = ACTIONS(125),
    [sym_port] = ACTIONS(123),
    [sym_floatp] = ACTIONS(125),
    [sym_hex] = ACTIONS(125),
    [sym_hostname] = ACTIONS(125),
    [aux_sym_string_token1] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [614] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [615] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(135),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [616] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1805),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [618] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [620] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [621] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1676),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_record] = ACTIONS(1512),
    [anon_sym_print] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_else] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_next] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_fallthrough] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_add] = ACTIONS(1512),
    [anon_sym_delete] = ACTIONS(1512),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_when] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_table] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_vector] = ACTIONS(1512),
    [anon_sym_function] = ACTIONS(1512),
    [anon_sym_hook] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_copy] = ACTIONS(1512),
    [anon_sym_schedule] = ACTIONS(1512),
    [aux_sym_constant_token1] = ACTIONS(1512),
    [anon_sym_T] = ACTIONS(1512),
    [anon_sym_F] = ACTIONS(1512),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATDIR] = ACTIONS(1510),
    [anon_sym_ATFILENAME] = ACTIONS(1510),
    [sym_id] = ACTIONS(1512),
    [sym_pattern] = ACTIONS(1510),
    [sym_ipv6] = ACTIONS(1512),
    [sym_ipv4] = ACTIONS(1512),
    [sym_port] = ACTIONS(1510),
    [sym_floatp] = ACTIONS(1512),
    [sym_hex] = ACTIONS(1512),
    [sym_hostname] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [623] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1676),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [624] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [625] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [626] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [627] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [628] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [629] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [630] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [631] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [632] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1807),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [633] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [634] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [635] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [636] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [637] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1809),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [638] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [639] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [640] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [641] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [642] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_record] = ACTIONS(1608),
    [anon_sym_print] = ACTIONS(1608),
    [anon_sym_event] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_next] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_fallthrough] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_add] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_local] = ACTIONS(1608),
    [anon_sym_when] = ACTIONS(1608),
    [anon_sym_timeout] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_table] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_vector] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_hook] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_copy] = ACTIONS(1608),
    [anon_sym_schedule] = ACTIONS(1608),
    [aux_sym_constant_token1] = ACTIONS(1608),
    [anon_sym_T] = ACTIONS(1608),
    [anon_sym_F] = ACTIONS(1608),
    [anon_sym_ATdeprecated] = ACTIONS(1606),
    [anon_sym_ATload] = ACTIONS(1608),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1606),
    [anon_sym_ATunload] = ACTIONS(1606),
    [anon_sym_ATprefixes] = ACTIONS(1606),
    [anon_sym_ATif] = ACTIONS(1608),
    [anon_sym_ATifdef] = ACTIONS(1606),
    [anon_sym_ATifndef] = ACTIONS(1606),
    [anon_sym_ATendif] = ACTIONS(1606),
    [anon_sym_ATelse] = ACTIONS(1606),
    [anon_sym_ATDIR] = ACTIONS(1606),
    [anon_sym_ATFILENAME] = ACTIONS(1606),
    [sym_id] = ACTIONS(1608),
    [sym_pattern] = ACTIONS(1606),
    [sym_ipv6] = ACTIONS(1608),
    [sym_ipv4] = ACTIONS(1608),
    [sym_port] = ACTIONS(1606),
    [sym_floatp] = ACTIONS(1608),
    [sym_hex] = ACTIONS(1608),
    [sym_hostname] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1606),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [643] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [644] = {
    [ts_builtin_sym_end] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1676),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [645] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [646] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_timeout] = ACTIONS(137),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(135),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [647] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1811),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [648] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_timeout] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [649] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_timeout] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [650] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_timeout] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [651] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1813),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [652] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_timeout] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [653] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_timeout] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [654] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_record] = ACTIONS(1512),
    [anon_sym_print] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_next] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_fallthrough] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_add] = ACTIONS(1512),
    [anon_sym_delete] = ACTIONS(1512),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_when] = ACTIONS(1512),
    [anon_sym_timeout] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_table] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_vector] = ACTIONS(1512),
    [anon_sym_function] = ACTIONS(1512),
    [anon_sym_hook] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_copy] = ACTIONS(1512),
    [anon_sym_schedule] = ACTIONS(1512),
    [aux_sym_constant_token1] = ACTIONS(1512),
    [anon_sym_T] = ACTIONS(1512),
    [anon_sym_F] = ACTIONS(1512),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATDIR] = ACTIONS(1510),
    [anon_sym_ATFILENAME] = ACTIONS(1510),
    [sym_id] = ACTIONS(1512),
    [sym_pattern] = ACTIONS(1510),
    [sym_ipv6] = ACTIONS(1512),
    [sym_ipv4] = ACTIONS(1512),
    [sym_port] = ACTIONS(1510),
    [sym_floatp] = ACTIONS(1512),
    [sym_hex] = ACTIONS(1512),
    [sym_hostname] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [655] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_timeout] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [656] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [657] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [658] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1815),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [659] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [660] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [661] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [662] = {
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_record] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_next] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(129),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(129),
    [anon_sym_add] = ACTIONS(129),
    [anon_sym_delete] = ACTIONS(129),
    [anon_sym_local] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_table] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
    [anon_sym_vector] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(129),
    [anon_sym_hook] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_PLUS_PLUS] = ACTIONS(127),
    [anon_sym_DASH_DASH] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_copy] = ACTIONS(129),
    [anon_sym_schedule] = ACTIONS(129),
    [aux_sym_constant_token1] = ACTIONS(129),
    [anon_sym_T] = ACTIONS(129),
    [anon_sym_F] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [anon_sym_ATDIR] = ACTIONS(127),
    [anon_sym_ATFILENAME] = ACTIONS(127),
    [sym_id] = ACTIONS(129),
    [sym_pattern] = ACTIONS(127),
    [sym_ipv6] = ACTIONS(129),
    [sym_ipv4] = ACTIONS(129),
    [sym_port] = ACTIONS(127),
    [sym_floatp] = ACTIONS(129),
    [sym_hex] = ACTIONS(129),
    [sym_hostname] = ACTIONS(129),
    [aux_sym_string_token1] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [663] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1817),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [664] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [665] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_timeout] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [666] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_timeout] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [667] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_timeout] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [668] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_timeout] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [669] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_timeout] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [670] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_timeout] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [671] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_timeout] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [672] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_timeout] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [673] = {
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_record] = ACTIONS(1608),
    [anon_sym_print] = ACTIONS(1608),
    [anon_sym_event] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_else] = ACTIONS(1608),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_next] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_fallthrough] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_add] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_local] = ACTIONS(1608),
    [anon_sym_when] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_table] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_vector] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_hook] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_copy] = ACTIONS(1608),
    [anon_sym_schedule] = ACTIONS(1608),
    [aux_sym_constant_token1] = ACTIONS(1608),
    [anon_sym_T] = ACTIONS(1608),
    [anon_sym_F] = ACTIONS(1608),
    [anon_sym_ATdeprecated] = ACTIONS(1606),
    [anon_sym_ATload] = ACTIONS(1608),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1606),
    [anon_sym_ATunload] = ACTIONS(1606),
    [anon_sym_ATprefixes] = ACTIONS(1606),
    [anon_sym_ATif] = ACTIONS(1608),
    [anon_sym_ATifdef] = ACTIONS(1606),
    [anon_sym_ATifndef] = ACTIONS(1606),
    [anon_sym_ATendif] = ACTIONS(1606),
    [anon_sym_ATelse] = ACTIONS(1606),
    [anon_sym_ATDIR] = ACTIONS(1606),
    [anon_sym_ATFILENAME] = ACTIONS(1606),
    [sym_id] = ACTIONS(1608),
    [sym_pattern] = ACTIONS(1606),
    [sym_ipv6] = ACTIONS(1608),
    [sym_ipv4] = ACTIONS(1608),
    [sym_port] = ACTIONS(1606),
    [sym_floatp] = ACTIONS(1608),
    [sym_hex] = ACTIONS(1608),
    [sym_hostname] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1606),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [674] = {
    [ts_builtin_sym_end] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1676),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [675] = {
    [ts_builtin_sym_end] = ACTIONS(135),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(137),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(135),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [676] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [677] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1819),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [678] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [679] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [680] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [681] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1821),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [682] = {
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_record] = ACTIONS(1512),
    [anon_sym_print] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_else] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_next] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_fallthrough] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_add] = ACTIONS(1512),
    [anon_sym_delete] = ACTIONS(1512),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_when] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_table] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_vector] = ACTIONS(1512),
    [anon_sym_function] = ACTIONS(1512),
    [anon_sym_hook] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_copy] = ACTIONS(1512),
    [anon_sym_schedule] = ACTIONS(1512),
    [aux_sym_constant_token1] = ACTIONS(1512),
    [anon_sym_T] = ACTIONS(1512),
    [anon_sym_F] = ACTIONS(1512),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATDIR] = ACTIONS(1510),
    [anon_sym_ATFILENAME] = ACTIONS(1510),
    [sym_id] = ACTIONS(1512),
    [sym_pattern] = ACTIONS(1510),
    [sym_ipv6] = ACTIONS(1512),
    [sym_ipv4] = ACTIONS(1512),
    [sym_port] = ACTIONS(1510),
    [sym_floatp] = ACTIONS(1512),
    [sym_hex] = ACTIONS(1512),
    [sym_hostname] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [683] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [684] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1823),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [685] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_else] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_else] = ACTIONS(1658),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [690] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [691] = {
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_record] = ACTIONS(125),
    [anon_sym_print] = ACTIONS(125),
    [anon_sym_event] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(125),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_next] = ACTIONS(125),
    [anon_sym_break] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_add] = ACTIONS(125),
    [anon_sym_delete] = ACTIONS(125),
    [anon_sym_local] = ACTIONS(125),
    [anon_sym_when] = ACTIONS(125),
    [anon_sym_assert] = ACTIONS(125),
    [anon_sym_table] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_vector] = ACTIONS(125),
    [anon_sym_function] = ACTIONS(125),
    [anon_sym_hook] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_copy] = ACTIONS(125),
    [anon_sym_schedule] = ACTIONS(125),
    [aux_sym_constant_token1] = ACTIONS(125),
    [anon_sym_T] = ACTIONS(125),
    [anon_sym_F] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [anon_sym_ATDIR] = ACTIONS(123),
    [anon_sym_ATFILENAME] = ACTIONS(123),
    [sym_id] = ACTIONS(125),
    [sym_pattern] = ACTIONS(123),
    [sym_ipv6] = ACTIONS(125),
    [sym_ipv4] = ACTIONS(125),
    [sym_port] = ACTIONS(123),
    [sym_floatp] = ACTIONS(125),
    [sym_hex] = ACTIONS(125),
    [sym_hostname] = ACTIONS(125),
    [aux_sym_string_token1] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [692] = {
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_record] = ACTIONS(1608),
    [anon_sym_print] = ACTIONS(1608),
    [anon_sym_event] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_next] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_fallthrough] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_add] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_local] = ACTIONS(1608),
    [anon_sym_when] = ACTIONS(1608),
    [anon_sym_timeout] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_table] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_vector] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_hook] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_copy] = ACTIONS(1608),
    [anon_sym_schedule] = ACTIONS(1608),
    [aux_sym_constant_token1] = ACTIONS(1608),
    [anon_sym_T] = ACTIONS(1608),
    [anon_sym_F] = ACTIONS(1608),
    [anon_sym_ATdeprecated] = ACTIONS(1606),
    [anon_sym_ATload] = ACTIONS(1608),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1606),
    [anon_sym_ATunload] = ACTIONS(1606),
    [anon_sym_ATprefixes] = ACTIONS(1606),
    [anon_sym_ATif] = ACTIONS(1608),
    [anon_sym_ATifdef] = ACTIONS(1606),
    [anon_sym_ATifndef] = ACTIONS(1606),
    [anon_sym_ATendif] = ACTIONS(1606),
    [anon_sym_ATelse] = ACTIONS(1606),
    [anon_sym_ATDIR] = ACTIONS(1606),
    [anon_sym_ATFILENAME] = ACTIONS(1606),
    [sym_id] = ACTIONS(1608),
    [sym_pattern] = ACTIONS(1606),
    [sym_ipv6] = ACTIONS(1608),
    [sym_ipv4] = ACTIONS(1608),
    [sym_port] = ACTIONS(1606),
    [sym_floatp] = ACTIONS(1608),
    [sym_hex] = ACTIONS(1608),
    [sym_hostname] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1606),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1825),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1827),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [696] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_timeout] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_else] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [699] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_timeout] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [701] = {
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_record] = ACTIONS(1512),
    [anon_sym_print] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_next] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_fallthrough] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_add] = ACTIONS(1512),
    [anon_sym_delete] = ACTIONS(1512),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_when] = ACTIONS(1512),
    [anon_sym_timeout] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_table] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_vector] = ACTIONS(1512),
    [anon_sym_function] = ACTIONS(1512),
    [anon_sym_hook] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_copy] = ACTIONS(1512),
    [anon_sym_schedule] = ACTIONS(1512),
    [aux_sym_constant_token1] = ACTIONS(1512),
    [anon_sym_T] = ACTIONS(1512),
    [anon_sym_F] = ACTIONS(1512),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATDIR] = ACTIONS(1510),
    [anon_sym_ATFILENAME] = ACTIONS(1510),
    [sym_id] = ACTIONS(1512),
    [sym_pattern] = ACTIONS(1510),
    [sym_ipv6] = ACTIONS(1512),
    [sym_ipv4] = ACTIONS(1512),
    [sym_port] = ACTIONS(1510),
    [sym_floatp] = ACTIONS(1512),
    [sym_hex] = ACTIONS(1512),
    [sym_hostname] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_else] = ACTIONS(1666),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(135),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_timeout] = ACTIONS(137),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(135),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_timeout] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_timeout] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_timeout] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1829),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_timeout] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [713] = {
    [sym_index_slice] = STATE(349),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1835),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_AMPdeprecated] = ACTIONS(111),
    [anon_sym_DASH_EQ] = ACTIONS(1831),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(111),
    [anon_sym_AMPerror_handler] = ACTIONS(111),
    [anon_sym_AMPis_assigned] = ACTIONS(111),
    [anon_sym_AMPis_used] = ACTIONS(111),
    [anon_sym_AMPlog] = ACTIONS(111),
    [anon_sym_AMPoptional] = ACTIONS(111),
    [anon_sym_AMPraw_output] = ACTIONS(111),
    [anon_sym_AMPredef] = ACTIONS(111),
    [anon_sym_AMPadd_func] = ACTIONS(111),
    [anon_sym_AMPbackend] = ACTIONS(111),
    [anon_sym_AMPbroker_store] = ACTIONS(111),
    [anon_sym_AMPcreate_expire] = ACTIONS(111),
    [anon_sym_AMPdefault] = ACTIONS(111),
    [anon_sym_AMPdelete_func] = ACTIONS(111),
    [anon_sym_AMPexpire_func] = ACTIONS(111),
    [anon_sym_AMPgroup] = ACTIONS(111),
    [anon_sym_AMPon_change] = ACTIONS(111),
    [anon_sym_AMPpriority] = ACTIONS(111),
    [anon_sym_AMPread_expire] = ACTIONS(111),
    [anon_sym_AMPtype_column] = ACTIONS(111),
    [anon_sym_AMPwrite_expire] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1837),
    [anon_sym_BANG] = ACTIONS(1839),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_is] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_ATdeprecated] = ACTIONS(111),
    [anon_sym_ATload] = ACTIONS(113),
    [anon_sym_ATload_DASHsigs] = ACTIONS(111),
    [anon_sym_ATload_DASHplugin] = ACTIONS(111),
    [anon_sym_ATunload] = ACTIONS(111),
    [anon_sym_ATprefixes] = ACTIONS(111),
    [anon_sym_ATif] = ACTIONS(113),
    [anon_sym_ATifdef] = ACTIONS(111),
    [anon_sym_ATifndef] = ACTIONS(111),
    [anon_sym_ATendif] = ACTIONS(111),
    [anon_sym_ATelse] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [714] = {
    [sym_index_slice] = STATE(349),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_AMPdeprecated] = ACTIONS(111),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(111),
    [anon_sym_AMPerror_handler] = ACTIONS(111),
    [anon_sym_AMPis_assigned] = ACTIONS(111),
    [anon_sym_AMPis_used] = ACTIONS(111),
    [anon_sym_AMPlog] = ACTIONS(111),
    [anon_sym_AMPoptional] = ACTIONS(111),
    [anon_sym_AMPraw_output] = ACTIONS(111),
    [anon_sym_AMPredef] = ACTIONS(111),
    [anon_sym_AMPadd_func] = ACTIONS(111),
    [anon_sym_AMPbackend] = ACTIONS(111),
    [anon_sym_AMPbroker_store] = ACTIONS(111),
    [anon_sym_AMPcreate_expire] = ACTIONS(111),
    [anon_sym_AMPdefault] = ACTIONS(111),
    [anon_sym_AMPdelete_func] = ACTIONS(111),
    [anon_sym_AMPexpire_func] = ACTIONS(111),
    [anon_sym_AMPgroup] = ACTIONS(111),
    [anon_sym_AMPon_change] = ACTIONS(111),
    [anon_sym_AMPpriority] = ACTIONS(111),
    [anon_sym_AMPread_expire] = ACTIONS(111),
    [anon_sym_AMPtype_column] = ACTIONS(111),
    [anon_sym_AMPwrite_expire] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_is] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_LT_EQ] = ACTIONS(111),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(111),
    [anon_sym_AMP] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(111),
    [anon_sym_BANG_EQ] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_ATdeprecated] = ACTIONS(111),
    [anon_sym_ATload] = ACTIONS(113),
    [anon_sym_ATload_DASHsigs] = ACTIONS(111),
    [anon_sym_ATload_DASHplugin] = ACTIONS(111),
    [anon_sym_ATunload] = ACTIONS(111),
    [anon_sym_ATprefixes] = ACTIONS(111),
    [anon_sym_ATif] = ACTIONS(113),
    [anon_sym_ATifdef] = ACTIONS(111),
    [anon_sym_ATifndef] = ACTIONS(111),
    [anon_sym_ATendif] = ACTIONS(111),
    [anon_sym_ATelse] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [715] = {
    [sym_index_slice] = STATE(349),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_AMPdeprecated] = ACTIONS(111),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(111),
    [anon_sym_AMPerror_handler] = ACTIONS(111),
    [anon_sym_AMPis_assigned] = ACTIONS(111),
    [anon_sym_AMPis_used] = ACTIONS(111),
    [anon_sym_AMPlog] = ACTIONS(111),
    [anon_sym_AMPoptional] = ACTIONS(111),
    [anon_sym_AMPraw_output] = ACTIONS(111),
    [anon_sym_AMPredef] = ACTIONS(111),
    [anon_sym_AMPadd_func] = ACTIONS(111),
    [anon_sym_AMPbackend] = ACTIONS(111),
    [anon_sym_AMPbroker_store] = ACTIONS(111),
    [anon_sym_AMPcreate_expire] = ACTIONS(111),
    [anon_sym_AMPdefault] = ACTIONS(111),
    [anon_sym_AMPdelete_func] = ACTIONS(111),
    [anon_sym_AMPexpire_func] = ACTIONS(111),
    [anon_sym_AMPgroup] = ACTIONS(111),
    [anon_sym_AMPon_change] = ACTIONS(111),
    [anon_sym_AMPpriority] = ACTIONS(111),
    [anon_sym_AMPread_expire] = ACTIONS(111),
    [anon_sym_AMPtype_column] = ACTIONS(111),
    [anon_sym_AMPwrite_expire] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1837),
    [anon_sym_BANG] = ACTIONS(1839),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_is] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(111),
    [anon_sym_BANG_EQ] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_ATdeprecated] = ACTIONS(111),
    [anon_sym_ATload] = ACTIONS(113),
    [anon_sym_ATload_DASHsigs] = ACTIONS(111),
    [anon_sym_ATload_DASHplugin] = ACTIONS(111),
    [anon_sym_ATunload] = ACTIONS(111),
    [anon_sym_ATprefixes] = ACTIONS(111),
    [anon_sym_ATif] = ACTIONS(113),
    [anon_sym_ATifdef] = ACTIONS(111),
    [anon_sym_ATifndef] = ACTIONS(111),
    [anon_sym_ATendif] = ACTIONS(111),
    [anon_sym_ATelse] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [716] = {
    [sym_index_slice] = STATE(349),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_AMPdeprecated] = ACTIONS(111),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(111),
    [anon_sym_AMPerror_handler] = ACTIONS(111),
    [anon_sym_AMPis_assigned] = ACTIONS(111),
    [anon_sym_AMPis_used] = ACTIONS(111),
    [anon_sym_AMPlog] = ACTIONS(111),
    [anon_sym_AMPoptional] = ACTIONS(111),
    [anon_sym_AMPraw_output] = ACTIONS(111),
    [anon_sym_AMPredef] = ACTIONS(111),
    [anon_sym_AMPadd_func] = ACTIONS(111),
    [anon_sym_AMPbackend] = ACTIONS(111),
    [anon_sym_AMPbroker_store] = ACTIONS(111),
    [anon_sym_AMPcreate_expire] = ACTIONS(111),
    [anon_sym_AMPdefault] = ACTIONS(111),
    [anon_sym_AMPdelete_func] = ACTIONS(111),
    [anon_sym_AMPexpire_func] = ACTIONS(111),
    [anon_sym_AMPgroup] = ACTIONS(111),
    [anon_sym_AMPon_change] = ACTIONS(111),
    [anon_sym_AMPpriority] = ACTIONS(111),
    [anon_sym_AMPread_expire] = ACTIONS(111),
    [anon_sym_AMPtype_column] = ACTIONS(111),
    [anon_sym_AMPwrite_expire] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1837),
    [anon_sym_BANG] = ACTIONS(1839),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_is] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_ATdeprecated] = ACTIONS(111),
    [anon_sym_ATload] = ACTIONS(113),
    [anon_sym_ATload_DASHsigs] = ACTIONS(111),
    [anon_sym_ATload_DASHplugin] = ACTIONS(111),
    [anon_sym_ATunload] = ACTIONS(111),
    [anon_sym_ATprefixes] = ACTIONS(111),
    [anon_sym_ATif] = ACTIONS(113),
    [anon_sym_ATifdef] = ACTIONS(111),
    [anon_sym_ATifndef] = ACTIONS(111),
    [anon_sym_ATendif] = ACTIONS(111),
    [anon_sym_ATelse] = ACTIONS(111),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [717] = {
    [sym_index_slice] = STATE(349),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_PLUS_EQ] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1835),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_AMPdeprecated] = ACTIONS(1602),
    [anon_sym_DASH_EQ] = ACTIONS(1831),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1602),
    [anon_sym_AMPerror_handler] = ACTIONS(1602),
    [anon_sym_AMPis_assigned] = ACTIONS(1602),
    [anon_sym_AMPis_used] = ACTIONS(1602),
    [anon_sym_AMPlog] = ACTIONS(1602),
    [anon_sym_AMPoptional] = ACTIONS(1602),
    [anon_sym_AMPraw_output] = ACTIONS(1602),
    [anon_sym_AMPredef] = ACTIONS(1602),
    [anon_sym_AMPadd_func] = ACTIONS(1602),
    [anon_sym_AMPbackend] = ACTIONS(1602),
    [anon_sym_AMPbroker_store] = ACTIONS(1602),
    [anon_sym_AMPcreate_expire] = ACTIONS(1602),
    [anon_sym_AMPdefault] = ACTIONS(1602),
    [anon_sym_AMPdelete_func] = ACTIONS(1602),
    [anon_sym_AMPexpire_func] = ACTIONS(1602),
    [anon_sym_AMPgroup] = ACTIONS(1602),
    [anon_sym_AMPon_change] = ACTIONS(1602),
    [anon_sym_AMPpriority] = ACTIONS(1602),
    [anon_sym_AMPread_expire] = ACTIONS(1602),
    [anon_sym_AMPtype_column] = ACTIONS(1602),
    [anon_sym_AMPwrite_expire] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1837),
    [anon_sym_BANG] = ACTIONS(1839),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_is] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1849),
    [anon_sym_ATdeprecated] = ACTIONS(1602),
    [anon_sym_ATload] = ACTIONS(1604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1602),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1602),
    [anon_sym_ATunload] = ACTIONS(1602),
    [anon_sym_ATprefixes] = ACTIONS(1602),
    [anon_sym_ATif] = ACTIONS(1604),
    [anon_sym_ATifdef] = ACTIONS(1602),
    [anon_sym_ATifndef] = ACTIONS(1602),
    [anon_sym_ATendif] = ACTIONS(1602),
    [anon_sym_ATelse] = ACTIONS(1602),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [718] = {
    [sym_index_slice] = STATE(349),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_PLUS_EQ] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_in] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1835),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_AMPdeprecated] = ACTIONS(1602),
    [anon_sym_DASH_EQ] = ACTIONS(1831),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1602),
    [anon_sym_AMPerror_handler] = ACTIONS(1602),
    [anon_sym_AMPis_assigned] = ACTIONS(1602),
    [anon_sym_AMPis_used] = ACTIONS(1602),
    [anon_sym_AMPlog] = ACTIONS(1602),
    [anon_sym_AMPoptional] = ACTIONS(1602),
    [anon_sym_AMPraw_output] = ACTIONS(1602),
    [anon_sym_AMPredef] = ACTIONS(1602),
    [anon_sym_AMPadd_func] = ACTIONS(1602),
    [anon_sym_AMPbackend] = ACTIONS(1602),
    [anon_sym_AMPbroker_store] = ACTIONS(1602),
    [anon_sym_AMPcreate_expire] = ACTIONS(1602),
    [anon_sym_AMPdefault] = ACTIONS(1602),
    [anon_sym_AMPdelete_func] = ACTIONS(1602),
    [anon_sym_AMPexpire_func] = ACTIONS(1602),
    [anon_sym_AMPgroup] = ACTIONS(1602),
    [anon_sym_AMPon_change] = ACTIONS(1602),
    [anon_sym_AMPpriority] = ACTIONS(1602),
    [anon_sym_AMPread_expire] = ACTIONS(1602),
    [anon_sym_AMPtype_column] = ACTIONS(1602),
    [anon_sym_AMPwrite_expire] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1837),
    [anon_sym_BANG] = ACTIONS(1839),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_is] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1602),
    [anon_sym_ATload] = ACTIONS(1604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1602),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1602),
    [anon_sym_ATunload] = ACTIONS(1602),
    [anon_sym_ATprefixes] = ACTIONS(1602),
    [anon_sym_ATif] = ACTIONS(1604),
    [anon_sym_ATifdef] = ACTIONS(1602),
    [anon_sym_ATifndef] = ACTIONS(1602),
    [anon_sym_ATendif] = ACTIONS(1602),
    [anon_sym_ATelse] = ACTIONS(1602),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [719] = {
    [sym_index_slice] = STATE(349),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_PLUS_EQ] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_in] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1604),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_AMPdeprecated] = ACTIONS(1602),
    [anon_sym_DASH_EQ] = ACTIONS(1602),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1602),
    [anon_sym_AMPerror_handler] = ACTIONS(1602),
    [anon_sym_AMPis_assigned] = ACTIONS(1602),
    [anon_sym_AMPis_used] = ACTIONS(1602),
    [anon_sym_AMPlog] = ACTIONS(1602),
    [anon_sym_AMPoptional] = ACTIONS(1602),
    [anon_sym_AMPraw_output] = ACTIONS(1602),
    [anon_sym_AMPredef] = ACTIONS(1602),
    [anon_sym_AMPadd_func] = ACTIONS(1602),
    [anon_sym_AMPbackend] = ACTIONS(1602),
    [anon_sym_AMPbroker_store] = ACTIONS(1602),
    [anon_sym_AMPcreate_expire] = ACTIONS(1602),
    [anon_sym_AMPdefault] = ACTIONS(1602),
    [anon_sym_AMPdelete_func] = ACTIONS(1602),
    [anon_sym_AMPexpire_func] = ACTIONS(1602),
    [anon_sym_AMPgroup] = ACTIONS(1602),
    [anon_sym_AMPon_change] = ACTIONS(1602),
    [anon_sym_AMPpriority] = ACTIONS(1602),
    [anon_sym_AMPread_expire] = ACTIONS(1602),
    [anon_sym_AMPtype_column] = ACTIONS(1602),
    [anon_sym_AMPwrite_expire] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_is] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_QMARK] = ACTIONS(1604),
    [anon_sym_EQ_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_AMP_AMP] = ACTIONS(1602),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1602),
    [anon_sym_ATdeprecated] = ACTIONS(1602),
    [anon_sym_ATload] = ACTIONS(1604),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1602),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1602),
    [anon_sym_ATunload] = ACTIONS(1602),
    [anon_sym_ATprefixes] = ACTIONS(1602),
    [anon_sym_ATif] = ACTIONS(1604),
    [anon_sym_ATifdef] = ACTIONS(1602),
    [anon_sym_ATifndef] = ACTIONS(1602),
    [anon_sym_ATendif] = ACTIONS(1602),
    [anon_sym_ATelse] = ACTIONS(1602),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [720] = {
    [sym_index_slice] = STATE(349),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_PLUS_EQ] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1835),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_AMPdeprecated] = ACTIONS(1448),
    [anon_sym_DASH_EQ] = ACTIONS(1831),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1448),
    [anon_sym_AMPerror_handler] = ACTIONS(1448),
    [anon_sym_AMPis_assigned] = ACTIONS(1448),
    [anon_sym_AMPis_used] = ACTIONS(1448),
    [anon_sym_AMPlog] = ACTIONS(1448),
    [anon_sym_AMPoptional] = ACTIONS(1448),
    [anon_sym_AMPraw_output] = ACTIONS(1448),
    [anon_sym_AMPredef] = ACTIONS(1448),
    [anon_sym_AMPadd_func] = ACTIONS(1448),
    [anon_sym_AMPbackend] = ACTIONS(1448),
    [anon_sym_AMPbroker_store] = ACTIONS(1448),
    [anon_sym_AMPcreate_expire] = ACTIONS(1448),
    [anon_sym_AMPdefault] = ACTIONS(1448),
    [anon_sym_AMPdelete_func] = ACTIONS(1448),
    [anon_sym_AMPexpire_func] = ACTIONS(1448),
    [anon_sym_AMPgroup] = ACTIONS(1448),
    [anon_sym_AMPon_change] = ACTIONS(1448),
    [anon_sym_AMPpriority] = ACTIONS(1448),
    [anon_sym_AMPread_expire] = ACTIONS(1448),
    [anon_sym_AMPtype_column] = ACTIONS(1448),
    [anon_sym_AMPwrite_expire] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1837),
    [anon_sym_BANG] = ACTIONS(1839),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_is] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1448),
    [anon_sym_ATdeprecated] = ACTIONS(1448),
    [anon_sym_ATload] = ACTIONS(1450),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1448),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1448),
    [anon_sym_ATunload] = ACTIONS(1448),
    [anon_sym_ATprefixes] = ACTIONS(1448),
    [anon_sym_ATif] = ACTIONS(1450),
    [anon_sym_ATifdef] = ACTIONS(1448),
    [anon_sym_ATifndef] = ACTIONS(1448),
    [anon_sym_ATendif] = ACTIONS(1448),
    [anon_sym_ATelse] = ACTIONS(1448),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [721] = {
    [sym_index_slice] = STATE(349),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_PLUS_EQ] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_in] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1612),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_AMPdeprecated] = ACTIONS(1610),
    [anon_sym_DASH_EQ] = ACTIONS(1610),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1610),
    [anon_sym_AMPerror_handler] = ACTIONS(1610),
    [anon_sym_AMPis_assigned] = ACTIONS(1610),
    [anon_sym_AMPis_used] = ACTIONS(1610),
    [anon_sym_AMPlog] = ACTIONS(1610),
    [anon_sym_AMPoptional] = ACTIONS(1610),
    [anon_sym_AMPraw_output] = ACTIONS(1610),
    [anon_sym_AMPredef] = ACTIONS(1610),
    [anon_sym_AMPadd_func] = ACTIONS(1610),
    [anon_sym_AMPbackend] = ACTIONS(1610),
    [anon_sym_AMPbroker_store] = ACTIONS(1610),
    [anon_sym_AMPcreate_expire] = ACTIONS(1610),
    [anon_sym_AMPdefault] = ACTIONS(1610),
    [anon_sym_AMPdelete_func] = ACTIONS(1610),
    [anon_sym_AMPexpire_func] = ACTIONS(1610),
    [anon_sym_AMPgroup] = ACTIONS(1610),
    [anon_sym_AMPon_change] = ACTIONS(1610),
    [anon_sym_AMPpriority] = ACTIONS(1610),
    [anon_sym_AMPread_expire] = ACTIONS(1610),
    [anon_sym_AMPtype_column] = ACTIONS(1610),
    [anon_sym_AMPwrite_expire] = ACTIONS(1610),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1837),
    [anon_sym_BANG] = ACTIONS(1839),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_is] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_AMP_AMP] = ACTIONS(1610),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1610),
    [anon_sym_ATdeprecated] = ACTIONS(1610),
    [anon_sym_ATload] = ACTIONS(1612),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1610),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1610),
    [anon_sym_ATunload] = ACTIONS(1610),
    [anon_sym_ATprefixes] = ACTIONS(1610),
    [anon_sym_ATif] = ACTIONS(1612),
    [anon_sym_ATifdef] = ACTIONS(1610),
    [anon_sym_ATifndef] = ACTIONS(1610),
    [anon_sym_ATendif] = ACTIONS(1610),
    [anon_sym_ATelse] = ACTIONS(1610),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [723] = {
    [sym_index_slice] = STATE(349),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_PLUS_EQ] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1835),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_AMPdeprecated] = ACTIONS(1448),
    [anon_sym_DASH_EQ] = ACTIONS(1831),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1448),
    [anon_sym_AMPerror_handler] = ACTIONS(1448),
    [anon_sym_AMPis_assigned] = ACTIONS(1448),
    [anon_sym_AMPis_used] = ACTIONS(1448),
    [anon_sym_AMPlog] = ACTIONS(1448),
    [anon_sym_AMPoptional] = ACTIONS(1448),
    [anon_sym_AMPraw_output] = ACTIONS(1448),
    [anon_sym_AMPredef] = ACTIONS(1448),
    [anon_sym_AMPadd_func] = ACTIONS(1448),
    [anon_sym_AMPbackend] = ACTIONS(1448),
    [anon_sym_AMPbroker_store] = ACTIONS(1448),
    [anon_sym_AMPcreate_expire] = ACTIONS(1448),
    [anon_sym_AMPdefault] = ACTIONS(1448),
    [anon_sym_AMPdelete_func] = ACTIONS(1448),
    [anon_sym_AMPexpire_func] = ACTIONS(1448),
    [anon_sym_AMPgroup] = ACTIONS(1448),
    [anon_sym_AMPon_change] = ACTIONS(1448),
    [anon_sym_AMPpriority] = ACTIONS(1448),
    [anon_sym_AMPread_expire] = ACTIONS(1448),
    [anon_sym_AMPtype_column] = ACTIONS(1448),
    [anon_sym_AMPwrite_expire] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1837),
    [anon_sym_BANG] = ACTIONS(1839),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_is] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1849),
    [anon_sym_ATdeprecated] = ACTIONS(1448),
    [anon_sym_ATload] = ACTIONS(1450),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1448),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1448),
    [anon_sym_ATunload] = ACTIONS(1448),
    [anon_sym_ATprefixes] = ACTIONS(1448),
    [anon_sym_ATif] = ACTIONS(1450),
    [anon_sym_ATifdef] = ACTIONS(1448),
    [anon_sym_ATifndef] = ACTIONS(1448),
    [anon_sym_ATendif] = ACTIONS(1448),
    [anon_sym_ATelse] = ACTIONS(1448),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1851),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1853),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1855),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [727] = {
    [sym_index_slice] = STATE(349),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_PLUS_EQ] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1835),
    [anon_sym_as] = ACTIONS(1586),
    [anon_sym_AMPdeprecated] = ACTIONS(133),
    [anon_sym_DASH_EQ] = ACTIONS(1831),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(133),
    [anon_sym_AMPerror_handler] = ACTIONS(133),
    [anon_sym_AMPis_assigned] = ACTIONS(133),
    [anon_sym_AMPis_used] = ACTIONS(133),
    [anon_sym_AMPlog] = ACTIONS(133),
    [anon_sym_AMPoptional] = ACTIONS(133),
    [anon_sym_AMPraw_output] = ACTIONS(133),
    [anon_sym_AMPredef] = ACTIONS(133),
    [anon_sym_AMPadd_func] = ACTIONS(133),
    [anon_sym_AMPbackend] = ACTIONS(133),
    [anon_sym_AMPbroker_store] = ACTIONS(133),
    [anon_sym_AMPcreate_expire] = ACTIONS(133),
    [anon_sym_AMPdefault] = ACTIONS(133),
    [anon_sym_AMPdelete_func] = ACTIONS(133),
    [anon_sym_AMPexpire_func] = ACTIONS(133),
    [anon_sym_AMPgroup] = ACTIONS(133),
    [anon_sym_AMPon_change] = ACTIONS(133),
    [anon_sym_AMPpriority] = ACTIONS(133),
    [anon_sym_AMPread_expire] = ACTIONS(133),
    [anon_sym_AMPtype_column] = ACTIONS(133),
    [anon_sym_AMPwrite_expire] = ACTIONS(133),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1837),
    [anon_sym_BANG] = ACTIONS(1839),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_is] = ACTIONS(1586),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1849),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(139),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(139),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [729] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1857),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [730] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [731] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1861),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_timeout] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_timeout] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_timeout] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_timeout] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_timeout] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_timeout] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_timeout] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_timeout] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_timeout] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_timeout] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_timeout] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [748] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_record] = ACTIONS(1608),
    [anon_sym_print] = ACTIONS(1608),
    [anon_sym_event] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_else] = ACTIONS(1608),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_next] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_fallthrough] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_add] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_local] = ACTIONS(1608),
    [anon_sym_when] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_table] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_vector] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_hook] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_copy] = ACTIONS(1608),
    [anon_sym_schedule] = ACTIONS(1608),
    [aux_sym_constant_token1] = ACTIONS(1608),
    [anon_sym_T] = ACTIONS(1608),
    [anon_sym_F] = ACTIONS(1608),
    [anon_sym_ATdeprecated] = ACTIONS(1606),
    [anon_sym_ATload] = ACTIONS(1608),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1606),
    [anon_sym_ATunload] = ACTIONS(1606),
    [anon_sym_ATprefixes] = ACTIONS(1606),
    [anon_sym_ATif] = ACTIONS(1608),
    [anon_sym_ATifdef] = ACTIONS(1606),
    [anon_sym_ATifndef] = ACTIONS(1606),
    [anon_sym_ATendif] = ACTIONS(1606),
    [anon_sym_ATelse] = ACTIONS(1606),
    [anon_sym_ATDIR] = ACTIONS(1606),
    [anon_sym_ATFILENAME] = ACTIONS(1606),
    [sym_id] = ACTIONS(1608),
    [sym_pattern] = ACTIONS(1606),
    [sym_ipv6] = ACTIONS(1608),
    [sym_ipv4] = ACTIONS(1608),
    [sym_port] = ACTIONS(1606),
    [sym_floatp] = ACTIONS(1608),
    [sym_hex] = ACTIONS(1608),
    [sym_hostname] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1606),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(127),
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_record] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_next] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(129),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_return] = ACTIONS(129),
    [anon_sym_add] = ACTIONS(129),
    [anon_sym_delete] = ACTIONS(129),
    [anon_sym_local] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_table] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
    [anon_sym_vector] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(129),
    [anon_sym_hook] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_PLUS_PLUS] = ACTIONS(127),
    [anon_sym_DASH_DASH] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_copy] = ACTIONS(129),
    [anon_sym_schedule] = ACTIONS(129),
    [aux_sym_constant_token1] = ACTIONS(129),
    [anon_sym_T] = ACTIONS(129),
    [anon_sym_F] = ACTIONS(129),
    [anon_sym_ATdeprecated] = ACTIONS(127),
    [anon_sym_ATload] = ACTIONS(129),
    [anon_sym_ATload_DASHsigs] = ACTIONS(127),
    [anon_sym_ATload_DASHplugin] = ACTIONS(127),
    [anon_sym_ATunload] = ACTIONS(127),
    [anon_sym_ATprefixes] = ACTIONS(127),
    [anon_sym_ATif] = ACTIONS(129),
    [anon_sym_ATifdef] = ACTIONS(127),
    [anon_sym_ATifndef] = ACTIONS(127),
    [anon_sym_ATendif] = ACTIONS(127),
    [anon_sym_ATelse] = ACTIONS(127),
    [anon_sym_ATDIR] = ACTIONS(127),
    [anon_sym_ATFILENAME] = ACTIONS(127),
    [sym_id] = ACTIONS(129),
    [sym_pattern] = ACTIONS(127),
    [sym_ipv6] = ACTIONS(129),
    [sym_ipv4] = ACTIONS(129),
    [sym_port] = ACTIONS(127),
    [sym_floatp] = ACTIONS(129),
    [sym_hex] = ACTIONS(129),
    [sym_hostname] = ACTIONS(129),
    [aux_sym_string_token1] = ACTIONS(127),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(125),
    [anon_sym_record] = ACTIONS(125),
    [anon_sym_print] = ACTIONS(125),
    [anon_sym_event] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(125),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_next] = ACTIONS(125),
    [anon_sym_break] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(125),
    [anon_sym_add] = ACTIONS(125),
    [anon_sym_delete] = ACTIONS(125),
    [anon_sym_local] = ACTIONS(125),
    [anon_sym_when] = ACTIONS(125),
    [anon_sym_assert] = ACTIONS(125),
    [anon_sym_table] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_vector] = ACTIONS(125),
    [anon_sym_function] = ACTIONS(125),
    [anon_sym_hook] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(125),
    [anon_sym_copy] = ACTIONS(125),
    [anon_sym_schedule] = ACTIONS(125),
    [aux_sym_constant_token1] = ACTIONS(125),
    [anon_sym_T] = ACTIONS(125),
    [anon_sym_F] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(123),
    [anon_sym_ATload] = ACTIONS(125),
    [anon_sym_ATload_DASHsigs] = ACTIONS(123),
    [anon_sym_ATload_DASHplugin] = ACTIONS(123),
    [anon_sym_ATunload] = ACTIONS(123),
    [anon_sym_ATprefixes] = ACTIONS(123),
    [anon_sym_ATif] = ACTIONS(125),
    [anon_sym_ATifdef] = ACTIONS(123),
    [anon_sym_ATifndef] = ACTIONS(123),
    [anon_sym_ATendif] = ACTIONS(123),
    [anon_sym_ATelse] = ACTIONS(123),
    [anon_sym_ATDIR] = ACTIONS(123),
    [anon_sym_ATFILENAME] = ACTIONS(123),
    [sym_id] = ACTIONS(125),
    [sym_pattern] = ACTIONS(123),
    [sym_ipv6] = ACTIONS(125),
    [sym_ipv4] = ACTIONS(125),
    [sym_port] = ACTIONS(123),
    [sym_floatp] = ACTIONS(125),
    [sym_hex] = ACTIONS(125),
    [sym_hostname] = ACTIONS(125),
    [aux_sym_string_token1] = ACTIONS(123),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1692),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [753] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [755] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [756] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [757] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [758] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [760] = {
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_record] = ACTIONS(1512),
    [anon_sym_print] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_next] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_fallthrough] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_add] = ACTIONS(1512),
    [anon_sym_delete] = ACTIONS(1512),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_when] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_table] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_vector] = ACTIONS(1512),
    [anon_sym_function] = ACTIONS(1512),
    [anon_sym_hook] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_copy] = ACTIONS(1512),
    [anon_sym_schedule] = ACTIONS(1512),
    [aux_sym_constant_token1] = ACTIONS(1512),
    [anon_sym_T] = ACTIONS(1512),
    [anon_sym_F] = ACTIONS(1512),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATDIR] = ACTIONS(1510),
    [anon_sym_ATFILENAME] = ACTIONS(1510),
    [sym_id] = ACTIONS(1512),
    [sym_pattern] = ACTIONS(1510),
    [sym_ipv6] = ACTIONS(1512),
    [sym_ipv4] = ACTIONS(1512),
    [sym_port] = ACTIONS(1510),
    [sym_floatp] = ACTIONS(1512),
    [sym_hex] = ACTIONS(1512),
    [sym_hostname] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [761] = {
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(135),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [762] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [763] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(135),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_record] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(137),
    [anon_sym_if] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_while] = ACTIONS(137),
    [anon_sym_next] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(137),
    [anon_sym_fallthrough] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_add] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_local] = ACTIONS(137),
    [anon_sym_when] = ACTIONS(137),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [anon_sym_vector] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_hook] = ACTIONS(137),
    [anon_sym_DOLLAR] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(135),
    [anon_sym_PLUS_PLUS] = ACTIONS(135),
    [anon_sym_DASH_DASH] = ACTIONS(135),
    [anon_sym_BANG] = ACTIONS(135),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_copy] = ACTIONS(137),
    [anon_sym_schedule] = ACTIONS(137),
    [aux_sym_constant_token1] = ACTIONS(137),
    [anon_sym_T] = ACTIONS(137),
    [anon_sym_F] = ACTIONS(137),
    [anon_sym_ATdeprecated] = ACTIONS(135),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(135),
    [anon_sym_ATload_DASHplugin] = ACTIONS(135),
    [anon_sym_ATunload] = ACTIONS(135),
    [anon_sym_ATprefixes] = ACTIONS(135),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(135),
    [anon_sym_ATifndef] = ACTIONS(135),
    [anon_sym_ATendif] = ACTIONS(135),
    [anon_sym_ATelse] = ACTIONS(135),
    [anon_sym_ATDIR] = ACTIONS(135),
    [anon_sym_ATFILENAME] = ACTIONS(135),
    [sym_id] = ACTIONS(137),
    [sym_pattern] = ACTIONS(135),
    [sym_ipv6] = ACTIONS(137),
    [sym_ipv4] = ACTIONS(137),
    [sym_port] = ACTIONS(135),
    [sym_floatp] = ACTIONS(137),
    [sym_hex] = ACTIONS(137),
    [sym_hostname] = ACTIONS(137),
    [aux_sym_string_token1] = ACTIONS(135),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [765] = {
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [766] = {
    [ts_builtin_sym_end] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [767] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [768] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [770] = {
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [771] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [772] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [773] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [774] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [775] = {
    [ts_builtin_sym_end] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [776] = {
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_record] = ACTIONS(1432),
    [anon_sym_print] = ACTIONS(1432),
    [anon_sym_event] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_next] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_fallthrough] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_add] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1432),
    [anon_sym_local] = ACTIONS(1432),
    [anon_sym_when] = ACTIONS(1432),
    [anon_sym_assert] = ACTIONS(1432),
    [anon_sym_table] = ACTIONS(1432),
    [anon_sym_set] = ACTIONS(1432),
    [anon_sym_vector] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_hook] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_copy] = ACTIONS(1432),
    [anon_sym_schedule] = ACTIONS(1432),
    [aux_sym_constant_token1] = ACTIONS(1432),
    [anon_sym_T] = ACTIONS(1432),
    [anon_sym_F] = ACTIONS(1432),
    [anon_sym_ATdeprecated] = ACTIONS(1430),
    [anon_sym_ATload] = ACTIONS(1432),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1430),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1430),
    [anon_sym_ATunload] = ACTIONS(1430),
    [anon_sym_ATprefixes] = ACTIONS(1430),
    [anon_sym_ATif] = ACTIONS(1432),
    [anon_sym_ATifdef] = ACTIONS(1430),
    [anon_sym_ATifndef] = ACTIONS(1430),
    [anon_sym_ATendif] = ACTIONS(1430),
    [anon_sym_ATelse] = ACTIONS(1430),
    [anon_sym_ATDIR] = ACTIONS(1430),
    [anon_sym_ATFILENAME] = ACTIONS(1430),
    [sym_id] = ACTIONS(1432),
    [sym_pattern] = ACTIONS(1430),
    [sym_ipv6] = ACTIONS(1432),
    [sym_ipv4] = ACTIONS(1432),
    [sym_port] = ACTIONS(1430),
    [sym_floatp] = ACTIONS(1432),
    [sym_hex] = ACTIONS(1432),
    [sym_hostname] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1430),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [778] = {
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [781] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [782] = {
    [ts_builtin_sym_end] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [783] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [784] = {
    [ts_builtin_sym_end] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [785] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [786] = {
    [ts_builtin_sym_end] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [787] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [788] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_record] = ACTIONS(1422),
    [anon_sym_print] = ACTIONS(1422),
    [anon_sym_event] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_next] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_fallthrough] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_add] = ACTIONS(1422),
    [anon_sym_delete] = ACTIONS(1422),
    [anon_sym_local] = ACTIONS(1422),
    [anon_sym_when] = ACTIONS(1422),
    [anon_sym_assert] = ACTIONS(1422),
    [anon_sym_table] = ACTIONS(1422),
    [anon_sym_set] = ACTIONS(1422),
    [anon_sym_vector] = ACTIONS(1422),
    [anon_sym_function] = ACTIONS(1422),
    [anon_sym_hook] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [anon_sym_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_copy] = ACTIONS(1422),
    [anon_sym_schedule] = ACTIONS(1422),
    [aux_sym_constant_token1] = ACTIONS(1422),
    [anon_sym_T] = ACTIONS(1422),
    [anon_sym_F] = ACTIONS(1422),
    [anon_sym_ATdeprecated] = ACTIONS(1420),
    [anon_sym_ATload] = ACTIONS(1422),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1420),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1420),
    [anon_sym_ATunload] = ACTIONS(1420),
    [anon_sym_ATprefixes] = ACTIONS(1420),
    [anon_sym_ATif] = ACTIONS(1422),
    [anon_sym_ATifdef] = ACTIONS(1420),
    [anon_sym_ATifndef] = ACTIONS(1420),
    [anon_sym_ATendif] = ACTIONS(1420),
    [anon_sym_ATelse] = ACTIONS(1420),
    [anon_sym_ATDIR] = ACTIONS(1420),
    [anon_sym_ATFILENAME] = ACTIONS(1420),
    [sym_id] = ACTIONS(1422),
    [sym_pattern] = ACTIONS(1420),
    [sym_ipv6] = ACTIONS(1422),
    [sym_ipv4] = ACTIONS(1422),
    [sym_port] = ACTIONS(1420),
    [sym_floatp] = ACTIONS(1422),
    [sym_hex] = ACTIONS(1422),
    [sym_hostname] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1420),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [789] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [790] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_record] = ACTIONS(1512),
    [anon_sym_print] = ACTIONS(1512),
    [anon_sym_event] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_next] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_fallthrough] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_add] = ACTIONS(1512),
    [anon_sym_delete] = ACTIONS(1512),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_when] = ACTIONS(1512),
    [anon_sym_assert] = ACTIONS(1512),
    [anon_sym_table] = ACTIONS(1512),
    [anon_sym_set] = ACTIONS(1512),
    [anon_sym_vector] = ACTIONS(1512),
    [anon_sym_function] = ACTIONS(1512),
    [anon_sym_hook] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_copy] = ACTIONS(1512),
    [anon_sym_schedule] = ACTIONS(1512),
    [aux_sym_constant_token1] = ACTIONS(1512),
    [anon_sym_T] = ACTIONS(1512),
    [anon_sym_F] = ACTIONS(1512),
    [anon_sym_ATdeprecated] = ACTIONS(1510),
    [anon_sym_ATload] = ACTIONS(1512),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1510),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1510),
    [anon_sym_ATunload] = ACTIONS(1510),
    [anon_sym_ATprefixes] = ACTIONS(1510),
    [anon_sym_ATif] = ACTIONS(1512),
    [anon_sym_ATifdef] = ACTIONS(1510),
    [anon_sym_ATifndef] = ACTIONS(1510),
    [anon_sym_ATendif] = ACTIONS(1510),
    [anon_sym_ATelse] = ACTIONS(1510),
    [anon_sym_ATDIR] = ACTIONS(1510),
    [anon_sym_ATFILENAME] = ACTIONS(1510),
    [sym_id] = ACTIONS(1512),
    [sym_pattern] = ACTIONS(1510),
    [sym_ipv6] = ACTIONS(1512),
    [sym_ipv4] = ACTIONS(1512),
    [sym_port] = ACTIONS(1510),
    [sym_floatp] = ACTIONS(1512),
    [sym_hex] = ACTIONS(1512),
    [sym_hostname] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1510),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [791] = {
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_record] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1676),
    [anon_sym_event] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_next] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_fallthrough] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_add] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1676),
    [anon_sym_local] = ACTIONS(1676),
    [anon_sym_when] = ACTIONS(1676),
    [anon_sym_assert] = ACTIONS(1676),
    [anon_sym_table] = ACTIONS(1676),
    [anon_sym_set] = ACTIONS(1676),
    [anon_sym_vector] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(1676),
    [anon_sym_hook] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_copy] = ACTIONS(1676),
    [anon_sym_schedule] = ACTIONS(1676),
    [aux_sym_constant_token1] = ACTIONS(1676),
    [anon_sym_T] = ACTIONS(1676),
    [anon_sym_F] = ACTIONS(1676),
    [anon_sym_ATdeprecated] = ACTIONS(1674),
    [anon_sym_ATload] = ACTIONS(1676),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1674),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1674),
    [anon_sym_ATunload] = ACTIONS(1674),
    [anon_sym_ATprefixes] = ACTIONS(1674),
    [anon_sym_ATif] = ACTIONS(1676),
    [anon_sym_ATifdef] = ACTIONS(1674),
    [anon_sym_ATifndef] = ACTIONS(1674),
    [anon_sym_ATendif] = ACTIONS(1674),
    [anon_sym_ATelse] = ACTIONS(1674),
    [anon_sym_ATDIR] = ACTIONS(1674),
    [anon_sym_ATFILENAME] = ACTIONS(1674),
    [sym_id] = ACTIONS(1676),
    [sym_pattern] = ACTIONS(1674),
    [sym_ipv6] = ACTIONS(1676),
    [sym_ipv4] = ACTIONS(1676),
    [sym_port] = ACTIONS(1674),
    [sym_floatp] = ACTIONS(1676),
    [sym_hex] = ACTIONS(1676),
    [sym_hostname] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1674),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [792] = {
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_record] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1684),
    [anon_sym_event] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_next] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_fallthrough] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_add] = ACTIONS(1684),
    [anon_sym_delete] = ACTIONS(1684),
    [anon_sym_local] = ACTIONS(1684),
    [anon_sym_when] = ACTIONS(1684),
    [anon_sym_assert] = ACTIONS(1684),
    [anon_sym_table] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_vector] = ACTIONS(1684),
    [anon_sym_function] = ACTIONS(1684),
    [anon_sym_hook] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_copy] = ACTIONS(1684),
    [anon_sym_schedule] = ACTIONS(1684),
    [aux_sym_constant_token1] = ACTIONS(1684),
    [anon_sym_T] = ACTIONS(1684),
    [anon_sym_F] = ACTIONS(1684),
    [anon_sym_ATdeprecated] = ACTIONS(1682),
    [anon_sym_ATload] = ACTIONS(1684),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1682),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1682),
    [anon_sym_ATunload] = ACTIONS(1682),
    [anon_sym_ATprefixes] = ACTIONS(1682),
    [anon_sym_ATif] = ACTIONS(1684),
    [anon_sym_ATifdef] = ACTIONS(1682),
    [anon_sym_ATifndef] = ACTIONS(1682),
    [anon_sym_ATendif] = ACTIONS(1682),
    [anon_sym_ATelse] = ACTIONS(1682),
    [anon_sym_ATDIR] = ACTIONS(1682),
    [anon_sym_ATFILENAME] = ACTIONS(1682),
    [sym_id] = ACTIONS(1684),
    [sym_pattern] = ACTIONS(1682),
    [sym_ipv6] = ACTIONS(1684),
    [sym_ipv4] = ACTIONS(1684),
    [sym_port] = ACTIONS(1682),
    [sym_floatp] = ACTIONS(1684),
    [sym_hex] = ACTIONS(1684),
    [sym_hostname] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1682),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [793] = {
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1670),
    [anon_sym_record] = ACTIONS(1670),
    [anon_sym_print] = ACTIONS(1670),
    [anon_sym_event] = ACTIONS(1670),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1670),
    [anon_sym_next] = ACTIONS(1670),
    [anon_sym_break] = ACTIONS(1670),
    [anon_sym_fallthrough] = ACTIONS(1670),
    [anon_sym_return] = ACTIONS(1670),
    [anon_sym_add] = ACTIONS(1670),
    [anon_sym_delete] = ACTIONS(1670),
    [anon_sym_local] = ACTIONS(1670),
    [anon_sym_when] = ACTIONS(1670),
    [anon_sym_assert] = ACTIONS(1670),
    [anon_sym_table] = ACTIONS(1670),
    [anon_sym_set] = ACTIONS(1670),
    [anon_sym_vector] = ACTIONS(1670),
    [anon_sym_function] = ACTIONS(1670),
    [anon_sym_hook] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_copy] = ACTIONS(1670),
    [anon_sym_schedule] = ACTIONS(1670),
    [aux_sym_constant_token1] = ACTIONS(1670),
    [anon_sym_T] = ACTIONS(1670),
    [anon_sym_F] = ACTIONS(1670),
    [anon_sym_ATdeprecated] = ACTIONS(1668),
    [anon_sym_ATload] = ACTIONS(1670),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1668),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1668),
    [anon_sym_ATunload] = ACTIONS(1668),
    [anon_sym_ATprefixes] = ACTIONS(1668),
    [anon_sym_ATif] = ACTIONS(1670),
    [anon_sym_ATifdef] = ACTIONS(1668),
    [anon_sym_ATifndef] = ACTIONS(1668),
    [anon_sym_ATendif] = ACTIONS(1668),
    [anon_sym_ATelse] = ACTIONS(1668),
    [anon_sym_ATDIR] = ACTIONS(1668),
    [anon_sym_ATFILENAME] = ACTIONS(1668),
    [sym_id] = ACTIONS(1670),
    [sym_pattern] = ACTIONS(1668),
    [sym_ipv6] = ACTIONS(1670),
    [sym_ipv4] = ACTIONS(1670),
    [sym_port] = ACTIONS(1668),
    [sym_floatp] = ACTIONS(1670),
    [sym_hex] = ACTIONS(1670),
    [sym_hostname] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1668),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [795] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [796] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_record] = ACTIONS(1698),
    [anon_sym_print] = ACTIONS(1698),
    [anon_sym_event] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_next] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_fallthrough] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_add] = ACTIONS(1698),
    [anon_sym_delete] = ACTIONS(1698),
    [anon_sym_local] = ACTIONS(1698),
    [anon_sym_when] = ACTIONS(1698),
    [anon_sym_assert] = ACTIONS(1698),
    [anon_sym_table] = ACTIONS(1698),
    [anon_sym_set] = ACTIONS(1698),
    [anon_sym_vector] = ACTIONS(1698),
    [anon_sym_function] = ACTIONS(1698),
    [anon_sym_hook] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_copy] = ACTIONS(1698),
    [anon_sym_schedule] = ACTIONS(1698),
    [aux_sym_constant_token1] = ACTIONS(1698),
    [anon_sym_T] = ACTIONS(1698),
    [anon_sym_F] = ACTIONS(1698),
    [anon_sym_ATdeprecated] = ACTIONS(1696),
    [anon_sym_ATload] = ACTIONS(1698),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1696),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1696),
    [anon_sym_ATunload] = ACTIONS(1696),
    [anon_sym_ATprefixes] = ACTIONS(1696),
    [anon_sym_ATif] = ACTIONS(1698),
    [anon_sym_ATifdef] = ACTIONS(1696),
    [anon_sym_ATifndef] = ACTIONS(1696),
    [anon_sym_ATendif] = ACTIONS(1696),
    [anon_sym_ATelse] = ACTIONS(1696),
    [anon_sym_ATDIR] = ACTIONS(1696),
    [anon_sym_ATFILENAME] = ACTIONS(1696),
    [sym_id] = ACTIONS(1698),
    [sym_pattern] = ACTIONS(1696),
    [sym_ipv6] = ACTIONS(1698),
    [sym_ipv4] = ACTIONS(1698),
    [sym_port] = ACTIONS(1696),
    [sym_floatp] = ACTIONS(1698),
    [sym_hex] = ACTIONS(1698),
    [sym_hostname] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1696),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [797] = {
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1666),
    [anon_sym_record] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1666),
    [anon_sym_event] = ACTIONS(1666),
    [anon_sym_if] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_switch] = ACTIONS(1666),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1666),
    [anon_sym_next] = ACTIONS(1666),
    [anon_sym_break] = ACTIONS(1666),
    [anon_sym_fallthrough] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1666),
    [anon_sym_add] = ACTIONS(1666),
    [anon_sym_delete] = ACTIONS(1666),
    [anon_sym_local] = ACTIONS(1666),
    [anon_sym_when] = ACTIONS(1666),
    [anon_sym_assert] = ACTIONS(1666),
    [anon_sym_table] = ACTIONS(1666),
    [anon_sym_set] = ACTIONS(1666),
    [anon_sym_vector] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1666),
    [anon_sym_hook] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_copy] = ACTIONS(1666),
    [anon_sym_schedule] = ACTIONS(1666),
    [aux_sym_constant_token1] = ACTIONS(1666),
    [anon_sym_T] = ACTIONS(1666),
    [anon_sym_F] = ACTIONS(1666),
    [anon_sym_ATdeprecated] = ACTIONS(1664),
    [anon_sym_ATload] = ACTIONS(1666),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1664),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1664),
    [anon_sym_ATunload] = ACTIONS(1664),
    [anon_sym_ATprefixes] = ACTIONS(1664),
    [anon_sym_ATif] = ACTIONS(1666),
    [anon_sym_ATifdef] = ACTIONS(1664),
    [anon_sym_ATifndef] = ACTIONS(1664),
    [anon_sym_ATendif] = ACTIONS(1664),
    [anon_sym_ATelse] = ACTIONS(1664),
    [anon_sym_ATDIR] = ACTIONS(1664),
    [anon_sym_ATFILENAME] = ACTIONS(1664),
    [sym_id] = ACTIONS(1666),
    [sym_pattern] = ACTIONS(1664),
    [sym_ipv6] = ACTIONS(1666),
    [sym_ipv4] = ACTIONS(1666),
    [sym_port] = ACTIONS(1664),
    [sym_floatp] = ACTIONS(1666),
    [sym_hex] = ACTIONS(1666),
    [sym_hostname] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1664),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [798] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_record] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1680),
    [anon_sym_event] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_next] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_fallthrough] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_add] = ACTIONS(1680),
    [anon_sym_delete] = ACTIONS(1680),
    [anon_sym_local] = ACTIONS(1680),
    [anon_sym_when] = ACTIONS(1680),
    [anon_sym_assert] = ACTIONS(1680),
    [anon_sym_table] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
    [anon_sym_vector] = ACTIONS(1680),
    [anon_sym_function] = ACTIONS(1680),
    [anon_sym_hook] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_copy] = ACTIONS(1680),
    [anon_sym_schedule] = ACTIONS(1680),
    [aux_sym_constant_token1] = ACTIONS(1680),
    [anon_sym_T] = ACTIONS(1680),
    [anon_sym_F] = ACTIONS(1680),
    [anon_sym_ATdeprecated] = ACTIONS(1678),
    [anon_sym_ATload] = ACTIONS(1680),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1678),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1678),
    [anon_sym_ATunload] = ACTIONS(1678),
    [anon_sym_ATprefixes] = ACTIONS(1678),
    [anon_sym_ATif] = ACTIONS(1680),
    [anon_sym_ATifdef] = ACTIONS(1678),
    [anon_sym_ATifndef] = ACTIONS(1678),
    [anon_sym_ATendif] = ACTIONS(1678),
    [anon_sym_ATelse] = ACTIONS(1678),
    [anon_sym_ATDIR] = ACTIONS(1678),
    [anon_sym_ATFILENAME] = ACTIONS(1678),
    [sym_id] = ACTIONS(1680),
    [sym_pattern] = ACTIONS(1678),
    [sym_ipv6] = ACTIONS(1680),
    [sym_ipv4] = ACTIONS(1680),
    [sym_port] = ACTIONS(1678),
    [sym_floatp] = ACTIONS(1680),
    [sym_hex] = ACTIONS(1680),
    [sym_hostname] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1678),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [799] = {
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_record] = ACTIONS(1608),
    [anon_sym_print] = ACTIONS(1608),
    [anon_sym_event] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_next] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_fallthrough] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_add] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_local] = ACTIONS(1608),
    [anon_sym_when] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_table] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_vector] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_hook] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_copy] = ACTIONS(1608),
    [anon_sym_schedule] = ACTIONS(1608),
    [aux_sym_constant_token1] = ACTIONS(1608),
    [anon_sym_T] = ACTIONS(1608),
    [anon_sym_F] = ACTIONS(1608),
    [anon_sym_ATdeprecated] = ACTIONS(1606),
    [anon_sym_ATload] = ACTIONS(1608),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1606),
    [anon_sym_ATunload] = ACTIONS(1606),
    [anon_sym_ATprefixes] = ACTIONS(1606),
    [anon_sym_ATif] = ACTIONS(1608),
    [anon_sym_ATifdef] = ACTIONS(1606),
    [anon_sym_ATifndef] = ACTIONS(1606),
    [anon_sym_ATendif] = ACTIONS(1606),
    [anon_sym_ATelse] = ACTIONS(1606),
    [anon_sym_ATDIR] = ACTIONS(1606),
    [anon_sym_ATFILENAME] = ACTIONS(1606),
    [sym_id] = ACTIONS(1608),
    [sym_pattern] = ACTIONS(1606),
    [sym_ipv6] = ACTIONS(1608),
    [sym_ipv4] = ACTIONS(1608),
    [sym_port] = ACTIONS(1606),
    [sym_floatp] = ACTIONS(1608),
    [sym_hex] = ACTIONS(1608),
    [sym_hostname] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1606),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [800] = {
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1650),
    [anon_sym_record] = ACTIONS(1650),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_event] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_switch] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_next] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_fallthrough] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_add] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(1650),
    [anon_sym_local] = ACTIONS(1650),
    [anon_sym_when] = ACTIONS(1650),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_table] = ACTIONS(1650),
    [anon_sym_set] = ACTIONS(1650),
    [anon_sym_vector] = ACTIONS(1650),
    [anon_sym_function] = ACTIONS(1650),
    [anon_sym_hook] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_copy] = ACTIONS(1650),
    [anon_sym_schedule] = ACTIONS(1650),
    [aux_sym_constant_token1] = ACTIONS(1650),
    [anon_sym_T] = ACTIONS(1650),
    [anon_sym_F] = ACTIONS(1650),
    [anon_sym_ATdeprecated] = ACTIONS(1648),
    [anon_sym_ATload] = ACTIONS(1650),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1648),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1648),
    [anon_sym_ATunload] = ACTIONS(1648),
    [anon_sym_ATprefixes] = ACTIONS(1648),
    [anon_sym_ATif] = ACTIONS(1650),
    [anon_sym_ATifdef] = ACTIONS(1648),
    [anon_sym_ATifndef] = ACTIONS(1648),
    [anon_sym_ATendif] = ACTIONS(1648),
    [anon_sym_ATelse] = ACTIONS(1648),
    [anon_sym_ATDIR] = ACTIONS(1648),
    [anon_sym_ATFILENAME] = ACTIONS(1648),
    [sym_id] = ACTIONS(1650),
    [sym_pattern] = ACTIONS(1648),
    [sym_ipv6] = ACTIONS(1650),
    [sym_ipv4] = ACTIONS(1650),
    [sym_port] = ACTIONS(1648),
    [sym_floatp] = ACTIONS(1650),
    [sym_hex] = ACTIONS(1650),
    [sym_hostname] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1648),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [801] = {
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_record] = ACTIONS(1708),
    [anon_sym_print] = ACTIONS(1708),
    [anon_sym_event] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_next] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_fallthrough] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_add] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_local] = ACTIONS(1708),
    [anon_sym_when] = ACTIONS(1708),
    [anon_sym_assert] = ACTIONS(1708),
    [anon_sym_table] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_vector] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_hook] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_copy] = ACTIONS(1708),
    [anon_sym_schedule] = ACTIONS(1708),
    [aux_sym_constant_token1] = ACTIONS(1708),
    [anon_sym_T] = ACTIONS(1708),
    [anon_sym_F] = ACTIONS(1708),
    [anon_sym_ATdeprecated] = ACTIONS(1706),
    [anon_sym_ATload] = ACTIONS(1708),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1706),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1706),
    [anon_sym_ATunload] = ACTIONS(1706),
    [anon_sym_ATprefixes] = ACTIONS(1706),
    [anon_sym_ATif] = ACTIONS(1708),
    [anon_sym_ATifdef] = ACTIONS(1706),
    [anon_sym_ATifndef] = ACTIONS(1706),
    [anon_sym_ATendif] = ACTIONS(1706),
    [anon_sym_ATelse] = ACTIONS(1706),
    [anon_sym_ATDIR] = ACTIONS(1706),
    [anon_sym_ATFILENAME] = ACTIONS(1706),
    [sym_id] = ACTIONS(1708),
    [sym_pattern] = ACTIONS(1706),
    [sym_ipv6] = ACTIONS(1708),
    [sym_ipv4] = ACTIONS(1708),
    [sym_port] = ACTIONS(1706),
    [sym_floatp] = ACTIONS(1708),
    [sym_hex] = ACTIONS(1708),
    [sym_hostname] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1706),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_const] = ACTIONS(1608),
    [anon_sym_record] = ACTIONS(1608),
    [anon_sym_print] = ACTIONS(1608),
    [anon_sym_event] = ACTIONS(1608),
    [anon_sym_if] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_switch] = ACTIONS(1608),
    [anon_sym_for] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1608),
    [anon_sym_next] = ACTIONS(1608),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_fallthrough] = ACTIONS(1608),
    [anon_sym_return] = ACTIONS(1608),
    [anon_sym_add] = ACTIONS(1608),
    [anon_sym_delete] = ACTIONS(1608),
    [anon_sym_local] = ACTIONS(1608),
    [anon_sym_when] = ACTIONS(1608),
    [anon_sym_assert] = ACTIONS(1608),
    [anon_sym_table] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1608),
    [anon_sym_vector] = ACTIONS(1608),
    [anon_sym_function] = ACTIONS(1608),
    [anon_sym_hook] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_copy] = ACTIONS(1608),
    [anon_sym_schedule] = ACTIONS(1608),
    [aux_sym_constant_token1] = ACTIONS(1608),
    [anon_sym_T] = ACTIONS(1608),
    [anon_sym_F] = ACTIONS(1608),
    [anon_sym_ATdeprecated] = ACTIONS(1606),
    [anon_sym_ATload] = ACTIONS(1608),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1606),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1606),
    [anon_sym_ATunload] = ACTIONS(1606),
    [anon_sym_ATprefixes] = ACTIONS(1606),
    [anon_sym_ATif] = ACTIONS(1608),
    [anon_sym_ATifdef] = ACTIONS(1606),
    [anon_sym_ATifndef] = ACTIONS(1606),
    [anon_sym_ATendif] = ACTIONS(1606),
    [anon_sym_ATelse] = ACTIONS(1606),
    [anon_sym_ATDIR] = ACTIONS(1606),
    [anon_sym_ATFILENAME] = ACTIONS(1606),
    [sym_id] = ACTIONS(1608),
    [sym_pattern] = ACTIONS(1606),
    [sym_ipv6] = ACTIONS(1608),
    [sym_ipv4] = ACTIONS(1608),
    [sym_port] = ACTIONS(1606),
    [sym_floatp] = ACTIONS(1608),
    [sym_hex] = ACTIONS(1608),
    [sym_hostname] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1606),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [803] = {
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_record] = ACTIONS(1692),
    [anon_sym_print] = ACTIONS(1692),
    [anon_sym_event] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_switch] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_next] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_fallthrough] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_add] = ACTIONS(1692),
    [anon_sym_delete] = ACTIONS(1692),
    [anon_sym_local] = ACTIONS(1692),
    [anon_sym_when] = ACTIONS(1692),
    [anon_sym_assert] = ACTIONS(1692),
    [anon_sym_table] = ACTIONS(1692),
    [anon_sym_set] = ACTIONS(1692),
    [anon_sym_vector] = ACTIONS(1692),
    [anon_sym_function] = ACTIONS(1692),
    [anon_sym_hook] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_copy] = ACTIONS(1692),
    [anon_sym_schedule] = ACTIONS(1692),
    [aux_sym_constant_token1] = ACTIONS(1692),
    [anon_sym_T] = ACTIONS(1692),
    [anon_sym_F] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1690),
    [anon_sym_ATload] = ACTIONS(1692),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1690),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1690),
    [anon_sym_ATunload] = ACTIONS(1690),
    [anon_sym_ATprefixes] = ACTIONS(1690),
    [anon_sym_ATif] = ACTIONS(1692),
    [anon_sym_ATifdef] = ACTIONS(1690),
    [anon_sym_ATifndef] = ACTIONS(1690),
    [anon_sym_ATendif] = ACTIONS(1690),
    [anon_sym_ATelse] = ACTIONS(1690),
    [anon_sym_ATDIR] = ACTIONS(1690),
    [anon_sym_ATFILENAME] = ACTIONS(1690),
    [sym_id] = ACTIONS(1692),
    [sym_pattern] = ACTIONS(1690),
    [sym_ipv6] = ACTIONS(1692),
    [sym_ipv4] = ACTIONS(1692),
    [sym_port] = ACTIONS(1690),
    [sym_floatp] = ACTIONS(1692),
    [sym_hex] = ACTIONS(1692),
    [sym_hostname] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1690),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_const] = ACTIONS(1658),
    [anon_sym_record] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1658),
    [anon_sym_event] = ACTIONS(1658),
    [anon_sym_if] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1658),
    [anon_sym_next] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1658),
    [anon_sym_fallthrough] = ACTIONS(1658),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_add] = ACTIONS(1658),
    [anon_sym_delete] = ACTIONS(1658),
    [anon_sym_local] = ACTIONS(1658),
    [anon_sym_when] = ACTIONS(1658),
    [anon_sym_assert] = ACTIONS(1658),
    [anon_sym_table] = ACTIONS(1658),
    [anon_sym_set] = ACTIONS(1658),
    [anon_sym_vector] = ACTIONS(1658),
    [anon_sym_function] = ACTIONS(1658),
    [anon_sym_hook] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_copy] = ACTIONS(1658),
    [anon_sym_schedule] = ACTIONS(1658),
    [aux_sym_constant_token1] = ACTIONS(1658),
    [anon_sym_T] = ACTIONS(1658),
    [anon_sym_F] = ACTIONS(1658),
    [anon_sym_ATdeprecated] = ACTIONS(1656),
    [anon_sym_ATload] = ACTIONS(1658),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1656),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1656),
    [anon_sym_ATunload] = ACTIONS(1656),
    [anon_sym_ATprefixes] = ACTIONS(1656),
    [anon_sym_ATif] = ACTIONS(1658),
    [anon_sym_ATifdef] = ACTIONS(1656),
    [anon_sym_ATifndef] = ACTIONS(1656),
    [anon_sym_ATendif] = ACTIONS(1656),
    [anon_sym_ATelse] = ACTIONS(1656),
    [anon_sym_ATDIR] = ACTIONS(1656),
    [anon_sym_ATFILENAME] = ACTIONS(1656),
    [sym_id] = ACTIONS(1658),
    [sym_pattern] = ACTIONS(1656),
    [sym_ipv6] = ACTIONS(1658),
    [sym_ipv4] = ACTIONS(1658),
    [sym_port] = ACTIONS(1656),
    [sym_floatp] = ACTIONS(1658),
    [sym_hex] = ACTIONS(1658),
    [sym_hostname] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1656),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [805] = {
    [sym_expr] = STATE(1279),
    [sym_constant] = STATE(1269),
    [sym_string_directive] = STATE(824),
    [sym_integer] = STATE(1236),
    [sym_interval] = STATE(1254),
    [sym_string] = STATE(1254),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(111),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_in] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(113),
    [anon_sym_as] = ACTIONS(113),
    [anon_sym_table] = ACTIONS(57),
    [anon_sym_set] = ACTIONS(57),
    [anon_sym_vector] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_hook] = ACTIONS(119),
    [anon_sym_DASH_EQ] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_PIPE] = ACTIONS(113),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_is] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_SLASH] = ACTIONS(113),
    [anon_sym_PERCENT] = ACTIONS(111),
    [anon_sym_LT] = ACTIONS(113),
    [anon_sym_LT_EQ] = ACTIONS(111),
    [anon_sym_GT] = ACTIONS(113),
    [anon_sym_GT_EQ] = ACTIONS(111),
    [anon_sym_AMP] = ACTIONS(113),
    [anon_sym_CARET] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(111),
    [anon_sym_BANG_EQ] = ACTIONS(111),
    [anon_sym_AMP_AMP] = ACTIONS(111),
    [anon_sym_PIPE_PIPE] = ACTIONS(111),
    [anon_sym_copy] = ACTIONS(73),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(111),
    [anon_sym_schedule] = ACTIONS(75),
    [aux_sym_constant_token1] = ACTIONS(77),
    [anon_sym_T] = ACTIONS(79),
    [anon_sym_F] = ACTIONS(79),
    [anon_sym_ATDIR] = ACTIONS(97),
    [anon_sym_ATFILENAME] = ACTIONS(97),
    [sym_id] = ACTIONS(99),
    [sym_pattern] = ACTIONS(101),
    [sym_ipv6] = ACTIONS(103),
    [sym_ipv4] = ACTIONS(103),
    [sym_port] = ACTIONS(105),
    [sym_floatp] = ACTIONS(107),
    [sym_hex] = ACTIONS(79),
    [sym_hostname] = ACTIONS(79),
    [aux_sym_string_token1] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [806] = {
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1865),
    [anon_sym_PLUS_EQ] = ACTIONS(1482),
    [anon_sym_record] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_local] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_table] = ACTIONS(1486),
    [anon_sym_set] = ACTIONS(1486),
    [anon_sym_vector] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_hook] = ACTIONS(1486),
    [anon_sym_AMPdeprecated] = ACTIONS(1482),
    [anon_sym_DASH_EQ] = ACTIONS(1482),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1482),
    [anon_sym_AMPerror_handler] = ACTIONS(1482),
    [anon_sym_AMPis_assigned] = ACTIONS(1482),
    [anon_sym_AMPis_used] = ACTIONS(1482),
    [anon_sym_AMPlog] = ACTIONS(1482),
    [anon_sym_AMPoptional] = ACTIONS(1482),
    [anon_sym_AMPraw_output] = ACTIONS(1482),
    [anon_sym_AMPredef] = ACTIONS(1482),
    [anon_sym_AMPadd_func] = ACTIONS(1482),
    [anon_sym_AMPbackend] = ACTIONS(1482),
    [anon_sym_AMPbroker_store] = ACTIONS(1482),
    [anon_sym_AMPcreate_expire] = ACTIONS(1482),
    [anon_sym_AMPdefault] = ACTIONS(1482),
    [anon_sym_AMPdelete_func] = ACTIONS(1482),
    [anon_sym_AMPexpire_func] = ACTIONS(1482),
    [anon_sym_AMPgroup] = ACTIONS(1482),
    [anon_sym_AMPon_change] = ACTIONS(1482),
    [anon_sym_AMPpriority] = ACTIONS(1482),
    [anon_sym_AMPread_expire] = ACTIONS(1482),
    [anon_sym_AMPtype_column] = ACTIONS(1482),
    [anon_sym_AMPwrite_expire] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_copy] = ACTIONS(1486),
    [anon_sym_schedule] = ACTIONS(1486),
    [aux_sym_constant_token1] = ACTIONS(1486),
    [anon_sym_T] = ACTIONS(1486),
    [anon_sym_F] = ACTIONS(1486),
    [anon_sym_ATDIR] = ACTIONS(1482),
    [anon_sym_ATFILENAME] = ACTIONS(1482),
    [sym_id] = ACTIONS(1486),
    [sym_pattern] = ACTIONS(1482),
    [sym_ipv6] = ACTIONS(1486),
    [sym_ipv4] = ACTIONS(1486),
    [sym_port] = ACTIONS(1482),
    [sym_floatp] = ACTIONS(1486),
    [sym_hex] = ACTIONS(1486),
    [sym_hostname] = ACTIONS(1486),
    [aux_sym_string_token1] = ACTIONS(1482),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [807] = {
    [anon_sym_SEMI] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1867),
    [anon_sym_PLUS_EQ] = ACTIONS(1472),
    [anon_sym_record] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_local] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_table] = ACTIONS(1476),
    [anon_sym_set] = ACTIONS(1476),
    [anon_sym_vector] = ACTIONS(1476),
    [anon_sym_function] = ACTIONS(1476),
    [anon_sym_hook] = ACTIONS(1476),
    [anon_sym_AMPdeprecated] = ACTIONS(1472),
    [anon_sym_DASH_EQ] = ACTIONS(1472),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1472),
    [anon_sym_AMPerror_handler] = ACTIONS(1472),
    [anon_sym_AMPis_assigned] = ACTIONS(1472),
    [anon_sym_AMPis_used] = ACTIONS(1472),
    [anon_sym_AMPlog] = ACTIONS(1472),
    [anon_sym_AMPoptional] = ACTIONS(1472),
    [anon_sym_AMPraw_output] = ACTIONS(1472),
    [anon_sym_AMPredef] = ACTIONS(1472),
    [anon_sym_AMPadd_func] = ACTIONS(1472),
    [anon_sym_AMPbackend] = ACTIONS(1472),
    [anon_sym_AMPbroker_store] = ACTIONS(1472),
    [anon_sym_AMPcreate_expire] = ACTIONS(1472),
    [anon_sym_AMPdefault] = ACTIONS(1472),
    [anon_sym_AMPdelete_func] = ACTIONS(1472),
    [anon_sym_AMPexpire_func] = ACTIONS(1472),
    [anon_sym_AMPgroup] = ACTIONS(1472),
    [anon_sym_AMPon_change] = ACTIONS(1472),
    [anon_sym_AMPpriority] = ACTIONS(1472),
    [anon_sym_AMPread_expire] = ACTIONS(1472),
    [anon_sym_AMPtype_column] = ACTIONS(1472),
    [anon_sym_AMPwrite_expire] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_copy] = ACTIONS(1476),
    [anon_sym_schedule] = ACTIONS(1476),
    [aux_sym_constant_token1] = ACTIONS(1476),
    [anon_sym_T] = ACTIONS(1476),
    [anon_sym_F] = ACTIONS(1476),
    [anon_sym_ATDIR] = ACTIONS(1472),
    [anon_sym_ATFILENAME] = ACTIONS(1472),
    [sym_id] = ACTIONS(1476),
    [sym_pattern] = ACTIONS(1472),
    [sym_ipv6] = ACTIONS(1476),
    [sym_ipv4] = ACTIONS(1476),
    [sym_port] = ACTIONS(1472),
    [sym_floatp] = ACTIONS(1476),
    [sym_hex] = ACTIONS(1476),
    [sym_hostname] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1472),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [808] = {
    [anon_sym_SEMI] = ACTIONS(480),
    [anon_sym_LBRACE] = ACTIONS(480),
    [anon_sym_PLUS_EQ] = ACTIONS(480),
    [anon_sym_record] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(480),
    [anon_sym_LBRACK] = ACTIONS(480),
    [anon_sym_local] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(480),
    [anon_sym_table] = ACTIONS(482),
    [anon_sym_of] = ACTIONS(1869),
    [anon_sym_set] = ACTIONS(482),
    [anon_sym_vector] = ACTIONS(482),
    [anon_sym_function] = ACTIONS(482),
    [anon_sym_hook] = ACTIONS(482),
    [anon_sym_AMPdeprecated] = ACTIONS(480),
    [anon_sym_DASH_EQ] = ACTIONS(480),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(480),
    [anon_sym_AMPerror_handler] = ACTIONS(480),
    [anon_sym_AMPis_assigned] = ACTIONS(480),
    [anon_sym_AMPis_used] = ACTIONS(480),
    [anon_sym_AMPlog] = ACTIONS(480),
    [anon_sym_AMPoptional] = ACTIONS(480),
    [anon_sym_AMPraw_output] = ACTIONS(480),
    [anon_sym_AMPredef] = ACTIONS(480),
    [anon_sym_AMPadd_func] = ACTIONS(480),
    [anon_sym_AMPbackend] = ACTIONS(480),
    [anon_sym_AMPbroker_store] = ACTIONS(480),
    [anon_sym_AMPcreate_expire] = ACTIONS(480),
    [anon_sym_AMPdefault] = ACTIONS(480),
    [anon_sym_AMPdelete_func] = ACTIONS(480),
    [anon_sym_AMPexpire_func] = ACTIONS(480),
    [anon_sym_AMPgroup] = ACTIONS(480),
    [anon_sym_AMPon_change] = ACTIONS(480),
    [anon_sym_AMPpriority] = ACTIONS(480),
    [anon_sym_AMPread_expire] = ACTIONS(480),
    [anon_sym_AMPtype_column] = ACTIONS(480),
    [anon_sym_AMPwrite_expire] = ACTIONS(480),
    [anon_sym_DOLLAR] = ACTIONS(480),
    [anon_sym_PIPE] = ACTIONS(480),
    [anon_sym_PLUS_PLUS] = ACTIONS(480),
    [anon_sym_DASH_DASH] = ACTIONS(480),
    [anon_sym_BANG] = ACTIONS(480),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_copy] = ACTIONS(482),
    [anon_sym_schedule] = ACTIONS(482),
    [aux_sym_constant_token1] = ACTIONS(482),
    [anon_sym_T] = ACTIONS(482),
    [anon_sym_F] = ACTIONS(482),
    [anon_sym_ATDIR] = ACTIONS(480),
    [anon_sym_ATFILENAME] = ACTIONS(480),
    [sym_id] = ACTIONS(482),
    [sym_pattern] = ACTIONS(480),
    [sym_ipv6] = ACTIONS(482),
    [sym_ipv4] = ACTIONS(482),
    [sym_port] = ACTIONS(480),
    [sym_floatp] = ACTIONS(482),
    [sym_hex] = ACTIONS(482),
    [sym_hostname] = ACTIONS(482),
    [aux_sym_string_token1] = ACTIONS(480),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 6,
    STATE(359), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(815), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 46,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [76] = 6,
    STATE(366), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(815), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1604), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1602), 46,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [152] = 9,
    ACTIONS(1871), 1,
      anon_sym_AMPdeprecated,
    STATE(1246), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(813), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1604), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1873), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1602), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [234] = 9,
    ACTIONS(1871), 1,
      anon_sym_AMPdeprecated,
    STATE(1257), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(813), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1873), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(111), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [316] = 8,
    ACTIONS(1871), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(814), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1791), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1873), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1789), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [395] = 8,
    ACTIONS(1780), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(814), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1783), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1778), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1875), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1776), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [474] = 5,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(814), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1791), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1789), 46,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [547] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1564), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(1562), 45,
      anon_sym_module,
      anon_sym_SEMI,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_PLUS_EQ,
      anon_sym_type,
      anon_sym_event,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [617] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1470), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(1468), 45,
      anon_sym_module,
      anon_sym_SEMI,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_PLUS_EQ,
      anon_sym_type,
      anon_sym_event,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [687] = 18,
    ACTIONS(1572), 1,
      anon_sym_LPAREN,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1849), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1882), 1,
      anon_sym_EQ,
    ACTIONS(1886), 1,
      anon_sym_BANG,
    ACTIONS(1890), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1888), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1880), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1884), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1602), 27,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [785] = 13,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1612), 1,
      anon_sym_EQ,
    ACTIONS(1886), 1,
      anon_sym_BANG,
    ACTIONS(1890), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1888), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1880), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1884), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1610), 35,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [873] = 9,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1888), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1602), 39,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [953] = 9,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1888), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 39,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1033] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(129), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(127), 45,
      anon_sym_module,
      anon_sym_SEMI,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_PLUS_EQ,
      anon_sym_type,
      anon_sym_event,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [1103] = 17,
    ACTIONS(1572), 1,
      anon_sym_LPAREN,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1882), 1,
      anon_sym_EQ,
    ACTIONS(1886), 1,
      anon_sym_BANG,
    ACTIONS(1890), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1888), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1880), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1884), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1448), 28,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [1199] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(125), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(123), 45,
      anon_sym_module,
      anon_sym_SEMI,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_PLUS_EQ,
      anon_sym_type,
      anon_sym_event,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [1269] = 16,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1882), 1,
      anon_sym_EQ,
    ACTIONS(1886), 1,
      anon_sym_BANG,
    ACTIONS(1890), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1888), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1880), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1884), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1602), 29,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [1363] = 18,
    ACTIONS(1572), 1,
      anon_sym_LPAREN,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1849), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1882), 1,
      anon_sym_EQ,
    ACTIONS(1886), 1,
      anon_sym_BANG,
    ACTIONS(1890), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1888), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1880), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1884), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(133), 27,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [1461] = 9,
    ACTIONS(1871), 1,
      anon_sym_AMPdeprecated,
    STATE(1246), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(834), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1604), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1896), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1602), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1541] = 9,
    ACTIONS(1871), 1,
      anon_sym_AMPdeprecated,
    STATE(1257), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(834), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1896), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(111), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1621] = 16,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1882), 1,
      anon_sym_EQ,
    ACTIONS(1886), 1,
      anon_sym_BANG,
    ACTIONS(1890), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1888), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1880), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1884), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(111), 29,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [1715] = 14,
    ACTIONS(113), 1,
      anon_sym_EQ,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1886), 1,
      anon_sym_BANG,
    ACTIONS(1890), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1888), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1880), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1884), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(111), 33,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1805] = 13,
    ACTIONS(113), 1,
      anon_sym_EQ,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1886), 1,
      anon_sym_BANG,
    ACTIONS(1890), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1888), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1880), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1884), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(111), 35,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1893] = 6,
    STATE(359), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(836), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 44,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1967] = 6,
    STATE(366), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(836), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1604), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1602), 44,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2041] = 8,
    ACTIONS(1871), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(835), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1791), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1896), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1789), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2118] = 8,
    ACTIONS(1780), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(835), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1783), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1778), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1898), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1776), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2195] = 5,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(835), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1791), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1789), 44,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2266] = 5,
    ACTIONS(1901), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(482), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(480), 44,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2336] = 8,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1903), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(139), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(133), 40,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2412] = 9,
    ACTIONS(1871), 1,
      anon_sym_AMPdeprecated,
    STATE(1246), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(854), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1604), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1905), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1602), 20,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2490] = 9,
    ACTIONS(1871), 1,
      anon_sym_AMPdeprecated,
    STATE(1257), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(854), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1905), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(111), 20,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2568] = 18,
    ACTIONS(1572), 1,
      anon_sym_LPAREN,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1849), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1882), 1,
      anon_sym_EQ,
    ACTIONS(1886), 1,
      anon_sym_BANG,
    ACTIONS(1890), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1888), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1880), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1884), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1448), 25,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [2664] = 16,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1911), 1,
      anon_sym_EQ,
    ACTIONS(1915), 1,
      anon_sym_BANG,
    ACTIONS(1919), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1903), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1907), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1921), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1923), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1917), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1909), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1913), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(111), 27,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [2756] = 9,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1903), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1917), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 37,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2834] = 8,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1903), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 40,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2910] = 13,
    ACTIONS(113), 1,
      anon_sym_EQ,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1915), 1,
      anon_sym_BANG,
    ACTIONS(1919), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1903), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1917), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1909), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1913), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(111), 33,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2996] = 14,
    ACTIONS(113), 1,
      anon_sym_EQ,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1915), 1,
      anon_sym_BANG,
    ACTIONS(1919), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1903), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1921), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1917), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1909), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1913), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(111), 31,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3084] = 18,
    ACTIONS(1572), 1,
      anon_sym_LPAREN,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1849), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1911), 1,
      anon_sym_EQ,
    ACTIONS(1915), 1,
      anon_sym_BANG,
    ACTIONS(1919), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1903), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1907), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1921), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1923), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1917), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1909), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1913), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1602), 25,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [3180] = 16,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1911), 1,
      anon_sym_EQ,
    ACTIONS(1915), 1,
      anon_sym_BANG,
    ACTIONS(1919), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1903), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1907), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1921), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1923), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1917), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1909), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1913), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1602), 27,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [3272] = 9,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1903), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1917), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1602), 37,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3350] = 17,
    ACTIONS(1572), 1,
      anon_sym_LPAREN,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1911), 1,
      anon_sym_EQ,
    ACTIONS(1915), 1,
      anon_sym_BANG,
    ACTIONS(1919), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1903), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1907), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1921), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1923), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1917), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1909), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1913), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1448), 26,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [3444] = 13,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1612), 1,
      anon_sym_EQ,
    ACTIONS(1915), 1,
      anon_sym_BANG,
    ACTIONS(1919), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1903), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1917), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1909), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1913), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1610), 33,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3530] = 18,
    ACTIONS(1572), 1,
      anon_sym_LPAREN,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1849), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1911), 1,
      anon_sym_EQ,
    ACTIONS(1915), 1,
      anon_sym_BANG,
    ACTIONS(1919), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1903), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1907), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1921), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1923), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1917), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1909), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1913), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(133), 25,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [3626] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1486), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1482), 44,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3693] = 8,
    ACTIONS(1871), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(586), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1791), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1905), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1789), 20,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3768] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1476), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1472), 44,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3835] = 18,
    ACTIONS(1572), 1,
      anon_sym_LPAREN,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1849), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1882), 1,
      anon_sym_EQ,
    ACTIONS(1886), 1,
      anon_sym_BANG,
    ACTIONS(1890), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1888), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1880), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1884), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1925), 23,
      anon_sym_SEMI,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [3929] = 18,
    ACTIONS(1572), 1,
      anon_sym_LPAREN,
    ACTIONS(1584), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1849), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1882), 1,
      anon_sym_EQ,
    ACTIONS(1886), 1,
      anon_sym_BANG,
    ACTIONS(1890), 1,
      anon_sym_QMARK,
    STATE(349), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1586), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1888), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1880), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1884), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1927), 23,
      anon_sym_SEMI,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [4023] = 37,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1929), 1,
      anon_sym_RPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(1933), 1,
      sym_id,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2390), 1,
      sym_formal_args,
    STATE(2508), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4149] = 37,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(1933), 1,
      sym_id,
    ACTIONS(1935), 1,
      anon_sym_RPAREN,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2390), 1,
      sym_formal_args,
    STATE(2589), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4275] = 34,
    ACTIONS(1939), 1,
      anon_sym_LBRACE,
    ACTIONS(1942), 1,
      anon_sym_COLON,
    ACTIONS(1944), 1,
      anon_sym_record,
    ACTIONS(1947), 1,
      anon_sym_LPAREN,
    ACTIONS(1950), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      anon_sym_local,
    ACTIONS(1959), 1,
      anon_sym_vector,
    ACTIONS(1962), 1,
      anon_sym_function,
    ACTIONS(1965), 1,
      anon_sym_hook,
    ACTIONS(1968), 1,
      anon_sym_DOLLAR,
    ACTIONS(1971), 1,
      anon_sym_PIPE,
    ACTIONS(1980), 1,
      anon_sym_copy,
    ACTIONS(1983), 1,
      anon_sym_schedule,
    ACTIONS(1986), 1,
      aux_sym_constant_token1,
    ACTIONS(1995), 1,
      sym_id,
    ACTIONS(1998), 1,
      sym_pattern,
    ACTIONS(2004), 1,
      sym_port,
    ACTIONS(2007), 1,
      sym_floatp,
    ACTIONS(2010), 1,
      aux_sym_string_token1,
    STATE(824), 1,
      sym_string_directive,
    STATE(860), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1393), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1956), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1977), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1992), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(2001), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1937), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1974), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1989), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4395] = 35,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2013), 1,
      anon_sym_type,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(888), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1318), 1,
      sym_expr,
    STATE(2053), 1,
      aux_sym_case_type_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    STATE(2538), 2,
      sym_case_type_list,
      sym_expr_list,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [4516] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(860), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1278), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2027), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [4633] = 35,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    ACTIONS(2029), 1,
      anon_sym_COLON,
    ACTIONS(2031), 1,
      anon_sym_RBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1293), 1,
      sym_expr,
    STATE(2182), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [4753] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2033), 1,
      anon_sym_RBRACE,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2324), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4870] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2035), 1,
      anon_sym_RPAREN,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2829), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4987] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2037), 1,
      anon_sym_RPAREN,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2207), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5104] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_RPAREN,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2589), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5221] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    ACTIONS(2041), 1,
      anon_sym_COLON,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1305), 1,
      sym_expr,
    STATE(2534), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [5338] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2043), 1,
      anon_sym_RPAREN,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2513), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5455] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2045), 1,
      anon_sym_RPAREN,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2485), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5572] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_COLON,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1315), 1,
      sym_expr,
    STATE(2643), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [5689] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2049), 1,
      anon_sym_RPAREN,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2508), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5806] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2620), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5923] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2031), 1,
      anon_sym_RBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2182), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6040] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2033), 1,
      anon_sym_RBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2358), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6157] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2051), 1,
      anon_sym_RPAREN,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2749), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6274] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2053), 1,
      anon_sym_RPAREN,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2778), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6391] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2055), 1,
      anon_sym_RPAREN,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2822), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6508] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2557), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6622] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2057), 1,
      anon_sym_SEMI,
    ACTIONS(2059), 1,
      anon_sym_when,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1497), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6736] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2161), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6850] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2236), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6964] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2303), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7078] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2413), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7192] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2530), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7306] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2581), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7420] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2754), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7534] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    ACTIONS(2061), 1,
      anon_sym_COLON,
    STATE(824), 1,
      sym_string_directive,
    STATE(860), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1316), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [7648] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2063), 1,
      anon_sym_SEMI,
    ACTIONS(2065), 1,
      anon_sym_when,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1551), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7762] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2067), 1,
      anon_sym_SEMI,
    ACTIONS(2069), 1,
      anon_sym_when,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1525), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7876] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2071), 1,
      anon_sym_SEMI,
    ACTIONS(2073), 1,
      anon_sym_when,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1522), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7990] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_SEMI,
    ACTIONS(2077), 1,
      anon_sym_when,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1523), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8104] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_SEMI,
    ACTIONS(2081), 1,
      anon_sym_when,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1399), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8218] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_SEMI,
    ACTIONS(2085), 1,
      anon_sym_when,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1483), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8332] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2589), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8446] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2485), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8560] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_SEMI,
    ACTIONS(2089), 1,
      anon_sym_when,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1442), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8674] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2091), 1,
      anon_sym_SEMI,
    ACTIONS(2093), 1,
      anon_sym_when,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1489), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8788] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2347), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8902] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2095), 1,
      anon_sym_SEMI,
    ACTIONS(2097), 1,
      anon_sym_when,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1431), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9016] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2099), 1,
      anon_sym_SEMI,
    ACTIONS(2101), 1,
      anon_sym_when,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1463), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9130] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2103), 1,
      anon_sym_SEMI,
    ACTIONS(2105), 1,
      anon_sym_when,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1509), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9244] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2314), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9358] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2392), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9472] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(862), 1,
      aux_sym_expr_list_repeat1,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    STATE(2679), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9586] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2107), 1,
      anon_sym_RBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1333), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9697] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2109), 1,
      anon_sym_RBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1355), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9808] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_RBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1369), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9919] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2113), 1,
      anon_sym_RBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1412), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10030] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2115), 1,
      anon_sym_RBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1478), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10141] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_RBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1402), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10252] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1334), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10360] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1468), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10468] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(821), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10576] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(358), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10684] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1404), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10792] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(831), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10900] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(830), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11008] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1276), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11116] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1571), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11224] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1495), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [11332] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(347), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11440] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1459), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11548] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1426), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11656] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1489), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11764] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1521), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11872] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1285), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11980] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(857), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12088] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(829), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12196] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1522), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12304] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1291), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12412] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1572), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12520] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1256), 1,
      sym_expr,
    STATE(1269), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [12628] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1451), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [12736] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1505), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12844] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1336), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12952] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1340), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13060] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1341), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13168] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1324), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [13276] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1325), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [13384] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1414), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [13492] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1251), 1,
      sym_expr,
    STATE(1269), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [13600] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1342), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [13708] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1327), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [13816] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1328), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [13924] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1343), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14032] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1331), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [14140] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1332), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [14248] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1330), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [14356] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1279), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14464] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1367), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14572] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1335), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [14680] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1377), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14788] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1379), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14896] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1382), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15004] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1385), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15112] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1304), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15220] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1399), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15328] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1289), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15436] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1569), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15544] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1405), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15652] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1407), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15760] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1409), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15868] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1416), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15976] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1420), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16084] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1422), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16192] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1423), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16300] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1425), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16408] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1431), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16516] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1294), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16624] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1570), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16732] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1436), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16840] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1438), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16948] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1439), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17056] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1443), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17164] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1446), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17272] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1448), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17380] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1449), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17488] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1450), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17596] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(825), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17704] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1463), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17812] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1314), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17920] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1568), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18028] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1465), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18136] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1466), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18244] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1473), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18352] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1474), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18460] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1475), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18568] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1477), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18676] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1479), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18784] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1483), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18892] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1296), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19000] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1484), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19108] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1485), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19216] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1486), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19324] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1487), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19432] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1490), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19540] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1491), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19648] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1493), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19756] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1494), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19864] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1497), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19972] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1290), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20080] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1498), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20188] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1499), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20296] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1500), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20404] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1501), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20512] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1502), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20620] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1503), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20728] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1504), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20836] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1507), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20944] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1283), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21052] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1509), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21160] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1301), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21268] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1511), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21376] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1512), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21484] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1513), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21592] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1516), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21700] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1517), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21808] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1518), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21916] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1519), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22024] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1520), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22132] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(823), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22240] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1525), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22348] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1309), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22456] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1526), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22564] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1527), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22672] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1529), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22780] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1545), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22888] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1546), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22996] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1547), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23104] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1548), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23212] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1549), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23320] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1551), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23428] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1313), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23536] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1554), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23644] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1555), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23752] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1556), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23860] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1558), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23968] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1560), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24076] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1561), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24184] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1566), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24292] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1567), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24400] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1256), 1,
      sym_expr,
    STATE(1269), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24508] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1523), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24616] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1295), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24724] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1460), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24832] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1506), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24940] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1510), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25048] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1326), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25156] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1345), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25264] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1351), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25372] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1357), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25480] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1380), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25588] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1442), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25696] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1292), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25804] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1455), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25912] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1456), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26020] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1458), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26128] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1461), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26236] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1464), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26344] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1467), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26452] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1469), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26560] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1470), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26668] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1481), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26776] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1488), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26884] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1515), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [26992] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1322), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27100] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1323), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27208] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1329), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27316] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2133), 1,
      anon_sym_local,
    ACTIONS(2137), 1,
      anon_sym_hook,
    ACTIONS(2139), 1,
      anon_sym_DOLLAR,
    ACTIONS(2141), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(723), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2135), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2143), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27424] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1564), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27532] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1337), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27640] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1338), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27748] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1339), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27856] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2133), 1,
      anon_sym_local,
    ACTIONS(2137), 1,
      anon_sym_hook,
    ACTIONS(2139), 1,
      anon_sym_DOLLAR,
    ACTIONS(2141), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(727), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2135), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2143), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27964] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2133), 1,
      anon_sym_local,
    ACTIONS(2137), 1,
      anon_sym_hook,
    ACTIONS(2139), 1,
      anon_sym_DOLLAR,
    ACTIONS(2141), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(713), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2135), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2143), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28072] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2133), 1,
      anon_sym_local,
    ACTIONS(2137), 1,
      anon_sym_hook,
    ACTIONS(2139), 1,
      anon_sym_DOLLAR,
    ACTIONS(2141), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(714), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2135), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2143), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28180] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2133), 1,
      anon_sym_local,
    ACTIONS(2137), 1,
      anon_sym_hook,
    ACTIONS(2139), 1,
      anon_sym_DOLLAR,
    ACTIONS(2141), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(358), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2135), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2143), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28288] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2133), 1,
      anon_sym_local,
    ACTIONS(2137), 1,
      anon_sym_hook,
    ACTIONS(2139), 1,
      anon_sym_DOLLAR,
    ACTIONS(2141), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(715), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2135), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2143), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28396] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2133), 1,
      anon_sym_local,
    ACTIONS(2137), 1,
      anon_sym_hook,
    ACTIONS(2139), 1,
      anon_sym_DOLLAR,
    ACTIONS(2141), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(716), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2135), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2143), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28504] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2133), 1,
      anon_sym_local,
    ACTIONS(2137), 1,
      anon_sym_hook,
    ACTIONS(2139), 1,
      anon_sym_DOLLAR,
    ACTIONS(2141), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(718), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2135), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2143), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28612] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2133), 1,
      anon_sym_local,
    ACTIONS(2137), 1,
      anon_sym_hook,
    ACTIONS(2139), 1,
      anon_sym_DOLLAR,
    ACTIONS(2141), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(719), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2135), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2143), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28720] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2133), 1,
      anon_sym_local,
    ACTIONS(2137), 1,
      anon_sym_hook,
    ACTIONS(2139), 1,
      anon_sym_DOLLAR,
    ACTIONS(2141), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(717), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2135), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2143), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28828] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2133), 1,
      anon_sym_local,
    ACTIONS(2137), 1,
      anon_sym_hook,
    ACTIONS(2139), 1,
      anon_sym_DOLLAR,
    ACTIONS(2141), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(721), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2135), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2143), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28936] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2133), 1,
      anon_sym_local,
    ACTIONS(2137), 1,
      anon_sym_hook,
    ACTIONS(2139), 1,
      anon_sym_DOLLAR,
    ACTIONS(2141), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(347), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2135), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2143), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29044] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2133), 1,
      anon_sym_local,
    ACTIONS(2137), 1,
      anon_sym_hook,
    ACTIONS(2139), 1,
      anon_sym_DOLLAR,
    ACTIONS(2141), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(720), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2135), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2143), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29152] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1472), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29260] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1344), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29368] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1346), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [29476] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1347), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [29584] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1348), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [29692] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1349), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [29800] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1352), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29908] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1353), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30016] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1354), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30124] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1358), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30232] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1359), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30340] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1360), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30448] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1361), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30556] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1362), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30664] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1363), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30772] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1364), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30880] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1366), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30988] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1368), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [31096] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1370), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31204] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1371), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31312] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1372), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31420] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1373), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31528] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1375), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [31636] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1376), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [31744] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1378), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [31852] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1381), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [31960] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1383), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32068] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1384), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32176] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1386), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32284] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1387), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32392] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1388), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [32500] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1389), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [32608] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1390), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [32716] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1392), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [32824] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1394), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32932] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1397), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33040] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1398), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33148] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1400), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33256] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1401), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33364] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1403), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [33472] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1406), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33580] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1408), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33688] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1410), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33796] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1413), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [33904] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1415), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [34012] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1417), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34120] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1418), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34228] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1419), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34336] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1421), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34444] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1424), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [34552] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1427), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34660] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1428), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34768] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1429), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34876] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1432), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34984] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1434), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [35092] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1437), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35200] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1321), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35308] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1440), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35416] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1441), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35524] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1444), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35632] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1445), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35740] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1447), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35848] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1452), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35956] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1553), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36064] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1453), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [36172] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36280] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1302), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36388] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1288), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36496] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1457), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36604] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1306), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36712] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1307), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [36820] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(820), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [36928] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1310), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [37036] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1311), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [37144] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1308), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [37252] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1312), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [37360] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1476), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37468] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1480), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37576] = 9,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1281), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2147), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
      sym_pattern,
      sym_port,
      aux_sym_string_token1,
    ACTIONS(2149), 20,
      anon_sym_record,
      anon_sym_local,
      anon_sym_table,
      anon_sym_set,
      anon_sym_vector,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_copy,
      anon_sym_schedule,
      aux_sym_constant_token1,
      anon_sym_T,
      anon_sym_F,
      sym_id,
      sym_ipv6,
      sym_ipv4,
      sym_floatp,
      sym_hex,
      sym_hostname,
  [37640] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(818), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37748] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(841), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37856] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(826), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37964] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1492), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38072] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1287), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38180] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1356), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38288] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1251), 1,
      sym_expr,
    STATE(1269), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38396] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1350), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [38504] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1280), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38612] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1282), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38720] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1565), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38828] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1365), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38936] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2151), 1,
      anon_sym_local,
    ACTIONS(2155), 1,
      anon_sym_hook,
    ACTIONS(2157), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(838), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2153), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2159), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [39044] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2151), 1,
      anon_sym_local,
    ACTIONS(2155), 1,
      anon_sym_hook,
    ACTIONS(2157), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(850), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2153), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2159), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [39152] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1435), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [39260] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_local,
    ACTIONS(2123), 1,
      anon_sym_hook,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR,
    ACTIONS(2127), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1374), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2121), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2131), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2129), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [39368] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1530), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39476] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1531), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39584] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1532), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39692] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1533), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39800] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1534), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39908] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1535), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40016] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1536), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40124] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1537), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40232] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1538), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40340] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1539), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40448] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1540), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40556] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1541), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40664] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1542), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40772] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1543), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40880] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1544), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40988] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(598), 1,
      anon_sym_local,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(606), 1,
      anon_sym_hook,
    ACTIONS(614), 1,
      anon_sym_DOLLAR,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(819), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(600), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(620), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(618), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41096] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1299), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [41204] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1298), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [41312] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1281), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41420] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2151), 1,
      anon_sym_local,
    ACTIONS(2155), 1,
      anon_sym_hook,
    ACTIONS(2157), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(852), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2153), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2159), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [41528] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2151), 1,
      anon_sym_local,
    ACTIONS(2155), 1,
      anon_sym_hook,
    ACTIONS(2157), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(842), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2153), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2159), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [41636] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2151), 1,
      anon_sym_local,
    ACTIONS(2155), 1,
      anon_sym_hook,
    ACTIONS(2157), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(843), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2153), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2159), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [41744] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2151), 1,
      anon_sym_local,
    ACTIONS(2155), 1,
      anon_sym_hook,
    ACTIONS(2157), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(844), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2153), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2159), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [41852] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2151), 1,
      anon_sym_local,
    ACTIONS(2155), 1,
      anon_sym_hook,
    ACTIONS(2157), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(845), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2153), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2159), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [41960] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2151), 1,
      anon_sym_local,
    ACTIONS(2155), 1,
      anon_sym_hook,
    ACTIONS(2157), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(846), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2153), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2159), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [42068] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1284), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [42176] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2151), 1,
      anon_sym_local,
    ACTIONS(2155), 1,
      anon_sym_hook,
    ACTIONS(2157), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(848), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2153), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2159), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [42284] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2151), 1,
      anon_sym_local,
    ACTIONS(2155), 1,
      anon_sym_hook,
    ACTIONS(2157), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(849), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2153), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2159), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [42392] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2151), 1,
      anon_sym_local,
    ACTIONS(2155), 1,
      anon_sym_hook,
    ACTIONS(2157), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(847), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2153), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2159), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [42500] = 31,
    ACTIONS(586), 1,
      anon_sym_LBRACE,
    ACTIONS(592), 1,
      anon_sym_record,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_LBRACK,
    ACTIONS(602), 1,
      anon_sym_vector,
    ACTIONS(604), 1,
      anon_sym_function,
    ACTIONS(616), 1,
      anon_sym_PIPE,
    ACTIONS(622), 1,
      anon_sym_copy,
    ACTIONS(624), 1,
      anon_sym_schedule,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(632), 1,
      sym_id,
    ACTIONS(634), 1,
      sym_pattern,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(642), 1,
      aux_sym_string_token1,
    ACTIONS(2151), 1,
      anon_sym_local,
    ACTIONS(2155), 1,
      anon_sym_hook,
    ACTIONS(2157), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(325), 1,
      sym_string_directive,
    STATE(341), 1,
      sym_constant,
    STATE(851), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(630), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(636), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2153), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2161), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2159), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [42608] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2163), 1,
      sym_id,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1287), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [42716] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1559), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [42824] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1454), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [42932] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_local,
    ACTIONS(2019), 1,
      anon_sym_hook,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1552), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2017), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2025), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2023), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [43040] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1395), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [43148] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1391), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [43256] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1562), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [43364] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1563), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [43472] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(67), 1,
      anon_sym_PIPE,
    ACTIONS(73), 1,
      anon_sym_copy,
    ACTIONS(75), 1,
      anon_sym_schedule,
    ACTIONS(77), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_id,
    ACTIONS(101), 1,
      sym_pattern,
    ACTIONS(105), 1,
      sym_port,
    ACTIONS(107), 1,
      sym_floatp,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_local,
    ACTIONS(117), 1,
      anon_sym_function,
    ACTIONS(119), 1,
      anon_sym_hook,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1931), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_string_directive,
    STATE(1236), 1,
      sym_integer,
    STATE(1269), 1,
      sym_constant,
    STATE(1514), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(57), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(71), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(103), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1254), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(69), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [43580] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1937), 18,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
      sym_pattern,
      sym_port,
      aux_sym_string_token1,
    ACTIONS(1942), 21,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_local,
      anon_sym_table,
      anon_sym_set,
      anon_sym_vector,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_copy,
      anon_sym_schedule,
      aux_sym_constant_token1,
      anon_sym_T,
      anon_sym_F,
      sym_id,
      sym_ipv6,
      sym_ipv4,
      sym_floatp,
      sym_hex,
      sym_hostname,
  [43633] = 25,
    ACTIONS(2165), 1,
      anon_sym_module,
    ACTIONS(2167), 1,
      anon_sym_export,
    ACTIONS(2169), 1,
      anon_sym_RBRACE,
    ACTIONS(2171), 1,
      anon_sym_global,
    ACTIONS(2173), 1,
      anon_sym_option,
    ACTIONS(2175), 1,
      anon_sym_const,
    ACTIONS(2177), 1,
      anon_sym_redef,
    ACTIONS(2179), 1,
      anon_sym_type,
    ACTIONS(2181), 1,
      anon_sym_event,
    ACTIONS(2183), 1,
      anon_sym_function,
    ACTIONS(2185), 1,
      anon_sym_hook,
    ACTIONS(2187), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2189), 1,
      anon_sym_ATload,
    ACTIONS(2193), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2195), 1,
      anon_sym_ATprefixes,
    ACTIONS(2197), 1,
      anon_sym_ATif,
    STATE(1807), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2191), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2199), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2201), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1223), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1813), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1778), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [43728] = 25,
    ACTIONS(141), 1,
      anon_sym_RBRACE,
    ACTIONS(2203), 1,
      anon_sym_module,
    ACTIONS(2206), 1,
      anon_sym_export,
    ACTIONS(2209), 1,
      anon_sym_global,
    ACTIONS(2212), 1,
      anon_sym_option,
    ACTIONS(2215), 1,
      anon_sym_const,
    ACTIONS(2218), 1,
      anon_sym_redef,
    ACTIONS(2221), 1,
      anon_sym_type,
    ACTIONS(2224), 1,
      anon_sym_event,
    ACTIONS(2227), 1,
      anon_sym_function,
    ACTIONS(2230), 1,
      anon_sym_hook,
    ACTIONS(2233), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2236), 1,
      anon_sym_ATload,
    ACTIONS(2242), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2245), 1,
      anon_sym_ATprefixes,
    ACTIONS(2248), 1,
      anon_sym_ATif,
    STATE(1807), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2239), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2251), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2254), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1223), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1813), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1778), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [43823] = 25,
    ACTIONS(2165), 1,
      anon_sym_module,
    ACTIONS(2167), 1,
      anon_sym_export,
    ACTIONS(2171), 1,
      anon_sym_global,
    ACTIONS(2173), 1,
      anon_sym_option,
    ACTIONS(2175), 1,
      anon_sym_const,
    ACTIONS(2177), 1,
      anon_sym_redef,
    ACTIONS(2179), 1,
      anon_sym_type,
    ACTIONS(2181), 1,
      anon_sym_event,
    ACTIONS(2183), 1,
      anon_sym_function,
    ACTIONS(2185), 1,
      anon_sym_hook,
    ACTIONS(2187), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2189), 1,
      anon_sym_ATload,
    ACTIONS(2193), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2195), 1,
      anon_sym_ATprefixes,
    ACTIONS(2197), 1,
      anon_sym_ATif,
    ACTIONS(2257), 1,
      anon_sym_RBRACE,
    STATE(1807), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2191), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2199), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2201), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1223), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1813), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1778), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [43918] = 25,
    ACTIONS(2165), 1,
      anon_sym_module,
    ACTIONS(2167), 1,
      anon_sym_export,
    ACTIONS(2171), 1,
      anon_sym_global,
    ACTIONS(2173), 1,
      anon_sym_option,
    ACTIONS(2175), 1,
      anon_sym_const,
    ACTIONS(2177), 1,
      anon_sym_redef,
    ACTIONS(2179), 1,
      anon_sym_type,
    ACTIONS(2181), 1,
      anon_sym_event,
    ACTIONS(2183), 1,
      anon_sym_function,
    ACTIONS(2185), 1,
      anon_sym_hook,
    ACTIONS(2187), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2189), 1,
      anon_sym_ATload,
    ACTIONS(2193), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2195), 1,
      anon_sym_ATprefixes,
    ACTIONS(2197), 1,
      anon_sym_ATif,
    ACTIONS(2259), 1,
      anon_sym_RBRACE,
    STATE(1807), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2191), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2199), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2201), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1224), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1813), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1778), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [44013] = 25,
    ACTIONS(2165), 1,
      anon_sym_module,
    ACTIONS(2167), 1,
      anon_sym_export,
    ACTIONS(2171), 1,
      anon_sym_global,
    ACTIONS(2173), 1,
      anon_sym_option,
    ACTIONS(2175), 1,
      anon_sym_const,
    ACTIONS(2177), 1,
      anon_sym_redef,
    ACTIONS(2179), 1,
      anon_sym_type,
    ACTIONS(2181), 1,
      anon_sym_event,
    ACTIONS(2183), 1,
      anon_sym_function,
    ACTIONS(2185), 1,
      anon_sym_hook,
    ACTIONS(2187), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2189), 1,
      anon_sym_ATload,
    ACTIONS(2193), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2195), 1,
      anon_sym_ATprefixes,
    ACTIONS(2197), 1,
      anon_sym_ATif,
    ACTIONS(2261), 1,
      anon_sym_RBRACE,
    STATE(1807), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2191), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2199), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2201), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1222), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1813), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1778), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [44108] = 5,
    ACTIONS(2263), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1560), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1558), 35,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [44162] = 5,
    ACTIONS(2265), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(482), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(480), 35,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [44216] = 5,
    ACTIONS(1754), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1476), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1472), 35,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [44270] = 5,
    ACTIONS(2267), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1486), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1482), 35,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [44324] = 9,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    STATE(1812), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2273), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1237), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2269), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
    ACTIONS(2271), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [44385] = 9,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    STATE(1810), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2277), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1237), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2275), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
    ACTIONS(2271), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [44446] = 9,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    STATE(1814), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2281), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1237), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2279), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
    ACTIONS(2271), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [44507] = 9,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    STATE(1811), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2285), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1237), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2283), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
    ACTIONS(2271), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [44568] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1428), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1426), 27,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      sym_time_unit,
  [44618] = 5,
    ACTIONS(2287), 1,
      sym_time_unit,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1416), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1414), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44670] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1791), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1239), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1789), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
    ACTIONS(2271), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [44728] = 5,
    ACTIONS(2287), 1,
      sym_time_unit,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1416), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1414), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44780] = 8,
    ACTIONS(2289), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1778), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1239), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1783), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1776), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
    ACTIONS(2292), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [44838] = 6,
    ACTIONS(1754), 1,
      anon_sym_COLON,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1476), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1472), 32,
      anon_sym_LBRACE,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [44892] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44941] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(482), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(480), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44990] = 5,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1574), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1570), 25,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45041] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(544), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(542), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45090] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1592), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1590), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45139] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1612), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1610), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45188] = 5,
    ACTIONS(2299), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(482), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(480), 25,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45239] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1632), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1630), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45288] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45337] = 5,
    ACTIONS(2301), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1476), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1472), 25,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45388] = 8,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 21,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45445] = 5,
    ACTIONS(2309), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1486), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1482), 25,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45496] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45545] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1416), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1414), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45594] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1480), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1478), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45643] = 8,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(139), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(133), 21,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45700] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1604), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1602), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45749] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1600), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1598), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45798] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1612), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1610), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45847] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1612), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1610), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45896] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(139), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(133), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45945] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(504), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(502), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45994] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(323), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(321), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46043] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(524), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(522), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46092] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(299), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(297), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46141] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1604), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1602), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46190] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1604), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1602), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46239] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(139), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(133), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46288] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1574), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1570), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46337] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1416), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1414), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46386] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(514), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(512), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46435] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(494), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(492), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46484] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1596), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1594), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46533] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46582] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(534), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(532), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46631] = 13,
    ACTIONS(1612), 1,
      anon_sym_EQ,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1610), 13,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46697] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2147), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
      sym_pattern,
      sym_port,
      aux_sym_string_token1,
    ACTIONS(2149), 20,
      anon_sym_record,
      anon_sym_local,
      anon_sym_table,
      anon_sym_set,
      anon_sym_vector,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_copy,
      anon_sym_schedule,
      aux_sym_constant_token1,
      anon_sym_T,
      anon_sym_F,
      sym_id,
      sym_ipv6,
      sym_ipv4,
      sym_floatp,
      sym_hex,
      sym_hostname,
  [46745] = 19,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2321), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [46823] = 9,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 17,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46881] = 13,
    ACTIONS(113), 1,
      anon_sym_EQ,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(111), 13,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46947] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1602), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47023] = 14,
    ACTIONS(113), 1,
      anon_sym_EQ,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(111), 11,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47091] = 9,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1602), 17,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47149] = 16,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1602), 7,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOLLAR,
  [47221] = 16,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(111), 7,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOLLAR,
  [47293] = 19,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2027), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47371] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(133), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47447] = 8,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 18,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47501] = 20,
    ACTIONS(652), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2337), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_index_slice,
    STATE(2659), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47579] = 20,
    ACTIONS(781), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2337), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_index_slice,
    STATE(2253), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47657] = 20,
    ACTIONS(821), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2337), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_index_slice,
    STATE(2510), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47735] = 20,
    ACTIONS(841), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2337), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_index_slice,
    STATE(2764), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47813] = 20,
    ACTIONS(2027), 1,
      anon_sym_RBRACK,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2339), 1,
      anon_sym_COLON,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47891] = 20,
    ACTIONS(773), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2337), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_index_slice,
    STATE(2465), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47969] = 20,
    ACTIONS(813), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2337), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_index_slice,
    STATE(2596), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48047] = 20,
    ACTIONS(833), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2337), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_index_slice,
    STATE(2176), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48125] = 20,
    ACTIONS(2027), 1,
      anon_sym_RBRACE,
    ACTIONS(2071), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48203] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(133), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48277] = 8,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(139), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(133), 18,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [48331] = 16,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(111), 5,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48401] = 20,
    ACTIONS(666), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2337), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_index_slice,
    STATE(2334), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48479] = 9,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 15,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [48535] = 5,
    ACTIONS(2359), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(482), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(480), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [48583] = 20,
    ACTIONS(658), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2337), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_index_slice,
    STATE(2627), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48661] = 20,
    ACTIONS(2027), 1,
      anon_sym_RBRACK,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    ACTIONS(2361), 1,
      anon_sym_COLON,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48739] = 13,
    ACTIONS(113), 1,
      anon_sym_EQ,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(111), 11,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [48803] = 14,
    ACTIONS(113), 1,
      anon_sym_EQ,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(111), 9,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [48869] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1602), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48943] = 20,
    ACTIONS(765), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2337), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_index_slice,
    STATE(2443), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49021] = 16,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1602), 5,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49091] = 9,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1602), 15,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [49147] = 13,
    ACTIONS(1612), 1,
      anon_sym_EQ,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1610), 11,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [49211] = 20,
    ACTIONS(789), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2337), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_index_slice,
    STATE(2544), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49289] = 20,
    ACTIONS(805), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2337), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_index_slice,
    STATE(2704), 1,
      sym_assert_msg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49367] = 20,
    ACTIONS(2027), 1,
      anon_sym_RBRACK,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49445] = 19,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2321), 1,
      anon_sym_COLON,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49520] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1476), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1472), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [49565] = 19,
    ACTIONS(2027), 1,
      anon_sym_COLON,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49640] = 6,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2365), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1574), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1570), 20,
      anon_sym_PLUS_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [49689] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1486), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1482), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [49734] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2367), 1,
      anon_sym_LBRACE,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49806] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2387), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49878] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49950] = 16,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(111), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50018] = 9,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(113), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(111), 13,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [50072] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2391), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50144] = 13,
    ACTIONS(113), 1,
      anon_sym_EQ,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(111), 9,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_DASH_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [50206] = 14,
    ACTIONS(113), 1,
      anon_sym_EQ,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(111), 7,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_DASH_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [50270] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2393), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50342] = 18,
    ACTIONS(1602), 1,
      anon_sym_LBRACE,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50414] = 16,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1602), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50482] = 9,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1602), 13,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [50536] = 18,
    ACTIONS(2109), 1,
      anon_sym_RBRACK,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50608] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2395), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50680] = 13,
    ACTIONS(1612), 1,
      anon_sym_EQ,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1610), 9,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_DASH_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [50742] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2397), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50814] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2399), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50886] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2401), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50958] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51030] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2405), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51102] = 18,
    ACTIONS(1821), 1,
      anon_sym_RPAREN,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51174] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    ACTIONS(2407), 1,
      anon_sym_COLON,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51246] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2409), 1,
      anon_sym_SEMI,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51318] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2411), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51390] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2413), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51462] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2415), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51534] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2417), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51606] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2419), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51678] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2421), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51750] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    ACTIONS(2423), 1,
      anon_sym_COLON,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51822] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2425), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51894] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2427), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51966] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52038] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2431), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52110] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2433), 1,
      anon_sym_RBRACK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52182] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2435), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52254] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2437), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52326] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2439), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52398] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2441), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52470] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52542] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2445), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52614] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2447), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52686] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2449), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52758] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2451), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52830] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2453), 1,
      anon_sym_SEMI,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52902] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52974] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2457), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53046] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2459), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53118] = 18,
    ACTIONS(2115), 1,
      anon_sym_RBRACK,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53190] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2461), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53262] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2463), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53334] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2465), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53406] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2467), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53478] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2469), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53550] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2471), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53622] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2473), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53694] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53766] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2477), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53838] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2479), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53910] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2481), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53982] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54054] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54126] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2487), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54198] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2489), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54270] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2491), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54342] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2493), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54414] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2495), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54486] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2497), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54558] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2499), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54630] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54702] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2503), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54774] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2505), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54846] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54918] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2507), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54990] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2509), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55062] = 18,
    ACTIONS(2079), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55134] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55206] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2513), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55278] = 18,
    ACTIONS(652), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55350] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2515), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55422] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2517), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55494] = 18,
    ACTIONS(2113), 1,
      anon_sym_RBRACK,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55566] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2519), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55638] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55710] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2523), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55782] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2525), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55854] = 18,
    ACTIONS(1863), 1,
      anon_sym_RPAREN,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55926] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55998] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2529), 1,
      anon_sym_SEMI,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56070] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56142] = 18,
    ACTIONS(2075), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56214] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2533), 1,
      anon_sym_RBRACK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56286] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2535), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56358] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2537), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56430] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2539), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56502] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2541), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56574] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2543), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56646] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2545), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56718] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2547), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56790] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2549), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56862] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2551), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56934] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2553), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57006] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2555), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57078] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2557), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57150] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2559), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57222] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2561), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57294] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2563), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57366] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57438] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57510] = 18,
    ACTIONS(2095), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57582] = 18,
    ACTIONS(773), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57654] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2569), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57726] = 18,
    ACTIONS(2087), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57798] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2571), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57870] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57942] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2575), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58014] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2577), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58086] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2579), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58158] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2581), 1,
      anon_sym_SEMI,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58230] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2583), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58302] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2585), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58374] = 18,
    ACTIONS(841), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58446] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2587), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58518] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2589), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58590] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2591), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58662] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2593), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58734] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2595), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58806] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2597), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58878] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2599), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58950] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2601), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59022] = 18,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59094] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2603), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59166] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2605), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59238] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2607), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59310] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2609), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59382] = 18,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59454] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_COLON,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59526] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SEMI,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59598] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2615), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59670] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2617), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59742] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2619), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59814] = 18,
    ACTIONS(2099), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59886] = 18,
    ACTIONS(805), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59958] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2621), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60030] = 18,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60102] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2623), 1,
      anon_sym_SEMI,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60174] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2625), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60246] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2627), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60318] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2629), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60390] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2631), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60462] = 18,
    ACTIONS(2071), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60534] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_COLON,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60606] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2635), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60678] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2637), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60750] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2639), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60822] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2641), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60894] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2643), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60966] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2645), 1,
      anon_sym_RBRACK,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61038] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2647), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61110] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2649), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61182] = 18,
    ACTIONS(1662), 1,
      anon_sym_RPAREN,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61254] = 18,
    ACTIONS(2083), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61326] = 18,
    ACTIONS(833), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61398] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2651), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61470] = 18,
    ACTIONS(1762), 1,
      anon_sym_RPAREN,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61542] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2653), 1,
      anon_sym_SEMI,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61614] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2655), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61686] = 18,
    ACTIONS(1644), 1,
      anon_sym_RPAREN,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61758] = 18,
    ACTIONS(658), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61830] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2657), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61902] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2659), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61974] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2661), 1,
      anon_sym_SEMI,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62046] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2663), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62118] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62190] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2667), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62262] = 18,
    ACTIONS(2057), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62334] = 18,
    ACTIONS(781), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62406] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2669), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62478] = 18,
    ACTIONS(1770), 1,
      anon_sym_RPAREN,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62550] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_SEMI,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62622] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2673), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62694] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2675), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62766] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2677), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62838] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2679), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62910] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2681), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62982] = 18,
    ACTIONS(1716), 1,
      anon_sym_RPAREN,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63054] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2683), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63126] = 18,
    ACTIONS(2103), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63198] = 18,
    ACTIONS(666), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63270] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2685), 1,
      anon_sym_SEMI,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63342] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2687), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63414] = 18,
    ACTIONS(1774), 1,
      anon_sym_RPAREN,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63486] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2689), 1,
      anon_sym_SEMI,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63558] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2691), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63630] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2693), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63702] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2695), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63774] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2697), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63846] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2699), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63918] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2701), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63990] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64062] = 18,
    ACTIONS(1424), 1,
      anon_sym_RPAREN,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64134] = 18,
    ACTIONS(821), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64206] = 18,
    ACTIONS(813), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64278] = 18,
    ACTIONS(2067), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64350] = 18,
    ACTIONS(765), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64422] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2705), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64494] = 18,
    ACTIONS(1718), 1,
      anon_sym_RPAREN,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64566] = 18,
    ACTIONS(2091), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64638] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2707), 1,
      anon_sym_SEMI,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64710] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2709), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64782] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2711), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64854] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2713), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64926] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2715), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64998] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2717), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65070] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2719), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65142] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2721), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65214] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2723), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65286] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2725), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65358] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2727), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65430] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2729), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65502] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2731), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65574] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2733), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65646] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2735), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65718] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2737), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65790] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65862] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2741), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65934] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2743), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66006] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2745), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66078] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2747), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66150] = 18,
    ACTIONS(2063), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66222] = 18,
    ACTIONS(789), 1,
      anon_sym_SEMI,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66294] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    ACTIONS(2749), 1,
      anon_sym_COLON,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66366] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2373), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_BANG,
    ACTIONS(2381), 1,
      anon_sym_QMARK,
    ACTIONS(2751), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2369), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2385), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2371), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2375), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66438] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2753), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66510] = 18,
    ACTIONS(1734), 1,
      anon_sym_RPAREN,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66582] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2755), 1,
      anon_sym_SEMI,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66654] = 6,
    ACTIONS(2757), 1,
      anon_sym_LPAREN,
    STATE(1234), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1574), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1570), 19,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [66702] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2759), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66774] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2345), 1,
      anon_sym_EQ,
    ACTIONS(2349), 1,
      anon_sym_BANG,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
    ACTIONS(2761), 1,
      anon_sym_COLON,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2335), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2341), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2351), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2343), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2347), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66846] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2763), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66918] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2765), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [66990] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2767), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67062] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2769), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67134] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2771), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67206] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2773), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67278] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67350] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2777), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67422] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2779), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67494] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2781), 1,
      anon_sym_PIPE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67565] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2783), 1,
      anon_sym_PIPE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67636] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2785), 1,
      anon_sym_PIPE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67707] = 18,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_LBRACK,
    ACTIONS(2307), 1,
      anon_sym_DOLLAR,
    ACTIONS(2315), 1,
      anon_sym_BANG,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2787), 1,
      anon_sym_PIPE,
    STATE(1268), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2305), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2323), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2329), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2331), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2317), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2311), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2313), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [67778] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1598), 1,
      aux_sym_type_repeat1,
    STATE(2041), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67842] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(2050), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67906] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(1971), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67970] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(1986), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68034] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1578), 1,
      aux_sym_type_repeat1,
    STATE(1947), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68098] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(2144), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68162] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1600), 1,
      aux_sym_type_repeat1,
    STATE(2120), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68226] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1594), 1,
      aux_sym_type_repeat1,
    STATE(2117), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68290] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1604), 1,
      aux_sym_type_repeat1,
    STATE(2121), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68354] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1583), 1,
      aux_sym_type_repeat1,
    STATE(2064), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68418] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(2065), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68482] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(1983), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68546] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1575), 1,
      aux_sym_type_repeat1,
    STATE(1968), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68610] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1596), 1,
      aux_sym_type_repeat1,
    STATE(1959), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68674] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    STATE(1913), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2811), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [68724] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1589), 1,
      aux_sym_type_repeat1,
    STATE(2046), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68788] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(2047), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68852] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1591), 1,
      aux_sym_type_repeat1,
    STATE(1994), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68916] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(1996), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68980] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1576), 1,
      aux_sym_type_repeat1,
    STATE(2145), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69044] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1601), 1,
      aux_sym_type_repeat1,
    STATE(1961), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69108] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(2123), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69172] = 15,
    ACTIONS(2813), 1,
      anon_sym_enum,
    ACTIONS(2816), 1,
      anon_sym_record,
    ACTIONS(2825), 1,
      anon_sym_table,
    ACTIONS(2828), 1,
      anon_sym_set,
    ACTIONS(2831), 1,
      anon_sym_union,
    ACTIONS(2837), 1,
      anon_sym_vector,
    ACTIONS(2840), 1,
      anon_sym_function,
    ACTIONS(2843), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(2522), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2819), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2834), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2822), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69236] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(1970), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69300] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1584), 1,
      aux_sym_type_repeat1,
    STATE(1980), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69364] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(2048), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69428] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1574), 1,
      aux_sym_type_repeat1,
    STATE(2009), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69492] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(1984), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69556] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(1972), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69620] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1603), 1,
      aux_sym_type_repeat1,
    STATE(1992), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69684] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(1993), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69748] = 15,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1595), 1,
      aux_sym_type_repeat1,
    STATE(1985), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69812] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2854), 1,
      anon_sym_table,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2862), 1,
      anon_sym_vector,
    ACTIONS(2864), 1,
      anon_sym_function,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    STATE(1704), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2860), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69873] = 14,
    ACTIONS(2868), 1,
      anon_sym_enum,
    ACTIONS(2870), 1,
      anon_sym_record,
    ACTIONS(2876), 1,
      anon_sym_table,
    ACTIONS(2878), 1,
      anon_sym_set,
    ACTIONS(2880), 1,
      anon_sym_union,
    ACTIONS(2884), 1,
      anon_sym_vector,
    ACTIONS(2886), 1,
      anon_sym_function,
    ACTIONS(2888), 1,
      anon_sym_opaque,
    STATE(294), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2872), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2882), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2874), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69934] = 14,
    ACTIONS(2868), 1,
      anon_sym_enum,
    ACTIONS(2870), 1,
      anon_sym_record,
    ACTIONS(2876), 1,
      anon_sym_table,
    ACTIONS(2878), 1,
      anon_sym_set,
    ACTIONS(2880), 1,
      anon_sym_union,
    ACTIONS(2884), 1,
      anon_sym_vector,
    ACTIONS(2886), 1,
      anon_sym_function,
    ACTIONS(2888), 1,
      anon_sym_opaque,
    STATE(305), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2872), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2882), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2874), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69995] = 14,
    ACTIONS(2868), 1,
      anon_sym_enum,
    ACTIONS(2870), 1,
      anon_sym_record,
    ACTIONS(2876), 1,
      anon_sym_table,
    ACTIONS(2878), 1,
      anon_sym_set,
    ACTIONS(2880), 1,
      anon_sym_union,
    ACTIONS(2884), 1,
      anon_sym_vector,
    ACTIONS(2886), 1,
      anon_sym_function,
    ACTIONS(2888), 1,
      anon_sym_opaque,
    STATE(308), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2872), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2882), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2874), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70056] = 14,
    ACTIONS(2868), 1,
      anon_sym_enum,
    ACTIONS(2870), 1,
      anon_sym_record,
    ACTIONS(2876), 1,
      anon_sym_table,
    ACTIONS(2878), 1,
      anon_sym_set,
    ACTIONS(2880), 1,
      anon_sym_union,
    ACTIONS(2884), 1,
      anon_sym_vector,
    ACTIONS(2886), 1,
      anon_sym_function,
    ACTIONS(2888), 1,
      anon_sym_opaque,
    STATE(355), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2872), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2882), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2874), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70117] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2854), 1,
      anon_sym_table,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2862), 1,
      anon_sym_vector,
    ACTIONS(2864), 1,
      anon_sym_function,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    STATE(1763), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2860), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70178] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2854), 1,
      anon_sym_table,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2862), 1,
      anon_sym_vector,
    ACTIONS(2864), 1,
      anon_sym_function,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    STATE(23), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2860), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70239] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2890), 1,
      anon_sym_table,
    ACTIONS(2894), 1,
      anon_sym_vector,
    ACTIONS(2896), 1,
      anon_sym_function,
    STATE(1263), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2892), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70300] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(149), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70361] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(150), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70422] = 7,
    ACTIONS(2289), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1615), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1776), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1783), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2906), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [70469] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(134), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70530] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2854), 1,
      anon_sym_table,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2862), 1,
      anon_sym_vector,
    ACTIONS(2864), 1,
      anon_sym_function,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    STATE(33), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2860), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70591] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2909), 1,
      anon_sym_table,
    ACTIONS(2913), 1,
      anon_sym_vector,
    ACTIONS(2915), 1,
      anon_sym_function,
    STATE(1275), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2911), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70652] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2890), 1,
      anon_sym_table,
    ACTIONS(2894), 1,
      anon_sym_vector,
    ACTIONS(2896), 1,
      anon_sym_function,
    STATE(1265), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2892), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70713] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1275), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70774] = 14,
    ACTIONS(2868), 1,
      anon_sym_enum,
    ACTIONS(2870), 1,
      anon_sym_record,
    ACTIONS(2878), 1,
      anon_sym_set,
    ACTIONS(2880), 1,
      anon_sym_union,
    ACTIONS(2888), 1,
      anon_sym_opaque,
    ACTIONS(2917), 1,
      anon_sym_table,
    ACTIONS(2921), 1,
      anon_sym_vector,
    ACTIONS(2923), 1,
      anon_sym_function,
    STATE(308), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2872), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2919), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2874), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70835] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2909), 1,
      anon_sym_table,
    ACTIONS(2913), 1,
      anon_sym_vector,
    ACTIONS(2915), 1,
      anon_sym_function,
    STATE(1263), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2911), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70896] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1244), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70957] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2925), 1,
      anon_sym_table,
    ACTIONS(2929), 1,
      anon_sym_vector,
    ACTIONS(2931), 1,
      anon_sym_function,
    STATE(1926), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2927), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71018] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(151), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71079] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(152), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71140] = 14,
    ACTIONS(2868), 1,
      anon_sym_enum,
    ACTIONS(2870), 1,
      anon_sym_record,
    ACTIONS(2878), 1,
      anon_sym_set,
    ACTIONS(2880), 1,
      anon_sym_union,
    ACTIONS(2888), 1,
      anon_sym_opaque,
    ACTIONS(2917), 1,
      anon_sym_table,
    ACTIONS(2921), 1,
      anon_sym_vector,
    ACTIONS(2923), 1,
      anon_sym_function,
    STATE(378), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2872), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2919), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2874), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71201] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(124), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71262] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(1262), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71323] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(143), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71384] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2933), 1,
      anon_sym_table,
    ACTIONS(2937), 1,
      anon_sym_vector,
    ACTIONS(2939), 1,
      anon_sym_function,
    STATE(62), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2935), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71445] = 7,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1615), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1789), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [71492] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(33), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71553] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(144), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71614] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2854), 1,
      anon_sym_table,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2862), 1,
      anon_sym_vector,
    ACTIONS(2864), 1,
      anon_sym_function,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    STATE(1587), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2860), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71675] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(139), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71736] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(137), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71797] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(50), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71858] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2933), 1,
      anon_sym_table,
    ACTIONS(2937), 1,
      anon_sym_vector,
    ACTIONS(2939), 1,
      anon_sym_function,
    STATE(33), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2935), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71919] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(140), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71980] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(153), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72041] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(154), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72102] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(62), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72163] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2933), 1,
      anon_sym_table,
    ACTIONS(2937), 1,
      anon_sym_vector,
    ACTIONS(2939), 1,
      anon_sym_function,
    STATE(23), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2935), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72224] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(125), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72285] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2925), 1,
      anon_sym_table,
    ACTIONS(2929), 1,
      anon_sym_vector,
    ACTIONS(2931), 1,
      anon_sym_function,
    STATE(1262), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2927), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72346] = 14,
    ACTIONS(2868), 1,
      anon_sym_enum,
    ACTIONS(2870), 1,
      anon_sym_record,
    ACTIONS(2878), 1,
      anon_sym_set,
    ACTIONS(2880), 1,
      anon_sym_union,
    ACTIONS(2888), 1,
      anon_sym_opaque,
    ACTIONS(2917), 1,
      anon_sym_table,
    ACTIONS(2921), 1,
      anon_sym_vector,
    ACTIONS(2923), 1,
      anon_sym_function,
    STATE(364), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2872), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2919), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2874), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72407] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(138), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72468] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2909), 1,
      anon_sym_table,
    ACTIONS(2913), 1,
      anon_sym_vector,
    ACTIONS(2915), 1,
      anon_sym_function,
    STATE(1244), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2911), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72529] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2933), 1,
      anon_sym_table,
    ACTIONS(2937), 1,
      anon_sym_vector,
    ACTIONS(2939), 1,
      anon_sym_function,
    STATE(66), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2935), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72590] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(23), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72651] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2909), 1,
      anon_sym_table,
    ACTIONS(2913), 1,
      anon_sym_vector,
    ACTIONS(2915), 1,
      anon_sym_function,
    STATE(1241), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2911), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72712] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(155), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72773] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(156), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72834] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(66), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72895] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(127), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72956] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2854), 1,
      anon_sym_table,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2862), 1,
      anon_sym_vector,
    ACTIONS(2864), 1,
      anon_sym_function,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    STATE(62), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2860), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73017] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2925), 1,
      anon_sym_table,
    ACTIONS(2929), 1,
      anon_sym_vector,
    ACTIONS(2931), 1,
      anon_sym_function,
    STATE(1932), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2927), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73078] = 14,
    ACTIONS(2868), 1,
      anon_sym_enum,
    ACTIONS(2870), 1,
      anon_sym_record,
    ACTIONS(2878), 1,
      anon_sym_set,
    ACTIONS(2880), 1,
      anon_sym_union,
    ACTIONS(2888), 1,
      anon_sym_opaque,
    ACTIONS(2917), 1,
      anon_sym_table,
    ACTIONS(2921), 1,
      anon_sym_vector,
    ACTIONS(2923), 1,
      anon_sym_function,
    STATE(294), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2872), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2919), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2874), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73139] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2854), 1,
      anon_sym_table,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2862), 1,
      anon_sym_vector,
    ACTIONS(2864), 1,
      anon_sym_function,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    STATE(66), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2860), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73200] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(145), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73261] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(146), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73322] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2890), 1,
      anon_sym_table,
    ACTIONS(2894), 1,
      anon_sym_vector,
    ACTIONS(2896), 1,
      anon_sym_function,
    STATE(1262), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2892), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73383] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(126), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73444] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2890), 1,
      anon_sym_table,
    ACTIONS(2894), 1,
      anon_sym_vector,
    ACTIONS(2896), 1,
      anon_sym_function,
    STATE(1275), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2892), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73505] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2890), 1,
      anon_sym_table,
    ACTIONS(2894), 1,
      anon_sym_vector,
    ACTIONS(2896), 1,
      anon_sym_function,
    STATE(1244), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2892), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73566] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2854), 1,
      anon_sym_table,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2862), 1,
      anon_sym_vector,
    ACTIONS(2864), 1,
      anon_sym_function,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    STATE(1724), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2860), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73627] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2925), 1,
      anon_sym_table,
    ACTIONS(2929), 1,
      anon_sym_vector,
    ACTIONS(2931), 1,
      anon_sym_function,
    STATE(1275), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2927), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73688] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2925), 1,
      anon_sym_table,
    ACTIONS(2929), 1,
      anon_sym_vector,
    ACTIONS(2931), 1,
      anon_sym_function,
    STATE(1241), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2927), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73749] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(129), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73810] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2925), 1,
      anon_sym_table,
    ACTIONS(2929), 1,
      anon_sym_vector,
    ACTIONS(2931), 1,
      anon_sym_function,
    STATE(1244), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2927), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73871] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2933), 1,
      anon_sym_table,
    ACTIONS(2937), 1,
      anon_sym_vector,
    ACTIONS(2939), 1,
      anon_sym_function,
    STATE(50), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2935), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73932] = 14,
    ACTIONS(2868), 1,
      anon_sym_enum,
    ACTIONS(2870), 1,
      anon_sym_record,
    ACTIONS(2878), 1,
      anon_sym_set,
    ACTIONS(2880), 1,
      anon_sym_union,
    ACTIONS(2888), 1,
      anon_sym_opaque,
    ACTIONS(2917), 1,
      anon_sym_table,
    ACTIONS(2921), 1,
      anon_sym_vector,
    ACTIONS(2923), 1,
      anon_sym_function,
    STATE(305), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2872), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2919), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2874), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [73993] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2909), 1,
      anon_sym_table,
    ACTIONS(2913), 1,
      anon_sym_vector,
    ACTIONS(2915), 1,
      anon_sym_function,
    STATE(1262), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2911), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74054] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(131), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74115] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(136), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74176] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2909), 1,
      anon_sym_table,
    ACTIONS(2913), 1,
      anon_sym_vector,
    ACTIONS(2915), 1,
      anon_sym_function,
    STATE(1265), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2911), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74237] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(147), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74298] = 14,
    ACTIONS(2868), 1,
      anon_sym_enum,
    ACTIONS(2870), 1,
      anon_sym_record,
    ACTIONS(2878), 1,
      anon_sym_set,
    ACTIONS(2880), 1,
      anon_sym_union,
    ACTIONS(2888), 1,
      anon_sym_opaque,
    ACTIONS(2917), 1,
      anon_sym_table,
    ACTIONS(2921), 1,
      anon_sym_vector,
    ACTIONS(2923), 1,
      anon_sym_function,
    STATE(355), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2872), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2919), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2874), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74359] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(148), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74420] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(135), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74481] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(33), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74542] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(130), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74603] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    ACTIONS(2890), 1,
      anon_sym_table,
    ACTIONS(2894), 1,
      anon_sym_vector,
    ACTIONS(2896), 1,
      anon_sym_function,
    STATE(2052), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2892), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74664] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(141), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74725] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(128), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74786] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2854), 1,
      anon_sym_table,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2862), 1,
      anon_sym_vector,
    ACTIONS(2864), 1,
      anon_sym_function,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    STATE(50), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2860), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74847] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(142), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74908] = 14,
    ACTIONS(2789), 1,
      anon_sym_enum,
    ACTIONS(2791), 1,
      anon_sym_record,
    ACTIONS(2797), 1,
      anon_sym_table,
    ACTIONS(2799), 1,
      anon_sym_set,
    ACTIONS(2801), 1,
      anon_sym_union,
    ACTIONS(2805), 1,
      anon_sym_vector,
    ACTIONS(2807), 1,
      anon_sym_function,
    ACTIONS(2809), 1,
      anon_sym_opaque,
    STATE(23), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2793), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2803), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2795), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [74969] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(133), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [75030] = 14,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2848), 1,
      anon_sym_record,
    ACTIONS(2856), 1,
      anon_sym_set,
    ACTIONS(2858), 1,
      anon_sym_union,
    ACTIONS(2866), 1,
      anon_sym_opaque,
    ACTIONS(2898), 1,
      anon_sym_table,
    ACTIONS(2902), 1,
      anon_sym_vector,
    ACTIONS(2904), 1,
      anon_sym_function,
    STATE(132), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2850), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2900), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2852), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [75091] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2409), 1,
      anon_sym_SEMI,
    STATE(2573), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75139] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2941), 1,
      anon_sym_SEMI,
    STATE(2439), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75187] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2581), 1,
      anon_sym_SEMI,
    STATE(2531), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75235] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2943), 1,
      anon_sym_SEMI,
    STATE(2178), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75283] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2945), 1,
      anon_sym_SEMI,
    STATE(2299), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75331] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2689), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75379] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2947), 1,
      anon_sym_SEMI,
    STATE(2540), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75427] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2949), 1,
      anon_sym_SEMI,
    STATE(2715), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75475] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2951), 1,
      anon_sym_SEMI,
    STATE(2356), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75523] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2953), 1,
      anon_sym_SEMI,
    STATE(2763), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75571] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2955), 1,
      anon_sym_SEMI,
    STATE(2368), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75619] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2957), 1,
      anon_sym_SEMI,
    STATE(2369), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75667] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2959), 1,
      anon_sym_SEMI,
    STATE(2501), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75715] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2961), 1,
      anon_sym_SEMI,
    STATE(2765), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75763] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2963), 1,
      anon_sym_SEMI,
    STATE(2607), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75811] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2685), 1,
      anon_sym_SEMI,
    STATE(2605), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75859] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2965), 1,
      anon_sym_SEMI,
    STATE(2203), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75907] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2967), 1,
      anon_sym_SEMI,
    STATE(2296), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75955] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2969), 1,
      anon_sym_SEMI,
    STATE(2204), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76003] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2971), 1,
      anon_sym_SEMI,
    STATE(2599), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76051] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2973), 1,
      anon_sym_SEMI,
    STATE(2611), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76099] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2975), 1,
      anon_sym_SEMI,
    STATE(2344), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76147] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2977), 1,
      anon_sym_SEMI,
    STATE(2799), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76195] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2979), 1,
      anon_sym_SEMI,
    STATE(2802), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76243] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2981), 1,
      anon_sym_SEMI,
    STATE(2615), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76291] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2983), 1,
      anon_sym_SEMI,
    STATE(2269), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76339] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2985), 1,
      anon_sym_SEMI,
    STATE(2616), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76387] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2987), 1,
      anon_sym_SEMI,
    STATE(2188), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76435] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2989), 1,
      anon_sym_SEMI,
    STATE(2757), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76483] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2991), 1,
      anon_sym_SEMI,
    STATE(2274), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76531] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2707), 1,
      anon_sym_SEMI,
    STATE(2471), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76579] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2993), 1,
      anon_sym_SEMI,
    STATE(2339), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76627] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2995), 1,
      anon_sym_SEMI,
    STATE(2606), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76675] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2997), 26,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_event,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_table,
      anon_sym_set,
      anon_sym_time,
      anon_sym_timer,
      anon_sym_union,
      anon_sym_list,
      anon_sym_vector,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_file,
      anon_sym_opaque,
      sym_id,
  [76713] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2999), 1,
      anon_sym_SEMI,
    STATE(2768), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76761] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3001), 1,
      anon_sym_SEMI,
    STATE(2545), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76809] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3003), 1,
      anon_sym_SEMI,
    STATE(2291), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76857] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3005), 1,
      anon_sym_SEMI,
    STATE(2559), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76905] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2613), 1,
      anon_sym_SEMI,
    STATE(2772), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76953] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3007), 1,
      anon_sym_SEMI,
    STATE(2556), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77001] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2671), 1,
      anon_sym_SEMI,
    STATE(2271), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77049] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3009), 1,
      anon_sym_SEMI,
    STATE(2774), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77097] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3011), 1,
      anon_sym_SEMI,
    STATE(2474), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77145] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3013), 1,
      anon_sym_SEMI,
    STATE(2773), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77193] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3015), 1,
      anon_sym_SEMI,
    STATE(2499), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77241] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3017), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77289] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2453), 1,
      anon_sym_SEMI,
    STATE(2825), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77337] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3019), 1,
      anon_sym_SEMI,
    STATE(2275), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77385] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3021), 1,
      anon_sym_SEMI,
    STATE(2821), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77433] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3023), 1,
      anon_sym_SEMI,
    STATE(2564), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77481] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3025), 1,
      anon_sym_SEMI,
    STATE(2154), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77529] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3027), 1,
      anon_sym_SEMI,
    STATE(2824), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77577] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3029), 1,
      anon_sym_SEMI,
    STATE(2554), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77625] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3031), 1,
      anon_sym_SEMI,
    STATE(2827), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77673] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2623), 1,
      anon_sym_SEMI,
    STATE(2751), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77721] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2755), 1,
      anon_sym_SEMI,
    STATE(2553), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77769] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3033), 1,
      anon_sym_SEMI,
    STATE(2281), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77817] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2529), 1,
      anon_sym_SEMI,
    STATE(2165), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77865] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3035), 1,
      anon_sym_SEMI,
    STATE(2555), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77913] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3037), 1,
      anon_sym_SEMI,
    STATE(2282), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [77961] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3039), 1,
      anon_sym_SEMI,
    STATE(2305), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78009] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3041), 1,
      anon_sym_SEMI,
    STATE(2164), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78057] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3043), 1,
      anon_sym_SEMI,
    STATE(2561), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78105] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3045), 1,
      anon_sym_SEMI,
    STATE(2562), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78153] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3047), 1,
      anon_sym_SEMI,
    STATE(2758), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78201] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2653), 1,
      anon_sym_SEMI,
    STATE(2187), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78249] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3049), 1,
      anon_sym_SEMI,
    STATE(2600), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78297] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3051), 1,
      anon_sym_SEMI,
    STATE(2832), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78345] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3053), 1,
      anon_sym_SEMI,
    STATE(2229), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78393] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3055), 1,
      anon_sym_SEMI,
    STATE(2726), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78441] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3057), 1,
      anon_sym_SEMI,
    STATE(2205), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78489] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3059), 1,
      anon_sym_SEMI,
    STATE(2617), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78537] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3061), 1,
      anon_sym_SEMI,
    STATE(2170), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78585] = 8,
    ACTIONS(608), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3063), 1,
      anon_sym_SEMI,
    STATE(2190), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(610), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(612), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [78633] = 5,
    ACTIONS(2579), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1422), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1420), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [78672] = 5,
    ACTIONS(3065), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1432), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1430), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [78711] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1524), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1522), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [78747] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1640), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1638), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [78783] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1628), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1626), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [78819] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1446), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1444), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [78855] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1466), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1464), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [78891] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1494), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1492), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [78927] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1500), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1498), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [78963] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1512), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1510), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [78999] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1636), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1634), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79035] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1516), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1514), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79071] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1438), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1436), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79107] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1520), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1518), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79143] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1504), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1502), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79179] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1578), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1576), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79215] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1624), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1622), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79251] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1528), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1526), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79287] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1442), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1440), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79323] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1568), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1566), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79359] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1536), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1534), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79395] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1508), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1506), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79431] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1540), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1538), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79467] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1490), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1488), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79503] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1462), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1460), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79539] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1432), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1430), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79575] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1532), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1530), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79611] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1544), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1542), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79647] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1458), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1456), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79683] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1422), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1420), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79719] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1548), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1546), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79755] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1454), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1452), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79791] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1608), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1606), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79827] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1620), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1618), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79863] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1582), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1580), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79899] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1556), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1554), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79935] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1616), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1614), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [79971] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1552), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1550), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [80007] = 14,
    ACTIONS(626), 1,
      aux_sym_constant_token1,
    ACTIONS(638), 1,
      sym_port,
    ACTIONS(640), 1,
      sym_floatp,
    ACTIONS(3069), 1,
      sym_ipv6,
    ACTIONS(3071), 1,
      sym_ipv4,
    ACTIONS(3073), 1,
      aux_sym_string_token1,
    STATE(4), 1,
      sym_string_directive,
    STATE(291), 1,
      sym_integer,
    STATE(1898), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3067), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    STATE(338), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(628), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [80058] = 13,
    ACTIONS(83), 1,
      anon_sym_ATload,
    ACTIONS(87), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(89), 1,
      anon_sym_ATprefixes,
    ACTIONS(91), 1,
      anon_sym_ATif,
    ACTIONS(3075), 1,
      anon_sym_LBRACE,
    ACTIONS(3077), 1,
      anon_sym_ATdeprecated,
    STATE(371), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(85), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(93), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(95), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1808), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80105] = 13,
    ACTIONS(83), 1,
      anon_sym_ATload,
    ACTIONS(87), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(89), 1,
      anon_sym_ATprefixes,
    ACTIONS(91), 1,
      anon_sym_ATif,
    ACTIONS(3077), 1,
      anon_sym_ATdeprecated,
    ACTIONS(3079), 1,
      anon_sym_LBRACE,
    STATE(1802), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(85), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(93), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(95), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1809), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80152] = 13,
    ACTIONS(83), 1,
      anon_sym_ATload,
    ACTIONS(87), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(89), 1,
      anon_sym_ATprefixes,
    ACTIONS(91), 1,
      anon_sym_ATif,
    ACTIONS(3077), 1,
      anon_sym_ATdeprecated,
    ACTIONS(3079), 1,
      anon_sym_LBRACE,
    STATE(1799), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(85), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(93), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(95), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1806), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80199] = 13,
    ACTIONS(83), 1,
      anon_sym_ATload,
    ACTIONS(87), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(89), 1,
      anon_sym_ATprefixes,
    ACTIONS(91), 1,
      anon_sym_ATif,
    ACTIONS(3075), 1,
      anon_sym_LBRACE,
    ACTIONS(3077), 1,
      anon_sym_ATdeprecated,
    STATE(369), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(85), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(93), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(95), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1809), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80246] = 12,
    ACTIONS(3081), 1,
      anon_sym_LBRACE,
    ACTIONS(3083), 1,
      anon_sym_ATdeprecated,
    ACTIONS(3086), 1,
      anon_sym_ATload,
    ACTIONS(3092), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(3095), 1,
      anon_sym_ATprefixes,
    ACTIONS(3098), 1,
      anon_sym_ATif,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3089), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(3101), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(3104), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1809), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80290] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3109), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3107), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [80316] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3113), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3111), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [80342] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3117), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3115), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [80368] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3121), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3119), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [80394] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2277), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2275), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [80420] = 7,
    ACTIONS(3123), 1,
      anon_sym_LPAREN,
    ACTIONS(3127), 1,
      aux_sym_string_token1,
    STATE(529), 1,
      sym_string,
    STATE(535), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3125), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80446] = 7,
    ACTIONS(3129), 1,
      anon_sym_LPAREN,
    ACTIONS(3133), 1,
      aux_sym_string_token1,
    STATE(525), 1,
      sym_string,
    STATE(528), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3131), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80472] = 7,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(3135), 1,
      anon_sym_LPAREN,
    STATE(824), 1,
      sym_string_directive,
    STATE(1767), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80498] = 7,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3141), 1,
      aux_sym_string_token1,
    STATE(431), 1,
      sym_string,
    STATE(494), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3139), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80524] = 7,
    ACTIONS(3143), 1,
      anon_sym_LPAREN,
    ACTIONS(3147), 1,
      aux_sym_string_token1,
    STATE(427), 1,
      sym_string,
    STATE(470), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3145), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80550] = 7,
    ACTIONS(3073), 1,
      aux_sym_string_token1,
    ACTIONS(3149), 1,
      anon_sym_LPAREN,
    STATE(4), 1,
      sym_string_directive,
    STATE(293), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3067), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80576] = 7,
    ACTIONS(3151), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      aux_sym_string_token1,
    STATE(388), 1,
      sym_string,
    STATE(402), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3153), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80602] = 8,
    ACTIONS(3157), 1,
      anon_sym_LPAREN,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3161), 1,
      anon_sym_EQ,
    STATE(1991), 1,
      sym_func_params,
    STATE(2107), 1,
      sym_capture_list,
    STATE(2408), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80630] = 8,
    ACTIONS(3157), 1,
      anon_sym_LPAREN,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3163), 1,
      anon_sym_EQ,
    STATE(1991), 1,
      sym_func_params,
    STATE(2107), 1,
      sym_capture_list,
    STATE(2408), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80658] = 7,
    ACTIONS(3165), 1,
      anon_sym_LPAREN,
    ACTIONS(3169), 1,
      aux_sym_string_token1,
    STATE(564), 1,
      sym_string,
    STATE(595), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3167), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80684] = 8,
    ACTIONS(3157), 1,
      anon_sym_LPAREN,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3171), 1,
      anon_sym_EQ,
    STATE(1991), 1,
      sym_func_params,
    STATE(2107), 1,
      sym_capture_list,
    STATE(2408), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80712] = 8,
    ACTIONS(3157), 1,
      anon_sym_LPAREN,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3173), 1,
      anon_sym_EQ,
    STATE(1991), 1,
      sym_func_params,
    STATE(2107), 1,
      sym_capture_list,
    STATE(2385), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80740] = 7,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    ACTIONS(3179), 1,
      aux_sym_string_token1,
    STATE(538), 1,
      sym_string,
    STATE(613), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3177), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80766] = 8,
    ACTIONS(3157), 1,
      anon_sym_LPAREN,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3181), 1,
      anon_sym_EQ,
    STATE(1991), 1,
      sym_func_params,
    STATE(2107), 1,
      sym_capture_list,
    STATE(2385), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80794] = 7,
    ACTIONS(3183), 1,
      anon_sym_LPAREN,
    ACTIONS(3187), 1,
      aux_sym_string_token1,
    STATE(479), 1,
      sym_string_directive,
    STATE(481), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3185), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80820] = 7,
    ACTIONS(3189), 1,
      anon_sym_LPAREN,
    ACTIONS(3193), 1,
      aux_sym_string_token1,
    STATE(387), 1,
      sym_string,
    STATE(393), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3191), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80846] = 7,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    ACTIONS(3195), 1,
      anon_sym_LPAREN,
    STATE(293), 1,
      sym_string,
    STATE(824), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80872] = 7,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    ACTIONS(3201), 1,
      aux_sym_string_token1,
    STATE(381), 1,
      sym_string,
    STATE(384), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3199), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80898] = 7,
    ACTIONS(3203), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      aux_sym_string_token1,
    STATE(677), 1,
      sym_string,
    STATE(751), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3205), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80924] = 7,
    ACTIONS(3209), 1,
      anon_sym_LPAREN,
    ACTIONS(3213), 1,
      aux_sym_string_token1,
    STATE(616), 1,
      sym_string,
    STATE(691), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3211), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80950] = 8,
    ACTIONS(3157), 1,
      anon_sym_LPAREN,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3215), 1,
      anon_sym_EQ,
    STATE(1991), 1,
      sym_func_params,
    STATE(2107), 1,
      sym_capture_list,
    STATE(2385), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80978] = 8,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3217), 1,
      anon_sym_LPAREN,
    ACTIONS(3219), 1,
      sym_id,
    STATE(1991), 1,
      sym_func_params,
    STATE(1997), 1,
      sym_begin_lambda,
    STATE(2011), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81006] = 7,
    ACTIONS(2685), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_default,
    STATE(1902), 1,
      aux_sym_case_list_repeat1,
    STATE(2603), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81031] = 6,
    ACTIONS(3201), 1,
      aux_sym_string_token1,
    STATE(382), 1,
      sym_string,
    STATE(384), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3199), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81054] = 6,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    STATE(824), 1,
      sym_string_directive,
    STATE(1766), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81077] = 7,
    ACTIONS(3225), 1,
      anon_sym_RPAREN,
    ACTIONS(3227), 1,
      sym_id,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2390), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81102] = 4,
    ACTIONS(3229), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1482), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [81121] = 7,
    ACTIONS(3227), 1,
      sym_id,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2689), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81146] = 4,
    ACTIONS(3233), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(480), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [81165] = 6,
    ACTIONS(3207), 1,
      aux_sym_string_token1,
    STATE(733), 1,
      sym_string,
    STATE(751), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3205), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81188] = 7,
    ACTIONS(2529), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_default,
    STATE(1902), 1,
      aux_sym_case_list_repeat1,
    STATE(2808), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81213] = 7,
    ACTIONS(3227), 1,
      sym_id,
    ACTIONS(3235), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2793), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81238] = 6,
    ACTIONS(109), 1,
      aux_sym_string_token1,
    STATE(290), 1,
      sym_string,
    STATE(824), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(97), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81261] = 7,
    ACTIONS(3227), 1,
      sym_id,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2255), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81286] = 4,
    ACTIONS(3239), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1472), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [81305] = 7,
    ACTIONS(3227), 1,
      sym_id,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2243), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81330] = 7,
    ACTIONS(3227), 1,
      sym_id,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2468), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81355] = 6,
    ACTIONS(3133), 1,
      aux_sym_string_token1,
    STATE(526), 1,
      sym_string,
    STATE(528), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3131), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81378] = 7,
    ACTIONS(2581), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_default,
    STATE(1902), 1,
      aux_sym_case_list_repeat1,
    STATE(2527), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81403] = 7,
    ACTIONS(3227), 1,
      sym_id,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2710), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81428] = 6,
    ACTIONS(3127), 1,
      aux_sym_string_token1,
    STATE(530), 1,
      sym_string,
    STATE(535), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3125), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81451] = 7,
    ACTIONS(2623), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_default,
    STATE(1902), 1,
      aux_sym_case_list_repeat1,
    STATE(2740), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81476] = 6,
    ACTIONS(3249), 1,
      anon_sym_EQ,
    ACTIONS(3251), 1,
      anon_sym_AMPdeprecated,
    STATE(1974), 1,
      sym_deprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3247), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81499] = 7,
    ACTIONS(3227), 1,
      sym_id,
    ACTIONS(3253), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2177), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81524] = 6,
    ACTIONS(3179), 1,
      aux_sym_string_token1,
    STATE(540), 1,
      sym_string,
    STATE(613), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3177), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81547] = 7,
    ACTIONS(2653), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_default,
    STATE(1902), 1,
      aux_sym_case_list_repeat1,
    STATE(2185), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81572] = 7,
    ACTIONS(3227), 1,
      sym_id,
    ACTIONS(3255), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2241), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81597] = 6,
    ACTIONS(3073), 1,
      aux_sym_string_token1,
    STATE(4), 1,
      sym_string_directive,
    STATE(300), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3067), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81620] = 6,
    ACTIONS(3169), 1,
      aux_sym_string_token1,
    STATE(566), 1,
      sym_string,
    STATE(595), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3167), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81643] = 7,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_default,
    STATE(1902), 1,
      aux_sym_case_list_repeat1,
    STATE(2265), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81668] = 7,
    ACTIONS(3227), 1,
      sym_id,
    ACTIONS(3257), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2261), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81693] = 6,
    ACTIONS(3147), 1,
      aux_sym_string_token1,
    STATE(444), 1,
      sym_string,
    STATE(470), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3145), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81716] = 7,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_default,
    STATE(1902), 1,
      aux_sym_case_list_repeat1,
    STATE(2348), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81741] = 7,
    ACTIONS(3227), 1,
      sym_id,
    ACTIONS(3259), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2520), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81766] = 6,
    ACTIONS(3213), 1,
      aux_sym_string_token1,
    STATE(681), 1,
      sym_string,
    STATE(691), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3211), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81789] = 6,
    ACTIONS(3187), 1,
      aux_sym_string_token1,
    STATE(479), 1,
      sym_string_directive,
    STATE(495), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3185), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81812] = 7,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_default,
    STATE(1902), 1,
      aux_sym_case_list_repeat1,
    STATE(2464), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81837] = 7,
    ACTIONS(2409), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_default,
    STATE(1902), 1,
      aux_sym_case_list_repeat1,
    STATE(2567), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81862] = 7,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3217), 1,
      anon_sym_LPAREN,
    STATE(1991), 1,
      sym_func_params,
    STATE(1997), 1,
      sym_begin_lambda,
    STATE(2011), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81887] = 6,
    ACTIONS(3141), 1,
      aux_sym_string_token1,
    STATE(438), 1,
      sym_string,
    STATE(494), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3139), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81910] = 7,
    ACTIONS(2755), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_default,
    STATE(1902), 1,
      aux_sym_case_list_repeat1,
    STATE(2551), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81935] = 6,
    ACTIONS(3155), 1,
      aux_sym_string_token1,
    STATE(385), 1,
      sym_string,
    STATE(402), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3153), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81958] = 7,
    ACTIONS(3227), 1,
      sym_id,
    ACTIONS(3261), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_formal_arg,
    STATE(1940), 1,
      aux_sym_formal_args_repeat1,
    STATE(2742), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81983] = 6,
    ACTIONS(3193), 1,
      aux_sym_string_token1,
    STATE(390), 1,
      sym_string,
    STATE(393), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3191), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82006] = 6,
    ACTIONS(3073), 1,
      aux_sym_string_token1,
    STATE(4), 1,
      sym_string_directive,
    STATE(290), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3067), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82029] = 7,
    ACTIONS(2613), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_default,
    STATE(1902), 1,
      aux_sym_case_list_repeat1,
    STATE(2770), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82054] = 7,
    ACTIONS(2453), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_default,
    STATE(1902), 1,
      aux_sym_case_list_repeat1,
    STATE(2566), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82079] = 7,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3217), 1,
      anon_sym_LPAREN,
    STATE(1991), 1,
      sym_func_params,
    STATE(2010), 1,
      sym_begin_lambda,
    STATE(2011), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82104] = 5,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    ACTIONS(3265), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1892), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82124] = 6,
    ACTIONS(3267), 1,
      anon_sym_copy,
    ACTIONS(3269), 1,
      sym_id,
    STATE(1889), 1,
      aux_sym_capture_list_repeat1,
    STATE(1953), 1,
      sym_capture,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82146] = 5,
    ACTIONS(3265), 1,
      sym_id,
    ACTIONS(3271), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1892), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82166] = 6,
    ACTIONS(3267), 1,
      anon_sym_copy,
    ACTIONS(3269), 1,
      sym_id,
    STATE(1884), 1,
      aux_sym_capture_list_repeat1,
    STATE(2060), 1,
      sym_capture,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82188] = 5,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    ACTIONS(3265), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1893), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82208] = 6,
    ACTIONS(3273), 1,
      anon_sym_enum,
    ACTIONS(3275), 1,
      anon_sym_record,
    ACTIONS(3277), 1,
      anon_sym_event,
    ACTIONS(3279), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82230] = 6,
    ACTIONS(3281), 1,
      anon_sym_copy,
    ACTIONS(3284), 1,
      sym_id,
    STATE(1889), 1,
      aux_sym_capture_list_repeat1,
    STATE(2684), 1,
      sym_capture,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82252] = 6,
    ACTIONS(3287), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      sym_id,
    STATE(1890), 1,
      aux_sym_enum_body_repeat1,
    STATE(2506), 1,
      sym_enum_body_elem,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82274] = 6,
    ACTIONS(3292), 1,
      sym_id,
    STATE(1909), 1,
      aux_sym_enum_body_repeat1,
    STATE(2099), 1,
      sym_enum_body_elem,
    STATE(2760), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82296] = 5,
    ACTIONS(3294), 1,
      anon_sym_RBRACE,
    ACTIONS(3296), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1892), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82316] = 5,
    ACTIONS(3265), 1,
      sym_id,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1892), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82336] = 6,
    ACTIONS(3292), 1,
      sym_id,
    STATE(1909), 1,
      aux_sym_enum_body_repeat1,
    STATE(2099), 1,
      sym_enum_body_elem,
    STATE(2239), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82358] = 4,
    ACTIONS(3301), 1,
      anon_sym_SLASH,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1414), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
  [82376] = 6,
    ACTIONS(3292), 1,
      sym_id,
    STATE(1909), 1,
      aux_sym_enum_body_repeat1,
    STATE(2099), 1,
      sym_enum_body_elem,
    STATE(2181), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82398] = 5,
    ACTIONS(3265), 1,
      sym_id,
    ACTIONS(3303), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1885), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82418] = 5,
    ACTIONS(3251), 1,
      anon_sym_AMPdeprecated,
    STATE(2061), 1,
      sym_deprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3305), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82438] = 6,
    ACTIONS(3292), 1,
      sym_id,
    STATE(1909), 1,
      aux_sym_enum_body_repeat1,
    STATE(2099), 1,
      sym_enum_body_elem,
    STATE(2747), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82460] = 6,
    ACTIONS(3277), 1,
      anon_sym_event,
    ACTIONS(3307), 1,
      anon_sym_enum,
    ACTIONS(3309), 1,
      anon_sym_record,
    ACTIONS(3311), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82482] = 5,
    ACTIONS(3235), 1,
      anon_sym_RBRACE,
    ACTIONS(3265), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1883), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82502] = 6,
    ACTIONS(3221), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_default,
    ACTIONS(3313), 1,
      anon_sym_RBRACE,
    STATE(1904), 1,
      aux_sym_case_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82524] = 5,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    ACTIONS(3265), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1906), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82544] = 6,
    ACTIONS(303), 1,
      anon_sym_RBRACE,
    ACTIONS(3315), 1,
      anon_sym_case,
    ACTIONS(3318), 1,
      anon_sym_default,
    STATE(1904), 1,
      aux_sym_case_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82566] = 5,
    ACTIONS(3265), 1,
      sym_id,
    ACTIONS(3321), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1892), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82586] = 5,
    ACTIONS(3265), 1,
      sym_id,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1892), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82606] = 6,
    ACTIONS(3292), 1,
      sym_id,
    STATE(1909), 1,
      aux_sym_enum_body_repeat1,
    STATE(2099), 1,
      sym_enum_body_elem,
    STATE(2639), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82628] = 5,
    ACTIONS(3265), 1,
      sym_id,
    ACTIONS(3325), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1905), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82648] = 6,
    ACTIONS(3292), 1,
      sym_id,
    ACTIONS(3327), 1,
      anon_sym_RBRACE,
    STATE(1890), 1,
      aux_sym_enum_body_repeat1,
    STATE(1976), 1,
      sym_enum_body_elem,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82670] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3329), 1,
      anon_sym_LPAREN,
    STATE(2691), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82689] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3331), 1,
      anon_sym_LPAREN,
    STATE(2503), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82708] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3333), 1,
      anon_sym_LPAREN,
    STATE(2515), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82727] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3335), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [82742] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3337), 1,
      anon_sym_LPAREN,
    STATE(2330), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82761] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(251), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [82776] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3339), 1,
      anon_sym_LPAREN,
    STATE(2233), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82795] = 4,
    ACTIONS(3343), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3341), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82812] = 4,
    ACTIONS(3347), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3345), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82829] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3349), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [82844] = 5,
    ACTIONS(3351), 1,
      sym_id,
    STATE(1920), 1,
      aux_sym_formal_args_repeat1,
    STATE(2092), 1,
      sym_formal_arg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82863] = 4,
    ACTIONS(3354), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(480), 2,
      anon_sym_COMMA,
      anon_sym_as,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82880] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3356), 1,
      anon_sym_LPAREN,
    STATE(2629), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82899] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3358), 1,
      anon_sym_LPAREN,
    STATE(2630), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82918] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3360), 1,
      anon_sym_LPAREN,
    STATE(2644), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82937] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3362), 1,
      anon_sym_LPAREN,
    STATE(2645), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82956] = 5,
    ACTIONS(3364), 1,
      anon_sym_COLON,
    ACTIONS(3366), 1,
      anon_sym_COMMA,
    ACTIONS(3368), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82975] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3370), 1,
      anon_sym_LPAREN,
    STATE(2657), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82994] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3372), 1,
      anon_sym_LPAREN,
    STATE(2668), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83013] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3374), 1,
      anon_sym_LPAREN,
    STATE(2669), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83032] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3376), 1,
      anon_sym_LPAREN,
    STATE(2680), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83051] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3378), 1,
      anon_sym_LPAREN,
    STATE(2681), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83070] = 5,
    ACTIONS(3366), 1,
      anon_sym_COMMA,
    ACTIONS(3380), 1,
      anon_sym_COLON,
    ACTIONS(3382), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83089] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3384), 1,
      anon_sym_LPAREN,
    STATE(2692), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83108] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3386), 1,
      anon_sym_LPAREN,
    STATE(2702), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83127] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3388), 1,
      anon_sym_LPAREN,
    STATE(2703), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83146] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3390), 1,
      anon_sym_LPAREN,
    STATE(2713), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83165] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3392), 1,
      anon_sym_LPAREN,
    STATE(2714), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83184] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3394), 1,
      anon_sym_LPAREN,
    STATE(2724), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83203] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3396), 1,
      anon_sym_LPAREN,
    STATE(2725), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83222] = 5,
    ACTIONS(3227), 1,
      sym_id,
    STATE(1920), 1,
      aux_sym_formal_args_repeat1,
    STATE(1943), 1,
      sym_formal_arg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83241] = 4,
    ACTIONS(3398), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1482), 2,
      anon_sym_COMMA,
      anon_sym_as,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83258] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3400), 1,
      anon_sym_LPAREN,
    STATE(2838), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83277] = 4,
    ACTIONS(3402), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3341), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83294] = 4,
    ACTIONS(3404), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1472), 2,
      anon_sym_COMMA,
      anon_sym_as,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83311] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
    STATE(2837), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83330] = 5,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3408), 1,
      anon_sym_LPAREN,
    STATE(2656), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83349] = 4,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83365] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83379] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2314), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83395] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2557), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83411] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3416), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83425] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2581), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83441] = 4,
    ACTIONS(3418), 1,
      anon_sym_COMMA,
    ACTIONS(3420), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83457] = 4,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    STATE(1233), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83473] = 4,
    ACTIONS(3424), 1,
      sym_id,
    STATE(2055), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83489] = 4,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    STATE(1234), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83505] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3426), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83519] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2754), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83535] = 4,
    ACTIONS(3299), 1,
      anon_sym_RBRACK,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83551] = 4,
    ACTIONS(3428), 1,
      anon_sym_type,
    STATE(1960), 1,
      aux_sym_case_type_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83567] = 4,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83583] = 4,
    ACTIONS(3431), 1,
      sym_id,
    STATE(2557), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83599] = 4,
    ACTIONS(3433), 1,
      anon_sym_COMMA,
    ACTIONS(3435), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83615] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3437), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83629] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3439), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83643] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3441), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83657] = 4,
    ACTIONS(480), 1,
      anon_sym_EQ,
    ACTIONS(3443), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83673] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3445), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83689] = 4,
    ACTIONS(3447), 1,
      anon_sym_COMMA,
    ACTIONS(3449), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83705] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3451), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83721] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3453), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83737] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3451), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83753] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2295), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83767] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3455), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83781] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3287), 2,
      anon_sym_RBRACE,
      sym_id,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83795] = 4,
    ACTIONS(3457), 1,
      anon_sym_RBRACE,
    ACTIONS(3459), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83811] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3461), 2,
      anon_sym_RBRACE,
      sym_id,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83825] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3463), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83839] = 4,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    ACTIONS(3467), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83855] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3469), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83871] = 4,
    ACTIONS(3471), 1,
      anon_sym_COMMA,
    ACTIONS(3473), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83887] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3475), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83901] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3477), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83917] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3479), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83933] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3481), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83949] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3481), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83965] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2392), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83981] = 4,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    STATE(1231), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83997] = 4,
    ACTIONS(3157), 1,
      anon_sym_LPAREN,
    STATE(46), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84013] = 4,
    ACTIONS(3483), 1,
      anon_sym_LPAREN,
    STATE(1272), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84029] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3485), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84043] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3487), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84059] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3489), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84075] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3491), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84091] = 4,
    ACTIONS(3493), 1,
      anon_sym_COMMA,
    ACTIONS(3495), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84107] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3497), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84123] = 4,
    ACTIONS(3079), 1,
      anon_sym_LBRACE,
    STATE(1253), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84139] = 4,
    ACTIONS(3499), 1,
      anon_sym_COMMA,
    ACTIONS(3501), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84155] = 4,
    ACTIONS(1472), 1,
      anon_sym_EQ,
    ACTIONS(3503), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84171] = 4,
    ACTIONS(3505), 1,
      anon_sym_COMMA,
    ACTIONS(3507), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84187] = 4,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    ACTIONS(3511), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84203] = 4,
    ACTIONS(3513), 1,
      anon_sym_COMMA,
    ACTIONS(3515), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84219] = 4,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    ACTIONS(3519), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84235] = 4,
    ACTIONS(3521), 1,
      anon_sym_COMMA,
    ACTIONS(3523), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84251] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3527), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84267] = 4,
    ACTIONS(3529), 1,
      anon_sym_COMMA,
    ACTIONS(3531), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84283] = 4,
    ACTIONS(3079), 1,
      anon_sym_LBRACE,
    STATE(1259), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84299] = 4,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    STATE(46), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84315] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3533), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84331] = 4,
    ACTIONS(3535), 1,
      anon_sym_LBRACE,
    STATE(352), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84347] = 4,
    ACTIONS(3217), 1,
      anon_sym_LPAREN,
    STATE(1978), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84363] = 4,
    ACTIONS(3537), 1,
      anon_sym_COMMA,
    ACTIONS(3539), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84379] = 4,
    ACTIONS(3541), 1,
      anon_sym_COMMA,
    ACTIONS(3543), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84395] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3545), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84409] = 4,
    ACTIONS(3547), 1,
      anon_sym_COMMA,
    ACTIONS(3549), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84425] = 4,
    ACTIONS(3551), 1,
      anon_sym_COMMA,
    ACTIONS(3553), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84441] = 4,
    ACTIONS(3555), 1,
      anon_sym_COMMA,
    ACTIONS(3557), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84457] = 4,
    ACTIONS(3559), 1,
      anon_sym_COMMA,
    ACTIONS(3561), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84473] = 4,
    ACTIONS(3563), 1,
      anon_sym_COMMA,
    ACTIONS(3565), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84489] = 4,
    ACTIONS(3567), 1,
      anon_sym_COMMA,
    ACTIONS(3569), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84505] = 4,
    ACTIONS(3571), 1,
      anon_sym_COMMA,
    ACTIONS(3573), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84521] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2583), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84537] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3575), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84551] = 4,
    ACTIONS(3577), 1,
      anon_sym_COMMA,
    ACTIONS(3579), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84567] = 4,
    ACTIONS(3581), 1,
      anon_sym_COMMA,
    ACTIONS(3583), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84583] = 4,
    ACTIONS(3585), 1,
      anon_sym_COMMA,
    ACTIONS(3587), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84599] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2347), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84615] = 4,
    ACTIONS(3589), 1,
      anon_sym_COMMA,
    ACTIONS(3591), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84631] = 4,
    ACTIONS(3593), 1,
      anon_sym_COMMA,
    ACTIONS(3595), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84647] = 4,
    ACTIONS(3597), 1,
      anon_sym_COMMA,
    ACTIONS(3599), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84663] = 4,
    ACTIONS(3601), 1,
      anon_sym_COMMA,
    ACTIONS(3603), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84679] = 4,
    ACTIONS(3605), 1,
      anon_sym_COMMA,
    ACTIONS(3607), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84695] = 4,
    ACTIONS(3609), 1,
      anon_sym_COMMA,
    ACTIONS(3611), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84711] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2679), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84727] = 4,
    ACTIONS(3613), 1,
      anon_sym_COMMA,
    ACTIONS(3615), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84743] = 4,
    ACTIONS(3617), 1,
      anon_sym_COMMA,
    ACTIONS(3619), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84759] = 4,
    ACTIONS(3621), 1,
      anon_sym_COMMA,
    ACTIONS(3623), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84775] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2504), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84791] = 4,
    ACTIONS(3625), 1,
      anon_sym_LBRACK,
    ACTIONS(3627), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84807] = 4,
    ACTIONS(3629), 1,
      anon_sym_LPAREN,
    STATE(336), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84823] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3631), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84839] = 4,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
    STATE(1232), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84855] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3635), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84871] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3637), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84885] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3639), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84901] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3641), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84917] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3643), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84933] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3645), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84949] = 4,
    ACTIONS(3647), 1,
      anon_sym_LPAREN,
    STATE(46), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84965] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3649), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84981] = 4,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    ACTIONS(3653), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84997] = 4,
    ACTIONS(3366), 1,
      anon_sym_COMMA,
    ACTIONS(3655), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85013] = 4,
    ACTIONS(3657), 1,
      anon_sym_type,
    STATE(1960), 1,
      aux_sym_case_type_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85029] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3659), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85045] = 4,
    ACTIONS(3661), 1,
      sym_id,
    STATE(2072), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85061] = 4,
    ACTIONS(3535), 1,
      anon_sym_LBRACE,
    STATE(367), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85077] = 4,
    ACTIONS(3663), 1,
      anon_sym_LPAREN,
    STATE(1233), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85093] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3665), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85107] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3667), 2,
      anon_sym_copy,
      sym_id,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85121] = 4,
    ACTIONS(3418), 1,
      anon_sym_COMMA,
    ACTIONS(3669), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85137] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3671), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85151] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3673), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85165] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3675), 2,
      anon_sym_RBRACE,
      sym_id,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85179] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3677), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85195] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3679), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85211] = 4,
    ACTIONS(3681), 1,
      anon_sym_COMMA,
    ACTIONS(3683), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85227] = 4,
    ACTIONS(3685), 1,
      anon_sym_LBRACK,
    ACTIONS(3687), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85243] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3689), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85259] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3691), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85275] = 4,
    ACTIONS(3653), 1,
      anon_sym_COMMA,
    ACTIONS(3693), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85291] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3695), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85307] = 4,
    ACTIONS(3697), 1,
      sym_id,
    STATE(2072), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85323] = 4,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85339] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3704), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85353] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3706), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85369] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85385] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2236), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85401] = 4,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(3712), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85417] = 4,
    ACTIONS(3714), 1,
      anon_sym_COMMA,
    ACTIONS(3716), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85433] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3718), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85449] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3720), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85465] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3722), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85479] = 4,
    ACTIONS(3724), 1,
      anon_sym_LBRACK,
    ACTIONS(3726), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85495] = 4,
    ACTIONS(1482), 1,
      anon_sym_EQ,
    ACTIONS(3728), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85511] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3730), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85527] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3732), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85543] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3734), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85557] = 4,
    ACTIONS(3736), 1,
      anon_sym_LBRACK,
    ACTIONS(3738), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85573] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2303), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85589] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3740), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85605] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3742), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85621] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3341), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85635] = 4,
    ACTIONS(3744), 1,
      anon_sym_LBRACK,
    ACTIONS(3746), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85651] = 4,
    ACTIONS(3217), 1,
      anon_sym_LPAREN,
    STATE(1272), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85667] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3748), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85683] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3750), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85699] = 4,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    STATE(336), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85715] = 4,
    ACTIONS(3754), 1,
      anon_sym_LBRACK,
    ACTIONS(3756), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85731] = 4,
    ACTIONS(3327), 1,
      anon_sym_RBRACE,
    ACTIONS(3459), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85747] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3758), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85763] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3760), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85779] = 4,
    ACTIONS(3762), 1,
      anon_sym_LPAREN,
    STATE(1272), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85795] = 4,
    ACTIONS(3764), 1,
      anon_sym_LBRACK,
    ACTIONS(3766), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85811] = 4,
    ACTIONS(3768), 1,
      anon_sym_LPAREN,
    STATE(1272), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85827] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3770), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85843] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3772), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85859] = 4,
    ACTIONS(3157), 1,
      anon_sym_LPAREN,
    STATE(1978), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85875] = 4,
    ACTIONS(3774), 1,
      anon_sym_LBRACK,
    ACTIONS(3776), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85891] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3778), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85905] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3780), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85921] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3782), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85937] = 4,
    ACTIONS(3784), 1,
      anon_sym_LBRACK,
    ACTIONS(3786), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85953] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3788), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85969] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(3790), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85985] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2413), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86001] = 4,
    ACTIONS(3792), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86017] = 4,
    ACTIONS(3323), 1,
      anon_sym_RBRACK,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86033] = 4,
    ACTIONS(3794), 1,
      sym_id,
    STATE(2072), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86049] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3796), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86063] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3798), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86079] = 4,
    ACTIONS(3263), 1,
      anon_sym_RBRACK,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86095] = 4,
    ACTIONS(3800), 1,
      anon_sym_LBRACK,
    ACTIONS(3802), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86111] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3804), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86127] = 4,
    ACTIONS(3806), 1,
      sym_id,
    STATE(2125), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86143] = 4,
    ACTIONS(3808), 1,
      sym_id,
    STATE(2072), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86159] = 4,
    ACTIONS(3810), 1,
      sym_id,
    STATE(2127), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86175] = 4,
    ACTIONS(3812), 1,
      sym_id,
    STATE(2072), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86191] = 4,
    ACTIONS(3814), 1,
      sym_id,
    STATE(2129), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86207] = 4,
    ACTIONS(3816), 1,
      sym_id,
    STATE(2072), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86223] = 4,
    ACTIONS(3818), 1,
      sym_id,
    STATE(2131), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86239] = 4,
    ACTIONS(3820), 1,
      sym_id,
    STATE(2072), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86255] = 4,
    ACTIONS(3822), 1,
      sym_id,
    STATE(2133), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86271] = 4,
    ACTIONS(3824), 1,
      sym_id,
    STATE(2072), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86287] = 4,
    ACTIONS(3826), 1,
      sym_id,
    STATE(2135), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86303] = 4,
    ACTIONS(3828), 1,
      sym_id,
    STATE(2072), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86319] = 4,
    ACTIONS(3830), 1,
      sym_id,
    STATE(2137), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86335] = 4,
    ACTIONS(3832), 1,
      sym_id,
    STATE(2072), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86351] = 4,
    ACTIONS(3834), 1,
      sym_id,
    STATE(2139), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86367] = 4,
    ACTIONS(3836), 1,
      sym_id,
    STATE(2072), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86383] = 4,
    ACTIONS(3838), 1,
      sym_id,
    STATE(2141), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86399] = 4,
    ACTIONS(3840), 1,
      sym_id,
    STATE(2072), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86415] = 4,
    ACTIONS(3842), 1,
      sym_id,
    STATE(2143), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86431] = 4,
    ACTIONS(3844), 1,
      sym_id,
    STATE(2072), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86447] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3804), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86463] = 4,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86479] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3846), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86493] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2530), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86509] = 4,
    ACTIONS(3414), 1,
      sym_id,
    STATE(2161), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86525] = 3,
    ACTIONS(3848), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86538] = 3,
    ACTIONS(3850), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86551] = 3,
    ACTIONS(3852), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86564] = 3,
    ACTIONS(562), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86577] = 3,
    ACTIONS(2083), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86590] = 3,
    ACTIONS(958), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86603] = 3,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86616] = 3,
    ACTIONS(3854), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86629] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3856), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [86642] = 3,
    ACTIONS(3858), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86655] = 3,
    ACTIONS(3860), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86668] = 3,
    ACTIONS(833), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86681] = 3,
    ACTIONS(833), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86694] = 3,
    ACTIONS(2967), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86707] = 3,
    ACTIONS(3862), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86720] = 3,
    ACTIONS(3864), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86733] = 3,
    ACTIONS(960), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86746] = 3,
    ACTIONS(3866), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86759] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3868), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [86772] = 3,
    ACTIONS(3870), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86785] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3872), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [86798] = 3,
    ACTIONS(3874), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86811] = 3,
    ACTIONS(3876), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86824] = 3,
    ACTIONS(3878), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86837] = 3,
    ACTIONS(560), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86850] = 3,
    ACTIONS(3880), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86863] = 3,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86876] = 3,
    ACTIONS(2653), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86889] = 3,
    ACTIONS(3882), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86902] = 3,
    ACTIONS(3884), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86915] = 3,
    ACTIONS(3886), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86928] = 3,
    ACTIONS(1762), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86941] = 3,
    ACTIONS(3888), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86954] = 3,
    ACTIONS(2039), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86967] = 3,
    ACTIONS(3063), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86980] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3890), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [86993] = 3,
    ACTIONS(972), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87006] = 3,
    ACTIONS(3892), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87019] = 3,
    ACTIONS(972), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87032] = 3,
    ACTIONS(3894), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87045] = 3,
    ACTIONS(3896), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87058] = 3,
    ACTIONS(974), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87071] = 3,
    ACTIONS(3898), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87084] = 3,
    ACTIONS(3900), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87097] = 3,
    ACTIONS(3237), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87110] = 3,
    ACTIONS(3902), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87123] = 3,
    ACTIONS(2965), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87136] = 3,
    ACTIONS(3904), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87149] = 3,
    ACTIONS(3906), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87162] = 3,
    ACTIONS(1644), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87175] = 3,
    ACTIONS(3908), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87188] = 3,
    ACTIONS(2969), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87201] = 3,
    ACTIONS(3910), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87214] = 3,
    ACTIONS(3912), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87227] = 3,
    ACTIONS(3914), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87240] = 3,
    ACTIONS(3916), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87253] = 3,
    ACTIONS(962), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87266] = 3,
    ACTIONS(3918), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87279] = 3,
    ACTIONS(3920), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87292] = 3,
    ACTIONS(3922), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87305] = 3,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87318] = 3,
    ACTIONS(518), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87331] = 3,
    ACTIONS(3924), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87344] = 3,
    ACTIONS(520), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87357] = 3,
    ACTIONS(3926), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87370] = 3,
    ACTIONS(3928), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87383] = 3,
    ACTIONS(3930), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87396] = 3,
    ACTIONS(3932), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87409] = 3,
    ACTIONS(2365), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87422] = 3,
    ACTIONS(3039), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87435] = 3,
    ACTIONS(3934), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87448] = 3,
    ACTIONS(3936), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87461] = 3,
    ACTIONS(2057), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87474] = 3,
    ACTIONS(3938), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87487] = 3,
    ACTIONS(3940), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87500] = 3,
    ACTIONS(3942), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87513] = 3,
    ACTIONS(3944), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87526] = 3,
    ACTIONS(3946), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87539] = 3,
    ACTIONS(3948), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87552] = 3,
    ACTIONS(3950), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87565] = 3,
    ACTIONS(3952), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87578] = 3,
    ACTIONS(2983), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87591] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3954), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [87604] = 3,
    ACTIONS(3956), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87617] = 3,
    ACTIONS(3337), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87630] = 3,
    ACTIONS(781), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87643] = 3,
    ACTIONS(3958), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87656] = 3,
    ACTIONS(781), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87669] = 3,
    ACTIONS(3960), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87682] = 3,
    ACTIONS(3025), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87695] = 3,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87708] = 3,
    ACTIONS(3962), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87721] = 3,
    ACTIONS(3964), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87734] = 3,
    ACTIONS(3966), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87747] = 3,
    ACTIONS(3968), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87760] = 3,
    ACTIONS(3970), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87773] = 3,
    ACTIONS(3972), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87786] = 3,
    ACTIONS(3974), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87799] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3976), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [87812] = 3,
    ACTIONS(2359), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87825] = 3,
    ACTIONS(3978), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87838] = 3,
    ACTIONS(3980), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87851] = 3,
    ACTIONS(3982), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87864] = 3,
    ACTIONS(3984), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87877] = 3,
    ACTIONS(2671), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87890] = 3,
    ACTIONS(3986), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87903] = 3,
    ACTIONS(3299), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87916] = 3,
    ACTIONS(1770), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87929] = 3,
    ACTIONS(2079), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87942] = 3,
    ACTIONS(3988), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87955] = 3,
    ACTIONS(3019), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87968] = 3,
    ACTIONS(3990), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87981] = 3,
    ACTIONS(3992), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87994] = 3,
    ACTIONS(3467), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88007] = 3,
    ACTIONS(3003), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88020] = 3,
    ACTIONS(3994), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88033] = 3,
    ACTIONS(976), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88046] = 3,
    ACTIONS(3996), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88059] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3998), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [88072] = 3,
    ACTIONS(4000), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88085] = 3,
    ACTIONS(4002), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88098] = 3,
    ACTIONS(4004), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88111] = 3,
    ACTIONS(976), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88124] = 3,
    ACTIONS(4006), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88137] = 3,
    ACTIONS(4008), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88150] = 3,
    ACTIONS(936), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88163] = 3,
    ACTIONS(978), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88176] = 3,
    ACTIONS(4010), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88189] = 3,
    ACTIONS(4012), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88202] = 3,
    ACTIONS(3033), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88215] = 3,
    ACTIONS(2991), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88228] = 3,
    ACTIONS(3037), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88241] = 3,
    ACTIONS(4014), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88254] = 3,
    ACTIONS(4016), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88267] = 3,
    ACTIONS(4018), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88280] = 3,
    ACTIONS(4020), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88293] = 3,
    ACTIONS(4022), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88306] = 3,
    ACTIONS(2071), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88319] = 3,
    ACTIONS(4024), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88332] = 3,
    ACTIONS(582), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88345] = 3,
    ACTIONS(3001), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88358] = 3,
    ACTIONS(530), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88371] = 3,
    ACTIONS(4026), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88384] = 3,
    ACTIONS(4028), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88397] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4030), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [88410] = 3,
    ACTIONS(2103), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88423] = 3,
    ACTIONS(4032), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88436] = 3,
    ACTIONS(4034), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88449] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4036), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [88462] = 3,
    ACTIONS(4038), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88475] = 3,
    ACTIONS(938), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88488] = 3,
    ACTIONS(4040), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88501] = 3,
    ACTIONS(4042), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88514] = 3,
    ACTIONS(666), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88527] = 3,
    ACTIONS(666), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88540] = 3,
    ACTIONS(4044), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88553] = 3,
    ACTIONS(934), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88566] = 3,
    ACTIONS(1901), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88579] = 3,
    ACTIONS(4046), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88592] = 3,
    ACTIONS(4048), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88605] = 3,
    ACTIONS(4050), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88618] = 3,
    ACTIONS(4052), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88631] = 3,
    ACTIONS(4054), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88644] = 3,
    ACTIONS(652), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88657] = 3,
    ACTIONS(4056), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88670] = 3,
    ACTIONS(652), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88683] = 3,
    ACTIONS(4058), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88696] = 3,
    ACTIONS(821), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88709] = 3,
    ACTIONS(4060), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88722] = 3,
    ACTIONS(4062), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88735] = 3,
    ACTIONS(4064), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88748] = 3,
    ACTIONS(4066), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88761] = 3,
    ACTIONS(3041), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88774] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4068), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [88787] = 3,
    ACTIONS(4070), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88800] = 3,
    ACTIONS(2045), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88813] = 3,
    ACTIONS(4072), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88826] = 3,
    ACTIONS(4074), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88839] = 3,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88852] = 3,
    ACTIONS(488), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88865] = 3,
    ACTIONS(4078), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88878] = 3,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88891] = 3,
    ACTIONS(3501), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88904] = 3,
    ACTIONS(4082), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88917] = 3,
    ACTIONS(4084), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88930] = 3,
    ACTIONS(2689), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88943] = 3,
    ACTIONS(4086), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88956] = 3,
    ACTIONS(4088), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88969] = 3,
    ACTIONS(4090), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88982] = 3,
    ACTIONS(1774), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88995] = 3,
    ACTIONS(940), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89008] = 3,
    ACTIONS(4092), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89021] = 3,
    ACTIONS(4094), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89034] = 3,
    ACTIONS(4096), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89047] = 3,
    ACTIONS(4098), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89060] = 3,
    ACTIONS(3029), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89073] = 3,
    ACTIONS(2951), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89086] = 3,
    ACTIONS(490), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89099] = 3,
    ACTIONS(821), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89112] = 3,
    ACTIONS(980), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89125] = 3,
    ACTIONS(4100), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89138] = 3,
    ACTIONS(2091), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89151] = 3,
    ACTIONS(3515), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89164] = 3,
    ACTIONS(980), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89177] = 3,
    ACTIONS(4102), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89190] = 3,
    ACTIONS(4104), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89203] = 3,
    ACTIONS(4106), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89216] = 3,
    ACTIONS(982), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89229] = 3,
    ACTIONS(4108), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89242] = 3,
    ACTIONS(2045), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89255] = 3,
    ACTIONS(2945), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89268] = 3,
    ACTIONS(4110), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89281] = 3,
    ACTIONS(4112), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89294] = 3,
    ACTIONS(4114), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89307] = 3,
    ACTIONS(4116), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89320] = 3,
    ACTIONS(2955), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89333] = 3,
    ACTIONS(4118), 1,
      anon_sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89346] = 3,
    ACTIONS(4120), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89359] = 3,
    ACTIONS(2957), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89372] = 3,
    ACTIONS(4122), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89385] = 3,
    ACTIONS(4124), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89398] = 3,
    ACTIONS(4126), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89411] = 3,
    ACTIONS(3527), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89424] = 3,
    ACTIONS(4128), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89437] = 3,
    ACTIONS(2095), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89450] = 3,
    ACTIONS(4130), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89463] = 3,
    ACTIONS(4132), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89476] = 3,
    ACTIONS(3061), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89489] = 3,
    ACTIONS(4134), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89502] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4136), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89515] = 3,
    ACTIONS(4138), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89528] = 3,
    ACTIONS(4140), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89541] = 3,
    ACTIONS(4142), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89554] = 3,
    ACTIONS(4144), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89567] = 3,
    ACTIONS(4146), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89580] = 3,
    ACTIONS(538), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89593] = 3,
    ACTIONS(4148), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89606] = 3,
    ACTIONS(773), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89619] = 3,
    ACTIONS(540), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89632] = 3,
    ACTIONS(4150), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89645] = 3,
    ACTIONS(4152), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89658] = 3,
    ACTIONS(4154), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89671] = 3,
    ACTIONS(3543), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89684] = 3,
    ACTIONS(773), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89697] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4156), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89710] = 3,
    ACTIONS(2067), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89723] = 3,
    ACTIONS(4158), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89736] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4160), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89749] = 3,
    ACTIONS(4162), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89762] = 3,
    ACTIONS(4164), 1,
      aux_sym_constant_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89775] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4166), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89788] = 3,
    ACTIONS(4168), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89801] = 3,
    ACTIONS(578), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89814] = 3,
    ACTIONS(4170), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89827] = 3,
    ACTIONS(4172), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89840] = 3,
    ACTIONS(4174), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89853] = 3,
    ACTIONS(2561), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89866] = 3,
    ACTIONS(2943), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89879] = 3,
    ACTIONS(3557), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89892] = 3,
    ACTIONS(4176), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89905] = 3,
    ACTIONS(4178), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89918] = 3,
    ACTIONS(4180), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89931] = 3,
    ACTIONS(765), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89944] = 3,
    ACTIONS(4182), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89957] = 3,
    ACTIONS(765), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89970] = 3,
    ACTIONS(4184), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89983] = 3,
    ACTIONS(4186), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89996] = 3,
    ACTIONS(4188), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90009] = 3,
    ACTIONS(4190), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90022] = 3,
    ACTIONS(4192), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90035] = 3,
    ACTIONS(4194), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90048] = 3,
    ACTIONS(4196), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90061] = 3,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90074] = 3,
    ACTIONS(3569), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90087] = 3,
    ACTIONS(3653), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90100] = 3,
    ACTIONS(2691), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90113] = 3,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90126] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4202), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [90139] = 3,
    ACTIONS(4204), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90152] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4206), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [90165] = 3,
    ACTIONS(4208), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90178] = 3,
    ACTIONS(4210), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90191] = 3,
    ACTIONS(4212), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90204] = 3,
    ACTIONS(4214), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90217] = 3,
    ACTIONS(4216), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90230] = 3,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90243] = 3,
    ACTIONS(4220), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90256] = 3,
    ACTIONS(4222), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90269] = 3,
    ACTIONS(3583), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90282] = 3,
    ACTIONS(4224), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90295] = 3,
    ACTIONS(942), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90308] = 3,
    ACTIONS(4226), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90321] = 3,
    ACTIONS(4228), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90334] = 3,
    ACTIONS(4230), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90347] = 3,
    ACTIONS(2707), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90360] = 3,
    ACTIONS(2993), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90373] = 3,
    ACTIONS(4232), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90386] = 3,
    ACTIONS(4234), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90399] = 3,
    ACTIONS(4236), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90412] = 3,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90425] = 3,
    ACTIONS(1718), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90438] = 3,
    ACTIONS(3233), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90451] = 3,
    ACTIONS(4240), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90464] = 3,
    ACTIONS(3595), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90477] = 3,
    ACTIONS(4242), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90490] = 3,
    ACTIONS(4244), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90503] = 3,
    ACTIONS(4246), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90516] = 3,
    ACTIONS(3007), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90529] = 3,
    ACTIONS(4248), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90542] = 3,
    ACTIONS(3011), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90555] = 3,
    ACTIONS(4250), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90568] = 3,
    ACTIONS(4252), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90581] = 3,
    ACTIONS(4254), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90594] = 3,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90607] = 3,
    ACTIONS(4258), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90620] = 3,
    ACTIONS(984), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90633] = 3,
    ACTIONS(2581), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90646] = 3,
    ACTIONS(4260), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90659] = 3,
    ACTIONS(3607), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90672] = 3,
    ACTIONS(4262), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90685] = 3,
    ACTIONS(3005), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90698] = 3,
    ACTIONS(4264), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90711] = 3,
    ACTIONS(984), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90724] = 3,
    ACTIONS(4266), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90737] = 3,
    ACTIONS(2987), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90750] = 3,
    ACTIONS(986), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90763] = 3,
    ACTIONS(4268), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90776] = 3,
    ACTIONS(4270), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90789] = 3,
    ACTIONS(4272), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90802] = 3,
    ACTIONS(4274), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90815] = 3,
    ACTIONS(2579), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90828] = 3,
    ACTIONS(1496), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90841] = 3,
    ACTIONS(3619), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90854] = 3,
    ACTIONS(4276), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90867] = 3,
    ACTIONS(3023), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90880] = 3,
    ACTIONS(4278), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90893] = 3,
    ACTIONS(4280), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90906] = 3,
    ACTIONS(4282), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90919] = 3,
    ACTIONS(3015), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90932] = 3,
    ACTIONS(4284), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90945] = 3,
    ACTIONS(4286), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90958] = 3,
    ACTIONS(4288), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90971] = 3,
    ACTIONS(4290), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90984] = 3,
    ACTIONS(4292), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90997] = 3,
    ACTIONS(4294), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91010] = 3,
    ACTIONS(4296), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91023] = 3,
    ACTIONS(4298), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91036] = 3,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91049] = 3,
    ACTIONS(3017), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91062] = 3,
    ACTIONS(4302), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91075] = 3,
    ACTIONS(4304), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91088] = 3,
    ACTIONS(4306), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91101] = 3,
    ACTIONS(4308), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91114] = 3,
    ACTIONS(2947), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91127] = 3,
    ACTIONS(3333), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91140] = 3,
    ACTIONS(4310), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91153] = 3,
    ACTIONS(4312), 1,
      anon_sym_const,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91166] = 3,
    ACTIONS(3459), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91179] = 3,
    ACTIONS(580), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91192] = 3,
    ACTIONS(4314), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91205] = 3,
    ACTIONS(548), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91218] = 3,
    ACTIONS(2409), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91231] = 3,
    ACTIONS(550), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91244] = 3,
    ACTIONS(4316), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91257] = 3,
    ACTIONS(4318), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91270] = 3,
    ACTIONS(4320), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91283] = 3,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91296] = 3,
    ACTIONS(4324), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91309] = 3,
    ACTIONS(4326), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91322] = 3,
    ACTIONS(4328), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91335] = 3,
    ACTIONS(2063), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91348] = 3,
    ACTIONS(4330), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91361] = 3,
    ACTIONS(4332), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91374] = 3,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91387] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4334), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [91400] = 3,
    ACTIONS(4336), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91413] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4338), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [91426] = 3,
    ACTIONS(4340), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91439] = 3,
    ACTIONS(964), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91452] = 3,
    ACTIONS(789), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91465] = 3,
    ACTIONS(4342), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91478] = 3,
    ACTIONS(789), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91491] = 3,
    ACTIONS(964), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91504] = 3,
    ACTIONS(1821), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91517] = 3,
    ACTIONS(4344), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91530] = 3,
    ACTIONS(4346), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91543] = 3,
    ACTIONS(1424), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91556] = 3,
    ACTIONS(4348), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91569] = 3,
    ACTIONS(4350), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91582] = 3,
    ACTIONS(4352), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91595] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4354), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [91608] = 3,
    ACTIONS(966), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91621] = 3,
    ACTIONS(4356), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91634] = 3,
    ACTIONS(4358), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91647] = 3,
    ACTIONS(4360), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91660] = 3,
    ACTIONS(2755), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91673] = 3,
    ACTIONS(4362), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91686] = 3,
    ACTIONS(1734), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91699] = 3,
    ACTIONS(658), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91712] = 3,
    ACTIONS(2941), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91725] = 3,
    ACTIONS(3035), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91738] = 3,
    ACTIONS(3049), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91751] = 3,
    ACTIONS(988), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91764] = 3,
    ACTIONS(4364), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91777] = 3,
    ACTIONS(988), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91790] = 3,
    ACTIONS(4366), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91803] = 3,
    ACTIONS(990), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91816] = 3,
    ACTIONS(946), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91829] = 3,
    ACTIONS(658), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91842] = 3,
    ACTIONS(3043), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91855] = 3,
    ACTIONS(948), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91868] = 3,
    ACTIONS(3045), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91881] = 3,
    ACTIONS(4368), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91894] = 3,
    ACTIONS(4370), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91907] = 3,
    ACTIONS(4372), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91920] = 3,
    ACTIONS(950), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91933] = 3,
    ACTIONS(4374), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91946] = 3,
    ACTIONS(944), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91959] = 3,
    ACTIONS(952), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91972] = 3,
    ACTIONS(556), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91985] = 3,
    ACTIONS(4376), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91998] = 3,
    ACTIONS(478), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92011] = 3,
    ACTIONS(4378), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92024] = 3,
    ACTIONS(4380), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92037] = 3,
    ACTIONS(952), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92050] = 3,
    ACTIONS(2075), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92063] = 3,
    ACTIONS(1572), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92076] = 3,
    ACTIONS(4382), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92089] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4384), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [92102] = 3,
    ACTIONS(4386), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92115] = 3,
    ACTIONS(4388), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92128] = 3,
    ACTIONS(813), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92141] = 3,
    ACTIONS(813), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92154] = 3,
    ACTIONS(4390), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92167] = 3,
    ACTIONS(4392), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92180] = 3,
    ACTIONS(2971), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92193] = 3,
    ACTIONS(4394), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92206] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4396), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [92219] = 3,
    ACTIONS(2973), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92232] = 3,
    ACTIONS(4398), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92245] = 3,
    ACTIONS(4400), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92258] = 3,
    ACTIONS(4402), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92271] = 3,
    ACTIONS(3354), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92284] = 3,
    ACTIONS(3261), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92297] = 3,
    ACTIONS(4404), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92310] = 3,
    ACTIONS(4406), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92323] = 3,
    ACTIONS(4408), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92336] = 3,
    ACTIONS(2685), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92349] = 3,
    ACTIONS(2989), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92362] = 3,
    ACTIONS(1716), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92375] = 3,
    ACTIONS(4410), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92388] = 3,
    ACTIONS(954), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92401] = 3,
    ACTIONS(2963), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92414] = 3,
    ACTIONS(4412), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92427] = 3,
    ACTIONS(992), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92440] = 3,
    ACTIONS(2953), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92453] = 3,
    ACTIONS(992), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92466] = 3,
    ACTIONS(4414), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92479] = 3,
    ACTIONS(994), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92492] = 3,
    ACTIONS(2961), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92505] = 3,
    ACTIONS(1478), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92518] = 3,
    ACTIONS(2981), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92531] = 3,
    ACTIONS(4416), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92544] = 3,
    ACTIONS(528), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92557] = 3,
    ACTIONS(2999), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92570] = 3,
    ACTIONS(2985), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92583] = 3,
    ACTIONS(4418), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92596] = 3,
    ACTIONS(4420), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92609] = 3,
    ACTIONS(4422), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92622] = 3,
    ACTIONS(4424), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92635] = 3,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92648] = 3,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92661] = 3,
    ACTIONS(4428), 1,
      anon_sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92674] = 3,
    ACTIONS(568), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92687] = 3,
    ACTIONS(3013), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92700] = 3,
    ACTIONS(570), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92713] = 3,
    ACTIONS(4430), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92726] = 3,
    ACTIONS(4432), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92739] = 3,
    ACTIONS(2453), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92752] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4434), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [92765] = 3,
    ACTIONS(3358), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92778] = 3,
    ACTIONS(4436), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92791] = 3,
    ACTIONS(4438), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92804] = 3,
    ACTIONS(3683), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92817] = 3,
    ACTIONS(4440), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92830] = 3,
    ACTIONS(4442), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92843] = 3,
    ACTIONS(498), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92856] = 3,
    ACTIONS(4444), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92869] = 3,
    ACTIONS(4446), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92882] = 3,
    ACTIONS(4448), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92895] = 3,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92908] = 3,
    ACTIONS(4450), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92921] = 3,
    ACTIONS(1598), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92934] = 3,
    ACTIONS(500), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92947] = 3,
    ACTIONS(4452), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92960] = 3,
    ACTIONS(3362), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92973] = 3,
    ACTIONS(4454), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92986] = 3,
    ACTIONS(4456), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92999] = 3,
    ACTIONS(4458), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93012] = 3,
    ACTIONS(4460), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93025] = 3,
    ACTIONS(4462), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93038] = 3,
    ACTIONS(4464), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93051] = 3,
    ACTIONS(4466), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93064] = 3,
    ACTIONS(4468), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93077] = 3,
    ACTIONS(2099), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93090] = 3,
    ACTIONS(4470), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93103] = 3,
    ACTIONS(4472), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93116] = 3,
    ACTIONS(3370), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93129] = 3,
    ACTIONS(4474), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93142] = 3,
    ACTIONS(4476), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93155] = 3,
    ACTIONS(2529), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93168] = 3,
    ACTIONS(4478), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93181] = 3,
    ACTIONS(4480), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93194] = 3,
    ACTIONS(4482), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93207] = 3,
    ACTIONS(4484), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93220] = 3,
    ACTIONS(4486), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93233] = 3,
    ACTIONS(4488), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93246] = 3,
    ACTIONS(3053), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93259] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4490), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [93272] = 3,
    ACTIONS(3374), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93285] = 3,
    ACTIONS(4492), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93298] = 3,
    ACTIONS(4494), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93311] = 3,
    ACTIONS(4496), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93324] = 3,
    ACTIONS(4498), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93337] = 3,
    ACTIONS(4500), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93350] = 3,
    ACTIONS(4502), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93363] = 3,
    ACTIONS(4504), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93376] = 3,
    ACTIONS(4506), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93389] = 3,
    ACTIONS(4508), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93402] = 3,
    ACTIONS(805), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93415] = 3,
    ACTIONS(805), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93428] = 3,
    ACTIONS(3378), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93441] = 3,
    ACTIONS(4510), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93454] = 3,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93467] = 3,
    ACTIONS(4514), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93480] = 3,
    ACTIONS(3418), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93493] = 3,
    ACTIONS(4516), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93506] = 3,
    ACTIONS(4518), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93519] = 3,
    ACTIONS(4520), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93532] = 3,
    ACTIONS(4522), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93545] = 3,
    ACTIONS(4524), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93558] = 3,
    ACTIONS(4526), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93571] = 3,
    ACTIONS(3384), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93584] = 3,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93597] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4530), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [93610] = 3,
    ACTIONS(4532), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93623] = 3,
    ACTIONS(4534), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93636] = 3,
    ACTIONS(4536), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93649] = 3,
    ACTIONS(4538), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93662] = 3,
    ACTIONS(4540), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93675] = 3,
    ACTIONS(1863), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93688] = 3,
    ACTIONS(4542), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93701] = 3,
    ACTIONS(4544), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93714] = 3,
    ACTIONS(3388), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93727] = 3,
    ACTIONS(4546), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93740] = 3,
    ACTIONS(2623), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93753] = 3,
    ACTIONS(4548), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93766] = 3,
    ACTIONS(4550), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93779] = 3,
    ACTIONS(4552), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93792] = 3,
    ACTIONS(4554), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93805] = 3,
    ACTIONS(4556), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93818] = 3,
    ACTIONS(4558), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93831] = 3,
    ACTIONS(2265), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93844] = 3,
    ACTIONS(4560), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93857] = 3,
    ACTIONS(3392), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93870] = 3,
    ACTIONS(4562), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93883] = 3,
    ACTIONS(4564), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93896] = 3,
    ACTIONS(4566), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93909] = 3,
    ACTIONS(1662), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93922] = 3,
    ACTIONS(4568), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93935] = 3,
    ACTIONS(4570), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93948] = 3,
    ACTIONS(4572), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93961] = 3,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93974] = 3,
    ACTIONS(3443), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [93987] = 3,
    ACTIONS(4574), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94000] = 3,
    ACTIONS(3396), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94013] = 3,
    ACTIONS(4576), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94026] = 3,
    ACTIONS(4578), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94039] = 3,
    ACTIONS(4580), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94052] = 3,
    ACTIONS(4582), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94065] = 3,
    ACTIONS(4584), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94078] = 3,
    ACTIONS(4586), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94091] = 3,
    ACTIONS(2299), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94104] = 3,
    ACTIONS(3047), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94117] = 3,
    ACTIONS(4588), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94130] = 3,
    ACTIONS(4590), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94143] = 3,
    ACTIONS(4592), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94156] = 3,
    ACTIONS(4594), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94169] = 3,
    ACTIONS(4596), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94182] = 3,
    ACTIONS(4598), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94195] = 3,
    ACTIONS(2087), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94208] = 3,
    ACTIONS(968), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94221] = 3,
    ACTIONS(4600), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94234] = 3,
    ACTIONS(3323), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94247] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4602), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [94260] = 3,
    ACTIONS(4604), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94273] = 3,
    ACTIONS(4606), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94286] = 3,
    ACTIONS(4608), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94299] = 3,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94312] = 3,
    ACTIONS(4610), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94325] = 3,
    ACTIONS(4612), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94338] = 3,
    ACTIONS(4614), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94351] = 3,
    ACTIONS(968), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94364] = 3,
    ACTIONS(4616), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94377] = 3,
    ACTIONS(841), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94390] = 3,
    ACTIONS(841), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94403] = 3,
    ACTIONS(4618), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94416] = 3,
    ACTIONS(4620), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94429] = 3,
    ACTIONS(956), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94442] = 3,
    ACTIONS(970), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94455] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4622), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [94468] = 3,
    ACTIONS(4624), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94481] = 3,
    ACTIONS(4626), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94494] = 3,
    ACTIONS(3031), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94507] = 3,
    ACTIONS(4628), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94520] = 3,
    ACTIONS(2613), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94533] = 3,
    ACTIONS(4630), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94546] = 3,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94559] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4632), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [94572] = 3,
    ACTIONS(4634), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94585] = 3,
    ACTIONS(3009), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94598] = 3,
    ACTIONS(996), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94611] = 3,
    ACTIONS(4636), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94624] = 3,
    ACTIONS(996), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94637] = 3,
    ACTIONS(4638), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94650] = 3,
    ACTIONS(998), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94663] = 3,
    ACTIONS(4640), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94676] = 3,
    ACTIONS(4642), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94689] = 3,
    ACTIONS(4644), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94702] = 3,
    ACTIONS(4646), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94715] = 3,
    ACTIONS(4648), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94728] = 3,
    ACTIONS(4650), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94741] = 3,
    ACTIONS(4652), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94754] = 3,
    ACTIONS(4654), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94767] = 3,
    ACTIONS(3021), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94780] = 3,
    ACTIONS(4656), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94793] = 3,
    ACTIONS(4658), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94806] = 3,
    ACTIONS(4660), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94819] = 3,
    ACTIONS(2977), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94832] = 3,
    ACTIONS(4662), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94845] = 3,
    ACTIONS(3057), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94858] = 3,
    ACTIONS(4664), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94871] = 3,
    ACTIONS(4666), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94884] = 3,
    ACTIONS(4668), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94897] = 3,
    ACTIONS(3263), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94910] = 3,
    ACTIONS(4670), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94923] = 3,
    ACTIONS(2979), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94936] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4672), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [94949] = 3,
    ACTIONS(4674), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94962] = 3,
    ACTIONS(4676), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94975] = 3,
    ACTIONS(4678), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [94988] = 3,
    ACTIONS(4680), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95001] = 3,
    ACTIONS(4682), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95014] = 3,
    ACTIONS(4684), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95027] = 3,
    ACTIONS(4686), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95040] = 3,
    ACTIONS(4688), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95053] = 3,
    ACTIONS(4690), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95066] = 3,
    ACTIONS(4692), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95079] = 3,
    ACTIONS(4694), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95092] = 3,
    ACTIONS(960), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95105] = 3,
    ACTIONS(4696), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95118] = 3,
    ACTIONS(3235), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95131] = 3,
    ACTIONS(4698), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95144] = 3,
    ACTIONS(4700), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95157] = 3,
    ACTIONS(508), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95170] = 3,
    ACTIONS(4702), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95183] = 3,
    ACTIONS(4704), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95196] = 3,
    ACTIONS(4706), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95209] = 3,
    ACTIONS(4708), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95222] = 3,
    ACTIONS(4710), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95235] = 3,
    ACTIONS(510), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95248] = 3,
    ACTIONS(3027), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95261] = 3,
    ACTIONS(4712), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95274] = 3,
    ACTIONS(4714), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95287] = 3,
    ACTIONS(4716), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95300] = 3,
    ACTIONS(4718), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95313] = 3,
    ACTIONS(944), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95326] = 3,
    ACTIONS(2949), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95339] = 3,
    ACTIONS(4720), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95352] = 3,
    ACTIONS(4722), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95365] = 3,
    ACTIONS(4724), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95378] = 3,
    ACTIONS(4726), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95391] = 3,
    ACTIONS(4728), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95404] = 3,
    ACTIONS(3055), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95417] = 3,
    ACTIONS(576), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95430] = 3,
    ACTIONS(3219), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95443] = 3,
    ACTIONS(4730), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95456] = 3,
    ACTIONS(4732), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95469] = 3,
    ACTIONS(3400), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95482] = 3,
    ACTIONS(4734), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [95495] = 3,
    ACTIONS(4736), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(809)] = 0,
  [SMALL_STATE(810)] = 76,
  [SMALL_STATE(811)] = 152,
  [SMALL_STATE(812)] = 234,
  [SMALL_STATE(813)] = 316,
  [SMALL_STATE(814)] = 395,
  [SMALL_STATE(815)] = 474,
  [SMALL_STATE(816)] = 547,
  [SMALL_STATE(817)] = 617,
  [SMALL_STATE(818)] = 687,
  [SMALL_STATE(819)] = 785,
  [SMALL_STATE(820)] = 873,
  [SMALL_STATE(821)] = 953,
  [SMALL_STATE(822)] = 1033,
  [SMALL_STATE(823)] = 1103,
  [SMALL_STATE(824)] = 1199,
  [SMALL_STATE(825)] = 1269,
  [SMALL_STATE(826)] = 1363,
  [SMALL_STATE(827)] = 1461,
  [SMALL_STATE(828)] = 1541,
  [SMALL_STATE(829)] = 1621,
  [SMALL_STATE(830)] = 1715,
  [SMALL_STATE(831)] = 1805,
  [SMALL_STATE(832)] = 1893,
  [SMALL_STATE(833)] = 1967,
  [SMALL_STATE(834)] = 2041,
  [SMALL_STATE(835)] = 2118,
  [SMALL_STATE(836)] = 2195,
  [SMALL_STATE(837)] = 2266,
  [SMALL_STATE(838)] = 2336,
  [SMALL_STATE(839)] = 2412,
  [SMALL_STATE(840)] = 2490,
  [SMALL_STATE(841)] = 2568,
  [SMALL_STATE(842)] = 2664,
  [SMALL_STATE(843)] = 2756,
  [SMALL_STATE(844)] = 2834,
  [SMALL_STATE(845)] = 2910,
  [SMALL_STATE(846)] = 2996,
  [SMALL_STATE(847)] = 3084,
  [SMALL_STATE(848)] = 3180,
  [SMALL_STATE(849)] = 3272,
  [SMALL_STATE(850)] = 3350,
  [SMALL_STATE(851)] = 3444,
  [SMALL_STATE(852)] = 3530,
  [SMALL_STATE(853)] = 3626,
  [SMALL_STATE(854)] = 3693,
  [SMALL_STATE(855)] = 3768,
  [SMALL_STATE(856)] = 3835,
  [SMALL_STATE(857)] = 3929,
  [SMALL_STATE(858)] = 4023,
  [SMALL_STATE(859)] = 4149,
  [SMALL_STATE(860)] = 4275,
  [SMALL_STATE(861)] = 4395,
  [SMALL_STATE(862)] = 4516,
  [SMALL_STATE(863)] = 4633,
  [SMALL_STATE(864)] = 4753,
  [SMALL_STATE(865)] = 4870,
  [SMALL_STATE(866)] = 4987,
  [SMALL_STATE(867)] = 5104,
  [SMALL_STATE(868)] = 5221,
  [SMALL_STATE(869)] = 5338,
  [SMALL_STATE(870)] = 5455,
  [SMALL_STATE(871)] = 5572,
  [SMALL_STATE(872)] = 5689,
  [SMALL_STATE(873)] = 5806,
  [SMALL_STATE(874)] = 5923,
  [SMALL_STATE(875)] = 6040,
  [SMALL_STATE(876)] = 6157,
  [SMALL_STATE(877)] = 6274,
  [SMALL_STATE(878)] = 6391,
  [SMALL_STATE(879)] = 6508,
  [SMALL_STATE(880)] = 6622,
  [SMALL_STATE(881)] = 6736,
  [SMALL_STATE(882)] = 6850,
  [SMALL_STATE(883)] = 6964,
  [SMALL_STATE(884)] = 7078,
  [SMALL_STATE(885)] = 7192,
  [SMALL_STATE(886)] = 7306,
  [SMALL_STATE(887)] = 7420,
  [SMALL_STATE(888)] = 7534,
  [SMALL_STATE(889)] = 7648,
  [SMALL_STATE(890)] = 7762,
  [SMALL_STATE(891)] = 7876,
  [SMALL_STATE(892)] = 7990,
  [SMALL_STATE(893)] = 8104,
  [SMALL_STATE(894)] = 8218,
  [SMALL_STATE(895)] = 8332,
  [SMALL_STATE(896)] = 8446,
  [SMALL_STATE(897)] = 8560,
  [SMALL_STATE(898)] = 8674,
  [SMALL_STATE(899)] = 8788,
  [SMALL_STATE(900)] = 8902,
  [SMALL_STATE(901)] = 9016,
  [SMALL_STATE(902)] = 9130,
  [SMALL_STATE(903)] = 9244,
  [SMALL_STATE(904)] = 9358,
  [SMALL_STATE(905)] = 9472,
  [SMALL_STATE(906)] = 9586,
  [SMALL_STATE(907)] = 9697,
  [SMALL_STATE(908)] = 9808,
  [SMALL_STATE(909)] = 9919,
  [SMALL_STATE(910)] = 10030,
  [SMALL_STATE(911)] = 10141,
  [SMALL_STATE(912)] = 10252,
  [SMALL_STATE(913)] = 10360,
  [SMALL_STATE(914)] = 10468,
  [SMALL_STATE(915)] = 10576,
  [SMALL_STATE(916)] = 10684,
  [SMALL_STATE(917)] = 10792,
  [SMALL_STATE(918)] = 10900,
  [SMALL_STATE(919)] = 11008,
  [SMALL_STATE(920)] = 11116,
  [SMALL_STATE(921)] = 11224,
  [SMALL_STATE(922)] = 11332,
  [SMALL_STATE(923)] = 11440,
  [SMALL_STATE(924)] = 11548,
  [SMALL_STATE(925)] = 11656,
  [SMALL_STATE(926)] = 11764,
  [SMALL_STATE(927)] = 11872,
  [SMALL_STATE(928)] = 11980,
  [SMALL_STATE(929)] = 12088,
  [SMALL_STATE(930)] = 12196,
  [SMALL_STATE(931)] = 12304,
  [SMALL_STATE(932)] = 12412,
  [SMALL_STATE(933)] = 12520,
  [SMALL_STATE(934)] = 12628,
  [SMALL_STATE(935)] = 12736,
  [SMALL_STATE(936)] = 12844,
  [SMALL_STATE(937)] = 12952,
  [SMALL_STATE(938)] = 13060,
  [SMALL_STATE(939)] = 13168,
  [SMALL_STATE(940)] = 13276,
  [SMALL_STATE(941)] = 13384,
  [SMALL_STATE(942)] = 13492,
  [SMALL_STATE(943)] = 13600,
  [SMALL_STATE(944)] = 13708,
  [SMALL_STATE(945)] = 13816,
  [SMALL_STATE(946)] = 13924,
  [SMALL_STATE(947)] = 14032,
  [SMALL_STATE(948)] = 14140,
  [SMALL_STATE(949)] = 14248,
  [SMALL_STATE(950)] = 14356,
  [SMALL_STATE(951)] = 14464,
  [SMALL_STATE(952)] = 14572,
  [SMALL_STATE(953)] = 14680,
  [SMALL_STATE(954)] = 14788,
  [SMALL_STATE(955)] = 14896,
  [SMALL_STATE(956)] = 15004,
  [SMALL_STATE(957)] = 15112,
  [SMALL_STATE(958)] = 15220,
  [SMALL_STATE(959)] = 15328,
  [SMALL_STATE(960)] = 15436,
  [SMALL_STATE(961)] = 15544,
  [SMALL_STATE(962)] = 15652,
  [SMALL_STATE(963)] = 15760,
  [SMALL_STATE(964)] = 15868,
  [SMALL_STATE(965)] = 15976,
  [SMALL_STATE(966)] = 16084,
  [SMALL_STATE(967)] = 16192,
  [SMALL_STATE(968)] = 16300,
  [SMALL_STATE(969)] = 16408,
  [SMALL_STATE(970)] = 16516,
  [SMALL_STATE(971)] = 16624,
  [SMALL_STATE(972)] = 16732,
  [SMALL_STATE(973)] = 16840,
  [SMALL_STATE(974)] = 16948,
  [SMALL_STATE(975)] = 17056,
  [SMALL_STATE(976)] = 17164,
  [SMALL_STATE(977)] = 17272,
  [SMALL_STATE(978)] = 17380,
  [SMALL_STATE(979)] = 17488,
  [SMALL_STATE(980)] = 17596,
  [SMALL_STATE(981)] = 17704,
  [SMALL_STATE(982)] = 17812,
  [SMALL_STATE(983)] = 17920,
  [SMALL_STATE(984)] = 18028,
  [SMALL_STATE(985)] = 18136,
  [SMALL_STATE(986)] = 18244,
  [SMALL_STATE(987)] = 18352,
  [SMALL_STATE(988)] = 18460,
  [SMALL_STATE(989)] = 18568,
  [SMALL_STATE(990)] = 18676,
  [SMALL_STATE(991)] = 18784,
  [SMALL_STATE(992)] = 18892,
  [SMALL_STATE(993)] = 19000,
  [SMALL_STATE(994)] = 19108,
  [SMALL_STATE(995)] = 19216,
  [SMALL_STATE(996)] = 19324,
  [SMALL_STATE(997)] = 19432,
  [SMALL_STATE(998)] = 19540,
  [SMALL_STATE(999)] = 19648,
  [SMALL_STATE(1000)] = 19756,
  [SMALL_STATE(1001)] = 19864,
  [SMALL_STATE(1002)] = 19972,
  [SMALL_STATE(1003)] = 20080,
  [SMALL_STATE(1004)] = 20188,
  [SMALL_STATE(1005)] = 20296,
  [SMALL_STATE(1006)] = 20404,
  [SMALL_STATE(1007)] = 20512,
  [SMALL_STATE(1008)] = 20620,
  [SMALL_STATE(1009)] = 20728,
  [SMALL_STATE(1010)] = 20836,
  [SMALL_STATE(1011)] = 20944,
  [SMALL_STATE(1012)] = 21052,
  [SMALL_STATE(1013)] = 21160,
  [SMALL_STATE(1014)] = 21268,
  [SMALL_STATE(1015)] = 21376,
  [SMALL_STATE(1016)] = 21484,
  [SMALL_STATE(1017)] = 21592,
  [SMALL_STATE(1018)] = 21700,
  [SMALL_STATE(1019)] = 21808,
  [SMALL_STATE(1020)] = 21916,
  [SMALL_STATE(1021)] = 22024,
  [SMALL_STATE(1022)] = 22132,
  [SMALL_STATE(1023)] = 22240,
  [SMALL_STATE(1024)] = 22348,
  [SMALL_STATE(1025)] = 22456,
  [SMALL_STATE(1026)] = 22564,
  [SMALL_STATE(1027)] = 22672,
  [SMALL_STATE(1028)] = 22780,
  [SMALL_STATE(1029)] = 22888,
  [SMALL_STATE(1030)] = 22996,
  [SMALL_STATE(1031)] = 23104,
  [SMALL_STATE(1032)] = 23212,
  [SMALL_STATE(1033)] = 23320,
  [SMALL_STATE(1034)] = 23428,
  [SMALL_STATE(1035)] = 23536,
  [SMALL_STATE(1036)] = 23644,
  [SMALL_STATE(1037)] = 23752,
  [SMALL_STATE(1038)] = 23860,
  [SMALL_STATE(1039)] = 23968,
  [SMALL_STATE(1040)] = 24076,
  [SMALL_STATE(1041)] = 24184,
  [SMALL_STATE(1042)] = 24292,
  [SMALL_STATE(1043)] = 24400,
  [SMALL_STATE(1044)] = 24508,
  [SMALL_STATE(1045)] = 24616,
  [SMALL_STATE(1046)] = 24724,
  [SMALL_STATE(1047)] = 24832,
  [SMALL_STATE(1048)] = 24940,
  [SMALL_STATE(1049)] = 25048,
  [SMALL_STATE(1050)] = 25156,
  [SMALL_STATE(1051)] = 25264,
  [SMALL_STATE(1052)] = 25372,
  [SMALL_STATE(1053)] = 25480,
  [SMALL_STATE(1054)] = 25588,
  [SMALL_STATE(1055)] = 25696,
  [SMALL_STATE(1056)] = 25804,
  [SMALL_STATE(1057)] = 25912,
  [SMALL_STATE(1058)] = 26020,
  [SMALL_STATE(1059)] = 26128,
  [SMALL_STATE(1060)] = 26236,
  [SMALL_STATE(1061)] = 26344,
  [SMALL_STATE(1062)] = 26452,
  [SMALL_STATE(1063)] = 26560,
  [SMALL_STATE(1064)] = 26668,
  [SMALL_STATE(1065)] = 26776,
  [SMALL_STATE(1066)] = 26884,
  [SMALL_STATE(1067)] = 26992,
  [SMALL_STATE(1068)] = 27100,
  [SMALL_STATE(1069)] = 27208,
  [SMALL_STATE(1070)] = 27316,
  [SMALL_STATE(1071)] = 27424,
  [SMALL_STATE(1072)] = 27532,
  [SMALL_STATE(1073)] = 27640,
  [SMALL_STATE(1074)] = 27748,
  [SMALL_STATE(1075)] = 27856,
  [SMALL_STATE(1076)] = 27964,
  [SMALL_STATE(1077)] = 28072,
  [SMALL_STATE(1078)] = 28180,
  [SMALL_STATE(1079)] = 28288,
  [SMALL_STATE(1080)] = 28396,
  [SMALL_STATE(1081)] = 28504,
  [SMALL_STATE(1082)] = 28612,
  [SMALL_STATE(1083)] = 28720,
  [SMALL_STATE(1084)] = 28828,
  [SMALL_STATE(1085)] = 28936,
  [SMALL_STATE(1086)] = 29044,
  [SMALL_STATE(1087)] = 29152,
  [SMALL_STATE(1088)] = 29260,
  [SMALL_STATE(1089)] = 29368,
  [SMALL_STATE(1090)] = 29476,
  [SMALL_STATE(1091)] = 29584,
  [SMALL_STATE(1092)] = 29692,
  [SMALL_STATE(1093)] = 29800,
  [SMALL_STATE(1094)] = 29908,
  [SMALL_STATE(1095)] = 30016,
  [SMALL_STATE(1096)] = 30124,
  [SMALL_STATE(1097)] = 30232,
  [SMALL_STATE(1098)] = 30340,
  [SMALL_STATE(1099)] = 30448,
  [SMALL_STATE(1100)] = 30556,
  [SMALL_STATE(1101)] = 30664,
  [SMALL_STATE(1102)] = 30772,
  [SMALL_STATE(1103)] = 30880,
  [SMALL_STATE(1104)] = 30988,
  [SMALL_STATE(1105)] = 31096,
  [SMALL_STATE(1106)] = 31204,
  [SMALL_STATE(1107)] = 31312,
  [SMALL_STATE(1108)] = 31420,
  [SMALL_STATE(1109)] = 31528,
  [SMALL_STATE(1110)] = 31636,
  [SMALL_STATE(1111)] = 31744,
  [SMALL_STATE(1112)] = 31852,
  [SMALL_STATE(1113)] = 31960,
  [SMALL_STATE(1114)] = 32068,
  [SMALL_STATE(1115)] = 32176,
  [SMALL_STATE(1116)] = 32284,
  [SMALL_STATE(1117)] = 32392,
  [SMALL_STATE(1118)] = 32500,
  [SMALL_STATE(1119)] = 32608,
  [SMALL_STATE(1120)] = 32716,
  [SMALL_STATE(1121)] = 32824,
  [SMALL_STATE(1122)] = 32932,
  [SMALL_STATE(1123)] = 33040,
  [SMALL_STATE(1124)] = 33148,
  [SMALL_STATE(1125)] = 33256,
  [SMALL_STATE(1126)] = 33364,
  [SMALL_STATE(1127)] = 33472,
  [SMALL_STATE(1128)] = 33580,
  [SMALL_STATE(1129)] = 33688,
  [SMALL_STATE(1130)] = 33796,
  [SMALL_STATE(1131)] = 33904,
  [SMALL_STATE(1132)] = 34012,
  [SMALL_STATE(1133)] = 34120,
  [SMALL_STATE(1134)] = 34228,
  [SMALL_STATE(1135)] = 34336,
  [SMALL_STATE(1136)] = 34444,
  [SMALL_STATE(1137)] = 34552,
  [SMALL_STATE(1138)] = 34660,
  [SMALL_STATE(1139)] = 34768,
  [SMALL_STATE(1140)] = 34876,
  [SMALL_STATE(1141)] = 34984,
  [SMALL_STATE(1142)] = 35092,
  [SMALL_STATE(1143)] = 35200,
  [SMALL_STATE(1144)] = 35308,
  [SMALL_STATE(1145)] = 35416,
  [SMALL_STATE(1146)] = 35524,
  [SMALL_STATE(1147)] = 35632,
  [SMALL_STATE(1148)] = 35740,
  [SMALL_STATE(1149)] = 35848,
  [SMALL_STATE(1150)] = 35956,
  [SMALL_STATE(1151)] = 36064,
  [SMALL_STATE(1152)] = 36172,
  [SMALL_STATE(1153)] = 36280,
  [SMALL_STATE(1154)] = 36388,
  [SMALL_STATE(1155)] = 36496,
  [SMALL_STATE(1156)] = 36604,
  [SMALL_STATE(1157)] = 36712,
  [SMALL_STATE(1158)] = 36820,
  [SMALL_STATE(1159)] = 36928,
  [SMALL_STATE(1160)] = 37036,
  [SMALL_STATE(1161)] = 37144,
  [SMALL_STATE(1162)] = 37252,
  [SMALL_STATE(1163)] = 37360,
  [SMALL_STATE(1164)] = 37468,
  [SMALL_STATE(1165)] = 37576,
  [SMALL_STATE(1166)] = 37640,
  [SMALL_STATE(1167)] = 37748,
  [SMALL_STATE(1168)] = 37856,
  [SMALL_STATE(1169)] = 37964,
  [SMALL_STATE(1170)] = 38072,
  [SMALL_STATE(1171)] = 38180,
  [SMALL_STATE(1172)] = 38288,
  [SMALL_STATE(1173)] = 38396,
  [SMALL_STATE(1174)] = 38504,
  [SMALL_STATE(1175)] = 38612,
  [SMALL_STATE(1176)] = 38720,
  [SMALL_STATE(1177)] = 38828,
  [SMALL_STATE(1178)] = 38936,
  [SMALL_STATE(1179)] = 39044,
  [SMALL_STATE(1180)] = 39152,
  [SMALL_STATE(1181)] = 39260,
  [SMALL_STATE(1182)] = 39368,
  [SMALL_STATE(1183)] = 39476,
  [SMALL_STATE(1184)] = 39584,
  [SMALL_STATE(1185)] = 39692,
  [SMALL_STATE(1186)] = 39800,
  [SMALL_STATE(1187)] = 39908,
  [SMALL_STATE(1188)] = 40016,
  [SMALL_STATE(1189)] = 40124,
  [SMALL_STATE(1190)] = 40232,
  [SMALL_STATE(1191)] = 40340,
  [SMALL_STATE(1192)] = 40448,
  [SMALL_STATE(1193)] = 40556,
  [SMALL_STATE(1194)] = 40664,
  [SMALL_STATE(1195)] = 40772,
  [SMALL_STATE(1196)] = 40880,
  [SMALL_STATE(1197)] = 40988,
  [SMALL_STATE(1198)] = 41096,
  [SMALL_STATE(1199)] = 41204,
  [SMALL_STATE(1200)] = 41312,
  [SMALL_STATE(1201)] = 41420,
  [SMALL_STATE(1202)] = 41528,
  [SMALL_STATE(1203)] = 41636,
  [SMALL_STATE(1204)] = 41744,
  [SMALL_STATE(1205)] = 41852,
  [SMALL_STATE(1206)] = 41960,
  [SMALL_STATE(1207)] = 42068,
  [SMALL_STATE(1208)] = 42176,
  [SMALL_STATE(1209)] = 42284,
  [SMALL_STATE(1210)] = 42392,
  [SMALL_STATE(1211)] = 42500,
  [SMALL_STATE(1212)] = 42608,
  [SMALL_STATE(1213)] = 42716,
  [SMALL_STATE(1214)] = 42824,
  [SMALL_STATE(1215)] = 42932,
  [SMALL_STATE(1216)] = 43040,
  [SMALL_STATE(1217)] = 43148,
  [SMALL_STATE(1218)] = 43256,
  [SMALL_STATE(1219)] = 43364,
  [SMALL_STATE(1220)] = 43472,
  [SMALL_STATE(1221)] = 43580,
  [SMALL_STATE(1222)] = 43633,
  [SMALL_STATE(1223)] = 43728,
  [SMALL_STATE(1224)] = 43823,
  [SMALL_STATE(1225)] = 43918,
  [SMALL_STATE(1226)] = 44013,
  [SMALL_STATE(1227)] = 44108,
  [SMALL_STATE(1228)] = 44162,
  [SMALL_STATE(1229)] = 44216,
  [SMALL_STATE(1230)] = 44270,
  [SMALL_STATE(1231)] = 44324,
  [SMALL_STATE(1232)] = 44385,
  [SMALL_STATE(1233)] = 44446,
  [SMALL_STATE(1234)] = 44507,
  [SMALL_STATE(1235)] = 44568,
  [SMALL_STATE(1236)] = 44618,
  [SMALL_STATE(1237)] = 44670,
  [SMALL_STATE(1238)] = 44728,
  [SMALL_STATE(1239)] = 44780,
  [SMALL_STATE(1240)] = 44838,
  [SMALL_STATE(1241)] = 44892,
  [SMALL_STATE(1242)] = 44941,
  [SMALL_STATE(1243)] = 44990,
  [SMALL_STATE(1244)] = 45041,
  [SMALL_STATE(1245)] = 45090,
  [SMALL_STATE(1246)] = 45139,
  [SMALL_STATE(1247)] = 45188,
  [SMALL_STATE(1248)] = 45239,
  [SMALL_STATE(1249)] = 45288,
  [SMALL_STATE(1250)] = 45337,
  [SMALL_STATE(1251)] = 45388,
  [SMALL_STATE(1252)] = 45445,
  [SMALL_STATE(1253)] = 45496,
  [SMALL_STATE(1254)] = 45545,
  [SMALL_STATE(1255)] = 45594,
  [SMALL_STATE(1256)] = 45643,
  [SMALL_STATE(1257)] = 45700,
  [SMALL_STATE(1258)] = 45749,
  [SMALL_STATE(1259)] = 45798,
  [SMALL_STATE(1260)] = 45847,
  [SMALL_STATE(1261)] = 45896,
  [SMALL_STATE(1262)] = 45945,
  [SMALL_STATE(1263)] = 45994,
  [SMALL_STATE(1264)] = 46043,
  [SMALL_STATE(1265)] = 46092,
  [SMALL_STATE(1266)] = 46141,
  [SMALL_STATE(1267)] = 46190,
  [SMALL_STATE(1268)] = 46239,
  [SMALL_STATE(1269)] = 46288,
  [SMALL_STATE(1270)] = 46337,
  [SMALL_STATE(1271)] = 46386,
  [SMALL_STATE(1272)] = 46435,
  [SMALL_STATE(1273)] = 46484,
  [SMALL_STATE(1274)] = 46533,
  [SMALL_STATE(1275)] = 46582,
  [SMALL_STATE(1276)] = 46631,
  [SMALL_STATE(1277)] = 46697,
  [SMALL_STATE(1278)] = 46745,
  [SMALL_STATE(1279)] = 46823,
  [SMALL_STATE(1280)] = 46881,
  [SMALL_STATE(1281)] = 46947,
  [SMALL_STATE(1282)] = 47023,
  [SMALL_STATE(1283)] = 47091,
  [SMALL_STATE(1284)] = 47149,
  [SMALL_STATE(1285)] = 47221,
  [SMALL_STATE(1286)] = 47293,
  [SMALL_STATE(1287)] = 47371,
  [SMALL_STATE(1288)] = 47447,
  [SMALL_STATE(1289)] = 47501,
  [SMALL_STATE(1290)] = 47579,
  [SMALL_STATE(1291)] = 47657,
  [SMALL_STATE(1292)] = 47735,
  [SMALL_STATE(1293)] = 47813,
  [SMALL_STATE(1294)] = 47891,
  [SMALL_STATE(1295)] = 47969,
  [SMALL_STATE(1296)] = 48047,
  [SMALL_STATE(1297)] = 48125,
  [SMALL_STATE(1298)] = 48203,
  [SMALL_STATE(1299)] = 48277,
  [SMALL_STATE(1300)] = 48331,
  [SMALL_STATE(1301)] = 48401,
  [SMALL_STATE(1302)] = 48479,
  [SMALL_STATE(1303)] = 48535,
  [SMALL_STATE(1304)] = 48583,
  [SMALL_STATE(1305)] = 48661,
  [SMALL_STATE(1306)] = 48739,
  [SMALL_STATE(1307)] = 48803,
  [SMALL_STATE(1308)] = 48869,
  [SMALL_STATE(1309)] = 48943,
  [SMALL_STATE(1310)] = 49021,
  [SMALL_STATE(1311)] = 49091,
  [SMALL_STATE(1312)] = 49147,
  [SMALL_STATE(1313)] = 49211,
  [SMALL_STATE(1314)] = 49289,
  [SMALL_STATE(1315)] = 49367,
  [SMALL_STATE(1316)] = 49445,
  [SMALL_STATE(1317)] = 49520,
  [SMALL_STATE(1318)] = 49565,
  [SMALL_STATE(1319)] = 49640,
  [SMALL_STATE(1320)] = 49689,
  [SMALL_STATE(1321)] = 49734,
  [SMALL_STATE(1322)] = 49806,
  [SMALL_STATE(1323)] = 49878,
  [SMALL_STATE(1324)] = 49950,
  [SMALL_STATE(1325)] = 50018,
  [SMALL_STATE(1326)] = 50072,
  [SMALL_STATE(1327)] = 50144,
  [SMALL_STATE(1328)] = 50206,
  [SMALL_STATE(1329)] = 50270,
  [SMALL_STATE(1330)] = 50342,
  [SMALL_STATE(1331)] = 50414,
  [SMALL_STATE(1332)] = 50482,
  [SMALL_STATE(1333)] = 50536,
  [SMALL_STATE(1334)] = 50608,
  [SMALL_STATE(1335)] = 50680,
  [SMALL_STATE(1336)] = 50742,
  [SMALL_STATE(1337)] = 50814,
  [SMALL_STATE(1338)] = 50886,
  [SMALL_STATE(1339)] = 50958,
  [SMALL_STATE(1340)] = 51030,
  [SMALL_STATE(1341)] = 51102,
  [SMALL_STATE(1342)] = 51174,
  [SMALL_STATE(1343)] = 51246,
  [SMALL_STATE(1344)] = 51318,
  [SMALL_STATE(1345)] = 51390,
  [SMALL_STATE(1346)] = 51462,
  [SMALL_STATE(1347)] = 51534,
  [SMALL_STATE(1348)] = 51606,
  [SMALL_STATE(1349)] = 51678,
  [SMALL_STATE(1350)] = 51750,
  [SMALL_STATE(1351)] = 51822,
  [SMALL_STATE(1352)] = 51894,
  [SMALL_STATE(1353)] = 51966,
  [SMALL_STATE(1354)] = 52038,
  [SMALL_STATE(1355)] = 52110,
  [SMALL_STATE(1356)] = 52182,
  [SMALL_STATE(1357)] = 52254,
  [SMALL_STATE(1358)] = 52326,
  [SMALL_STATE(1359)] = 52398,
  [SMALL_STATE(1360)] = 52470,
  [SMALL_STATE(1361)] = 52542,
  [SMALL_STATE(1362)] = 52614,
  [SMALL_STATE(1363)] = 52686,
  [SMALL_STATE(1364)] = 52758,
  [SMALL_STATE(1365)] = 52830,
  [SMALL_STATE(1366)] = 52902,
  [SMALL_STATE(1367)] = 52974,
  [SMALL_STATE(1368)] = 53046,
  [SMALL_STATE(1369)] = 53118,
  [SMALL_STATE(1370)] = 53190,
  [SMALL_STATE(1371)] = 53262,
  [SMALL_STATE(1372)] = 53334,
  [SMALL_STATE(1373)] = 53406,
  [SMALL_STATE(1374)] = 53478,
  [SMALL_STATE(1375)] = 53550,
  [SMALL_STATE(1376)] = 53622,
  [SMALL_STATE(1377)] = 53694,
  [SMALL_STATE(1378)] = 53766,
  [SMALL_STATE(1379)] = 53838,
  [SMALL_STATE(1380)] = 53910,
  [SMALL_STATE(1381)] = 53982,
  [SMALL_STATE(1382)] = 54054,
  [SMALL_STATE(1383)] = 54126,
  [SMALL_STATE(1384)] = 54198,
  [SMALL_STATE(1385)] = 54270,
  [SMALL_STATE(1386)] = 54342,
  [SMALL_STATE(1387)] = 54414,
  [SMALL_STATE(1388)] = 54486,
  [SMALL_STATE(1389)] = 54558,
  [SMALL_STATE(1390)] = 54630,
  [SMALL_STATE(1391)] = 54702,
  [SMALL_STATE(1392)] = 54774,
  [SMALL_STATE(1393)] = 54846,
  [SMALL_STATE(1394)] = 54918,
  [SMALL_STATE(1395)] = 54990,
  [SMALL_STATE(1396)] = 55062,
  [SMALL_STATE(1397)] = 55134,
  [SMALL_STATE(1398)] = 55206,
  [SMALL_STATE(1399)] = 55278,
  [SMALL_STATE(1400)] = 55350,
  [SMALL_STATE(1401)] = 55422,
  [SMALL_STATE(1402)] = 55494,
  [SMALL_STATE(1403)] = 55566,
  [SMALL_STATE(1404)] = 55638,
  [SMALL_STATE(1405)] = 55710,
  [SMALL_STATE(1406)] = 55782,
  [SMALL_STATE(1407)] = 55854,
  [SMALL_STATE(1408)] = 55926,
  [SMALL_STATE(1409)] = 55998,
  [SMALL_STATE(1410)] = 56070,
  [SMALL_STATE(1411)] = 56142,
  [SMALL_STATE(1412)] = 56214,
  [SMALL_STATE(1413)] = 56286,
  [SMALL_STATE(1414)] = 56358,
  [SMALL_STATE(1415)] = 56430,
  [SMALL_STATE(1416)] = 56502,
  [SMALL_STATE(1417)] = 56574,
  [SMALL_STATE(1418)] = 56646,
  [SMALL_STATE(1419)] = 56718,
  [SMALL_STATE(1420)] = 56790,
  [SMALL_STATE(1421)] = 56862,
  [SMALL_STATE(1422)] = 56934,
  [SMALL_STATE(1423)] = 57006,
  [SMALL_STATE(1424)] = 57078,
  [SMALL_STATE(1425)] = 57150,
  [SMALL_STATE(1426)] = 57222,
  [SMALL_STATE(1427)] = 57294,
  [SMALL_STATE(1428)] = 57366,
  [SMALL_STATE(1429)] = 57438,
  [SMALL_STATE(1430)] = 57510,
  [SMALL_STATE(1431)] = 57582,
  [SMALL_STATE(1432)] = 57654,
  [SMALL_STATE(1433)] = 57726,
  [SMALL_STATE(1434)] = 57798,
  [SMALL_STATE(1435)] = 57870,
  [SMALL_STATE(1436)] = 57942,
  [SMALL_STATE(1437)] = 58014,
  [SMALL_STATE(1438)] = 58086,
  [SMALL_STATE(1439)] = 58158,
  [SMALL_STATE(1440)] = 58230,
  [SMALL_STATE(1441)] = 58302,
  [SMALL_STATE(1442)] = 58374,
  [SMALL_STATE(1443)] = 58446,
  [SMALL_STATE(1444)] = 58518,
  [SMALL_STATE(1445)] = 58590,
  [SMALL_STATE(1446)] = 58662,
  [SMALL_STATE(1447)] = 58734,
  [SMALL_STATE(1448)] = 58806,
  [SMALL_STATE(1449)] = 58878,
  [SMALL_STATE(1450)] = 58950,
  [SMALL_STATE(1451)] = 59022,
  [SMALL_STATE(1452)] = 59094,
  [SMALL_STATE(1453)] = 59166,
  [SMALL_STATE(1454)] = 59238,
  [SMALL_STATE(1455)] = 59310,
  [SMALL_STATE(1456)] = 59382,
  [SMALL_STATE(1457)] = 59454,
  [SMALL_STATE(1458)] = 59526,
  [SMALL_STATE(1459)] = 59598,
  [SMALL_STATE(1460)] = 59670,
  [SMALL_STATE(1461)] = 59742,
  [SMALL_STATE(1462)] = 59814,
  [SMALL_STATE(1463)] = 59886,
  [SMALL_STATE(1464)] = 59958,
  [SMALL_STATE(1465)] = 60030,
  [SMALL_STATE(1466)] = 60102,
  [SMALL_STATE(1467)] = 60174,
  [SMALL_STATE(1468)] = 60246,
  [SMALL_STATE(1469)] = 60318,
  [SMALL_STATE(1470)] = 60390,
  [SMALL_STATE(1471)] = 60462,
  [SMALL_STATE(1472)] = 60534,
  [SMALL_STATE(1473)] = 60606,
  [SMALL_STATE(1474)] = 60678,
  [SMALL_STATE(1475)] = 60750,
  [SMALL_STATE(1476)] = 60822,
  [SMALL_STATE(1477)] = 60894,
  [SMALL_STATE(1478)] = 60966,
  [SMALL_STATE(1479)] = 61038,
  [SMALL_STATE(1480)] = 61110,
  [SMALL_STATE(1481)] = 61182,
  [SMALL_STATE(1482)] = 61254,
  [SMALL_STATE(1483)] = 61326,
  [SMALL_STATE(1484)] = 61398,
  [SMALL_STATE(1485)] = 61470,
  [SMALL_STATE(1486)] = 61542,
  [SMALL_STATE(1487)] = 61614,
  [SMALL_STATE(1488)] = 61686,
  [SMALL_STATE(1489)] = 61758,
  [SMALL_STATE(1490)] = 61830,
  [SMALL_STATE(1491)] = 61902,
  [SMALL_STATE(1492)] = 61974,
  [SMALL_STATE(1493)] = 62046,
  [SMALL_STATE(1494)] = 62118,
  [SMALL_STATE(1495)] = 62190,
  [SMALL_STATE(1496)] = 62262,
  [SMALL_STATE(1497)] = 62334,
  [SMALL_STATE(1498)] = 62406,
  [SMALL_STATE(1499)] = 62478,
  [SMALL_STATE(1500)] = 62550,
  [SMALL_STATE(1501)] = 62622,
  [SMALL_STATE(1502)] = 62694,
  [SMALL_STATE(1503)] = 62766,
  [SMALL_STATE(1504)] = 62838,
  [SMALL_STATE(1505)] = 62910,
  [SMALL_STATE(1506)] = 62982,
  [SMALL_STATE(1507)] = 63054,
  [SMALL_STATE(1508)] = 63126,
  [SMALL_STATE(1509)] = 63198,
  [SMALL_STATE(1510)] = 63270,
  [SMALL_STATE(1511)] = 63342,
  [SMALL_STATE(1512)] = 63414,
  [SMALL_STATE(1513)] = 63486,
  [SMALL_STATE(1514)] = 63558,
  [SMALL_STATE(1515)] = 63630,
  [SMALL_STATE(1516)] = 63702,
  [SMALL_STATE(1517)] = 63774,
  [SMALL_STATE(1518)] = 63846,
  [SMALL_STATE(1519)] = 63918,
  [SMALL_STATE(1520)] = 63990,
  [SMALL_STATE(1521)] = 64062,
  [SMALL_STATE(1522)] = 64134,
  [SMALL_STATE(1523)] = 64206,
  [SMALL_STATE(1524)] = 64278,
  [SMALL_STATE(1525)] = 64350,
  [SMALL_STATE(1526)] = 64422,
  [SMALL_STATE(1527)] = 64494,
  [SMALL_STATE(1528)] = 64566,
  [SMALL_STATE(1529)] = 64638,
  [SMALL_STATE(1530)] = 64710,
  [SMALL_STATE(1531)] = 64782,
  [SMALL_STATE(1532)] = 64854,
  [SMALL_STATE(1533)] = 64926,
  [SMALL_STATE(1534)] = 64998,
  [SMALL_STATE(1535)] = 65070,
  [SMALL_STATE(1536)] = 65142,
  [SMALL_STATE(1537)] = 65214,
  [SMALL_STATE(1538)] = 65286,
  [SMALL_STATE(1539)] = 65358,
  [SMALL_STATE(1540)] = 65430,
  [SMALL_STATE(1541)] = 65502,
  [SMALL_STATE(1542)] = 65574,
  [SMALL_STATE(1543)] = 65646,
  [SMALL_STATE(1544)] = 65718,
  [SMALL_STATE(1545)] = 65790,
  [SMALL_STATE(1546)] = 65862,
  [SMALL_STATE(1547)] = 65934,
  [SMALL_STATE(1548)] = 66006,
  [SMALL_STATE(1549)] = 66078,
  [SMALL_STATE(1550)] = 66150,
  [SMALL_STATE(1551)] = 66222,
  [SMALL_STATE(1552)] = 66294,
  [SMALL_STATE(1553)] = 66366,
  [SMALL_STATE(1554)] = 66438,
  [SMALL_STATE(1555)] = 66510,
  [SMALL_STATE(1556)] = 66582,
  [SMALL_STATE(1557)] = 66654,
  [SMALL_STATE(1558)] = 66702,
  [SMALL_STATE(1559)] = 66774,
  [SMALL_STATE(1560)] = 66846,
  [SMALL_STATE(1561)] = 66918,
  [SMALL_STATE(1562)] = 66990,
  [SMALL_STATE(1563)] = 67062,
  [SMALL_STATE(1564)] = 67134,
  [SMALL_STATE(1565)] = 67206,
  [SMALL_STATE(1566)] = 67278,
  [SMALL_STATE(1567)] = 67350,
  [SMALL_STATE(1568)] = 67422,
  [SMALL_STATE(1569)] = 67494,
  [SMALL_STATE(1570)] = 67565,
  [SMALL_STATE(1571)] = 67636,
  [SMALL_STATE(1572)] = 67707,
  [SMALL_STATE(1573)] = 67778,
  [SMALL_STATE(1574)] = 67842,
  [SMALL_STATE(1575)] = 67906,
  [SMALL_STATE(1576)] = 67970,
  [SMALL_STATE(1577)] = 68034,
  [SMALL_STATE(1578)] = 68098,
  [SMALL_STATE(1579)] = 68162,
  [SMALL_STATE(1580)] = 68226,
  [SMALL_STATE(1581)] = 68290,
  [SMALL_STATE(1582)] = 68354,
  [SMALL_STATE(1583)] = 68418,
  [SMALL_STATE(1584)] = 68482,
  [SMALL_STATE(1585)] = 68546,
  [SMALL_STATE(1586)] = 68610,
  [SMALL_STATE(1587)] = 68674,
  [SMALL_STATE(1588)] = 68724,
  [SMALL_STATE(1589)] = 68788,
  [SMALL_STATE(1590)] = 68852,
  [SMALL_STATE(1591)] = 68916,
  [SMALL_STATE(1592)] = 68980,
  [SMALL_STATE(1593)] = 69044,
  [SMALL_STATE(1594)] = 69108,
  [SMALL_STATE(1595)] = 69172,
  [SMALL_STATE(1596)] = 69236,
  [SMALL_STATE(1597)] = 69300,
  [SMALL_STATE(1598)] = 69364,
  [SMALL_STATE(1599)] = 69428,
  [SMALL_STATE(1600)] = 69492,
  [SMALL_STATE(1601)] = 69556,
  [SMALL_STATE(1602)] = 69620,
  [SMALL_STATE(1603)] = 69684,
  [SMALL_STATE(1604)] = 69748,
  [SMALL_STATE(1605)] = 69812,
  [SMALL_STATE(1606)] = 69873,
  [SMALL_STATE(1607)] = 69934,
  [SMALL_STATE(1608)] = 69995,
  [SMALL_STATE(1609)] = 70056,
  [SMALL_STATE(1610)] = 70117,
  [SMALL_STATE(1611)] = 70178,
  [SMALL_STATE(1612)] = 70239,
  [SMALL_STATE(1613)] = 70300,
  [SMALL_STATE(1614)] = 70361,
  [SMALL_STATE(1615)] = 70422,
  [SMALL_STATE(1616)] = 70469,
  [SMALL_STATE(1617)] = 70530,
  [SMALL_STATE(1618)] = 70591,
  [SMALL_STATE(1619)] = 70652,
  [SMALL_STATE(1620)] = 70713,
  [SMALL_STATE(1621)] = 70774,
  [SMALL_STATE(1622)] = 70835,
  [SMALL_STATE(1623)] = 70896,
  [SMALL_STATE(1624)] = 70957,
  [SMALL_STATE(1625)] = 71018,
  [SMALL_STATE(1626)] = 71079,
  [SMALL_STATE(1627)] = 71140,
  [SMALL_STATE(1628)] = 71201,
  [SMALL_STATE(1629)] = 71262,
  [SMALL_STATE(1630)] = 71323,
  [SMALL_STATE(1631)] = 71384,
  [SMALL_STATE(1632)] = 71445,
  [SMALL_STATE(1633)] = 71492,
  [SMALL_STATE(1634)] = 71553,
  [SMALL_STATE(1635)] = 71614,
  [SMALL_STATE(1636)] = 71675,
  [SMALL_STATE(1637)] = 71736,
  [SMALL_STATE(1638)] = 71797,
  [SMALL_STATE(1639)] = 71858,
  [SMALL_STATE(1640)] = 71919,
  [SMALL_STATE(1641)] = 71980,
  [SMALL_STATE(1642)] = 72041,
  [SMALL_STATE(1643)] = 72102,
  [SMALL_STATE(1644)] = 72163,
  [SMALL_STATE(1645)] = 72224,
  [SMALL_STATE(1646)] = 72285,
  [SMALL_STATE(1647)] = 72346,
  [SMALL_STATE(1648)] = 72407,
  [SMALL_STATE(1649)] = 72468,
  [SMALL_STATE(1650)] = 72529,
  [SMALL_STATE(1651)] = 72590,
  [SMALL_STATE(1652)] = 72651,
  [SMALL_STATE(1653)] = 72712,
  [SMALL_STATE(1654)] = 72773,
  [SMALL_STATE(1655)] = 72834,
  [SMALL_STATE(1656)] = 72895,
  [SMALL_STATE(1657)] = 72956,
  [SMALL_STATE(1658)] = 73017,
  [SMALL_STATE(1659)] = 73078,
  [SMALL_STATE(1660)] = 73139,
  [SMALL_STATE(1661)] = 73200,
  [SMALL_STATE(1662)] = 73261,
  [SMALL_STATE(1663)] = 73322,
  [SMALL_STATE(1664)] = 73383,
  [SMALL_STATE(1665)] = 73444,
  [SMALL_STATE(1666)] = 73505,
  [SMALL_STATE(1667)] = 73566,
  [SMALL_STATE(1668)] = 73627,
  [SMALL_STATE(1669)] = 73688,
  [SMALL_STATE(1670)] = 73749,
  [SMALL_STATE(1671)] = 73810,
  [SMALL_STATE(1672)] = 73871,
  [SMALL_STATE(1673)] = 73932,
  [SMALL_STATE(1674)] = 73993,
  [SMALL_STATE(1675)] = 74054,
  [SMALL_STATE(1676)] = 74115,
  [SMALL_STATE(1677)] = 74176,
  [SMALL_STATE(1678)] = 74237,
  [SMALL_STATE(1679)] = 74298,
  [SMALL_STATE(1680)] = 74359,
  [SMALL_STATE(1681)] = 74420,
  [SMALL_STATE(1682)] = 74481,
  [SMALL_STATE(1683)] = 74542,
  [SMALL_STATE(1684)] = 74603,
  [SMALL_STATE(1685)] = 74664,
  [SMALL_STATE(1686)] = 74725,
  [SMALL_STATE(1687)] = 74786,
  [SMALL_STATE(1688)] = 74847,
  [SMALL_STATE(1689)] = 74908,
  [SMALL_STATE(1690)] = 74969,
  [SMALL_STATE(1691)] = 75030,
  [SMALL_STATE(1692)] = 75091,
  [SMALL_STATE(1693)] = 75139,
  [SMALL_STATE(1694)] = 75187,
  [SMALL_STATE(1695)] = 75235,
  [SMALL_STATE(1696)] = 75283,
  [SMALL_STATE(1697)] = 75331,
  [SMALL_STATE(1698)] = 75379,
  [SMALL_STATE(1699)] = 75427,
  [SMALL_STATE(1700)] = 75475,
  [SMALL_STATE(1701)] = 75523,
  [SMALL_STATE(1702)] = 75571,
  [SMALL_STATE(1703)] = 75619,
  [SMALL_STATE(1704)] = 75667,
  [SMALL_STATE(1705)] = 75715,
  [SMALL_STATE(1706)] = 75763,
  [SMALL_STATE(1707)] = 75811,
  [SMALL_STATE(1708)] = 75859,
  [SMALL_STATE(1709)] = 75907,
  [SMALL_STATE(1710)] = 75955,
  [SMALL_STATE(1711)] = 76003,
  [SMALL_STATE(1712)] = 76051,
  [SMALL_STATE(1713)] = 76099,
  [SMALL_STATE(1714)] = 76147,
  [SMALL_STATE(1715)] = 76195,
  [SMALL_STATE(1716)] = 76243,
  [SMALL_STATE(1717)] = 76291,
  [SMALL_STATE(1718)] = 76339,
  [SMALL_STATE(1719)] = 76387,
  [SMALL_STATE(1720)] = 76435,
  [SMALL_STATE(1721)] = 76483,
  [SMALL_STATE(1722)] = 76531,
  [SMALL_STATE(1723)] = 76579,
  [SMALL_STATE(1724)] = 76627,
  [SMALL_STATE(1725)] = 76675,
  [SMALL_STATE(1726)] = 76713,
  [SMALL_STATE(1727)] = 76761,
  [SMALL_STATE(1728)] = 76809,
  [SMALL_STATE(1729)] = 76857,
  [SMALL_STATE(1730)] = 76905,
  [SMALL_STATE(1731)] = 76953,
  [SMALL_STATE(1732)] = 77001,
  [SMALL_STATE(1733)] = 77049,
  [SMALL_STATE(1734)] = 77097,
  [SMALL_STATE(1735)] = 77145,
  [SMALL_STATE(1736)] = 77193,
  [SMALL_STATE(1737)] = 77241,
  [SMALL_STATE(1738)] = 77289,
  [SMALL_STATE(1739)] = 77337,
  [SMALL_STATE(1740)] = 77385,
  [SMALL_STATE(1741)] = 77433,
  [SMALL_STATE(1742)] = 77481,
  [SMALL_STATE(1743)] = 77529,
  [SMALL_STATE(1744)] = 77577,
  [SMALL_STATE(1745)] = 77625,
  [SMALL_STATE(1746)] = 77673,
  [SMALL_STATE(1747)] = 77721,
  [SMALL_STATE(1748)] = 77769,
  [SMALL_STATE(1749)] = 77817,
  [SMALL_STATE(1750)] = 77865,
  [SMALL_STATE(1751)] = 77913,
  [SMALL_STATE(1752)] = 77961,
  [SMALL_STATE(1753)] = 78009,
  [SMALL_STATE(1754)] = 78057,
  [SMALL_STATE(1755)] = 78105,
  [SMALL_STATE(1756)] = 78153,
  [SMALL_STATE(1757)] = 78201,
  [SMALL_STATE(1758)] = 78249,
  [SMALL_STATE(1759)] = 78297,
  [SMALL_STATE(1760)] = 78345,
  [SMALL_STATE(1761)] = 78393,
  [SMALL_STATE(1762)] = 78441,
  [SMALL_STATE(1763)] = 78489,
  [SMALL_STATE(1764)] = 78537,
  [SMALL_STATE(1765)] = 78585,
  [SMALL_STATE(1766)] = 78633,
  [SMALL_STATE(1767)] = 78672,
  [SMALL_STATE(1768)] = 78711,
  [SMALL_STATE(1769)] = 78747,
  [SMALL_STATE(1770)] = 78783,
  [SMALL_STATE(1771)] = 78819,
  [SMALL_STATE(1772)] = 78855,
  [SMALL_STATE(1773)] = 78891,
  [SMALL_STATE(1774)] = 78927,
  [SMALL_STATE(1775)] = 78963,
  [SMALL_STATE(1776)] = 78999,
  [SMALL_STATE(1777)] = 79035,
  [SMALL_STATE(1778)] = 79071,
  [SMALL_STATE(1779)] = 79107,
  [SMALL_STATE(1780)] = 79143,
  [SMALL_STATE(1781)] = 79179,
  [SMALL_STATE(1782)] = 79215,
  [SMALL_STATE(1783)] = 79251,
  [SMALL_STATE(1784)] = 79287,
  [SMALL_STATE(1785)] = 79323,
  [SMALL_STATE(1786)] = 79359,
  [SMALL_STATE(1787)] = 79395,
  [SMALL_STATE(1788)] = 79431,
  [SMALL_STATE(1789)] = 79467,
  [SMALL_STATE(1790)] = 79503,
  [SMALL_STATE(1791)] = 79539,
  [SMALL_STATE(1792)] = 79575,
  [SMALL_STATE(1793)] = 79611,
  [SMALL_STATE(1794)] = 79647,
  [SMALL_STATE(1795)] = 79683,
  [SMALL_STATE(1796)] = 79719,
  [SMALL_STATE(1797)] = 79755,
  [SMALL_STATE(1798)] = 79791,
  [SMALL_STATE(1799)] = 79827,
  [SMALL_STATE(1800)] = 79863,
  [SMALL_STATE(1801)] = 79899,
  [SMALL_STATE(1802)] = 79935,
  [SMALL_STATE(1803)] = 79971,
  [SMALL_STATE(1804)] = 80007,
  [SMALL_STATE(1805)] = 80058,
  [SMALL_STATE(1806)] = 80105,
  [SMALL_STATE(1807)] = 80152,
  [SMALL_STATE(1808)] = 80199,
  [SMALL_STATE(1809)] = 80246,
  [SMALL_STATE(1810)] = 80290,
  [SMALL_STATE(1811)] = 80316,
  [SMALL_STATE(1812)] = 80342,
  [SMALL_STATE(1813)] = 80368,
  [SMALL_STATE(1814)] = 80394,
  [SMALL_STATE(1815)] = 80420,
  [SMALL_STATE(1816)] = 80446,
  [SMALL_STATE(1817)] = 80472,
  [SMALL_STATE(1818)] = 80498,
  [SMALL_STATE(1819)] = 80524,
  [SMALL_STATE(1820)] = 80550,
  [SMALL_STATE(1821)] = 80576,
  [SMALL_STATE(1822)] = 80602,
  [SMALL_STATE(1823)] = 80630,
  [SMALL_STATE(1824)] = 80658,
  [SMALL_STATE(1825)] = 80684,
  [SMALL_STATE(1826)] = 80712,
  [SMALL_STATE(1827)] = 80740,
  [SMALL_STATE(1828)] = 80766,
  [SMALL_STATE(1829)] = 80794,
  [SMALL_STATE(1830)] = 80820,
  [SMALL_STATE(1831)] = 80846,
  [SMALL_STATE(1832)] = 80872,
  [SMALL_STATE(1833)] = 80898,
  [SMALL_STATE(1834)] = 80924,
  [SMALL_STATE(1835)] = 80950,
  [SMALL_STATE(1836)] = 80978,
  [SMALL_STATE(1837)] = 81006,
  [SMALL_STATE(1838)] = 81031,
  [SMALL_STATE(1839)] = 81054,
  [SMALL_STATE(1840)] = 81077,
  [SMALL_STATE(1841)] = 81102,
  [SMALL_STATE(1842)] = 81121,
  [SMALL_STATE(1843)] = 81146,
  [SMALL_STATE(1844)] = 81165,
  [SMALL_STATE(1845)] = 81188,
  [SMALL_STATE(1846)] = 81213,
  [SMALL_STATE(1847)] = 81238,
  [SMALL_STATE(1848)] = 81261,
  [SMALL_STATE(1849)] = 81286,
  [SMALL_STATE(1850)] = 81305,
  [SMALL_STATE(1851)] = 81330,
  [SMALL_STATE(1852)] = 81355,
  [SMALL_STATE(1853)] = 81378,
  [SMALL_STATE(1854)] = 81403,
  [SMALL_STATE(1855)] = 81428,
  [SMALL_STATE(1856)] = 81451,
  [SMALL_STATE(1857)] = 81476,
  [SMALL_STATE(1858)] = 81499,
  [SMALL_STATE(1859)] = 81524,
  [SMALL_STATE(1860)] = 81547,
  [SMALL_STATE(1861)] = 81572,
  [SMALL_STATE(1862)] = 81597,
  [SMALL_STATE(1863)] = 81620,
  [SMALL_STATE(1864)] = 81643,
  [SMALL_STATE(1865)] = 81668,
  [SMALL_STATE(1866)] = 81693,
  [SMALL_STATE(1867)] = 81716,
  [SMALL_STATE(1868)] = 81741,
  [SMALL_STATE(1869)] = 81766,
  [SMALL_STATE(1870)] = 81789,
  [SMALL_STATE(1871)] = 81812,
  [SMALL_STATE(1872)] = 81837,
  [SMALL_STATE(1873)] = 81862,
  [SMALL_STATE(1874)] = 81887,
  [SMALL_STATE(1875)] = 81910,
  [SMALL_STATE(1876)] = 81935,
  [SMALL_STATE(1877)] = 81958,
  [SMALL_STATE(1878)] = 81983,
  [SMALL_STATE(1879)] = 82006,
  [SMALL_STATE(1880)] = 82029,
  [SMALL_STATE(1881)] = 82054,
  [SMALL_STATE(1882)] = 82079,
  [SMALL_STATE(1883)] = 82104,
  [SMALL_STATE(1884)] = 82124,
  [SMALL_STATE(1885)] = 82146,
  [SMALL_STATE(1886)] = 82166,
  [SMALL_STATE(1887)] = 82188,
  [SMALL_STATE(1888)] = 82208,
  [SMALL_STATE(1889)] = 82230,
  [SMALL_STATE(1890)] = 82252,
  [SMALL_STATE(1891)] = 82274,
  [SMALL_STATE(1892)] = 82296,
  [SMALL_STATE(1893)] = 82316,
  [SMALL_STATE(1894)] = 82336,
  [SMALL_STATE(1895)] = 82358,
  [SMALL_STATE(1896)] = 82376,
  [SMALL_STATE(1897)] = 82398,
  [SMALL_STATE(1898)] = 82418,
  [SMALL_STATE(1899)] = 82438,
  [SMALL_STATE(1900)] = 82460,
  [SMALL_STATE(1901)] = 82482,
  [SMALL_STATE(1902)] = 82502,
  [SMALL_STATE(1903)] = 82524,
  [SMALL_STATE(1904)] = 82544,
  [SMALL_STATE(1905)] = 82566,
  [SMALL_STATE(1906)] = 82586,
  [SMALL_STATE(1907)] = 82606,
  [SMALL_STATE(1908)] = 82628,
  [SMALL_STATE(1909)] = 82648,
  [SMALL_STATE(1910)] = 82670,
  [SMALL_STATE(1911)] = 82689,
  [SMALL_STATE(1912)] = 82708,
  [SMALL_STATE(1913)] = 82727,
  [SMALL_STATE(1914)] = 82742,
  [SMALL_STATE(1915)] = 82761,
  [SMALL_STATE(1916)] = 82776,
  [SMALL_STATE(1917)] = 82795,
  [SMALL_STATE(1918)] = 82812,
  [SMALL_STATE(1919)] = 82829,
  [SMALL_STATE(1920)] = 82844,
  [SMALL_STATE(1921)] = 82863,
  [SMALL_STATE(1922)] = 82880,
  [SMALL_STATE(1923)] = 82899,
  [SMALL_STATE(1924)] = 82918,
  [SMALL_STATE(1925)] = 82937,
  [SMALL_STATE(1926)] = 82956,
  [SMALL_STATE(1927)] = 82975,
  [SMALL_STATE(1928)] = 82994,
  [SMALL_STATE(1929)] = 83013,
  [SMALL_STATE(1930)] = 83032,
  [SMALL_STATE(1931)] = 83051,
  [SMALL_STATE(1932)] = 83070,
  [SMALL_STATE(1933)] = 83089,
  [SMALL_STATE(1934)] = 83108,
  [SMALL_STATE(1935)] = 83127,
  [SMALL_STATE(1936)] = 83146,
  [SMALL_STATE(1937)] = 83165,
  [SMALL_STATE(1938)] = 83184,
  [SMALL_STATE(1939)] = 83203,
  [SMALL_STATE(1940)] = 83222,
  [SMALL_STATE(1941)] = 83241,
  [SMALL_STATE(1942)] = 83258,
  [SMALL_STATE(1943)] = 83277,
  [SMALL_STATE(1944)] = 83294,
  [SMALL_STATE(1945)] = 83311,
  [SMALL_STATE(1946)] = 83330,
  [SMALL_STATE(1947)] = 83349,
  [SMALL_STATE(1948)] = 83365,
  [SMALL_STATE(1949)] = 83379,
  [SMALL_STATE(1950)] = 83395,
  [SMALL_STATE(1951)] = 83411,
  [SMALL_STATE(1952)] = 83425,
  [SMALL_STATE(1953)] = 83441,
  [SMALL_STATE(1954)] = 83457,
  [SMALL_STATE(1955)] = 83473,
  [SMALL_STATE(1956)] = 83489,
  [SMALL_STATE(1957)] = 83505,
  [SMALL_STATE(1958)] = 83519,
  [SMALL_STATE(1959)] = 83535,
  [SMALL_STATE(1960)] = 83551,
  [SMALL_STATE(1961)] = 83567,
  [SMALL_STATE(1962)] = 83583,
  [SMALL_STATE(1963)] = 83599,
  [SMALL_STATE(1964)] = 83615,
  [SMALL_STATE(1965)] = 83629,
  [SMALL_STATE(1966)] = 83643,
  [SMALL_STATE(1967)] = 83657,
  [SMALL_STATE(1968)] = 83673,
  [SMALL_STATE(1969)] = 83689,
  [SMALL_STATE(1970)] = 83705,
  [SMALL_STATE(1971)] = 83721,
  [SMALL_STATE(1972)] = 83737,
  [SMALL_STATE(1973)] = 83753,
  [SMALL_STATE(1974)] = 83767,
  [SMALL_STATE(1975)] = 83781,
  [SMALL_STATE(1976)] = 83795,
  [SMALL_STATE(1977)] = 83811,
  [SMALL_STATE(1978)] = 83825,
  [SMALL_STATE(1979)] = 83839,
  [SMALL_STATE(1980)] = 83855,
  [SMALL_STATE(1981)] = 83871,
  [SMALL_STATE(1982)] = 83887,
  [SMALL_STATE(1983)] = 83901,
  [SMALL_STATE(1984)] = 83917,
  [SMALL_STATE(1985)] = 83933,
  [SMALL_STATE(1986)] = 83949,
  [SMALL_STATE(1987)] = 83965,
  [SMALL_STATE(1988)] = 83981,
  [SMALL_STATE(1989)] = 83997,
  [SMALL_STATE(1990)] = 84013,
  [SMALL_STATE(1991)] = 84029,
  [SMALL_STATE(1992)] = 84043,
  [SMALL_STATE(1993)] = 84059,
  [SMALL_STATE(1994)] = 84075,
  [SMALL_STATE(1995)] = 84091,
  [SMALL_STATE(1996)] = 84107,
  [SMALL_STATE(1997)] = 84123,
  [SMALL_STATE(1998)] = 84139,
  [SMALL_STATE(1999)] = 84155,
  [SMALL_STATE(2000)] = 84171,
  [SMALL_STATE(2001)] = 84187,
  [SMALL_STATE(2002)] = 84203,
  [SMALL_STATE(2003)] = 84219,
  [SMALL_STATE(2004)] = 84235,
  [SMALL_STATE(2005)] = 84251,
  [SMALL_STATE(2006)] = 84267,
  [SMALL_STATE(2007)] = 84283,
  [SMALL_STATE(2008)] = 84299,
  [SMALL_STATE(2009)] = 84315,
  [SMALL_STATE(2010)] = 84331,
  [SMALL_STATE(2011)] = 84347,
  [SMALL_STATE(2012)] = 84363,
  [SMALL_STATE(2013)] = 84379,
  [SMALL_STATE(2014)] = 84395,
  [SMALL_STATE(2015)] = 84409,
  [SMALL_STATE(2016)] = 84425,
  [SMALL_STATE(2017)] = 84441,
  [SMALL_STATE(2018)] = 84457,
  [SMALL_STATE(2019)] = 84473,
  [SMALL_STATE(2020)] = 84489,
  [SMALL_STATE(2021)] = 84505,
  [SMALL_STATE(2022)] = 84521,
  [SMALL_STATE(2023)] = 84537,
  [SMALL_STATE(2024)] = 84551,
  [SMALL_STATE(2025)] = 84567,
  [SMALL_STATE(2026)] = 84583,
  [SMALL_STATE(2027)] = 84599,
  [SMALL_STATE(2028)] = 84615,
  [SMALL_STATE(2029)] = 84631,
  [SMALL_STATE(2030)] = 84647,
  [SMALL_STATE(2031)] = 84663,
  [SMALL_STATE(2032)] = 84679,
  [SMALL_STATE(2033)] = 84695,
  [SMALL_STATE(2034)] = 84711,
  [SMALL_STATE(2035)] = 84727,
  [SMALL_STATE(2036)] = 84743,
  [SMALL_STATE(2037)] = 84759,
  [SMALL_STATE(2038)] = 84775,
  [SMALL_STATE(2039)] = 84791,
  [SMALL_STATE(2040)] = 84807,
  [SMALL_STATE(2041)] = 84823,
  [SMALL_STATE(2042)] = 84839,
  [SMALL_STATE(2043)] = 84855,
  [SMALL_STATE(2044)] = 84871,
  [SMALL_STATE(2045)] = 84885,
  [SMALL_STATE(2046)] = 84901,
  [SMALL_STATE(2047)] = 84917,
  [SMALL_STATE(2048)] = 84933,
  [SMALL_STATE(2049)] = 84949,
  [SMALL_STATE(2050)] = 84965,
  [SMALL_STATE(2051)] = 84981,
  [SMALL_STATE(2052)] = 84997,
  [SMALL_STATE(2053)] = 85013,
  [SMALL_STATE(2054)] = 85029,
  [SMALL_STATE(2055)] = 85045,
  [SMALL_STATE(2056)] = 85061,
  [SMALL_STATE(2057)] = 85077,
  [SMALL_STATE(2058)] = 85093,
  [SMALL_STATE(2059)] = 85107,
  [SMALL_STATE(2060)] = 85121,
  [SMALL_STATE(2061)] = 85137,
  [SMALL_STATE(2062)] = 85151,
  [SMALL_STATE(2063)] = 85165,
  [SMALL_STATE(2064)] = 85179,
  [SMALL_STATE(2065)] = 85195,
  [SMALL_STATE(2066)] = 85211,
  [SMALL_STATE(2067)] = 85227,
  [SMALL_STATE(2068)] = 85243,
  [SMALL_STATE(2069)] = 85259,
  [SMALL_STATE(2070)] = 85275,
  [SMALL_STATE(2071)] = 85291,
  [SMALL_STATE(2072)] = 85307,
  [SMALL_STATE(2073)] = 85323,
  [SMALL_STATE(2074)] = 85339,
  [SMALL_STATE(2075)] = 85353,
  [SMALL_STATE(2076)] = 85369,
  [SMALL_STATE(2077)] = 85385,
  [SMALL_STATE(2078)] = 85401,
  [SMALL_STATE(2079)] = 85417,
  [SMALL_STATE(2080)] = 85433,
  [SMALL_STATE(2081)] = 85449,
  [SMALL_STATE(2082)] = 85465,
  [SMALL_STATE(2083)] = 85479,
  [SMALL_STATE(2084)] = 85495,
  [SMALL_STATE(2085)] = 85511,
  [SMALL_STATE(2086)] = 85527,
  [SMALL_STATE(2087)] = 85543,
  [SMALL_STATE(2088)] = 85557,
  [SMALL_STATE(2089)] = 85573,
  [SMALL_STATE(2090)] = 85589,
  [SMALL_STATE(2091)] = 85605,
  [SMALL_STATE(2092)] = 85621,
  [SMALL_STATE(2093)] = 85635,
  [SMALL_STATE(2094)] = 85651,
  [SMALL_STATE(2095)] = 85667,
  [SMALL_STATE(2096)] = 85683,
  [SMALL_STATE(2097)] = 85699,
  [SMALL_STATE(2098)] = 85715,
  [SMALL_STATE(2099)] = 85731,
  [SMALL_STATE(2100)] = 85747,
  [SMALL_STATE(2101)] = 85763,
  [SMALL_STATE(2102)] = 85779,
  [SMALL_STATE(2103)] = 85795,
  [SMALL_STATE(2104)] = 85811,
  [SMALL_STATE(2105)] = 85827,
  [SMALL_STATE(2106)] = 85843,
  [SMALL_STATE(2107)] = 85859,
  [SMALL_STATE(2108)] = 85875,
  [SMALL_STATE(2109)] = 85891,
  [SMALL_STATE(2110)] = 85905,
  [SMALL_STATE(2111)] = 85921,
  [SMALL_STATE(2112)] = 85937,
  [SMALL_STATE(2113)] = 85953,
  [SMALL_STATE(2114)] = 85969,
  [SMALL_STATE(2115)] = 85985,
  [SMALL_STATE(2116)] = 86001,
  [SMALL_STATE(2117)] = 86017,
  [SMALL_STATE(2118)] = 86033,
  [SMALL_STATE(2119)] = 86049,
  [SMALL_STATE(2120)] = 86063,
  [SMALL_STATE(2121)] = 86079,
  [SMALL_STATE(2122)] = 86095,
  [SMALL_STATE(2123)] = 86111,
  [SMALL_STATE(2124)] = 86127,
  [SMALL_STATE(2125)] = 86143,
  [SMALL_STATE(2126)] = 86159,
  [SMALL_STATE(2127)] = 86175,
  [SMALL_STATE(2128)] = 86191,
  [SMALL_STATE(2129)] = 86207,
  [SMALL_STATE(2130)] = 86223,
  [SMALL_STATE(2131)] = 86239,
  [SMALL_STATE(2132)] = 86255,
  [SMALL_STATE(2133)] = 86271,
  [SMALL_STATE(2134)] = 86287,
  [SMALL_STATE(2135)] = 86303,
  [SMALL_STATE(2136)] = 86319,
  [SMALL_STATE(2137)] = 86335,
  [SMALL_STATE(2138)] = 86351,
  [SMALL_STATE(2139)] = 86367,
  [SMALL_STATE(2140)] = 86383,
  [SMALL_STATE(2141)] = 86399,
  [SMALL_STATE(2142)] = 86415,
  [SMALL_STATE(2143)] = 86431,
  [SMALL_STATE(2144)] = 86447,
  [SMALL_STATE(2145)] = 86463,
  [SMALL_STATE(2146)] = 86479,
  [SMALL_STATE(2147)] = 86493,
  [SMALL_STATE(2148)] = 86509,
  [SMALL_STATE(2149)] = 86525,
  [SMALL_STATE(2150)] = 86538,
  [SMALL_STATE(2151)] = 86551,
  [SMALL_STATE(2152)] = 86564,
  [SMALL_STATE(2153)] = 86577,
  [SMALL_STATE(2154)] = 86590,
  [SMALL_STATE(2155)] = 86603,
  [SMALL_STATE(2156)] = 86616,
  [SMALL_STATE(2157)] = 86629,
  [SMALL_STATE(2158)] = 86642,
  [SMALL_STATE(2159)] = 86655,
  [SMALL_STATE(2160)] = 86668,
  [SMALL_STATE(2161)] = 86681,
  [SMALL_STATE(2162)] = 86694,
  [SMALL_STATE(2163)] = 86707,
  [SMALL_STATE(2164)] = 86720,
  [SMALL_STATE(2165)] = 86733,
  [SMALL_STATE(2166)] = 86746,
  [SMALL_STATE(2167)] = 86759,
  [SMALL_STATE(2168)] = 86772,
  [SMALL_STATE(2169)] = 86785,
  [SMALL_STATE(2170)] = 86798,
  [SMALL_STATE(2171)] = 86811,
  [SMALL_STATE(2172)] = 86824,
  [SMALL_STATE(2173)] = 86837,
  [SMALL_STATE(2174)] = 86850,
  [SMALL_STATE(2175)] = 86863,
  [SMALL_STATE(2176)] = 86876,
  [SMALL_STATE(2177)] = 86889,
  [SMALL_STATE(2178)] = 86902,
  [SMALL_STATE(2179)] = 86915,
  [SMALL_STATE(2180)] = 86928,
  [SMALL_STATE(2181)] = 86941,
  [SMALL_STATE(2182)] = 86954,
  [SMALL_STATE(2183)] = 86967,
  [SMALL_STATE(2184)] = 86980,
  [SMALL_STATE(2185)] = 86993,
  [SMALL_STATE(2186)] = 87006,
  [SMALL_STATE(2187)] = 87019,
  [SMALL_STATE(2188)] = 87032,
  [SMALL_STATE(2189)] = 87045,
  [SMALL_STATE(2190)] = 87058,
  [SMALL_STATE(2191)] = 87071,
  [SMALL_STATE(2192)] = 87084,
  [SMALL_STATE(2193)] = 87097,
  [SMALL_STATE(2194)] = 87110,
  [SMALL_STATE(2195)] = 87123,
  [SMALL_STATE(2196)] = 87136,
  [SMALL_STATE(2197)] = 87149,
  [SMALL_STATE(2198)] = 87162,
  [SMALL_STATE(2199)] = 87175,
  [SMALL_STATE(2200)] = 87188,
  [SMALL_STATE(2201)] = 87201,
  [SMALL_STATE(2202)] = 87214,
  [SMALL_STATE(2203)] = 87227,
  [SMALL_STATE(2204)] = 87240,
  [SMALL_STATE(2205)] = 87253,
  [SMALL_STATE(2206)] = 87266,
  [SMALL_STATE(2207)] = 87279,
  [SMALL_STATE(2208)] = 87292,
  [SMALL_STATE(2209)] = 87305,
  [SMALL_STATE(2210)] = 87318,
  [SMALL_STATE(2211)] = 87331,
  [SMALL_STATE(2212)] = 87344,
  [SMALL_STATE(2213)] = 87357,
  [SMALL_STATE(2214)] = 87370,
  [SMALL_STATE(2215)] = 87383,
  [SMALL_STATE(2216)] = 87396,
  [SMALL_STATE(2217)] = 87409,
  [SMALL_STATE(2218)] = 87422,
  [SMALL_STATE(2219)] = 87435,
  [SMALL_STATE(2220)] = 87448,
  [SMALL_STATE(2221)] = 87461,
  [SMALL_STATE(2222)] = 87474,
  [SMALL_STATE(2223)] = 87487,
  [SMALL_STATE(2224)] = 87500,
  [SMALL_STATE(2225)] = 87513,
  [SMALL_STATE(2226)] = 87526,
  [SMALL_STATE(2227)] = 87539,
  [SMALL_STATE(2228)] = 87552,
  [SMALL_STATE(2229)] = 87565,
  [SMALL_STATE(2230)] = 87578,
  [SMALL_STATE(2231)] = 87591,
  [SMALL_STATE(2232)] = 87604,
  [SMALL_STATE(2233)] = 87617,
  [SMALL_STATE(2234)] = 87630,
  [SMALL_STATE(2235)] = 87643,
  [SMALL_STATE(2236)] = 87656,
  [SMALL_STATE(2237)] = 87669,
  [SMALL_STATE(2238)] = 87682,
  [SMALL_STATE(2239)] = 87695,
  [SMALL_STATE(2240)] = 87708,
  [SMALL_STATE(2241)] = 87721,
  [SMALL_STATE(2242)] = 87734,
  [SMALL_STATE(2243)] = 87747,
  [SMALL_STATE(2244)] = 87760,
  [SMALL_STATE(2245)] = 87773,
  [SMALL_STATE(2246)] = 87786,
  [SMALL_STATE(2247)] = 87799,
  [SMALL_STATE(2248)] = 87812,
  [SMALL_STATE(2249)] = 87825,
  [SMALL_STATE(2250)] = 87838,
  [SMALL_STATE(2251)] = 87851,
  [SMALL_STATE(2252)] = 87864,
  [SMALL_STATE(2253)] = 87877,
  [SMALL_STATE(2254)] = 87890,
  [SMALL_STATE(2255)] = 87903,
  [SMALL_STATE(2256)] = 87916,
  [SMALL_STATE(2257)] = 87929,
  [SMALL_STATE(2258)] = 87942,
  [SMALL_STATE(2259)] = 87955,
  [SMALL_STATE(2260)] = 87968,
  [SMALL_STATE(2261)] = 87981,
  [SMALL_STATE(2262)] = 87994,
  [SMALL_STATE(2263)] = 88007,
  [SMALL_STATE(2264)] = 88020,
  [SMALL_STATE(2265)] = 88033,
  [SMALL_STATE(2266)] = 88046,
  [SMALL_STATE(2267)] = 88059,
  [SMALL_STATE(2268)] = 88072,
  [SMALL_STATE(2269)] = 88085,
  [SMALL_STATE(2270)] = 88098,
  [SMALL_STATE(2271)] = 88111,
  [SMALL_STATE(2272)] = 88124,
  [SMALL_STATE(2273)] = 88137,
  [SMALL_STATE(2274)] = 88150,
  [SMALL_STATE(2275)] = 88163,
  [SMALL_STATE(2276)] = 88176,
  [SMALL_STATE(2277)] = 88189,
  [SMALL_STATE(2278)] = 88202,
  [SMALL_STATE(2279)] = 88215,
  [SMALL_STATE(2280)] = 88228,
  [SMALL_STATE(2281)] = 88241,
  [SMALL_STATE(2282)] = 88254,
  [SMALL_STATE(2283)] = 88267,
  [SMALL_STATE(2284)] = 88280,
  [SMALL_STATE(2285)] = 88293,
  [SMALL_STATE(2286)] = 88306,
  [SMALL_STATE(2287)] = 88319,
  [SMALL_STATE(2288)] = 88332,
  [SMALL_STATE(2289)] = 88345,
  [SMALL_STATE(2290)] = 88358,
  [SMALL_STATE(2291)] = 88371,
  [SMALL_STATE(2292)] = 88384,
  [SMALL_STATE(2293)] = 88397,
  [SMALL_STATE(2294)] = 88410,
  [SMALL_STATE(2295)] = 88423,
  [SMALL_STATE(2296)] = 88436,
  [SMALL_STATE(2297)] = 88449,
  [SMALL_STATE(2298)] = 88462,
  [SMALL_STATE(2299)] = 88475,
  [SMALL_STATE(2300)] = 88488,
  [SMALL_STATE(2301)] = 88501,
  [SMALL_STATE(2302)] = 88514,
  [SMALL_STATE(2303)] = 88527,
  [SMALL_STATE(2304)] = 88540,
  [SMALL_STATE(2305)] = 88553,
  [SMALL_STATE(2306)] = 88566,
  [SMALL_STATE(2307)] = 88579,
  [SMALL_STATE(2308)] = 88592,
  [SMALL_STATE(2309)] = 88605,
  [SMALL_STATE(2310)] = 88618,
  [SMALL_STATE(2311)] = 88631,
  [SMALL_STATE(2312)] = 88644,
  [SMALL_STATE(2313)] = 88657,
  [SMALL_STATE(2314)] = 88670,
  [SMALL_STATE(2315)] = 88683,
  [SMALL_STATE(2316)] = 88696,
  [SMALL_STATE(2317)] = 88709,
  [SMALL_STATE(2318)] = 88722,
  [SMALL_STATE(2319)] = 88735,
  [SMALL_STATE(2320)] = 88748,
  [SMALL_STATE(2321)] = 88761,
  [SMALL_STATE(2322)] = 88774,
  [SMALL_STATE(2323)] = 88787,
  [SMALL_STATE(2324)] = 88800,
  [SMALL_STATE(2325)] = 88813,
  [SMALL_STATE(2326)] = 88826,
  [SMALL_STATE(2327)] = 88839,
  [SMALL_STATE(2328)] = 88852,
  [SMALL_STATE(2329)] = 88865,
  [SMALL_STATE(2330)] = 88878,
  [SMALL_STATE(2331)] = 88891,
  [SMALL_STATE(2332)] = 88904,
  [SMALL_STATE(2333)] = 88917,
  [SMALL_STATE(2334)] = 88930,
  [SMALL_STATE(2335)] = 88943,
  [SMALL_STATE(2336)] = 88956,
  [SMALL_STATE(2337)] = 88969,
  [SMALL_STATE(2338)] = 88982,
  [SMALL_STATE(2339)] = 88995,
  [SMALL_STATE(2340)] = 89008,
  [SMALL_STATE(2341)] = 89021,
  [SMALL_STATE(2342)] = 89034,
  [SMALL_STATE(2343)] = 89047,
  [SMALL_STATE(2344)] = 89060,
  [SMALL_STATE(2345)] = 89073,
  [SMALL_STATE(2346)] = 89086,
  [SMALL_STATE(2347)] = 89099,
  [SMALL_STATE(2348)] = 89112,
  [SMALL_STATE(2349)] = 89125,
  [SMALL_STATE(2350)] = 89138,
  [SMALL_STATE(2351)] = 89151,
  [SMALL_STATE(2352)] = 89164,
  [SMALL_STATE(2353)] = 89177,
  [SMALL_STATE(2354)] = 89190,
  [SMALL_STATE(2355)] = 89203,
  [SMALL_STATE(2356)] = 89216,
  [SMALL_STATE(2357)] = 89229,
  [SMALL_STATE(2358)] = 89242,
  [SMALL_STATE(2359)] = 89255,
  [SMALL_STATE(2360)] = 89268,
  [SMALL_STATE(2361)] = 89281,
  [SMALL_STATE(2362)] = 89294,
  [SMALL_STATE(2363)] = 89307,
  [SMALL_STATE(2364)] = 89320,
  [SMALL_STATE(2365)] = 89333,
  [SMALL_STATE(2366)] = 89346,
  [SMALL_STATE(2367)] = 89359,
  [SMALL_STATE(2368)] = 89372,
  [SMALL_STATE(2369)] = 89385,
  [SMALL_STATE(2370)] = 89398,
  [SMALL_STATE(2371)] = 89411,
  [SMALL_STATE(2372)] = 89424,
  [SMALL_STATE(2373)] = 89437,
  [SMALL_STATE(2374)] = 89450,
  [SMALL_STATE(2375)] = 89463,
  [SMALL_STATE(2376)] = 89476,
  [SMALL_STATE(2377)] = 89489,
  [SMALL_STATE(2378)] = 89502,
  [SMALL_STATE(2379)] = 89515,
  [SMALL_STATE(2380)] = 89528,
  [SMALL_STATE(2381)] = 89541,
  [SMALL_STATE(2382)] = 89554,
  [SMALL_STATE(2383)] = 89567,
  [SMALL_STATE(2384)] = 89580,
  [SMALL_STATE(2385)] = 89593,
  [SMALL_STATE(2386)] = 89606,
  [SMALL_STATE(2387)] = 89619,
  [SMALL_STATE(2388)] = 89632,
  [SMALL_STATE(2389)] = 89645,
  [SMALL_STATE(2390)] = 89658,
  [SMALL_STATE(2391)] = 89671,
  [SMALL_STATE(2392)] = 89684,
  [SMALL_STATE(2393)] = 89697,
  [SMALL_STATE(2394)] = 89710,
  [SMALL_STATE(2395)] = 89723,
  [SMALL_STATE(2396)] = 89736,
  [SMALL_STATE(2397)] = 89749,
  [SMALL_STATE(2398)] = 89762,
  [SMALL_STATE(2399)] = 89775,
  [SMALL_STATE(2400)] = 89788,
  [SMALL_STATE(2401)] = 89801,
  [SMALL_STATE(2402)] = 89814,
  [SMALL_STATE(2403)] = 89827,
  [SMALL_STATE(2404)] = 89840,
  [SMALL_STATE(2405)] = 89853,
  [SMALL_STATE(2406)] = 89866,
  [SMALL_STATE(2407)] = 89879,
  [SMALL_STATE(2408)] = 89892,
  [SMALL_STATE(2409)] = 89905,
  [SMALL_STATE(2410)] = 89918,
  [SMALL_STATE(2411)] = 89931,
  [SMALL_STATE(2412)] = 89944,
  [SMALL_STATE(2413)] = 89957,
  [SMALL_STATE(2414)] = 89970,
  [SMALL_STATE(2415)] = 89983,
  [SMALL_STATE(2416)] = 89996,
  [SMALL_STATE(2417)] = 90009,
  [SMALL_STATE(2418)] = 90022,
  [SMALL_STATE(2419)] = 90035,
  [SMALL_STATE(2420)] = 90048,
  [SMALL_STATE(2421)] = 90061,
  [SMALL_STATE(2422)] = 90074,
  [SMALL_STATE(2423)] = 90087,
  [SMALL_STATE(2424)] = 90100,
  [SMALL_STATE(2425)] = 90113,
  [SMALL_STATE(2426)] = 90126,
  [SMALL_STATE(2427)] = 90139,
  [SMALL_STATE(2428)] = 90152,
  [SMALL_STATE(2429)] = 90165,
  [SMALL_STATE(2430)] = 90178,
  [SMALL_STATE(2431)] = 90191,
  [SMALL_STATE(2432)] = 90204,
  [SMALL_STATE(2433)] = 90217,
  [SMALL_STATE(2434)] = 90230,
  [SMALL_STATE(2435)] = 90243,
  [SMALL_STATE(2436)] = 90256,
  [SMALL_STATE(2437)] = 90269,
  [SMALL_STATE(2438)] = 90282,
  [SMALL_STATE(2439)] = 90295,
  [SMALL_STATE(2440)] = 90308,
  [SMALL_STATE(2441)] = 90321,
  [SMALL_STATE(2442)] = 90334,
  [SMALL_STATE(2443)] = 90347,
  [SMALL_STATE(2444)] = 90360,
  [SMALL_STATE(2445)] = 90373,
  [SMALL_STATE(2446)] = 90386,
  [SMALL_STATE(2447)] = 90399,
  [SMALL_STATE(2448)] = 90412,
  [SMALL_STATE(2449)] = 90425,
  [SMALL_STATE(2450)] = 90438,
  [SMALL_STATE(2451)] = 90451,
  [SMALL_STATE(2452)] = 90464,
  [SMALL_STATE(2453)] = 90477,
  [SMALL_STATE(2454)] = 90490,
  [SMALL_STATE(2455)] = 90503,
  [SMALL_STATE(2456)] = 90516,
  [SMALL_STATE(2457)] = 90529,
  [SMALL_STATE(2458)] = 90542,
  [SMALL_STATE(2459)] = 90555,
  [SMALL_STATE(2460)] = 90568,
  [SMALL_STATE(2461)] = 90581,
  [SMALL_STATE(2462)] = 90594,
  [SMALL_STATE(2463)] = 90607,
  [SMALL_STATE(2464)] = 90620,
  [SMALL_STATE(2465)] = 90633,
  [SMALL_STATE(2466)] = 90646,
  [SMALL_STATE(2467)] = 90659,
  [SMALL_STATE(2468)] = 90672,
  [SMALL_STATE(2469)] = 90685,
  [SMALL_STATE(2470)] = 90698,
  [SMALL_STATE(2471)] = 90711,
  [SMALL_STATE(2472)] = 90724,
  [SMALL_STATE(2473)] = 90737,
  [SMALL_STATE(2474)] = 90750,
  [SMALL_STATE(2475)] = 90763,
  [SMALL_STATE(2476)] = 90776,
  [SMALL_STATE(2477)] = 90789,
  [SMALL_STATE(2478)] = 90802,
  [SMALL_STATE(2479)] = 90815,
  [SMALL_STATE(2480)] = 90828,
  [SMALL_STATE(2481)] = 90841,
  [SMALL_STATE(2482)] = 90854,
  [SMALL_STATE(2483)] = 90867,
  [SMALL_STATE(2484)] = 90880,
  [SMALL_STATE(2485)] = 90893,
  [SMALL_STATE(2486)] = 90906,
  [SMALL_STATE(2487)] = 90919,
  [SMALL_STATE(2488)] = 90932,
  [SMALL_STATE(2489)] = 90945,
  [SMALL_STATE(2490)] = 90958,
  [SMALL_STATE(2491)] = 90971,
  [SMALL_STATE(2492)] = 90984,
  [SMALL_STATE(2493)] = 90997,
  [SMALL_STATE(2494)] = 91010,
  [SMALL_STATE(2495)] = 91023,
  [SMALL_STATE(2496)] = 91036,
  [SMALL_STATE(2497)] = 91049,
  [SMALL_STATE(2498)] = 91062,
  [SMALL_STATE(2499)] = 91075,
  [SMALL_STATE(2500)] = 91088,
  [SMALL_STATE(2501)] = 91101,
  [SMALL_STATE(2502)] = 91114,
  [SMALL_STATE(2503)] = 91127,
  [SMALL_STATE(2504)] = 91140,
  [SMALL_STATE(2505)] = 91153,
  [SMALL_STATE(2506)] = 91166,
  [SMALL_STATE(2507)] = 91179,
  [SMALL_STATE(2508)] = 91192,
  [SMALL_STATE(2509)] = 91205,
  [SMALL_STATE(2510)] = 91218,
  [SMALL_STATE(2511)] = 91231,
  [SMALL_STATE(2512)] = 91244,
  [SMALL_STATE(2513)] = 91257,
  [SMALL_STATE(2514)] = 91270,
  [SMALL_STATE(2515)] = 91283,
  [SMALL_STATE(2516)] = 91296,
  [SMALL_STATE(2517)] = 91309,
  [SMALL_STATE(2518)] = 91322,
  [SMALL_STATE(2519)] = 91335,
  [SMALL_STATE(2520)] = 91348,
  [SMALL_STATE(2521)] = 91361,
  [SMALL_STATE(2522)] = 91374,
  [SMALL_STATE(2523)] = 91387,
  [SMALL_STATE(2524)] = 91400,
  [SMALL_STATE(2525)] = 91413,
  [SMALL_STATE(2526)] = 91426,
  [SMALL_STATE(2527)] = 91439,
  [SMALL_STATE(2528)] = 91452,
  [SMALL_STATE(2529)] = 91465,
  [SMALL_STATE(2530)] = 91478,
  [SMALL_STATE(2531)] = 91491,
  [SMALL_STATE(2532)] = 91504,
  [SMALL_STATE(2533)] = 91517,
  [SMALL_STATE(2534)] = 91530,
  [SMALL_STATE(2535)] = 91543,
  [SMALL_STATE(2536)] = 91556,
  [SMALL_STATE(2537)] = 91569,
  [SMALL_STATE(2538)] = 91582,
  [SMALL_STATE(2539)] = 91595,
  [SMALL_STATE(2540)] = 91608,
  [SMALL_STATE(2541)] = 91621,
  [SMALL_STATE(2542)] = 91634,
  [SMALL_STATE(2543)] = 91647,
  [SMALL_STATE(2544)] = 91660,
  [SMALL_STATE(2545)] = 91673,
  [SMALL_STATE(2546)] = 91686,
  [SMALL_STATE(2547)] = 91699,
  [SMALL_STATE(2548)] = 91712,
  [SMALL_STATE(2549)] = 91725,
  [SMALL_STATE(2550)] = 91738,
  [SMALL_STATE(2551)] = 91751,
  [SMALL_STATE(2552)] = 91764,
  [SMALL_STATE(2553)] = 91777,
  [SMALL_STATE(2554)] = 91790,
  [SMALL_STATE(2555)] = 91803,
  [SMALL_STATE(2556)] = 91816,
  [SMALL_STATE(2557)] = 91829,
  [SMALL_STATE(2558)] = 91842,
  [SMALL_STATE(2559)] = 91855,
  [SMALL_STATE(2560)] = 91868,
  [SMALL_STATE(2561)] = 91881,
  [SMALL_STATE(2562)] = 91894,
  [SMALL_STATE(2563)] = 91907,
  [SMALL_STATE(2564)] = 91920,
  [SMALL_STATE(2565)] = 91933,
  [SMALL_STATE(2566)] = 91946,
  [SMALL_STATE(2567)] = 91959,
  [SMALL_STATE(2568)] = 91972,
  [SMALL_STATE(2569)] = 91985,
  [SMALL_STATE(2570)] = 91998,
  [SMALL_STATE(2571)] = 92011,
  [SMALL_STATE(2572)] = 92024,
  [SMALL_STATE(2573)] = 92037,
  [SMALL_STATE(2574)] = 92050,
  [SMALL_STATE(2575)] = 92063,
  [SMALL_STATE(2576)] = 92076,
  [SMALL_STATE(2577)] = 92089,
  [SMALL_STATE(2578)] = 92102,
  [SMALL_STATE(2579)] = 92115,
  [SMALL_STATE(2580)] = 92128,
  [SMALL_STATE(2581)] = 92141,
  [SMALL_STATE(2582)] = 92154,
  [SMALL_STATE(2583)] = 92167,
  [SMALL_STATE(2584)] = 92180,
  [SMALL_STATE(2585)] = 92193,
  [SMALL_STATE(2586)] = 92206,
  [SMALL_STATE(2587)] = 92219,
  [SMALL_STATE(2588)] = 92232,
  [SMALL_STATE(2589)] = 92245,
  [SMALL_STATE(2590)] = 92258,
  [SMALL_STATE(2591)] = 92271,
  [SMALL_STATE(2592)] = 92284,
  [SMALL_STATE(2593)] = 92297,
  [SMALL_STATE(2594)] = 92310,
  [SMALL_STATE(2595)] = 92323,
  [SMALL_STATE(2596)] = 92336,
  [SMALL_STATE(2597)] = 92349,
  [SMALL_STATE(2598)] = 92362,
  [SMALL_STATE(2599)] = 92375,
  [SMALL_STATE(2600)] = 92388,
  [SMALL_STATE(2601)] = 92401,
  [SMALL_STATE(2602)] = 92414,
  [SMALL_STATE(2603)] = 92427,
  [SMALL_STATE(2604)] = 92440,
  [SMALL_STATE(2605)] = 92453,
  [SMALL_STATE(2606)] = 92466,
  [SMALL_STATE(2607)] = 92479,
  [SMALL_STATE(2608)] = 92492,
  [SMALL_STATE(2609)] = 92505,
  [SMALL_STATE(2610)] = 92518,
  [SMALL_STATE(2611)] = 92531,
  [SMALL_STATE(2612)] = 92544,
  [SMALL_STATE(2613)] = 92557,
  [SMALL_STATE(2614)] = 92570,
  [SMALL_STATE(2615)] = 92583,
  [SMALL_STATE(2616)] = 92596,
  [SMALL_STATE(2617)] = 92609,
  [SMALL_STATE(2618)] = 92622,
  [SMALL_STATE(2619)] = 92635,
  [SMALL_STATE(2620)] = 92648,
  [SMALL_STATE(2621)] = 92661,
  [SMALL_STATE(2622)] = 92674,
  [SMALL_STATE(2623)] = 92687,
  [SMALL_STATE(2624)] = 92700,
  [SMALL_STATE(2625)] = 92713,
  [SMALL_STATE(2626)] = 92726,
  [SMALL_STATE(2627)] = 92739,
  [SMALL_STATE(2628)] = 92752,
  [SMALL_STATE(2629)] = 92765,
  [SMALL_STATE(2630)] = 92778,
  [SMALL_STATE(2631)] = 92791,
  [SMALL_STATE(2632)] = 92804,
  [SMALL_STATE(2633)] = 92817,
  [SMALL_STATE(2634)] = 92830,
  [SMALL_STATE(2635)] = 92843,
  [SMALL_STATE(2636)] = 92856,
  [SMALL_STATE(2637)] = 92869,
  [SMALL_STATE(2638)] = 92882,
  [SMALL_STATE(2639)] = 92895,
  [SMALL_STATE(2640)] = 92908,
  [SMALL_STATE(2641)] = 92921,
  [SMALL_STATE(2642)] = 92934,
  [SMALL_STATE(2643)] = 92947,
  [SMALL_STATE(2644)] = 92960,
  [SMALL_STATE(2645)] = 92973,
  [SMALL_STATE(2646)] = 92986,
  [SMALL_STATE(2647)] = 92999,
  [SMALL_STATE(2648)] = 93012,
  [SMALL_STATE(2649)] = 93025,
  [SMALL_STATE(2650)] = 93038,
  [SMALL_STATE(2651)] = 93051,
  [SMALL_STATE(2652)] = 93064,
  [SMALL_STATE(2653)] = 93077,
  [SMALL_STATE(2654)] = 93090,
  [SMALL_STATE(2655)] = 93103,
  [SMALL_STATE(2656)] = 93116,
  [SMALL_STATE(2657)] = 93129,
  [SMALL_STATE(2658)] = 93142,
  [SMALL_STATE(2659)] = 93155,
  [SMALL_STATE(2660)] = 93168,
  [SMALL_STATE(2661)] = 93181,
  [SMALL_STATE(2662)] = 93194,
  [SMALL_STATE(2663)] = 93207,
  [SMALL_STATE(2664)] = 93220,
  [SMALL_STATE(2665)] = 93233,
  [SMALL_STATE(2666)] = 93246,
  [SMALL_STATE(2667)] = 93259,
  [SMALL_STATE(2668)] = 93272,
  [SMALL_STATE(2669)] = 93285,
  [SMALL_STATE(2670)] = 93298,
  [SMALL_STATE(2671)] = 93311,
  [SMALL_STATE(2672)] = 93324,
  [SMALL_STATE(2673)] = 93337,
  [SMALL_STATE(2674)] = 93350,
  [SMALL_STATE(2675)] = 93363,
  [SMALL_STATE(2676)] = 93376,
  [SMALL_STATE(2677)] = 93389,
  [SMALL_STATE(2678)] = 93402,
  [SMALL_STATE(2679)] = 93415,
  [SMALL_STATE(2680)] = 93428,
  [SMALL_STATE(2681)] = 93441,
  [SMALL_STATE(2682)] = 93454,
  [SMALL_STATE(2683)] = 93467,
  [SMALL_STATE(2684)] = 93480,
  [SMALL_STATE(2685)] = 93493,
  [SMALL_STATE(2686)] = 93506,
  [SMALL_STATE(2687)] = 93519,
  [SMALL_STATE(2688)] = 93532,
  [SMALL_STATE(2689)] = 93545,
  [SMALL_STATE(2690)] = 93558,
  [SMALL_STATE(2691)] = 93571,
  [SMALL_STATE(2692)] = 93584,
  [SMALL_STATE(2693)] = 93597,
  [SMALL_STATE(2694)] = 93610,
  [SMALL_STATE(2695)] = 93623,
  [SMALL_STATE(2696)] = 93636,
  [SMALL_STATE(2697)] = 93649,
  [SMALL_STATE(2698)] = 93662,
  [SMALL_STATE(2699)] = 93675,
  [SMALL_STATE(2700)] = 93688,
  [SMALL_STATE(2701)] = 93701,
  [SMALL_STATE(2702)] = 93714,
  [SMALL_STATE(2703)] = 93727,
  [SMALL_STATE(2704)] = 93740,
  [SMALL_STATE(2705)] = 93753,
  [SMALL_STATE(2706)] = 93766,
  [SMALL_STATE(2707)] = 93779,
  [SMALL_STATE(2708)] = 93792,
  [SMALL_STATE(2709)] = 93805,
  [SMALL_STATE(2710)] = 93818,
  [SMALL_STATE(2711)] = 93831,
  [SMALL_STATE(2712)] = 93844,
  [SMALL_STATE(2713)] = 93857,
  [SMALL_STATE(2714)] = 93870,
  [SMALL_STATE(2715)] = 93883,
  [SMALL_STATE(2716)] = 93896,
  [SMALL_STATE(2717)] = 93909,
  [SMALL_STATE(2718)] = 93922,
  [SMALL_STATE(2719)] = 93935,
  [SMALL_STATE(2720)] = 93948,
  [SMALL_STATE(2721)] = 93961,
  [SMALL_STATE(2722)] = 93974,
  [SMALL_STATE(2723)] = 93987,
  [SMALL_STATE(2724)] = 94000,
  [SMALL_STATE(2725)] = 94013,
  [SMALL_STATE(2726)] = 94026,
  [SMALL_STATE(2727)] = 94039,
  [SMALL_STATE(2728)] = 94052,
  [SMALL_STATE(2729)] = 94065,
  [SMALL_STATE(2730)] = 94078,
  [SMALL_STATE(2731)] = 94091,
  [SMALL_STATE(2732)] = 94104,
  [SMALL_STATE(2733)] = 94117,
  [SMALL_STATE(2734)] = 94130,
  [SMALL_STATE(2735)] = 94143,
  [SMALL_STATE(2736)] = 94156,
  [SMALL_STATE(2737)] = 94169,
  [SMALL_STATE(2738)] = 94182,
  [SMALL_STATE(2739)] = 94195,
  [SMALL_STATE(2740)] = 94208,
  [SMALL_STATE(2741)] = 94221,
  [SMALL_STATE(2742)] = 94234,
  [SMALL_STATE(2743)] = 94247,
  [SMALL_STATE(2744)] = 94260,
  [SMALL_STATE(2745)] = 94273,
  [SMALL_STATE(2746)] = 94286,
  [SMALL_STATE(2747)] = 94299,
  [SMALL_STATE(2748)] = 94312,
  [SMALL_STATE(2749)] = 94325,
  [SMALL_STATE(2750)] = 94338,
  [SMALL_STATE(2751)] = 94351,
  [SMALL_STATE(2752)] = 94364,
  [SMALL_STATE(2753)] = 94377,
  [SMALL_STATE(2754)] = 94390,
  [SMALL_STATE(2755)] = 94403,
  [SMALL_STATE(2756)] = 94416,
  [SMALL_STATE(2757)] = 94429,
  [SMALL_STATE(2758)] = 94442,
  [SMALL_STATE(2759)] = 94455,
  [SMALL_STATE(2760)] = 94468,
  [SMALL_STATE(2761)] = 94481,
  [SMALL_STATE(2762)] = 94494,
  [SMALL_STATE(2763)] = 94507,
  [SMALL_STATE(2764)] = 94520,
  [SMALL_STATE(2765)] = 94533,
  [SMALL_STATE(2766)] = 94546,
  [SMALL_STATE(2767)] = 94559,
  [SMALL_STATE(2768)] = 94572,
  [SMALL_STATE(2769)] = 94585,
  [SMALL_STATE(2770)] = 94598,
  [SMALL_STATE(2771)] = 94611,
  [SMALL_STATE(2772)] = 94624,
  [SMALL_STATE(2773)] = 94637,
  [SMALL_STATE(2774)] = 94650,
  [SMALL_STATE(2775)] = 94663,
  [SMALL_STATE(2776)] = 94676,
  [SMALL_STATE(2777)] = 94689,
  [SMALL_STATE(2778)] = 94702,
  [SMALL_STATE(2779)] = 94715,
  [SMALL_STATE(2780)] = 94728,
  [SMALL_STATE(2781)] = 94741,
  [SMALL_STATE(2782)] = 94754,
  [SMALL_STATE(2783)] = 94767,
  [SMALL_STATE(2784)] = 94780,
  [SMALL_STATE(2785)] = 94793,
  [SMALL_STATE(2786)] = 94806,
  [SMALL_STATE(2787)] = 94819,
  [SMALL_STATE(2788)] = 94832,
  [SMALL_STATE(2789)] = 94845,
  [SMALL_STATE(2790)] = 94858,
  [SMALL_STATE(2791)] = 94871,
  [SMALL_STATE(2792)] = 94884,
  [SMALL_STATE(2793)] = 94897,
  [SMALL_STATE(2794)] = 94910,
  [SMALL_STATE(2795)] = 94923,
  [SMALL_STATE(2796)] = 94936,
  [SMALL_STATE(2797)] = 94949,
  [SMALL_STATE(2798)] = 94962,
  [SMALL_STATE(2799)] = 94975,
  [SMALL_STATE(2800)] = 94988,
  [SMALL_STATE(2801)] = 95001,
  [SMALL_STATE(2802)] = 95014,
  [SMALL_STATE(2803)] = 95027,
  [SMALL_STATE(2804)] = 95040,
  [SMALL_STATE(2805)] = 95053,
  [SMALL_STATE(2806)] = 95066,
  [SMALL_STATE(2807)] = 95079,
  [SMALL_STATE(2808)] = 95092,
  [SMALL_STATE(2809)] = 95105,
  [SMALL_STATE(2810)] = 95118,
  [SMALL_STATE(2811)] = 95131,
  [SMALL_STATE(2812)] = 95144,
  [SMALL_STATE(2813)] = 95157,
  [SMALL_STATE(2814)] = 95170,
  [SMALL_STATE(2815)] = 95183,
  [SMALL_STATE(2816)] = 95196,
  [SMALL_STATE(2817)] = 95209,
  [SMALL_STATE(2818)] = 95222,
  [SMALL_STATE(2819)] = 95235,
  [SMALL_STATE(2820)] = 95248,
  [SMALL_STATE(2821)] = 95261,
  [SMALL_STATE(2822)] = 95274,
  [SMALL_STATE(2823)] = 95287,
  [SMALL_STATE(2824)] = 95300,
  [SMALL_STATE(2825)] = 95313,
  [SMALL_STATE(2826)] = 95326,
  [SMALL_STATE(2827)] = 95339,
  [SMALL_STATE(2828)] = 95352,
  [SMALL_STATE(2829)] = 95365,
  [SMALL_STATE(2830)] = 95378,
  [SMALL_STATE(2831)] = 95391,
  [SMALL_STATE(2832)] = 95404,
  [SMALL_STATE(2833)] = 95417,
  [SMALL_STATE(2834)] = 95430,
  [SMALL_STATE(2835)] = 95443,
  [SMALL_STATE(2836)] = 95456,
  [SMALL_STATE(2837)] = 95469,
  [SMALL_STATE(2838)] = 95482,
  [SMALL_STATE(2839)] = 95495,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 3, 0, 0),
  [113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 3, 0, 0),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 0),
  [125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 0),
  [127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_directive, 1, 0, 0),
  [129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_directive, 1, 0, 0),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 2, 0, 0),
  [135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 2, 0, 0),
  [137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 2, 0, 0),
  [139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 2, 0, 0),
  [141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2264),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2172),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2285),
  [152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2618),
  [155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2266),
  [158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1900),
  [161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2159),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2814),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2834),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2537),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1820),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2767),
  [181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2767),
  [184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2771),
  [187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1966),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2329),
  [193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2421),
  [196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(365),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 3, 0, 0),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_list_repeat1, 3, 0, 0),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_params, 5, 0, 0),
  [299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_params, 5, 0, 0),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 2, 0, 0),
  [305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_list_repeat1, 2, 0, 0),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_params, 4, 0, 0),
  [323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_params, 4, 0, 0),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(533),
  [336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(36),
  [339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2661),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2634),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(882),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2077),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2664),
  [356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(924),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1120),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2797),
  [365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(863),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2400),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2221),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(880),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1001),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2654),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1928),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1002),
  [389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2728),
  [394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2155),
  [397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1873),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1170),
  [403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2189),
  [406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(920),
  [409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1043),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1043),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2213),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1150),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1235),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1254),
  [427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1819),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2399),
  [433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2399),
  [436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2404),
  [439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2109),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2431),
  [445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2432),
  [448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(585),
  [451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(822),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1243),
  [457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1269),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1270),
  [463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1254),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1238),
  [469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(824),
  [472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt_list, 1, 0, 0),
  [474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt_list, 1, 0, 0),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 2, 0, 0),
  [494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 2, 0, 0),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 3, 0, 0),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 3, 0, 0),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 4, 0, 0),
  [514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 4, 0, 0),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 5, 0, 0),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 5, 0, 0),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 6, 0, 0),
  [534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 6, 0, 0),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 7, 0, 0),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 7, 0, 0),
  [546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(767),
  [699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(21),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2665),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(879),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1950),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2211),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1180),
  [717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2542),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2529),
  [723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2350),
  [726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(898),
  [729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(925),
  [732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2453),
  [735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1916),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(957),
  [741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1833),
  [744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2267),
  [747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2267),
  [750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2284),
  [753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1948),
  [756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2318),
  [759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2319),
  [762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(802),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(801),
  [856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(27),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2409),
  [862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(899),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2027),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2493),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1066),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2738),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2222),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2286),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(891),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(930),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2451),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1911),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(931),
  [898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1834),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2293),
  [904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2293),
  [907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2295),
  [910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2082),
  [913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2224),
  [916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2225),
  [919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(799),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [1244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant, 1, 0, 0),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 1, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_directive, 3, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_directive, 3, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer, 1, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer, 1, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_directive, 2, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_directive, 2, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decl, 1, 0, 0),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decl, 1, 0, 0),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 4, 0, 0),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 4, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 5, 0, 0),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 5, 0, 0),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attr, 3, 0, 0),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attr, 3, 0, 0),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 5, 0, 0),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 5, 0, 0),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 5, 0, 0),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 5, 0, 0),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 5, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 5, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_decl, 5, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_decl, 5, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_body, 2, 0, 0),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_body, 2, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_params, 2, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_params, 2, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_slice, 4, 0, 0),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_slice, 4, 0, 0),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_params, 3, 0, 0),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_params, 3, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 6, 0, 0),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 6, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 6, 0, 0),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 6, 0, 0),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 6, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 6, 0, 0),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 6, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 6, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_decl, 6, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_decl, 6, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_directive, 4, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_directive, 4, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_decl, 3, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_decl, 3, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_decl, 3, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_decl, 3, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 7, 0, 0),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 7, 0, 0),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 7, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 7, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 7, 0, 0),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 7, 0, 0),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_record_decl, 7, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_record_decl, 7, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 7, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 7, 0, 0),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_enum_decl, 8, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_enum_decl, 8, 0, 0),
  [1546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 4, 0, 0),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 4, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_record_decl, 9, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_record_decl, 9, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 3, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 3, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attr, 1, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attr, 1, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_body, 3, 0, 0),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_body, 3, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 3, 0, 0),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 3, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 1, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 1, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 3, 0, 0),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 3, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 3, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 3, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interval, 2, 0, 0),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interval, 2, 0, 0),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant, 3, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 3, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_slice, 5, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_slice, 5, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 4, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 4, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_directive, 1, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_directive, 1, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 5, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 5, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_decl, 3, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_decl, 3, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_decl, 2, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_decl, 2, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_decl, 4, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_decl, 4, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 4, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 4, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_slice, 3, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_slice, 3, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 4, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 4, 0, 0),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_record_decl, 8, 0, 0),
  [1640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_record_decl, 8, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 3, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 3, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 7, 0, 0),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 7, 0, 0),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 12, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 12, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 6, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 6, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 4, 0, 0),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 4, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 5, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 5, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 11, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 11, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 9, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 9, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 10, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 10, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 1, 0, 0),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 1, 0, 0),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0),
  [1780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [1783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(335),
  [1786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2313),
  [1789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attr_list, 1, 0, 0),
  [1791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attr_list, 1, 0, 0),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [1875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2283),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [1898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2588),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer, 1, 0, 0),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer, 2, 0, 0),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0),
  [1939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(873),
  [1942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0),
  [1944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2634),
  [1947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(924),
  [1950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(874),
  [1953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2494),
  [1956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2728),
  [1959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2155),
  [1962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1873),
  [1965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1170),
  [1968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2189),
  [1971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(920),
  [1974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1043),
  [1977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1043),
  [1980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2213),
  [1983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1150),
  [1986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1235),
  [1989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1254),
  [1992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(822),
  [1995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1243),
  [1998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1269),
  [2001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1270),
  [2004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1254),
  [2007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1238),
  [2010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(824),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr_list, 1, 0, 0),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr_list, 1, 0, 0),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2815),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_class, 1, 0, 0),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_class, 1, 0, 0),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [2203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2242),
  [2206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2258),
  [2209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2260),
  [2212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2333),
  [2215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2811),
  [2218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1888),
  [2221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2492),
  [2224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2814),
  [2227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2834),
  [2230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2537),
  [2233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1817),
  [2236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2378),
  [2239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2378),
  [2242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2379),
  [2245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1982),
  [2248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2341),
  [2251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2342),
  [2254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1798),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [2269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func, 3, 0, 0),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [2273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func, 3, 0, 0),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 4, 0, 0),
  [2277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 4, 0, 0),
  [2279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 3, 0, 0),
  [2281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 3, 0, 0),
  [2283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hook, 3, 0, 0),
  [2285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hook, 3, 0, 0),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [2289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1227),
  [2292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2512),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_hdr, 3, 0, 0),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [2321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr_list, 2, 0, 0),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_msg, 2, 0, 0),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_arg, 3, 0, 0),
  [2813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2649),
  [2816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2655),
  [2819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2677),
  [2822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1242),
  [2825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2750),
  [2828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2700),
  [2831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2701),
  [2834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1843),
  [2837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2450),
  [2840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2094),
  [2843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2804),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [2848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [2856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [2872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [2878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [2906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2240),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2, 0, 0),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0),
  [3083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(1831),
  [3086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2767),
  [3089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2767),
  [3092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2771),
  [3095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(1966),
  [3098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2329),
  [3101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2421),
  [3104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(365),
  [3107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 5, 0, 0),
  [3109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 5, 0, 0),
  [3111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hook, 4, 0, 0),
  [3113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hook, 4, 0, 0),
  [3115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func, 4, 0, 0),
  [3117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func, 4, 0, 0),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_hdr, 1, 0, 0),
  [3121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_hdr, 1, 0, 0),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_elem, 1, 0, 0),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [3281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_capture_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2752),
  [3284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_capture_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2014),
  [3287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0),
  [3289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1857),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [3294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redef_record_decl_repeat1, 2, 0, 0),
  [3296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redef_record_decl_repeat1, 2, 0, 0), SHIFT_REPEAT(2761),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [3305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_elem, 3, 0, 0),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [3313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_list, 1, 0, 0),
  [3315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 2, 0, 0), SHIFT_REPEAT(861),
  [3318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2552),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [3327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 1, 0, 0),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [3335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_arg, 4, 0, 0),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [3343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_args, 1, 0, 0),
  [3345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deprecated, 1, 0, 0),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [3349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 4, 0, 0),
  [3351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_args_repeat1, 2, 0, 0), SHIFT_REPEAT(2217),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_type_list, 2, 0, 0),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_type_list, 3, 0, 0),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [3402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_args, 2, 0, 0),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [3428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1684),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_elem, 2, 0, 0),
  [3457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [3461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 5, 0, 0),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_lambda, 2, 0, 0),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_lambda, 1, 0, 0),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture, 1, 0, 0),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_hdr, 4, 0, 0),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [3651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_type_list, 4, 0, 0),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [3667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_capture_list_repeat1, 2, 0, 0),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [3671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_elem, 4, 0, 0),
  [3673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deprecated, 3, 0, 0),
  [3675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 4, 0, 0),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [3693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_type_list, 5, 0, 0),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [3697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stmt_repeat1, 2, 0, 0), SHIFT_REPEAT(2209),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [3796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture, 2, 0, 0),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_args_repeat1, 2, 0, 0),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [4118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_type_list_repeat1, 3, 0, 0),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [4156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [4196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_list, 3, 0, 0),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_stmt_repeat1, 2, 0, 0),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [4428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_type_list_repeat1, 5, 0, 0),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [4512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_list, 4, 0, 0),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [4522] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_zeek(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
